-- ------------------------------------------------------------------------------ --
--                                TradeSkillMaster                                --
--                          https://tradeskillmaster.com                          --
--    All Rights Reserved - Detailed license information included with addon.     --
-- ------------------------------------------------------------------------------ --

local _, TSM = ...
local Locale = TSM.Init("Locale")
local L = {}



-- ============================================================================
-- Module Functions
-- ============================================================================

function Locale.GetTable()
	return L
end



-- ============================================================================
-- Locale Table
-- ============================================================================

do
	local locale = GetLocale()
	if locale == "enUS" or locale == "enGB" then
		L["%d Characters"] = "%d Characters"
		L["%d Custom Sources"] = "%d Custom Sources"
		L["%d Faction-Realms"] = "%d Faction-Realms"
		L["%d Groups"] = "%d Groups"
		L["%d Groups Selected"] = "%d Groups Selected"
		L["%d Guilds"] = "%d Guilds"
		L["%d Items"] = "%d Items"
		L["%d Operations"] = "%d Operations"
		L["%d Players"] = "%d Players"
		L["%d Professions"] = "%d Professions"
		L["%d Rarities"] = "%d Rarities"
		L["%d Results"] = "%d Results"
		L["%d Selected"] = "%d Selected"
		L["%d Sources"] = "%d Sources"
		L["%d Sub-Groups"] = "%d Sub-Groups"
		L["%d Types"] = "%d Types"
		L["%d auctions"] = "%d auctions"
		L["%d groups"] = "%d groups"
		L["%d groups were created and %d items were added from the table."] = "%d groups were created and %d items were added from the table."
		L["%d of %d"] = "%d of %d"
		L["%d subgroups included"] = "%d subgroups included"
		L["%d |4Group:Groups; Selected (%d |4Item:Items;)"] = "%d |4Group:Groups; Selected (%d |4Item:Items;)"
		L["%s %s Operations"] = "%s %s Operations"
		L["%s (%s bags, %s bank, %s AH, %s mail)"] = "%s (%s bags, %s bank, %s AH, %s mail)"
		L["%s (%s player, %s alts, %s AH)"] = "%s (%s player, %s alts, %s AH)"
		L["%s (%s player, %s alts, %s guild, %s AH)"] = "%s (%s player, %s alts, %s guild, %s AH)"
		L["%s (%s profit)"] = "%s (%s profit)"
		L["%s - %s has been reset to default values."] = "%s - %s has been reset to default values."
		L["%s Crafts"] = "%s Crafts"
		L["%s Items Bought"] = "%s Items Bought"
		L["%s Items Cancelled"] = "%s Items Cancelled"
		L["%s Items Expired"] = "%s Items Expired"
		L["%s Items Resold"] = "%s Items Resold"
		L["%s Items Selected"] = "%s Items Selected"
		L["%s Items Sold"] = "%s Items Sold"
		L["%s Items Total"] = "%s Items Total"
		L["%s Operations"] = "%s Operations"
		L["%s Posted Auctions"] = "%s Posted Auctions"
		L["%s Posted Auctions (Filtered)"] = "%s Posted Auctions (Filtered)"
		L["%s Sold Auctions"] = "%s Sold Auctions"
		L["%s Sold Auctions (Filtered)"] = "%s Sold Auctions (Filtered)"
		L["%s Total"] = "%s Total"
		L["%s Total Profit"] = "%s Total Profit"
		L["%s ago"] = "%s ago"
		L["%s group is already up to date."] = "%s group is already up to date."
		L["%s group updated with %d items and %d materials."] = "%s group updated with %d items and %d materials."
		L["%s in guild vault"] = "%s in guild vault"
		L["%s is a valid custom price but %s is an invalid item."] = "%s is a valid custom price but %s is an invalid item."
		L["%s is a valid custom price but did not give a value for %s."] = "%s is a valid custom price but did not give a value for %s."
		L["%s is not a valid custom price and gave the following error: %s"] = "%s is not a valid custom price and gave the following error: %s"
		L["%s operation"] = "%s operation"
		L["%s operations"] = "%s operations"
		L["%s previously had the max number of operations, so removed %s."] = "%s previously had the max number of operations, so removed %s."
		L["%s removed."] = "%s removed."
		L["%s sent you %s"] = "%s sent you %s"
		L["%s sent you %s and %s"] = "%s sent you %s and %s"
		L["%s sent you a COD of %s for %s"] = "%s sent you a COD of %s for %s"
		L["%s sent you a message: %s"] = "%s sent you a message: %s"
		L["%s total"] = "%s total"
		L["%sDrag%s to move this button"] = "%sDrag%s to move this button"
		L["%sIMPORTANT:|r When Accounting data was last saved for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."] = "%sIMPORTANT:|r When Accounting data was last saved for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."
		L["%sIMPORTANT:|r When Accounting data was last saved for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."] = "%sIMPORTANT:|r When Accounting data was last saved for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."
		L["%sLeft-Click%s to open the main window"] = "%sLeft-Click%s to open the main window"
		L["%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."] = "%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."
		L["'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."] = "'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."
		L["(%d/500 Characters)"] = "(%d/500 Characters)"
		L["(minimum 0 - maximum %d)"] = "(minimum 0 - maximum %d)"
		L["1 Group"] = "1 Group"
		L["1 Item"] = "1 Item"
		L["1D"] = "1D"
		L["1M"] = "1M"
		L["1W"] = "1W"
		L["1Y"] = "1Y"
		L["2Y"] = "2Y"
		L["3M"] = "3M"
		L["6M"] = "6M"
		L["A brand new and improved user interface."] = "A brand new and improved user interface."
		L["A custom price of %s for %s evaluates to %s."] = "A custom price of %s for %s evaluates to %s."
		L["A maximum of 1 convert() function is allowed."] = "A maximum of 1 convert() function is allowed."
		L["A profile with that name already exists on the target account. Rename it first and try again."] = "A profile with that name already exists on the target account. Rename it first and try again."
		L["A profile with this name already exists."] = "A profile with this name already exists."
		L["A scan is already in progress. Please stop that scan before starting another one."] = "A scan is already in progress. Please stop that scan before starting another one."
		L["A single craft makes %d and you only need to restock %d."] = "A single craft makes %d and you only need to restock %d."
		L["AH"] = "AH"
		L["AH (Crafting)"] = "AH (Crafting)"
		L["AH (Disenchanting)"] = "AH (Disenchanting)"
		L["AH BUSY"] = "AH BUSY"
		L["AHDB Minimum Bid"] = "AHDB Minimum Bid"
		L["AHDB Minimum Buyout"] = "AHDB Minimum Buyout"
		L["ALT"] = "ALT"
		L["Above max expires."] = "Above max expires."
		L["Above max price. Not posting."] = "Above max price. Not posting."
		L["Above max price. Posting at max."] = "Above max price. Posting at max."
		L["Above max price. Posting at min."] = "Above max price. Posting at min."
		L["Above max price. Posting at normal."] = "Above max price. Posting at normal."
		L["Accept COD?"] = "Accept COD?"
		L["Accepting this item will cost: %s"] = "Accepting this item will cost: %s"
		L["Account Syncing"] = "Account Syncing"
		L["Account sync removed. Please delete the account sync from the other account as well."] = "Account sync removed. Please delete the account sync from the other account as well."
		L["Accounting"] = "Accounting"
		L["Activity Type"] = "Activity Type"
		L["Add"] = "Add"
		L["Add %d |4Item:Items"] = "Add %d |4Item:Items"
		L["Add %s Operation"] = "Add %s Operation"
		L["Add More Operations"] = "Add More Operations"
		L["Add Operation"] = "Add Operation"
		L["Add Subject / Description"] = "Add Subject / Description"
		L["Add a new custom source"] = "Add a new custom source"
		L["Add account"] = "Add account"
		L["Add operation to groups"] = "Add operation to groups"
		L["Add subject & description (optional)"] = "Add subject & description (optional)"
		L["Add to Mail"] = "Add to Mail"
		L["Added %s to %s."] = "Added %s to %s."
		L["Added '%s' profile which was received from %s."] = "Added '%s' profile which was received from %s."
		L["Additional error suppressed"] = "Additional error suppressed"
		L["Adjust how TSM values crafted items when calculating profit."] = "Adjust how TSM values crafted items when calculating profit."
		L["Adjust how crafted items are restocked."] = "Adjust how crafted items are restocked."
		L["Adjust how items are mailed."] = "Adjust how items are mailed."
		L["Adjust some general settings."] = "Adjust some general settings."
		L["Adjust the settings below to set how groups attached to this operation will be auctioned."] = "Adjust the settings below to set how groups attached to this operation will be auctioned."
		L["Adjust the settings below to set how groups attached to this operation will be cancelled."] = "Adjust the settings below to set how groups attached to this operation will be cancelled."
		L["Adjust the settings below to set how groups attached to this operation will be priced."] = "Adjust the settings below to set how groups attached to this operation will be priced."
		L["Advanced Item Search"] = "Advanced Item Search"
		L["Alarm Clock"] = "Alarm Clock"
		L["All"] = "All"
		L["All Auctions"] = "All Auctions"
		L["All Bought"] = "All Bought"
		L["All Cancelled"] = "All Cancelled"
		L["All Characters"] = "All Characters"
		L["All Expired"] = "All Expired"
		L["All Faction-Realms"] = "All Faction-Realms"
		L["All Guilds"] = "All Guilds"
		L["All Item Classes"] = "All Item Classes"
		L["All Other"] = "All Other"
		L["All Players"] = "All Players"
		L["All Professions"] = "All Professions"
		L["All Rarites"] = "All Rarites"
		L["All Rarities"] = "All Rarities"
		L["All Selected"] = "All Selected"
		L["All Slots"] = "All Slots"
		L["All Sold"] = "All Sold"
		L["All Sources"] = "All Sources"
		L["All Subclasses"] = "All Subclasses"
		L["All Time"] = "All Time"
		L["All Types"] = "All Types"
		L["Allow partial stack"] = "Allow partial stack"
		L["Allows for testing of custom prices"] = "Allows for testing of custom prices"
		L["Alt Guild Bank"] = "Alt Guild Bank"
		L["Alts"] = "Alts"
		L["Alts AH"] = "Alts AH"
		L["Amount"] = "Amount"
		L["Amount kept in bags"] = "Amount kept in bags"
		L["Amount of bag space to keep free"] = "Amount of bag space to keep free"
		L["An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."] = "An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."
		L["App Not Synced"] = "App Not Synced"
		L["App Synced %s Ago"] = "App Synced %s Ago"
		L["Appearance"] = "Appearance"
		L["Apply operation to group"] = "Apply operation to group"
		L["Are you sure you want to clear old accounting data?"] = "Are you sure you want to clear old accounting data?"
		L["Are you sure you want to delete the selected operations?"] = "Are you sure you want to delete the selected operations?"
		L["Are you sure you want to delete this operation?"] = "Are you sure you want to delete this operation?"
		L["At above max price and not undercut."] = "At above max price and not undercut."
		L["At normal price and not undercut."] = "At normal price and not undercut."
		L["Attachments"] = "Attachments"
		L["Auction"] = "Auction"
		L["Auction House Cut"] = "Auction House Cut"
		L["Auction House Sounds"] = "Auction House Sounds"
		L["Auction Window Close"] = "Auction Window Close"
		L["Auction Window Open"] = "Auction Window Open"
		L["Auction duration"] = "Auction duration"
		L["Auction has been bid on."] = "Auction has been bid on."
		L["Auction sale sound"] = "Auction sale sound"
		L["AuctionDB"] = "AuctionDB"
		L["AuctionDB - Historical Price (via TSM App)"] = "AuctionDB - Historical Price (via TSM App)"
		L["AuctionDB - Market Value"] = "AuctionDB - Market Value"
		L["AuctionDB - Minimum Buyout"] = "AuctionDB - Minimum Buyout"
		L["AuctionDB - Region Historical Price (via TSM App)"] = "AuctionDB - Region Historical Price (via TSM App)"
		L["AuctionDB - Region Market Value Average (via TSM App)"] = "AuctionDB - Region Market Value Average (via TSM App)"
		L["AuctionDB - Region Minimum Buyout Average (via TSM App)"] = "AuctionDB - Region Minimum Buyout Average (via TSM App)"
		L["AuctionDB - Region Sale Average (via TSM App)"] = "AuctionDB - Region Sale Average (via TSM App)"
		L["AuctionDB - Region Sale Rate (via TSM App)"] = "AuctionDB - Region Sale Rate (via TSM App)"
		L["AuctionDB - Region Sold Per Day (via TSM App)"] = "AuctionDB - Region Sold Per Day (via TSM App)"
		L["AuctionDB Realm Data is %s Old"] = "AuctionDB Realm Data is %s Old"
		L["AuctionDB Region Data is %s Old"] = "AuctionDB Region Data is %s Old"
		L["Auctionator - Auction Value"] = "Auctionator - Auction Value"
		L["Auctioneer - Appraiser"] = "Auctioneer - Appraiser"
		L["Auctioneer - Market Value"] = "Auctioneer - Market Value"
		L["Auctioneer - Minimum Buyout"] = "Auctioneer - Minimum Buyout"
		L["Auctioning"] = "Auctioning"
		L["Auctioning %s button"] = "Auctioning %s button"
		L["Auctioning Details"] = "Auctioning Details"
		L["Auctioning Log"] = "Auctioning Log"
		L["Auctioning Operation"] = "Auctioning Operation"
		L["Auctioning operation"] = "Auctioning operation"
		L["Auctioning operations control posting to and canceling from the AH."] = "Auctioning operations control posting to and canceling from the AH."
		L["Auctions"] = "Auctions"
		L["Auto Quest Complete"] = "Auto Quest Complete"
		L["Auto-focus browse search input"] = "Auto-focus browse search input"
		L["Average Earned per Day"] = "Average Earned per Day"
		L["Average Prices:"] = "Average Prices:"
		L["Average Profit per Day"] = "Average Profit per Day"
		L["Average Spent per Day"] = "Average Spent per Day"
		L["Avg Buy Price"] = "Avg Buy Price"
		L["Avg Profit"] = "Avg Profit"
		L["Avg Sell Price"] = "Avg Sell Price"
		L["BBG 14-Day Price"] = "BBG 14-Day Price"
		L["BBG 3-Day Price"] = "BBG 3-Day Price"
		L["BBG Global Mean"] = "BBG Global Mean"
		L["BBG Global Median"] = "BBG Global Median"
		L["BUSY"] = "BUSY"
		L["BUY"] = "BUY"
		L["Back"] = "Back"
		L["Bag"] = "Bag"
		L["Bags"] = "Bags"
		L["Banking"] = "Banking"
		L["Banks"] = "Banks"
		L["Base Group"] = "Base Group"
		L["Base Item"] = "Base Item"
		L["Below is a list of all available price sources, along with a brief description of what they represent."] = "Below is a list of all available price sources, along with a brief description of what they represent."
		L["Below min price. Posting at max."] = "Below min price. Posting at max."
		L["Below min price. Posting at min."] = "Below min price. Posting at min."
		L["Below min price. Posting at normal."] = "Below min price. Posting at normal."
		L["Below you can ignore this operation on certain characters or realms."] = "Below you can ignore this operation on certain characters or realms."
		L["Bid %d / %d"] = "Bid %d / %d"
		L["Bid (item)"] = "Bid (item)"
		L["Bid (stack)"] = "Bid (stack)"
		L["Bid (total)"] = "Bid (total)"
		L["Bid / Buyout"] = "Bid / Buyout"
		L["Bid Auction"] = "Bid Auction"
		L["Bid Price"] = "Bid Price"
		L["Bid Sniper Paused"] = "Bid Sniper Paused"
		L["Bid Sniper Running"] = "Bid Sniper Running"
		L["Bid percent must be between 0 and 100."] = "Bid percent must be between 0 and 100."
		L["Bidding Auction"] = "Bidding Auction"
		L["Blacklisted players"] = "Blacklisted players"
		L["Bought"] = "Bought"
		L["Bought %d of %s from %s for %s"] = "Bought %d of %s from %s for %s"
		L["Bought %sx%d for %s from %s"] = "Bought %sx%d for %s from %s"
		L["Bound Actions"] = "Bound Actions"
		L["Browse"] = "Browse"
		L["Browse / Sniper"] = "Browse / Sniper"
		L["Buy"] = "Buy"
		L["Buy %d / %d"] = "Buy %d / %d"
		L["Buy %d / %d (Confirming %d / %d)"] = "Buy %d / %d (Confirming %d / %d)"
		L["Buy Auction"] = "Buy Auction"
		L["Buy Commodity"] = "Buy Commodity"
		L["Buy Groups"] = "Buy Groups"
		L["Buy Options"] = "Buy Options"
		L["Buy from AH"] = "Buy from AH"
		L["Buy from AH (Crafting)"] = "Buy from AH (Crafting)"
		L["Buy from AH (Disenchant)"] = "Buy from AH (Disenchant)"
		L["Buy from Vendor"] = "Buy from Vendor"
		L["Buyback All"] = "Buyback All"
		L["Buyer/Seller"] = "Buyer/Seller"
		L["Buyout"] = "Buyout"
		L["Buyout (item)"] = "Buyout (item)"
		L["Buyout (stack)"] = "Buyout (stack)"
		L["Buyout (total)"] = "Buyout (total)"
		L["Buyout Price"] = "Buyout Price"
		L["Buyout Sniper Paused"] = "Buyout Sniper Paused"
		L["Buyout Sniper Running"] = "Buyout Sniper Running"
		L["Buyout confirmation alert"] = "Buyout confirmation alert"
		L["COD"] = "COD"
		L["CRAFT"] = "CRAFT"
		L["CRAFTING"] = "CRAFTING"
		L["CTRL"] = "CTRL"
		L["Can't load TSM tooltip while in combat"] = "Can't load TSM tooltip while in combat"
		L["Cancel"] = "Cancel"
		L["Cancel %d / %d"] = "Cancel %d / %d"
		L["Cancel Auction"] = "Cancel Auction"
		L["Cancel Scan"] = "Cancel Scan"
		L["Cancel auctions with bids"] = "Cancel auctions with bids"
		L["Cancel or Post"] = "Cancel or Post"
		L["Cancel to repost higher"] = "Cancel to repost higher"
		L["Cancel undercut auctions"] = "Cancel undercut auctions"
		L["Canceled information"] = "Canceled information"
		L["Canceling"] = "Canceling"
		L["Canceling %d / %d"] = "Canceling %d / %d"
		L["Canceling %d Auctions..."] = "Canceling %d Auctions..."
		L["Canceling Options"] = "Canceling Options"
		L["Canceling auction you've undercut."] = "Canceling auction you've undercut."
		L["Canceling disabled."] = "Canceling disabled."
		L["Canceling to repost at higher price."] = "Canceling to repost at higher price."
		L["Canceling to repost at reset price."] = "Canceling to repost at reset price."
		L["Canceling to repost higher."] = "Canceling to repost higher."
		L["Canceling undercut auctions and to repost higher."] = "Canceling undercut auctions and to repost higher."
		L["Canceling undercut auctions."] = "Canceling undercut auctions."
		L["Cancelled"] = "Cancelled"
		L["Cancelled Since Last Sale"] = "Cancelled Since Last Sale"
		L["Cancelled auction of %sx%d"] = "Cancelled auction of %sx%d"
		L["Cancelled:"] = "Cancelled:"
		L["Cancelling..."] = "Cancelling..."
		L["Cannot repair from the guild bank!"] = "Cannot repair from the guild bank!"
		L["Cannot use additional filters with /crafting or /disenchant."] = "Cannot use additional filters with /crafting or /disenchant."
		L["Cash Register"] = "Cash Register"
		L["Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"] = "Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"
		L["Character"] = "Character"
		L["Chat Tab"] = "Chat Tab"
		L["Cheapest auction below min price."] = "Cheapest auction below min price."
		L["Clear All"] = "Clear All"
		L["Clear Data"] = "Clear Data"
		L["Clear Filters"] = "Clear Filters"
		L["Clear Old Data"] = "Clear Old Data"
		L["Clear Old Data?"] = "Clear Old Data?"
		L["Click and drag to resize this window."] = "Click and drag to resize this window."
		L["Click to hide this item for the current session. Hold shift to hide this item permanently."] = "Click to hide this item for the current session. Hold shift to hide this item permanently."
		L["Coins (%s)"] = "Coins (%s)"
		L["Combine Partial Stacks"] = "Combine Partial Stacks"
		L["Combining..."] = "Combining..."
		L["Completed full AH scan (%d auctions)!"] = "Completed full AH scan (%d auctions)!"
		L["Confirm"] = "Confirm"
		L["Confirm complete sound"] = "Confirm complete sound"
		L["Confirmation %s button"] = "Confirmation %s button"
		L["Confirming %d / %d"] = "Confirming %d / %d"
		L["Connected to %s"] = "Connected to %s"
		L["Connecting to %s"] = "Connecting to %s"
		L["Contacts"] = "Contacts"
		L["Contains auctions above your alert threshold!"] = "Contains auctions above your alert threshold!"
		L["Cooldown"] = "Cooldown"
		L["Cooldowns"] = "Cooldowns"
		L["Copy Letter"] = "Copy Letter"
		L["Cost"] = "Cost"
		L["Could not create macro as you already have too many. Delete one of your existing macros and try again."] = "Could not create macro as you already have too many. Delete one of your existing macros and try again."
		L["Could not find profile '%s'. Possible profiles: '%s'"] = "Could not find profile '%s'. Possible profiles: '%s'"
		L["Could not sell items due to not having free bag space available to split a stack of items."] = "Could not sell items due to not having free bag space available to split a stack of items."
		L["Craft"] = "Craft"
		L["Craft (Profitable)"] = "Craft (Profitable)"
		L["Craft (Unprofitable)"] = "Craft (Unprofitable)"
		L["Craft All"] = "Craft All"
		L["Craft Next"] = "Craft Next"
		L["Craft Value"] = "Craft Value"
		L["Crafted Items"] = "Crafted Items"
		L["Crafter"] = "Crafter"
		L["Crafting"] = "Crafting"
		L["Crafting %s button"] = "Crafting %s button"
		L["Crafting Cost"] = "Crafting Cost"
		L["Crafting List"] = "Crafting List"
		L["Crafting Material Cost"] = "Crafting Material Cost"
		L["Crafting Mode"] = "Crafting Mode"
		L["Crafting Queue (%d)"] = "Crafting Queue (%d)"
		L["Crafting Value"] = "Crafting Value"
		L["Crafting cost"] = "Crafting cost"
		L["Crafting operation"] = "Crafting operation"
		L["Crafting operations control how queuing profession crafts."] = "Crafting operations control how queuing profession crafts."
		L["Crafts"] = "Crafts"
		L["Crafts %d"] = "Crafts %d"
		L["Create Groups from Table"] = "Create Groups from Table"
		L["Create New"] = "Create New"
		L["Create New Group"] = "Create New Group"
		L["Create New Operation"] = "Create New Operation"
		L["Create Profession Groups"] = "Create Profession Groups"
		L["Create macro"] = "Create macro"
		L["Create new profile"] = "Create new profile"
		L["Current Price"] = "Current Price"
		L["Custom Price"] = "Custom Price"
		L["Custom Source"] = "Custom Source"
		L["Custom Sources"] = "Custom Sources"
		L["Custom price name %s already exists."] = "Custom price name %s already exists."
		L["Custom price name %s is a reserved word which cannot be used."] = "Custom price name %s is a reserved word which cannot be used."
		L["Custom price names can only contain lowercase letters."] = "Custom price names can only contain lowercase letters."
		L["Custom source (%s)"] = "Custom source (%s)"
		L["Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."] = "Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."
		L["DAILY PURCHASES"] = "DAILY PURCHASES"
		L["DAILY SALES"] = "DAILY SALES"
		L["Dalaran"] = "Dalaran"
		L["Dashboard"] = "Dashboard"
		L["Default Price"] = "Default Price"
		L["Default craft value method"] = "Default craft value method"
		L["Default material cost method"] = "Default material cost method"
		L["Default price configuration"] = "Default price configuration"
		L["Define what priority Gathering gives certain sources."] = "Define what priority Gathering gives certain sources."
		L["Delete %d Operations"] = "Delete %d Operations"
		L["Delete Group?"] = "Delete Group?"
		L["Delete Operation?"] = "Delete Operation?"
		L["Delete Operations"] = "Delete Operations"
		L["Delete Operations?"] = "Delete Operations?"
		L["Delete Profile?"] = "Delete Profile?"
		L["Delete Record?"] = "Delete Record?"
		L["Delete the profile"] = "Delete the profile"
		L["Deleting this group (%s) will also remove any sub-groups attached to this group."] = "Deleting this group (%s) will also remove any sub-groups attached to this group."
		L["Deposit"] = "Deposit"
		L["Deposit Cost"] = "Deposit Cost"
		L["Deposit reagents"] = "Deposit reagents"
		L["Deselect All"] = "Deselect All"
		L["Destroy Next"] = "Destroy Next"
		L["Destroy Value"] = "Destroy Value"
		L["Destroy value"] = "Destroy value"
		L["Destroy value source"] = "Destroy value source"
		L["Destroying"] = "Destroying"
		L["Destroying %s button"] = "Destroying %s button"
		L["Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."] = "Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."
		L["Destroying will ignore %s until you log out."] = "Destroying will ignore %s until you log out."
		L["Destroying..."] = "Destroying..."
		L["Detailed crafting cost"] = "Detailed crafting cost"
		L["Detailed destroy information"] = "Detailed destroy information"
		L["Details"] = "Details"
		L["Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."] = "Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."
		L["Did not cancel %s because your maximum price (%s) is invalid. Check your settings."] = "Did not cancel %s because your maximum price (%s) is invalid. Check your settings."
		L["Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."
		L["Did not cancel %s because your minimum price (%s) is invalid. Check your settings."] = "Did not cancel %s because your minimum price (%s) is invalid. Check your settings."
		L["Did not cancel %s because your normal price (%s) is invalid. Check your settings."] = "Did not cancel %s because your normal price (%s) is invalid. Check your settings."
		L["Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."
		L["Did not cancel %s because your undercut (%s) is invalid. Check your settings."] = "Did not cancel %s because your undercut (%s) is invalid. Check your settings."
		L["Did not change prices due to an invalid bid or buyout value."] = "Did not change prices due to an invalid bid or buyout value."
		L["Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."] = "Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."
		L["Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."] = "Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."
		L["Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."] = "Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."
		L["Did not post %s because your keep quantity (%s) is invalid. Check your settings."] = "Did not post %s because your keep quantity (%s) is invalid. Check your settings."
		L["Did not post %s because your max expires (%s) is invalid. Check your settings."] = "Did not post %s because your max expires (%s) is invalid. Check your settings."
		L["Did not post %s because your maximum price (%s) is invalid. Check your settings."] = "Did not post %s because your maximum price (%s) is invalid. Check your settings."
		L["Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."
		L["Did not post %s because your minimum price (%s) is invalid. Check your settings."] = "Did not post %s because your minimum price (%s) is invalid. Check your settings."
		L["Did not post %s because your normal price (%s) is invalid. Check your settings."] = "Did not post %s because your normal price (%s) is invalid. Check your settings."
		L["Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."
		L["Did not post %s because your post cap (%s) is invalid. Check your settings."] = "Did not post %s because your post cap (%s) is invalid. Check your settings."
		L["Did not post %s because your stack size (%s) is invalid. Check your settings."] = "Did not post %s because your stack size (%s) is invalid. Check your settings."
		L["Did not post %s because your undercut (%s) is invalid. Check your settings."] = "Did not post %s because your undercut (%s) is invalid. Check your settings."
		L["Disable invalid price warnings"] = "Disable invalid price warnings"
		L["Disenchant Search"] = "Disenchant Search"
		L["Disenchant Search Options"] = "Disenchant Search Options"
		L["Disenchant Value"] = "Disenchant Value"
		L["Disenchant value"] = "Disenchant value"
		L["Disenchanting Options"] = "Disenchanting Options"
		L["Display total money received in chat"] = "Display total money received in chat"
		L["Don't Post Items"] = "Don't Post Items"
		L["Don't post after this many expires"] = "Don't post after this many expires"
		L["Don't prompt to record trades"] = "Don't prompt to record trades"
		L["Done Canceling"] = "Done Canceling"
		L["Done Posting"] = "Done Posting"
		L["Done Scanning"] = "Done Scanning"
		L["Done rebuilding item cache."] = "Done rebuilding item cache."
		L["Down"] = "Down"
		L["Duplicate the profile"] = "Duplicate the profile"
		L["Duration"] = "Duration"
		L["Duskwood"] = "Duskwood"
		L["ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."] = "ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."
		L["ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."] = "ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."
		L["ERROR: The auction house must be open in order to do a scan."] = "ERROR: The auction house must be open in order to do a scan."
		L["EXPENSES"] = "EXPENSES"
		L["Edit"] = "Edit"
		L["Edit Custom Source"] = "Edit Custom Source"
		L["Edit Material Price"] = "Edit Material Price"
		L["Edit Post"] = "Edit Post"
		L["Embed TSM tooltip"] = "Embed TSM tooltip"
		L["Empty bags"] = "Empty bags"
		L["Empty parentheses are not allowed"] = "Empty parentheses are not allowed"
		L["Empty price string."] = "Empty price string."
		L["Enable TSM tooltips"] = "Enable TSM tooltips"
		L["Enable automatic stack combination"] = "Enable automatic stack combination"
		L["Enable buying"] = "Enable buying"
		L["Enable inbox chat messages"] = "Enable inbox chat messages"
		L["Enable restock"] = "Enable restock"
		L["Enable selling"] = "Enable selling"
		L["Enable sending chat messages"] = "Enable sending chat messages"
		L["Enchant"] = "Enchant"
		L["Enchant Vellum"] = "Enchant Vellum"
		L["Ensure both characters are online and try again."] = "Ensure both characters are online and try again."
		L["Enter Filter"] = "Enter Filter"
		L["Enter Keyword"] = "Enter Keyword"
		L["Enter a value from %d - %d"] = "Enter a value from %d - %d"
		L["Enter a value from %d - %d%%"] = "Enter a value from %d - %d%%"
		L["Enter name of logged-in character on other account"] = "Enter name of logged-in character on other account"
		L["Enter player name"] = "Enter player name"
		L["Enter profile name"] = "Enter profile name"
		L["Enter recipient name"] = "Enter recipient name"
		L["Establishing connection to %s. Make sure that you've entered this character's name on the other account."] = "Establishing connection to %s. Make sure that you've entered this character's name on the other account."
		L["Establishing connection..."] = "Establishing connection..."
		L["Estimated Cost:"] = "Estimated Cost:"
		L["Estimated Profit:"] = "Estimated Profit:"
		L["Estimated deliver time"] = "Estimated deliver time"
		L["Exact Match"] = "Exact Match"
		L["Example"] = "Example"
		L["Example Item"] = "Example Item"
		L["Example Tooltip"] = "Example Tooltip"
		L["Exclude custom sources?"] = "Exclude custom sources?"
		L["Exclude operations?"] = "Exclude operations?"
		L["Exit"] = "Exit"
		L["Expand / Collapse All Groups"] = "Expand / Collapse All Groups"
		L["Expenses"] = "Expenses"
		L["Expirations"] = "Expirations"
		L["Expired"] = "Expired"
		L["Expired Auctions"] = "Expired Auctions"
		L["Expired Since Last Sale"] = "Expired Since Last Sale"
		L["Expired information"] = "Expired information"
		L["Expires"] = "Expires"
		L["Expires Since Last Sale"] = "Expires Since Last Sale"
		L["Expiring Mails"] = "Expiring Mails"
		L["Exploration"] = "Exploration"
		L["Export"] = "Export"
		L["Export String"] = "Export String"
		L["Export this group"] = "Export this group"
		L["Failed Auctions"] = "Failed Auctions"
		L["Failed to bid on auction of %s (x%s) for %s."] = "Failed to bid on auction of %s (x%s) for %s."
		L["Failed to bid on auction of %s."] = "Failed to bid on auction of %s."
		L["Failed to buy auction of %s (x%s) for %s."] = "Failed to buy auction of %s (x%s) for %s."
		L["Failed to buy auction of %s."] = "Failed to buy auction of %s."
		L["Failed to buy auction."] = "Failed to buy auction."
		L["Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."] = "Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."
		L["Failed to find auction for %s, so removing it from the results."] = "Failed to find auction for %s, so removing it from the results."
		L["Failed to post %sx%d as the item no longer exists in your bags."] = "Failed to post %sx%d as the item no longer exists in your bags."
		L["Failed to run full AH scan."] = "Failed to run full AH scan."
		L["Failed to send profile."] = "Failed to send profile."
		L["Failed to send profile. Ensure both characters are online and try again."] = "Failed to send profile. Ensure both characters are online and try again."
		L["Failed to start sniper. No groups have a Sniper operation applied."] = "Failed to start sniper. No groups have a Sniper operation applied."
		L["Favorite Scans"] = "Favorite Scans"
		L["Favorite Searches"] = "Favorite Searches"
		L["Favorited Patterns"] = "Favorited Patterns"
		L["Filter by Keyword"] = "Filter by Keyword"
		L["Filter by Price Source"] = "Filter by Price Source"
		L["Filter by Profession"] = "Filter by Profession"
		L["Filter by duration"] = "Filter by duration"
		L["Filter by groups"] = "Filter by groups"
		L["Filter by keyword"] = "Filter by keyword"
		L["Filter group item lists based on the following price source"] = "Filter group item lists based on the following price source"
		L["Finding Selected Auction"] = "Finding Selected Auction"
		L["First Auctioning Operation Max Price"] = "First Auctioning Operation Max Price"
		L["First Auctioning Operation Min Price"] = "First Auctioning Operation Min Price"
		L["First Auctioning Operation Normal Price"] = "First Auctioning Operation Normal Price"
		L["Fishing Reel In"] = "Fishing Reel In"
		L["For more info, visit %s. For help, join us in Discord: %s."] = "For more info, visit %s. For help, join us in Discord: %s."
		L["Forget Character"] = "Forget Character"
		L["Found auction sound"] = "Found auction sound"
		L["Friends"] = "Friends"
		L["From"] = "From"
		L["Full inventory"] = "Full inventory"
		L["GVault"] = "GVault"
		L["Garrison"] = "Garrison"
		L["Gathering"] = "Gathering"
		L["Gathering Search"] = "Gathering Search"
		L["Gathering Setup"] = "Gathering Setup"
		L["General Options"] = "General Options"
		L["General Settings"] = "General Settings"
		L["Get from Bank"] = "Get from Bank"
		L["Get from Guild Bank"] = "Get from Guild Bank"
		L["Gets items from the bank or guild bank matching the item or partial text entered."] = "Gets items from the bank or guild bank matching the item or partial text entered."
		L["Gold"] = "Gold"
		L["Great Deals Search"] = "Great Deals Search"
		L["Group Management"] = "Group Management"
		L["Group Search"] = "Group Search"
		L["Group already exists."] = "Group already exists."
		L["Group name"] = "Group name"
		L["Grouped Items"] = "Grouped Items"
		L["Groups"] = "Groups"
		L["Groups & Operations"] = "Groups & Operations"
		L["Groups Using"] = "Groups Using"
		L["Guild"] = "Guild"
		L["Guild Bank"] = "Guild Bank"
		L["HIGH"] = "HIGH"
		L["Have"] = "Have"
		L["Have Mats"] = "Have Mats"
		L["Have Skill Ups"] = "Have Skill Ups"
		L["Here you can add/remove what groups this operation is attached to."] = "Here you can add/remove what groups this operation is attached to."
		L["Hide Columns"] = "Hide Columns"
		L["Hide auctions with bids"] = "Hide auctions with bids"
		L["Hide minimap icon"] = "Hide minimap icon"
		L["Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."] = "Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."
		L["Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."] = "Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."
		L["High Bidder"] = "High Bidder"
		L["Historical Price"] = "Historical Price"
		L["Historical price"] = "Historical price"
		L["Hold ALT to repair from the guild bank."] = "Hold ALT to repair from the guild bank."
		L["Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."] = "Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."
		L["Hold SHIFT to continue after the inbox refreshes"] = "Hold SHIFT to continue after the inbox refreshes"
		L["Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."
		L["Hold SHIFT to not continue after the inbox refreshes"] = "Hold SHIFT to not continue after the inbox refreshes"
		L["Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."
		L["Hold SHIFT while dragging to scale the window instead."] = "Hold SHIFT while dragging to scale the window instead."
		L["Hold shift to move the items to the parent group instead of removing them."] = "Hold shift to move the items to the parent group instead of removing them."
		L["Hr"] = "Hr"
		L["Hrs"] = "Hrs"
		L["If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."] = "If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."
		L["Ignore Auctions Below Min"] = "Ignore Auctions Below Min"
		L["Ignore Characters"] = "Ignore Characters"
		L["Ignore Guilds"] = "Ignore Guilds"
		L["Ignore auctions by duration"] = "Ignore auctions by duration"
		L["Ignore operation on characters"] = "Ignore operation on characters"
		L["Ignore operation on faction-realms"] = "Ignore operation on faction-realms"
		L["Ignore variations"] = "Ignore variations"
		L["Ignored Cooldowns"] = "Ignored Cooldowns"
		L["Ignored Items"] = "Ignored Items"
		L["Import"] = "Import"
		L["Import Groups & Operations"] = "Import Groups & Operations"
		L["Import String"] = "Import String"
		L["Import Summary"] = "Import Summary"
		L["Import group"] = "Import group"
		L["Imported Group"] = "Imported Group"
		L["Imported group (%s) with %d items, %d operations, and %d custom sources."] = "Imported group (%s) with %d items, %d operations, and %d custom sources."
		L["Improved Import / Export."] = "Improved Import / Export."
		L["Inbox Settings"] = "Inbox Settings"
		L["Include operations?"] = "Include operations?"
		L["Include soulbound items"] = "Include soulbound items"
		L["Information"] = "Information"
		L["Invalid Quantity"] = "Invalid Quantity"
		L["Invalid custom price source for %s. %s"] = "Invalid custom price source for %s. %s"
		L["Invalid custom price."] = "Invalid custom price."
		L["Invalid function."] = "Invalid function."
		L["Invalid gold value."] = "Invalid gold value."
		L["Invalid group name."] = "Invalid group name."
		L["Invalid item link."] = "Invalid item link."
		L["Invalid numeric value."] = "Invalid numeric value."
		L["Invalid operation name."] = "Invalid operation name."
		L["Invalid operator at end of custom price."] = "Invalid operator at end of custom price."
		L["Invalid parameter to price source."] = "Invalid parameter to price source."
		L["Invalid player name."] = "Invalid player name."
		L["Invalid price source in convert."] = "Invalid price source in convert."
		L["Invalid price."] = "Invalid price."
		L["Invalid search filter (%s)."] = "Invalid search filter (%s)."
		L["Invalid search term."] = "Invalid search term."
		L["Invalid search term. Cannot filter by price here."] = "Invalid search term. Cannot filter by price here."
		L["Invalid seller data returned by server."] = "Invalid seller data returned by server."
		L["Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."] = "Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."
		L["Invalid word: '%s'"] = "Invalid word: '%s'"
		L["Inventory"] = "Inventory"
		L["Inventory / Gold Graph"] = "Inventory / Gold Graph"
		L["Inventory Options"] = "Inventory Options"
		L["It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."] = "It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."
		L["It looks like you're trying to reference an old global price source which no longer exists."] = "It looks like you're trying to reference an old global price source which no longer exists."
		L["Item"] = "Item"
		L["Item Class"] = "Item Class"
		L["Item Level"] = "Item Level"
		L["Item Level Range"] = "Item Level Range"
		L["Item Name"] = "Item Name"
		L["Item Quality"] = "Item Quality"
		L["Item Selection"] = "Item Selection"
		L["Item Slot"] = "Item Slot"
		L["Item Subclass"] = "Item Subclass"
		L["Item Value"] = "Item Value"
		L["Item links may only be used as parameters to price sources."] = "Item links may only be used as parameters to price sources."
		L["Item/Group is invalid (see chat)."] = "Item/Group is invalid (see chat)."
		L["Items"] = "Items"
		L["Items Using"] = "Items Using"
		L["Keep in bags quantity"] = "Keep in bags quantity"
		L["Keep in bank quantity"] = "Keep in bank quantity"
		L["Keep quantity"] = "Keep quantity"
		L["Keep this amount"] = "Keep this amount"
		L["Keeping %d."] = "Keeping %d."
		L["Keeping undercut auctions posted."] = "Keeping undercut auctions posted."
		L["LEAST GROUPS"] = "LEAST GROUPS"
		L["LEAST ITEMS"] = "LEAST ITEMS"
		L["LOW"] = "LOW"
		L["Last 14 Days"] = "Last 14 Days"
		L["Last 3 Days"] = "Last 3 Days"
		L["Last 30 Days"] = "Last 30 Days"
		L["Last 60 Days"] = "Last 60 Days"
		L["Last 7 Days"] = "Last 7 Days"
		L["Last Purchased"] = "Last Purchased"
		L["Last Sold"] = "Last Sold"
		L["Ledger"] = "Ledger"
		L["Level Up"] = "Level Up"
		L["Limit"] = "Limit"
		L["Link to Another Operation"] = "Link to Another Operation"
		L["Loading..."] = "Loading..."
		L["Lock Column Width"] = "Lock Column Width"
		L["Lock task list's background"] = "Lock task list's background"
		L["Looks like TradeSkillMaster has encountered an error. Please help the author fix this error by following the instructions shown."] = "Looks like TradeSkillMaster has encountered an error. Please help the author fix this error by following the instructions shown."
		L["Loop detected in the following custom price:"] = "Loop detected in the following custom price:"
		L["Lowest auction by whitelisted player."] = "Lowest auction by whitelisted player."
		L["MOST GROUPS"] = "MOST GROUPS"
		L["MOST ITEMS"] = "MOST ITEMS"
		L["MOVE"] = "MOVE"
		L["MOVING"] = "MOVING"
		L["Macro Setup"] = "Macro Setup"
		L["Macro created and scroll wheel bound!"] = "Macro created and scroll wheel bound!"
		L["Macros"] = "Macros"
		L["Mail"] = "Mail"
		L["Mail Disenchantables"] = "Mail Disenchantables"
		L["Mail Selected Groups"] = "Mail Selected Groups"
		L["Mail Selected Groups (Auto Resend)"] = "Mail Selected Groups (Auto Resend)"
		L["Mail Selected Groups (Dry Run + Auto Resend)"] = "Mail Selected Groups (Dry Run + Auto Resend)"
		L["Mail Selected Groups (Dry Run)"] = "Mail Selected Groups (Dry Run)"
		L["Mail disenchantables max quality"] = "Mail disenchantables max quality"
		L["Mail to %s"] = "Mail to %s"
		L["Mailing"] = "Mailing"
		L["Mailing all to %s."] = "Mailing all to %s."
		L["Mailing operation"] = "Mailing operation"
		L["Mailing operations control mailing to other characters."] = "Mailing operations control mailing to other characters."
		L["Mailing up to %d to %s."] = "Mailing up to %d to %s."
		L["Make Cash On Delivery?"] = "Make Cash On Delivery?"
		L["Make Operations Global?"] = "Make Operations Global?"
		L["Management Options"] = "Management Options"
		L["Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."] = "Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."
		L["Map Ping"] = "Map Ping"
		L["Market Value"] = "Market Value"
		L["Market Value Price Source"] = "Market Value Price Source"
		L["Market value"] = "Market value"
		L["Market value price source"] = "Market value price source"
		L["Mat Price"] = "Mat Price"
		L["Mat cost"] = "Mat cost"
		L["Match stack size"] = "Match stack size"
		L["Match whitelisted players"] = "Match whitelisted players"
		L["Material Cost"] = "Material Cost"
		L["Material Price"] = "Material Price"
		L["Materials"] = "Materials"
		L["Materials to Gather"] = "Materials to Gather"
		L["Max"] = "Max"
		L["Max Buy Price"] = "Max Buy Price"
		L["Max Price"] = "Max Price"
		L["Max Sell Price"] = "Max Sell Price"
		L["Max Shopping Price"] = "Max Shopping Price"
		L["Max destroy value (Enter '0c' to disable)"] = "Max destroy value (Enter '0c' to disable)"
		L["Max expires to bank"] = "Max expires to bank"
		L["Max market value (Enter '0c' to disable)"] = "Max market value (Enter '0c' to disable)"
		L["Max quantity"] = "Max quantity"
		L["Max restock quantity"] = "Max restock quantity"
		L["Max shopping price"] = "Max shopping price"
		L["Max sniper price"] = "Max sniper price"
		L["Maximum Quantity to Buy"] = "Maximum Quantity to Buy"
		L["Maximum amount already posted."] = "Maximum amount already posted."
		L["Maximum auction price"] = "Maximum auction price"
		L["Maximum disenchant level"] = "Maximum disenchant level"
		L["Maximum disenchant quality"] = "Maximum disenchant quality"
		L["Maximum disenchant search percent"] = "Maximum disenchant search percent"
		L["Maximum price"] = "Maximum price"
		L["Maximum restock quantity"] = "Maximum restock quantity"
		L["Midnight"] = "Midnight"
		L["Mill Value"] = "Mill Value"
		L["Mill value"] = "Mill value"
		L["Min"] = "Min"
		L["Min 0 - Max 20"] = "Min 0 - Max 20"
		L["Min 0.5 - Max 10"] = "Min 0.5 - Max 10"
		L["Min Buy Price"] = "Min Buy Price"
		L["Min Buyout"] = "Min Buyout"
		L["Min Sell Price"] = "Min Sell Price"
		L["Min buyout"] = "Min buyout"
		L["Min number of expires"] = "Min number of expires"
		L["Min profit amount"] = "Min profit amount"
		L["Min restock quantity"] = "Min restock quantity"
		L["Min/Normal/Max Prices"] = "Min/Normal/Max Prices"
		L["Min/Normal/Max price"] = "Min/Normal/Max price"
		L["Minimum Rarity"] = "Minimum Rarity"
		L["Minimum disenchant level"] = "Minimum disenchant level"
		L["Minimum price"] = "Minimum price"
		L["Misplaced comma"] = "Misplaced comma"
		L["Missing Materials"] = "Missing Materials"
		L["Missing operator between sets of parenthesis"] = "Missing operator between sets of parenthesis"
		L["Modifiers"] = "Modifiers"
		L["Money Frame Open"] = "Money Frame Open"
		L["Money Transfer"] = "Money Transfer"
		L["Move %d already grouped items?"] = "Move %d already grouped items?"
		L["Move %d |4Item:Items"] = "Move %d |4Item:Items"
		L["Move Item"] = "Move Item"
		L["Move Quantity Options"] = "Move Quantity Options"
		L["Move all to Bags"] = "Move all to Bags"
		L["Move to Parent Group"] = "Move to Parent Group"
		L["Move to bags"] = "Move to bags"
		L["Move to bank"] = "Move to bank"
		L["Moving"] = "Moving"
		L["Multiple Items"] = "Multiple Items"
		L["Must be between %d and %s."] = "Must be between %d and %s."
		L["My Auctions"] = "My Auctions"
		L["My Auctions %s button"] = "My Auctions %s button"
		L["NEED MATS"] = "NEED MATS"
		L["NO ITEMS"] = "NO ITEMS"
		L["NOT OPEN"] = "NOT OPEN"
		L["NOTE: The import contained %d invalid items which were ignored."] = "NOTE: The import contained %d invalid items which were ignored."
		L["NOTE: The import contained %d operations with at least one invalid setting which was reset."] = "NOTE: The import contained %d operations with at least one invalid setting which was reset."
		L["NPC"] = "NPC"
		L["Name"] = "Name"
		L["New Base Group search."] = "New Base Group search."
		L["New Group"] = "New Group"
		L["New Operation"] = "New Operation"
		L["New price sources."] = "New price sources."
		L["News & Information"] = "News & Information"
		L["No Attachments"] = "No Attachments"
		L["No AuctionDB Realm Data"] = "No AuctionDB Realm Data"
		L["No AuctionDB Region Data"] = "No AuctionDB Region Data"
		L["No Characters"] = "No Characters"
		L["No Crafts"] = "No Crafts"
		L["No Faction-Realms"] = "No Faction-Realms"
		L["No Guilds"] = "No Guilds"
		L["No Materials to Gather"] = "No Materials to Gather"
		L["No Operation Selected"] = "No Operation Selected"
		L["No Players"] = "No Players"
		L["No Profession Opened"] = "No Profession Opened"
		L["No Profession Selected"] = "No Profession Selected"
		L["No Professions"] = "No Professions"
		L["No Rarities"] = "No Rarities"
		L["No Sound"] = "No Sound"
		L["No Sources"] = "No Sources"
		L["No Types"] = "No Types"
		L["No group selected"] = "No group selected"
		L["No item specified. Usage: /tsm restock_help [ITEM_LINK]"] = "No item specified. Usage: /tsm restock_help [ITEM_LINK]"
		L["No posting."] = "No posting."
		L["No profile specified. Possible profiles: '%s'"] = "No profile specified. Possible profiles: '%s'"
		L["No receipe selected"] = "No receipe selected"
		L["No recent AuctionDB scan data found."] = "No recent AuctionDB scan data found."
		L["No value was returned by the custom price for the specified item."] = "No value was returned by the custom price for the specified item."
		L["None"] = "None"
		L["None (Always Show)"] = "None (Always Show)"
		L["None Selected"] = "None Selected"
		L["Nongroup to bank"] = "Nongroup to bank"
		L["Normal price"] = "Normal price"
		L["Not Connected"] = "Not Connected"
		L["Not Enough Money"] = "Not Enough Money"
		L["Not Scanned"] = "Not Scanned"
		L["Not canceling auction at reset price."] = "Not canceling auction at reset price."
		L["Not canceling auction below min price."] = "Not canceling auction below min price."
		L["Not canceling."] = "Not canceling."
		L["Not enough items in bags."] = "Not enough items in bags."
		L["Not enough money to cancel."] = "Not enough money to cancel."
		L["Nothing to move."] = "Nothing to move."
		L["Nothing to send."] = "Nothing to send."
		L["Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."] = "Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."
		L["Number Owned"] = "Number Owned"
		L["OPEN"] = "OPEN"
		L["Offline"] = "Offline"
		L["On Cooldown"] = "On Cooldown"
		L["Only show craftable"] = "Only show craftable"
		L["Only show items with disenchant values above this price"] = "Only show items with disenchant values above this price"
		L["Only show sold auctions"] = "Only show sold auctions"
		L["Open All Mail"] = "Open All Mail"
		L["Open All Mail Without Money"] = "Open All Mail Without Money"
		L["Open Mail"] = "Open Mail"
		L["Open Mail Without Money"] = "Open Mail Without Money"
		L["Open Task List"] = "Open Task List"
		L["Open mail complete sound"] = "Open mail complete sound"
		L["Opens the Destroying frame if there's stuff in your bags to be destroyed."] = "Opens the Destroying frame if there's stuff in your bags to be destroyed."
		L["Operation"] = "Operation"
		L["Operations"] = "Operations"
		L["Options specific to Sniper are below."] = "Options specific to Sniper are below."
		L["Order Confirmation"] = "Order Confirmation"
		L["Orgrimmar"] = "Orgrimmar"
		L["Other"] = "Other"
		L["Other Character"] = "Other Character"
		L["Override Parent Operations"] = "Override Parent Operations"
		L["Override default craft value"] = "Override default craft value"
		L["PROFIT"] = "PROFIT"
		L["Parent Items"] = "Parent Items"
		L["Pausing Scan..."] = "Pausing Scan..."
		L["Per Item"] = "Per Item"
		L["Per Stack"] = "Per Stack"
		L["Per-Character group selections."] = "Per-Character group selections."
		L["Performing a dry-run of your Mailing operations for the selected groups."] = "Performing a dry-run of your Mailing operations for the selected groups."
		L["Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."] = "Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."
		L["Player Gold"] = "Player Gold"
		L["Player Invite Accept"] = "Player Invite Accept"
		L["Post"] = "Post"
		L["Post / Cancel"] = "Post / Cancel"
		L["Post Auction"] = "Post Auction"
		L["Post Items from Bags"] = "Post Items from Bags"
		L["Post Quantity"] = "Post Quantity"
		L["Post Scan"] = "Post Scan"
		L["Post Selected"] = "Post Selected"
		L["Post at Maximum Price"] = "Post at Maximum Price"
		L["Post at Minimum Price"] = "Post at Minimum Price"
		L["Post at Normal Price"] = "Post at Normal Price"
		L["Post cap"] = "Post cap"
		L["Post cap to bags"] = "Post cap to bags"
		L["Post from Shopping Scan"] = "Post from Shopping Scan"
		L["Postage"] = "Postage"
		L["Posted at whitelisted player's price."] = "Posted at whitelisted player's price."
		L["Posted:"] = "Posted:"
		L["Posting"] = "Posting"
		L["Posting %d / %d"] = "Posting %d / %d"
		L["Posting %d items for %s hours."] = "Posting %d items for %s hours."
		L["Posting %d stack(s) of %d for %s hours."] = "Posting %d stack(s) of %d for %s hours."
		L["Posting Options"] = "Posting Options"
		L["Posting Price"] = "Posting Price"
		L["Posting at normal price."] = "Posting at normal price."
		L["Posting at whitelisted player's price."] = "Posting at whitelisted player's price."
		L["Posting at your current price."] = "Posting at your current price."
		L["Posting disabled."] = "Posting disabled."
		L["Posts"] = "Posts"
		L["Potential"] = "Potential"
		L["Prepare Bid"] = "Prepare Bid"
		L["Prepare Buy"] = "Prepare Buy"
		L["Preparing..."] = "Preparing..."
		L["Prevent closing the Auction House with the esc key"] = "Prevent closing the Auction House with the esc key"
		L["Prints out the available price sources for use in custom prices"] = "Prints out the available price sources for use in custom prices"
		L["Prints out the version numbers of all installed modules"] = "Prints out the version numbers of all installed modules"
		L["Prints the slash command help listing"] = "Prints the slash command help listing"
		L["Processing scan results..."] = "Processing scan results..."
		L["Profession"] = "Profession"
		L["Profession Info"] = "Profession Info"
		L["Professions Used In"] = "Professions Used In"
		L["Profile changed to '%s'."] = "Profile changed to '%s'."
		L["Profiles"] = "Profiles"
		L["Profit"] = "Profit"
		L["Profit (Total)"] = "Profit (Total)"
		L["Prospect Value"] = "Prospect Value"
		L["Prospect value"] = "Prospect value"
		L["Purchase"] = "Purchase"
		L["Purchase / Sale Info"] = "Purchase / Sale Info"
		L["Purchase Data"] = "Purchase Data"
		L["Purchase Item"] = "Purchase Item"
		L["Purchase information"] = "Purchase information"
		L["Purchased (Min/Avg/Max Price)"] = "Purchased (Min/Avg/Max Price)"
		L["Purchased (Total Price)"] = "Purchased (Total Price)"
		L["Purchases"] = "Purchases"
		L["Purchasing Auction"] = "Purchasing Auction"
		L["Puts items matching the item or partial text entered into the bank or guild bank."] = "Puts items matching the item or partial text entered into the bank or guild bank."
		L["Qty"] = "Qty"
		L["Quantity"] = "Quantity"
		L["Quantity Purchased:"] = "Quantity Purchased:"
		L["Quantity Sold:"] = "Quantity Sold:"
		L["Quantity to move"] = "Quantity to move"
		L["Quest Added"] = "Quest Added"
		L["Quest Completed"] = "Quest Completed"
		L["Quest Objectives Complete"] = "Quest Objectives Complete"
		L["Queue"] = "Queue"
		L["Quickly mail all excess disenchantable items to a character"] = "Quickly mail all excess disenchantable items to a character"
		L["Quickly mail all excess gold (limited to a certain amount) to a character"] = "Quickly mail all excess gold (limited to a certain amount) to a character"
		L["Raid Warning"] = "Raid Warning"
		L["Read More"] = "Read More"
		L["Ready Check"] = "Ready Check"
		L["Ready to Cancel"] = "Ready to Cancel"
		L["Recent"] = "Recent"
		L["Recent Scans"] = "Recent Scans"
		L["Recent Searches"] = "Recent Searches"
		L["Recipe Name"] = "Recipe Name"
		L["Recipient"] = "Recipient"
		L["Region Avg Daily Sold"] = "Region Avg Daily Sold"
		L["Region Historical Price"] = "Region Historical Price"
		L["Region Market Value Avg"] = "Region Market Value Avg"
		L["Region Min Buyout Avg"] = "Region Min Buyout Avg"
		L["Region Sale Avg"] = "Region Sale Avg"
		L["Region Sale Rate"] = "Region Sale Rate"
		L["Region avg daily sold"] = "Region avg daily sold"
		L["Region historical price"] = "Region historical price"
		L["Region market value"] = "Region market value"
		L["Region min buyout avg"] = "Region min buyout avg"
		L["Region sale avg"] = "Region sale avg"
		L["Region sale rate"] = "Region sale rate"
		L["Reload"] = "Reload"
		L["Reload UI (%02d)"] = "Reload UI (%02d)"
		L["Reload UI (%d)"] = "Reload UI (%d)"
		L["Remove"] = "Remove"
		L["Remove %d |4Item:Items"] = "Remove %d |4Item:Items"
		L["Remove Data Older Than (Days)"] = "Remove Data Older Than (Days)"
		L["Remove this account sync and all synced data from this account"] = "Remove this account sync and all synced data from this account"
		L["Removed a total of %s old records."] = "Removed a total of %s old records."
		L["Removed custom price source (%s) which has an invalid name."] = "Removed custom price source (%s) which has an invalid name."
		L["Rename"] = "Rename"
		L["Rename Profile"] = "Rename Profile"
		L["Rename Search"] = "Rename Search"
		L["Rename the profile"] = "Rename the profile"
		L["Rename this group"] = "Rename this group"
		L["Repair"] = "Repair"
		L["Repair Bill"] = "Repair Bill"
		L["Repair from Guild Bank"] = "Repair from Guild Bank"
		L["Replace %d existing operations and %d existing custom sources?"] = "Replace %d existing operations and %d existing custom sources?"
		L["Replace %d existing operations?"] = "Replace %d existing operations?"
		L["Reply"] = "Reply"
		L["Report Spam"] = "Report Spam"
		L["Reports"] = "Reports"
		L["Repost threshold"] = "Repost threshold"
		L["Required Level"] = "Required Level"
		L["Required Level Range"] = "Required Level Range"
		L["Resale"] = "Resale"
		L["Rescan"] = "Rescan"
		L["Reset"] = "Reset"
		L["Reset All Filters"] = "Reset All Filters"
		L["Reset Filters"] = "Reset Filters"
		L["Reset Operation?"] = "Reset Operation?"
		L["Reset Profile?"] = "Reset Profile?"
		L["Reset Table"] = "Reset Table"
		L["Reset Zoom"] = "Reset Zoom"
		L["Reset the current profile to default settings"] = "Reset the current profile to default settings"
		L["Reset to Default"] = "Reset to Default"
		L["Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."] = "Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."
		L["Restart"] = "Restart"
		L["Restart delay (minutes)"] = "Restart delay (minutes)"
		L["Restock Options"] = "Restock Options"
		L["Restock Selected Groups"] = "Restock Selected Groups"
		L["Restock bags"] = "Restock bags"
		L["Restock help for %s: %s"] = "Restock help for %s: %s"
		L["Restock quantity"] = "Restock quantity"
		L["Restock target to max quantity"] = "Restock target to max quantity"
		L["Restocking to %d."] = "Restocking to %d."
		L["Restocking with a min profit."] = "Restocking with a min profit."
		L["Restocking with no min profit."] = "Restocking with no min profit."
		L["Restore bags"] = "Restore bags"
		L["Resuming Scan..."] = "Resuming Scan..."
		L["Retrying %d auction(s) which failed."] = "Retrying %d auction(s) which failed."
		L["Revenue"] = "Revenue"
		L["Right-Click to reset the window size, scale, and position to their defaults."] = "Right-Click to reset the window size, scale, and position to their defaults."
		L["Run Advanced Item Search"] = "Run Advanced Item Search"
		L["Run Bid Sniper"] = "Run Bid Sniper"
		L["Run Buyout Sniper"] = "Run Buyout Sniper"
		L["Run Cancel Scan"] = "Run Cancel Scan"
		L["Run Post Scan"] = "Run Post Scan"
		L["Run Shopping Scan"] = "Run Shopping Scan"
		L["Running Sniper Scan"] = "Running Sniper Scan"
		L["SALES"] = "SALES"
		L["SCAN ALL"] = "SCAN ALL"
		L["SCANNING"] = "SCANNING"
		L["SENDING"] = "SENDING"
		L["SHIFT"] = "SHIFT"
		L["SOURCE %d"] = "SOURCE %d"
		L["Sale"] = "Sale"
		L["Sale Data"] = "Sale Data"
		L["Sale Price"] = "Sale Price"
		L["Sale Rate"] = "Sale Rate"
		L["Sale information"] = "Sale information"
		L["Sale rate"] = "Sale rate"
		L["Sales"] = "Sales"
		L["Save"] = "Save"
		L["Scan"] = "Scan"
		L["Scan Paused"] = "Scan Paused"
		L["Scan complete sound"] = "Scan complete sound"
		L["Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."] = "Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."
		L["Scanning"] = "Scanning"
		L["Scanning (%d Items)"] = "Scanning (%d Items)"
		L["Scroll Wheel Options"] = "Scroll Wheel Options"
		L["Scroll wheel direction"] = "Scroll wheel direction"
		L["Search"] = "Search"
		L["Search %s operations"] = "Search %s operations"
		L["Search Bags"] = "Search Bags"
		L["Search Groups"] = "Search Groups"
		L["Search Operations"] = "Search Operations"
		L["Search Patterns"] = "Search Patterns"
		L["Search Results"] = "Search Results"
		L["Search Vendor"] = "Search Vendor"
		L["Search items"] = "Search items"
		L["Search items in group"] = "Search items in group"
		L["Search items in mailbox"] = "Search items in mailbox"
		L["Search the auction house"] = "Search the auction house"
		L["Select / Deselect All Groups"] = "Select / Deselect All Groups"
		L["Select / Deselect All Items"] = "Select / Deselect All Items"
		L["Select / Deselect All Results"] = "Select / Deselect All Results"
		L["Select Action"] = "Select Action"
		L["Select All"] = "Select All"
		L["Select Auction to Cancel"] = "Select Auction to Cancel"
		L["Select Group"] = "Select Group"
		L["Select Items to Attach"] = "Select Items to Attach"
		L["Select a Source"] = "Select a Source"
		L["Select an Auction to Buy"] = "Select an Auction to Buy"
		L["Select crafter"] = "Select crafter"
		L["Select included subgroups"] = "Select included subgroups"
		L["Select professions"] = "Select professions"
		L["Sell"] = "Sell"
		L["Sell All"] = "Sell All"
		L["Sell BoEs"] = "Sell BoEs"
		L["Sell Groups"] = "Sell Groups"
		L["Sell Options"] = "Sell Options"
		L["Sell Trash"] = "Sell Trash"
		L["Sell soulbound items"] = "Sell soulbound items"
		L["Sell to Vendor"] = "Sell to Vendor"
		L["Seller"] = "Seller"
		L["Selling soulbound items."] = "Selling soulbound items."
		L["Send"] = "Send"
		L["Send Disenchantables"] = "Send Disenchantables"
		L["Send Excess Gold to Banker"] = "Send Excess Gold to Banker"
		L["Send Gold"] = "Send Gold"
		L["Send Mail"] = "Send Mail"
		L["Send Money"] = "Send Money"
		L["Send grouped items individually"] = "Send grouped items individually"
		L["Send your active profile to this synced account"] = "Send your active profile to this synced account"
		L["Sender"] = "Sender"
		L["Sending %s to %s"] = "Sending %s to %s"
		L["Sending %s to %s with a COD of %s"] = "Sending %s to %s with a COD of %s"
		L["Sending Settings"] = "Sending Settings"
		L["Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"] = "Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"
		L["Sending..."] = "Sending..."
		L["Set bid as percentage of buyout"] = "Set bid as percentage of buyout"
		L["Set how items are moved out of the bank."] = "Set how items are moved out of the bank."
		L["Set how items are restocked from the bank."] = "Set how items are restocked from the bank."
		L["Set keep in bags quantity"] = "Set keep in bags quantity"
		L["Set keep in bank quantity"] = "Set keep in bank quantity"
		L["Set max quantity"] = "Set max quantity"
		L["Set min profit"] = "Set min profit"
		L["Set move quantity"] = "Set move quantity"
		L["Set stack size"] = "Set stack size"
		L["Set stack size for restock"] = "Set stack size for restock"
		L["Set what is bought from a vendor."] = "Set what is bought from a vendor."
		L["Set what is sold to a vendor."] = "Set what is sold to a vendor."
		L["Set what items are shown during a Shopping scan."] = "Set what items are shown during a Shopping scan."
		L["Set what items are shown during a Sniper scan."] = "Set what items are shown during a Sniper scan."
		L["Set your active profile or create a new one."] = "Set your active profile or create a new one."
		L["Settings"] = "Settings"
		L["Setup various sounds that play when doing Auctioning scans."] = "Setup various sounds that play when doing Auctioning scans."
		L["Shopping"] = "Shopping"
		L["Shopping %s button"] = "Shopping %s button"
		L["Shopping Operation Max Price"] = "Shopping Operation Max Price"
		L["Shopping for auctions including those above the max price."] = "Shopping for auctions including those above the max price."
		L["Shopping for auctions with a max price set."] = "Shopping for auctions with a max price set."
		L["Shopping operation"] = "Shopping operation"
		L["Shopping operations control buyout from the AH."] = "Shopping operations control buyout from the AH."
		L["Shortfall to bags"] = "Shortfall to bags"
		L["Show auctions above max price"] = "Show auctions above max price"
		L["Show confirmation alert if buyout is above the alert price"] = "Show confirmation alert if buyout is above the alert price"
		L["Show destroying frame automatically"] = "Show destroying frame automatically"
		L["Show on modifier"] = "Show on modifier"
		L["Show only auctions with bids"] = "Show only auctions with bids"
		L["Show total gold in header"] = "Show total gold in header"
		L["Showing %s Mail"] = "Showing %s Mail"
		L["Showing %s of %d Mail"] = "Showing %s of %d Mail"
		L["Showing %s of %d Mails"] = "Showing %s of %d Mails"
		L["Showing all %s Mails"] = "Showing all %s Mails"
		L["Simple inventory"] = "Simple inventory"
		L["Skip"] = "Skip"
		L["Skipped:"] = "Skipped:"
		L["Skipped: No assigned operation"] = "Skipped: No assigned operation"
		L["Slash Commands:"] = "Slash Commands:"
		L["Smart Avg Buy Price"] = "Smart Avg Buy Price"
		L["Sniper"] = "Sniper"
		L["Sniper %s button"] = "Sniper %s button"
		L["Sniper Below Price"] = "Sniper Below Price"
		L["Sniper Operation Below Price"] = "Sniper Operation Below Price"
		L["Sniper Options"] = "Sniper Options"
		L["Sniper operation"] = "Sniper operation"
		L["Sniper operations control sniping from the AH."] = "Sniper operations control sniping from the AH."
		L["Sniping items below a max price"] = "Sniping items below a max price"
		L["Sold"] = "Sold"
		L["Sold %d of %s to %s for %s"] = "Sold %d of %s to %s for %s"
		L["Sold %s worth of items."] = "Sold %s worth of items."
		L["Sold (Min/Avg/Max Price)"] = "Sold (Min/Avg/Max Price)"
		L["Sold (Total Price)"] = "Sold (Total Price)"
		L["Sold [%s]x%d for %s to %s"] = "Sold [%s]x%d for %s to %s"
		L["Sold for:"] = "Sold for:"
		L["Some general Accounting options are below."] = "Some general Accounting options are below."
		L["Some general Auctioning options are below."] = "Some general Auctioning options are below."
		L["Some general Browse/Sniper options are below."] = "Some general Browse/Sniper options are below."
		L["Some general TSM options are below."] = "Some general TSM options are below."
		L["Some general appearance options are below."] = "Some general appearance options are below."
		L["Some general options for the TSM tooltip information are below."] = "Some general options for the TSM tooltip information are below."
		L["Some options for the Disenchant Search are below."] = "Some options for the Disenchant Search are below."
		L["Source"] = "Source"
		L["Sources"] = "Sources"
		L["Sources to include for restock"] = "Sources to include for restock"
		L["Stack"] = "Stack"
		L["Stack / Quantity"] = "Stack / Quantity"
		L["Stack size"] = "Stack size"
		L["Stack size multiple"] = "Stack size multiple"
		L["Stack(s)"] = "Stack(s)"
		L["Start either a 'Buyout' or 'Bid' sniper using the buttons above."] = "Start either a 'Buyout' or 'Bid' sniper using the buttons above."
		L["Starting Scan..."] = "Starting Scan..."
		L["Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."] = "Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."
		L["Store operations globally"] = "Store operations globally"
		L["Stormwind"] = "Stormwind"
		L["String"] = "String"
		L["Subject"] = "Subject"
		L["Subject & Description added"] = "Subject & Description added"
		L["Successfully sent your '%s' profile to %s!"] = "Successfully sent your '%s' profile to %s!"
		L["Supported range: %d - %d"] = "Supported range: %d - %d"
		L["Supported value range: %d - %d"] = "Supported value range: %d - %d"
		L["Swamp of Sorrows"] = "Swamp of Sorrows"
		L["Switch to %s"] = "Switch to %s"
		L["Sync Setup Error: The specified player on the other account is not currently online."] = "Sync Setup Error: The specified player on the other account is not currently online."
		L["Sync Setup Error: This character is already part of a known account."] = "Sync Setup Error: This character is already part of a known account."
		L["Sync Setup Error: You entered the name of the current character and not the character on the other account."] = "Sync Setup Error: You entered the name of the current character and not the character on the other account."
		L["Sync Status"] = "Sync Status"
		L["TOP PURCHASE"] = "TOP PURCHASE"
		L["TOP SALE"] = "TOP SALE"
		L["TSM 4.10: What's new"] = "TSM 4.10: What's new"
		L["TSM Accounting"] = "TSM Accounting"
		L["TSM AuctionDB"] = "TSM AuctionDB"
		L["TSM Auctioning"] = "TSM Auctioning"
		L["TSM Crafting"] = "TSM Crafting"
		L["TSM Desktop App Status (%s)"] = "TSM Desktop App Status (%s)"
		L["TSM General Info"] = "TSM General Info"
		L["TSM Groups"] = "TSM Groups"
		L["TSM Shopping"] = "TSM Shopping"
		L["TSM Sniper"] = "TSM Sniper"
		L["TSM TASK LIST"] = "TSM TASK LIST"
		L["TSM Version Info:"] = "TSM Version Info:"
		L["TSM can automatically sync data between multiple WoW accounts."] = "TSM can automatically sync data between multiple WoW accounts."
		L["TSM detected that you just traded %s to %s in return for %s. Would you like Accounting to store a record of this trade?"] = "TSM detected that you just traded %s to %s in return for %s. Would you like Accounting to store a record of this trade?"
		L["TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"] = "TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"
		L["TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."] = "TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."
		L["TSM failed to scan some auctions. Please rerun the scan."] = "TSM failed to scan some auctions. Please rerun the scan."
		L["TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."] = "TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."
		L["TSM is missing important information from the TSM Desktop Application. Please ensure the TSM Desktop Application is running and is properly configured."] = "TSM is missing important information from the TSM Desktop Application. Please ensure the TSM Desktop Application is running and is properly configured."
		L["TSM is not yet ready to establish a new sync connection. Please try again later."] = "TSM is not yet ready to establish a new sync connection. Please try again later."
		L["TSM will not undercut any players you add to your whitelist."] = "TSM will not undercut any players you add to your whitelist."
		L["TSM4"] = "TSM4"
		L["TUJ 14-Day Price"] = "TUJ 14-Day Price"
		L["TUJ 3-Day Price"] = "TUJ 3-Day Price"
		L["TUJ Global Mean"] = "TUJ Global Mean"
		L["TUJ Global Median"] = "TUJ Global Median"
		L["Target character"] = "Target character"
		L["Target shortfall to bags"] = "Target shortfall to bags"
		L["Tasks Added to Task List"] = "Tasks Added to Task List"
		L["Tells you why a specific item is not being restocked and added to the queue."] = "Tells you why a specific item is not being restocked and added to the queue."
		L["Text (%s)"] = "Text (%s)"
		L["The '%s' custom price source is invalid."] = "The '%s' custom price source is invalid."
		L["The 'Craft Value Method' did not return a value for this item."] = "The 'Craft Value Method' did not return a value for this item."
		L["The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."] = "The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."
		L["The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."] = "The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."
		L["The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."] = "The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."
		L["The buyout price for %s would be above the maximum allowed price. Skipping this item."] = "The buyout price for %s would be above the maximum allowed price. Skipping this item."
		L["The canlearn filter was ignored because the CanIMogIt addon was not found."] = "The canlearn filter was ignored because the CanIMogIt addon was not found."
		L["The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."] = "The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."
		L["The max quantity cannot be zero."] = "The max quantity cannot be zero."
		L["The min profit did not evalulate to a valid value for this item."] = "The min profit did not evalulate to a valid value for this item."
		L["The name portion of the search term must be at least 3 characters if present."] = "The name portion of the search term must be at least 3 characters if present."
		L["The pasted value was not valid. Ensure you are pasting the entire import string."] = "The pasted value was not valid. Ensure you are pasting the entire import string."
		L["The player \"%s\" is already on your whitelist."] = "The player \"%s\" is already on your whitelist."
		L["The profit of this item (%s) is below the min profit (%s)."] = "The profit of this item (%s) is below the min profit (%s)."
		L["The same filter was specified multiple times."] = "The same filter was specified multiple times."
		L["The search term must be at least 3 characters."] = "The search term must be at least 3 characters."
		L["The seller name of the lowest auction for %s was not given by the server. Skipping this item."] = "The seller name of the lowest auction for %s was not given by the server. Skipping this item."
		L["The specified filter was empty."] = "The specified filter was empty."
		L["The specified item is not supported for crafting searches."] = "The specified item is not supported for crafting searches."
		L["The specified item is not supported for disenchant searches."] = "The specified item is not supported for disenchant searches."
		L["The specified item was not found."] = "The specified item was not found."
		L["The unlearned filter was ignored because the CanIMogIt addon was not found."] = "The unlearned filter was ignored because the CanIMogIt addon was not found."
		L["Themes"] = "Themes"
		L["There is currently no profession open, so cannot create profession groups."] = "There is currently no profession open, so cannot create profession groups."
		L["There is no Crafting operation applied to this item's TSM group (%s)."] = "There is no Crafting operation applied to this item's TSM group (%s)."
		L["This is not a valid profile name. Profile names must be at least one character long and may not contain '@' characters."] = "This is not a valid profile name. Profile names must be at least one character long and may not contain '@' characters."
		L["This item does not have a crafting cost. Check that all of its mats have mat prices."] = "This item does not have a crafting cost. Check that all of its mats have mat prices."
		L["This item is not in a TSM group."] = "This item is not in a TSM group."
		L["This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."] = "This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."
		L["This looks like an exported operation and not a custom price."] = "This looks like an exported operation and not a custom price."
		L["This operation is applied to the base group which includes every item not in another group."] = "This operation is applied to the base group which includes every item not in another group."
		L["This price is above your confirmation alert threshold."] = "This price is above your confirmation alert threshold."
		L["This profession is not open."] = "This profession is not open."
		L["This record belongs to another account and can only be deleted on that account."] = "This record belongs to another account and can only be deleted on that account."
		L["This will permanently delete the '%s' profile."] = "This will permanently delete the '%s' profile."
		L["This will reset all groups and operations (if not stored globally) to be wiped from '%s'."] = "This will reset all groups and operations (if not stored globally) to be wiped from '%s'."
		L["Time"] = "Time"
		L["Time Frame"] = "Time Frame"
		L["Time to Craft:"] = "Time to Craft:"
		L["Tinker"] = "Tinker"
		L["To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."] = "To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."
		L["Toggles the TSM Banking UI if either the bank or guild bank is currently open."] = "Toggles the TSM Banking UI if either the bank or guild bank is currently open."
		L["Toggles the TSM Crafting UI."] = "Toggles the TSM Crafting UI."
		L["Toggles the TSM Task List UI"] = "Toggles the TSM Task List UI"
		L["Toggles the main TSM window"] = "Toggles the main TSM window"
		L["Tooltip Options"] = "Tooltip Options"
		L["Tooltip Settings"] = "Tooltip Settings"
		L["Tooltip price format"] = "Tooltip price format"
		L["Top Buyers"] = "Top Buyers"
		L["Top Item"] = "Top Item"
		L["Top Sellers"] = "Top Sellers"
		L["Total"] = "Total"
		L["Total Gold"] = "Total Gold"
		L["Total Gold Collected: %s"] = "Total Gold Collected: %s"
		L["Total Gold Earned"] = "Total Gold Earned"
		L["Total Gold Spent"] = "Total Gold Spent"
		L["Total Inventory Quantity"] = "Total Inventory Quantity"
		L["Total Items"] = "Total Items"
		L["Total Postage"] = "Total Postage"
		L["Total Price"] = "Total Price"
		L["Total Prices:"] = "Total Prices:"
		L["Total Profit"] = "Total Profit"
		L["Total Value"] = "Total Value"
		L["Track Sales / Purchases via trade"] = "Track Sales / Purchases via trade"
		L["Transform Value"] = "Transform Value"
		L["Transform value"] = "Transform value"
		L["Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."] = "Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."
		L["Type"] = "Type"
		L["Unbalanced parentheses."] = "Unbalanced parentheses."
		L["Uncollected Only"] = "Uncollected Only"
		L["Undercut amount"] = "Undercut amount"
		L["Undercut by whitelisted player."] = "Undercut by whitelisted player."
		L["Undercutting blacklisted player."] = "Undercutting blacklisted player."
		L["Undercutting competition."] = "Undercutting competition."
		L["Ungrouped Items"] = "Ungrouped Items"
		L["Ungrouped Items in Bags"] = "Ungrouped Items in Bags"
		L["Unit Price"] = "Unit Price"
		L["Unknown Item"] = "Unknown Item"
		L["Unknown word (%s)."] = "Unknown word (%s)."
		L["Unlock Column Width"] = "Unlock Column Width"
		L["Unwrap Gift"] = "Unwrap Gift"
		L["Up"] = "Up"
		L["Up to date"] = "Up to date"
		L["Update existing macro"] = "Update existing macro"
		L["Updating"] = "Updating"
		L["Upgrades Only"] = "Upgrades Only"
		L["Usable Only"] = "Usable Only"
		L["Usage: /tsm price <Item Link> <Custom String>"] = "Usage: /tsm price <Item Link> <Custom String>"
		L["Use the settings below to control which lines are shown in tooltips."] = "Use the settings below to control which lines are shown in tooltips."
		L["Use this list to manage what cooldowns you'd like TSM to ignore from crafting."] = "Use this list to manage what cooldowns you'd like TSM to ignore from crafting."
		L["Use this list to manage what items you'd like TSM to ignore from destroying."] = "Use this list to manage what items you'd like TSM to ignore from destroying."
		L["Value"] = "Value"
		L["Value Price Source"] = "Value Price Source"
		L["Value must be between %d and %d."] = "Value must be between %d and %d."
		L["Values"] = "Values"
		L["Vendor"] = "Vendor"
		L["Vendor Buy Price"] = "Vendor Buy Price"
		L["Vendor Search"] = "Vendor Search"
		L["Vendor Sell"] = "Vendor Sell"
		L["Vendor Sell Price"] = "Vendor Sell Price"
		L["Vendor buy price"] = "Vendor buy price"
		L["Vendor sell price"] = "Vendor sell price"
		L["Vendoring"] = "Vendoring"
		L["Vendoring %s button"] = "Vendoring %s button"
		L["Vendoring operation"] = "Vendoring operation"
		L["Vendoring operations control selling to and buying from a vendor."] = "Vendoring operations control selling to and buying from a vendor."
		L["WARNING: The macro was too long, so was truncated to fit by WoW."] = "WARNING: The macro was too long, so was truncated to fit by WoW."
		L["WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."] = "WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."
		L["WOW UI"] = "WOW UI"
		L["Warehousing"] = "Warehousing"
		L["Warehousing operation"] = "Warehousing operation"
		L["Warehousing operations control moving in and out of the bank."] = "Warehousing operations control moving in and out of the bank."
		L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."
		L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
		L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."
		L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."
		L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."
		L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
		L["Warehousing will move a max of %d of each item in this group."] = "Warehousing will move a max of %d of each item in this group."
		L["Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."
		L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."
		L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
		L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."
		L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."
		L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."
		L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
		L["Warehousing will move all of the items in this group."] = "Warehousing will move all of the items in this group."
		L["Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."
		L["We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."] = "We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."
		L["When above maximum:"] = "When above maximum:"
		L["When below minimum:"] = "When below minimum:"
		L["Whitelist"] = "Whitelist"
		L["Whitelisted characters"] = "Whitelisted characters"
		L["Winamp"] = "Winamp"
		L["Would send %s to %s"] = "Would send %s to %s"
		L["Would send %s to %s with a COD of %s"] = "Would send %s to %s with a COD of %s"
		L["You are not on one of the listed characters."] = "You are not on one of the listed characters."
		L["You can clear old Accounting data below to keep things running smoothly."] = "You can clear old Accounting data below to keep things running smoothly."
		L["You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"] = "You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"
		L["You can use the export string below to share this group with others."] = "You can use the export string below to share this group with others."
		L["You cannot use %s as part of this custom price."] = "You cannot use %s as part of this custom price."
		L["You cannot use %s within convert() as part of this custom price."] = "You cannot use %s within convert() as part of this custom price."
		L["You do not need to add \"%s\", alts are whitelisted automatically."] = "You do not need to add \"%s\", alts are whitelisted automatically."
		L["You don't know how to craft this item."] = "You don't know how to craft this item."
		L["You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."] = "You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."
		L["You must reload your UI for these settings to take effect. Reload now?"] = "You must reload your UI for these settings to take effect. Reload now?"
		L["You won an auction for %sx%d for %s"] = "You won an auction for %sx%d for %s"
		L["You've been phased which has caused the AH to stop working due to a bug on Blizzard's end. Please close and reopen the AH and restart Sniper."] = "You've been phased which has caused the AH to stop working due to a bug on Blizzard's end. Please close and reopen the AH and restart Sniper."
		L["You've been undercut."] = "You've been undercut."
		L["Your Buyout"] = "Your Buyout"
		L["Your auction has not been undercut."] = "Your auction has not been undercut."
		L["Your auction of %s expired"] = "Your auction of %s expired"
		L["Your auction of %s has sold for %s!"] = "Your auction of %s has sold for %s!"
		L["Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"] = "Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"
		L["Your default craft value method was invalid so it has been returned to the default. Details: %s"] = "Your default craft value method was invalid so it has been returned to the default. Details: %s"
		L["Your max restock (%s) is invalid for %s."] = "Your max restock (%s) is invalid for %s."
		L["Your min restock (%s) is invalid for %s."] = "Your min restock (%s) is invalid for %s."
		L["Your restock quantity is invalid. It must be between %d and %s."] = "Your restock quantity is invalid. It must be between %d and %s."
		L["Your task list is currently empty."] = "Your task list is currently empty."
		L["ilvl"] = "ilvl"
	elseif locale == "deDE" then
L = L or {}
L["%d |4Group:Groups; Selected (%d |4Item:Items;)"] = "%d |4Gruppe:Gruppen; ausgewählt (%d |4Item:Items;)"
L["%d auctions"] = "%d Auktionen"
L["%d Characters"] = "%d Charaktere"
L["%d Custom Sources"] = "%d Benutzerdefinierte Quellen"
L["%d Faction-Realms"] = "%d Fraktions-Realms"
L["%d groups"] = "%d Gruppen"
L["%d Groups"] = "%d Gruppen"
L["%d Groups Selected"] = "%d Gruppen Markiert"
L["%d groups were created and %d items were added from the table."] = "%d Gruppen wurden erstellt und %d Items wurden zur Tabelle hinzugefügt."
L["%d Guilds"] = "%d Gilden"
L["%d Items"] = "%d Items"
L["%d of %d"] = "%d von %d"
L["%d Operations"] = "%d Operationen"
L["%d Players"] = "%d Spieler"
L["%d Posted Auctions"] = "%d gelistete Auktionen"
L["%d Professions"] = "%d Berufe"
L["%d Rarities"] = "%d Raritäten"
L["%d Results"] = "%d Ergebnisse"
L["%d Selected"] = "%d Markiert"
L["%d Sold Auctions"] = "%d verkaufte Auktionen"
L["%d Sources"] = "%d Quellen"
L["%d Sub-Groups"] = "%d Unter-Gruppe"
L["%d subgroups included"] = "%d Untergruppen beinhaltet"
L["%d Types"] = "%d Arten"
L["%s - %s has been reset to default values."] = "%s - %s wurde auf den Standardwert zurückgesetzt."
L["%s %s Operations"] = "%s %s Operationen"
L["%s (%s bags, %s bank, %s AH, %s mail)"] = "%s (%s Taschen, %s Bank, %s AH, %s Post)"
L["%s (%s player, %s alts, %s AH)"] = "%s (%s Spieler, %s Twinks, %s AH)"
L["%s (%s player, %s alts, %s guild, %s AH)"] = "%s (%s Spieler, %s Twinks, %s Gilde, %s AH)"
L["%s (%s profit)"] = "%s (%s Gewinn)"
L["%s ago"] = "vor %s"
L["%s Crafts"] = "%s Rezepte"
L["%s group is already up to date."] = "%s Gruppe ist bereits auf dem aktuellen Stand."
L["%s group updated with %d items and %d materials."] = "%s Gruppe aktualisiert mit %d Gegenständen und %d Materialien."
L["%s in guild vault"] = "%s im Gildentresor"
L["%s is a valid custom price but %s is an invalid item."] = "%s ist ein gültiger eigener Preis, aber %s ist ein ungültiges Item."
L["%s is a valid custom price but did not give a value for %s."] = "%s ist ein gültiger eigener Preis, ergibt aber keinen Wert für %s."
L["'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."] = "'%s' ist eine ungültige Operation. Minimaler Nachschub von %d ist höher als maximaler Nachschub von %d für %s."
L["%s is not a valid custom price and gave the following error: %s"] = "%s ist kein gültiger eigener Preis und führte zu folgendem Fehler: %s"
L["%s Items Bought"] = "%s Gegenstände gekauft"
L["%s Items Cancelled"] = "%s Gegenstände abgebrochen"
L["%s Items Expired"] = "%s Gegenstände abgelaufen"
L["%s Items Resold"] = "%s Gegenstände weiterverkauft"
L["%s Items Selected"] = "%s Gegenstände markiert"
L["%s Items Sold"] = "%s Gegenstände verkauft"
L["%s Items Total"] = "%s Gegenstände gesamt"
L["%s operation"] = "%s Operation"
L["%s operations"] = "%s Operationen"
L["%s Operations"] = "%s Operationen"
L["%s Posted Auctions"] = "%s Eingestelle Auktionen"
L["%s Posted Auctions (Filtered)"] = "%s Eingestelle Auktionen (gefiltert)"
L["%s previously had the max number of operations, so removed %s."] = "%s hatte zuvor die maximale Anzahl an Operationen, also %s entfernt."
L["%s removed."] = "%s entfernt."
L["%s sent you %s"] = "%s hat dir %s gesendet"
L["%s sent you %s and %s"] = "%s sendet dir %s und %s"
L["%s sent you a COD of %s for %s"] = "%s hat dir eine Nachnahmegebühr von %s für %s gesendet"
L["%s sent you a message: %s"] = "%s hat dir eine Nachricht gesendet: %s"
L["%s Sold Auctions"] = "%s Auktionen verkauft"
L["%s Sold Auctions (Filtered)"] = "%s Auktionen verkauft (gefiltert)"
L["%s Total"] = "%s Gesamt"
L["%s total"] = "%s Gesamt"
L["%s Total Profit"] = "%s Gesamter Profit"
L["%sDrag%s to move this button"] = "%sZiehen%s, um diesen Button zu verschieben"
--[[Translation missing --]]
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."] = "%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."
--[[Translation missing --]]
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."] = "%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."
L["%sLeft-Click%s to open the main window"] = "%sLinksklick%s, um das Hauptfenster zu öffnen"
--[[Translation missing --]]
L["%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."] = "%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."
L["(%d - %d)"] = "(%d - %d)"
L["(%d/500 Characters)"] = "(%d/500 Zeichen)"
L["(minimum 0 - maximum %d)"] = "(mindestens 0 - maximal %d)"
L["1 Group"] = "1 Gruppe"
L["1 Item"] = "1 Item"
L["1D"] = "1T"
L["1M"] = "1M"
L["1W"] = "1W"
L["1Y"] = "1J"
L["2Y"] = "2J"
L["3M"] = "3M"
L["6M"] = "6M"
L["A brand new and improved user interface."] = "EIne brandneue und verbesserte Benutzeroberfläche."
L["A custom price of %s for %s evaluates to %s."] = "Ein eigener Preis von %s für %s ergibt %s."
L["A maximum of 1 convert() function is allowed."] = "Es ist maximal 1 convert() Funktion erlaubt."
L["A profile with that name already exists on the target account. Rename it first and try again."] = "Ein Profil mit diesem Namen existiert bereits auf dem Ziel-Account. Benenne es zuerst um und versuche es noch einmal."
L["A profile with this name already exists."] = "Ein Profil mit diesem Namen existiert bereits."
L["A scan is already in progress. Please stop that scan before starting another one."] = "Ein Scan wird bereits durchgeführt. Bitte beende diesen Scan, bevor du einen weiteren startest."
--[[Translation missing --]]
L["A single craft makes %d and you only need to restock %d."] = "A single craft makes %d and you only need to restock %d."
L["Above max expires."] = "Über max Abläufe."
L["Above max price. Not posting."] = "Über Maximum. Erstelle keine Auktion."
L["Above max price. Posting at max."] = "Über höchstem Preis. Mit höchstem Preis einstellen."
L["Above max price. Posting at min."] = "Über höchstem Preis. Mit minimalem Preis einstellen."
L["Above max price. Posting at normal."] = "Über höchstem Preis. Mit normalem Preis einstellen."
--[[Translation missing --]]
L["Accept COD?"] = "Accept COD?"
L["Accepting this item will cost: %s"] = "Diesen Gegenstand akzeptieren kostet: %s"
L["Account sync removed. Please delete the account sync from the other account as well."] = "Account-Sync entfernt. Bitte entferne den Account-Sync auch auf dem anderen Account."
L["Account Syncing"] = "Account-Sync"
L["Accounting"] = "Accounting"
L["Activity Type"] = "Aktivitätstyp"
L["Add"] = "Hinzufügen"
L["Add %d |4Item:Items"] = "%d hinzufügen |4Item:Items"
L["Add %s Operation"] = "%s Operationen hinzufügen"
L["Add a new custom source"] = "Neue benutzerdefinierte Quelle hinzufügen"
L["Add account"] = "Konto hinzufügen"
L["Add More Operations"] = "Mehr Operationen hinzufügen"
L["Add Operation"] = "Operation hinzufügen"
L["Add operation to groups"] = "Operation zu Gruppen hinzufügen"
--[[Translation missing --]]
L["Add subject & description (optional)"] = "Add subject & description (optional)"
L["Add Subject / Description"] = "Betreff / Beschreibung hinzufügen"
L["Add to Mail"] = "Zur Post hinzufügen"
L["Added '%s' profile which was received from %s."] = "'%s' Profil hinzugefügt. Erhalten von %s."
L["Added %s to %s."] = "Die Operation %s wurde zur Gruppe %s hinzugefügt."
L["Additional error suppressed"] = "Zusätzlicher Fehler unterdrückt"
L["Adjust how crafted items are restocked."] = "Anpassen, wie hergestellter Gegenstand wieder aufgefüllt wird."
L["Adjust how items are mailed."] = "Anpassen, wie Gegenstände per Post versendet werden."
--[[Translation missing --]]
L["Adjust how TSM values crafted items when calculating profit."] = "Adjust how TSM values crafted items when calculating profit."
L["Adjust some general settings."] = "Generelle Einstellungen anpassen."
L["Adjust the settings below to set how groups attached to this operation will be auctioned."] = "Lege fest, wie die Gruppen von dieser Operation auktioniert werden sollen."
L["Adjust the settings below to set how groups attached to this operation will be cancelled."] = "Lege fest, wie die Gruppen von dieser Operation abgebrochen werden sollen."
L["Adjust the settings below to set how groups attached to this operation will be priced."] = "Lege fest, wie die Gruppen von dieser Operation preislich behandelt werden sollen."
L["Advanced Item Search"] = "Erweiterte Itemsuche"
L["AH"] = "AH"
L["AH (Crafting)"] = "AH (Herstellen)"
L["AH (Disenchanting)"] = "AH (Entzaubern)"
L["AH BUSY"] = "AH BESCHÄFTIGT"
L["AHDB Minimum Bid"] = "AHDB Minimales Gebot"
L["AHDB Minimum Buyout"] = "AHDB Minimaler Sofortkauf"
L["Alarm Clock"] = "Wecker"
L["All"] = "Alles"
L["All Auctions"] = "Alle Auktionen"
L["All Bought"] = "Alles gekauft"
L["All Cancelled"] = "Alles abgebrochen"
L["All Characters"] = "Alle Charaktere"
L["All Expired"] = "Alle abgelaufenen"
L["All Faction-Realms"] = "Alle Frations-Realms"
L["All Guilds"] = "Alle Gilden"
L["All Item Classes"] = "Alle Gegenstandsklassen"
L["All Other"] = "Alle sonstigen"
L["All Players"] = "Alle Spieler"
L["All Professions"] = "Alle Berufe"
L["All Rarites"] = "Alle Raritäten"
L["All Rarities"] = "Alle Raritäten"
L["All Selected"] = "Alles ausgewählt"
L["All Slots"] = "Alle Plätze"
L["All Sold"] = "Alles verkauft"
L["All Sources"] = "Alle Quellen"
L["All Subclasses"] = "Alle Unterklassen"
--[[Translation missing --]]
L["All Time"] = "All Time"
L["All Types"] = "Alle Arten"
L["Allow partial stack"] = "Teilstapel zulassen"
--[[Translation missing --]]
L["Allows for testing of custom prices"] = "Allows for testing of custom prices"
L["ALT"] = "TWINK"
L["Alt Guild Bank"] = "Twink Gildenbank"
L["Alts"] = "Twinks"
L["Alts AH"] = "Twinks AH"
L["Amount"] = "Betrag"
L["Amount kept in bags"] = "Menge in der Tasche behalten"
L["Amount of bag space to keep free"] = "Menge an Plätzen in der Tasche freilassen"
L["An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."] = "Ein altes, installiertes TSM Addon gefunden. Bitte lösche %s und alle anderen alten TSM Addons, um Fehler zu vermeiden."
L["App Not Synced"] = "App nicht synchronisiert"
L["App Synced %s Ago"] = "App vor %s synchronisiert"
L["Appearance"] = "Aussehen"
L["Apply operation to group"] = "Operation auf Gruppe anwenden"
L["Are you sure you want to clear old accounting data?"] = "Bist du sicher, dass du alle Accounting-Daten löschen möchtest?"
L["Are you sure you want to delete the selected operations?"] = "Bist du sicher, dass du die markierte Operation löschen willst?"
L["Are you sure you want to delete this operation?"] = "Diese Operation wirklich löschen?"
L["At above max price and not undercut."] = "Zum Höchstpreis aber nicht unterbieten."
L["At normal price and not undercut."] = "Zum Normalpreis aber nicht unterbieten."
L["Attachments"] = "Anhänge"
L["Auction"] = "Auktion"
L["Auction duration"] = "Auktionsdauer"
L["Auction has been bid on."] = "Auf die Auktion wurde geboten."
L["Auction House Cut"] = "Auktionshausgebühr"
L["Auction House Sounds"] = "Auktionshaus Ton"
L["Auction sale sound"] = "Auktion verkauft Ton"
L["Auction Window Close"] = "Auktionsfenster schließen"
L["Auction Window Open"] = "Auktionsfenster öffnen"
L["Auctionator - Auction Value"] = "Auctionator - Auktionswert"
--[[Translation missing --]]
L["AuctionDB"] = "AuctionDB"
--[[Translation missing --]]
L["AuctionDB - Historical Price (via TSM App)"] = "AuctionDB - Historical Price (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Market Value"] = "AuctionDB - Market Value"
--[[Translation missing --]]
L["AuctionDB - Minimum Buyout"] = "AuctionDB - Minimum Buyout"
--[[Translation missing --]]
L["AuctionDB - Region Historical Price (via TSM App)"] = "AuctionDB - Region Historical Price (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Market Value Average (via TSM App)"] = "AuctionDB - Region Market Value Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Minimum Buyout Average (via TSM App)"] = "AuctionDB - Region Minimum Buyout Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sale Average (via TSM App)"] = "AuctionDB - Region Sale Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sale Rate (via TSM App)"] = "AuctionDB - Region Sale Rate (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sold Per Day (via TSM App)"] = "AuctionDB - Region Sold Per Day (via TSM App)"
--[[Translation missing --]]
L["AuctionDB Realm Data is %s Old"] = "AuctionDB Realm Data is %s Old"
--[[Translation missing --]]
L["AuctionDB Region Data is %s Old"] = "AuctionDB Region Data is %s Old"
L["Auctioneer - Appraiser"] = "Auctioneer - Appraiser"
L["Auctioneer - Market Value"] = "Auctioneer - Marktwert"
L["Auctioneer - Minimum Buyout"] = "Auctioneer - Mindestsofortkauf"
L["Auctioning"] = "Auctioning"
--[[Translation missing --]]
L["Auctioning %s button"] = "Auctioning %s button"
--[[Translation missing --]]
L["Auctioning Details"] = "Auctioning Details"
L["Auctioning Log"] = "Auctioning-Protokoll"
L["Auctioning Operation"] = "Auctioning-Operation"
--[[Translation missing --]]
L["Auctioning operation"] = "Auctioning operation"
--[[Translation missing --]]
L["Auctioning operations control posting to and canceling from the AH."] = "Auctioning operations control posting to and canceling from the AH."
L["Auctions"] = "Aukts"
L["Auto Quest Complete"] = "Auto-Quest abgeschlossen"
--[[Translation missing --]]
L["Auto-focus browse search input"] = "Auto-focus browse search input"
L["Average Earned per Day"] = "Durchschnittlich verdient pro Tag"
L["Average Prices:"] = "Durchschnittspreise:"
L["Average Profit per Day"] = "Durchschnittlicher Profit pro Tag"
L["Average Spent per Day"] = "Durchschnittlich ausgegeben pro Tag"
L["Avg Buy Price"] = "Ø Kaufpreis"
--[[Translation missing --]]
L["Avg Profit"] = "Avg Profit"
L["Avg Sell Price"] = "Ø Verkaufspreis"
L["Back"] = "Zurück"
L["Bag"] = "Tasche"
L["Bags"] = "Tasche"
--[[Translation missing --]]
L["Banking"] = "Banking"
L["Banks"] = "Bank"
L["Base Group"] = "Basisgruppe"
L["Base Item"] = "Grund-Item"
--[[Translation missing --]]
L["BBG 14-Day Price"] = "BBG 14-Day Price"
--[[Translation missing --]]
L["BBG 3-Day Price"] = "BBG 3-Day Price"
--[[Translation missing --]]
L["BBG Global Mean"] = "BBG Global Mean"
--[[Translation missing --]]
L["BBG Global Median"] = "BBG Global Median"
--[[Translation missing --]]
L["Below is a list of all available price sources, along with a brief description of what they represent."] = "Below is a list of all available price sources, along with a brief description of what they represent."
--[[Translation missing --]]
L["Below min price. Posting at max."] = "Below min price. Posting at max."
--[[Translation missing --]]
L["Below min price. Posting at min."] = "Below min price. Posting at min."
--[[Translation missing --]]
L["Below min price. Posting at normal."] = "Below min price. Posting at normal."
--[[Translation missing --]]
L["Below you can ignore this operation on certain characters or realms."] = "Below you can ignore this operation on certain characters or realms."
L["Bid %d / %d"] = "Bieten %d / %d"
L["Bid (item)"] = "Gebot (Item)"
L["Bid (stack)"] = "Gebot (Stapel)"
L["Bid (total)"] = "Gebot (Gesamt)"
L["Bid / Buyout"] = "Bieten / Sofortkauf"
L["Bid Auction"] = "Bieten Auktion"
L["Bid percent must be between 0 and 100."] = "Gebot muss zwischen 0 und 100 Prozent liegen."
L["Bid Price"] = "Gebotspreis"
L["Bid Sniper Paused"] = "Gebot-Sniper pausiert"
L["Bid Sniper Running"] = "Gebot-Sniper läuft"
L["Bidding Auction"] = "Gebots-Auktion"
L["Blacklisted players"] = "Spieler auf Blacklist"
L["Bought"] = "Gekauft"
L["Bought %d of %s from %s for %s"] = "%d gekauft von %s von %s für %s"
L["Bought %sx%d for %s from %s"] = "%sx%d gekauft für %s von %s"
L["Bound Actions"] = "Gebundene Aktionen"
L["Browse"] = "Durchsuchen"
L["Browse / Sniper"] = "Durchsuchen / Sniper"
L["BUSY"] = "BESCHÄFTIGT"
L["BUY"] = "KAUFEN"
L["Buy"] = "Kaufen"
L["Buy %d / %d"] = "Kaufe %d / %d"
L["Buy %d / %d (Confirming %d / %d)"] = "Kaufe %d / %d (Bestätige %d / %d)"
L["Buy Auction"] = "Kaufe Auktion"
--[[Translation missing --]]
L["Buy Commodity"] = "Buy Commodity"
L["Buy from AH"] = "Im AH kaufen"
L["Buy from AH (Crafting)"] = "Kaufe vom AH (Herstellen)"
L["Buy from AH (Disenchant)"] = "Kaufe vom AH (Entzaubern)"
L["Buy from Vendor"] = "Vom Händler kaufen"
L["Buy Groups"] = "Kaufe Gruppen"
L["Buy Options"] = "Kaufoptionen"
--[[Translation missing --]]
L["Buyback All"] = "Buyback All"
L["Buyer/Seller"] = "Käufer/Verkäufer"
L["Buyout"] = "Aufkaufen"
L["Buyout (item)"] = "Sofortkauf (Item)"
L["Buyout (stack)"] = "Sofortkauf (Stapel)"
L["Buyout (total)"] = "Aufkaufen (Gesamt)"
--[[Translation missing --]]
L["Buyout confirmation alert"] = "Buyout confirmation alert"
L["Buyout Price"] = "Sofortkauf"
L["Buyout Sniper Paused"] = "Sofortkauf-Sniper pausiert"
L["Buyout Sniper Running"] = "Sofortkauf-Sniper läuft"
L["Cancel"] = "Abbrechen"
--[[Translation missing --]]
L["Cancel %d / %d"] = "Cancel %d / %d"
L["Cancel Auction"] = "Auktion abbrechen"
L["Cancel auctions with bids"] = "Auktionen mit Geboten abbrechen"
L["Cancel or Post"] = "Abbrechen oder Einstellen"
L["Cancel Scan"] = "Scan abbrechen"
L["Cancel to repost higher"] = "Abbrechen um höher einzustellen"
L["Cancel undercut auctions"] = "Unterbotene Auktionen abbrechen"
--[[Translation missing --]]
L["Canceled information"] = "Canceled information"
L["Canceling"] = "Abbrechen"
L["Canceling %d / %d"] = "Abbrechen %d / %d"
L["Canceling %d Auctions..."] = "Breche %d Auktionen ab..."
L["Canceling auction you've undercut."] = "Auktion abbrechen die unterboten wurde"
L["Canceling disabled."] = "Abbrechen deaktiviert."
L["Canceling Options"] = "Abbruch-Optionen"
L["Canceling to repost at higher price."] = "Breche ab, um zum höheren Preis zu erstellen."
L["Canceling to repost at reset price."] = "Abbrechen, um zum Reset-Preis wieder einzustellen."
L["Canceling to repost higher."] = "Breche ab, um zum höheren Preis zu erstellen."
L["Canceling undercut auctions and to repost higher."] = "Unterbotene Auktionen abbrechen um höher einzustellen."
L["Canceling undercut auctions."] = "Breche unterbotene Auktionen ab."
L["Cancelled"] = "Abgebrochen"
L["Cancelled auction of %sx%d"] = "Abgebrochene Auktion von %sx%d"
L["Cancelled Since Last Sale"] = "Abgebrochen seit letztem Verkauf"
L["Cancelled:"] = "Abgebrochen:"
L["Cancelling..."] = "Abbrechen..."
L["Cannot repair from the guild bank!"] = "Kann nicht aus der Gildenbank repariert werden!"
--[[Translation missing --]]
L["Cannot use additional filters with /crafting or /disenchant."] = "Cannot use additional filters with /crafting or /disenchant."
L["Can't load TSM tooltip while in combat"] = "TSM-Tooltip kann während eines Kampfes nicht geladen werden"
L["Cash Register"] = "Registrierkasse"
--[[Translation missing --]]
L["Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"] = "Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"
L["Character"] = "Charakter"
L["Chat Tab"] = "Chat-Tab"
L["Cheapest auction below min price."] = "Billigste Auktion unter Mindestpreis."
L["Clear All"] = "Alles leeren"
--[[Translation missing --]]
L["Clear Data"] = "Clear Data"
L["Clear Filters"] = "Filter leeren"
L["Clear Old Data"] = "Alte Daten löschen"
--[[Translation missing --]]
L["Clear Old Data?"] = "Clear Old Data?"
L["Click and drag to resize this window."] = "Klicken und ziehen, um Fenstergröße zu ändern."
L["Click to hide this item for the current session. Hold shift to hide this item permanently."] = "Klicken, um den Gegenstand in der aktuellen Sitzung zu verstecken. Shift gedrückt halten für permanentes verstecken."
L["COD"] = "Nachnahme"
L["Coins (%s)"] = "Münzen (%s)"
L["Combine Partial Stacks"] = "Geteilte Bündel verbinden"
L["Combining..."] = "Kombinieren..."
--[[Translation missing --]]
L["Completed full AH scan (%d auctions)!"] = "Completed full AH scan (%d auctions)!"
L["Confirm"] = "Bestätigen"
--[[Translation missing --]]
L["Confirm complete sound"] = "Confirm complete sound"
--[[Translation missing --]]
L["Confirmation %s button"] = "Confirmation %s button"
L["Confirming %d / %d"] = "Bestätige %d / %d"
L["Connected to %s"] = "Verbunden mit %s ß"
L["Connecting to %s"] = "Verbinde zu %s"
L["Contacts"] = "Kontakte"
--[[Translation missing --]]
L["Contains auctions above your alert threshold!"] = "Contains auctions above your alert threshold!"
L["Cooldown"] = "Abklingzeit"
L["Cooldowns"] = "Abklingzeiten"
--[[Translation missing --]]
L["Copy Letter"] = "Copy Letter"
L["Cost"] = "Kosten"
L["Could not create macro as you already have too many. Delete one of your existing macros and try again."] = "Makro konnte nicht erstellt werden, da du bereits zu viele hast. Lösche ein vorhandenes Makro und versuche es erneut."
L["Could not find profile '%s'. Possible profiles: '%s'"] = "Profil '%s' konnte nicht gefunden werden. Mögliche Profile: '%s'"
L["Could not sell items due to not having free bag space available to split a stack of items."] = "Items konnten nicht verkaufen werden, da kein freier Taschenplatz verfügbar ist, um ein Stapel aufzuteilen."
L["Craft"] = "Herst"
L["CRAFT"] = "HERSTELLEN"
--[[Translation missing --]]
L["Craft (Profitable)"] = "Craft (Profitable)"
L["Craft (Unprofitable)"] = "Herstellen (unprofitabel)"
L["Craft All"] = "Alle herstellen"
--[[Translation missing --]]
L["Craft Next"] = "Craft Next"
--[[Translation missing --]]
L["Craft Value"] = "Craft Value"
--[[Translation missing --]]
L["Crafted Items"] = "Crafted Items"
--[[Translation missing --]]
L["Crafter"] = "Crafter"
L["Crafting"] = "Herstellen"
L["CRAFTING"] = "HERSTELLEN"
--[[Translation missing --]]
L["Crafting %s button"] = "Crafting %s button"
L["Crafting cost"] = "Herstellungskosten"
L["Crafting Cost"] = "Herst Kosten"
L["Crafting List"] = "Herstellungsliste"
--[[Translation missing --]]
L["Crafting Material Cost"] = "Crafting Material Cost"
L["Crafting Mode"] = "Herstellungsmodus"
--[[Translation missing --]]
L["Crafting operation"] = "Crafting operation"
--[[Translation missing --]]
L["Crafting operations control how queuing profession crafts."] = "Crafting operations control how queuing profession crafts."
L["Crafting Queue (%d)"] = "Herstellungswarteschlange (%d)"
--[[Translation missing --]]
L["Crafting Value"] = "Crafting Value"
L["Crafts"] = "Rezepte"
L["Crafts %d"] = "Stellt %d her"
L["Create Groups from Table"] = "Gruppe von Tabelle herstellen"
L["Create macro"] = "Makro erstellen"
L["Create New"] = "Neu"
L["Create New Group"] = "Neue Gruppe erstellen"
L["Create New Operation"] = "Neue Operation erstellen"
L["Create new profile"] = "Neues Profil erstellen"
L["Create Profession Groups"] = "Neue Beruf-Gruppen erstellen"
L["CTRL"] = "STRG"
L["Current Price"] = "Aktueller Preis"
L["Custom Price"] = "Eigener Preis"
--[[Translation missing --]]
L["Custom price name %s already exists."] = "Custom price name %s already exists."
--[[Translation missing --]]
L["Custom price name %s is a reserved word which cannot be used."] = "Custom price name %s is a reserved word which cannot be used."
--[[Translation missing --]]
L["Custom price names can only contain lowercase letters."] = "Custom price names can only contain lowercase letters."
L["Custom Source"] = "Eigene Quelle"
L["Custom source (%s)"] = "Eigene Quellen (%s)"
L["Custom Sources"] = "Eigene Quellen"
--[[Translation missing --]]
L["Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."] = "Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."
L["DAILY PURCHASES"] = "TÄGLICHE KÄUFE"
L["DAILY SALES"] = "TÄGLICHE VERKÄUFE"
--[[Translation missing --]]
L["Dalaran"] = "Dalaran"
L["Dashboard"] = "Übersicht"
--[[Translation missing --]]
L["Default craft value method"] = "Default craft value method"
--[[Translation missing --]]
L["Default material cost method"] = "Default material cost method"
L["Default Price"] = "Standardpreis"
--[[Translation missing --]]
L["Default price configuration"] = "Default price configuration"
--[[Translation missing --]]
L["Define what priority Gathering gives certain sources."] = "Define what priority Gathering gives certain sources."
L["Delete %d Operations"] = "%d Operationen löschen"
L["Delete Group?"] = "Gruppe löschen?"
L["Delete Operation?"] = "Operation löschen?"
L["Delete Operations"] = "Operationen löschen"
L["Delete Operations?"] = "Operationen löschen?"
L["Delete Profile?"] = "Profil löschen?"
L["Delete Record?"] = "Aufzeichnung löschen?"
L["Delete the profile"] = "Lösche das Profil"
L["Deleting this group (%s) will also remove any sub-groups attached to this group."] = "Wenn du diese Gruppe entfernst (%s), werden auch alle zugehörigen Untergruppen gelöscht."
L["Deposit"] = "Anzahlung"
L["Deposit Cost"] = "Anzahlungs-Kosten"
--[[Translation missing --]]
L["Deposit reagents"] = "Deposit reagents"
L["Deselect All"] = "Alles abwählen"
L["Destroy Next"] = "Nächstes zerstören"
L["Destroy Value"] = "Zerstörungswert"
--[[Translation missing --]]
L["Destroy value"] = "Destroy value"
--[[Translation missing --]]
L["Destroy value source"] = "Destroy value source"
L["Destroying"] = "Destroying"
--[[Translation missing --]]
L["Destroying %s button"] = "Destroying %s button"
--[[Translation missing --]]
L["Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."] = "Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."
--[[Translation missing --]]
L["Destroying will ignore %s until you log out."] = "Destroying will ignore %s until you log out."
L["Destroying..."] = "Zerstören..."
--[[Translation missing --]]
L["Detailed crafting cost"] = "Detailed crafting cost"
--[[Translation missing --]]
L["Detailed destroy information"] = "Detailed destroy information"
L["Details"] = "Details"
L["Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."] = "Die Auktion von %s wurde nicht abgebrochen, weil dein Schwellenwert zum Abbrechen einer Auktion, um sie neu zu erstellen (%s), ungültig ist. Überprüfe deine Einstellungen."
L["Did not cancel %s because your maximum price (%s) is invalid. Check your settings."] = "Die Auktion von %s wurde nicht abgebrochen, weil dein Höchstpreis (%s) ungültig ist. Überprüfe deine Einstellungen."
L["Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Die Auktion von %s wurde nicht abgebrochen, weil dein Höchstpreis (%s) niedriger ist als dein Mindestpreis (%s). Überprüfe deine Einstellungen."
L["Did not cancel %s because your minimum price (%s) is invalid. Check your settings."] = "Die Auktion von %s wurde nicht abgebrochen, weil dein Mindestpreis (%s) ungültig ist. Überprüfe deine Einstellungen."
L["Did not cancel %s because your normal price (%s) is invalid. Check your settings."] = "Die Auktion von %s wurde nicht abgebrochen, weil dein normaler Preis (%s) ungültig ist. Überprüfe deine Einstellungen."
L["Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Die Auktion von %s wurde nicht abgebrochen, weil dein normaler Preis (%s) niedriger ist als dein Mindestpreis (%s). Überprüfe deine Einstellungen."
L["Did not cancel %s because your undercut (%s) is invalid. Check your settings."] = "Die Auktion von %s wurde nicht abgebrochen, weil dein Unterbieten (%s) ungültig ist. Überprüfe deine Einstellungen."
--[[Translation missing --]]
L["Did not change prices due to an invalid bid or buyout value."] = "Did not change prices due to an invalid bid or buyout value."
L["Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."] = "Die Auktion von %s wurde nicht erstellt, weil Blizzard nicht alle notwendigen Informationen dafür bereitgestellt hat. Versuche es später noch einmal."
L["Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."] = "Auktion für %s wurde nicht erstellt, da der Besitzer der günstigsten Auktion (%s) sowohl auf der schwarzen als auch auf der weißen Liste steht, was nicht erlaubt ist. Passe deine Einstellungen an, um dieses Problem zu beheben."
L["Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."] = "Auktion für %s wurde nicht erstellt, weil du oder einer deiner Twinks (%s) auf der schwarzen Liste steht, was nicht erlaubt ist. Entferne diesen Charakter aus deiner schwarzen Liste."
--[[Translation missing --]]
L["Did not post %s because your keep quantity (%s) is invalid. Check your settings."] = "Did not post %s because your keep quantity (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your max expires (%s) is invalid. Check your settings."] = "Did not post %s because your max expires (%s) is invalid. Check your settings."
L["Did not post %s because your maximum price (%s) is invalid. Check your settings."] = "Die Auktion von %s wurde nicht erstellt, weil dein Höchstpreis (%s) ungültig ist. Überprüfe deine Einstellungen."
L["Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Die Auktion von %s wurde nicht erstellt, weil dein Höchstpreis (%s) niedriger ist als dein Mindestpreis (%s). Überprüfe deine Einstellungen."
L["Did not post %s because your minimum price (%s) is invalid. Check your settings."] = "Die Auktion von %s wurde nicht erstellt, weil dein Mindestpreis (%s) ungültig ist. Überprüfe deine Einstellungen."
L["Did not post %s because your normal price (%s) is invalid. Check your settings."] = "Die Auktion von %s wurde nicht erstellt, weil dein normaler Preis (%s) ungültig ist. Überprüfe deine Einstellungen."
L["Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Die Auktion von %s wurde nicht erstellt, weil dein normaler Preis (%s) niedriger ist als dein Mindestpreis (%s). Überprüfe deine Einstellungen."
--[[Translation missing --]]
L["Did not post %s because your post cap (%s) is invalid. Check your settings."] = "Did not post %s because your post cap (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your stack size (%s) is invalid. Check your settings."] = "Did not post %s because your stack size (%s) is invalid. Check your settings."
L["Did not post %s because your undercut (%s) is invalid. Check your settings."] = "Die Auktion von %s wurde nicht erstellt, weil dein Unterbieten (%s) ungültig ist. Überprüfe deine Einstellungen."
L["Disable invalid price warnings"] = "Warnungen über ungültige Preise deaktivieren"
L["Disenchant Search"] = "Entzauberungssuche"
L["Disenchant Search Options"] = "Optionen für die Entzauberungssuche"
L["Disenchant Value"] = "Entzauberungswert"
--[[Translation missing --]]
L["Disenchant value"] = "Disenchant value"
L["Disenchanting Options"] = "Entzauberungsoptionen"
L["Display total money received in chat"] = "Zeige das gesamte erhaltene Geld im Chat"
L["Done Canceling"] = "Abbrechen abgeschlossen"
L["Done Posting"] = "Erfolgreich Auktion erstellt"
--[[Translation missing --]]
L["Done rebuilding item cache."] = "Done rebuilding item cache."
L["Done Scanning"] = "Scannen erledigt"
--[[Translation missing --]]
L["Don't post after this many expires"] = "Don't post after this many expires"
L["Don't Post Items"] = "Keine Items auktionieren"
L["Don't prompt to record trades"] = "Keine Rückfrage zur Protokollierung von Handelsaktivitäten"
--[[Translation missing --]]
L["Down"] = "Down"
L["Duplicate the profile"] = "Profil duplizieren"
L["Duration"] = "Dauer"
--[[Translation missing --]]
L["Duskwood"] = "Duskwood"
L["Edit"] = "Bearbeiten"
L["Edit Custom Source"] = "Eigene Quelle bearbeiten"
--[[Translation missing --]]
L["Edit Material Price"] = "Edit Material Price"
--[[Translation missing --]]
L["Edit Post"] = "Edit Post"
--[[Translation missing --]]
L["Embed TSM tooltip"] = "Embed TSM tooltip"
L["Empty bags"] = "Leere Taschen"
L["Empty parentheses are not allowed"] = "Leere Klammern sind nicht erlaubt"
L["Empty price string."] = "Leerer Preistext."
L["Enable automatic stack combination"] = "Automatisches Zusammenführen von Stapeln aktivieren"
--[[Translation missing --]]
L["Enable buying"] = "Enable buying"
L["Enable inbox chat messages"] = "Posteingang-Chatnachrichten aktivieren"
--[[Translation missing --]]
L["Enable restock"] = "Enable restock"
--[[Translation missing --]]
L["Enable selling"] = "Enable selling"
L["Enable sending chat messages"] = "Senden-Chatnachrichten aktivieren"
L["Enable TSM tooltips"] = "TSM Tooltips einschalten"
L["Enchant"] = "Verzaubern"
L["Enchant Vellum"] = "Pergament verzaubern"
L["Ensure both characters are online and try again."] = "Stelle sicher, dass beide Charaktere Online sind und versuche es erneut."
L["Enter a value from %d - %d"] = "Einen Wert zwischen %d - %d eingeben"
L["Enter a value from %d - %d%%"] = "Einen Wert zwischen %d - %d%% eingeben"
L["Enter Filter"] = "Filter eintragen"
L["Enter Keyword"] = "Suchbegriff eingeben"
--[[Translation missing --]]
L["Enter name of logged-in character on other account"] = "Enter name of logged-in character on other account"
L["Enter player name"] = "Spielername eintragen"
L["Enter profile name"] = "Profilname eingeben"
--[[Translation missing --]]
L["Enter recipient name"] = "Enter recipient name"
--[[Translation missing --]]
L["ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."] = "ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."
L["ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."] = "FEHLER: Das AH ist momentan mit einem anderen Scan beschäftigt. Bitte erneut versuchen, wenn der Scan beendet wurde."
L["ERROR: The auction house must be open in order to do a scan."] = "FEHLER: Das Auktionshaus muss geöffnet sein um einen Scan durchzuführen."
L["Establishing connection to %s. Make sure that you've entered this character's name on the other account."] = "Verbindung mit %s wird hergestellt. Achte darauf, dass dieser Charaktername im anderen Account angegeben ist."
L["Establishing connection..."] = "Verbindung herstellen..."
L["Estimated Cost:"] = "Geschätzte Kosten:"
L["Estimated deliver time"] = "Voraussichtliche Lieferzeit"
L["Estimated Profit:"] = "Geschätzter Gewinn:"
L["Exact Match"] = "Genauer Treffer"
L["Example"] = "Beispiel"
L["Example Item"] = "Beispiel Gegenstand"
L["Example Tooltip"] = "Beispiel Tooltip"
--[[Translation missing --]]
L["Exclude custom sources?"] = "Exclude custom sources?"
--[[Translation missing --]]
L["Exclude operations?"] = "Exclude operations?"
L["Exit"] = "Beenden"
--[[Translation missing --]]
L["Expand / Collapse All Groups"] = "Expand / Collapse All Groups"
L["Expenses"] = "Ausgaben"
L["EXPENSES"] = "AUSGABEN"
L["Expirations"] = "Ausgelaufene Auktionen"
L["Expired"] = "Abgelaufen"
L["Expired Auctions"] = "Ausgelaufene Auktionen"
--[[Translation missing --]]
L["Expired information"] = "Expired information"
L["Expired Since Last Sale"] = "Abgelaufen seit letztem Verkauf"
L["Expires"] = "Läuft ab"
L["Expires Since Last Sale"] = "Ausgelaufene Auktionen seit letztem Verkauf"
L["Expiring Mails"] = "Auslaufende Mails"
L["Exploration"] = "Erkundung"
L["Export"] = "Export"
L["Export String"] = "String Exportieren"
L["Export this group"] = "Diese Gruppe exportieren"
L["Failed Auctions"] = "Gescheiterte Auktionen"
--[[Translation missing --]]
L["Failed to bid on auction of %s (x%s) for %s."] = "Failed to bid on auction of %s (x%s) for %s."
L["Failed to bid on auction of %s."] = "Fehler beim Bieten auf Auktion von %s."
--[[Translation missing --]]
L["Failed to buy auction of %s (x%s) for %s."] = "Failed to buy auction of %s (x%s) for %s."
L["Failed to buy auction of %s."] = "Fehler beim Kaufen der Auktion von %s."
--[[Translation missing --]]
L["Failed to buy auction."] = "Failed to buy auction."
--[[Translation missing --]]
L["Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."] = "Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."
L["Failed to find auction for %s, so removing it from the results."] = "Eine Auktion für %s konnte nicht gefunden werden und wurde aus den Ergebnissen entfernt."
--[[Translation missing --]]
L["Failed to post %sx%d as the item no longer exists in your bags."] = "Failed to post %sx%d as the item no longer exists in your bags."
--[[Translation missing --]]
L["Failed to run full AH scan."] = "Failed to run full AH scan."
L["Failed to send profile."] = "Profil senden fehlgeschlagen"
--[[Translation missing --]]
L["Failed to send profile. Ensure both characters are online and try again."] = "Failed to send profile. Ensure both characters are online and try again."
--[[Translation missing --]]
L["Failed to start sniper. No groups have a Sniper operation applied."] = "Failed to start sniper. No groups have a Sniper operation applied."
L["Favorite Scans"] = "Favorisierte Scans"
L["Favorite Searches"] = "Favorisierte Suchanfragen"
L["Favorited Patterns"] = "Favorisierte Muster"
L["Filter by duration"] = "Filtern nach Dauer"
L["Filter by groups"] = "Filtern nach Gruppen"
L["Filter by keyword"] = "Filtern nach Suchwort"
L["Filter by Keyword"] = "Nach Suchwort filtern"
--[[Translation missing --]]
L["Filter by Price Source"] = "Filter by Price Source"
L["Filter by Profession"] = "Filtern nach Beruf"
L["Filter group item lists based on the following price source"] = "Gruppierte Itemlisten anhand folgender Preisquelle filtern:"
L["Finding Selected Auction"] = "Suche ausgewählte Auktion"
--[[Translation missing --]]
L["First Auctioning Operation Max Price"] = "First Auctioning Operation Max Price"
--[[Translation missing --]]
L["First Auctioning Operation Min Price"] = "First Auctioning Operation Min Price"
--[[Translation missing --]]
L["First Auctioning Operation Normal Price"] = "First Auctioning Operation Normal Price"
L["Fishing Reel In"] = "Angelrolle"
--[[Translation missing --]]
L["For more info, visit %s. For help, join us in Discord: %s."] = "For more info, visit %s. For help, join us in Discord: %s."
L["Forget Character"] = "Charakter vergessen"
L["Found auction sound"] = "Sound, wenn eine Auktion gefunden wurde"
L["Friends"] = "Freunde"
L["From"] = "Von"
L["Full inventory"] = "Gesamtes Inventar"
L["Garrison"] = "Garnison"
L["Gathering"] = "Sammeln"
L["Gathering Search"] = "Sammelsuche"
--[[Translation missing --]]
L["Gathering Setup"] = "Gathering Setup"
L["General Options"] = "Allgemeine Optionen"
L["General Settings"] = "Allgemeine Einstellungen"
L["Get from Bank"] = "Aus Bank nehmen"
L["Get from Guild Bank"] = "Aus Gildenbank nehmen"
--[[Translation missing --]]
L["Gets items from the bank or guild bank matching the item or partial text entered."] = "Gets items from the bank or guild bank matching the item or partial text entered."
L["Gold"] = "Gold"
--[[Translation missing --]]
L["Great Deals Search"] = "Great Deals Search"
L["Group already exists."] = "Gruppe besteht bereits."
L["Group Management"] = "Gruppenverwaltung"
L["Group name"] = "Gruppenname"
L["Group Search"] = "Gruppensuche"
L["Grouped Items"] = "Gruppierte Items"
L["Groups"] = "Gruppen"
L["Groups & Operations"] = "Gruppen & Operationen"
L["Groups Using"] = "Gruppen benutzt"
L["Guild"] = "Gilde"
L["Guild Bank"] = "Gildenbank"
L["GVault"] = "GTresor"
L["Have"] = "Haben"
L["Have Mats"] = "Habe Materialien"
--[[Translation missing --]]
L["Have Skill Ups"] = "Have Skill Ups"
--[[Translation missing --]]
L["Here you can add/remove what groups this operation is attached to."] = "Here you can add/remove what groups this operation is attached to."
L["Hide auctions with bids"] = "Auktionen mit Geboten nicht anzeigen"
L["Hide Columns"] = "Spalten verstecken"
L["Hide minimap icon"] = "Minikartensymbol ausblenden"
L["Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."] = "Verberge das TSM Banking Interface. Tippe '/tsm bankui' um es erneut zu öffnen."
L["Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."] = "Die TSM Aufgabenliste wird ausgeblendet. Tippe '/tsm tasklist', um sie erneut zu öffnen."
--[[Translation missing --]]
L["HIGH"] = "HIGH"
L["High Bidder"] = "Höchstbietender"
L["Historical Price"] = "Historischerpreis"
L["Historical price"] = "Historischer Preis"
L["Hold ALT to repair from the guild bank."] = "Halte ALT und auf Kosten der Gildenbank zu reparieren."
--[[Translation missing --]]
L["Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."] = "Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes"] = "Hold SHIFT to continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."
--[[Translation missing --]]
L["Hold shift to move the items to the parent group instead of removing them."] = "Hold shift to move the items to the parent group instead of removing them."
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes"] = "Hold SHIFT to not continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."
--[[Translation missing --]]
L["Hold SHIFT while dragging to scale the window instead."] = "Hold SHIFT while dragging to scale the window instead."
L["Hr"] = "Std"
L["Hrs"] = "Std"
--[[Translation missing --]]
L["If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."] = "If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."
L["Ignore Auctions Below Min"] = "Auktionen unter Minimum ignorieren"
--[[Translation missing --]]
L["Ignore auctions by duration"] = "Ignore auctions by duration"
L["Ignore Characters"] = "Charaktere ignorieren"
L["Ignore Guilds"] = "Gilden ignorieren"
--[[Translation missing --]]
L["Ignore operation on characters"] = "Ignore operation on characters"
--[[Translation missing --]]
L["Ignore operation on faction-realms"] = "Ignore operation on faction-realms"
--[[Translation missing --]]
L["Ignore variations"] = "Ignore variations"
L["Ignored Cooldowns"] = "Ignorierte Abklingzeiten"
L["Ignored Items"] = "Ignorierte Items"
L["ilvl"] = "ilvl"
L["Import"] = "Importieren"
L["Import group"] = "Gruppe importieren"
L["Import Groups & Operations"] = "Gruppen & Operationen importieren"
L["Import String"] = "String Importieren"
L["Import Summary"] = "Zusammenfassung importieren"
L["Imported Group"] = "Importierte Gruppe"
--[[Translation missing --]]
L["Imported group (%s) with %d items, %d operations, and %d custom sources."] = "Imported group (%s) with %d items, %d operations, and %d custom sources."
L["Improved Import / Export."] = "Verbesserter Import / Export."
L["Inbox Settings"] = "Posteingang-Einstellungen"
L["Include operations?"] = "Operationen einbeziehen?"
L["Include soulbound items"] = "Seelengebundene Items einbeziehen"
L["Information"] = "Informationen"
L["Invalid custom price source for %s. %s"] = "Ungültige eigene Preisquelle für %s. %s"
L["Invalid custom price."] = "Ungültiger eigener Preis."
L["Invalid function."] = "Ungültige Funktion."
L["Invalid gold value."] = "Ungültiger Gold-Wert."
L["Invalid group name."] = "Ungültiger Gruppenname."
L["Invalid item link."] = "Ungültiger Item-Link."
--[[Translation missing --]]
L["Invalid numeric value."] = "Invalid numeric value."
L["Invalid operation name."] = "Ungültiger Operationsname."
L["Invalid operator at end of custom price."] = "Ungültiger Operator am Ende des eigenen Preises."
L["Invalid parameter to price source."] = "Ungültiger Parameter für Preisquelle."
L["Invalid player name."] = "Ungültiger Spielername."
L["Invalid price source in convert."] = "Ungültige Preisquelle in Formel."
L["Invalid price."] = "Ungültiger Preis."
L["Invalid Quantity"] = "Ungültige Menge"
L["Invalid search filter (%s)."] = "Ungültige Suchfilter (%s)."
--[[Translation missing --]]
L["Invalid search term."] = "Invalid search term."
--[[Translation missing --]]
L["Invalid search term. Cannot filter by price here."] = "Invalid search term. Cannot filter by price here."
L["Invalid seller data returned by server."] = "Ungültige Daten zum Verkäufer vom Server gemeldet."
--[[Translation missing --]]
L["Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."] = "Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."
L["Invalid word: '%s'"] = "Ungültiges Wort: '%s'"
L["Inventory"] = "Inventar"
--[[Translation missing --]]
L["Inventory / Gold Graph"] = "Inventory / Gold Graph"
L["Inventory Options"] = "Inventaroptionen"
--[[Translation missing --]]
L["It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."] = "It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."
--[[Translation missing --]]
L["It looks like you're trying to reference an old global price source which no longer exists."] = "It looks like you're trying to reference an old global price source which no longer exists."
L["Item"] = "Item"
L["Item Class"] = "Gegenstandsklasse"
L["Item Level"] = "Item Level"
L["Item Level Range"] = "Gegenstandsstufenbreich"
L["Item links may only be used as parameters to price sources."] = "Item-Links dürfen nur als Parameter für Preisquellen verwendet werden."
L["Item Name"] = "Name des Items"
L["Item Quality"] = "Item Qualität"
--[[Translation missing --]]
L["Item Selection"] = "Item Selection"
--[[Translation missing --]]
L["Item Slot"] = "Item Slot"
--[[Translation missing --]]
L["Item Subclass"] = "Item Subclass"
L["Item Value"] = "Item Wert"
L["Item/Group is invalid (see chat)."] = "Gegenstand/Gruppe ist ungültig (siehe Chat)."
L["Items"] = "Items"
--[[Translation missing --]]
L["Items Using"] = "Items Using"
--[[Translation missing --]]
L["Keep in bags quantity"] = "Keep in bags quantity"
--[[Translation missing --]]
L["Keep in bank quantity"] = "Keep in bank quantity"
L["Keep quantity"] = "Behalte Menge"
L["Keep this amount"] = "Behalte diese Menge"
L["Keeping %d."] = "Behalte %d."
L["Keeping undercut auctions posted."] = "Behalte unterbotene Auktionen."
L["Last 14 Days"] = "Letzten 14 Tage"
L["Last 3 Days"] = "Letzten 3 Tage"
L["Last 30 Days"] = "Letzten 30 Tage"
L["Last 60 Days"] = "Letzten 60 Tage"
L["Last 7 Days"] = "Letzten 7 Tage"
L["Last Purchased"] = "Letzter Einkauf"
L["Last Sold"] = "Letzter Verkauf"
--[[Translation missing --]]
L["LEAST GROUPS"] = "LEAST GROUPS"
--[[Translation missing --]]
L["LEAST ITEMS"] = "LEAST ITEMS"
--[[Translation missing --]]
L["Ledger"] = "Ledger"
L["Level Up"] = "Stufe aufgestiegen"
--[[Translation missing --]]
L["Limit"] = "Limit"
L["Link to Another Operation"] = "Verbinde mit einer anderen Operation"
L["Loading..."] = "Laden..."
L["Lock Column Width"] = "Spaltenbreite sperren"
--[[Translation missing --]]
L["Lock task list's background"] = "Lock task list's background"
L["Looks like TradeSkillMaster has encountered an error. Please help the author fix this error by following the instructions shown."] = "Es scheint so, als wäre TradeSkillMaster auf einen Fehler gestoßen. Du kannst dem Autor dabei helfen, diesen Fehler zu beheben, indem du die folgenden Anweisungen befolgst."
L["Loop detected in the following custom price:"] = "Schleife im folgenden eigenen Preis entdeckt:"
--[[Translation missing --]]
L["LOW"] = "LOW"
L["Lowest auction by whitelisted player."] = "Günstigste Auktion von Spieler aus weißer Liste."
L["Macro created and scroll wheel bound!"] = "Makro erstellt und mit Mausrad verbunden!"
L["Macro Setup"] = "Makro-Setup"
L["Macros"] = "Makros"
L["Mail"] = "Post"
L["Mail Disenchantables"] = "Entzauberbare Items versenden"
--[[Translation missing --]]
L["Mail disenchantables max quality"] = "Mail disenchantables max quality"
--[[Translation missing --]]
L["Mail Selected Groups"] = "Mail Selected Groups"
--[[Translation missing --]]
L["Mail Selected Groups (Auto Resend)"] = "Mail Selected Groups (Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run + Auto Resend)"] = "Mail Selected Groups (Dry Run + Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run)"] = "Mail Selected Groups (Dry Run)"
L["Mail to %s"] = "Post an %s"
L["Mailing"] = "Mailing"
L["Mailing all to %s."] = "Sende alles an %s."
--[[Translation missing --]]
L["Mailing operation"] = "Mailing operation"
--[[Translation missing --]]
L["Mailing operations control mailing to other characters."] = "Mailing operations control mailing to other characters."
L["Mailing up to %d to %s."] = "Sende bis zu %d an %s."
L["Make Cash On Delivery?"] = "Mit Nachnahmegebühr?"
--[[Translation missing --]]
L["Make Operations Global?"] = "Make Operations Global?"
L["Management Options"] = "Verwaltungsoptionen"
L["Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."] = "Viele häufig verwendete Aktionen in TSM können in ein Makro umgewandelt und an dein Mausrad gebunden werden. Benutze dazu die folgenden Optionen."
L["Map Ping"] = "Klick auf Minimap"
L["Market Value"] = "Marktwert"
L["Market value"] = "Marktwert"
--[[Translation missing --]]
L["Market value price source"] = "Market value price source"
L["Market Value Price Source"] = "Marktwert-Preisquelle"
--[[Translation missing --]]
L["Mat cost"] = "Mat cost"
L["Mat Price"] = "Mat Preis"
--[[Translation missing --]]
L["Match stack size"] = "Match stack size"
L["Match whitelisted players"] = "Spieler aus der weißen Liste überprüfen"
L["Material Cost"] = "Materialkosten"
L["Material Price"] = "Materialpreis"
L["Materials"] = "Materialien"
L["Materials to Gather"] = "Zu sammelnde Materialien"
L["Max"] = "Max"
L["Max Buy Price"] = "Max Kaufpreis"
--[[Translation missing --]]
L["Max destroy value (Enter '0c' to disable)"] = "Max destroy value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max expires to bank"] = "Max expires to bank"
--[[Translation missing --]]
L["Max market value (Enter '0c' to disable)"] = "Max market value (Enter '0c' to disable)"
L["Max Price"] = "Max Preis"
L["Max quantity"] = "Max Menge"
--[[Translation missing --]]
L["Max restock quantity"] = "Max restock quantity"
L["Max Sell Price"] = "Max Verkaufpreis"
L["Max Shopping Price"] = "Maximaler Einkaufspreis"
--[[Translation missing --]]
L["Max shopping price"] = "Max shopping price"
--[[Translation missing --]]
L["Max sniper price"] = "Max sniper price"
L["Maximum amount already posted."] = "Maximale Anzahl von Auktionen bereits erstellt."
--[[Translation missing --]]
L["Maximum auction price"] = "Maximum auction price"
--[[Translation missing --]]
L["Maximum disenchant level"] = "Maximum disenchant level"
--[[Translation missing --]]
L["Maximum disenchant quality"] = "Maximum disenchant quality"
--[[Translation missing --]]
L["Maximum disenchant search percent"] = "Maximum disenchant search percent"
L["Maximum price"] = "Maximaler Preis"
--[[Translation missing --]]
L["Maximum Quantity to Buy"] = "Maximum Quantity to Buy"
--[[Translation missing --]]
L["Maximum restock quantity"] = "Maximum restock quantity"
L["Midnight"] = "Mitternacht"
--[[Translation missing --]]
L["Mill value"] = "Mill value"
L["Mill Value"] = "Mahlenwert"
L["Min"] = "Min"
L["Min 0 - Max 20"] = "Min 0 - Max 20"
--[[Translation missing --]]
L["Min 0.5 - Max 10"] = "Min 0.5 - Max 10"
L["Min Buy Price"] = "Min Kaufpreis"
L["Min Buyout"] = "Min Sofortkaufpreis"
--[[Translation missing --]]
L["Min buyout"] = "Min buyout"
--[[Translation missing --]]
L["Min number of expires"] = "Min number of expires"
--[[Translation missing --]]
L["Min profit amount"] = "Min profit amount"
--[[Translation missing --]]
L["Min restock quantity"] = "Min restock quantity"
L["Min Sell Price"] = "Min Verkaufpreis"
--[[Translation missing --]]
L["Min/Normal/Max price"] = "Min/Normal/Max price"
L["Min/Normal/Max Prices"] = "Min/Normal/Max Preise"
--[[Translation missing --]]
L["Minimum disenchant level"] = "Minimum disenchant level"
--[[Translation missing --]]
L["Minimum price"] = "Minimum price"
--[[Translation missing --]]
L["Minimum Rarity"] = "Minimum Rarity"
L["Misplaced comma"] = "Falsch gesetztes Komma"
L["Missing Materials"] = "Fehlende Materialien"
--[[Translation missing --]]
L["Missing operator between sets of parenthesis"] = "Missing operator between sets of parenthesis"
L["Modifiers"] = "Modifikatoren"
L["Money Frame Open"] = "Geldfenster öffnen"
L["Money Transfer"] = "Geldtransfer"
--[[Translation missing --]]
L["MOST GROUPS"] = "MOST GROUPS"
--[[Translation missing --]]
L["MOST ITEMS"] = "MOST ITEMS"
L["MOVE"] = "BEWEGEN"
--[[Translation missing --]]
L["Move %d |4Item:Items"] = "Move %d |4Item:Items"
--[[Translation missing --]]
L["Move %d already grouped items?"] = "Move %d already grouped items?"
L["Move all to Bags"] = "Alles in Tasche verschieben"
L["Move Item"] = "Gegenstand verschieben"
--[[Translation missing --]]
L["Move Quantity Options"] = "Move Quantity Options"
L["Move to bags"] = "Zur Tasche verschieben"
L["Move to bank"] = "Zur Bank verschieben"
L["Move to Parent Group"] = "Zur übergeordneten Gruppe wechseln"
L["MOVING"] = "BEWEGEN"
L["Moving"] = "Bewegen"
L["Multiple Items"] = "Mehrere Gegenstände"
L["Must be between %d and %s."] = "Muss zwischen %d und %s sein."
L["My Auctions"] = "Meine Auktionen"
--[[Translation missing --]]
L["My Auctions %s button"] = "My Auctions %s button"
L["Name"] = "Name"
L["NEED MATS"] = "KEINE MATS"
--[[Translation missing --]]
L["New Base Group search."] = "New Base Group search."
L["New Group"] = "Neue Gruppe"
L["New Operation"] = "Neue Operation"
--[[Translation missing --]]
L["New price sources."] = "New price sources."
--[[Translation missing --]]
L["News & Information"] = "News & Information"
L["No Attachments"] = "Keine Anhänge"
--[[Translation missing --]]
L["No AuctionDB Realm Data"] = "No AuctionDB Realm Data"
--[[Translation missing --]]
L["No AuctionDB Region Data"] = "No AuctionDB Region Data"
L["No Characters"] = "Keine Charaktere"
L["No Crafts"] = "Keine Rezepte"
--[[Translation missing --]]
L["No Faction-Realms"] = "No Faction-Realms"
L["No group selected"] = "Keine Gruppe ausgewählt"
L["No Guilds"] = "Keine Gilden"
L["No item specified. Usage: /tsm restock_help [ITEM_LINK]"] = "Kein Gegenstand spezifiziert. Nutze: /tsm restock_help [ITEM_LINK]"
L["NO ITEMS"] = "KEINE ITEMS"
L["No Materials to Gather"] = "Keine zu sammelnden Materialien"
L["No Operation Selected"] = "Keine Operation ausgewählt"
L["No Players"] = "Keine Spieler"
L["No posting."] = "Keine Auktion erstellen."
L["No Profession Opened"] = "Keinen Beruf geöffnet"
L["No Profession Selected"] = "Keinen Beruf ausgewählt"
L["No Professions"] = "Keine Berufe"
L["No profile specified. Possible profiles: '%s'"] = "Kein Profil angegeben. Mögliche Profile: '%s'"
L["No Rarities"] = "Keine Raritäten"
--[[Translation missing --]]
L["No receipe selected"] = "No receipe selected"
L["No recent AuctionDB scan data found."] = "Keine aktuellen AuctionDB Scan-Daten gefunden."
L["No Sound"] = "Kein Sound"
L["No Sources"] = "Keine Quellen"
--[[Translation missing --]]
L["No Types"] = "No Types"
--[[Translation missing --]]
L["No value was returned by the custom price for the specified item."] = "No value was returned by the custom price for the specified item."
L["None"] = "Nichts"
L["None (Always Show)"] = "Keine (immer zeigen)"
L["None Selected"] = "Nichts ausgewählt"
--[[Translation missing --]]
L["Nongroup to bank"] = "Nongroup to bank"
L["Normal price"] = "Normaler Preis"
L["Not canceling auction at reset price."] = "Wird nicht abgebrochen, Auktion bei Reset-Preis."
L["Not canceling auction below min price."] = "Wird nicht abgebrochen, Auktion unter Mindestpreis."
L["Not canceling."] = "Wird nicht abgebrochen."
L["Not Connected"] = "Nicht verbunden"
L["Not enough items in bags."] = "Nicht genügend Gegenstände in den Taschen."
L["Not Enough Money"] = "Nicht genügend Gold"
L["Not enough money to cancel."] = "Nicht genügend Gold zum abbrechen."
L["NOT OPEN"] = "NICHT OFFEN"
L["Not Scanned"] = "Nicht gescannt"
--[[Translation missing --]]
L["NOTE: The import contained %d invalid items which were ignored."] = "NOTE: The import contained %d invalid items which were ignored."
--[[Translation missing --]]
L["NOTE: The import contained %d operations with at least one invalid setting which was reset."] = "NOTE: The import contained %d operations with at least one invalid setting which was reset."
--[[Translation missing --]]
L["Nothing to move."] = "Nothing to move."
--[[Translation missing --]]
L["Nothing to send."] = "Nothing to send."
--[[Translation missing --]]
L["Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."] = "Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."
L["NPC"] = "NPC"
L["Number Owned"] = "Anzahl in Besitz"
L["Offline"] = "Offline"
L["On Cooldown"] = "Auf Abklingzeit"
L["Only show craftable"] = "Nur herstellbare Items"
--[[Translation missing --]]
L["Only show items with disenchant values above this price"] = "Only show items with disenchant values above this price"
L["Only show sold auctions"] = "Nur verkaufte Auktionen anzeigen"
L["OPEN"] = "ÖFFNEN"
--[[Translation missing --]]
L["Open All Mail"] = "Open All Mail"
--[[Translation missing --]]
L["Open All Mail Without Money"] = "Open All Mail Without Money"
L["Open Mail"] = "Mail öffnen"
--[[Translation missing --]]
L["Open mail complete sound"] = "Open mail complete sound"
--[[Translation missing --]]
L["Open Mail Without Money"] = "Open Mail Without Money"
L["Open Task List"] = "Aufgabenliste öffnen"
--[[Translation missing --]]
L["Opens the Destroying frame if there's stuff in your bags to be destroyed."] = "Opens the Destroying frame if there's stuff in your bags to be destroyed."
L["Operation"] = "Operation"
L["Operations"] = "Operationen"
--[[Translation missing --]]
L["Options specific to Sniper are below."] = "Options specific to Sniper are below."
--[[Translation missing --]]
L["Order Confirmation"] = "Order Confirmation"
L["Orgrimmar"] = "Orgrimmar"
--[[Translation missing --]]
L["Other"] = "Other"
L["Other Character"] = "Anderer Charakter"
--[[Translation missing --]]
L["Override default craft value"] = "Override default craft value"
--[[Translation missing --]]
L["Override Parent Operations"] = "Override Parent Operations"
L["Parent Items"] = "Übergeordnete Gegenstände"
L["Pausing Scan..."] = "Scan anhalten..."
L["Per Item"] = "Pro Item"
L["Per Stack"] = "Pro Stapel"
--[[Translation missing --]]
L["Per-Character group selections."] = "Per-Character group selections."
--[[Translation missing --]]
L["Performing a dry-run of your Mailing operations for the selected groups."] = "Performing a dry-run of your Mailing operations for the selected groups."
--[[Translation missing --]]
L["Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."] = "Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."
L["Player Gold"] = "Spielergold"
L["Player Invite Accept"] = "Spielereinladung akzeptieren"
--[[Translation missing --]]
L["Post"] = "Post"
L["Post / Cancel"] = "Einstellen / Abbrechen"
L["Post at Maximum Price"] = "Zum Höchstpreis erstellen"
L["Post at Minimum Price"] = "Zum Mindestpreis erstellen"
L["Post at Normal Price"] = "Zum Normalpreis erstellen"
L["Post Auction"] = "Auktion einstellen"
--[[Translation missing --]]
L["Post cap"] = "Post cap"
--[[Translation missing --]]
L["Post cap to bags"] = "Post cap to bags"
--[[Translation missing --]]
L["Post from Shopping Scan"] = "Post from Shopping Scan"
--[[Translation missing --]]
L["Post Items from Bags"] = "Post Items from Bags"
--[[Translation missing --]]
L["Post Quantity"] = "Post Quantity"
L["Post Scan"] = "Einstellungsscan"
--[[Translation missing --]]
L["Post Selected"] = "Post Selected"
L["Postage"] = "Versandkosten"
L["Posted at whitelisted player's price."] = "Zum Preis des Spielers aus weißer Liste gelistet."
--[[Translation missing --]]
L["Posted:"] = "Posted:"
L["Posting"] = "Auktionserstellung"
L["Posting %d / %d"] = "Erstelle Auktion %d / %d"
--[[Translation missing --]]
L["Posting %d items for %s hours."] = "Posting %d items for %s hours."
--[[Translation missing --]]
L["Posting %d stack(s) of %d for %s hours."] = "Posting %d stack(s) of %d for %s hours."
L["Posting at normal price."] = "Erstelle zum Normalpreis."
L["Posting at whitelisted player's price."] = "Erstelle zum Preis des Spielers aus der weißen Liste."
L["Posting at your current price."] = "Erstelle zu deinem aktuellen Preis."
L["Posting disabled."] = "Auktion erstellen deaktiviert."
--[[Translation missing --]]
L["Posting Options"] = "Posting Options"
--[[Translation missing --]]
L["Posting Price"] = "Posting Price"
L["Posts"] = "Angebote"
L["Potential"] = "Potential"
L["Prepare Bid"] = "Gebot vorbeiten"
L["Prepare Buy"] = "Kauf vorbereiten"
L["Preparing..."] = "Vorbereiten..."
--[[Translation missing --]]
L["Prevent closing the Auction House with the esc key"] = "Prevent closing the Auction House with the esc key"
--[[Translation missing --]]
L["Prints out the available price sources for use in custom prices"] = "Prints out the available price sources for use in custom prices"
--[[Translation missing --]]
L["Prints out the version numbers of all installed modules"] = "Prints out the version numbers of all installed modules"
--[[Translation missing --]]
L["Prints the slash command help listing"] = "Prints the slash command help listing"
--[[Translation missing --]]
L["Processing scan results..."] = "Processing scan results..."
L["Profession"] = "Berufe"
L["Profession Info"] = "Berufs-Info"
L["Professions Used In"] = "Relevant für die Berufe"
L["Profile changed to '%s'."] = "Profil wurde auf '%s' geändert."
L["Profiles"] = "Profile"
L["Profit"] = "Gewinn"
L["PROFIT"] = "GEWINN"
--[[Translation missing --]]
L["Profit (Total)"] = "Profit (Total)"
--[[Translation missing --]]
L["Prospect value"] = "Prospect value"
L["Prospect Value"] = "Sondierungswert"
--[[Translation missing --]]
L["Purchase"] = "Purchase"
--[[Translation missing --]]
L["Purchase / Sale Info"] = "Purchase / Sale Info"
--[[Translation missing --]]
L["Purchase Data"] = "Purchase Data"
--[[Translation missing --]]
L["Purchase information"] = "Purchase information"
--[[Translation missing --]]
L["Purchase Item"] = "Purchase Item"
L["Purchased (Min/Avg/Max Price)"] = "Gekauft (Min/Ø/Max Preis)"
L["Purchased (Total Price)"] = "Gekauft (Gesamtpreis)"
L["Purchases"] = "Einkäufe"
L["Purchasing Auction"] = "Kaufe Auktion"
--[[Translation missing --]]
L["Puts items matching the item or partial text entered into the bank or guild bank."] = "Puts items matching the item or partial text entered into the bank or guild bank."
L["Qty"] = "Anz"
L["Quantity"] = "Menge"
L["Quantity Purchased:"] = "Menge gekauft:"
L["Quantity Sold:"] = "Anzahl verkauft:"
L["Quantity to move"] = "Menge zum verschieben"
L["Quest Added"] = "Quest hinzugefügt"
L["Quest Completed"] = "Quest abgeschlossen"
L["Quest Objectives Complete"] = "Questziel erreicht"
L["Queue"] = "Warteschlange"
L["Quickly mail all excess disenchantable items to a character"] = "Überschuss an entzauberbaren Items an Charakter senden"
L["Quickly mail all excess gold (limited to a certain amount) to a character"] = "Goldüberschuss (begrenzt auf eine bestimmte Menge) an Charakter senden"
L["Raid Warning"] = "Schlachtzugwarnung"
L["Read More"] = "Mehr lesen"
L["Ready Check"] = "Bereitschaftscheck"
L["Ready to Cancel"] = "Bereit zum Abbrechen"
--[[Translation missing --]]
L["Recent"] = "Recent"
L["Recent Scans"] = "Scanverlauf"
L["Recent Searches"] = "Suchverlauf"
--[[Translation missing --]]
L["Recipe Name"] = "Recipe Name"
--[[Translation missing --]]
L["Recipient"] = "Recipient"
--[[Translation missing --]]
L["Region avg daily sold"] = "Region avg daily sold"
L["Region Avg Daily Sold"] = "Regionaler Ø täglicher Verkäufe"
L["Region Historical Price"] = "Regionaler historischer Preis"
--[[Translation missing --]]
L["Region historical price"] = "Region historical price"
--[[Translation missing --]]
L["Region market value"] = "Region market value"
L["Region Market Value Avg"] = "Regionaler Marktwert Ø"
L["Region Min Buyout Avg"] = "Regionaler Min Sofortkauf Ø"
--[[Translation missing --]]
L["Region min buyout avg"] = "Region min buyout avg"
--[[Translation missing --]]
L["Region sale avg"] = "Region sale avg"
L["Region Sale Avg"] = "Regionaler Verkaufs Ø"
L["Region Sale Rate"] = "Regionale Verkaufsrate"
--[[Translation missing --]]
L["Region sale rate"] = "Region sale rate"
L["Reload"] = "Neuladen"
--[[Translation missing --]]
L["Reload UI (%02d)"] = "Reload UI (%02d)"
--[[Translation missing --]]
L["Reload UI (%d)"] = "Reload UI (%d)"
L["Remove"] = "Entfernen"
--[[Translation missing --]]
L["Remove %d |4Item:Items"] = "Remove %d |4Item:Items"
--[[Translation missing --]]
L["Remove Data Older Than (Days)"] = "Remove Data Older Than (Days)"
--[[Translation missing --]]
L["Remove this account sync and all synced data from this account"] = "Remove this account sync and all synced data from this account"
L["Removed a total of %s old records."] = "Es wurden insgesamt %s alte Daten entfernt."
--[[Translation missing --]]
L["Removed custom price source (%s) which has an invalid name."] = "Removed custom price source (%s) which has an invalid name."
L["Rename"] = "Umbenennen"
L["Rename Profile"] = "Profil umbenennen"
L["Rename Search"] = "Suche umbenennen"
L["Rename the profile"] = "Dieses Profil umbenennen"
L["Rename this group"] = "Diese Gruppe umbenennen"
L["Repair"] = "Reparieren"
L["Repair Bill"] = "Reparaturrechnung"
L["Repair from Guild Bank"] = "Von der Gildenbank reparieren"
--[[Translation missing --]]
L["Replace %d existing operations and %d existing custom sources?"] = "Replace %d existing operations and %d existing custom sources?"
--[[Translation missing --]]
L["Replace %d existing operations?"] = "Replace %d existing operations?"
L["Reply"] = "Antworten"
L["Report Spam"] = "Spam Melden"
--[[Translation missing --]]
L["Reports"] = "Reports"
--[[Translation missing --]]
L["Repost threshold"] = "Repost threshold"
L["Required Level"] = "Erforderliche Stufe"
--[[Translation missing --]]
L["Required Level Range"] = "Required Level Range"
L["Resale"] = "Wiederverkauf"
--[[Translation missing --]]
L["Rescan"] = "Rescan"
L["Reset"] = "Zurücksetzen"
L["Reset All Filters"] = "Alle Filter zurücksetzen"
L["Reset Filters"] = "Filter leeren"
L["Reset Operation?"] = "Operationen zurücksetzen?"
L["Reset Profile?"] = "Profil zurücksetzen?"
L["Reset Table"] = "Tabelle zurücksetzen"
--[[Translation missing --]]
L["Reset the current profile to default settings"] = "Reset the current profile to default settings"
L["Reset to Default"] = "Zurücksetzen auf Werkseinstellungen"
L["Reset Zoom"] = "Zoom zurücksetzen"
--[[Translation missing --]]
L["Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."] = "Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."
L["Restart"] = "Neustart"
L["Restart delay (minutes)"] = "Neustartverzögerung (in Minuten)"
L["Restock bags"] = "Taschen wiederauffüllen"
--[[Translation missing --]]
L["Restock help for %s: %s"] = "Restock help for %s: %s"
--[[Translation missing --]]
L["Restock Options"] = "Restock Options"
--[[Translation missing --]]
L["Restock quantity"] = "Restock quantity"
--[[Translation missing --]]
L["Restock Selected Groups"] = "Restock Selected Groups"
--[[Translation missing --]]
L["Restock target to max quantity"] = "Restock target to max quantity"
L["Restocking to %d."] = "Fülle auf %d wieder auf."
--[[Translation missing --]]
L["Restocking with a min profit."] = "Restocking with a min profit."
--[[Translation missing --]]
L["Restocking with no min profit."] = "Restocking with no min profit."
L["Restore bags"] = "Taschen wiederherstellen"
L["Resuming Scan..."] = "Scan fortsetzen..."
L["Retrying %d auction(s) which failed."] = "Wiederhole %d gescheiterte Auktion(en)."
L["Revenue"] = "Einnahmen"
--[[Translation missing --]]
L["Right-Click to reset the window size, scale, and position to their defaults."] = "Right-Click to reset the window size, scale, and position to their defaults."
--[[Translation missing --]]
L["Run Advanced Item Search"] = "Run Advanced Item Search"
L["Run Bid Sniper"] = "Gebot-Sniper starten"
L["Run Buyout Sniper"] = "Sofortkauf-Sniper starten"
L["Run Cancel Scan"] = "Abbruchscan"
L["Run Post Scan"] = "Einstellscan"
L["Run Shopping Scan"] = "Shoppingscan"
L["Running Sniper Scan"] = "Sniper-Scan läuft"
L["Sale"] = "Verkauf"
--[[Translation missing --]]
L["Sale Data"] = "Sale Data"
L["Sale information"] = "Verkaufsinformationen"
L["Sale Price"] = "Verkaufspreis"
L["Sale Rate"] = "Verkaufsrate"
--[[Translation missing --]]
L["Sale rate"] = "Sale rate"
L["Sales"] = "Umsatz"
L["SALES"] = "VERKÄUFE"
L["Save"] = "Speichern"
L["Scan"] = "Scan"
L["SCAN ALL"] = "ALLE SCANNEN"
--[[Translation missing --]]
L["Scan complete sound"] = "Scan complete sound"
L["Scan Paused"] = "Scan pausiert"
--[[Translation missing --]]
L["Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."] = "Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."
L["Scanning"] = "Scannen"
L["SCANNING"] = "SCANNEN"
L["Scanning (%d Items)"] = "Scanne (%d Gegenstände)"
L["Scroll wheel direction"] = "Richtung Mausrad"
L["Scroll Wheel Options"] = "Mausrad Optionen"
L["Search"] = "Suche"
--[[Translation missing --]]
L["Search %s operations"] = "Search %s operations"
L["Search Bags"] = "Taschen durchsuchen"
L["Search Groups"] = "Gruppen durchsuchen"
--[[Translation missing --]]
L["Search items"] = "Search items"
--[[Translation missing --]]
L["Search items in group"] = "Search items in group"
--[[Translation missing --]]
L["Search items in mailbox"] = "Search items in mailbox"
L["Search Operations"] = "Operationen durchsuchen"
L["Search Patterns"] = "Rezepte durchsuchen"
--[[Translation missing --]]
L["Search Results"] = "Search Results"
--[[Translation missing --]]
L["Search the auction house"] = "Search the auction house"
L["Search Vendor"] = "Händlersuche"
--[[Translation missing --]]
L["Select / Deselect All Groups"] = "Select / Deselect All Groups"
--[[Translation missing --]]
L["Select / Deselect All Items"] = "Select / Deselect All Items"
--[[Translation missing --]]
L["Select / Deselect All Results"] = "Select / Deselect All Results"
L["Select a Source"] = "Wähle eine Quelle"
L["Select Action"] = "Aktion auswählen"
L["Select All"] = "Alles markieren"
--[[Translation missing --]]
L["Select an Auction to Buy"] = "Select an Auction to Buy"
L["Select Auction to Cancel"] = "Wähle eine Auktion zum abbrechen"
L["Select crafter"] = "Handwerker auswählen"
L["Select Group"] = "Gruppe markieren"
--[[Translation missing --]]
L["Select included subgroups"] = "Select included subgroups"
--[[Translation missing --]]
L["Select Items to Attach"] = "Select Items to Attach"
L["Select professions"] = "Berufe auswählen"
L["Sell"] = "Verkaufen"
L["Sell All"] = "Alles verkaufen"
L["Sell BoEs"] = "Verkaufe BoEs"
L["Sell Groups"] = "Gruppen verkaufen"
L["Sell Options"] = "Verkaufs Optionen"
L["Sell soulbound items"] = "Verkaufe Seelengebundene Gegenstände"
L["Sell to Vendor"] = "An Händler verkaufen"
L["Sell Trash"] = "Schrott verkaufen"
L["Seller"] = "Verkäufer"
L["Selling soulbound items."] = "Verkaufe seelengebundene Items."
L["Send"] = "Senden"
--[[Translation missing --]]
L["Send Disenchantables"] = "Send Disenchantables"
L["Send Excess Gold to Banker"] = "Goldüberschuss an Banker senden"
--[[Translation missing --]]
L["Send Gold"] = "Send Gold"
L["Send grouped items individually"] = "Gruppierte Items einzeln versenden"
--[[Translation missing --]]
L["Send Mail"] = "Send Mail"
L["Send Money"] = "Gold senden"
--[[Translation missing --]]
L["Send your active profile to this synced account"] = "Send your active profile to this synced account"
L["Sender"] = "Absender"
L["SENDING"] = "SENDEN"
L["Sending %s to %s"] = "Sende %s an %s"
L["Sending %s to %s with a COD of %s"] = "Sende %s an %s mit einer Nachnahmegebühr von %s"
L["Sending Settings"] = "Senden-Einstellungen"
--[[Translation missing --]]
L["Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"] = "Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"
L["Sending..."] = "Versenden..."
--[[Translation missing --]]
L["Set bid as percentage of buyout"] = "Set bid as percentage of buyout"
--[[Translation missing --]]
L["Set how items are moved out of the bank."] = "Set how items are moved out of the bank."
--[[Translation missing --]]
L["Set how items are restocked from the bank."] = "Set how items are restocked from the bank."
--[[Translation missing --]]
L["Set keep in bags quantity"] = "Set keep in bags quantity"
--[[Translation missing --]]
L["Set keep in bank quantity"] = "Set keep in bank quantity"
--[[Translation missing --]]
L["Set max quantity"] = "Set max quantity"
--[[Translation missing --]]
L["Set min profit"] = "Set min profit"
--[[Translation missing --]]
L["Set move quantity"] = "Set move quantity"
--[[Translation missing --]]
L["Set stack size"] = "Set stack size"
--[[Translation missing --]]
L["Set stack size for restock"] = "Set stack size for restock"
--[[Translation missing --]]
L["Set what is bought from a vendor."] = "Set what is bought from a vendor."
--[[Translation missing --]]
L["Set what is sold to a vendor."] = "Set what is sold to a vendor."
--[[Translation missing --]]
L["Set what items are shown during a Shopping scan."] = "Set what items are shown during a Shopping scan."
--[[Translation missing --]]
L["Set what items are shown during a Sniper scan."] = "Set what items are shown during a Sniper scan."
--[[Translation missing --]]
L["Set your active profile or create a new one."] = "Set your active profile or create a new one."
L["Settings"] = "Einstellungen"
--[[Translation missing --]]
L["Setup various sounds that play when doing Auctioning scans."] = "Setup various sounds that play when doing Auctioning scans."
L["SHIFT"] = "SHIFT"
L["Shopping"] = "Shopping"
--[[Translation missing --]]
L["Shopping %s button"] = "Shopping %s button"
L["Shopping for auctions including those above the max price."] = "Kaufe Auktionen ein, einschließlich solcher über dem Höchstpreis."
L["Shopping for auctions with a max price set."] = "Kaufe Auktionen mit einem festgelegten Höchstpreis ein."
--[[Translation missing --]]
L["Shopping operation"] = "Shopping operation"
--[[Translation missing --]]
L["Shopping Operation Max Price"] = "Shopping Operation Max Price"
--[[Translation missing --]]
L["Shopping operations control buyout from the AH."] = "Shopping operations control buyout from the AH."
--[[Translation missing --]]
L["Shortfall to bags"] = "Shortfall to bags"
--[[Translation missing --]]
L["Show auctions above max price"] = "Show auctions above max price"
L["Show confirmation alert if buyout is above the alert price"] = "Zeige Bestätigungs-Alarm wenn der Sofortkauf über dem Alarm-Preis liegt."
--[[Translation missing --]]
L["Show destroying frame automatically"] = "Show destroying frame automatically"
--[[Translation missing --]]
L["Show on modifier"] = "Show on modifier"
--[[Translation missing --]]
L["Show only auctions with bids"] = "Show only auctions with bids"
--[[Translation missing --]]
L["Showing %s Mail"] = "Showing %s Mail"
--[[Translation missing --]]
L["Showing %s of %d Mail"] = "Showing %s of %d Mail"
--[[Translation missing --]]
L["Showing %s of %d Mails"] = "Showing %s of %d Mails"
--[[Translation missing --]]
L["Showing all %s Mails"] = "Showing all %s Mails"
--[[Translation missing --]]
L["Simple inventory"] = "Simple inventory"
L["Skip"] = "Überspringen"
L["Skipped:"] = "Übersprungen:"
L["Skipped: No assigned operation"] = "Übersprungen: Keine Operation zugewiesen"
L["Slash Commands:"] = "Slash-Befehle:"
--[[Translation missing --]]
L["Smart Avg Buy Price"] = "Smart Avg Buy Price"
--[[Translation missing --]]
L["Sniper"] = "Sniper"
--[[Translation missing --]]
L["Sniper %s button"] = "Sniper %s button"
--[[Translation missing --]]
L["Sniper Below Price"] = "Sniper Below Price"
--[[Translation missing --]]
L["Sniper operation"] = "Sniper operation"
--[[Translation missing --]]
L["Sniper Operation Below Price"] = "Sniper Operation Below Price"
--[[Translation missing --]]
L["Sniper operations control sniping from the AH."] = "Sniper operations control sniping from the AH."
L["Sniper Options"] = "Sniper-Optionen"
L["Sniping items below a max price"] = "Suche gezielt Items unter einem Höchstpreis"
L["Sold"] = "Verkauft"
--[[Translation missing --]]
L["Sold %d of %s to %s for %s"] = "Sold %d of %s to %s for %s"
L["Sold %s worth of items."] = "Items im Wert von %s verkauft."
L["Sold (Min/Avg/Max Price)"] = "Verkauft (Min/Ø/Max Preis)"
L["Sold (Total Price)"] = "Verkauft (Gesamtpreis)"
L["Sold [%s]x%d for %s to %s"] = "Verkauft [%s]x%d für %s an %s"
L["Sold for:"] = "Verkauft für:"
--[[Translation missing --]]
L["Some general Accounting options are below."] = "Some general Accounting options are below."
--[[Translation missing --]]
L["Some general appearance options are below."] = "Some general appearance options are below."
--[[Translation missing --]]
L["Some general Auctioning options are below."] = "Some general Auctioning options are below."
--[[Translation missing --]]
L["Some general Browse/Sniper options are below."] = "Some general Browse/Sniper options are below."
--[[Translation missing --]]
L["Some general options for the TSM tooltip information are below."] = "Some general options for the TSM tooltip information are below."
--[[Translation missing --]]
L["Some general TSM options are below."] = "Some general TSM options are below."
--[[Translation missing --]]
L["Some options for the Disenchant Search are below."] = "Some options for the Disenchant Search are below."
L["Source"] = "Quelle"
L["SOURCE %d"] = "QUELLE %d"
L["Sources"] = "Quellen"
--[[Translation missing --]]
L["Sources to include for restock"] = "Sources to include for restock"
L["Stack"] = "Stapel"
L["Stack / Quantity"] = "Stapel / Anzahl"
L["Stack size"] = "Stapelgröße"
--[[Translation missing --]]
L["Stack size multiple"] = "Stack size multiple"
L["Stack(s)"] = "Stapel"
L["Start either a 'Buyout' or 'Bid' sniper using the buttons above."] = "Klicke auf einen der Buttons oben, um einen Sofortkauf- oder Gebot-Sniper zu starten."
--[[Translation missing --]]
L["Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."] = "Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."
L["Starting Scan..."] = "Starte Scan..."
L["Store operations globally"] = "Operationen global speichern"
L["Stormwind"] = "Sturmwind"
L["String"] = "String"
L["Subject"] = "Betreff"
--[[Translation missing --]]
L["Subject & Description added"] = "Subject & Description added"
--[[Translation missing --]]
L["Successfully sent your '%s' profile to %s!"] = "Successfully sent your '%s' profile to %s!"
--[[Translation missing --]]
L["Supported range: %d - %d"] = "Supported range: %d - %d"
--[[Translation missing --]]
L["Supported value range: %d - %d"] = "Supported value range: %d - %d"
--[[Translation missing --]]
L["Swamp of Sorrows"] = "Swamp of Sorrows"
L["Switch to %s"] = "Zum %s wechseln"
L["Sync Setup Error: The specified player on the other account is not currently online."] = "Sync-Setup-Fehler: Der angegebene Spieler ist auf dem anderen Account gerade offline."
L["Sync Setup Error: This character is already part of a known account."] = "Sync-Setup-Fehler: Dieser Charakter gehört bereits zu einem bekannten Account."
L["Sync Setup Error: You entered the name of the current character and not the character on the other account."] = "Sync-Setup-Fehler: Du hast nicht den Charakter auf dem anderen Account, sondern den Namen des aktuellen Charakters eingegeben."
--[[Translation missing --]]
L["Sync Status"] = "Sync Status"
--[[Translation missing --]]
L["Target character"] = "Target character"
--[[Translation missing --]]
L["Target shortfall to bags"] = "Target shortfall to bags"
L["Tasks Added to Task List"] = "Aufgabe wurde zur Aufgabenliste hinzugefügt"
--[[Translation missing --]]
L["Tells you why a specific item is not being restocked and added to the queue."] = "Tells you why a specific item is not being restocked and added to the queue."
L["Text (%s)"] = "Text (%s)"
--[[Translation missing --]]
L["The '%s' custom price source is invalid."] = "The '%s' custom price source is invalid."
--[[Translation missing --]]
L["The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."] = "The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."
--[[Translation missing --]]
L["The buyout price for %s would be above the maximum allowed price. Skipping this item."] = "The buyout price for %s would be above the maximum allowed price. Skipping this item."
L["The canlearn filter was ignored because the CanIMogIt addon was not found."] = "Der Canlearn-Filter wurde ignoriert, da das Addon CanIMogIt nicht gefunden wurde."
--[[Translation missing --]]
L["The 'Craft Value Method' did not return a value for this item."] = "The 'Craft Value Method' did not return a value for this item."
--[[Translation missing --]]
L["The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."] = "The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."
--[[Translation missing --]]
L["The max quantity cannot be zero."] = "The max quantity cannot be zero."
--[[Translation missing --]]
L["The min profit did not evalulate to a valid value for this item."] = "The min profit did not evalulate to a valid value for this item."
--[[Translation missing --]]
L["The name portion of the search term must be at least 3 characters if present."] = "The name portion of the search term must be at least 3 characters if present."
--[[Translation missing --]]
L["The pasted value was not valid. Ensure you are pasting the entire import string."] = "The pasted value was not valid. Ensure you are pasting the entire import string."
L["The player \"%s\" is already on your whitelist."] = "Der Spieler \"%s\" ist bereits auf deiner weißen Liste."
L["The profit of this item (%s) is below the min profit (%s)."] = "Der Gewinn für dieses Item (%s) ist kleiner als der Mindestgewinn (%s)."
--[[Translation missing --]]
L["The same filter was specified multiple times."] = "The same filter was specified multiple times."
--[[Translation missing --]]
L["The search term must be at least 3 characters."] = "The search term must be at least 3 characters."
--[[Translation missing --]]
L["The seller name of the lowest auction for %s was not given by the server. Skipping this item."] = "The seller name of the lowest auction for %s was not given by the server. Skipping this item."
--[[Translation missing --]]
L["The specified filter was empty."] = "The specified filter was empty."
--[[Translation missing --]]
L["The specified item is not supported for crafting searches."] = "The specified item is not supported for crafting searches."
--[[Translation missing --]]
L["The specified item is not supported for disenchant searches."] = "The specified item is not supported for disenchant searches."
--[[Translation missing --]]
L["The specified item was not found."] = "The specified item was not found."
--[[Translation missing --]]
L["The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."] = "The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."
L["The unlearned filter was ignored because the CanIMogIt addon was not found."] = "Der Unlearned-Filter wurde ignoriert, da das Addon CanIMogIt nicht gefunden wurde."
--[[Translation missing --]]
L["The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."] = "The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."
--[[Translation missing --]]
L["Themes"] = "Themes"
--[[Translation missing --]]
L["There is currently no profession open, so cannot create profession groups."] = "There is currently no profession open, so cannot create profession groups."
--[[Translation missing --]]
L["There is no Crafting operation applied to this item's TSM group (%s)."] = "There is no Crafting operation applied to this item's TSM group (%s)."
L["This is not a valid profile name. Profile names must be at least one character long and may not contain '@' characters."] = "Dies ist kein gültiger Profilname. Profilnamen müssen mindestens 1 Zeichen lang sein und dürfen keine @-Zeichen enthalten."
L["This item does not have a crafting cost. Check that all of its mats have mat prices."] = "Dieses Item hat keine Herstellungskosten. Überprüfe, ob all seine Materialien Materialpreise haben."
L["This item is not in a TSM group."] = "Dieser Gegenstand ist in keiner TSM Gruppe."
--[[Translation missing --]]
L["This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."] = "This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."
L["This looks like an exported operation and not a custom price."] = "Dies sieht aus wie eine exportierte Operation und nicht wie ein eigener Preis."
--[[Translation missing --]]
L["This operation is applied to the base group which includes every item not in another group."] = "This operation is applied to the base group which includes every item not in another group."
--[[Translation missing --]]
L["This price is above your confirmation alert threshold."] = "This price is above your confirmation alert threshold."
L["This profession is not open."] = "Der Beruf ist nicht geöffnet."
--[[Translation missing --]]
L["This record belongs to another account and can only be deleted on that account."] = "This record belongs to another account and can only be deleted on that account."
L["This will permanently delete the '%s' profile."] = "Dies wird das Profil '%s‘ dauerhaft löschen."
--[[Translation missing --]]
L["This will reset all groups and operations (if not stored globally) to be wiped from '%s'."] = "This will reset all groups and operations (if not stored globally) to be wiped from '%s'."
L["Time"] = "Zeit"
L["Time Frame"] = "Zeitraum"
L["Time to Craft:"] = "Zeit zum herstellen:"
--[[Translation missing --]]
L["Tinker"] = "Tinker"
--[[Translation missing --]]
L["To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."] = "To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."
--[[Translation missing --]]
L["Toggles the main TSM window"] = "Toggles the main TSM window"
--[[Translation missing --]]
L["Toggles the TSM Banking UI if either the bank or guild bank is currently open."] = "Toggles the TSM Banking UI if either the bank or guild bank is currently open."
--[[Translation missing --]]
L["Toggles the TSM Crafting UI."] = "Toggles the TSM Crafting UI."
--[[Translation missing --]]
L["Toggles the TSM Task List UI"] = "Toggles the TSM Task List UI"
--[[Translation missing --]]
L["Tooltip Options"] = "Tooltip Options"
--[[Translation missing --]]
L["Tooltip price format"] = "Tooltip price format"
L["Tooltip Settings"] = "Tooltip-Einstellungen"
--[[Translation missing --]]
L["Top Buyers"] = "Top Buyers"
--[[Translation missing --]]
L["Top Item"] = "Top Item"
--[[Translation missing --]]
L["TOP PURCHASE"] = "TOP PURCHASE"
--[[Translation missing --]]
L["TOP SALE"] = "TOP SALE"
L["Top Sellers"] = "Top Verkäufer"
L["Total"] = "Anz"
L["Total Gold"] = "Summe Gold"
L["Total Gold Collected: %s"] = "Summe Gold abgeholt: %s"
--[[Translation missing --]]
L["Total Gold Earned"] = "Total Gold Earned"
--[[Translation missing --]]
L["Total Gold Spent"] = "Total Gold Spent"
--[[Translation missing --]]
L["Total Inventory Quantity"] = "Total Inventory Quantity"
--[[Translation missing --]]
L["Total Items"] = "Total Items"
--[[Translation missing --]]
L["Total Postage"] = "Total Postage"
L["Total Price"] = "Gesamtpreis"
--[[Translation missing --]]
L["Total Prices:"] = "Total Prices:"
--[[Translation missing --]]
L["Total Profit"] = "Total Profit"
L["Total Value"] = "Gesamtwert"
L["Track Sales / Purchases via trade"] = "Verkäufe / Einkäufe via Handel protokollieren"
L["Transform Value"] = "Transformierungswert"
--[[Translation missing --]]
L["Transform value"] = "Transform value"
--[[Translation missing --]]
L["Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."] = "Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."
--[[Translation missing --]]
L["TSM 4.10: What's new"] = "TSM 4.10: What's new"
L["TSM Accounting"] = "TSM Accounting"
L["TSM AuctionDB"] = "TSM AuctionDB"
L["TSM Auctioning"] = "TSM Auctioning"
--[[Translation missing --]]
L["TSM can automatically sync data between multiple WoW accounts."] = "TSM can automatically sync data between multiple WoW accounts."
L["TSM Crafting"] = "TSM Crafting"
L["TSM Desktop App Status (%s)"] = "TSM Desktop App Status (%s)"
--[[Translation missing --]]
L["TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"] = "TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"
--[[Translation missing --]]
L["TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."] = "TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."
L["TSM failed to scan some auctions. Please rerun the scan."] = "TSM konnte einige Auktionen nicht scannen. Bitte starte den Scan erneut."
L["TSM General Info"] = "TSM Allgemeine Infos"
L["TSM Groups"] = "TSM Gruppen"
--[[Translation missing --]]
L["TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."] = "TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."
L["TSM is missing important information from the TSM Desktop Application. Please ensure the TSM Desktop Application is running and is properly configured."] = "TSM fehlen wichtige Informationen aus der TSM-Desktop-App. Bitte stell sicher, dass die TSM-Desktop-App läuft und ordnungsgemäß konfiguriert ist."
--[[Translation missing --]]
L["TSM is not yet ready to establish a new sync connection. Please try again later."] = "TSM is not yet ready to establish a new sync connection. Please try again later."
L["TSM Shopping"] = "TSM Shopping"
L["TSM Sniper"] = "TSM Sniper"
L["TSM TASK LIST"] = "TSM AUFGABENLISTE"
L["TSM Version Info:"] = "TSM-Versionsinfo:"
--[[Translation missing --]]
L["TSM will not undercut any players you add to your whitelist."] = "TSM will not undercut any players you add to your whitelist."
L["TSM_Accounting detected that you just traded %s %s in return for %s. Would you like Accounting to store a record of this trade?"] = "TSM_Accounting hat festgestellt, dass du gerade %s %s gegen %s getauscht hast. Möchtest du, dass Accounting eine Aufzeichnung dieses Handels speichert?"
L["TSM4"] = "TSM4"
--[[Translation missing --]]
L["TUJ 14-Day Price"] = "TUJ 14-Day Price"
L["TUJ 3-Day Price"] = "TUJ 3-Tage-Preis"
--[[Translation missing --]]
L["TUJ Global Mean"] = "TUJ Global Mean"
--[[Translation missing --]]
L["TUJ Global Median"] = "TUJ Global Median"
L["Type"] = "Typ"
L["Unbalanced parentheses."] = "Ungleichmäßige Klammerung."
--[[Translation missing --]]
L["Uncollected Only"] = "Uncollected Only"
--[[Translation missing --]]
L["Undercut amount"] = "Undercut amount"
L["Undercut by whitelisted player."] = "Unterboten von Spieler aus weißer Liste."
L["Undercutting blacklisted player."] = "Unterbiete Spieler aus schwarzer Liste."
L["Undercutting competition."] = "Unterbiete Wettbewerber."
L["Ungrouped Items"] = "Nicht gruppierte Items"
--[[Translation missing --]]
L["Ungrouped Items in Bags"] = "Ungrouped Items in Bags"
L["Unit Price"] = "Einheitenpreis"
L["Unknown Item"] = "Unbekanntes Item"
--[[Translation missing --]]
L["Unknown word (%s)."] = "Unknown word (%s)."
--[[Translation missing --]]
L["Unlock Column Width"] = "Unlock Column Width"
L["Unwrap Gift"] = "Geschenk auspacken"
L["Up"] = "Hoch"
L["Up to date"] = "Aktuell"
--[[Translation missing --]]
L["Update existing macro"] = "Update existing macro"
L["Updating"] = "Wird aktualisiert"
L["Upgrades Only"] = "Nur Verbesserungen"
L["Usable Only"] = "Nur benutzbar"
--[[Translation missing --]]
L["Usage: /tsm price <Item Link> <Custom String>"] = "Usage: /tsm price <Item Link> <Custom String>"
--[[Translation missing --]]
L["Use the settings below to control which lines are shown in tooltips."] = "Use the settings below to control which lines are shown in tooltips."
--[[Translation missing --]]
L["Use this list to manage what cooldowns you'd like TSM to ignore from crafting."] = "Use this list to manage what cooldowns you'd like TSM to ignore from crafting."
--[[Translation missing --]]
L["Use this list to manage what items you'd like TSM to ignore from destroying."] = "Use this list to manage what items you'd like TSM to ignore from destroying."
L["Value"] = "Wert"
L["Value must be between %d and %d."] = "Wer muss zwischen %d und %d liegen."
--[[Translation missing --]]
L["Value Price Source"] = "Value Price Source"
L["Values"] = "Werte"
L["Vendor"] = "Verkäufer"
L["Vendor Buy Price"] = "Händler Kaufpreis"
L["Vendor buy price"] = "Händler-Kaufpreis"
L["Vendor Search"] = "Händlersuche"
L["Vendor Sell"] = "Händlerverkauf"
L["Vendor Sell Price"] = "Händler Verkaufspreis"
L["Vendor sell price"] = "Händler-Verkaufspreis"
--[[Translation missing --]]
L["Vendoring"] = "Vendoring"
--[[Translation missing --]]
L["Vendoring %s button"] = "Vendoring %s button"
--[[Translation missing --]]
L["Vendoring operation"] = "Vendoring operation"
--[[Translation missing --]]
L["Vendoring operations control selling to and buying from a vendor."] = "Vendoring operations control selling to and buying from a vendor."
L["Warehousing"] = "Warehousing"
--[[Translation missing --]]
L["Warehousing operation"] = "Warehousing operation"
--[[Translation missing --]]
L["Warehousing operations control moving in and out of the bank."] = "Warehousing operations control moving in and out of the bank."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing verschiebt jeweils bis zu %d Einheiten eines Items in dieser Gruppe und lässt jeweils %d Einheiten eines Items zurück, wenn Taschen > Bank/GBank ist, oder %d Einheiten eines Items zurück, wenn Bank/GBank > Taschen ist."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing verschiebt jeweils bis zu %d Einheiten eines Items in dieser Gruppe und lässt jeweils %d Einheiten eines Items zurück, wenn Taschen > Bank/GBank ist, oder %d Einheiten eines Items zurück, wenn Bank/GBank > Taschen ist. Das Wiederauffüllen stellt sicher, dass %d Items in deinen Taschen bleiben."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing verschiebt jeweils bis zu %d Einheiten eines Items in dieser Gruppe und lässt jeweils %d Einheiten eines Items zurück, wenn Taschen > Bank/GBank ist."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing verschiebt jeweils bis zu %d Einheiten eines Items in dieser Gruppe und lässt jeweils %d Einheiten eines Items zurück, wenn Taschen > Bank/GBank ist. Das Wiederauffüllen stellt sicher, dass %d Items in deinen Taschen bleiben."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing verschiebt jeweils bis zu %d Einheiten eines Items in dieser Gruppe und lässt jeweils %d Einheiten eines Items zurück, wenn Bank/GBank > Taschen ist."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing verschiebt jeweils bis zu %d Einheiten eines Items in dieser Gruppe und lässt jeweils %d Einheiten eines Items zurück, wenn Bank/GBank > Taschen ist. Das Wiederauffüllen stellt sicher, dass %d Items in deinen Taschen bleiben."
L["Warehousing will move a max of %d of each item in this group."] = "Warehousing verschiebt jeweils bis zu %d Einheiten eines Items in dieser Gruppe."
L["Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."] = "Warehousing verschiebt jeweils bis zu %d Einheiten eines Items in dieser Gruppe. Das Wiederauffüllen stellt sicher, dass %d Items in deinen Taschen bleiben."
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing verschiebt jeweils alle Einheiten eines Items in dieser Gruppe und lässt jeweils %d Einheiten eines Items zurück, wenn Taschen > Bank/GBank ist, oder jeweils %d Einheiten eines Items zurück, wenn Bank/GBank > Taschen ist."
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing verschiebt jeweils alle Einheiten eines Items in dieser Gruppe und lässt jeweils %d Einheiten eines Items zurück, wenn Taschen > Bank/GBank ist, oder jeweils %d Einheiten eines Items zurück, wenn Bank/GBank > Taschen ist. Das Wiederauffüllen stellt sicher, dass %d Items in deinen Taschen bleiben."
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing verschiebt jeweils alle Einheiten eines Items in dieser Gruppe und lässt jeweils %d Einheiten eines Items zurück, wenn Taschen > Bank/GBank ist."
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing verschiebt jeweils alle Einheiten eines Items in dieser Gruppe und lässt jeweils %d Einheiten eines Items zurück, wenn Taschen > Bank/GBank ist. Das Wiederauffüllen stellt sicher, dass %d Items in deinen Taschen bleiben."
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing verschiebt jeweils alle Einheiten eines Items in dieser Gruppe und lässt jeweils %d Einheiten eines Items zurück, wenn Bank/GBank > Taschen ist."
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing verschiebt jeweils alle Einheiten eines Items in dieser Gruppe und lässt jeweils %d Einheiten eines Items zurück, wenn Bank/GBank > Taschen ist. Das Wiederauffüllen stellt sicher, dass %d Items in deinen Taschen bleiben."
L["Warehousing will move all of the items in this group."] = "Warehousing verschiebt jeweils alle Einheiten eines Items in dieser Gruppe."
L["Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."] = "Warehousing verschiebt jeweils alle Einheiten eines Items in dieser Gruppe. Das Wiederauffüllen stellt sicher, dass %d Items in deinen Taschen bleiben."
L["WARNING: The macro was too long, so was truncated to fit by WoW."] = "WARNUNG: Das Makro war zu lang und wurde deshalb von WoW auf eine passende Größe gekürzt."
--[[Translation missing --]]
L["WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."] = "WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."
--[[Translation missing --]]
L["We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."] = "We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."
L["When above maximum:"] = "Wenn über Höchstpreis:"
L["When below minimum:"] = "Wenn unter Mindestpreis:"
L["Whitelist"] = "Weiße Liste"
--[[Translation missing --]]
L["Whitelisted characters"] = "Whitelisted characters"
--[[Translation missing --]]
L["Winamp"] = "Winamp"
--[[Translation missing --]]
L["Would send %s to %s"] = "Would send %s to %s"
--[[Translation missing --]]
L["Would send %s to %s with a COD of %s"] = "Would send %s to %s with a COD of %s"
--[[Translation missing --]]
L["WOW UI"] = "WOW UI"
--[[Translation missing --]]
L["You are not on one of the listed characters."] = "You are not on one of the listed characters."
--[[Translation missing --]]
L["You can clear old Accounting data below to keep things running smoothly."] = "You can clear old Accounting data below to keep things running smoothly."
--[[Translation missing --]]
L["You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"] = "You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"
--[[Translation missing --]]
L["You can use the export string below to share this group with others."] = "You can use the export string below to share this group with others."
L["You cannot use %s as part of this custom price."] = "Du kannst %s nicht als Teil dieses eigenen Preises verwenden."
L["You cannot use %s within convert() as part of this custom price."] = "Du kannst %s innerhalb von convert() nicht als Teil dieses eigenen Preises verwenden."
L["You do not need to add \"%s\", alts are whitelisted automatically."] = "Du brauchst \"%s\" nicht hinzufügen. Twinks kommen automatisch auf die weiße Liste."
L["You don't know how to craft this item."] = "Du weißt nicht, wie man dieses Item herstellt."
--[[Translation missing --]]
L["You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."] = "You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."
L["You must reload your UI for these settings to take effect. Reload now?"] = "Du musst dein UI neu laden, um diese Einstellungen wirksam werden zu lassen. Jetzt neu laden?"
L["You won an auction for %sx%d for %s"] = "Du hast die Auktion %sx%d mit %s gewonnen"
L["Your auction has not been undercut."] = "Deine Auktion wurde nicht unterboten."
L["Your auction of %s expired"] = "Deine Auktion von %s ist ausgelaufen."
L["Your auction of %s has sold for %s!"] = "Deine Auktion %s wurde für %s verkauft!"
L["Your Buyout"] = "Dein Sofortkaufpreis"
L["Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"] = "Deine Methode zur Marktwertermittlung von '%s' war ungültig und wurde auf den Standardwert zurückgesetzt. Details: %s"
L["Your default craft value method was invalid so it has been returned to the default. Details: %s"] = "Deine Standardmethode zur Marktwertermittlung war ungültig und wurde auf den Standardwert zurückgesetzt. Details: %s"
--[[Translation missing --]]
L["Your max restock (%s) is invalid for %s."] = "Your max restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your min restock (%s) is invalid for %s."] = "Your min restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your restock quantity is invalid. It must be between %d and %s."] = "Your restock quantity is invalid. It must be between %d and %s."
L["Your task list is currently empty."] = "Deine Aufgabenliste ist aktuell leer."
L["You've been phased which has caused the AH to stop working due to a bug on Blizzard's end. Please close and reopen the AH and restart Sniper."] = "Ein Bug seitens Blizzard hat dazu geführt, dass das AH nicht mehr funktioniert (du wurdest in eine andere Phase verschoben). Bitte schließe und öffne erneut das AH und starte den Sniper neu."
L["You've been undercut."] = "Du wurdest unterboten."
	elseif locale == "esES" then
L = L or {}
L["%d |4Group:Groups; Selected (%d |4Item:Items;)"] = "%d |4Grupo:Grupos; Seleccionados (%d |4Artículo:Artículos;)"
L["%d auctions"] = "%d subastas"
--[[Translation missing --]]
L["%d Characters"] = "%d Characters"
--[[Translation missing --]]
L["%d Custom Sources"] = "%d Custom Sources"
--[[Translation missing --]]
L["%d Faction-Realms"] = "%d Faction-Realms"
--[[Translation missing --]]
L["%d groups"] = "%d groups"
L["%d Groups"] = "%d Grupos"
--[[Translation missing --]]
L["%d Groups Selected"] = "%d Groups Selected"
--[[Translation missing --]]
L["%d groups were created and %d items were added from the table."] = "%d groups were created and %d items were added from the table."
--[[Translation missing --]]
L["%d Guilds"] = "%d Guilds"
L["%d Items"] = "%d Artículos"
L["%d of %d"] = "%d de %d"
L["%d Operations"] = "%d Operaciones"
--[[Translation missing --]]
L["%d Players"] = "%d Players"
L["%d Posted Auctions"] = "%d Subastas publicadas"
--[[Translation missing --]]
L["%d Professions"] = "%d Professions"
--[[Translation missing --]]
L["%d Rarities"] = "%d Rarities"
--[[Translation missing --]]
L["%d Results"] = "%d Results"
--[[Translation missing --]]
L["%d Selected"] = "%d Selected"
L["%d Sold Auctions"] = "%d Subastas vendidas"
--[[Translation missing --]]
L["%d Sources"] = "%d Sources"
--[[Translation missing --]]
L["%d Sub-Groups"] = "%d Sub-Groups"
--[[Translation missing --]]
L["%d subgroups included"] = "%d subgroups included"
--[[Translation missing --]]
L["%d Types"] = "%d Types"
--[[Translation missing --]]
L["%s - %s has been reset to default values."] = "%s - %s has been reset to default values."
--[[Translation missing --]]
L["%s %s Operations"] = "%s %s Operations"
L["%s (%s bags, %s bank, %s AH, %s mail)"] = "%s (%s bolsas, %s banco, %s casa de subastas, %s correo)"
--[[Translation missing --]]
L["%s (%s player, %s alts, %s AH)"] = "%s (%s player, %s alts, %s AH)"
L["%s (%s player, %s alts, %s guild, %s AH)"] = "%s (%s jugador, %s alters, %s hermandad, %s casa de subastas)"
L["%s (%s profit)"] = "%s (%s de beneficio)"
L["%s ago"] = "hace %s"
L["%s Crafts"] = "%s Creados"
--[[Translation missing --]]
L["%s group is already up to date."] = "%s group is already up to date."
--[[Translation missing --]]
L["%s group updated with %d items and %d materials."] = "%s group updated with %d items and %d materials."
L["%s in guild vault"] = "%s en la cámara de hermandad"
L["%s is a valid custom price but %s is an invalid item."] = "%s es un precio personalizado válido pero %s es un objeto no válido."
L["%s is a valid custom price but did not give a value for %s."] = "%s es un precio personalizado válido pero no dio ningún valor para %s."
--[[Translation missing --]]
L["'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."] = "'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."
L["%s is not a valid custom price and gave the following error: %s"] = "%s es un precio personalizado no válido que provocó el siguiente error: %s"
--[[Translation missing --]]
L["%s Items Bought"] = "%s Items Bought"
--[[Translation missing --]]
L["%s Items Cancelled"] = "%s Items Cancelled"
--[[Translation missing --]]
L["%s Items Expired"] = "%s Items Expired"
--[[Translation missing --]]
L["%s Items Resold"] = "%s Items Resold"
--[[Translation missing --]]
L["%s Items Selected"] = "%s Items Selected"
--[[Translation missing --]]
L["%s Items Sold"] = "%s Items Sold"
--[[Translation missing --]]
L["%s Items Total"] = "%s Items Total"
--[[Translation missing --]]
L["%s operation"] = "%s operation"
--[[Translation missing --]]
L["%s operations"] = "%s operations"
L["%s Operations"] = "%s Operaciones"
--[[Translation missing --]]
L["%s Posted Auctions"] = "%s Posted Auctions"
--[[Translation missing --]]
L["%s Posted Auctions (Filtered)"] = "%s Posted Auctions (Filtered)"
--[[Translation missing --]]
L["%s previously had the max number of operations, so removed %s."] = "%s previously had the max number of operations, so removed %s."
L["%s removed."] = "%s borrado."
L["%s sent you %s"] = "%s te ha enviado %s"
L["%s sent you %s and %s"] = "%s te ha enviado %s y %s"
L["%s sent you a COD of %s for %s"] = "%s te ha enviado un correo a contrarreembolso de %s por %s"
L["%s sent you a message: %s"] = "%s te ha enviado un mensaje: %s"
--[[Translation missing --]]
L["%s Sold Auctions"] = "%s Sold Auctions"
--[[Translation missing --]]
L["%s Sold Auctions (Filtered)"] = "%s Sold Auctions (Filtered)"
--[[Translation missing --]]
L["%s Total"] = "%s Total"
L["%s total"] = "%s total"
--[[Translation missing --]]
L["%s Total Profit"] = "%s Total Profit"
L["%sDrag%s to move this button"] = "%sDrag%s para mover este botón"
--[[Translation missing --]]
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."] = "%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."
--[[Translation missing --]]
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."] = "%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."
L["%sLeft-Click%s to open the main window"] = "%sLeft-Click%s para abrir la ventana principal"
--[[Translation missing --]]
L["%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."] = "%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."
--[[Translation missing --]]
L["(%d - %d)"] = "(%d - %d)"
L["(%d/500 Characters)"] = "(%d/500 caracteres)"
--[[Translation missing --]]
L["(minimum 0 - maximum %d)"] = "(minimum 0 - maximum %d)"
L["1 Group"] = "1 Grupo"
L["1 Item"] = "1 artículo"
--[[Translation missing --]]
L["1D"] = "1D"
--[[Translation missing --]]
L["1M"] = "1M"
--[[Translation missing --]]
L["1W"] = "1W"
--[[Translation missing --]]
L["1Y"] = "1Y"
--[[Translation missing --]]
L["2Y"] = "2Y"
--[[Translation missing --]]
L["3M"] = "3M"
--[[Translation missing --]]
L["6M"] = "6M"
--[[Translation missing --]]
L["A brand new and improved user interface."] = "A brand new and improved user interface."
L["A custom price of %s for %s evaluates to %s."] = "Un precio personalizado de %s para %s se estima en %s."
L["A maximum of 1 convert() function is allowed."] = "Sólo se permite una única función convert()."
L["A profile with that name already exists on the target account. Rename it first and try again."] = "Ya existe un perfil con ese nombre en la cuenta de destino. Cámbiale el nombre primero e inténtalo nuevamente."
L["A profile with this name already exists."] = "Ya existe un perfil con este nombre."
--[[Translation missing --]]
L["A scan is already in progress. Please stop that scan before starting another one."] = "A scan is already in progress. Please stop that scan before starting another one."
--[[Translation missing --]]
L["A single craft makes %d and you only need to restock %d."] = "A single craft makes %d and you only need to restock %d."
--[[Translation missing --]]
L["Above max expires."] = "Above max expires."
--[[Translation missing --]]
L["Above max price. Not posting."] = "Above max price. Not posting."
--[[Translation missing --]]
L["Above max price. Posting at max."] = "Above max price. Posting at max."
--[[Translation missing --]]
L["Above max price. Posting at min."] = "Above max price. Posting at min."
--[[Translation missing --]]
L["Above max price. Posting at normal."] = "Above max price. Posting at normal."
--[[Translation missing --]]
L["Accept COD?"] = "Accept COD?"
--[[Translation missing --]]
L["Accepting this item will cost: %s"] = "Accepting this item will cost: %s"
L["Account sync removed. Please delete the account sync from the other account as well."] = "Sincronización de cuenta eliminada. Por favor, elimina la sincronización de cuenta de la otra cuenta también."
L["Account Syncing"] = "Sincronizar Cuentas"
L["Accounting"] = "Contabilidad"
L["Activity Type"] = "Tipo de actividad"
--[[Translation missing --]]
L["Add"] = "Add"
--[[Translation missing --]]
L["Add %d |4Item:Items"] = "Add %d |4Item:Items"
--[[Translation missing --]]
L["Add %s Operation"] = "Add %s Operation"
--[[Translation missing --]]
L["Add a new custom source"] = "Add a new custom source"
--[[Translation missing --]]
L["Add account"] = "Add account"
--[[Translation missing --]]
L["Add More Operations"] = "Add More Operations"
--[[Translation missing --]]
L["Add Operation"] = "Add Operation"
--[[Translation missing --]]
L["Add operation to groups"] = "Add operation to groups"
--[[Translation missing --]]
L["Add subject & description (optional)"] = "Add subject & description (optional)"
--[[Translation missing --]]
L["Add Subject / Description"] = "Add Subject / Description"
--[[Translation missing --]]
L["Add to Mail"] = "Add to Mail"
--[[Translation missing --]]
L["Added '%s' profile which was received from %s."] = "Added '%s' profile which was received from %s."
--[[Translation missing --]]
L["Added %s to %s."] = "Added %s to %s."
L["Additional error suppressed"] = "Error adicional suprimido"
--[[Translation missing --]]
L["Adjust how crafted items are restocked."] = "Adjust how crafted items are restocked."
--[[Translation missing --]]
L["Adjust how items are mailed."] = "Adjust how items are mailed."
--[[Translation missing --]]
L["Adjust how TSM values crafted items when calculating profit."] = "Adjust how TSM values crafted items when calculating profit."
--[[Translation missing --]]
L["Adjust some general settings."] = "Adjust some general settings."
--[[Translation missing --]]
L["Adjust the settings below to set how groups attached to this operation will be auctioned."] = "Adjust the settings below to set how groups attached to this operation will be auctioned."
--[[Translation missing --]]
L["Adjust the settings below to set how groups attached to this operation will be cancelled."] = "Adjust the settings below to set how groups attached to this operation will be cancelled."
--[[Translation missing --]]
L["Adjust the settings below to set how groups attached to this operation will be priced."] = "Adjust the settings below to set how groups attached to this operation will be priced."
L["Advanced Item Search"] = "Búsqueda avanzada de artículos"
L["AH"] = "Casa de Subastas"
L["AH (Crafting)"] = "AH (Artesanía)"
L["AH (Disenchanting)"] = "AH (Desencantar)"
--[[Translation missing --]]
L["AH BUSY"] = "AH BUSY"
--[[Translation missing --]]
L["AHDB Minimum Bid"] = "AHDB Minimum Bid"
--[[Translation missing --]]
L["AHDB Minimum Buyout"] = "AHDB Minimum Buyout"
L["Alarm Clock"] = "Alarma"
--[[Translation missing --]]
L["All"] = "All"
L["All Auctions"] = "Todas las subastas"
--[[Translation missing --]]
L["All Bought"] = "All Bought"
--[[Translation missing --]]
L["All Cancelled"] = "All Cancelled"
--[[Translation missing --]]
L["All Characters"] = "All Characters"
--[[Translation missing --]]
L["All Expired"] = "All Expired"
--[[Translation missing --]]
L["All Faction-Realms"] = "All Faction-Realms"
--[[Translation missing --]]
L["All Guilds"] = "All Guilds"
L["All Item Classes"] = "Todos los tipos de artículos"
--[[Translation missing --]]
L["All Other"] = "All Other"
--[[Translation missing --]]
L["All Players"] = "All Players"
L["All Professions"] = "Todas las profesiones"
--[[Translation missing --]]
L["All Rarites"] = "All Rarites"
--[[Translation missing --]]
L["All Rarities"] = "All Rarities"
--[[Translation missing --]]
L["All Selected"] = "All Selected"
--[[Translation missing --]]
L["All Slots"] = "All Slots"
--[[Translation missing --]]
L["All Sold"] = "All Sold"
--[[Translation missing --]]
L["All Sources"] = "All Sources"
L["All Subclasses"] = "Todas las subclases"
--[[Translation missing --]]
L["All Time"] = "All Time"
--[[Translation missing --]]
L["All Types"] = "All Types"
--[[Translation missing --]]
L["Allow partial stack"] = "Allow partial stack"
--[[Translation missing --]]
L["Allows for testing of custom prices"] = "Allows for testing of custom prices"
--[[Translation missing --]]
L["ALT"] = "ALT"
L["Alt Guild Bank"] = "Banco de hermandad de alter"
L["Alts"] = "Alters"
L["Alts AH"] = "AH de alters"
L["Amount"] = "Cantidad"
--[[Translation missing --]]
L["Amount kept in bags"] = "Amount kept in bags"
--[[Translation missing --]]
L["Amount of bag space to keep free"] = "Amount of bag space to keep free"
--[[Translation missing --]]
L["An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."] = "An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."
--[[Translation missing --]]
L["App Not Synced"] = "App Not Synced"
--[[Translation missing --]]
L["App Synced %s Ago"] = "App Synced %s Ago"
--[[Translation missing --]]
L["Appearance"] = "Appearance"
--[[Translation missing --]]
L["Apply operation to group"] = "Apply operation to group"
L["Are you sure you want to clear old accounting data?"] = "¿Estás seguro de que quieres borrar los datos antiguos de cuentas?"
--[[Translation missing --]]
L["Are you sure you want to delete the selected operations?"] = "Are you sure you want to delete the selected operations?"
L["Are you sure you want to delete this operation?"] = "¿Seguro que quieres borrar esta operación?"
--[[Translation missing --]]
L["At above max price and not undercut."] = "At above max price and not undercut."
--[[Translation missing --]]
L["At normal price and not undercut."] = "At normal price and not undercut."
--[[Translation missing --]]
L["Attachments"] = "Attachments"
L["Auction"] = "Subasta"
--[[Translation missing --]]
L["Auction duration"] = "Auction duration"
--[[Translation missing --]]
L["Auction has been bid on."] = "Auction has been bid on."
--[[Translation missing --]]
L["Auction House Cut"] = "Auction House Cut"
--[[Translation missing --]]
L["Auction House Sounds"] = "Auction House Sounds"
--[[Translation missing --]]
L["Auction sale sound"] = "Auction sale sound"
L["Auction Window Close"] = "Cerrar Ventana de Subasta"
L["Auction Window Open"] = "Abrir Ventana de Subasta"
L["Auctionator - Auction Value"] = "Auctionator - Valor de la subasta"
--[[Translation missing --]]
L["AuctionDB"] = "AuctionDB"
--[[Translation missing --]]
L["AuctionDB - Historical Price (via TSM App)"] = "AuctionDB - Historical Price (via TSM App)"
L["AuctionDB - Market Value"] = "AuctionDB - Valor de mercado"
--[[Translation missing --]]
L["AuctionDB - Minimum Buyout"] = "AuctionDB - Minimum Buyout"
--[[Translation missing --]]
L["AuctionDB - Region Historical Price (via TSM App)"] = "AuctionDB - Region Historical Price (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Market Value Average (via TSM App)"] = "AuctionDB - Region Market Value Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Minimum Buyout Average (via TSM App)"] = "AuctionDB - Region Minimum Buyout Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sale Average (via TSM App)"] = "AuctionDB - Region Sale Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sale Rate (via TSM App)"] = "AuctionDB - Region Sale Rate (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sold Per Day (via TSM App)"] = "AuctionDB - Region Sold Per Day (via TSM App)"
--[[Translation missing --]]
L["AuctionDB Realm Data is %s Old"] = "AuctionDB Realm Data is %s Old"
--[[Translation missing --]]
L["AuctionDB Region Data is %s Old"] = "AuctionDB Region Data is %s Old"
L["Auctioneer - Appraiser"] = "Auctioneer - Tasador"
L["Auctioneer - Market Value"] = "Auctioneer - Valor de Mercado"
L["Auctioneer - Minimum Buyout"] = "Auctioneer - Precio de compra mínimo"
L["Auctioning"] = "Subastar"
--[[Translation missing --]]
L["Auctioning %s button"] = "Auctioning %s button"
--[[Translation missing --]]
L["Auctioning Details"] = "Auctioning Details"
L["Auctioning Log"] = "Registro de subastas"
--[[Translation missing --]]
L["Auctioning Operation"] = "Auctioning Operation"
--[[Translation missing --]]
L["Auctioning operation"] = "Auctioning operation"
--[[Translation missing --]]
L["Auctioning operations control posting to and canceling from the AH."] = "Auctioning operations control posting to and canceling from the AH."
L["Auctions"] = "Subastas"
L["Auto Quest Complete"] = "Autocompletar Misiones"
--[[Translation missing --]]
L["Auto-focus browse search input"] = "Auto-focus browse search input"
--[[Translation missing --]]
L["Average Earned per Day"] = "Average Earned per Day"
L["Average Prices:"] = "Precios medios:"
--[[Translation missing --]]
L["Average Profit per Day"] = "Average Profit per Day"
--[[Translation missing --]]
L["Average Spent per Day"] = "Average Spent per Day"
L["Avg Buy Price"] = "Precio medio de compra"
--[[Translation missing --]]
L["Avg Profit"] = "Avg Profit"
L["Avg Sell Price"] = "Precio medio de venta"
--[[Translation missing --]]
L["Back"] = "Back"
L["Bag"] = "Bolsa"
L["Bags"] = "Bolsas"
--[[Translation missing --]]
L["Banking"] = "Banking"
L["Banks"] = "Bancos"
L["Base Group"] = "Grupo base"
--[[Translation missing --]]
L["Base Item"] = "Base Item"
--[[Translation missing --]]
L["BBG 14-Day Price"] = "BBG 14-Day Price"
--[[Translation missing --]]
L["BBG 3-Day Price"] = "BBG 3-Day Price"
--[[Translation missing --]]
L["BBG Global Mean"] = "BBG Global Mean"
--[[Translation missing --]]
L["BBG Global Median"] = "BBG Global Median"
--[[Translation missing --]]
L["Below is a list of all available price sources, along with a brief description of what they represent."] = "Below is a list of all available price sources, along with a brief description of what they represent."
--[[Translation missing --]]
L["Below min price. Posting at max."] = "Below min price. Posting at max."
--[[Translation missing --]]
L["Below min price. Posting at min."] = "Below min price. Posting at min."
--[[Translation missing --]]
L["Below min price. Posting at normal."] = "Below min price. Posting at normal."
--[[Translation missing --]]
L["Below you can ignore this operation on certain characters or realms."] = "Below you can ignore this operation on certain characters or realms."
--[[Translation missing --]]
L["Bid %d / %d"] = "Bid %d / %d"
--[[Translation missing --]]
L["Bid (item)"] = "Bid (item)"
--[[Translation missing --]]
L["Bid (stack)"] = "Bid (stack)"
--[[Translation missing --]]
L["Bid (total)"] = "Bid (total)"
--[[Translation missing --]]
L["Bid / Buyout"] = "Bid / Buyout"
--[[Translation missing --]]
L["Bid Auction"] = "Bid Auction"
--[[Translation missing --]]
L["Bid percent must be between 0 and 100."] = "Bid percent must be between 0 and 100."
--[[Translation missing --]]
L["Bid Price"] = "Bid Price"
L["Bid Sniper Paused"] = "Búsqueda de pujas de sniper pausada"
L["Bid Sniper Running"] = "Ejecutando búsqueda de pujas de sniper"
--[[Translation missing --]]
L["Bidding Auction"] = "Bidding Auction"
--[[Translation missing --]]
L["Blacklisted players"] = "Blacklisted players"
L["Bought"] = "Comprado"
--[[Translation missing --]]
L["Bought %d of %s from %s for %s"] = "Bought %d of %s from %s for %s"
--[[Translation missing --]]
L["Bought %sx%d for %s from %s"] = "Bought %sx%d for %s from %s"
--[[Translation missing --]]
L["Bound Actions"] = "Bound Actions"
--[[Translation missing --]]
L["Browse"] = "Browse"
--[[Translation missing --]]
L["Browse / Sniper"] = "Browse / Sniper"
L["BUSY"] = "OCUPADO"
L["BUY"] = "COMPRA"
L["Buy"] = "Compra"
L["Buy %d / %d"] = "Compra %d / %d"
--[[Translation missing --]]
L["Buy %d / %d (Confirming %d / %d)"] = "Buy %d / %d (Confirming %d / %d)"
--[[Translation missing --]]
L["Buy Auction"] = "Buy Auction"
--[[Translation missing --]]
L["Buy Commodity"] = "Buy Commodity"
--[[Translation missing --]]
L["Buy from AH"] = "Buy from AH"
--[[Translation missing --]]
L["Buy from AH (Crafting)"] = "Buy from AH (Crafting)"
--[[Translation missing --]]
L["Buy from AH (Disenchant)"] = "Buy from AH (Disenchant)"
L["Buy from Vendor"] = "Comprar al Vendedor"
--[[Translation missing --]]
L["Buy Groups"] = "Buy Groups"
L["Buy Options"] = "Opciones de compra"
--[[Translation missing --]]
L["Buyback All"] = "Buyback All"
--[[Translation missing --]]
L["Buyer/Seller"] = "Buyer/Seller"
--[[Translation missing --]]
L["Buyout"] = "Buyout"
--[[Translation missing --]]
L["Buyout (item)"] = "Buyout (item)"
--[[Translation missing --]]
L["Buyout (stack)"] = "Buyout (stack)"
--[[Translation missing --]]
L["Buyout (total)"] = "Buyout (total)"
--[[Translation missing --]]
L["Buyout confirmation alert"] = "Buyout confirmation alert"
--[[Translation missing --]]
L["Buyout Price"] = "Buyout Price"
L["Buyout Sniper Paused"] = "Búsqueda de compras de sniper pausada"
L["Buyout Sniper Running"] = "Ejecutando búsqueda de compras de sniper"
--[[Translation missing --]]
L["Cancel"] = "Cancel"
--[[Translation missing --]]
L["Cancel %d / %d"] = "Cancel %d / %d"
--[[Translation missing --]]
L["Cancel Auction"] = "Cancel Auction"
--[[Translation missing --]]
L["Cancel auctions with bids"] = "Cancel auctions with bids"
--[[Translation missing --]]
L["Cancel or Post"] = "Cancel or Post"
L["Cancel Scan"] = "Cancelar escaneo"
--[[Translation missing --]]
L["Cancel to repost higher"] = "Cancel to repost higher"
--[[Translation missing --]]
L["Cancel undercut auctions"] = "Cancel undercut auctions"
--[[Translation missing --]]
L["Canceled information"] = "Canceled information"
L["Canceling"] = "Cancelando"
L["Canceling %d / %d"] = "Cancelando %d / %d"
L["Canceling %d Auctions..."] = "Cancelando %d subastas..."
--[[Translation missing --]]
L["Canceling auction you've undercut."] = "Canceling auction you've undercut."
L["Canceling disabled."] = "Cancelación desactivada."
--[[Translation missing --]]
L["Canceling Options"] = "Canceling Options"
L["Canceling to repost at higher price."] = "Cancelando para revender más caro."
--[[Translation missing --]]
L["Canceling to repost at reset price."] = "Canceling to repost at reset price."
--[[Translation missing --]]
L["Canceling to repost higher."] = "Canceling to repost higher."
--[[Translation missing --]]
L["Canceling undercut auctions and to repost higher."] = "Canceling undercut auctions and to repost higher."
--[[Translation missing --]]
L["Canceling undercut auctions."] = "Canceling undercut auctions."
L["Cancelled"] = "Cancelado"
--[[Translation missing --]]
L["Cancelled auction of %sx%d"] = "Cancelled auction of %sx%d"
--[[Translation missing --]]
L["Cancelled Since Last Sale"] = "Cancelled Since Last Sale"
--[[Translation missing --]]
L["Cancelled:"] = "Cancelled:"
--[[Translation missing --]]
L["Cancelling..."] = "Cancelling..."
--[[Translation missing --]]
L["Cannot repair from the guild bank!"] = "Cannot repair from the guild bank!"
--[[Translation missing --]]
L["Cannot use additional filters with /crafting or /disenchant."] = "Cannot use additional filters with /crafting or /disenchant."
L["Can't load TSM tooltip while in combat"] = "No se puede cargar la información del TSM mientras estás en combate"
L["Cash Register"] = "Caja registradora"
--[[Translation missing --]]
L["Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"] = "Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"
L["Character"] = "Personaje"
L["Chat Tab"] = "Pestaña de Chat"
--[[Translation missing --]]
L["Cheapest auction below min price."] = "Cheapest auction below min price."
L["Clear All"] = "Limpiar todo"
--[[Translation missing --]]
L["Clear Data"] = "Clear Data"
L["Clear Filters"] = "Borrar Filtros"
L["Clear Old Data"] = "Borrar datos antiguos"
--[[Translation missing --]]
L["Clear Old Data?"] = "Clear Old Data?"
--[[Translation missing --]]
L["Click and drag to resize this window."] = "Click and drag to resize this window."
--[[Translation missing --]]
L["Click to hide this item for the current session. Hold shift to hide this item permanently."] = "Click to hide this item for the current session. Hold shift to hide this item permanently."
--[[Translation missing --]]
L["COD"] = "COD"
L["Coins (%s)"] = "Monedas (%s)"
--[[Translation missing --]]
L["Combine Partial Stacks"] = "Combine Partial Stacks"
--[[Translation missing --]]
L["Combining..."] = "Combining..."
--[[Translation missing --]]
L["Completed full AH scan (%d auctions)!"] = "Completed full AH scan (%d auctions)!"
L["Confirm"] = "Confirmar"
--[[Translation missing --]]
L["Confirm complete sound"] = "Confirm complete sound"
--[[Translation missing --]]
L["Confirmation %s button"] = "Confirmation %s button"
--[[Translation missing --]]
L["Confirming %d / %d"] = "Confirming %d / %d"
L["Connected to %s"] = "Conectado con %s"
--[[Translation missing --]]
L["Connecting to %s"] = "Connecting to %s"
--[[Translation missing --]]
L["Contacts"] = "Contacts"
--[[Translation missing --]]
L["Contains auctions above your alert threshold!"] = "Contains auctions above your alert threshold!"
--[[Translation missing --]]
L["Cooldown"] = "Cooldown"
--[[Translation missing --]]
L["Cooldowns"] = "Cooldowns"
--[[Translation missing --]]
L["Copy Letter"] = "Copy Letter"
L["Cost"] = "Precio"
--[[Translation missing --]]
L["Could not create macro as you already have too many. Delete one of your existing macros and try again."] = "Could not create macro as you already have too many. Delete one of your existing macros and try again."
L["Could not find profile '%s'. Possible profiles: '%s'"] = "No se pudo encontrar el perfil \"%s\". Sugerencias: \"%s\""
--[[Translation missing --]]
L["Could not sell items due to not having free bag space available to split a stack of items."] = "Could not sell items due to not having free bag space available to split a stack of items."
--[[Translation missing --]]
L["Craft"] = "Craft"
--[[Translation missing --]]
L["CRAFT"] = "CRAFT"
--[[Translation missing --]]
L["Craft (Profitable)"] = "Craft (Profitable)"
--[[Translation missing --]]
L["Craft (Unprofitable)"] = "Craft (Unprofitable)"
--[[Translation missing --]]
L["Craft All"] = "Craft All"
--[[Translation missing --]]
L["Craft Next"] = "Craft Next"
--[[Translation missing --]]
L["Craft Value"] = "Craft Value"
--[[Translation missing --]]
L["Crafted Items"] = "Crafted Items"
--[[Translation missing --]]
L["Crafter"] = "Crafter"
--[[Translation missing --]]
L["Crafting"] = "Crafting"
--[[Translation missing --]]
L["CRAFTING"] = "CRAFTING"
--[[Translation missing --]]
L["Crafting %s button"] = "Crafting %s button"
--[[Translation missing --]]
L["Crafting cost"] = "Crafting cost"
--[[Translation missing --]]
L["Crafting Cost"] = "Crafting Cost"
--[[Translation missing --]]
L["Crafting List"] = "Crafting List"
--[[Translation missing --]]
L["Crafting Material Cost"] = "Crafting Material Cost"
--[[Translation missing --]]
L["Crafting Mode"] = "Crafting Mode"
--[[Translation missing --]]
L["Crafting operation"] = "Crafting operation"
--[[Translation missing --]]
L["Crafting operations control how queuing profession crafts."] = "Crafting operations control how queuing profession crafts."
--[[Translation missing --]]
L["Crafting Queue (%d)"] = "Crafting Queue (%d)"
--[[Translation missing --]]
L["Crafting Value"] = "Crafting Value"
--[[Translation missing --]]
L["Crafts"] = "Crafts"
--[[Translation missing --]]
L["Crafts %d"] = "Crafts %d"
--[[Translation missing --]]
L["Create Groups from Table"] = "Create Groups from Table"
--[[Translation missing --]]
L["Create macro"] = "Create macro"
--[[Translation missing --]]
L["Create New"] = "Create New"
--[[Translation missing --]]
L["Create New Group"] = "Create New Group"
L["Create New Operation"] = "Crear Nueva Operación"
--[[Translation missing --]]
L["Create new profile"] = "Create new profile"
--[[Translation missing --]]
L["Create Profession Groups"] = "Create Profession Groups"
--[[Translation missing --]]
L["CTRL"] = "CTRL"
--[[Translation missing --]]
L["Current Price"] = "Current Price"
--[[Translation missing --]]
L["Custom Price"] = "Custom Price"
--[[Translation missing --]]
L["Custom price name %s already exists."] = "Custom price name %s already exists."
--[[Translation missing --]]
L["Custom price name %s is a reserved word which cannot be used."] = "Custom price name %s is a reserved word which cannot be used."
--[[Translation missing --]]
L["Custom price names can only contain lowercase letters."] = "Custom price names can only contain lowercase letters."
--[[Translation missing --]]
L["Custom Source"] = "Custom Source"
--[[Translation missing --]]
L["Custom source (%s)"] = "Custom source (%s)"
--[[Translation missing --]]
L["Custom Sources"] = "Custom Sources"
--[[Translation missing --]]
L["Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."] = "Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."
--[[Translation missing --]]
L["DAILY PURCHASES"] = "DAILY PURCHASES"
--[[Translation missing --]]
L["DAILY SALES"] = "DAILY SALES"
--[[Translation missing --]]
L["Dalaran"] = "Dalaran"
--[[Translation missing --]]
L["Dashboard"] = "Dashboard"
--[[Translation missing --]]
L["Default craft value method"] = "Default craft value method"
--[[Translation missing --]]
L["Default material cost method"] = "Default material cost method"
--[[Translation missing --]]
L["Default Price"] = "Default Price"
--[[Translation missing --]]
L["Default price configuration"] = "Default price configuration"
--[[Translation missing --]]
L["Define what priority Gathering gives certain sources."] = "Define what priority Gathering gives certain sources."
--[[Translation missing --]]
L["Delete %d Operations"] = "Delete %d Operations"
--[[Translation missing --]]
L["Delete Group?"] = "Delete Group?"
--[[Translation missing --]]
L["Delete Operation?"] = "Delete Operation?"
--[[Translation missing --]]
L["Delete Operations"] = "Delete Operations"
--[[Translation missing --]]
L["Delete Operations?"] = "Delete Operations?"
--[[Translation missing --]]
L["Delete Profile?"] = "Delete Profile?"
--[[Translation missing --]]
L["Delete Record?"] = "Delete Record?"
--[[Translation missing --]]
L["Delete the profile"] = "Delete the profile"
--[[Translation missing --]]
L["Deleting this group (%s) will also remove any sub-groups attached to this group."] = "Deleting this group (%s) will also remove any sub-groups attached to this group."
--[[Translation missing --]]
L["Deposit"] = "Deposit"
--[[Translation missing --]]
L["Deposit Cost"] = "Deposit Cost"
--[[Translation missing --]]
L["Deposit reagents"] = "Deposit reagents"
--[[Translation missing --]]
L["Deselect All"] = "Deselect All"
--[[Translation missing --]]
L["Destroy Next"] = "Destroy Next"
L["Destroy Value"] = "Valor de Destrucción"
--[[Translation missing --]]
L["Destroy value"] = "Destroy value"
--[[Translation missing --]]
L["Destroy value source"] = "Destroy value source"
--[[Translation missing --]]
L["Destroying"] = "Destroying"
--[[Translation missing --]]
L["Destroying %s button"] = "Destroying %s button"
--[[Translation missing --]]
L["Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."] = "Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."
--[[Translation missing --]]
L["Destroying will ignore %s until you log out."] = "Destroying will ignore %s until you log out."
--[[Translation missing --]]
L["Destroying..."] = "Destroying..."
--[[Translation missing --]]
L["Detailed crafting cost"] = "Detailed crafting cost"
--[[Translation missing --]]
L["Detailed destroy information"] = "Detailed destroy information"
L["Details"] = "Detalles"
--[[Translation missing --]]
L["Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."] = "Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your maximum price (%s) is invalid. Check your settings."] = "Did not cancel %s because your maximum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your minimum price (%s) is invalid. Check your settings."] = "Did not cancel %s because your minimum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your normal price (%s) is invalid. Check your settings."] = "Did not cancel %s because your normal price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your undercut (%s) is invalid. Check your settings."] = "Did not cancel %s because your undercut (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not change prices due to an invalid bid or buyout value."] = "Did not change prices due to an invalid bid or buyout value."
--[[Translation missing --]]
L["Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."] = "Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."
--[[Translation missing --]]
L["Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."] = "Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."
--[[Translation missing --]]
L["Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."] = "Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."
--[[Translation missing --]]
L["Did not post %s because your keep quantity (%s) is invalid. Check your settings."] = "Did not post %s because your keep quantity (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your max expires (%s) is invalid. Check your settings."] = "Did not post %s because your max expires (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your maximum price (%s) is invalid. Check your settings."] = "Did not post %s because your maximum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not post %s because your minimum price (%s) is invalid. Check your settings."] = "Did not post %s because your minimum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your normal price (%s) is invalid. Check your settings."] = "Did not post %s because your normal price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not post %s because your post cap (%s) is invalid. Check your settings."] = "Did not post %s because your post cap (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your stack size (%s) is invalid. Check your settings."] = "Did not post %s because your stack size (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your undercut (%s) is invalid. Check your settings."] = "Did not post %s because your undercut (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Disable invalid price warnings"] = "Disable invalid price warnings"
--[[Translation missing --]]
L["Disenchant Search"] = "Disenchant Search"
--[[Translation missing --]]
L["Disenchant Search Options"] = "Disenchant Search Options"
--[[Translation missing --]]
L["Disenchant Value"] = "Disenchant Value"
--[[Translation missing --]]
L["Disenchant value"] = "Disenchant value"
--[[Translation missing --]]
L["Disenchanting Options"] = "Disenchanting Options"
--[[Translation missing --]]
L["Display total money received in chat"] = "Display total money received in chat"
--[[Translation missing --]]
L["Done Canceling"] = "Done Canceling"
--[[Translation missing --]]
L["Done Posting"] = "Done Posting"
--[[Translation missing --]]
L["Done rebuilding item cache."] = "Done rebuilding item cache."
L["Done Scanning"] = "Escaneo realizado"
--[[Translation missing --]]
L["Don't post after this many expires"] = "Don't post after this many expires"
--[[Translation missing --]]
L["Don't Post Items"] = "Don't Post Items"
--[[Translation missing --]]
L["Don't prompt to record trades"] = "Don't prompt to record trades"
--[[Translation missing --]]
L["Down"] = "Down"
--[[Translation missing --]]
L["Duplicate the profile"] = "Duplicate the profile"
--[[Translation missing --]]
L["Duration"] = "Duration"
--[[Translation missing --]]
L["Duskwood"] = "Duskwood"
--[[Translation missing --]]
L["Edit"] = "Edit"
--[[Translation missing --]]
L["Edit Custom Source"] = "Edit Custom Source"
--[[Translation missing --]]
L["Edit Material Price"] = "Edit Material Price"
--[[Translation missing --]]
L["Edit Post"] = "Edit Post"
--[[Translation missing --]]
L["Embed TSM tooltip"] = "Embed TSM tooltip"
--[[Translation missing --]]
L["Empty bags"] = "Empty bags"
L["Empty parentheses are not allowed"] = "Paréntesis vacíos no permitidos"
L["Empty price string."] = "Cadena de precio vacía."
--[[Translation missing --]]
L["Enable automatic stack combination"] = "Enable automatic stack combination"
--[[Translation missing --]]
L["Enable buying"] = "Enable buying"
L["Enable inbox chat messages"] = "Habilitar los mensajes de chat de la bandeja de entrada"
--[[Translation missing --]]
L["Enable restock"] = "Enable restock"
--[[Translation missing --]]
L["Enable selling"] = "Enable selling"
--[[Translation missing --]]
L["Enable sending chat messages"] = "Enable sending chat messages"
--[[Translation missing --]]
L["Enable TSM tooltips"] = "Enable TSM tooltips"
--[[Translation missing --]]
L["Enchant"] = "Enchant"
--[[Translation missing --]]
L["Enchant Vellum"] = "Enchant Vellum"
--[[Translation missing --]]
L["Ensure both characters are online and try again."] = "Ensure both characters are online and try again."
--[[Translation missing --]]
L["Enter a value from %d - %d"] = "Enter a value from %d - %d"
--[[Translation missing --]]
L["Enter a value from %d - %d%%"] = "Enter a value from %d - %d%%"
L["Enter Filter"] = "Introduce un filtro"
--[[Translation missing --]]
L["Enter Keyword"] = "Enter Keyword"
--[[Translation missing --]]
L["Enter name of logged-in character on other account"] = "Enter name of logged-in character on other account"
--[[Translation missing --]]
L["Enter player name"] = "Enter player name"
--[[Translation missing --]]
L["Enter profile name"] = "Enter profile name"
--[[Translation missing --]]
L["Enter recipient name"] = "Enter recipient name"
--[[Translation missing --]]
L["ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."] = "ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."
--[[Translation missing --]]
L["ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."] = "ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."
--[[Translation missing --]]
L["ERROR: The auction house must be open in order to do a scan."] = "ERROR: The auction house must be open in order to do a scan."
L["Establishing connection to %s. Make sure that you've entered this character's name on the other account."] = "Establecimiendo conexión con %s. Asegúrate de que has introducido el nombre de este personaje en la otra cuenta."
--[[Translation missing --]]
L["Establishing connection..."] = "Establishing connection..."
--[[Translation missing --]]
L["Estimated Cost:"] = "Estimated Cost:"
--[[Translation missing --]]
L["Estimated deliver time"] = "Estimated deliver time"
--[[Translation missing --]]
L["Estimated Profit:"] = "Estimated Profit:"
--[[Translation missing --]]
L["Exact Match"] = "Exact Match"
--[[Translation missing --]]
L["Example"] = "Example"
--[[Translation missing --]]
L["Example Item"] = "Example Item"
--[[Translation missing --]]
L["Example Tooltip"] = "Example Tooltip"
--[[Translation missing --]]
L["Exclude custom sources?"] = "Exclude custom sources?"
--[[Translation missing --]]
L["Exclude operations?"] = "Exclude operations?"
--[[Translation missing --]]
L["Exit"] = "Exit"
--[[Translation missing --]]
L["Expand / Collapse All Groups"] = "Expand / Collapse All Groups"
L["Expenses"] = "Gastos"
L["EXPENSES"] = "GASTOS"
--[[Translation missing --]]
L["Expirations"] = "Expirations"
--[[Translation missing --]]
L["Expired"] = "Expired"
--[[Translation missing --]]
L["Expired Auctions"] = "Expired Auctions"
--[[Translation missing --]]
L["Expired information"] = "Expired information"
--[[Translation missing --]]
L["Expired Since Last Sale"] = "Expired Since Last Sale"
L["Expires"] = "Vence"
--[[Translation missing --]]
L["Expires Since Last Sale"] = "Expires Since Last Sale"
--[[Translation missing --]]
L["Expiring Mails"] = "Expiring Mails"
L["Exploration"] = "Exploración"
--[[Translation missing --]]
L["Export"] = "Export"
--[[Translation missing --]]
L["Export String"] = "Export String"
--[[Translation missing --]]
L["Export this group"] = "Export this group"
--[[Translation missing --]]
L["Failed Auctions"] = "Failed Auctions"
--[[Translation missing --]]
L["Failed to bid on auction of %s (x%s) for %s."] = "Failed to bid on auction of %s (x%s) for %s."
--[[Translation missing --]]
L["Failed to bid on auction of %s."] = "Failed to bid on auction of %s."
--[[Translation missing --]]
L["Failed to buy auction of %s (x%s) for %s."] = "Failed to buy auction of %s (x%s) for %s."
--[[Translation missing --]]
L["Failed to buy auction of %s."] = "Failed to buy auction of %s."
--[[Translation missing --]]
L["Failed to buy auction."] = "Failed to buy auction."
--[[Translation missing --]]
L["Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."] = "Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."
--[[Translation missing --]]
L["Failed to find auction for %s, so removing it from the results."] = "Failed to find auction for %s, so removing it from the results."
--[[Translation missing --]]
L["Failed to post %sx%d as the item no longer exists in your bags."] = "Failed to post %sx%d as the item no longer exists in your bags."
--[[Translation missing --]]
L["Failed to run full AH scan."] = "Failed to run full AH scan."
--[[Translation missing --]]
L["Failed to send profile."] = "Failed to send profile."
--[[Translation missing --]]
L["Failed to send profile. Ensure both characters are online and try again."] = "Failed to send profile. Ensure both characters are online and try again."
--[[Translation missing --]]
L["Failed to start sniper. No groups have a Sniper operation applied."] = "Failed to start sniper. No groups have a Sniper operation applied."
L["Favorite Scans"] = "Escaneos favoritos"
L["Favorite Searches"] = "Búsquedas favoritas"
--[[Translation missing --]]
L["Favorited Patterns"] = "Favorited Patterns"
--[[Translation missing --]]
L["Filter by duration"] = "Filter by duration"
--[[Translation missing --]]
L["Filter by groups"] = "Filter by groups"
--[[Translation missing --]]
L["Filter by keyword"] = "Filter by keyword"
--[[Translation missing --]]
L["Filter by Keyword"] = "Filter by Keyword"
--[[Translation missing --]]
L["Filter by Price Source"] = "Filter by Price Source"
--[[Translation missing --]]
L["Filter by Profession"] = "Filter by Profession"
--[[Translation missing --]]
L["Filter group item lists based on the following price source"] = "Filter group item lists based on the following price source"
--[[Translation missing --]]
L["Finding Selected Auction"] = "Finding Selected Auction"
--[[Translation missing --]]
L["First Auctioning Operation Max Price"] = "First Auctioning Operation Max Price"
--[[Translation missing --]]
L["First Auctioning Operation Min Price"] = "First Auctioning Operation Min Price"
--[[Translation missing --]]
L["First Auctioning Operation Normal Price"] = "First Auctioning Operation Normal Price"
L["Fishing Reel In"] = "Pesca - recoger el sedal"
--[[Translation missing --]]
L["For more info, visit %s. For help, join us in Discord: %s."] = "For more info, visit %s. For help, join us in Discord: %s."
--[[Translation missing --]]
L["Forget Character"] = "Forget Character"
--[[Translation missing --]]
L["Found auction sound"] = "Found auction sound"
--[[Translation missing --]]
L["Friends"] = "Friends"
--[[Translation missing --]]
L["From"] = "From"
--[[Translation missing --]]
L["Full inventory"] = "Full inventory"
--[[Translation missing --]]
L["Garrison"] = "Garrison"
--[[Translation missing --]]
L["Gathering"] = "Gathering"
--[[Translation missing --]]
L["Gathering Search"] = "Gathering Search"
--[[Translation missing --]]
L["Gathering Setup"] = "Gathering Setup"
L["General Options"] = "Opciones Generales"
--[[Translation missing --]]
L["General Settings"] = "General Settings"
--[[Translation missing --]]
L["Get from Bank"] = "Get from Bank"
--[[Translation missing --]]
L["Get from Guild Bank"] = "Get from Guild Bank"
--[[Translation missing --]]
L["Gets items from the bank or guild bank matching the item or partial text entered."] = "Gets items from the bank or guild bank matching the item or partial text entered."
--[[Translation missing --]]
L["Gold"] = "Gold"
--[[Translation missing --]]
L["Great Deals Search"] = "Great Deals Search"
--[[Translation missing --]]
L["Group already exists."] = "Group already exists."
L["Group Management"] = "Administrar Grupo"
--[[Translation missing --]]
L["Group name"] = "Group name"
--[[Translation missing --]]
L["Group Search"] = "Group Search"
L["Grouped Items"] = "Artículos agrupados"
L["Groups"] = "Grupos"
--[[Translation missing --]]
L["Groups & Operations"] = "Groups & Operations"
--[[Translation missing --]]
L["Groups Using"] = "Groups Using"
--[[Translation missing --]]
L["Guild"] = "Guild"
--[[Translation missing --]]
L["Guild Bank"] = "Guild Bank"
L["GVault"] = "Cámara Herm."
--[[Translation missing --]]
L["Have"] = "Have"
--[[Translation missing --]]
L["Have Mats"] = "Have Mats"
--[[Translation missing --]]
L["Have Skill Ups"] = "Have Skill Ups"
--[[Translation missing --]]
L["Here you can add/remove what groups this operation is attached to."] = "Here you can add/remove what groups this operation is attached to."
--[[Translation missing --]]
L["Hide auctions with bids"] = "Hide auctions with bids"
--[[Translation missing --]]
L["Hide Columns"] = "Hide Columns"
--[[Translation missing --]]
L["Hide minimap icon"] = "Hide minimap icon"
--[[Translation missing --]]
L["Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."] = "Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."
--[[Translation missing --]]
L["Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."] = "Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."
--[[Translation missing --]]
L["HIGH"] = "HIGH"
--[[Translation missing --]]
L["High Bidder"] = "High Bidder"
--[[Translation missing --]]
L["Historical Price"] = "Historical Price"
--[[Translation missing --]]
L["Historical price"] = "Historical price"
--[[Translation missing --]]
L["Hold ALT to repair from the guild bank."] = "Hold ALT to repair from the guild bank."
--[[Translation missing --]]
L["Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."] = "Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes"] = "Hold SHIFT to continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."
--[[Translation missing --]]
L["Hold shift to move the items to the parent group instead of removing them."] = "Hold shift to move the items to the parent group instead of removing them."
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes"] = "Hold SHIFT to not continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."
--[[Translation missing --]]
L["Hold SHIFT while dragging to scale the window instead."] = "Hold SHIFT while dragging to scale the window instead."
--[[Translation missing --]]
L["Hr"] = "Hr"
--[[Translation missing --]]
L["Hrs"] = "Hrs"
--[[Translation missing --]]
L["If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."] = "If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."
--[[Translation missing --]]
L["Ignore Auctions Below Min"] = "Ignore Auctions Below Min"
--[[Translation missing --]]
L["Ignore auctions by duration"] = "Ignore auctions by duration"
--[[Translation missing --]]
L["Ignore Characters"] = "Ignore Characters"
L["Ignore Guilds"] = "Ignorar Hermandades"
--[[Translation missing --]]
L["Ignore operation on characters"] = "Ignore operation on characters"
--[[Translation missing --]]
L["Ignore operation on faction-realms"] = "Ignore operation on faction-realms"
--[[Translation missing --]]
L["Ignore variations"] = "Ignore variations"
--[[Translation missing --]]
L["Ignored Cooldowns"] = "Ignored Cooldowns"
--[[Translation missing --]]
L["Ignored Items"] = "Ignored Items"
L["ilvl"] = "ilvl"
L["Import"] = "Importar"
--[[Translation missing --]]
L["Import group"] = "Import group"
L["Import Groups & Operations"] = "Importar Grupos y Operaciones"
--[[Translation missing --]]
L["Import String"] = "Import String"
--[[Translation missing --]]
L["Import Summary"] = "Import Summary"
--[[Translation missing --]]
L["Imported Group"] = "Imported Group"
--[[Translation missing --]]
L["Imported group (%s) with %d items, %d operations, and %d custom sources."] = "Imported group (%s) with %d items, %d operations, and %d custom sources."
--[[Translation missing --]]
L["Improved Import / Export."] = "Improved Import / Export."
L["Inbox Settings"] = "Configuración de la bandeja de entrada"
--[[Translation missing --]]
L["Include operations?"] = "Include operations?"
--[[Translation missing --]]
L["Include soulbound items"] = "Include soulbound items"
--[[Translation missing --]]
L["Information"] = "Information"
--[[Translation missing --]]
L["Invalid custom price source for %s. %s"] = "Invalid custom price source for %s. %s"
L["Invalid custom price."] = "Precio Personalizado no válido."
L["Invalid function."] = "Función no válida."
--[[Translation missing --]]
L["Invalid gold value."] = "Invalid gold value."
--[[Translation missing --]]
L["Invalid group name."] = "Invalid group name."
L["Invalid item link."] = "Enlace a objeto no válido."
--[[Translation missing --]]
L["Invalid numeric value."] = "Invalid numeric value."
--[[Translation missing --]]
L["Invalid operation name."] = "Invalid operation name."
L["Invalid operator at end of custom price."] = "Operador no válido al final del precio personalizado."
L["Invalid parameter to price source."] = "Parámetro no válido para fuente de precio."
--[[Translation missing --]]
L["Invalid player name."] = "Invalid player name."
L["Invalid price source in convert."] = "Fuente de precio en conversión no válida."
--[[Translation missing --]]
L["Invalid price."] = "Invalid price."
--[[Translation missing --]]
L["Invalid Quantity"] = "Invalid Quantity"
--[[Translation missing --]]
L["Invalid search filter (%s)."] = "Invalid search filter (%s)."
--[[Translation missing --]]
L["Invalid search term."] = "Invalid search term."
--[[Translation missing --]]
L["Invalid search term. Cannot filter by price here."] = "Invalid search term. Cannot filter by price here."
--[[Translation missing --]]
L["Invalid seller data returned by server."] = "Invalid seller data returned by server."
--[[Translation missing --]]
L["Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."] = "Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."
L["Invalid word: '%s'"] = "Palabra no válida: \"%s\""
--[[Translation missing --]]
L["Inventory"] = "Inventory"
--[[Translation missing --]]
L["Inventory / Gold Graph"] = "Inventory / Gold Graph"
--[[Translation missing --]]
L["Inventory Options"] = "Inventory Options"
--[[Translation missing --]]
L["It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."] = "It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."
--[[Translation missing --]]
L["It looks like you're trying to reference an old global price source which no longer exists."] = "It looks like you're trying to reference an old global price source which no longer exists."
L["Item"] = "Objeto"
--[[Translation missing --]]
L["Item Class"] = "Item Class"
--[[Translation missing --]]
L["Item Level"] = "Item Level"
--[[Translation missing --]]
L["Item Level Range"] = "Item Level Range"
L["Item links may only be used as parameters to price sources."] = "Los enlaces de objetos sólo pueden ser utilizados como parámetros para Fuentes de Precio."
L["Item Name"] = "Nombre de Objeto"
--[[Translation missing --]]
L["Item Quality"] = "Item Quality"
--[[Translation missing --]]
L["Item Selection"] = "Item Selection"
--[[Translation missing --]]
L["Item Slot"] = "Item Slot"
--[[Translation missing --]]
L["Item Subclass"] = "Item Subclass"
--[[Translation missing --]]
L["Item Value"] = "Item Value"
--[[Translation missing --]]
L["Item/Group is invalid (see chat)."] = "Item/Group is invalid (see chat)."
L["Items"] = "Objetos"
--[[Translation missing --]]
L["Items Using"] = "Items Using"
--[[Translation missing --]]
L["Keep in bags quantity"] = "Keep in bags quantity"
--[[Translation missing --]]
L["Keep in bank quantity"] = "Keep in bank quantity"
--[[Translation missing --]]
L["Keep quantity"] = "Keep quantity"
--[[Translation missing --]]
L["Keep this amount"] = "Keep this amount"
--[[Translation missing --]]
L["Keeping %d."] = "Keeping %d."
--[[Translation missing --]]
L["Keeping undercut auctions posted."] = "Keeping undercut auctions posted."
--[[Translation missing --]]
L["Last 14 Days"] = "Last 14 Days"
--[[Translation missing --]]
L["Last 3 Days"] = "Last 3 Days"
--[[Translation missing --]]
L["Last 30 Days"] = "Last 30 Days"
--[[Translation missing --]]
L["Last 60 Days"] = "Last 60 Days"
--[[Translation missing --]]
L["Last 7 Days"] = "Last 7 Days"
--[[Translation missing --]]
L["Last Purchased"] = "Last Purchased"
--[[Translation missing --]]
L["Last Sold"] = "Last Sold"
--[[Translation missing --]]
L["LEAST GROUPS"] = "LEAST GROUPS"
--[[Translation missing --]]
L["LEAST ITEMS"] = "LEAST ITEMS"
--[[Translation missing --]]
L["Ledger"] = "Ledger"
--[[Translation missing --]]
L["Level Up"] = "Level Up"
--[[Translation missing --]]
L["Limit"] = "Limit"
--[[Translation missing --]]
L["Link to Another Operation"] = "Link to Another Operation"
--[[Translation missing --]]
L["Loading..."] = "Loading..."
--[[Translation missing --]]
L["Lock Column Width"] = "Lock Column Width"
--[[Translation missing --]]
L["Lock task list's background"] = "Lock task list's background"
L["Looks like TradeSkillMaster has encountered an error. Please help the author fix this error by following the instructions shown."] = "Parece que TradeSkillMaster ha encontrado un error. Por favor, ayudar al autor corregir este error, siga las instrucciones que se muestran."
L["Loop detected in the following custom price:"] = "Reduncia cíclica detectada en el precio personalizado seguido:"
--[[Translation missing --]]
L["LOW"] = "LOW"
--[[Translation missing --]]
L["Lowest auction by whitelisted player."] = "Lowest auction by whitelisted player."
L["Macro created and scroll wheel bound!"] = "Macro creado y rueda de desplazamiento enlazada!"
L["Macro Setup"] = "Configuración de macro."
--[[Translation missing --]]
L["Macros"] = "Macros"
L["Mail"] = "Correo"
--[[Translation missing --]]
L["Mail Disenchantables"] = "Mail Disenchantables"
--[[Translation missing --]]
L["Mail disenchantables max quality"] = "Mail disenchantables max quality"
--[[Translation missing --]]
L["Mail Selected Groups"] = "Mail Selected Groups"
--[[Translation missing --]]
L["Mail Selected Groups (Auto Resend)"] = "Mail Selected Groups (Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run + Auto Resend)"] = "Mail Selected Groups (Dry Run + Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run)"] = "Mail Selected Groups (Dry Run)"
--[[Translation missing --]]
L["Mail to %s"] = "Mail to %s"
--[[Translation missing --]]
L["Mailing"] = "Mailing"
--[[Translation missing --]]
L["Mailing all to %s."] = "Mailing all to %s."
--[[Translation missing --]]
L["Mailing operation"] = "Mailing operation"
--[[Translation missing --]]
L["Mailing operations control mailing to other characters."] = "Mailing operations control mailing to other characters."
--[[Translation missing --]]
L["Mailing up to %d to %s."] = "Mailing up to %d to %s."
--[[Translation missing --]]
L["Make Cash On Delivery?"] = "Make Cash On Delivery?"
--[[Translation missing --]]
L["Make Operations Global?"] = "Make Operations Global?"
--[[Translation missing --]]
L["Management Options"] = "Management Options"
--[[Translation missing --]]
L["Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."] = "Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."
--[[Translation missing --]]
L["Map Ping"] = "Map Ping"
--[[Translation missing --]]
L["Market Value"] = "Market Value"
--[[Translation missing --]]
L["Market value"] = "Market value"
--[[Translation missing --]]
L["Market value price source"] = "Market value price source"
--[[Translation missing --]]
L["Market Value Price Source"] = "Market Value Price Source"
--[[Translation missing --]]
L["Mat cost"] = "Mat cost"
--[[Translation missing --]]
L["Mat Price"] = "Mat Price"
--[[Translation missing --]]
L["Match stack size"] = "Match stack size"
--[[Translation missing --]]
L["Match whitelisted players"] = "Match whitelisted players"
--[[Translation missing --]]
L["Material Cost"] = "Material Cost"
--[[Translation missing --]]
L["Material Price"] = "Material Price"
--[[Translation missing --]]
L["Materials"] = "Materials"
--[[Translation missing --]]
L["Materials to Gather"] = "Materials to Gather"
--[[Translation missing --]]
L["Max"] = "Max"
--[[Translation missing --]]
L["Max Buy Price"] = "Max Buy Price"
--[[Translation missing --]]
L["Max destroy value (Enter '0c' to disable)"] = "Max destroy value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max expires to bank"] = "Max expires to bank"
--[[Translation missing --]]
L["Max market value (Enter '0c' to disable)"] = "Max market value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max Price"] = "Max Price"
--[[Translation missing --]]
L["Max quantity"] = "Max quantity"
--[[Translation missing --]]
L["Max restock quantity"] = "Max restock quantity"
--[[Translation missing --]]
L["Max Sell Price"] = "Max Sell Price"
--[[Translation missing --]]
L["Max Shopping Price"] = "Max Shopping Price"
--[[Translation missing --]]
L["Max shopping price"] = "Max shopping price"
--[[Translation missing --]]
L["Max sniper price"] = "Max sniper price"
--[[Translation missing --]]
L["Maximum amount already posted."] = "Maximum amount already posted."
--[[Translation missing --]]
L["Maximum auction price"] = "Maximum auction price"
--[[Translation missing --]]
L["Maximum disenchant level"] = "Maximum disenchant level"
--[[Translation missing --]]
L["Maximum disenchant quality"] = "Maximum disenchant quality"
--[[Translation missing --]]
L["Maximum disenchant search percent"] = "Maximum disenchant search percent"
--[[Translation missing --]]
L["Maximum price"] = "Maximum price"
--[[Translation missing --]]
L["Maximum Quantity to Buy"] = "Maximum Quantity to Buy"
--[[Translation missing --]]
L["Maximum restock quantity"] = "Maximum restock quantity"
--[[Translation missing --]]
L["Midnight"] = "Midnight"
--[[Translation missing --]]
L["Mill value"] = "Mill value"
--[[Translation missing --]]
L["Mill Value"] = "Mill Value"
--[[Translation missing --]]
L["Min"] = "Min"
--[[Translation missing --]]
L["Min 0 - Max 20"] = "Min 0 - Max 20"
--[[Translation missing --]]
L["Min 0.5 - Max 10"] = "Min 0.5 - Max 10"
--[[Translation missing --]]
L["Min Buy Price"] = "Min Buy Price"
--[[Translation missing --]]
L["Min Buyout"] = "Min Buyout"
--[[Translation missing --]]
L["Min buyout"] = "Min buyout"
--[[Translation missing --]]
L["Min number of expires"] = "Min number of expires"
--[[Translation missing --]]
L["Min profit amount"] = "Min profit amount"
--[[Translation missing --]]
L["Min restock quantity"] = "Min restock quantity"
--[[Translation missing --]]
L["Min Sell Price"] = "Min Sell Price"
--[[Translation missing --]]
L["Min/Normal/Max price"] = "Min/Normal/Max price"
--[[Translation missing --]]
L["Min/Normal/Max Prices"] = "Min/Normal/Max Prices"
--[[Translation missing --]]
L["Minimum disenchant level"] = "Minimum disenchant level"
--[[Translation missing --]]
L["Minimum price"] = "Minimum price"
--[[Translation missing --]]
L["Minimum Rarity"] = "Minimum Rarity"
L["Misplaced comma"] = "Coma fuera de lugar."
--[[Translation missing --]]
L["Missing Materials"] = "Missing Materials"
--[[Translation missing --]]
L["Missing operator between sets of parenthesis"] = "Missing operator between sets of parenthesis"
--[[Translation missing --]]
L["Modifiers"] = "Modifiers"
--[[Translation missing --]]
L["Money Frame Open"] = "Money Frame Open"
--[[Translation missing --]]
L["Money Transfer"] = "Money Transfer"
--[[Translation missing --]]
L["MOST GROUPS"] = "MOST GROUPS"
--[[Translation missing --]]
L["MOST ITEMS"] = "MOST ITEMS"
--[[Translation missing --]]
L["MOVE"] = "MOVE"
--[[Translation missing --]]
L["Move %d |4Item:Items"] = "Move %d |4Item:Items"
--[[Translation missing --]]
L["Move %d already grouped items?"] = "Move %d already grouped items?"
--[[Translation missing --]]
L["Move all to Bags"] = "Move all to Bags"
--[[Translation missing --]]
L["Move Item"] = "Move Item"
--[[Translation missing --]]
L["Move Quantity Options"] = "Move Quantity Options"
--[[Translation missing --]]
L["Move to bags"] = "Move to bags"
--[[Translation missing --]]
L["Move to bank"] = "Move to bank"
--[[Translation missing --]]
L["Move to Parent Group"] = "Move to Parent Group"
--[[Translation missing --]]
L["MOVING"] = "MOVING"
--[[Translation missing --]]
L["Moving"] = "Moving"
--[[Translation missing --]]
L["Multiple Items"] = "Multiple Items"
--[[Translation missing --]]
L["Must be between %d and %s."] = "Must be between %d and %s."
L["My Auctions"] = "Mis subastas"
--[[Translation missing --]]
L["My Auctions %s button"] = "My Auctions %s button"
--[[Translation missing --]]
L["Name"] = "Name"
--[[Translation missing --]]
L["NEED MATS"] = "NEED MATS"
--[[Translation missing --]]
L["New Base Group search."] = "New Base Group search."
L["New Group"] = "Nuevo Grupo"
L["New Operation"] = "Nueva operación"
--[[Translation missing --]]
L["New price sources."] = "New price sources."
--[[Translation missing --]]
L["News & Information"] = "News & Information"
--[[Translation missing --]]
L["No Attachments"] = "No Attachments"
--[[Translation missing --]]
L["No AuctionDB Realm Data"] = "No AuctionDB Realm Data"
--[[Translation missing --]]
L["No AuctionDB Region Data"] = "No AuctionDB Region Data"
--[[Translation missing --]]
L["No Characters"] = "No Characters"
--[[Translation missing --]]
L["No Crafts"] = "No Crafts"
--[[Translation missing --]]
L["No Faction-Realms"] = "No Faction-Realms"
--[[Translation missing --]]
L["No group selected"] = "No group selected"
--[[Translation missing --]]
L["No Guilds"] = "No Guilds"
--[[Translation missing --]]
L["No item specified. Usage: /tsm restock_help [ITEM_LINK]"] = "No item specified. Usage: /tsm restock_help [ITEM_LINK]"
--[[Translation missing --]]
L["NO ITEMS"] = "NO ITEMS"
--[[Translation missing --]]
L["No Materials to Gather"] = "No Materials to Gather"
--[[Translation missing --]]
L["No Operation Selected"] = "No Operation Selected"
--[[Translation missing --]]
L["No Players"] = "No Players"
--[[Translation missing --]]
L["No posting."] = "No posting."
--[[Translation missing --]]
L["No Profession Opened"] = "No Profession Opened"
--[[Translation missing --]]
L["No Profession Selected"] = "No Profession Selected"
--[[Translation missing --]]
L["No Professions"] = "No Professions"
L["No profile specified. Possible profiles: '%s'"] = "Perfil no especificado. Perfiles posibles: '%s'"
--[[Translation missing --]]
L["No Rarities"] = "No Rarities"
--[[Translation missing --]]
L["No receipe selected"] = "No receipe selected"
--[[Translation missing --]]
L["No recent AuctionDB scan data found."] = "No recent AuctionDB scan data found."
L["No Sound"] = "Sin sonido"
--[[Translation missing --]]
L["No Sources"] = "No Sources"
--[[Translation missing --]]
L["No Types"] = "No Types"
--[[Translation missing --]]
L["No value was returned by the custom price for the specified item."] = "No value was returned by the custom price for the specified item."
L["None"] = "Ninguno"
L["None (Always Show)"] = "Ninguno (Mostrar siempre)"
--[[Translation missing --]]
L["None Selected"] = "None Selected"
--[[Translation missing --]]
L["Nongroup to bank"] = "Nongroup to bank"
--[[Translation missing --]]
L["Normal price"] = "Normal price"
--[[Translation missing --]]
L["Not canceling auction at reset price."] = "Not canceling auction at reset price."
--[[Translation missing --]]
L["Not canceling auction below min price."] = "Not canceling auction below min price."
--[[Translation missing --]]
L["Not canceling."] = "Not canceling."
--[[Translation missing --]]
L["Not Connected"] = "Not Connected"
--[[Translation missing --]]
L["Not enough items in bags."] = "Not enough items in bags."
--[[Translation missing --]]
L["Not Enough Money"] = "Not Enough Money"
--[[Translation missing --]]
L["Not enough money to cancel."] = "Not enough money to cancel."
--[[Translation missing --]]
L["NOT OPEN"] = "NOT OPEN"
--[[Translation missing --]]
L["Not Scanned"] = "Not Scanned"
--[[Translation missing --]]
L["NOTE: The import contained %d invalid items which were ignored."] = "NOTE: The import contained %d invalid items which were ignored."
--[[Translation missing --]]
L["NOTE: The import contained %d operations with at least one invalid setting which was reset."] = "NOTE: The import contained %d operations with at least one invalid setting which was reset."
--[[Translation missing --]]
L["Nothing to move."] = "Nothing to move."
--[[Translation missing --]]
L["Nothing to send."] = "Nothing to send."
--[[Translation missing --]]
L["Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."] = "Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."
--[[Translation missing --]]
L["NPC"] = "NPC"
--[[Translation missing --]]
L["Number Owned"] = "Number Owned"
L["Offline"] = "Desconectado"
--[[Translation missing --]]
L["On Cooldown"] = "On Cooldown"
--[[Translation missing --]]
L["Only show craftable"] = "Only show craftable"
--[[Translation missing --]]
L["Only show items with disenchant values above this price"] = "Only show items with disenchant values above this price"
--[[Translation missing --]]
L["Only show sold auctions"] = "Only show sold auctions"
--[[Translation missing --]]
L["OPEN"] = "OPEN"
--[[Translation missing --]]
L["Open All Mail"] = "Open All Mail"
--[[Translation missing --]]
L["Open All Mail Without Money"] = "Open All Mail Without Money"
--[[Translation missing --]]
L["Open Mail"] = "Open Mail"
--[[Translation missing --]]
L["Open mail complete sound"] = "Open mail complete sound"
--[[Translation missing --]]
L["Open Mail Without Money"] = "Open Mail Without Money"
--[[Translation missing --]]
L["Open Task List"] = "Open Task List"
--[[Translation missing --]]
L["Opens the Destroying frame if there's stuff in your bags to be destroyed."] = "Opens the Destroying frame if there's stuff in your bags to be destroyed."
--[[Translation missing --]]
L["Operation"] = "Operation"
L["Operations"] = "Operaciones"
--[[Translation missing --]]
L["Options specific to Sniper are below."] = "Options specific to Sniper are below."
--[[Translation missing --]]
L["Order Confirmation"] = "Order Confirmation"
--[[Translation missing --]]
L["Orgrimmar"] = "Orgrimmar"
--[[Translation missing --]]
L["Other"] = "Other"
--[[Translation missing --]]
L["Other Character"] = "Other Character"
--[[Translation missing --]]
L["Override default craft value"] = "Override default craft value"
--[[Translation missing --]]
L["Override Parent Operations"] = "Override Parent Operations"
--[[Translation missing --]]
L["Parent Items"] = "Parent Items"
--[[Translation missing --]]
L["Pausing Scan..."] = "Pausing Scan..."
--[[Translation missing --]]
L["Per Item"] = "Per Item"
--[[Translation missing --]]
L["Per Stack"] = "Per Stack"
--[[Translation missing --]]
L["Per-Character group selections."] = "Per-Character group selections."
--[[Translation missing --]]
L["Performing a dry-run of your Mailing operations for the selected groups."] = "Performing a dry-run of your Mailing operations for the selected groups."
--[[Translation missing --]]
L["Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."] = "Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."
L["Player Gold"] = "Oro del personaje"
L["Player Invite Accept"] = "Aceptar invitación de jugador."
--[[Translation missing --]]
L["Post"] = "Post"
--[[Translation missing --]]
L["Post / Cancel"] = "Post / Cancel"
--[[Translation missing --]]
L["Post at Maximum Price"] = "Post at Maximum Price"
--[[Translation missing --]]
L["Post at Minimum Price"] = "Post at Minimum Price"
--[[Translation missing --]]
L["Post at Normal Price"] = "Post at Normal Price"
--[[Translation missing --]]
L["Post Auction"] = "Post Auction"
--[[Translation missing --]]
L["Post cap"] = "Post cap"
--[[Translation missing --]]
L["Post cap to bags"] = "Post cap to bags"
--[[Translation missing --]]
L["Post from Shopping Scan"] = "Post from Shopping Scan"
--[[Translation missing --]]
L["Post Items from Bags"] = "Post Items from Bags"
--[[Translation missing --]]
L["Post Quantity"] = "Post Quantity"
--[[Translation missing --]]
L["Post Scan"] = "Post Scan"
--[[Translation missing --]]
L["Post Selected"] = "Post Selected"
--[[Translation missing --]]
L["Postage"] = "Postage"
--[[Translation missing --]]
L["Posted at whitelisted player's price."] = "Posted at whitelisted player's price."
--[[Translation missing --]]
L["Posted:"] = "Posted:"
--[[Translation missing --]]
L["Posting"] = "Posting"
--[[Translation missing --]]
L["Posting %d / %d"] = "Posting %d / %d"
--[[Translation missing --]]
L["Posting %d items for %s hours."] = "Posting %d items for %s hours."
--[[Translation missing --]]
L["Posting %d stack(s) of %d for %s hours."] = "Posting %d stack(s) of %d for %s hours."
--[[Translation missing --]]
L["Posting at normal price."] = "Posting at normal price."
--[[Translation missing --]]
L["Posting at whitelisted player's price."] = "Posting at whitelisted player's price."
--[[Translation missing --]]
L["Posting at your current price."] = "Posting at your current price."
--[[Translation missing --]]
L["Posting disabled."] = "Posting disabled."
--[[Translation missing --]]
L["Posting Options"] = "Posting Options"
--[[Translation missing --]]
L["Posting Price"] = "Posting Price"
--[[Translation missing --]]
L["Posts"] = "Posts"
--[[Translation missing --]]
L["Potential"] = "Potential"
--[[Translation missing --]]
L["Prepare Bid"] = "Prepare Bid"
--[[Translation missing --]]
L["Prepare Buy"] = "Prepare Buy"
--[[Translation missing --]]
L["Preparing..."] = "Preparing..."
--[[Translation missing --]]
L["Prevent closing the Auction House with the esc key"] = "Prevent closing the Auction House with the esc key"
--[[Translation missing --]]
L["Prints out the available price sources for use in custom prices"] = "Prints out the available price sources for use in custom prices"
--[[Translation missing --]]
L["Prints out the version numbers of all installed modules"] = "Prints out the version numbers of all installed modules"
--[[Translation missing --]]
L["Prints the slash command help listing"] = "Prints the slash command help listing"
--[[Translation missing --]]
L["Processing scan results..."] = "Processing scan results..."
--[[Translation missing --]]
L["Profession"] = "Profession"
--[[Translation missing --]]
L["Profession Info"] = "Profession Info"
--[[Translation missing --]]
L["Professions Used In"] = "Professions Used In"
L["Profile changed to '%s'."] = "Perfil cambiado a '%s'."
L["Profiles"] = "Perfiles"
--[[Translation missing --]]
L["Profit"] = "Profit"
--[[Translation missing --]]
L["PROFIT"] = "PROFIT"
--[[Translation missing --]]
L["Profit (Total)"] = "Profit (Total)"
--[[Translation missing --]]
L["Prospect value"] = "Prospect value"
--[[Translation missing --]]
L["Prospect Value"] = "Prospect Value"
--[[Translation missing --]]
L["Purchase"] = "Purchase"
--[[Translation missing --]]
L["Purchase / Sale Info"] = "Purchase / Sale Info"
--[[Translation missing --]]
L["Purchase Data"] = "Purchase Data"
--[[Translation missing --]]
L["Purchase information"] = "Purchase information"
--[[Translation missing --]]
L["Purchase Item"] = "Purchase Item"
--[[Translation missing --]]
L["Purchased (Min/Avg/Max Price)"] = "Purchased (Min/Avg/Max Price)"
--[[Translation missing --]]
L["Purchased (Total Price)"] = "Purchased (Total Price)"
--[[Translation missing --]]
L["Purchases"] = "Purchases"
--[[Translation missing --]]
L["Purchasing Auction"] = "Purchasing Auction"
--[[Translation missing --]]
L["Puts items matching the item or partial text entered into the bank or guild bank."] = "Puts items matching the item or partial text entered into the bank or guild bank."
--[[Translation missing --]]
L["Qty"] = "Qty"
--[[Translation missing --]]
L["Quantity"] = "Quantity"
--[[Translation missing --]]
L["Quantity Purchased:"] = "Quantity Purchased:"
--[[Translation missing --]]
L["Quantity Sold:"] = "Quantity Sold:"
--[[Translation missing --]]
L["Quantity to move"] = "Quantity to move"
L["Quest Added"] = "Misión añadida."
L["Quest Completed"] = "Misión completada"
L["Quest Objectives Complete"] = "Objetivos de misión completados."
--[[Translation missing --]]
L["Queue"] = "Queue"
--[[Translation missing --]]
L["Quickly mail all excess disenchantable items to a character"] = "Quickly mail all excess disenchantable items to a character"
--[[Translation missing --]]
L["Quickly mail all excess gold (limited to a certain amount) to a character"] = "Quickly mail all excess gold (limited to a certain amount) to a character"
L["Raid Warning"] = "Alerta de Raid"
--[[Translation missing --]]
L["Read More"] = "Read More"
--[[Translation missing --]]
L["Ready Check"] = "Ready Check"
--[[Translation missing --]]
L["Ready to Cancel"] = "Ready to Cancel"
--[[Translation missing --]]
L["Recent"] = "Recent"
L["Recent Scans"] = "Escaneos recientes"
L["Recent Searches"] = "Búsquedas recientes"
--[[Translation missing --]]
L["Recipe Name"] = "Recipe Name"
--[[Translation missing --]]
L["Recipient"] = "Recipient"
--[[Translation missing --]]
L["Region avg daily sold"] = "Region avg daily sold"
--[[Translation missing --]]
L["Region Avg Daily Sold"] = "Region Avg Daily Sold"
--[[Translation missing --]]
L["Region Historical Price"] = "Region Historical Price"
--[[Translation missing --]]
L["Region historical price"] = "Region historical price"
--[[Translation missing --]]
L["Region market value"] = "Region market value"
--[[Translation missing --]]
L["Region Market Value Avg"] = "Region Market Value Avg"
--[[Translation missing --]]
L["Region Min Buyout Avg"] = "Region Min Buyout Avg"
--[[Translation missing --]]
L["Region min buyout avg"] = "Region min buyout avg"
--[[Translation missing --]]
L["Region sale avg"] = "Region sale avg"
--[[Translation missing --]]
L["Region Sale Avg"] = "Region Sale Avg"
--[[Translation missing --]]
L["Region Sale Rate"] = "Region Sale Rate"
--[[Translation missing --]]
L["Region sale rate"] = "Region sale rate"
--[[Translation missing --]]
L["Reload"] = "Reload"
--[[Translation missing --]]
L["Reload UI (%02d)"] = "Reload UI (%02d)"
--[[Translation missing --]]
L["Reload UI (%d)"] = "Reload UI (%d)"
--[[Translation missing --]]
L["Remove"] = "Remove"
--[[Translation missing --]]
L["Remove %d |4Item:Items"] = "Remove %d |4Item:Items"
--[[Translation missing --]]
L["Remove Data Older Than (Days)"] = "Remove Data Older Than (Days)"
--[[Translation missing --]]
L["Remove this account sync and all synced data from this account"] = "Remove this account sync and all synced data from this account"
--[[Translation missing --]]
L["Removed a total of %s old records."] = "Removed a total of %s old records."
--[[Translation missing --]]
L["Removed custom price source (%s) which has an invalid name."] = "Removed custom price source (%s) which has an invalid name."
--[[Translation missing --]]
L["Rename"] = "Rename"
--[[Translation missing --]]
L["Rename Profile"] = "Rename Profile"
--[[Translation missing --]]
L["Rename Search"] = "Rename Search"
--[[Translation missing --]]
L["Rename the profile"] = "Rename the profile"
--[[Translation missing --]]
L["Rename this group"] = "Rename this group"
--[[Translation missing --]]
L["Repair"] = "Repair"
--[[Translation missing --]]
L["Repair Bill"] = "Repair Bill"
--[[Translation missing --]]
L["Repair from Guild Bank"] = "Repair from Guild Bank"
--[[Translation missing --]]
L["Replace %d existing operations and %d existing custom sources?"] = "Replace %d existing operations and %d existing custom sources?"
--[[Translation missing --]]
L["Replace %d existing operations?"] = "Replace %d existing operations?"
--[[Translation missing --]]
L["Reply"] = "Reply"
--[[Translation missing --]]
L["Report Spam"] = "Report Spam"
--[[Translation missing --]]
L["Reports"] = "Reports"
--[[Translation missing --]]
L["Repost threshold"] = "Repost threshold"
--[[Translation missing --]]
L["Required Level"] = "Required Level"
--[[Translation missing --]]
L["Required Level Range"] = "Required Level Range"
--[[Translation missing --]]
L["Resale"] = "Resale"
--[[Translation missing --]]
L["Rescan"] = "Rescan"
--[[Translation missing --]]
L["Reset"] = "Reset"
--[[Translation missing --]]
L["Reset All Filters"] = "Reset All Filters"
--[[Translation missing --]]
L["Reset Filters"] = "Reset Filters"
--[[Translation missing --]]
L["Reset Operation?"] = "Reset Operation?"
--[[Translation missing --]]
L["Reset Profile?"] = "Reset Profile?"
--[[Translation missing --]]
L["Reset Table"] = "Reset Table"
--[[Translation missing --]]
L["Reset the current profile to default settings"] = "Reset the current profile to default settings"
--[[Translation missing --]]
L["Reset to Default"] = "Reset to Default"
--[[Translation missing --]]
L["Reset Zoom"] = "Reset Zoom"
--[[Translation missing --]]
L["Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."] = "Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."
--[[Translation missing --]]
L["Restart"] = "Restart"
--[[Translation missing --]]
L["Restart delay (minutes)"] = "Restart delay (minutes)"
--[[Translation missing --]]
L["Restock bags"] = "Restock bags"
--[[Translation missing --]]
L["Restock help for %s: %s"] = "Restock help for %s: %s"
--[[Translation missing --]]
L["Restock Options"] = "Restock Options"
--[[Translation missing --]]
L["Restock quantity"] = "Restock quantity"
--[[Translation missing --]]
L["Restock Selected Groups"] = "Restock Selected Groups"
--[[Translation missing --]]
L["Restock target to max quantity"] = "Restock target to max quantity"
--[[Translation missing --]]
L["Restocking to %d."] = "Restocking to %d."
--[[Translation missing --]]
L["Restocking with a min profit."] = "Restocking with a min profit."
--[[Translation missing --]]
L["Restocking with no min profit."] = "Restocking with no min profit."
--[[Translation missing --]]
L["Restore bags"] = "Restore bags"
--[[Translation missing --]]
L["Resuming Scan..."] = "Resuming Scan..."
--[[Translation missing --]]
L["Retrying %d auction(s) which failed."] = "Retrying %d auction(s) which failed."
--[[Translation missing --]]
L["Revenue"] = "Revenue"
--[[Translation missing --]]
L["Right-Click to reset the window size, scale, and position to their defaults."] = "Right-Click to reset the window size, scale, and position to their defaults."
--[[Translation missing --]]
L["Run Advanced Item Search"] = "Run Advanced Item Search"
L["Run Bid Sniper"] = "Ejecutar búsqueda de pujas de sniper"
L["Run Buyout Sniper"] = "Ejecutar búsqueda de compras de sniper"
--[[Translation missing --]]
L["Run Cancel Scan"] = "Run Cancel Scan"
--[[Translation missing --]]
L["Run Post Scan"] = "Run Post Scan"
--[[Translation missing --]]
L["Run Shopping Scan"] = "Run Shopping Scan"
L["Running Sniper Scan"] = "Ejecutando escaneo de sniper"
--[[Translation missing --]]
L["Sale"] = "Sale"
--[[Translation missing --]]
L["Sale Data"] = "Sale Data"
--[[Translation missing --]]
L["Sale information"] = "Sale information"
--[[Translation missing --]]
L["Sale Price"] = "Sale Price"
--[[Translation missing --]]
L["Sale Rate"] = "Sale Rate"
--[[Translation missing --]]
L["Sale rate"] = "Sale rate"
--[[Translation missing --]]
L["Sales"] = "Sales"
--[[Translation missing --]]
L["SALES"] = "SALES"
--[[Translation missing --]]
L["Save"] = "Save"
--[[Translation missing --]]
L["Scan"] = "Scan"
--[[Translation missing --]]
L["SCAN ALL"] = "SCAN ALL"
--[[Translation missing --]]
L["Scan complete sound"] = "Scan complete sound"
--[[Translation missing --]]
L["Scan Paused"] = "Scan Paused"
--[[Translation missing --]]
L["Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."] = "Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."
--[[Translation missing --]]
L["Scanning"] = "Scanning"
--[[Translation missing --]]
L["SCANNING"] = "SCANNING"
--[[Translation missing --]]
L["Scanning (%d Items)"] = "Scanning (%d Items)"
--[[Translation missing --]]
L["Scroll wheel direction"] = "Scroll wheel direction"
--[[Translation missing --]]
L["Scroll Wheel Options"] = "Scroll Wheel Options"
--[[Translation missing --]]
L["Search"] = "Search"
--[[Translation missing --]]
L["Search %s operations"] = "Search %s operations"
--[[Translation missing --]]
L["Search Bags"] = "Search Bags"
L["Search Groups"] = "Buscar grupos"
--[[Translation missing --]]
L["Search items"] = "Search items"
--[[Translation missing --]]
L["Search items in group"] = "Search items in group"
--[[Translation missing --]]
L["Search items in mailbox"] = "Search items in mailbox"
L["Search Operations"] = "Buscar operaciones"
--[[Translation missing --]]
L["Search Patterns"] = "Search Patterns"
--[[Translation missing --]]
L["Search Results"] = "Search Results"
--[[Translation missing --]]
L["Search the auction house"] = "Search the auction house"
--[[Translation missing --]]
L["Search Vendor"] = "Search Vendor"
--[[Translation missing --]]
L["Select / Deselect All Groups"] = "Select / Deselect All Groups"
--[[Translation missing --]]
L["Select / Deselect All Items"] = "Select / Deselect All Items"
--[[Translation missing --]]
L["Select / Deselect All Results"] = "Select / Deselect All Results"
--[[Translation missing --]]
L["Select a Source"] = "Select a Source"
--[[Translation missing --]]
L["Select Action"] = "Select Action"
--[[Translation missing --]]
L["Select All"] = "Select All"
--[[Translation missing --]]
L["Select an Auction to Buy"] = "Select an Auction to Buy"
--[[Translation missing --]]
L["Select Auction to Cancel"] = "Select Auction to Cancel"
--[[Translation missing --]]
L["Select crafter"] = "Select crafter"
--[[Translation missing --]]
L["Select Group"] = "Select Group"
--[[Translation missing --]]
L["Select included subgroups"] = "Select included subgroups"
--[[Translation missing --]]
L["Select Items to Attach"] = "Select Items to Attach"
--[[Translation missing --]]
L["Select professions"] = "Select professions"
--[[Translation missing --]]
L["Sell"] = "Sell"
--[[Translation missing --]]
L["Sell All"] = "Sell All"
--[[Translation missing --]]
L["Sell BoEs"] = "Sell BoEs"
--[[Translation missing --]]
L["Sell Groups"] = "Sell Groups"
--[[Translation missing --]]
L["Sell Options"] = "Sell Options"
--[[Translation missing --]]
L["Sell soulbound items"] = "Sell soulbound items"
L["Sell to Vendor"] = "Vender al Vendedor"
--[[Translation missing --]]
L["Sell Trash"] = "Sell Trash"
--[[Translation missing --]]
L["Seller"] = "Seller"
--[[Translation missing --]]
L["Selling soulbound items."] = "Selling soulbound items."
--[[Translation missing --]]
L["Send"] = "Send"
--[[Translation missing --]]
L["Send Disenchantables"] = "Send Disenchantables"
--[[Translation missing --]]
L["Send Excess Gold to Banker"] = "Send Excess Gold to Banker"
--[[Translation missing --]]
L["Send Gold"] = "Send Gold"
--[[Translation missing --]]
L["Send grouped items individually"] = "Send grouped items individually"
--[[Translation missing --]]
L["Send Mail"] = "Send Mail"
--[[Translation missing --]]
L["Send Money"] = "Send Money"
--[[Translation missing --]]
L["Send your active profile to this synced account"] = "Send your active profile to this synced account"
--[[Translation missing --]]
L["Sender"] = "Sender"
--[[Translation missing --]]
L["SENDING"] = "SENDING"
--[[Translation missing --]]
L["Sending %s to %s"] = "Sending %s to %s"
--[[Translation missing --]]
L["Sending %s to %s with a COD of %s"] = "Sending %s to %s with a COD of %s"
--[[Translation missing --]]
L["Sending Settings"] = "Sending Settings"
--[[Translation missing --]]
L["Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"] = "Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"
--[[Translation missing --]]
L["Sending..."] = "Sending..."
--[[Translation missing --]]
L["Set bid as percentage of buyout"] = "Set bid as percentage of buyout"
--[[Translation missing --]]
L["Set how items are moved out of the bank."] = "Set how items are moved out of the bank."
--[[Translation missing --]]
L["Set how items are restocked from the bank."] = "Set how items are restocked from the bank."
--[[Translation missing --]]
L["Set keep in bags quantity"] = "Set keep in bags quantity"
--[[Translation missing --]]
L["Set keep in bank quantity"] = "Set keep in bank quantity"
--[[Translation missing --]]
L["Set max quantity"] = "Set max quantity"
--[[Translation missing --]]
L["Set min profit"] = "Set min profit"
--[[Translation missing --]]
L["Set move quantity"] = "Set move quantity"
--[[Translation missing --]]
L["Set stack size"] = "Set stack size"
--[[Translation missing --]]
L["Set stack size for restock"] = "Set stack size for restock"
--[[Translation missing --]]
L["Set what is bought from a vendor."] = "Set what is bought from a vendor."
--[[Translation missing --]]
L["Set what is sold to a vendor."] = "Set what is sold to a vendor."
--[[Translation missing --]]
L["Set what items are shown during a Shopping scan."] = "Set what items are shown during a Shopping scan."
--[[Translation missing --]]
L["Set what items are shown during a Sniper scan."] = "Set what items are shown during a Sniper scan."
--[[Translation missing --]]
L["Set your active profile or create a new one."] = "Set your active profile or create a new one."
--[[Translation missing --]]
L["Settings"] = "Settings"
--[[Translation missing --]]
L["Setup various sounds that play when doing Auctioning scans."] = "Setup various sounds that play when doing Auctioning scans."
--[[Translation missing --]]
L["SHIFT"] = "SHIFT"
L["Shopping"] = "Compras"
--[[Translation missing --]]
L["Shopping %s button"] = "Shopping %s button"
--[[Translation missing --]]
L["Shopping for auctions including those above the max price."] = "Shopping for auctions including those above the max price."
--[[Translation missing --]]
L["Shopping for auctions with a max price set."] = "Shopping for auctions with a max price set."
--[[Translation missing --]]
L["Shopping operation"] = "Shopping operation"
--[[Translation missing --]]
L["Shopping Operation Max Price"] = "Shopping Operation Max Price"
--[[Translation missing --]]
L["Shopping operations control buyout from the AH."] = "Shopping operations control buyout from the AH."
--[[Translation missing --]]
L["Shortfall to bags"] = "Shortfall to bags"
--[[Translation missing --]]
L["Show auctions above max price"] = "Show auctions above max price"
--[[Translation missing --]]
L["Show confirmation alert if buyout is above the alert price"] = "Show confirmation alert if buyout is above the alert price"
--[[Translation missing --]]
L["Show destroying frame automatically"] = "Show destroying frame automatically"
--[[Translation missing --]]
L["Show on modifier"] = "Show on modifier"
--[[Translation missing --]]
L["Show only auctions with bids"] = "Show only auctions with bids"
--[[Translation missing --]]
L["Showing %s Mail"] = "Showing %s Mail"
--[[Translation missing --]]
L["Showing %s of %d Mail"] = "Showing %s of %d Mail"
--[[Translation missing --]]
L["Showing %s of %d Mails"] = "Showing %s of %d Mails"
--[[Translation missing --]]
L["Showing all %s Mails"] = "Showing all %s Mails"
--[[Translation missing --]]
L["Simple inventory"] = "Simple inventory"
--[[Translation missing --]]
L["Skip"] = "Skip"
--[[Translation missing --]]
L["Skipped:"] = "Skipped:"
--[[Translation missing --]]
L["Skipped: No assigned operation"] = "Skipped: No assigned operation"
L["Slash Commands:"] = "Comandos de barra:"
--[[Translation missing --]]
L["Smart Avg Buy Price"] = "Smart Avg Buy Price"
L["Sniper"] = "Sniper"
--[[Translation missing --]]
L["Sniper %s button"] = "Sniper %s button"
--[[Translation missing --]]
L["Sniper Below Price"] = "Sniper Below Price"
--[[Translation missing --]]
L["Sniper operation"] = "Sniper operation"
--[[Translation missing --]]
L["Sniper Operation Below Price"] = "Sniper Operation Below Price"
--[[Translation missing --]]
L["Sniper operations control sniping from the AH."] = "Sniper operations control sniping from the AH."
L["Sniper Options"] = "Opciones de sniper"
--[[Translation missing --]]
L["Sniping items below a max price"] = "Sniping items below a max price"
--[[Translation missing --]]
L["Sold"] = "Sold"
--[[Translation missing --]]
L["Sold %d of %s to %s for %s"] = "Sold %d of %s to %s for %s"
--[[Translation missing --]]
L["Sold %s worth of items."] = "Sold %s worth of items."
--[[Translation missing --]]
L["Sold (Min/Avg/Max Price)"] = "Sold (Min/Avg/Max Price)"
--[[Translation missing --]]
L["Sold (Total Price)"] = "Sold (Total Price)"
--[[Translation missing --]]
L["Sold [%s]x%d for %s to %s"] = "Sold [%s]x%d for %s to %s"
--[[Translation missing --]]
L["Sold for:"] = "Sold for:"
--[[Translation missing --]]
L["Some general Accounting options are below."] = "Some general Accounting options are below."
--[[Translation missing --]]
L["Some general appearance options are below."] = "Some general appearance options are below."
--[[Translation missing --]]
L["Some general Auctioning options are below."] = "Some general Auctioning options are below."
--[[Translation missing --]]
L["Some general Browse/Sniper options are below."] = "Some general Browse/Sniper options are below."
--[[Translation missing --]]
L["Some general options for the TSM tooltip information are below."] = "Some general options for the TSM tooltip information are below."
--[[Translation missing --]]
L["Some general TSM options are below."] = "Some general TSM options are below."
--[[Translation missing --]]
L["Some options for the Disenchant Search are below."] = "Some options for the Disenchant Search are below."
--[[Translation missing --]]
L["Source"] = "Source"
--[[Translation missing --]]
L["SOURCE %d"] = "SOURCE %d"
L["Sources"] = "Fuentes"
--[[Translation missing --]]
L["Sources to include for restock"] = "Sources to include for restock"
--[[Translation missing --]]
L["Stack"] = "Stack"
--[[Translation missing --]]
L["Stack / Quantity"] = "Stack / Quantity"
--[[Translation missing --]]
L["Stack size"] = "Stack size"
--[[Translation missing --]]
L["Stack size multiple"] = "Stack size multiple"
--[[Translation missing --]]
L["Stack(s)"] = "Stack(s)"
L["Start either a 'Buyout' or 'Bid' sniper using the buttons above."] = "Inicia una «Compra» o «Puja» de sniper con los botones de arriba."
--[[Translation missing --]]
L["Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."] = "Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."
--[[Translation missing --]]
L["Starting Scan..."] = "Starting Scan..."
--[[Translation missing --]]
L["Store operations globally"] = "Store operations globally"
--[[Translation missing --]]
L["Stormwind"] = "Stormwind"
--[[Translation missing --]]
L["String"] = "String"
--[[Translation missing --]]
L["Subject"] = "Subject"
--[[Translation missing --]]
L["Subject & Description added"] = "Subject & Description added"
--[[Translation missing --]]
L["Successfully sent your '%s' profile to %s!"] = "Successfully sent your '%s' profile to %s!"
--[[Translation missing --]]
L["Supported range: %d - %d"] = "Supported range: %d - %d"
--[[Translation missing --]]
L["Supported value range: %d - %d"] = "Supported value range: %d - %d"
--[[Translation missing --]]
L["Swamp of Sorrows"] = "Swamp of Sorrows"
L["Switch to %s"] = "Cambiar a %s"
--[[Translation missing --]]
L["Sync Setup Error: The specified player on the other account is not currently online."] = "Sync Setup Error: The specified player on the other account is not currently online."
--[[Translation missing --]]
L["Sync Setup Error: This character is already part of a known account."] = "Sync Setup Error: This character is already part of a known account."
--[[Translation missing --]]
L["Sync Setup Error: You entered the name of the current character and not the character on the other account."] = "Sync Setup Error: You entered the name of the current character and not the character on the other account."
--[[Translation missing --]]
L["Sync Status"] = "Sync Status"
--[[Translation missing --]]
L["Target character"] = "Target character"
--[[Translation missing --]]
L["Target shortfall to bags"] = "Target shortfall to bags"
--[[Translation missing --]]
L["Tasks Added to Task List"] = "Tasks Added to Task List"
--[[Translation missing --]]
L["Tells you why a specific item is not being restocked and added to the queue."] = "Tells you why a specific item is not being restocked and added to the queue."
L["Text (%s)"] = "Texto (%s)"
--[[Translation missing --]]
L["The '%s' custom price source is invalid."] = "The '%s' custom price source is invalid."
--[[Translation missing --]]
L["The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."] = "The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."
--[[Translation missing --]]
L["The buyout price for %s would be above the maximum allowed price. Skipping this item."] = "The buyout price for %s would be above the maximum allowed price. Skipping this item."
--[[Translation missing --]]
L["The canlearn filter was ignored because the CanIMogIt addon was not found."] = "The canlearn filter was ignored because the CanIMogIt addon was not found."
--[[Translation missing --]]
L["The 'Craft Value Method' did not return a value for this item."] = "The 'Craft Value Method' did not return a value for this item."
--[[Translation missing --]]
L["The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."] = "The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."
--[[Translation missing --]]
L["The max quantity cannot be zero."] = "The max quantity cannot be zero."
--[[Translation missing --]]
L["The min profit did not evalulate to a valid value for this item."] = "The min profit did not evalulate to a valid value for this item."
--[[Translation missing --]]
L["The name portion of the search term must be at least 3 characters if present."] = "The name portion of the search term must be at least 3 characters if present."
--[[Translation missing --]]
L["The pasted value was not valid. Ensure you are pasting the entire import string."] = "The pasted value was not valid. Ensure you are pasting the entire import string."
--[[Translation missing --]]
L["The player \"%s\" is already on your whitelist."] = "The player \"%s\" is already on your whitelist."
--[[Translation missing --]]
L["The profit of this item (%s) is below the min profit (%s)."] = "The profit of this item (%s) is below the min profit (%s)."
--[[Translation missing --]]
L["The same filter was specified multiple times."] = "The same filter was specified multiple times."
--[[Translation missing --]]
L["The search term must be at least 3 characters."] = "The search term must be at least 3 characters."
--[[Translation missing --]]
L["The seller name of the lowest auction for %s was not given by the server. Skipping this item."] = "The seller name of the lowest auction for %s was not given by the server. Skipping this item."
--[[Translation missing --]]
L["The specified filter was empty."] = "The specified filter was empty."
--[[Translation missing --]]
L["The specified item is not supported for crafting searches."] = "The specified item is not supported for crafting searches."
--[[Translation missing --]]
L["The specified item is not supported for disenchant searches."] = "The specified item is not supported for disenchant searches."
--[[Translation missing --]]
L["The specified item was not found."] = "The specified item was not found."
--[[Translation missing --]]
L["The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."] = "The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."
--[[Translation missing --]]
L["The unlearned filter was ignored because the CanIMogIt addon was not found."] = "The unlearned filter was ignored because the CanIMogIt addon was not found."
--[[Translation missing --]]
L["The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."] = "The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."
--[[Translation missing --]]
L["Themes"] = "Themes"
--[[Translation missing --]]
L["There is currently no profession open, so cannot create profession groups."] = "There is currently no profession open, so cannot create profession groups."
--[[Translation missing --]]
L["There is no Crafting operation applied to this item's TSM group (%s)."] = "There is no Crafting operation applied to this item's TSM group (%s)."
L["This is not a valid profile name. Profile names must be at least one character long and may not contain '@' characters."] = "Este no es un nombre de perfil válido. Los nombres de perfil tienen que tener ser al menos un carácter de longitud y no pueden tener '@'."
--[[Translation missing --]]
L["This item does not have a crafting cost. Check that all of its mats have mat prices."] = "This item does not have a crafting cost. Check that all of its mats have mat prices."
--[[Translation missing --]]
L["This item is not in a TSM group."] = "This item is not in a TSM group."
--[[Translation missing --]]
L["This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."] = "This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."
L["This looks like an exported operation and not a custom price."] = "Esto parece una operación exportada y no un precio personalizado."
--[[Translation missing --]]
L["This operation is applied to the base group which includes every item not in another group."] = "This operation is applied to the base group which includes every item not in another group."
--[[Translation missing --]]
L["This price is above your confirmation alert threshold."] = "This price is above your confirmation alert threshold."
--[[Translation missing --]]
L["This profession is not open."] = "This profession is not open."
--[[Translation missing --]]
L["This record belongs to another account and can only be deleted on that account."] = "This record belongs to another account and can only be deleted on that account."
--[[Translation missing --]]
L["This will permanently delete the '%s' profile."] = "This will permanently delete the '%s' profile."
--[[Translation missing --]]
L["This will reset all groups and operations (if not stored globally) to be wiped from '%s'."] = "This will reset all groups and operations (if not stored globally) to be wiped from '%s'."
--[[Translation missing --]]
L["Time"] = "Time"
--[[Translation missing --]]
L["Time Frame"] = "Time Frame"
--[[Translation missing --]]
L["Time to Craft:"] = "Time to Craft:"
--[[Translation missing --]]
L["Tinker"] = "Tinker"
--[[Translation missing --]]
L["To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."] = "To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."
--[[Translation missing --]]
L["Toggles the main TSM window"] = "Toggles the main TSM window"
--[[Translation missing --]]
L["Toggles the TSM Banking UI if either the bank or guild bank is currently open."] = "Toggles the TSM Banking UI if either the bank or guild bank is currently open."
--[[Translation missing --]]
L["Toggles the TSM Crafting UI."] = "Toggles the TSM Crafting UI."
--[[Translation missing --]]
L["Toggles the TSM Task List UI"] = "Toggles the TSM Task List UI"
--[[Translation missing --]]
L["Tooltip Options"] = "Tooltip Options"
--[[Translation missing --]]
L["Tooltip price format"] = "Tooltip price format"
--[[Translation missing --]]
L["Tooltip Settings"] = "Tooltip Settings"
--[[Translation missing --]]
L["Top Buyers"] = "Top Buyers"
--[[Translation missing --]]
L["Top Item"] = "Top Item"
--[[Translation missing --]]
L["TOP PURCHASE"] = "TOP PURCHASE"
--[[Translation missing --]]
L["TOP SALE"] = "TOP SALE"
--[[Translation missing --]]
L["Top Sellers"] = "Top Sellers"
L["Total"] = "Total"
--[[Translation missing --]]
L["Total Gold"] = "Total Gold"
--[[Translation missing --]]
L["Total Gold Collected: %s"] = "Total Gold Collected: %s"
--[[Translation missing --]]
L["Total Gold Earned"] = "Total Gold Earned"
--[[Translation missing --]]
L["Total Gold Spent"] = "Total Gold Spent"
--[[Translation missing --]]
L["Total Inventory Quantity"] = "Total Inventory Quantity"
--[[Translation missing --]]
L["Total Items"] = "Total Items"
--[[Translation missing --]]
L["Total Postage"] = "Total Postage"
--[[Translation missing --]]
L["Total Price"] = "Total Price"
--[[Translation missing --]]
L["Total Prices:"] = "Total Prices:"
--[[Translation missing --]]
L["Total Profit"] = "Total Profit"
L["Total Value"] = "Valor total"
--[[Translation missing --]]
L["Track Sales / Purchases via trade"] = "Track Sales / Purchases via trade"
--[[Translation missing --]]
L["Transform Value"] = "Transform Value"
--[[Translation missing --]]
L["Transform value"] = "Transform value"
--[[Translation missing --]]
L["Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."] = "Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."
--[[Translation missing --]]
L["TSM 4.10: What's new"] = "TSM 4.10: What's new"
--[[Translation missing --]]
L["TSM Accounting"] = "TSM Accounting"
--[[Translation missing --]]
L["TSM AuctionDB"] = "TSM AuctionDB"
--[[Translation missing --]]
L["TSM Auctioning"] = "TSM Auctioning"
--[[Translation missing --]]
L["TSM can automatically sync data between multiple WoW accounts."] = "TSM can automatically sync data between multiple WoW accounts."
--[[Translation missing --]]
L["TSM Crafting"] = "TSM Crafting"
--[[Translation missing --]]
L["TSM Desktop App Status (%s)"] = "TSM Desktop App Status (%s)"
--[[Translation missing --]]
L["TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"] = "TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"
--[[Translation missing --]]
L["TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."] = "TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."
--[[Translation missing --]]
L["TSM failed to scan some auctions. Please rerun the scan."] = "TSM failed to scan some auctions. Please rerun the scan."
--[[Translation missing --]]
L["TSM General Info"] = "TSM General Info"
--[[Translation missing --]]
L["TSM Groups"] = "TSM Groups"
--[[Translation missing --]]
L["TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."] = "TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."
--[[Translation missing --]]
L["TSM is missing important information from the TSM Desktop Application. Please ensure the TSM Desktop Application is running and is properly configured."] = "TSM is missing important information from the TSM Desktop Application. Please ensure the TSM Desktop Application is running and is properly configured."
--[[Translation missing --]]
L["TSM is not yet ready to establish a new sync connection. Please try again later."] = "TSM is not yet ready to establish a new sync connection. Please try again later."
--[[Translation missing --]]
L["TSM Shopping"] = "TSM Shopping"
--[[Translation missing --]]
L["TSM Sniper"] = "TSM Sniper"
--[[Translation missing --]]
L["TSM TASK LIST"] = "TSM TASK LIST"
L["TSM Version Info:"] = "TSM Versión Info:"
--[[Translation missing --]]
L["TSM will not undercut any players you add to your whitelist."] = "TSM will not undercut any players you add to your whitelist."
--[[Translation missing --]]
L["TSM_Accounting detected that you just traded %s %s in return for %s. Would you like Accounting to store a record of this trade?"] = "TSM_Accounting detected that you just traded %s %s in return for %s. Would you like Accounting to store a record of this trade?"
--[[Translation missing --]]
L["TSM4"] = "TSM4"
--[[Translation missing --]]
L["TUJ 14-Day Price"] = "TUJ 14-Day Price"
--[[Translation missing --]]
L["TUJ 3-Day Price"] = "TUJ 3-Day Price"
--[[Translation missing --]]
L["TUJ Global Mean"] = "TUJ Global Mean"
--[[Translation missing --]]
L["TUJ Global Median"] = "TUJ Global Median"
--[[Translation missing --]]
L["Type"] = "Type"
L["Unbalanced parentheses."] = "Paréntesis no balanceados."
--[[Translation missing --]]
L["Uncollected Only"] = "Uncollected Only"
--[[Translation missing --]]
L["Undercut amount"] = "Undercut amount"
--[[Translation missing --]]
L["Undercut by whitelisted player."] = "Undercut by whitelisted player."
--[[Translation missing --]]
L["Undercutting blacklisted player."] = "Undercutting blacklisted player."
--[[Translation missing --]]
L["Undercutting competition."] = "Undercutting competition."
L["Ungrouped Items"] = "Artículos sin grupo"
--[[Translation missing --]]
L["Ungrouped Items in Bags"] = "Ungrouped Items in Bags"
--[[Translation missing --]]
L["Unit Price"] = "Unit Price"
--[[Translation missing --]]
L["Unknown Item"] = "Unknown Item"
--[[Translation missing --]]
L["Unknown word (%s)."] = "Unknown word (%s)."
--[[Translation missing --]]
L["Unlock Column Width"] = "Unlock Column Width"
L["Unwrap Gift"] = "Abrir regalo"
L["Up"] = "Arriba"
L["Up to date"] = "A día de hoy"
--[[Translation missing --]]
L["Update existing macro"] = "Update existing macro"
L["Updating"] = "Actualizando"
--[[Translation missing --]]
L["Upgrades Only"] = "Upgrades Only"
--[[Translation missing --]]
L["Usable Only"] = "Usable Only"
--[[Translation missing --]]
L["Usage: /tsm price <Item Link> <Custom String>"] = "Usage: /tsm price <Item Link> <Custom String>"
--[[Translation missing --]]
L["Use the settings below to control which lines are shown in tooltips."] = "Use the settings below to control which lines are shown in tooltips."
--[[Translation missing --]]
L["Use this list to manage what cooldowns you'd like TSM to ignore from crafting."] = "Use this list to manage what cooldowns you'd like TSM to ignore from crafting."
--[[Translation missing --]]
L["Use this list to manage what items you'd like TSM to ignore from destroying."] = "Use this list to manage what items you'd like TSM to ignore from destroying."
--[[Translation missing --]]
L["Value"] = "Value"
--[[Translation missing --]]
L["Value must be between %d and %d."] = "Value must be between %d and %d."
--[[Translation missing --]]
L["Value Price Source"] = "Value Price Source"
--[[Translation missing --]]
L["Values"] = "Values"
--[[Translation missing --]]
L["Vendor"] = "Vendor"
--[[Translation missing --]]
L["Vendor Buy Price"] = "Vendor Buy Price"
--[[Translation missing --]]
L["Vendor buy price"] = "Vendor buy price"
--[[Translation missing --]]
L["Vendor Search"] = "Vendor Search"
--[[Translation missing --]]
L["Vendor Sell"] = "Vendor Sell"
--[[Translation missing --]]
L["Vendor Sell Price"] = "Vendor Sell Price"
--[[Translation missing --]]
L["Vendor sell price"] = "Vendor sell price"
--[[Translation missing --]]
L["Vendoring"] = "Vendoring"
--[[Translation missing --]]
L["Vendoring %s button"] = "Vendoring %s button"
--[[Translation missing --]]
L["Vendoring operation"] = "Vendoring operation"
--[[Translation missing --]]
L["Vendoring operations control selling to and buying from a vendor."] = "Vendoring operations control selling to and buying from a vendor."
--[[Translation missing --]]
L["Warehousing"] = "Warehousing"
--[[Translation missing --]]
L["Warehousing operation"] = "Warehousing operation"
--[[Translation missing --]]
L["Warehousing operations control moving in and out of the bank."] = "Warehousing operations control moving in and out of the bank."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group."] = "Warehousing will move a max of %d of each item in this group."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group."] = "Warehousing will move all of the items in this group."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["WARNING: The macro was too long, so was truncated to fit by WoW."] = "WARNING: The macro was too long, so was truncated to fit by WoW."
--[[Translation missing --]]
L["WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."] = "WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."
--[[Translation missing --]]
L["We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."] = "We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."
--[[Translation missing --]]
L["When above maximum:"] = "When above maximum:"
--[[Translation missing --]]
L["When below minimum:"] = "When below minimum:"
L["Whitelist"] = "Lista blanca"
--[[Translation missing --]]
L["Whitelisted characters"] = "Whitelisted characters"
--[[Translation missing --]]
L["Winamp"] = "Winamp"
--[[Translation missing --]]
L["Would send %s to %s"] = "Would send %s to %s"
--[[Translation missing --]]
L["Would send %s to %s with a COD of %s"] = "Would send %s to %s with a COD of %s"
--[[Translation missing --]]
L["WOW UI"] = "WOW UI"
--[[Translation missing --]]
L["You are not on one of the listed characters."] = "You are not on one of the listed characters."
--[[Translation missing --]]
L["You can clear old Accounting data below to keep things running smoothly."] = "You can clear old Accounting data below to keep things running smoothly."
--[[Translation missing --]]
L["You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"] = "You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"
--[[Translation missing --]]
L["You can use the export string below to share this group with others."] = "You can use the export string below to share this group with others."
L["You cannot use %s as part of this custom price."] = "No se puede utilizar %s como parte de este precio personalizado."
--[[Translation missing --]]
L["You cannot use %s within convert() as part of this custom price."] = "You cannot use %s within convert() as part of this custom price."
--[[Translation missing --]]
L["You do not need to add \"%s\", alts are whitelisted automatically."] = "You do not need to add \"%s\", alts are whitelisted automatically."
--[[Translation missing --]]
L["You don't know how to craft this item."] = "You don't know how to craft this item."
--[[Translation missing --]]
L["You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."] = "You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."
L["You must reload your UI for these settings to take effect. Reload now?"] = "Debes volver a cargar la interfaz de usuario para esta configuración surta efecto. ¿Actualizar ahora?"
L["You won an auction for %sx%d for %s"] = "Has ganado el artículo %sx%d en subasta por %s"
--[[Translation missing --]]
L["Your auction has not been undercut."] = "Your auction has not been undercut."
--[[Translation missing --]]
L["Your auction of %s expired"] = "Your auction of %s expired"
L["Your auction of %s has sold for %s!"] = "Tu subasta %s ha sido vendida por %s!"
--[[Translation missing --]]
L["Your Buyout"] = "Your Buyout"
--[[Translation missing --]]
L["Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"] = "Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"
--[[Translation missing --]]
L["Your default craft value method was invalid so it has been returned to the default. Details: %s"] = "Your default craft value method was invalid so it has been returned to the default. Details: %s"
--[[Translation missing --]]
L["Your max restock (%s) is invalid for %s."] = "Your max restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your min restock (%s) is invalid for %s."] = "Your min restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your restock quantity is invalid. It must be between %d and %s."] = "Your restock quantity is invalid. It must be between %d and %s."
--[[Translation missing --]]
L["Your task list is currently empty."] = "Your task list is currently empty."
L["You've been phased which has caused the AH to stop working due to a bug on Blizzard's end. Please close and reopen the AH and restart Sniper."] = "Has sido faseado, lo que ha causado que la AH deje de funcionar debido a un error por parte de Blizzard. Por favor, cierra y vuelve a abrir la AH y reinicia Sniper."
--[[Translation missing --]]
L["You've been undercut."] = "You've been undercut."
	elseif locale == "esMX" then
L = L or {}
L["%d |4Group:Groups; Selected (%d |4Item:Items;)"] = "%d |4Grupo:Grupos; Seleccionado (%d |4Artículo:Artículos;)"
L["%d auctions"] = "%d subastas"
--[[Translation missing --]]
L["%d Characters"] = "%d Characters"
--[[Translation missing --]]
L["%d Custom Sources"] = "%d Custom Sources"
--[[Translation missing --]]
L["%d Faction-Realms"] = "%d Faction-Realms"
--[[Translation missing --]]
L["%d groups"] = "%d groups"
L["%d Groups"] = "%d Grupos"
L["%d Groups Selected"] = "%d Grupos Seleccionados"
--[[Translation missing --]]
L["%d groups were created and %d items were added from the table."] = "%d groups were created and %d items were added from the table."
L["%d Guilds"] = "%d Hermandades"
L["%d Items"] = "%d Objetos"
L["%d of %d"] = "%d de %d"
L["%d Operations"] = "%d Operaciones"
L["%d Players"] = "%d Jugadores"
L["%d Posted Auctions"] = "%d Subastas publicadas"
--[[Translation missing --]]
L["%d Professions"] = "%d Professions"
--[[Translation missing --]]
L["%d Rarities"] = "%d Rarities"
--[[Translation missing --]]
L["%d Results"] = "%d Results"
--[[Translation missing --]]
L["%d Selected"] = "%d Selected"
L["%d Sold Auctions"] = "%d Subastas vendidas"
--[[Translation missing --]]
L["%d Sources"] = "%d Sources"
--[[Translation missing --]]
L["%d Sub-Groups"] = "%d Sub-Groups"
--[[Translation missing --]]
L["%d subgroups included"] = "%d subgroups included"
--[[Translation missing --]]
L["%d Types"] = "%d Types"
--[[Translation missing --]]
L["%s - %s has been reset to default values."] = "%s - %s has been reset to default values."
--[[Translation missing --]]
L["%s %s Operations"] = "%s %s Operations"
L["%s (%s bags, %s bank, %s AH, %s mail)"] = "%s (%s Bolsas, %s Banco, %s Casa de subastas, %s Correo)"
--[[Translation missing --]]
L["%s (%s player, %s alts, %s AH)"] = "%s (%s player, %s alts, %s AH)"
L["%s (%s player, %s alts, %s guild, %s AH)"] = "%s (%s Jugador, %s Alters, %s Hermandad, %s Casa de subastas)"
L["%s (%s profit)"] = "%s (%s ganancia)"
L["%s ago"] = "Hace %s"
L["%s Crafts"] = "%s Creaciones"
--[[Translation missing --]]
L["%s group is already up to date."] = "%s group is already up to date."
L["%s group updated with %d items and %d materials."] = "Grupo %s actualizado con %d objetos y %d materiales."
L["%s in guild vault"] = "%s en cámara de la Hermandad"
L["%s is a valid custom price but %s is an invalid item."] = "%s es un precio válido, pero %s no es un objeto válido."
L["%s is a valid custom price but did not give a value for %s."] = "%s es un precio válido pero no dio un valor para %s."
--[[Translation missing --]]
L["'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."] = "'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."
L["%s is not a valid custom price and gave the following error: %s"] = "%s no es un precio válido y dio el siguiente error: %s"
--[[Translation missing --]]
L["%s Items Bought"] = "%s Items Bought"
--[[Translation missing --]]
L["%s Items Cancelled"] = "%s Items Cancelled"
--[[Translation missing --]]
L["%s Items Expired"] = "%s Items Expired"
--[[Translation missing --]]
L["%s Items Resold"] = "%s Items Resold"
--[[Translation missing --]]
L["%s Items Selected"] = "%s Items Selected"
--[[Translation missing --]]
L["%s Items Sold"] = "%s Items Sold"
--[[Translation missing --]]
L["%s Items Total"] = "%s Items Total"
--[[Translation missing --]]
L["%s operation"] = "%s operation"
--[[Translation missing --]]
L["%s operations"] = "%s operations"
L["%s Operations"] = "%s Operaciones"
--[[Translation missing --]]
L["%s Posted Auctions"] = "%s Posted Auctions"
--[[Translation missing --]]
L["%s Posted Auctions (Filtered)"] = "%s Posted Auctions (Filtered)"
L["%s previously had the max number of operations, so removed %s."] = "%s anteriormente tenía el número máximo de operaciones, por lo que se eliminó %s."
L["%s removed."] = "%s eliminado."
L["%s sent you %s"] = "%s enviado a ti %s"
L["%s sent you %s and %s"] = "%s te envoi %s y %s"
L["%s sent you a COD of %s for %s"] = "%s le envió un COD de %s para %s"
L["%s sent you a message: %s"] = "%s te ha enviado un mensaje: %s"
--[[Translation missing --]]
L["%s Sold Auctions"] = "%s Sold Auctions"
--[[Translation missing --]]
L["%s Sold Auctions (Filtered)"] = "%s Sold Auctions (Filtered)"
--[[Translation missing --]]
L["%s Total"] = "%s Total"
L["%s total"] = "%s total"
--[[Translation missing --]]
L["%s Total Profit"] = "%s Total Profit"
L["%sDrag%s to move this button"] = "%sArrastra%s para mover este botón"
--[[Translation missing --]]
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."] = "%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."
--[[Translation missing --]]
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."] = "%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."
L["%sLeft-Click%s to open the main window"] = "%sClick Izquierdo%s para abrir la ventana principal"
--[[Translation missing --]]
L["%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."] = "%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."
--[[Translation missing --]]
L["(%d - %d)"] = "(%d - %d)"
L["(%d/500 Characters)"] = "(%d/500 Personajes)"
--[[Translation missing --]]
L["(minimum 0 - maximum %d)"] = "(minimum 0 - maximum %d)"
L["1 Group"] = "1 Grupo"
L["1 Item"] = "1 Objeto"
--[[Translation missing --]]
L["1D"] = "1D"
--[[Translation missing --]]
L["1M"] = "1M"
--[[Translation missing --]]
L["1W"] = "1W"
--[[Translation missing --]]
L["1Y"] = "1Y"
--[[Translation missing --]]
L["2Y"] = "2Y"
--[[Translation missing --]]
L["3M"] = "3M"
--[[Translation missing --]]
L["6M"] = "6M"
--[[Translation missing --]]
L["A brand new and improved user interface."] = "A brand new and improved user interface."
L["A custom price of %s for %s evaluates to %s."] = "Un precio personalizado de %s para %s se estima en %s."
L["A maximum of 1 convert() function is allowed."] = "Sólo se permite una única función convert()."
L["A profile with that name already exists on the target account. Rename it first and try again."] = "Ya existe un perfil con ese nombre en la cuenta. Puedes renombrarlo e intentar nuevamente."
L["A profile with this name already exists."] = "Ya existe un perfil con ese nombre."
L["A scan is already in progress. Please stop that scan before starting another one."] = "Un escaneo ya está en curso. Debes detenerlo para poder iniciar otro."
--[[Translation missing --]]
L["A single craft makes %d and you only need to restock %d."] = "A single craft makes %d and you only need to restock %d."
--[[Translation missing --]]
L["Above max expires."] = "Above max expires."
--[[Translation missing --]]
L["Above max price. Not posting."] = "Above max price. Not posting."
--[[Translation missing --]]
L["Above max price. Posting at max."] = "Above max price. Posting at max."
--[[Translation missing --]]
L["Above max price. Posting at min."] = "Above max price. Posting at min."
--[[Translation missing --]]
L["Above max price. Posting at normal."] = "Above max price. Posting at normal."
--[[Translation missing --]]
L["Accept COD?"] = "Accept COD?"
--[[Translation missing --]]
L["Accepting this item will cost: %s"] = "Accepting this item will cost: %s"
--[[Translation missing --]]
L["Account sync removed. Please delete the account sync from the other account as well."] = "Account sync removed. Please delete the account sync from the other account as well."
L["Account Syncing"] = "Sincronizar Cuentas"
--[[Translation missing --]]
L["Accounting"] = "Accounting"
L["Activity Type"] = "Tipo de Actividad"
--[[Translation missing --]]
L["Add"] = "Add"
--[[Translation missing --]]
L["Add %d |4Item:Items"] = "Add %d |4Item:Items"
--[[Translation missing --]]
L["Add %s Operation"] = "Add %s Operation"
--[[Translation missing --]]
L["Add a new custom source"] = "Add a new custom source"
--[[Translation missing --]]
L["Add account"] = "Add account"
--[[Translation missing --]]
L["Add More Operations"] = "Add More Operations"
--[[Translation missing --]]
L["Add Operation"] = "Add Operation"
--[[Translation missing --]]
L["Add operation to groups"] = "Add operation to groups"
--[[Translation missing --]]
L["Add subject & description (optional)"] = "Add subject & description (optional)"
--[[Translation missing --]]
L["Add Subject / Description"] = "Add Subject / Description"
--[[Translation missing --]]
L["Add to Mail"] = "Add to Mail"
--[[Translation missing --]]
L["Added '%s' profile which was received from %s."] = "Added '%s' profile which was received from %s."
--[[Translation missing --]]
L["Added %s to %s."] = "Added %s to %s."
L["Additional error suppressed"] = "Error Adicional Suprimido"
--[[Translation missing --]]
L["Adjust how crafted items are restocked."] = "Adjust how crafted items are restocked."
--[[Translation missing --]]
L["Adjust how items are mailed."] = "Adjust how items are mailed."
--[[Translation missing --]]
L["Adjust how TSM values crafted items when calculating profit."] = "Adjust how TSM values crafted items when calculating profit."
--[[Translation missing --]]
L["Adjust some general settings."] = "Adjust some general settings."
--[[Translation missing --]]
L["Adjust the settings below to set how groups attached to this operation will be auctioned."] = "Adjust the settings below to set how groups attached to this operation will be auctioned."
--[[Translation missing --]]
L["Adjust the settings below to set how groups attached to this operation will be cancelled."] = "Adjust the settings below to set how groups attached to this operation will be cancelled."
--[[Translation missing --]]
L["Adjust the settings below to set how groups attached to this operation will be priced."] = "Adjust the settings below to set how groups attached to this operation will be priced."
--[[Translation missing --]]
L["Advanced Item Search"] = "Advanced Item Search"
L["AH"] = "Casa de Subastas"
--[[Translation missing --]]
L["AH (Crafting)"] = "AH (Crafting)"
L["AH (Disenchanting)"] = "Casa de subastas (Desencantando)"
--[[Translation missing --]]
L["AH BUSY"] = "AH BUSY"
--[[Translation missing --]]
L["AHDB Minimum Bid"] = "AHDB Minimum Bid"
--[[Translation missing --]]
L["AHDB Minimum Buyout"] = "AHDB Minimum Buyout"
L["Alarm Clock"] = "Alarma"
--[[Translation missing --]]
L["All"] = "All"
L["All Auctions"] = "Todas las subastas"
--[[Translation missing --]]
L["All Bought"] = "All Bought"
--[[Translation missing --]]
L["All Cancelled"] = "All Cancelled"
--[[Translation missing --]]
L["All Characters"] = "All Characters"
--[[Translation missing --]]
L["All Expired"] = "All Expired"
--[[Translation missing --]]
L["All Faction-Realms"] = "All Faction-Realms"
--[[Translation missing --]]
L["All Guilds"] = "All Guilds"
--[[Translation missing --]]
L["All Item Classes"] = "All Item Classes"
--[[Translation missing --]]
L["All Other"] = "All Other"
--[[Translation missing --]]
L["All Players"] = "All Players"
L["All Professions"] = "Todas las profesiones"
--[[Translation missing --]]
L["All Rarites"] = "All Rarites"
--[[Translation missing --]]
L["All Rarities"] = "All Rarities"
--[[Translation missing --]]
L["All Selected"] = "All Selected"
--[[Translation missing --]]
L["All Slots"] = "All Slots"
--[[Translation missing --]]
L["All Sold"] = "All Sold"
--[[Translation missing --]]
L["All Sources"] = "All Sources"
--[[Translation missing --]]
L["All Subclasses"] = "All Subclasses"
--[[Translation missing --]]
L["All Time"] = "All Time"
--[[Translation missing --]]
L["All Types"] = "All Types"
--[[Translation missing --]]
L["Allow partial stack"] = "Allow partial stack"
--[[Translation missing --]]
L["Allows for testing of custom prices"] = "Allows for testing of custom prices"
--[[Translation missing --]]
L["ALT"] = "ALT"
--[[Translation missing --]]
L["Alt Guild Bank"] = "Alt Guild Bank"
--[[Translation missing --]]
L["Alts"] = "Alts"
--[[Translation missing --]]
L["Alts AH"] = "Alts AH"
--[[Translation missing --]]
L["Amount"] = "Amount"
--[[Translation missing --]]
L["Amount kept in bags"] = "Amount kept in bags"
--[[Translation missing --]]
L["Amount of bag space to keep free"] = "Amount of bag space to keep free"
--[[Translation missing --]]
L["An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."] = "An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."
--[[Translation missing --]]
L["App Not Synced"] = "App Not Synced"
--[[Translation missing --]]
L["App Synced %s Ago"] = "App Synced %s Ago"
--[[Translation missing --]]
L["Appearance"] = "Appearance"
--[[Translation missing --]]
L["Apply operation to group"] = "Apply operation to group"
--[[Translation missing --]]
L["Are you sure you want to clear old accounting data?"] = "Are you sure you want to clear old accounting data?"
--[[Translation missing --]]
L["Are you sure you want to delete the selected operations?"] = "Are you sure you want to delete the selected operations?"
L["Are you sure you want to delete this operation?"] = "¿Seguro que quieres eliminar esta operación?"
--[[Translation missing --]]
L["At above max price and not undercut."] = "At above max price and not undercut."
--[[Translation missing --]]
L["At normal price and not undercut."] = "At normal price and not undercut."
--[[Translation missing --]]
L["Attachments"] = "Attachments"
L["Auction"] = "Subasta"
--[[Translation missing --]]
L["Auction duration"] = "Auction duration"
--[[Translation missing --]]
L["Auction has been bid on."] = "Auction has been bid on."
--[[Translation missing --]]
L["Auction House Cut"] = "Auction House Cut"
--[[Translation missing --]]
L["Auction House Sounds"] = "Auction House Sounds"
--[[Translation missing --]]
L["Auction sale sound"] = "Auction sale sound"
L["Auction Window Close"] = "Cerrar Ventana de Subasta"
L["Auction Window Open"] = "Abrir Ventana de Subasta"
L["Auctionator - Auction Value"] = "Auctionator - Valor de la subasta"
--[[Translation missing --]]
L["AuctionDB"] = "AuctionDB"
--[[Translation missing --]]
L["AuctionDB - Historical Price (via TSM App)"] = "AuctionDB - Historical Price (via TSM App)"
L["AuctionDB - Market Value"] = "AuctionDB - Valor de mercado"
--[[Translation missing --]]
L["AuctionDB - Minimum Buyout"] = "AuctionDB - Minimum Buyout"
--[[Translation missing --]]
L["AuctionDB - Region Historical Price (via TSM App)"] = "AuctionDB - Region Historical Price (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Market Value Average (via TSM App)"] = "AuctionDB - Region Market Value Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Minimum Buyout Average (via TSM App)"] = "AuctionDB - Region Minimum Buyout Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sale Average (via TSM App)"] = "AuctionDB - Region Sale Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sale Rate (via TSM App)"] = "AuctionDB - Region Sale Rate (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sold Per Day (via TSM App)"] = "AuctionDB - Region Sold Per Day (via TSM App)"
--[[Translation missing --]]
L["AuctionDB Realm Data is %s Old"] = "AuctionDB Realm Data is %s Old"
--[[Translation missing --]]
L["AuctionDB Region Data is %s Old"] = "AuctionDB Region Data is %s Old"
L["Auctioneer - Appraiser"] = "Subastador - Valuador"
L["Auctioneer - Market Value"] = "Auctioneer - Valor de mercado"
L["Auctioneer - Minimum Buyout"] = "Subastador - Precio mínimo de compra"
--[[Translation missing --]]
L["Auctioning"] = "Auctioning"
--[[Translation missing --]]
L["Auctioning %s button"] = "Auctioning %s button"
--[[Translation missing --]]
L["Auctioning Details"] = "Auctioning Details"
--[[Translation missing --]]
L["Auctioning Log"] = "Auctioning Log"
--[[Translation missing --]]
L["Auctioning Operation"] = "Auctioning Operation"
--[[Translation missing --]]
L["Auctioning operation"] = "Auctioning operation"
--[[Translation missing --]]
L["Auctioning operations control posting to and canceling from the AH."] = "Auctioning operations control posting to and canceling from the AH."
L["Auctions"] = "Subastas"
L["Auto Quest Complete"] = "Auto misión Completa"
--[[Translation missing --]]
L["Auto-focus browse search input"] = "Auto-focus browse search input"
--[[Translation missing --]]
L["Average Earned per Day"] = "Average Earned per Day"
--[[Translation missing --]]
L["Average Prices:"] = "Average Prices:"
--[[Translation missing --]]
L["Average Profit per Day"] = "Average Profit per Day"
--[[Translation missing --]]
L["Average Spent per Day"] = "Average Spent per Day"
L["Avg Buy Price"] = "Precio medio de compra"
--[[Translation missing --]]
L["Avg Profit"] = "Avg Profit"
L["Avg Sell Price"] = "Precio medio de venta"
--[[Translation missing --]]
L["Back"] = "Back"
L["Bag"] = "Bolsa"
L["Bags"] = "Bolsas"
--[[Translation missing --]]
L["Banking"] = "Banking"
L["Banks"] = "Bancos"
L["Base Group"] = "Grupo Base"
L["Base Item"] = "Objeto Base"
--[[Translation missing --]]
L["BBG 14-Day Price"] = "BBG 14-Day Price"
--[[Translation missing --]]
L["BBG 3-Day Price"] = "BBG 3-Day Price"
--[[Translation missing --]]
L["BBG Global Mean"] = "BBG Global Mean"
--[[Translation missing --]]
L["BBG Global Median"] = "BBG Global Median"
--[[Translation missing --]]
L["Below is a list of all available price sources, along with a brief description of what they represent."] = "Below is a list of all available price sources, along with a brief description of what they represent."
--[[Translation missing --]]
L["Below min price. Posting at max."] = "Below min price. Posting at max."
--[[Translation missing --]]
L["Below min price. Posting at min."] = "Below min price. Posting at min."
--[[Translation missing --]]
L["Below min price. Posting at normal."] = "Below min price. Posting at normal."
--[[Translation missing --]]
L["Below you can ignore this operation on certain characters or realms."] = "Below you can ignore this operation on certain characters or realms."
--[[Translation missing --]]
L["Bid %d / %d"] = "Bid %d / %d"
--[[Translation missing --]]
L["Bid (item)"] = "Bid (item)"
--[[Translation missing --]]
L["Bid (stack)"] = "Bid (stack)"
--[[Translation missing --]]
L["Bid (total)"] = "Bid (total)"
--[[Translation missing --]]
L["Bid / Buyout"] = "Bid / Buyout"
--[[Translation missing --]]
L["Bid Auction"] = "Bid Auction"
--[[Translation missing --]]
L["Bid percent must be between 0 and 100."] = "Bid percent must be between 0 and 100."
--[[Translation missing --]]
L["Bid Price"] = "Bid Price"
--[[Translation missing --]]
L["Bid Sniper Paused"] = "Bid Sniper Paused"
--[[Translation missing --]]
L["Bid Sniper Running"] = "Bid Sniper Running"
--[[Translation missing --]]
L["Bidding Auction"] = "Bidding Auction"
--[[Translation missing --]]
L["Blacklisted players"] = "Blacklisted players"
--[[Translation missing --]]
L["Bought"] = "Bought"
--[[Translation missing --]]
L["Bought %d of %s from %s for %s"] = "Bought %d of %s from %s for %s"
--[[Translation missing --]]
L["Bought %sx%d for %s from %s"] = "Bought %sx%d for %s from %s"
--[[Translation missing --]]
L["Bound Actions"] = "Bound Actions"
--[[Translation missing --]]
L["Browse"] = "Browse"
--[[Translation missing --]]
L["Browse / Sniper"] = "Browse / Sniper"
--[[Translation missing --]]
L["BUSY"] = "BUSY"
--[[Translation missing --]]
L["BUY"] = "BUY"
--[[Translation missing --]]
L["Buy"] = "Buy"
--[[Translation missing --]]
L["Buy %d / %d"] = "Buy %d / %d"
--[[Translation missing --]]
L["Buy %d / %d (Confirming %d / %d)"] = "Buy %d / %d (Confirming %d / %d)"
--[[Translation missing --]]
L["Buy Auction"] = "Buy Auction"
--[[Translation missing --]]
L["Buy Commodity"] = "Buy Commodity"
--[[Translation missing --]]
L["Buy from AH"] = "Buy from AH"
--[[Translation missing --]]
L["Buy from AH (Crafting)"] = "Buy from AH (Crafting)"
--[[Translation missing --]]
L["Buy from AH (Disenchant)"] = "Buy from AH (Disenchant)"
L["Buy from Vendor"] = "Comprar al Vendedor"
--[[Translation missing --]]
L["Buy Groups"] = "Buy Groups"
--[[Translation missing --]]
L["Buy Options"] = "Buy Options"
--[[Translation missing --]]
L["Buyback All"] = "Buyback All"
--[[Translation missing --]]
L["Buyer/Seller"] = "Buyer/Seller"
--[[Translation missing --]]
L["Buyout"] = "Buyout"
--[[Translation missing --]]
L["Buyout (item)"] = "Buyout (item)"
--[[Translation missing --]]
L["Buyout (stack)"] = "Buyout (stack)"
--[[Translation missing --]]
L["Buyout (total)"] = "Buyout (total)"
--[[Translation missing --]]
L["Buyout confirmation alert"] = "Buyout confirmation alert"
--[[Translation missing --]]
L["Buyout Price"] = "Buyout Price"
L["Buyout Sniper Paused"] = "Sniper de Compras pausado"
L["Buyout Sniper Running"] = "Sniper de Compras corriendo"
--[[Translation missing --]]
L["Cancel"] = "Cancel"
--[[Translation missing --]]
L["Cancel %d / %d"] = "Cancel %d / %d"
--[[Translation missing --]]
L["Cancel Auction"] = "Cancel Auction"
--[[Translation missing --]]
L["Cancel auctions with bids"] = "Cancel auctions with bids"
--[[Translation missing --]]
L["Cancel or Post"] = "Cancel or Post"
L["Cancel Scan"] = "Cancelar escaneo"
--[[Translation missing --]]
L["Cancel to repost higher"] = "Cancel to repost higher"
--[[Translation missing --]]
L["Cancel undercut auctions"] = "Cancel undercut auctions"
--[[Translation missing --]]
L["Canceled information"] = "Canceled information"
L["Canceling"] = "Cancelación"
--[[Translation missing --]]
L["Canceling %d / %d"] = "Canceling %d / %d"
L["Canceling %d Auctions..."] = "Cancelando %d Subastas..."
--[[Translation missing --]]
L["Canceling auction you've undercut."] = "Canceling auction you've undercut."
--[[Translation missing --]]
L["Canceling disabled."] = "Canceling disabled."
--[[Translation missing --]]
L["Canceling Options"] = "Canceling Options"
--[[Translation missing --]]
L["Canceling to repost at higher price."] = "Canceling to repost at higher price."
--[[Translation missing --]]
L["Canceling to repost at reset price."] = "Canceling to repost at reset price."
--[[Translation missing --]]
L["Canceling to repost higher."] = "Canceling to repost higher."
--[[Translation missing --]]
L["Canceling undercut auctions and to repost higher."] = "Canceling undercut auctions and to repost higher."
--[[Translation missing --]]
L["Canceling undercut auctions."] = "Canceling undercut auctions."
L["Cancelled"] = "Cancelado"
--[[Translation missing --]]
L["Cancelled auction of %sx%d"] = "Cancelled auction of %sx%d"
--[[Translation missing --]]
L["Cancelled Since Last Sale"] = "Cancelled Since Last Sale"
--[[Translation missing --]]
L["Cancelled:"] = "Cancelled:"
--[[Translation missing --]]
L["Cancelling..."] = "Cancelling..."
--[[Translation missing --]]
L["Cannot repair from the guild bank!"] = "Cannot repair from the guild bank!"
--[[Translation missing --]]
L["Cannot use additional filters with /crafting or /disenchant."] = "Cannot use additional filters with /crafting or /disenchant."
L["Can't load TSM tooltip while in combat"] = "No se puede cargar la descripción emergente de TSM mientras se está en combate"
L["Cash Register"] = "Caja registradora"
--[[Translation missing --]]
L["Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"] = "Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"
L["Character"] = "Personaje"
L["Chat Tab"] = "Pestaña de Chat"
--[[Translation missing --]]
L["Cheapest auction below min price."] = "Cheapest auction below min price."
L["Clear All"] = "Borrar todo"
--[[Translation missing --]]
L["Clear Data"] = "Clear Data"
L["Clear Filters"] = "Limpiar Filtros"
--[[Translation missing --]]
L["Clear Old Data"] = "Clear Old Data"
--[[Translation missing --]]
L["Clear Old Data?"] = "Clear Old Data?"
--[[Translation missing --]]
L["Click and drag to resize this window."] = "Click and drag to resize this window."
--[[Translation missing --]]
L["Click to hide this item for the current session. Hold shift to hide this item permanently."] = "Click to hide this item for the current session. Hold shift to hide this item permanently."
--[[Translation missing --]]
L["COD"] = "COD"
L["Coins (%s)"] = "Monedas (%s)"
--[[Translation missing --]]
L["Combine Partial Stacks"] = "Combine Partial Stacks"
L["Combining..."] = "Combinando..."
--[[Translation missing --]]
L["Completed full AH scan (%d auctions)!"] = "Completed full AH scan (%d auctions)!"
L["Confirm"] = "Confirmar"
--[[Translation missing --]]
L["Confirm complete sound"] = "Confirm complete sound"
--[[Translation missing --]]
L["Confirmation %s button"] = "Confirmation %s button"
L["Confirming %d / %d"] = "Confirmando %d / %d"
L["Connected to %s"] = "Conectado a %s"
L["Connecting to %s"] = "Conectando a %s"
--[[Translation missing --]]
L["Contacts"] = "Contacts"
--[[Translation missing --]]
L["Contains auctions above your alert threshold!"] = "Contains auctions above your alert threshold!"
--[[Translation missing --]]
L["Cooldown"] = "Cooldown"
--[[Translation missing --]]
L["Cooldowns"] = "Cooldowns"
--[[Translation missing --]]
L["Copy Letter"] = "Copy Letter"
--[[Translation missing --]]
L["Cost"] = "Cost"
--[[Translation missing --]]
L["Could not create macro as you already have too many. Delete one of your existing macros and try again."] = "Could not create macro as you already have too many. Delete one of your existing macros and try again."
L["Could not find profile '%s'. Possible profiles: '%s'"] = "No se pudo encontrar el perfil '%s'. Posibles perfiles: '%s'"
--[[Translation missing --]]
L["Could not sell items due to not having free bag space available to split a stack of items."] = "Could not sell items due to not having free bag space available to split a stack of items."
--[[Translation missing --]]
L["Craft"] = "Craft"
--[[Translation missing --]]
L["CRAFT"] = "CRAFT"
--[[Translation missing --]]
L["Craft (Profitable)"] = "Craft (Profitable)"
--[[Translation missing --]]
L["Craft (Unprofitable)"] = "Craft (Unprofitable)"
--[[Translation missing --]]
L["Craft All"] = "Craft All"
--[[Translation missing --]]
L["Craft Next"] = "Craft Next"
--[[Translation missing --]]
L["Craft Value"] = "Craft Value"
--[[Translation missing --]]
L["Crafted Items"] = "Crafted Items"
--[[Translation missing --]]
L["Crafter"] = "Crafter"
--[[Translation missing --]]
L["Crafting"] = "Crafting"
--[[Translation missing --]]
L["CRAFTING"] = "CRAFTING"
--[[Translation missing --]]
L["Crafting %s button"] = "Crafting %s button"
--[[Translation missing --]]
L["Crafting cost"] = "Crafting cost"
--[[Translation missing --]]
L["Crafting Cost"] = "Crafting Cost"
--[[Translation missing --]]
L["Crafting List"] = "Crafting List"
--[[Translation missing --]]
L["Crafting Material Cost"] = "Crafting Material Cost"
--[[Translation missing --]]
L["Crafting Mode"] = "Crafting Mode"
--[[Translation missing --]]
L["Crafting operation"] = "Crafting operation"
--[[Translation missing --]]
L["Crafting operations control how queuing profession crafts."] = "Crafting operations control how queuing profession crafts."
--[[Translation missing --]]
L["Crafting Queue (%d)"] = "Crafting Queue (%d)"
--[[Translation missing --]]
L["Crafting Value"] = "Crafting Value"
--[[Translation missing --]]
L["Crafts"] = "Crafts"
--[[Translation missing --]]
L["Crafts %d"] = "Crafts %d"
--[[Translation missing --]]
L["Create Groups from Table"] = "Create Groups from Table"
--[[Translation missing --]]
L["Create macro"] = "Create macro"
--[[Translation missing --]]
L["Create New"] = "Create New"
--[[Translation missing --]]
L["Create New Group"] = "Create New Group"
L["Create New Operation"] = "Crear Nueva Operación"
--[[Translation missing --]]
L["Create new profile"] = "Create new profile"
--[[Translation missing --]]
L["Create Profession Groups"] = "Create Profession Groups"
--[[Translation missing --]]
L["CTRL"] = "CTRL"
--[[Translation missing --]]
L["Current Price"] = "Current Price"
--[[Translation missing --]]
L["Custom Price"] = "Custom Price"
--[[Translation missing --]]
L["Custom price name %s already exists."] = "Custom price name %s already exists."
--[[Translation missing --]]
L["Custom price name %s is a reserved word which cannot be used."] = "Custom price name %s is a reserved word which cannot be used."
--[[Translation missing --]]
L["Custom price names can only contain lowercase letters."] = "Custom price names can only contain lowercase letters."
--[[Translation missing --]]
L["Custom Source"] = "Custom Source"
--[[Translation missing --]]
L["Custom source (%s)"] = "Custom source (%s)"
--[[Translation missing --]]
L["Custom Sources"] = "Custom Sources"
--[[Translation missing --]]
L["Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."] = "Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."
--[[Translation missing --]]
L["DAILY PURCHASES"] = "DAILY PURCHASES"
--[[Translation missing --]]
L["DAILY SALES"] = "DAILY SALES"
--[[Translation missing --]]
L["Dalaran"] = "Dalaran"
--[[Translation missing --]]
L["Dashboard"] = "Dashboard"
--[[Translation missing --]]
L["Default craft value method"] = "Default craft value method"
--[[Translation missing --]]
L["Default material cost method"] = "Default material cost method"
--[[Translation missing --]]
L["Default Price"] = "Default Price"
--[[Translation missing --]]
L["Default price configuration"] = "Default price configuration"
--[[Translation missing --]]
L["Define what priority Gathering gives certain sources."] = "Define what priority Gathering gives certain sources."
--[[Translation missing --]]
L["Delete %d Operations"] = "Delete %d Operations"
--[[Translation missing --]]
L["Delete Group?"] = "Delete Group?"
--[[Translation missing --]]
L["Delete Operation?"] = "Delete Operation?"
--[[Translation missing --]]
L["Delete Operations"] = "Delete Operations"
--[[Translation missing --]]
L["Delete Operations?"] = "Delete Operations?"
--[[Translation missing --]]
L["Delete Profile?"] = "Delete Profile?"
--[[Translation missing --]]
L["Delete Record?"] = "Delete Record?"
--[[Translation missing --]]
L["Delete the profile"] = "Delete the profile"
--[[Translation missing --]]
L["Deleting this group (%s) will also remove any sub-groups attached to this group."] = "Deleting this group (%s) will also remove any sub-groups attached to this group."
--[[Translation missing --]]
L["Deposit"] = "Deposit"
--[[Translation missing --]]
L["Deposit Cost"] = "Deposit Cost"
--[[Translation missing --]]
L["Deposit reagents"] = "Deposit reagents"
--[[Translation missing --]]
L["Deselect All"] = "Deselect All"
--[[Translation missing --]]
L["Destroy Next"] = "Destroy Next"
L["Destroy Value"] = "Borrar Valor"
--[[Translation missing --]]
L["Destroy value"] = "Destroy value"
--[[Translation missing --]]
L["Destroy value source"] = "Destroy value source"
--[[Translation missing --]]
L["Destroying"] = "Destroying"
--[[Translation missing --]]
L["Destroying %s button"] = "Destroying %s button"
--[[Translation missing --]]
L["Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."] = "Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."
--[[Translation missing --]]
L["Destroying will ignore %s until you log out."] = "Destroying will ignore %s until you log out."
--[[Translation missing --]]
L["Destroying..."] = "Destroying..."
--[[Translation missing --]]
L["Detailed crafting cost"] = "Detailed crafting cost"
--[[Translation missing --]]
L["Detailed destroy information"] = "Detailed destroy information"
L["Details"] = "Detalles"
--[[Translation missing --]]
L["Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."] = "Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your maximum price (%s) is invalid. Check your settings."] = "Did not cancel %s because your maximum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your minimum price (%s) is invalid. Check your settings."] = "Did not cancel %s because your minimum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your normal price (%s) is invalid. Check your settings."] = "Did not cancel %s because your normal price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your undercut (%s) is invalid. Check your settings."] = "Did not cancel %s because your undercut (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not change prices due to an invalid bid or buyout value."] = "Did not change prices due to an invalid bid or buyout value."
--[[Translation missing --]]
L["Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."] = "Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."
--[[Translation missing --]]
L["Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."] = "Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."
--[[Translation missing --]]
L["Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."] = "Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."
--[[Translation missing --]]
L["Did not post %s because your keep quantity (%s) is invalid. Check your settings."] = "Did not post %s because your keep quantity (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your max expires (%s) is invalid. Check your settings."] = "Did not post %s because your max expires (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your maximum price (%s) is invalid. Check your settings."] = "Did not post %s because your maximum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not post %s because your minimum price (%s) is invalid. Check your settings."] = "Did not post %s because your minimum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your normal price (%s) is invalid. Check your settings."] = "Did not post %s because your normal price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not post %s because your post cap (%s) is invalid. Check your settings."] = "Did not post %s because your post cap (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your stack size (%s) is invalid. Check your settings."] = "Did not post %s because your stack size (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your undercut (%s) is invalid. Check your settings."] = "Did not post %s because your undercut (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Disable invalid price warnings"] = "Disable invalid price warnings"
--[[Translation missing --]]
L["Disenchant Search"] = "Disenchant Search"
--[[Translation missing --]]
L["Disenchant Search Options"] = "Disenchant Search Options"
--[[Translation missing --]]
L["Disenchant Value"] = "Disenchant Value"
--[[Translation missing --]]
L["Disenchant value"] = "Disenchant value"
--[[Translation missing --]]
L["Disenchanting Options"] = "Disenchanting Options"
--[[Translation missing --]]
L["Display total money received in chat"] = "Display total money received in chat"
--[[Translation missing --]]
L["Done Canceling"] = "Done Canceling"
--[[Translation missing --]]
L["Done Posting"] = "Done Posting"
--[[Translation missing --]]
L["Done rebuilding item cache."] = "Done rebuilding item cache."
--[[Translation missing --]]
L["Done Scanning"] = "Done Scanning"
--[[Translation missing --]]
L["Don't post after this many expires"] = "Don't post after this many expires"
--[[Translation missing --]]
L["Don't Post Items"] = "Don't Post Items"
--[[Translation missing --]]
L["Don't prompt to record trades"] = "Don't prompt to record trades"
--[[Translation missing --]]
L["Down"] = "Down"
--[[Translation missing --]]
L["Duplicate the profile"] = "Duplicate the profile"
--[[Translation missing --]]
L["Duration"] = "Duration"
--[[Translation missing --]]
L["Duskwood"] = "Duskwood"
--[[Translation missing --]]
L["Edit"] = "Edit"
--[[Translation missing --]]
L["Edit Custom Source"] = "Edit Custom Source"
--[[Translation missing --]]
L["Edit Material Price"] = "Edit Material Price"
--[[Translation missing --]]
L["Edit Post"] = "Edit Post"
--[[Translation missing --]]
L["Embed TSM tooltip"] = "Embed TSM tooltip"
--[[Translation missing --]]
L["Empty bags"] = "Empty bags"
L["Empty parentheses are not allowed"] = "Los paréntesis vacíos no están permitidos"
L["Empty price string."] = "Cadena de precio vacía."
--[[Translation missing --]]
L["Enable automatic stack combination"] = "Enable automatic stack combination"
--[[Translation missing --]]
L["Enable buying"] = "Enable buying"
--[[Translation missing --]]
L["Enable inbox chat messages"] = "Enable inbox chat messages"
--[[Translation missing --]]
L["Enable restock"] = "Enable restock"
--[[Translation missing --]]
L["Enable selling"] = "Enable selling"
--[[Translation missing --]]
L["Enable sending chat messages"] = "Enable sending chat messages"
--[[Translation missing --]]
L["Enable TSM tooltips"] = "Enable TSM tooltips"
--[[Translation missing --]]
L["Enchant"] = "Enchant"
--[[Translation missing --]]
L["Enchant Vellum"] = "Enchant Vellum"
--[[Translation missing --]]
L["Ensure both characters are online and try again."] = "Ensure both characters are online and try again."
--[[Translation missing --]]
L["Enter a value from %d - %d"] = "Enter a value from %d - %d"
--[[Translation missing --]]
L["Enter a value from %d - %d%%"] = "Enter a value from %d - %d%%"
--[[Translation missing --]]
L["Enter Filter"] = "Enter Filter"
--[[Translation missing --]]
L["Enter Keyword"] = "Enter Keyword"
--[[Translation missing --]]
L["Enter name of logged-in character on other account"] = "Enter name of logged-in character on other account"
--[[Translation missing --]]
L["Enter player name"] = "Enter player name"
--[[Translation missing --]]
L["Enter profile name"] = "Enter profile name"
--[[Translation missing --]]
L["Enter recipient name"] = "Enter recipient name"
--[[Translation missing --]]
L["ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."] = "ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."
--[[Translation missing --]]
L["ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."] = "ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."
--[[Translation missing --]]
L["ERROR: The auction house must be open in order to do a scan."] = "ERROR: The auction house must be open in order to do a scan."
L["Establishing connection to %s. Make sure that you've entered this character's name on the other account."] = "Estableciendo conexión a %s. Asegúrate de haber ingresado el nombre de este personaje en la otra cuenta."
--[[Translation missing --]]
L["Establishing connection..."] = "Establishing connection..."
--[[Translation missing --]]
L["Estimated Cost:"] = "Estimated Cost:"
--[[Translation missing --]]
L["Estimated deliver time"] = "Estimated deliver time"
--[[Translation missing --]]
L["Estimated Profit:"] = "Estimated Profit:"
--[[Translation missing --]]
L["Exact Match"] = "Exact Match"
--[[Translation missing --]]
L["Example"] = "Example"
--[[Translation missing --]]
L["Example Item"] = "Example Item"
--[[Translation missing --]]
L["Example Tooltip"] = "Example Tooltip"
--[[Translation missing --]]
L["Exclude custom sources?"] = "Exclude custom sources?"
--[[Translation missing --]]
L["Exclude operations?"] = "Exclude operations?"
--[[Translation missing --]]
L["Exit"] = "Exit"
--[[Translation missing --]]
L["Expand / Collapse All Groups"] = "Expand / Collapse All Groups"
L["Expenses"] = "Gastos"
L["EXPENSES"] = "GASTOS"
--[[Translation missing --]]
L["Expirations"] = "Expirations"
L["Expired"] = "Expirado"
--[[Translation missing --]]
L["Expired Auctions"] = "Expired Auctions"
--[[Translation missing --]]
L["Expired information"] = "Expired information"
--[[Translation missing --]]
L["Expired Since Last Sale"] = "Expired Since Last Sale"
--[[Translation missing --]]
L["Expires"] = "Expires"
--[[Translation missing --]]
L["Expires Since Last Sale"] = "Expires Since Last Sale"
--[[Translation missing --]]
L["Expiring Mails"] = "Expiring Mails"
L["Exploration"] = "Exploración"
L["Export"] = "Exportar"
--[[Translation missing --]]
L["Export String"] = "Export String"
--[[Translation missing --]]
L["Export this group"] = "Export this group"
L["Failed Auctions"] = "Subastas Fallidas"
--[[Translation missing --]]
L["Failed to bid on auction of %s (x%s) for %s."] = "Failed to bid on auction of %s (x%s) for %s."
--[[Translation missing --]]
L["Failed to bid on auction of %s."] = "Failed to bid on auction of %s."
--[[Translation missing --]]
L["Failed to buy auction of %s (x%s) for %s."] = "Failed to buy auction of %s (x%s) for %s."
--[[Translation missing --]]
L["Failed to buy auction of %s."] = "Failed to buy auction of %s."
--[[Translation missing --]]
L["Failed to buy auction."] = "Failed to buy auction."
--[[Translation missing --]]
L["Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."] = "Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."
--[[Translation missing --]]
L["Failed to find auction for %s, so removing it from the results."] = "Failed to find auction for %s, so removing it from the results."
--[[Translation missing --]]
L["Failed to post %sx%d as the item no longer exists in your bags."] = "Failed to post %sx%d as the item no longer exists in your bags."
--[[Translation missing --]]
L["Failed to run full AH scan."] = "Failed to run full AH scan."
--[[Translation missing --]]
L["Failed to send profile."] = "Failed to send profile."
--[[Translation missing --]]
L["Failed to send profile. Ensure both characters are online and try again."] = "Failed to send profile. Ensure both characters are online and try again."
--[[Translation missing --]]
L["Failed to start sniper. No groups have a Sniper operation applied."] = "Failed to start sniper. No groups have a Sniper operation applied."
--[[Translation missing --]]
L["Favorite Scans"] = "Favorite Scans"
--[[Translation missing --]]
L["Favorite Searches"] = "Favorite Searches"
--[[Translation missing --]]
L["Favorited Patterns"] = "Favorited Patterns"
--[[Translation missing --]]
L["Filter by duration"] = "Filter by duration"
--[[Translation missing --]]
L["Filter by groups"] = "Filter by groups"
--[[Translation missing --]]
L["Filter by keyword"] = "Filter by keyword"
L["Filter by Keyword"] = "Filtrar por Palabra clave"
--[[Translation missing --]]
L["Filter by Price Source"] = "Filter by Price Source"
--[[Translation missing --]]
L["Filter by Profession"] = "Filter by Profession"
L["Filter group item lists based on the following price source"] = "Filtrar las listas de grupos según la siguiente fuente de precios"
--[[Translation missing --]]
L["Finding Selected Auction"] = "Finding Selected Auction"
--[[Translation missing --]]
L["First Auctioning Operation Max Price"] = "First Auctioning Operation Max Price"
--[[Translation missing --]]
L["First Auctioning Operation Min Price"] = "First Auctioning Operation Min Price"
--[[Translation missing --]]
L["First Auctioning Operation Normal Price"] = "First Auctioning Operation Normal Price"
L["Fishing Reel In"] = "Pesca - recoger el sedal"
--[[Translation missing --]]
L["For more info, visit %s. For help, join us in Discord: %s."] = "For more info, visit %s. For help, join us in Discord: %s."
L["Forget Character"] = "Olvidar Personaje"
--[[Translation missing --]]
L["Found auction sound"] = "Found auction sound"
L["Friends"] = "Amigos"
L["From"] = "De"
--[[Translation missing --]]
L["Full inventory"] = "Full inventory"
--[[Translation missing --]]
L["Garrison"] = "Garrison"
--[[Translation missing --]]
L["Gathering"] = "Gathering"
--[[Translation missing --]]
L["Gathering Search"] = "Gathering Search"
--[[Translation missing --]]
L["Gathering Setup"] = "Gathering Setup"
L["General Options"] = "Opciones Generales"
--[[Translation missing --]]
L["General Settings"] = "General Settings"
--[[Translation missing --]]
L["Get from Bank"] = "Get from Bank"
--[[Translation missing --]]
L["Get from Guild Bank"] = "Get from Guild Bank"
--[[Translation missing --]]
L["Gets items from the bank or guild bank matching the item or partial text entered."] = "Gets items from the bank or guild bank matching the item or partial text entered."
L["Gold"] = "Oro"
--[[Translation missing --]]
L["Great Deals Search"] = "Great Deals Search"
--[[Translation missing --]]
L["Group already exists."] = "Group already exists."
L["Group Management"] = "Administrar Grupo"
--[[Translation missing --]]
L["Group name"] = "Group name"
--[[Translation missing --]]
L["Group Search"] = "Group Search"
L["Grouped Items"] = "Objetos en el grupo"
L["Groups"] = "Grupos"
--[[Translation missing --]]
L["Groups & Operations"] = "Groups & Operations"
--[[Translation missing --]]
L["Groups Using"] = "Groups Using"
L["Guild"] = "Hermandad"
L["Guild Bank"] = "Banco de Hermandad"
L["GVault"] = "Cámara Herm."
--[[Translation missing --]]
L["Have"] = "Have"
--[[Translation missing --]]
L["Have Mats"] = "Have Mats"
--[[Translation missing --]]
L["Have Skill Ups"] = "Have Skill Ups"
--[[Translation missing --]]
L["Here you can add/remove what groups this operation is attached to."] = "Here you can add/remove what groups this operation is attached to."
--[[Translation missing --]]
L["Hide auctions with bids"] = "Hide auctions with bids"
--[[Translation missing --]]
L["Hide Columns"] = "Hide Columns"
L["Hide minimap icon"] = "Ocultar icono en Minimapa"
--[[Translation missing --]]
L["Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."] = "Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."
--[[Translation missing --]]
L["Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."] = "Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."
--[[Translation missing --]]
L["HIGH"] = "HIGH"
--[[Translation missing --]]
L["High Bidder"] = "High Bidder"
L["Historical Price"] = "Precio Historico"
--[[Translation missing --]]
L["Historical price"] = "Historical price"
--[[Translation missing --]]
L["Hold ALT to repair from the guild bank."] = "Hold ALT to repair from the guild bank."
--[[Translation missing --]]
L["Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."] = "Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes"] = "Hold SHIFT to continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."
--[[Translation missing --]]
L["Hold shift to move the items to the parent group instead of removing them."] = "Hold shift to move the items to the parent group instead of removing them."
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes"] = "Hold SHIFT to not continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."
--[[Translation missing --]]
L["Hold SHIFT while dragging to scale the window instead."] = "Hold SHIFT while dragging to scale the window instead."
--[[Translation missing --]]
L["Hr"] = "Hr"
--[[Translation missing --]]
L["Hrs"] = "Hrs"
--[[Translation missing --]]
L["If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."] = "If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."
--[[Translation missing --]]
L["Ignore Auctions Below Min"] = "Ignore Auctions Below Min"
--[[Translation missing --]]
L["Ignore auctions by duration"] = "Ignore auctions by duration"
L["Ignore Characters"] = "Ignorar Personaje"
L["Ignore Guilds"] = "Ignorar Hermandades"
--[[Translation missing --]]
L["Ignore operation on characters"] = "Ignore operation on characters"
--[[Translation missing --]]
L["Ignore operation on faction-realms"] = "Ignore operation on faction-realms"
--[[Translation missing --]]
L["Ignore variations"] = "Ignore variations"
--[[Translation missing --]]
L["Ignored Cooldowns"] = "Ignored Cooldowns"
--[[Translation missing --]]
L["Ignored Items"] = "Ignored Items"
L["ilvl"] = "Nivel de objeto"
L["Import"] = "Importar"
--[[Translation missing --]]
L["Import group"] = "Import group"
--[[Translation missing --]]
L["Import Groups & Operations"] = "Import Groups & Operations"
--[[Translation missing --]]
L["Import String"] = "Import String"
--[[Translation missing --]]
L["Import Summary"] = "Import Summary"
--[[Translation missing --]]
L["Imported Group"] = "Imported Group"
--[[Translation missing --]]
L["Imported group (%s) with %d items, %d operations, and %d custom sources."] = "Imported group (%s) with %d items, %d operations, and %d custom sources."
--[[Translation missing --]]
L["Improved Import / Export."] = "Improved Import / Export."
--[[Translation missing --]]
L["Inbox Settings"] = "Inbox Settings"
--[[Translation missing --]]
L["Include operations?"] = "Include operations?"
--[[Translation missing --]]
L["Include soulbound items"] = "Include soulbound items"
L["Information"] = "Información"
--[[Translation missing --]]
L["Invalid custom price source for %s. %s"] = "Invalid custom price source for %s. %s"
L["Invalid custom price."] = "Precio personalizado no válido"
L["Invalid function."] = "Función inválida."
--[[Translation missing --]]
L["Invalid gold value."] = "Invalid gold value."
L["Invalid group name."] = "Nombre de grupo invalido."
L["Invalid item link."] = "Enlace de Objeto inválido."
--[[Translation missing --]]
L["Invalid numeric value."] = "Invalid numeric value."
L["Invalid operation name."] = "Nombre de operacion invalido."
L["Invalid operator at end of custom price."] = "Operador inválido al final del precio personalizado."
L["Invalid parameter to price source."] = "Parámetro no válido para la fuente de precio."
--[[Translation missing --]]
L["Invalid player name."] = "Invalid player name."
L["Invalid price source in convert."] = "Fuente de precio inválida en convertir."
--[[Translation missing --]]
L["Invalid price."] = "Invalid price."
--[[Translation missing --]]
L["Invalid Quantity"] = "Invalid Quantity"
--[[Translation missing --]]
L["Invalid search filter (%s)."] = "Invalid search filter (%s)."
--[[Translation missing --]]
L["Invalid search term."] = "Invalid search term."
--[[Translation missing --]]
L["Invalid search term. Cannot filter by price here."] = "Invalid search term. Cannot filter by price here."
--[[Translation missing --]]
L["Invalid seller data returned by server."] = "Invalid seller data returned by server."
--[[Translation missing --]]
L["Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."] = "Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."
L["Invalid word: '%s'"] = "Palabra inválida: '%s'"
L["Inventory"] = "Inventario"
--[[Translation missing --]]
L["Inventory / Gold Graph"] = "Inventory / Gold Graph"
--[[Translation missing --]]
L["Inventory Options"] = "Inventory Options"
--[[Translation missing --]]
L["It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."] = "It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."
--[[Translation missing --]]
L["It looks like you're trying to reference an old global price source which no longer exists."] = "It looks like you're trying to reference an old global price source which no longer exists."
L["Item"] = "Objeto"
--[[Translation missing --]]
L["Item Class"] = "Item Class"
--[[Translation missing --]]
L["Item Level"] = "Item Level"
--[[Translation missing --]]
L["Item Level Range"] = "Item Level Range"
L["Item links may only be used as parameters to price sources."] = "Los enlaces de objetos solo se pueden usar como parámetros para las fuentes de precios."
L["Item Name"] = "Nombre de Objeto"
--[[Translation missing --]]
L["Item Quality"] = "Item Quality"
--[[Translation missing --]]
L["Item Selection"] = "Item Selection"
--[[Translation missing --]]
L["Item Slot"] = "Item Slot"
--[[Translation missing --]]
L["Item Subclass"] = "Item Subclass"
--[[Translation missing --]]
L["Item Value"] = "Item Value"
--[[Translation missing --]]
L["Item/Group is invalid (see chat)."] = "Item/Group is invalid (see chat)."
L["Items"] = "Objetos"
--[[Translation missing --]]
L["Items Using"] = "Items Using"
--[[Translation missing --]]
L["Keep in bags quantity"] = "Keep in bags quantity"
--[[Translation missing --]]
L["Keep in bank quantity"] = "Keep in bank quantity"
--[[Translation missing --]]
L["Keep quantity"] = "Keep quantity"
--[[Translation missing --]]
L["Keep this amount"] = "Keep this amount"
--[[Translation missing --]]
L["Keeping %d."] = "Keeping %d."
--[[Translation missing --]]
L["Keeping undercut auctions posted."] = "Keeping undercut auctions posted."
L["Last 14 Days"] = "Ultimos 14 Dias"
L["Last 3 Days"] = "Ultimos 3 Dias"
L["Last 30 Days"] = "Ultimos 30 Dias"
L["Last 60 Days"] = "Ultimos 60 Dias"
L["Last 7 Days"] = "Ultimos 7 Dias"
--[[Translation missing --]]
L["Last Purchased"] = "Last Purchased"
L["Last Sold"] = "Última venta"
--[[Translation missing --]]
L["LEAST GROUPS"] = "LEAST GROUPS"
--[[Translation missing --]]
L["LEAST ITEMS"] = "LEAST ITEMS"
--[[Translation missing --]]
L["Ledger"] = "Ledger"
L["Level Up"] = "Subida de Nivel"
--[[Translation missing --]]
L["Limit"] = "Limit"
--[[Translation missing --]]
L["Link to Another Operation"] = "Link to Another Operation"
L["Loading..."] = "Cargando..."
--[[Translation missing --]]
L["Lock Column Width"] = "Lock Column Width"
--[[Translation missing --]]
L["Lock task list's background"] = "Lock task list's background"
L["Looks like TradeSkillMaster has encountered an error. Please help the author fix this error by following the instructions shown."] = "Parece que TradeSkillMaster ha encontrado un error. Por favor, ayuda el autor solucionar este error, siguiendo las instrucciones que se muestran."
L["Loop detected in the following custom price:"] = "bucle detectado en el siguiente precio personalizado:"
--[[Translation missing --]]
L["LOW"] = "LOW"
--[[Translation missing --]]
L["Lowest auction by whitelisted player."] = "Lowest auction by whitelisted player."
L["Macro created and scroll wheel bound!"] = "¡Macro creada y rueda de desplazamiento enlazada!"
L["Macro Setup"] = "Configuración de macro."
--[[Translation missing --]]
L["Macros"] = "Macros"
L["Mail"] = "Correo"
--[[Translation missing --]]
L["Mail Disenchantables"] = "Mail Disenchantables"
--[[Translation missing --]]
L["Mail disenchantables max quality"] = "Mail disenchantables max quality"
--[[Translation missing --]]
L["Mail Selected Groups"] = "Mail Selected Groups"
--[[Translation missing --]]
L["Mail Selected Groups (Auto Resend)"] = "Mail Selected Groups (Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run + Auto Resend)"] = "Mail Selected Groups (Dry Run + Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run)"] = "Mail Selected Groups (Dry Run)"
--[[Translation missing --]]
L["Mail to %s"] = "Mail to %s"
--[[Translation missing --]]
L["Mailing"] = "Mailing"
--[[Translation missing --]]
L["Mailing all to %s."] = "Mailing all to %s."
--[[Translation missing --]]
L["Mailing operation"] = "Mailing operation"
--[[Translation missing --]]
L["Mailing operations control mailing to other characters."] = "Mailing operations control mailing to other characters."
--[[Translation missing --]]
L["Mailing up to %d to %s."] = "Mailing up to %d to %s."
--[[Translation missing --]]
L["Make Cash On Delivery?"] = "Make Cash On Delivery?"
--[[Translation missing --]]
L["Make Operations Global?"] = "Make Operations Global?"
L["Management Options"] = "Opciones de Manejo"
--[[Translation missing --]]
L["Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."] = "Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."
L["Map Ping"] = "Ping en Mapa"
L["Market Value"] = "Valor del Mercado"
--[[Translation missing --]]
L["Market value"] = "Market value"
--[[Translation missing --]]
L["Market value price source"] = "Market value price source"
--[[Translation missing --]]
L["Market Value Price Source"] = "Market Value Price Source"
--[[Translation missing --]]
L["Mat cost"] = "Mat cost"
--[[Translation missing --]]
L["Mat Price"] = "Mat Price"
--[[Translation missing --]]
L["Match stack size"] = "Match stack size"
--[[Translation missing --]]
L["Match whitelisted players"] = "Match whitelisted players"
--[[Translation missing --]]
L["Material Cost"] = "Material Cost"
--[[Translation missing --]]
L["Material Price"] = "Material Price"
L["Materials"] = "Materiales"
--[[Translation missing --]]
L["Materials to Gather"] = "Materials to Gather"
--[[Translation missing --]]
L["Max"] = "Max"
--[[Translation missing --]]
L["Max Buy Price"] = "Max Buy Price"
--[[Translation missing --]]
L["Max destroy value (Enter '0c' to disable)"] = "Max destroy value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max expires to bank"] = "Max expires to bank"
--[[Translation missing --]]
L["Max market value (Enter '0c' to disable)"] = "Max market value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max Price"] = "Max Price"
--[[Translation missing --]]
L["Max quantity"] = "Max quantity"
--[[Translation missing --]]
L["Max restock quantity"] = "Max restock quantity"
--[[Translation missing --]]
L["Max Sell Price"] = "Max Sell Price"
--[[Translation missing --]]
L["Max Shopping Price"] = "Max Shopping Price"
--[[Translation missing --]]
L["Max shopping price"] = "Max shopping price"
--[[Translation missing --]]
L["Max sniper price"] = "Max sniper price"
--[[Translation missing --]]
L["Maximum amount already posted."] = "Maximum amount already posted."
--[[Translation missing --]]
L["Maximum auction price"] = "Maximum auction price"
--[[Translation missing --]]
L["Maximum disenchant level"] = "Maximum disenchant level"
--[[Translation missing --]]
L["Maximum disenchant quality"] = "Maximum disenchant quality"
--[[Translation missing --]]
L["Maximum disenchant search percent"] = "Maximum disenchant search percent"
--[[Translation missing --]]
L["Maximum price"] = "Maximum price"
--[[Translation missing --]]
L["Maximum Quantity to Buy"] = "Maximum Quantity to Buy"
--[[Translation missing --]]
L["Maximum restock quantity"] = "Maximum restock quantity"
--[[Translation missing --]]
L["Midnight"] = "Midnight"
--[[Translation missing --]]
L["Mill value"] = "Mill value"
--[[Translation missing --]]
L["Mill Value"] = "Mill Value"
L["Min"] = "Min"
--[[Translation missing --]]
L["Min 0 - Max 20"] = "Min 0 - Max 20"
--[[Translation missing --]]
L["Min 0.5 - Max 10"] = "Min 0.5 - Max 10"
--[[Translation missing --]]
L["Min Buy Price"] = "Min Buy Price"
--[[Translation missing --]]
L["Min Buyout"] = "Min Buyout"
--[[Translation missing --]]
L["Min buyout"] = "Min buyout"
--[[Translation missing --]]
L["Min number of expires"] = "Min number of expires"
--[[Translation missing --]]
L["Min profit amount"] = "Min profit amount"
--[[Translation missing --]]
L["Min restock quantity"] = "Min restock quantity"
--[[Translation missing --]]
L["Min Sell Price"] = "Min Sell Price"
--[[Translation missing --]]
L["Min/Normal/Max price"] = "Min/Normal/Max price"
--[[Translation missing --]]
L["Min/Normal/Max Prices"] = "Min/Normal/Max Prices"
--[[Translation missing --]]
L["Minimum disenchant level"] = "Minimum disenchant level"
--[[Translation missing --]]
L["Minimum price"] = "Minimum price"
--[[Translation missing --]]
L["Minimum Rarity"] = "Minimum Rarity"
L["Misplaced comma"] = "Coma fuera de lugar"
--[[Translation missing --]]
L["Missing Materials"] = "Missing Materials"
--[[Translation missing --]]
L["Missing operator between sets of parenthesis"] = "Missing operator between sets of parenthesis"
--[[Translation missing --]]
L["Modifiers"] = "Modifiers"
L["Money Frame Open"] = "Marco de dinero abierto"
--[[Translation missing --]]
L["Money Transfer"] = "Money Transfer"
--[[Translation missing --]]
L["MOST GROUPS"] = "MOST GROUPS"
--[[Translation missing --]]
L["MOST ITEMS"] = "MOST ITEMS"
L["MOVE"] = "MOVER"
--[[Translation missing --]]
L["Move %d |4Item:Items"] = "Move %d |4Item:Items"
--[[Translation missing --]]
L["Move %d already grouped items?"] = "Move %d already grouped items?"
--[[Translation missing --]]
L["Move all to Bags"] = "Move all to Bags"
--[[Translation missing --]]
L["Move Item"] = "Move Item"
--[[Translation missing --]]
L["Move Quantity Options"] = "Move Quantity Options"
--[[Translation missing --]]
L["Move to bags"] = "Move to bags"
--[[Translation missing --]]
L["Move to bank"] = "Move to bank"
--[[Translation missing --]]
L["Move to Parent Group"] = "Move to Parent Group"
--[[Translation missing --]]
L["MOVING"] = "MOVING"
--[[Translation missing --]]
L["Moving"] = "Moving"
--[[Translation missing --]]
L["Multiple Items"] = "Multiple Items"
--[[Translation missing --]]
L["Must be between %d and %s."] = "Must be between %d and %s."
--[[Translation missing --]]
L["My Auctions"] = "My Auctions"
--[[Translation missing --]]
L["My Auctions %s button"] = "My Auctions %s button"
--[[Translation missing --]]
L["Name"] = "Name"
--[[Translation missing --]]
L["NEED MATS"] = "NEED MATS"
--[[Translation missing --]]
L["New Base Group search."] = "New Base Group search."
L["New Group"] = "Nuevo grupo"
L["New Operation"] = "Nueva Operación"
--[[Translation missing --]]
L["New price sources."] = "New price sources."
--[[Translation missing --]]
L["News & Information"] = "News & Information"
--[[Translation missing --]]
L["No Attachments"] = "No Attachments"
--[[Translation missing --]]
L["No AuctionDB Realm Data"] = "No AuctionDB Realm Data"
--[[Translation missing --]]
L["No AuctionDB Region Data"] = "No AuctionDB Region Data"
--[[Translation missing --]]
L["No Characters"] = "No Characters"
--[[Translation missing --]]
L["No Crafts"] = "No Crafts"
--[[Translation missing --]]
L["No Faction-Realms"] = "No Faction-Realms"
--[[Translation missing --]]
L["No group selected"] = "No group selected"
--[[Translation missing --]]
L["No Guilds"] = "No Guilds"
--[[Translation missing --]]
L["No item specified. Usage: /tsm restock_help [ITEM_LINK]"] = "No item specified. Usage: /tsm restock_help [ITEM_LINK]"
--[[Translation missing --]]
L["NO ITEMS"] = "NO ITEMS"
--[[Translation missing --]]
L["No Materials to Gather"] = "No Materials to Gather"
L["No Operation Selected"] = "Selecciona una Operación"
--[[Translation missing --]]
L["No Players"] = "No Players"
--[[Translation missing --]]
L["No posting."] = "No posting."
--[[Translation missing --]]
L["No Profession Opened"] = "No Profession Opened"
--[[Translation missing --]]
L["No Profession Selected"] = "No Profession Selected"
--[[Translation missing --]]
L["No Professions"] = "No Professions"
L["No profile specified. Possible profiles: '%s'"] = "Sin perfil especificado. Posibles perfiles: '%s'"
--[[Translation missing --]]
L["No Rarities"] = "No Rarities"
--[[Translation missing --]]
L["No receipe selected"] = "No receipe selected"
--[[Translation missing --]]
L["No recent AuctionDB scan data found."] = "No recent AuctionDB scan data found."
L["No Sound"] = "Sin sonido"
--[[Translation missing --]]
L["No Sources"] = "No Sources"
--[[Translation missing --]]
L["No Types"] = "No Types"
--[[Translation missing --]]
L["No value was returned by the custom price for the specified item."] = "No value was returned by the custom price for the specified item."
L["None"] = "Ninguno"
L["None (Always Show)"] = "Ninguno (Mostrar siempre)"
L["None Selected"] = "Sin Seleccion"
--[[Translation missing --]]
L["Nongroup to bank"] = "Nongroup to bank"
--[[Translation missing --]]
L["Normal price"] = "Normal price"
--[[Translation missing --]]
L["Not canceling auction at reset price."] = "Not canceling auction at reset price."
--[[Translation missing --]]
L["Not canceling auction below min price."] = "Not canceling auction below min price."
--[[Translation missing --]]
L["Not canceling."] = "Not canceling."
--[[Translation missing --]]
L["Not Connected"] = "Not Connected"
--[[Translation missing --]]
L["Not enough items in bags."] = "Not enough items in bags."
--[[Translation missing --]]
L["Not Enough Money"] = "Not Enough Money"
--[[Translation missing --]]
L["Not enough money to cancel."] = "Not enough money to cancel."
--[[Translation missing --]]
L["NOT OPEN"] = "NOT OPEN"
--[[Translation missing --]]
L["Not Scanned"] = "Not Scanned"
--[[Translation missing --]]
L["NOTE: The import contained %d invalid items which were ignored."] = "NOTE: The import contained %d invalid items which were ignored."
--[[Translation missing --]]
L["NOTE: The import contained %d operations with at least one invalid setting which was reset."] = "NOTE: The import contained %d operations with at least one invalid setting which was reset."
--[[Translation missing --]]
L["Nothing to move."] = "Nothing to move."
--[[Translation missing --]]
L["Nothing to send."] = "Nothing to send."
--[[Translation missing --]]
L["Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."] = "Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."
L["NPC"] = "NPC"
--[[Translation missing --]]
L["Number Owned"] = "Number Owned"
L["Offline"] = "Desconectado"
--[[Translation missing --]]
L["On Cooldown"] = "On Cooldown"
--[[Translation missing --]]
L["Only show craftable"] = "Only show craftable"
--[[Translation missing --]]
L["Only show items with disenchant values above this price"] = "Only show items with disenchant values above this price"
--[[Translation missing --]]
L["Only show sold auctions"] = "Only show sold auctions"
L["OPEN"] = "ABRIR"
--[[Translation missing --]]
L["Open All Mail"] = "Open All Mail"
--[[Translation missing --]]
L["Open All Mail Without Money"] = "Open All Mail Without Money"
--[[Translation missing --]]
L["Open Mail"] = "Open Mail"
--[[Translation missing --]]
L["Open mail complete sound"] = "Open mail complete sound"
--[[Translation missing --]]
L["Open Mail Without Money"] = "Open Mail Without Money"
--[[Translation missing --]]
L["Open Task List"] = "Open Task List"
--[[Translation missing --]]
L["Opens the Destroying frame if there's stuff in your bags to be destroyed."] = "Opens the Destroying frame if there's stuff in your bags to be destroyed."
L["Operation"] = "Operacion"
L["Operations"] = "Operaciones"
--[[Translation missing --]]
L["Options specific to Sniper are below."] = "Options specific to Sniper are below."
--[[Translation missing --]]
L["Order Confirmation"] = "Order Confirmation"
--[[Translation missing --]]
L["Orgrimmar"] = "Orgrimmar"
--[[Translation missing --]]
L["Other"] = "Other"
--[[Translation missing --]]
L["Other Character"] = "Other Character"
--[[Translation missing --]]
L["Override default craft value"] = "Override default craft value"
--[[Translation missing --]]
L["Override Parent Operations"] = "Override Parent Operations"
L["Parent Items"] = "Objetos Padre"
--[[Translation missing --]]
L["Pausing Scan..."] = "Pausing Scan..."
L["Per Item"] = "Por Objeto"
--[[Translation missing --]]
L["Per Stack"] = "Per Stack"
--[[Translation missing --]]
L["Per-Character group selections."] = "Per-Character group selections."
--[[Translation missing --]]
L["Performing a dry-run of your Mailing operations for the selected groups."] = "Performing a dry-run of your Mailing operations for the selected groups."
--[[Translation missing --]]
L["Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."] = "Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."
L["Player Gold"] = "Oro del Personaje"
L["Player Invite Accept"] = "Aceptar invitación de jugador."
--[[Translation missing --]]
L["Post"] = "Post"
--[[Translation missing --]]
L["Post / Cancel"] = "Post / Cancel"
--[[Translation missing --]]
L["Post at Maximum Price"] = "Post at Maximum Price"
--[[Translation missing --]]
L["Post at Minimum Price"] = "Post at Minimum Price"
--[[Translation missing --]]
L["Post at Normal Price"] = "Post at Normal Price"
--[[Translation missing --]]
L["Post Auction"] = "Post Auction"
--[[Translation missing --]]
L["Post cap"] = "Post cap"
--[[Translation missing --]]
L["Post cap to bags"] = "Post cap to bags"
--[[Translation missing --]]
L["Post from Shopping Scan"] = "Post from Shopping Scan"
--[[Translation missing --]]
L["Post Items from Bags"] = "Post Items from Bags"
--[[Translation missing --]]
L["Post Quantity"] = "Post Quantity"
--[[Translation missing --]]
L["Post Scan"] = "Post Scan"
--[[Translation missing --]]
L["Post Selected"] = "Post Selected"
--[[Translation missing --]]
L["Postage"] = "Postage"
--[[Translation missing --]]
L["Posted at whitelisted player's price."] = "Posted at whitelisted player's price."
--[[Translation missing --]]
L["Posted:"] = "Posted:"
L["Posting"] = "Publicación"
--[[Translation missing --]]
L["Posting %d / %d"] = "Posting %d / %d"
--[[Translation missing --]]
L["Posting %d items for %s hours."] = "Posting %d items for %s hours."
--[[Translation missing --]]
L["Posting %d stack(s) of %d for %s hours."] = "Posting %d stack(s) of %d for %s hours."
--[[Translation missing --]]
L["Posting at normal price."] = "Posting at normal price."
--[[Translation missing --]]
L["Posting at whitelisted player's price."] = "Posting at whitelisted player's price."
--[[Translation missing --]]
L["Posting at your current price."] = "Posting at your current price."
--[[Translation missing --]]
L["Posting disabled."] = "Posting disabled."
--[[Translation missing --]]
L["Posting Options"] = "Posting Options"
--[[Translation missing --]]
L["Posting Price"] = "Posting Price"
--[[Translation missing --]]
L["Posts"] = "Posts"
--[[Translation missing --]]
L["Potential"] = "Potential"
--[[Translation missing --]]
L["Prepare Bid"] = "Prepare Bid"
--[[Translation missing --]]
L["Prepare Buy"] = "Prepare Buy"
--[[Translation missing --]]
L["Preparing..."] = "Preparing..."
--[[Translation missing --]]
L["Prevent closing the Auction House with the esc key"] = "Prevent closing the Auction House with the esc key"
--[[Translation missing --]]
L["Prints out the available price sources for use in custom prices"] = "Prints out the available price sources for use in custom prices"
--[[Translation missing --]]
L["Prints out the version numbers of all installed modules"] = "Prints out the version numbers of all installed modules"
--[[Translation missing --]]
L["Prints the slash command help listing"] = "Prints the slash command help listing"
--[[Translation missing --]]
L["Processing scan results..."] = "Processing scan results..."
--[[Translation missing --]]
L["Profession"] = "Profession"
--[[Translation missing --]]
L["Profession Info"] = "Profession Info"
--[[Translation missing --]]
L["Professions Used In"] = "Professions Used In"
L["Profile changed to '%s'."] = "Perfil cambiado a '%s'."
L["Profiles"] = "Perfiles"
--[[Translation missing --]]
L["Profit"] = "Profit"
L["PROFIT"] = "GANANCIA"
--[[Translation missing --]]
L["Profit (Total)"] = "Profit (Total)"
--[[Translation missing --]]
L["Prospect value"] = "Prospect value"
--[[Translation missing --]]
L["Prospect Value"] = "Prospect Value"
--[[Translation missing --]]
L["Purchase"] = "Purchase"
--[[Translation missing --]]
L["Purchase / Sale Info"] = "Purchase / Sale Info"
--[[Translation missing --]]
L["Purchase Data"] = "Purchase Data"
--[[Translation missing --]]
L["Purchase information"] = "Purchase information"
--[[Translation missing --]]
L["Purchase Item"] = "Purchase Item"
--[[Translation missing --]]
L["Purchased (Min/Avg/Max Price)"] = "Purchased (Min/Avg/Max Price)"
--[[Translation missing --]]
L["Purchased (Total Price)"] = "Purchased (Total Price)"
L["Purchases"] = "Compras"
--[[Translation missing --]]
L["Purchasing Auction"] = "Purchasing Auction"
--[[Translation missing --]]
L["Puts items matching the item or partial text entered into the bank or guild bank."] = "Puts items matching the item or partial text entered into the bank or guild bank."
--[[Translation missing --]]
L["Qty"] = "Qty"
--[[Translation missing --]]
L["Quantity"] = "Quantity"
--[[Translation missing --]]
L["Quantity Purchased:"] = "Quantity Purchased:"
--[[Translation missing --]]
L["Quantity Sold:"] = "Quantity Sold:"
--[[Translation missing --]]
L["Quantity to move"] = "Quantity to move"
L["Quest Added"] = "Misión Agregada"
L["Quest Completed"] = "Misión Completada"
L["Quest Objectives Complete"] = "Objetivos de misión completados."
--[[Translation missing --]]
L["Queue"] = "Queue"
--[[Translation missing --]]
L["Quickly mail all excess disenchantable items to a character"] = "Quickly mail all excess disenchantable items to a character"
--[[Translation missing --]]
L["Quickly mail all excess gold (limited to a certain amount) to a character"] = "Quickly mail all excess gold (limited to a certain amount) to a character"
L["Raid Warning"] = "Alerta de Banda"
L["Read More"] = "Seguir leyendo"
L["Ready Check"] = "Comprobación de listo"
--[[Translation missing --]]
L["Ready to Cancel"] = "Ready to Cancel"
--[[Translation missing --]]
L["Recent"] = "Recent"
--[[Translation missing --]]
L["Recent Scans"] = "Recent Scans"
--[[Translation missing --]]
L["Recent Searches"] = "Recent Searches"
--[[Translation missing --]]
L["Recipe Name"] = "Recipe Name"
--[[Translation missing --]]
L["Recipient"] = "Recipient"
--[[Translation missing --]]
L["Region avg daily sold"] = "Region avg daily sold"
--[[Translation missing --]]
L["Region Avg Daily Sold"] = "Region Avg Daily Sold"
--[[Translation missing --]]
L["Region Historical Price"] = "Region Historical Price"
--[[Translation missing --]]
L["Region historical price"] = "Region historical price"
--[[Translation missing --]]
L["Region market value"] = "Region market value"
--[[Translation missing --]]
L["Region Market Value Avg"] = "Region Market Value Avg"
--[[Translation missing --]]
L["Region Min Buyout Avg"] = "Region Min Buyout Avg"
--[[Translation missing --]]
L["Region min buyout avg"] = "Region min buyout avg"
--[[Translation missing --]]
L["Region sale avg"] = "Region sale avg"
--[[Translation missing --]]
L["Region Sale Avg"] = "Region Sale Avg"
L["Region Sale Rate"] = "Tasa de Venta Regional"
--[[Translation missing --]]
L["Region sale rate"] = "Region sale rate"
--[[Translation missing --]]
L["Reload"] = "Reload"
--[[Translation missing --]]
L["Reload UI (%02d)"] = "Reload UI (%02d)"
--[[Translation missing --]]
L["Reload UI (%d)"] = "Reload UI (%d)"
--[[Translation missing --]]
L["Remove"] = "Remove"
--[[Translation missing --]]
L["Remove %d |4Item:Items"] = "Remove %d |4Item:Items"
--[[Translation missing --]]
L["Remove Data Older Than (Days)"] = "Remove Data Older Than (Days)"
--[[Translation missing --]]
L["Remove this account sync and all synced data from this account"] = "Remove this account sync and all synced data from this account"
--[[Translation missing --]]
L["Removed a total of %s old records."] = "Removed a total of %s old records."
--[[Translation missing --]]
L["Removed custom price source (%s) which has an invalid name."] = "Removed custom price source (%s) which has an invalid name."
--[[Translation missing --]]
L["Rename"] = "Rename"
--[[Translation missing --]]
L["Rename Profile"] = "Rename Profile"
--[[Translation missing --]]
L["Rename Search"] = "Rename Search"
--[[Translation missing --]]
L["Rename the profile"] = "Rename the profile"
--[[Translation missing --]]
L["Rename this group"] = "Rename this group"
--[[Translation missing --]]
L["Repair"] = "Repair"
--[[Translation missing --]]
L["Repair Bill"] = "Repair Bill"
--[[Translation missing --]]
L["Repair from Guild Bank"] = "Repair from Guild Bank"
--[[Translation missing --]]
L["Replace %d existing operations and %d existing custom sources?"] = "Replace %d existing operations and %d existing custom sources?"
--[[Translation missing --]]
L["Replace %d existing operations?"] = "Replace %d existing operations?"
--[[Translation missing --]]
L["Reply"] = "Reply"
--[[Translation missing --]]
L["Report Spam"] = "Report Spam"
--[[Translation missing --]]
L["Reports"] = "Reports"
--[[Translation missing --]]
L["Repost threshold"] = "Repost threshold"
--[[Translation missing --]]
L["Required Level"] = "Required Level"
--[[Translation missing --]]
L["Required Level Range"] = "Required Level Range"
L["Resale"] = "Reventas"
--[[Translation missing --]]
L["Rescan"] = "Rescan"
--[[Translation missing --]]
L["Reset"] = "Reset"
--[[Translation missing --]]
L["Reset All Filters"] = "Reset All Filters"
--[[Translation missing --]]
L["Reset Filters"] = "Reset Filters"
--[[Translation missing --]]
L["Reset Operation?"] = "Reset Operation?"
--[[Translation missing --]]
L["Reset Profile?"] = "Reset Profile?"
--[[Translation missing --]]
L["Reset Table"] = "Reset Table"
--[[Translation missing --]]
L["Reset the current profile to default settings"] = "Reset the current profile to default settings"
--[[Translation missing --]]
L["Reset to Default"] = "Reset to Default"
--[[Translation missing --]]
L["Reset Zoom"] = "Reset Zoom"
--[[Translation missing --]]
L["Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."] = "Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."
--[[Translation missing --]]
L["Restart"] = "Restart"
--[[Translation missing --]]
L["Restart delay (minutes)"] = "Restart delay (minutes)"
--[[Translation missing --]]
L["Restock bags"] = "Restock bags"
--[[Translation missing --]]
L["Restock help for %s: %s"] = "Restock help for %s: %s"
--[[Translation missing --]]
L["Restock Options"] = "Restock Options"
--[[Translation missing --]]
L["Restock quantity"] = "Restock quantity"
--[[Translation missing --]]
L["Restock Selected Groups"] = "Restock Selected Groups"
--[[Translation missing --]]
L["Restock target to max quantity"] = "Restock target to max quantity"
--[[Translation missing --]]
L["Restocking to %d."] = "Restocking to %d."
--[[Translation missing --]]
L["Restocking with a min profit."] = "Restocking with a min profit."
--[[Translation missing --]]
L["Restocking with no min profit."] = "Restocking with no min profit."
--[[Translation missing --]]
L["Restore bags"] = "Restore bags"
--[[Translation missing --]]
L["Resuming Scan..."] = "Resuming Scan..."
--[[Translation missing --]]
L["Retrying %d auction(s) which failed."] = "Retrying %d auction(s) which failed."
L["Revenue"] = "Ingresos"
--[[Translation missing --]]
L["Right-Click to reset the window size, scale, and position to their defaults."] = "Right-Click to reset the window size, scale, and position to their defaults."
--[[Translation missing --]]
L["Run Advanced Item Search"] = "Run Advanced Item Search"
--[[Translation missing --]]
L["Run Bid Sniper"] = "Run Bid Sniper"
--[[Translation missing --]]
L["Run Buyout Sniper"] = "Run Buyout Sniper"
--[[Translation missing --]]
L["Run Cancel Scan"] = "Run Cancel Scan"
--[[Translation missing --]]
L["Run Post Scan"] = "Run Post Scan"
--[[Translation missing --]]
L["Run Shopping Scan"] = "Run Shopping Scan"
--[[Translation missing --]]
L["Running Sniper Scan"] = "Running Sniper Scan"
--[[Translation missing --]]
L["Sale"] = "Sale"
--[[Translation missing --]]
L["Sale Data"] = "Sale Data"
--[[Translation missing --]]
L["Sale information"] = "Sale information"
--[[Translation missing --]]
L["Sale Price"] = "Sale Price"
L["Sale Rate"] = "Tasa de Venta"
--[[Translation missing --]]
L["Sale rate"] = "Sale rate"
L["Sales"] = "Ventas"
L["SALES"] = "VENTAS"
--[[Translation missing --]]
L["Save"] = "Save"
--[[Translation missing --]]
L["Scan"] = "Scan"
--[[Translation missing --]]
L["SCAN ALL"] = "SCAN ALL"
--[[Translation missing --]]
L["Scan complete sound"] = "Scan complete sound"
--[[Translation missing --]]
L["Scan Paused"] = "Scan Paused"
--[[Translation missing --]]
L["Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."] = "Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."
--[[Translation missing --]]
L["Scanning"] = "Scanning"
--[[Translation missing --]]
L["SCANNING"] = "SCANNING"
--[[Translation missing --]]
L["Scanning (%d Items)"] = "Scanning (%d Items)"
--[[Translation missing --]]
L["Scroll wheel direction"] = "Scroll wheel direction"
--[[Translation missing --]]
L["Scroll Wheel Options"] = "Scroll Wheel Options"
--[[Translation missing --]]
L["Search"] = "Search"
--[[Translation missing --]]
L["Search %s operations"] = "Search %s operations"
--[[Translation missing --]]
L["Search Bags"] = "Search Bags"
L["Search Groups"] = "Buscar en Grupos"
--[[Translation missing --]]
L["Search items"] = "Search items"
--[[Translation missing --]]
L["Search items in group"] = "Search items in group"
--[[Translation missing --]]
L["Search items in mailbox"] = "Search items in mailbox"
L["Search Operations"] = "Buscar Operaciones"
--[[Translation missing --]]
L["Search Patterns"] = "Search Patterns"
--[[Translation missing --]]
L["Search Results"] = "Search Results"
--[[Translation missing --]]
L["Search the auction house"] = "Search the auction house"
--[[Translation missing --]]
L["Search Vendor"] = "Search Vendor"
--[[Translation missing --]]
L["Select / Deselect All Groups"] = "Select / Deselect All Groups"
--[[Translation missing --]]
L["Select / Deselect All Items"] = "Select / Deselect All Items"
--[[Translation missing --]]
L["Select / Deselect All Results"] = "Select / Deselect All Results"
--[[Translation missing --]]
L["Select a Source"] = "Select a Source"
--[[Translation missing --]]
L["Select Action"] = "Select Action"
--[[Translation missing --]]
L["Select All"] = "Select All"
--[[Translation missing --]]
L["Select an Auction to Buy"] = "Select an Auction to Buy"
--[[Translation missing --]]
L["Select Auction to Cancel"] = "Select Auction to Cancel"
--[[Translation missing --]]
L["Select crafter"] = "Select crafter"
--[[Translation missing --]]
L["Select Group"] = "Select Group"
--[[Translation missing --]]
L["Select included subgroups"] = "Select included subgroups"
--[[Translation missing --]]
L["Select Items to Attach"] = "Select Items to Attach"
--[[Translation missing --]]
L["Select professions"] = "Select professions"
--[[Translation missing --]]
L["Sell"] = "Sell"
--[[Translation missing --]]
L["Sell All"] = "Sell All"
--[[Translation missing --]]
L["Sell BoEs"] = "Sell BoEs"
--[[Translation missing --]]
L["Sell Groups"] = "Sell Groups"
--[[Translation missing --]]
L["Sell Options"] = "Sell Options"
--[[Translation missing --]]
L["Sell soulbound items"] = "Sell soulbound items"
L["Sell to Vendor"] = "Vender al vendedor"
--[[Translation missing --]]
L["Sell Trash"] = "Sell Trash"
--[[Translation missing --]]
L["Seller"] = "Seller"
--[[Translation missing --]]
L["Selling soulbound items."] = "Selling soulbound items."
--[[Translation missing --]]
L["Send"] = "Send"
--[[Translation missing --]]
L["Send Disenchantables"] = "Send Disenchantables"
--[[Translation missing --]]
L["Send Excess Gold to Banker"] = "Send Excess Gold to Banker"
--[[Translation missing --]]
L["Send Gold"] = "Send Gold"
--[[Translation missing --]]
L["Send grouped items individually"] = "Send grouped items individually"
--[[Translation missing --]]
L["Send Mail"] = "Send Mail"
--[[Translation missing --]]
L["Send Money"] = "Send Money"
--[[Translation missing --]]
L["Send your active profile to this synced account"] = "Send your active profile to this synced account"
--[[Translation missing --]]
L["Sender"] = "Sender"
--[[Translation missing --]]
L["SENDING"] = "SENDING"
--[[Translation missing --]]
L["Sending %s to %s"] = "Sending %s to %s"
--[[Translation missing --]]
L["Sending %s to %s with a COD of %s"] = "Sending %s to %s with a COD of %s"
--[[Translation missing --]]
L["Sending Settings"] = "Sending Settings"
--[[Translation missing --]]
L["Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"] = "Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"
--[[Translation missing --]]
L["Sending..."] = "Sending..."
--[[Translation missing --]]
L["Set bid as percentage of buyout"] = "Set bid as percentage of buyout"
--[[Translation missing --]]
L["Set how items are moved out of the bank."] = "Set how items are moved out of the bank."
--[[Translation missing --]]
L["Set how items are restocked from the bank."] = "Set how items are restocked from the bank."
--[[Translation missing --]]
L["Set keep in bags quantity"] = "Set keep in bags quantity"
--[[Translation missing --]]
L["Set keep in bank quantity"] = "Set keep in bank quantity"
--[[Translation missing --]]
L["Set max quantity"] = "Set max quantity"
--[[Translation missing --]]
L["Set min profit"] = "Set min profit"
--[[Translation missing --]]
L["Set move quantity"] = "Set move quantity"
--[[Translation missing --]]
L["Set stack size"] = "Set stack size"
--[[Translation missing --]]
L["Set stack size for restock"] = "Set stack size for restock"
--[[Translation missing --]]
L["Set what is bought from a vendor."] = "Set what is bought from a vendor."
--[[Translation missing --]]
L["Set what is sold to a vendor."] = "Set what is sold to a vendor."
--[[Translation missing --]]
L["Set what items are shown during a Shopping scan."] = "Set what items are shown during a Shopping scan."
--[[Translation missing --]]
L["Set what items are shown during a Sniper scan."] = "Set what items are shown during a Sniper scan."
--[[Translation missing --]]
L["Set your active profile or create a new one."] = "Set your active profile or create a new one."
--[[Translation missing --]]
L["Settings"] = "Settings"
--[[Translation missing --]]
L["Setup various sounds that play when doing Auctioning scans."] = "Setup various sounds that play when doing Auctioning scans."
--[[Translation missing --]]
L["SHIFT"] = "SHIFT"
--[[Translation missing --]]
L["Shopping"] = "Shopping"
--[[Translation missing --]]
L["Shopping %s button"] = "Shopping %s button"
--[[Translation missing --]]
L["Shopping for auctions including those above the max price."] = "Shopping for auctions including those above the max price."
--[[Translation missing --]]
L["Shopping for auctions with a max price set."] = "Shopping for auctions with a max price set."
--[[Translation missing --]]
L["Shopping operation"] = "Shopping operation"
--[[Translation missing --]]
L["Shopping Operation Max Price"] = "Shopping Operation Max Price"
--[[Translation missing --]]
L["Shopping operations control buyout from the AH."] = "Shopping operations control buyout from the AH."
--[[Translation missing --]]
L["Shortfall to bags"] = "Shortfall to bags"
--[[Translation missing --]]
L["Show auctions above max price"] = "Show auctions above max price"
--[[Translation missing --]]
L["Show confirmation alert if buyout is above the alert price"] = "Show confirmation alert if buyout is above the alert price"
--[[Translation missing --]]
L["Show destroying frame automatically"] = "Show destroying frame automatically"
--[[Translation missing --]]
L["Show on modifier"] = "Show on modifier"
--[[Translation missing --]]
L["Show only auctions with bids"] = "Show only auctions with bids"
--[[Translation missing --]]
L["Showing %s Mail"] = "Showing %s Mail"
--[[Translation missing --]]
L["Showing %s of %d Mail"] = "Showing %s of %d Mail"
--[[Translation missing --]]
L["Showing %s of %d Mails"] = "Showing %s of %d Mails"
--[[Translation missing --]]
L["Showing all %s Mails"] = "Showing all %s Mails"
--[[Translation missing --]]
L["Simple inventory"] = "Simple inventory"
--[[Translation missing --]]
L["Skip"] = "Skip"
--[[Translation missing --]]
L["Skipped:"] = "Skipped:"
--[[Translation missing --]]
L["Skipped: No assigned operation"] = "Skipped: No assigned operation"
L["Slash Commands:"] = "Comandos de Diagonal:"
--[[Translation missing --]]
L["Smart Avg Buy Price"] = "Smart Avg Buy Price"
--[[Translation missing --]]
L["Sniper"] = "Sniper"
--[[Translation missing --]]
L["Sniper %s button"] = "Sniper %s button"
--[[Translation missing --]]
L["Sniper Below Price"] = "Sniper Below Price"
--[[Translation missing --]]
L["Sniper operation"] = "Sniper operation"
--[[Translation missing --]]
L["Sniper Operation Below Price"] = "Sniper Operation Below Price"
--[[Translation missing --]]
L["Sniper operations control sniping from the AH."] = "Sniper operations control sniping from the AH."
--[[Translation missing --]]
L["Sniper Options"] = "Sniper Options"
--[[Translation missing --]]
L["Sniping items below a max price"] = "Sniping items below a max price"
--[[Translation missing --]]
L["Sold"] = "Sold"
--[[Translation missing --]]
L["Sold %d of %s to %s for %s"] = "Sold %d of %s to %s for %s"
--[[Translation missing --]]
L["Sold %s worth of items."] = "Sold %s worth of items."
L["Sold (Min/Avg/Max Price)"] = "Vendido (Min/Prom/Precio Max)"
--[[Translation missing --]]
L["Sold (Total Price)"] = "Sold (Total Price)"
--[[Translation missing --]]
L["Sold [%s]x%d for %s to %s"] = "Sold [%s]x%d for %s to %s"
--[[Translation missing --]]
L["Sold for:"] = "Sold for:"
--[[Translation missing --]]
L["Some general Accounting options are below."] = "Some general Accounting options are below."
--[[Translation missing --]]
L["Some general appearance options are below."] = "Some general appearance options are below."
--[[Translation missing --]]
L["Some general Auctioning options are below."] = "Some general Auctioning options are below."
--[[Translation missing --]]
L["Some general Browse/Sniper options are below."] = "Some general Browse/Sniper options are below."
--[[Translation missing --]]
L["Some general options for the TSM tooltip information are below."] = "Some general options for the TSM tooltip information are below."
--[[Translation missing --]]
L["Some general TSM options are below."] = "Some general TSM options are below."
--[[Translation missing --]]
L["Some options for the Disenchant Search are below."] = "Some options for the Disenchant Search are below."
--[[Translation missing --]]
L["Source"] = "Source"
--[[Translation missing --]]
L["SOURCE %d"] = "SOURCE %d"
L["Sources"] = "Fuentes"
--[[Translation missing --]]
L["Sources to include for restock"] = "Sources to include for restock"
--[[Translation missing --]]
L["Stack"] = "Stack"
--[[Translation missing --]]
L["Stack / Quantity"] = "Stack / Quantity"
--[[Translation missing --]]
L["Stack size"] = "Stack size"
--[[Translation missing --]]
L["Stack size multiple"] = "Stack size multiple"
--[[Translation missing --]]
L["Stack(s)"] = "Stack(s)"
--[[Translation missing --]]
L["Start either a 'Buyout' or 'Bid' sniper using the buttons above."] = "Start either a 'Buyout' or 'Bid' sniper using the buttons above."
--[[Translation missing --]]
L["Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."] = "Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."
--[[Translation missing --]]
L["Starting Scan..."] = "Starting Scan..."
L["Store operations globally"] = "Almacenar operaciones globalmente"
--[[Translation missing --]]
L["Stormwind"] = "Stormwind"
--[[Translation missing --]]
L["String"] = "String"
--[[Translation missing --]]
L["Subject"] = "Subject"
--[[Translation missing --]]
L["Subject & Description added"] = "Subject & Description added"
--[[Translation missing --]]
L["Successfully sent your '%s' profile to %s!"] = "Successfully sent your '%s' profile to %s!"
--[[Translation missing --]]
L["Supported range: %d - %d"] = "Supported range: %d - %d"
--[[Translation missing --]]
L["Supported value range: %d - %d"] = "Supported value range: %d - %d"
--[[Translation missing --]]
L["Swamp of Sorrows"] = "Swamp of Sorrows"
--[[Translation missing --]]
L["Switch to %s"] = "Switch to %s"
L["Sync Setup Error: The specified player on the other account is not currently online."] = "Error de configuración de sincronización: el jugador especificado en la otra cuenta no está en línea."
L["Sync Setup Error: This character is already part of a known account."] = "Error de configuración de sincronización: este personaje ya es parte de una cuenta enlazada."
L["Sync Setup Error: You entered the name of the current character and not the character on the other account."] = "Error de configuración de sincronización: ingresó el nombre del personaje actual y no el personaje de la otra cuenta."
--[[Translation missing --]]
L["Sync Status"] = "Sync Status"
--[[Translation missing --]]
L["Target character"] = "Target character"
--[[Translation missing --]]
L["Target shortfall to bags"] = "Target shortfall to bags"
--[[Translation missing --]]
L["Tasks Added to Task List"] = "Tasks Added to Task List"
--[[Translation missing --]]
L["Tells you why a specific item is not being restocked and added to the queue."] = "Tells you why a specific item is not being restocked and added to the queue."
L["Text (%s)"] = "Texto (%s)"
--[[Translation missing --]]
L["The '%s' custom price source is invalid."] = "The '%s' custom price source is invalid."
--[[Translation missing --]]
L["The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."] = "The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."
--[[Translation missing --]]
L["The buyout price for %s would be above the maximum allowed price. Skipping this item."] = "The buyout price for %s would be above the maximum allowed price. Skipping this item."
--[[Translation missing --]]
L["The canlearn filter was ignored because the CanIMogIt addon was not found."] = "The canlearn filter was ignored because the CanIMogIt addon was not found."
--[[Translation missing --]]
L["The 'Craft Value Method' did not return a value for this item."] = "The 'Craft Value Method' did not return a value for this item."
--[[Translation missing --]]
L["The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."] = "The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."
--[[Translation missing --]]
L["The max quantity cannot be zero."] = "The max quantity cannot be zero."
--[[Translation missing --]]
L["The min profit did not evalulate to a valid value for this item."] = "The min profit did not evalulate to a valid value for this item."
--[[Translation missing --]]
L["The name portion of the search term must be at least 3 characters if present."] = "The name portion of the search term must be at least 3 characters if present."
--[[Translation missing --]]
L["The pasted value was not valid. Ensure you are pasting the entire import string."] = "The pasted value was not valid. Ensure you are pasting the entire import string."
--[[Translation missing --]]
L["The player \"%s\" is already on your whitelist."] = "The player \"%s\" is already on your whitelist."
--[[Translation missing --]]
L["The profit of this item (%s) is below the min profit (%s)."] = "The profit of this item (%s) is below the min profit (%s)."
--[[Translation missing --]]
L["The same filter was specified multiple times."] = "The same filter was specified multiple times."
--[[Translation missing --]]
L["The search term must be at least 3 characters."] = "The search term must be at least 3 characters."
--[[Translation missing --]]
L["The seller name of the lowest auction for %s was not given by the server. Skipping this item."] = "The seller name of the lowest auction for %s was not given by the server. Skipping this item."
--[[Translation missing --]]
L["The specified filter was empty."] = "The specified filter was empty."
--[[Translation missing --]]
L["The specified item is not supported for crafting searches."] = "The specified item is not supported for crafting searches."
--[[Translation missing --]]
L["The specified item is not supported for disenchant searches."] = "The specified item is not supported for disenchant searches."
--[[Translation missing --]]
L["The specified item was not found."] = "The specified item was not found."
--[[Translation missing --]]
L["The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."] = "The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."
--[[Translation missing --]]
L["The unlearned filter was ignored because the CanIMogIt addon was not found."] = "The unlearned filter was ignored because the CanIMogIt addon was not found."
--[[Translation missing --]]
L["The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."] = "The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."
--[[Translation missing --]]
L["Themes"] = "Themes"
--[[Translation missing --]]
L["There is currently no profession open, so cannot create profession groups."] = "There is currently no profession open, so cannot create profession groups."
--[[Translation missing --]]
L["There is no Crafting operation applied to this item's TSM group (%s)."] = "There is no Crafting operation applied to this item's TSM group (%s)."
L["This is not a valid profile name. Profile names must be at least one character long and may not contain '@' characters."] = "Este no es un nombre de perfil válido. Los nombres de perfil deben tener al menos un carácter y no contener caracteres '@'."
--[[Translation missing --]]
L["This item does not have a crafting cost. Check that all of its mats have mat prices."] = "This item does not have a crafting cost. Check that all of its mats have mat prices."
--[[Translation missing --]]
L["This item is not in a TSM group."] = "This item is not in a TSM group."
--[[Translation missing --]]
L["This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."] = "This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."
L["This looks like an exported operation and not a custom price."] = "Esto parece una operación exportada y no un precio personalizado."
--[[Translation missing --]]
L["This operation is applied to the base group which includes every item not in another group."] = "This operation is applied to the base group which includes every item not in another group."
--[[Translation missing --]]
L["This price is above your confirmation alert threshold."] = "This price is above your confirmation alert threshold."
--[[Translation missing --]]
L["This profession is not open."] = "This profession is not open."
--[[Translation missing --]]
L["This record belongs to another account and can only be deleted on that account."] = "This record belongs to another account and can only be deleted on that account."
--[[Translation missing --]]
L["This will permanently delete the '%s' profile."] = "This will permanently delete the '%s' profile."
--[[Translation missing --]]
L["This will reset all groups and operations (if not stored globally) to be wiped from '%s'."] = "This will reset all groups and operations (if not stored globally) to be wiped from '%s'."
--[[Translation missing --]]
L["Time"] = "Time"
L["Time Frame"] = "Per. de Tiempo"
--[[Translation missing --]]
L["Time to Craft:"] = "Time to Craft:"
--[[Translation missing --]]
L["Tinker"] = "Tinker"
--[[Translation missing --]]
L["To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."] = "To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."
--[[Translation missing --]]
L["Toggles the main TSM window"] = "Toggles the main TSM window"
--[[Translation missing --]]
L["Toggles the TSM Banking UI if either the bank or guild bank is currently open."] = "Toggles the TSM Banking UI if either the bank or guild bank is currently open."
--[[Translation missing --]]
L["Toggles the TSM Crafting UI."] = "Toggles the TSM Crafting UI."
--[[Translation missing --]]
L["Toggles the TSM Task List UI"] = "Toggles the TSM Task List UI"
--[[Translation missing --]]
L["Tooltip Options"] = "Tooltip Options"
--[[Translation missing --]]
L["Tooltip price format"] = "Tooltip price format"
--[[Translation missing --]]
L["Tooltip Settings"] = "Tooltip Settings"
--[[Translation missing --]]
L["Top Buyers"] = "Top Buyers"
--[[Translation missing --]]
L["Top Item"] = "Top Item"
--[[Translation missing --]]
L["TOP PURCHASE"] = "TOP PURCHASE"
--[[Translation missing --]]
L["TOP SALE"] = "TOP SALE"
--[[Translation missing --]]
L["Top Sellers"] = "Top Sellers"
L["Total"] = "Total"
--[[Translation missing --]]
L["Total Gold"] = "Total Gold"
--[[Translation missing --]]
L["Total Gold Collected: %s"] = "Total Gold Collected: %s"
--[[Translation missing --]]
L["Total Gold Earned"] = "Total Gold Earned"
--[[Translation missing --]]
L["Total Gold Spent"] = "Total Gold Spent"
--[[Translation missing --]]
L["Total Inventory Quantity"] = "Total Inventory Quantity"
--[[Translation missing --]]
L["Total Items"] = "Total Items"
--[[Translation missing --]]
L["Total Postage"] = "Total Postage"
--[[Translation missing --]]
L["Total Price"] = "Total Price"
--[[Translation missing --]]
L["Total Prices:"] = "Total Prices:"
--[[Translation missing --]]
L["Total Profit"] = "Total Profit"
L["Total Value"] = "Valor total"
--[[Translation missing --]]
L["Track Sales / Purchases via trade"] = "Track Sales / Purchases via trade"
--[[Translation missing --]]
L["Transform Value"] = "Transform Value"
--[[Translation missing --]]
L["Transform value"] = "Transform value"
--[[Translation missing --]]
L["Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."] = "Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."
--[[Translation missing --]]
L["TSM 4.10: What's new"] = "TSM 4.10: What's new"
--[[Translation missing --]]
L["TSM Accounting"] = "TSM Accounting"
--[[Translation missing --]]
L["TSM AuctionDB"] = "TSM AuctionDB"
--[[Translation missing --]]
L["TSM Auctioning"] = "TSM Auctioning"
--[[Translation missing --]]
L["TSM can automatically sync data between multiple WoW accounts."] = "TSM can automatically sync data between multiple WoW accounts."
--[[Translation missing --]]
L["TSM Crafting"] = "TSM Crafting"
--[[Translation missing --]]
L["TSM Desktop App Status (%s)"] = "TSM Desktop App Status (%s)"
--[[Translation missing --]]
L["TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"] = "TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"
--[[Translation missing --]]
L["TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."] = "TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."
--[[Translation missing --]]
L["TSM failed to scan some auctions. Please rerun the scan."] = "TSM failed to scan some auctions. Please rerun the scan."
--[[Translation missing --]]
L["TSM General Info"] = "TSM General Info"
--[[Translation missing --]]
L["TSM Groups"] = "TSM Groups"
--[[Translation missing --]]
L["TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."] = "TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."
--[[Translation missing --]]
L["TSM is missing important information from the TSM Desktop Application. Please ensure the TSM Desktop Application is running and is properly configured."] = "TSM is missing important information from the TSM Desktop Application. Please ensure the TSM Desktop Application is running and is properly configured."
--[[Translation missing --]]
L["TSM is not yet ready to establish a new sync connection. Please try again later."] = "TSM is not yet ready to establish a new sync connection. Please try again later."
--[[Translation missing --]]
L["TSM Shopping"] = "TSM Shopping"
--[[Translation missing --]]
L["TSM Sniper"] = "TSM Sniper"
--[[Translation missing --]]
L["TSM TASK LIST"] = "TSM TASK LIST"
L["TSM Version Info:"] = "Información de la versión de TSM:"
--[[Translation missing --]]
L["TSM will not undercut any players you add to your whitelist."] = "TSM will not undercut any players you add to your whitelist."
--[[Translation missing --]]
L["TSM_Accounting detected that you just traded %s %s in return for %s. Would you like Accounting to store a record of this trade?"] = "TSM_Accounting detected that you just traded %s %s in return for %s. Would you like Accounting to store a record of this trade?"
--[[Translation missing --]]
L["TSM4"] = "TSM4"
--[[Translation missing --]]
L["TUJ 14-Day Price"] = "TUJ 14-Day Price"
L["TUJ 3-Day Price"] = "TUJ Precio de 3 días"
--[[Translation missing --]]
L["TUJ Global Mean"] = "TUJ Global Mean"
--[[Translation missing --]]
L["TUJ Global Median"] = "TUJ Global Median"
--[[Translation missing --]]
L["Type"] = "Type"
L["Unbalanced parentheses."] = "Paréntesis desequilibrado."
--[[Translation missing --]]
L["Uncollected Only"] = "Uncollected Only"
--[[Translation missing --]]
L["Undercut amount"] = "Undercut amount"
--[[Translation missing --]]
L["Undercut by whitelisted player."] = "Undercut by whitelisted player."
--[[Translation missing --]]
L["Undercutting blacklisted player."] = "Undercutting blacklisted player."
--[[Translation missing --]]
L["Undercutting competition."] = "Undercutting competition."
L["Ungrouped Items"] = "Objetos sin grupo"
--[[Translation missing --]]
L["Ungrouped Items in Bags"] = "Ungrouped Items in Bags"
--[[Translation missing --]]
L["Unit Price"] = "Unit Price"
--[[Translation missing --]]
L["Unknown Item"] = "Unknown Item"
--[[Translation missing --]]
L["Unknown word (%s)."] = "Unknown word (%s)."
--[[Translation missing --]]
L["Unlock Column Width"] = "Unlock Column Width"
L["Unwrap Gift"] = "Desenvolver el regalo"
L["Up"] = "Arriba"
--[[Translation missing --]]
L["Up to date"] = "Up to date"
--[[Translation missing --]]
L["Update existing macro"] = "Update existing macro"
--[[Translation missing --]]
L["Updating"] = "Updating"
--[[Translation missing --]]
L["Upgrades Only"] = "Upgrades Only"
--[[Translation missing --]]
L["Usable Only"] = "Usable Only"
--[[Translation missing --]]
L["Usage: /tsm price <Item Link> <Custom String>"] = "Usage: /tsm price <Item Link> <Custom String>"
--[[Translation missing --]]
L["Use the settings below to control which lines are shown in tooltips."] = "Use the settings below to control which lines are shown in tooltips."
--[[Translation missing --]]
L["Use this list to manage what cooldowns you'd like TSM to ignore from crafting."] = "Use this list to manage what cooldowns you'd like TSM to ignore from crafting."
--[[Translation missing --]]
L["Use this list to manage what items you'd like TSM to ignore from destroying."] = "Use this list to manage what items you'd like TSM to ignore from destroying."
--[[Translation missing --]]
L["Value"] = "Value"
--[[Translation missing --]]
L["Value must be between %d and %d."] = "Value must be between %d and %d."
--[[Translation missing --]]
L["Value Price Source"] = "Value Price Source"
--[[Translation missing --]]
L["Values"] = "Values"
L["Vendor"] = "Vendedor"
--[[Translation missing --]]
L["Vendor Buy Price"] = "Vendor Buy Price"
--[[Translation missing --]]
L["Vendor buy price"] = "Vendor buy price"
--[[Translation missing --]]
L["Vendor Search"] = "Vendor Search"
--[[Translation missing --]]
L["Vendor Sell"] = "Vendor Sell"
--[[Translation missing --]]
L["Vendor Sell Price"] = "Vendor Sell Price"
--[[Translation missing --]]
L["Vendor sell price"] = "Vendor sell price"
--[[Translation missing --]]
L["Vendoring"] = "Vendoring"
--[[Translation missing --]]
L["Vendoring %s button"] = "Vendoring %s button"
--[[Translation missing --]]
L["Vendoring operation"] = "Vendoring operation"
--[[Translation missing --]]
L["Vendoring operations control selling to and buying from a vendor."] = "Vendoring operations control selling to and buying from a vendor."
--[[Translation missing --]]
L["Warehousing"] = "Warehousing"
--[[Translation missing --]]
L["Warehousing operation"] = "Warehousing operation"
--[[Translation missing --]]
L["Warehousing operations control moving in and out of the bank."] = "Warehousing operations control moving in and out of the bank."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group."] = "Warehousing will move a max of %d of each item in this group."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group."] = "Warehousing will move all of the items in this group."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."
L["WARNING: The macro was too long, so was truncated to fit by WoW."] = "ADVERTENCIA: La macro era demasiado larga, por lo que WoW lo recorto para que cupiera."
--[[Translation missing --]]
L["WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."] = "WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."
--[[Translation missing --]]
L["We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."] = "We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."
--[[Translation missing --]]
L["When above maximum:"] = "When above maximum:"
--[[Translation missing --]]
L["When below minimum:"] = "When below minimum:"
--[[Translation missing --]]
L["Whitelist"] = "Whitelist"
--[[Translation missing --]]
L["Whitelisted characters"] = "Whitelisted characters"
--[[Translation missing --]]
L["Winamp"] = "Winamp"
--[[Translation missing --]]
L["Would send %s to %s"] = "Would send %s to %s"
--[[Translation missing --]]
L["Would send %s to %s with a COD of %s"] = "Would send %s to %s with a COD of %s"
--[[Translation missing --]]
L["WOW UI"] = "WOW UI"
--[[Translation missing --]]
L["You are not on one of the listed characters."] = "You are not on one of the listed characters."
--[[Translation missing --]]
L["You can clear old Accounting data below to keep things running smoothly."] = "You can clear old Accounting data below to keep things running smoothly."
--[[Translation missing --]]
L["You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"] = "You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"
--[[Translation missing --]]
L["You can use the export string below to share this group with others."] = "You can use the export string below to share this group with others."
L["You cannot use %s as part of this custom price."] = "No puede usar %s  como parte de este precio personalizado."
L["You cannot use %s within convert() as part of this custom price."] = "No puede usar %s  dentro de convert() como parte de este precio personalizado."
--[[Translation missing --]]
L["You do not need to add \"%s\", alts are whitelisted automatically."] = "You do not need to add \"%s\", alts are whitelisted automatically."
--[[Translation missing --]]
L["You don't know how to craft this item."] = "You don't know how to craft this item."
--[[Translation missing --]]
L["You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."] = "You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."
L["You must reload your UI for these settings to take effect. Reload now?"] = "Debe volver a cargar su Interfaz para que esta configuración surta efecto. Recargar ahora?"
L["You won an auction for %sx%d for %s"] = "Ganaste una subasta por %sx%d por %s"
--[[Translation missing --]]
L["Your auction has not been undercut."] = "Your auction has not been undercut."
--[[Translation missing --]]
L["Your auction of %s expired"] = "Your auction of %s expired"
L["Your auction of %s has sold for %s!"] = "¡Tu subasta de %s se ha vendido por %s!"
--[[Translation missing --]]
L["Your Buyout"] = "Your Buyout"
--[[Translation missing --]]
L["Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"] = "Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"
--[[Translation missing --]]
L["Your default craft value method was invalid so it has been returned to the default. Details: %s"] = "Your default craft value method was invalid so it has been returned to the default. Details: %s"
--[[Translation missing --]]
L["Your max restock (%s) is invalid for %s."] = "Your max restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your min restock (%s) is invalid for %s."] = "Your min restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your restock quantity is invalid. It must be between %d and %s."] = "Your restock quantity is invalid. It must be between %d and %s."
--[[Translation missing --]]
L["Your task list is currently empty."] = "Your task list is currently empty."
--[[Translation missing --]]
L["You've been phased which has caused the AH to stop working due to a bug on Blizzard's end. Please close and reopen the AH and restart Sniper."] = "You've been phased which has caused the AH to stop working due to a bug on Blizzard's end. Please close and reopen the AH and restart Sniper."
L["You've been undercut."] = "Has sido socavado(a)."
	elseif locale == "frFR" then
L = L or {}
L["%d |4Group:Groups; Selected (%d |4Item:Items;)"] = "%d |4Group:Groups; Sélectionné (%d |4Objet:Objets;)"
L["%d auctions"] = "%d enchères"
--[[Translation missing --]]
L["%d Characters"] = "%d Characters"
--[[Translation missing --]]
L["%d Custom Sources"] = "%d Custom Sources"
--[[Translation missing --]]
L["%d Faction-Realms"] = "%d Faction-Realms"
--[[Translation missing --]]
L["%d groups"] = "%d groups"
L["%d Groups"] = "%d Groupes"
--[[Translation missing --]]
L["%d Groups Selected"] = "%d Groups Selected"
--[[Translation missing --]]
L["%d groups were created and %d items were added from the table."] = "%d groups were created and %d items were added from the table."
--[[Translation missing --]]
L["%d Guilds"] = "%d Guilds"
L["%d Items"] = "%d Objets"
L["%d of %d"] = "%d de %d"
L["%d Operations"] = "%d Opérations"
--[[Translation missing --]]
L["%d Players"] = "%d Players"
L["%d Posted Auctions"] = "%d Enchères publiées"
--[[Translation missing --]]
L["%d Professions"] = "%d Professions"
--[[Translation missing --]]
L["%d Rarities"] = "%d Rarities"
--[[Translation missing --]]
L["%d Results"] = "%d Results"
--[[Translation missing --]]
L["%d Selected"] = "%d Selected"
L["%d Sold Auctions"] = "%d Enchères vendues"
--[[Translation missing --]]
L["%d Sources"] = "%d Sources"
--[[Translation missing --]]
L["%d Sub-Groups"] = "%d Sub-Groups"
--[[Translation missing --]]
L["%d subgroups included"] = "%d subgroups included"
--[[Translation missing --]]
L["%d Types"] = "%d Types"
--[[Translation missing --]]
L["%s - %s has been reset to default values."] = "%s - %s has been reset to default values."
--[[Translation missing --]]
L["%s %s Operations"] = "%s %s Operations"
L["%s (%s bags, %s bank, %s AH, %s mail)"] = "%s (%s sacs, %s banque, %s HV, %s courrier)"
--[[Translation missing --]]
L["%s (%s player, %s alts, %s AH)"] = "%s (%s player, %s alts, %s AH)"
L["%s (%s player, %s alts, %s guild, %s AH)"] = "%s (%s joueur, %s alts, %s guilde, %s AH)"
L["%s (%s profit)"] = "%s (%s gain)"
L["%s ago"] = "%s depuis"
L["%s Crafts"] = "%s Artisanat"
--[[Translation missing --]]
L["%s group is already up to date."] = "%s group is already up to date."
L["%s group updated with %d items and %d materials."] = "Groupe %s mis à jour avec %d objets et %d matériaux."
L["%s in guild vault"] = "%s dans la banque de guilde"
L["%s is a valid custom price but %s is an invalid item."] = "%s est un prix personnalisé valide mais %s est un objet invalide."
L["%s is a valid custom price but did not give a value for %s."] = "%s est un prix personnalisé valide mais ne donne aucune valeur pour %s."
--[[Translation missing --]]
L["'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."] = "'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."
L["%s is not a valid custom price and gave the following error: %s"] = "%s est un prix personnalisé invalide car il affiche cette erreur : %s"
--[[Translation missing --]]
L["%s Items Bought"] = "%s Items Bought"
--[[Translation missing --]]
L["%s Items Cancelled"] = "%s Items Cancelled"
--[[Translation missing --]]
L["%s Items Expired"] = "%s Items Expired"
--[[Translation missing --]]
L["%s Items Resold"] = "%s Items Resold"
--[[Translation missing --]]
L["%s Items Selected"] = "%s Items Selected"
--[[Translation missing --]]
L["%s Items Sold"] = "%s Items Sold"
--[[Translation missing --]]
L["%s Items Total"] = "%s Items Total"
--[[Translation missing --]]
L["%s operation"] = "%s operation"
--[[Translation missing --]]
L["%s operations"] = "%s operations"
L["%s Operations"] = "%s Opérations"
--[[Translation missing --]]
L["%s Posted Auctions"] = "%s Posted Auctions"
--[[Translation missing --]]
L["%s Posted Auctions (Filtered)"] = "%s Posted Auctions (Filtered)"
L["%s previously had the max number of operations, so removed %s."] = "%s avait auparavant le nombre maximal d'opérations, donc supprimé %s."
L["%s removed."] = "%s supprimé."
L["%s sent you %s"] = "%s vous a envoyé %s"
L["%s sent you %s and %s"] = "%s vous a envoyé %s et %s"
L["%s sent you a COD of %s for %s"] = "%s vous a envoyé un courrier C.R. de %s pour %s"
L["%s sent you a message: %s"] = "%s vous a envoyé un message %s"
--[[Translation missing --]]
L["%s Sold Auctions"] = "%s Sold Auctions"
--[[Translation missing --]]
L["%s Sold Auctions (Filtered)"] = "%s Sold Auctions (Filtered)"
--[[Translation missing --]]
L["%s Total"] = "%s Total"
L["%s total"] = "%s au total"
--[[Translation missing --]]
L["%s Total Profit"] = "%s Total Profit"
L["%sDrag%s to move this button"] = "%sFaites glisser%s pour déplacer ce bouton"
--[[Translation missing --]]
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."] = "%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."
--[[Translation missing --]]
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."] = "%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."
L["%sLeft-Click%s to open the main window"] = "%sClic gauche%s pour ouvrir la fenêtre principale"
--[[Translation missing --]]
L["%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."] = "%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."
--[[Translation missing --]]
L["(%d - %d)"] = "(%d - %d)"
L["(%d/500 Characters)"] = "(%d/500 Personnages)"
--[[Translation missing --]]
L["(minimum 0 - maximum %d)"] = "(minimum 0 - maximum %d)"
L["1 Group"] = "1 Groupe"
L["1 Item"] = "1 Objet"
--[[Translation missing --]]
L["1D"] = "1D"
--[[Translation missing --]]
L["1M"] = "1M"
--[[Translation missing --]]
L["1W"] = "1W"
--[[Translation missing --]]
L["1Y"] = "1Y"
--[[Translation missing --]]
L["2Y"] = "2Y"
--[[Translation missing --]]
L["3M"] = "3M"
--[[Translation missing --]]
L["6M"] = "6M"
--[[Translation missing --]]
L["A brand new and improved user interface."] = "A brand new and improved user interface."
L["A custom price of %s for %s evaluates to %s."] = "Un prix personnalisé de %s pour %s évalué à %s."
L["A maximum of 1 convert() function is allowed."] = "Un maximum d'une fonction convert() est autorisé."
L["A profile with that name already exists on the target account. Rename it first and try again."] = "Un profil portant ce nom existe déjà sur le compte cible. Renommez-le d'abord et réessayez."
L["A profile with this name already exists."] = "Un profil portant ce nom existe déjà."
L["A scan is already in progress. Please stop that scan before starting another one."] = "Un scan est en cours actuellement. Arrêtez le scan avant d'en démarrer un nouveau."
--[[Translation missing --]]
L["A single craft makes %d and you only need to restock %d."] = "A single craft makes %d and you only need to restock %d."
L["Above max expires."] = "Nombre maximal de dépôts atteind"
L["Above max price. Not posting."] = "Au-dessus du prix maximum. Pas d'enchère créée."
--[[Translation missing --]]
L["Above max price. Posting at max."] = "Above max price. Posting at max."
--[[Translation missing --]]
L["Above max price. Posting at min."] = "Above max price. Posting at min."
--[[Translation missing --]]
L["Above max price. Posting at normal."] = "Above max price. Posting at normal."
--[[Translation missing --]]
L["Accept COD?"] = "Accept COD?"
--[[Translation missing --]]
L["Accepting this item will cost: %s"] = "Accepting this item will cost: %s"
L["Account sync removed. Please delete the account sync from the other account as well."] = "La synchronisation de compte a été supprimée. Supprimez également la synchronisation de compte de l'autre compte."
L["Account Syncing"] = "Synchronisation de compte"
L["Accounting"] = "Comptabilité"
L["Activity Type"] = "Type d'activité"
--[[Translation missing --]]
L["Add"] = "Add"
--[[Translation missing --]]
L["Add %d |4Item:Items"] = "Add %d |4Item:Items"
--[[Translation missing --]]
L["Add %s Operation"] = "Add %s Operation"
--[[Translation missing --]]
L["Add a new custom source"] = "Add a new custom source"
--[[Translation missing --]]
L["Add account"] = "Add account"
--[[Translation missing --]]
L["Add More Operations"] = "Add More Operations"
--[[Translation missing --]]
L["Add Operation"] = "Add Operation"
--[[Translation missing --]]
L["Add operation to groups"] = "Add operation to groups"
--[[Translation missing --]]
L["Add subject & description (optional)"] = "Add subject & description (optional)"
L["Add Subject / Description"] = "Ajouter un sujet / Description"
--[[Translation missing --]]
L["Add to Mail"] = "Add to Mail"
L["Added '%s' profile which was received from %s."] = "Le profil '%s' ajouté a été reçu de %s."
L["Added %s to %s."] = "Ajout de %s à %s."
L["Additional error suppressed"] = "Erreur(s) additionelle(s) supprimée(s)"
--[[Translation missing --]]
L["Adjust how crafted items are restocked."] = "Adjust how crafted items are restocked."
--[[Translation missing --]]
L["Adjust how items are mailed."] = "Adjust how items are mailed."
--[[Translation missing --]]
L["Adjust how TSM values crafted items when calculating profit."] = "Adjust how TSM values crafted items when calculating profit."
--[[Translation missing --]]
L["Adjust some general settings."] = "Adjust some general settings."
L["Adjust the settings below to set how groups attached to this operation will be auctioned."] = "Ajustez les paramètres ci-dessous pour définir le mode de vente aux enchères des groupes liés à cette opération."
L["Adjust the settings below to set how groups attached to this operation will be cancelled."] = "Ajustez les paramètres ci-dessous pour définir le mode d'annulation des groupes liés à cette opération."
L["Adjust the settings below to set how groups attached to this operation will be priced."] = "Ajustez les paramètres ci-dessous pour définir la mise à prix des groupes liés à cette opération."
L["Advanced Item Search"] = "Recherche avancée d'objet"
L["AH"] = "HV"
L["AH (Crafting)"] = "HV (Artisanat)"
L["AH (Disenchanting)"] = "HV (Désenchantement)"
L["AH BUSY"] = "HV OCCUPÉ"
--[[Translation missing --]]
L["AHDB Minimum Bid"] = "AHDB Minimum Bid"
--[[Translation missing --]]
L["AHDB Minimum Buyout"] = "AHDB Minimum Buyout"
L["Alarm Clock"] = "Alarme"
--[[Translation missing --]]
L["All"] = "All"
L["All Auctions"] = "Toutes les enchères"
--[[Translation missing --]]
L["All Bought"] = "All Bought"
--[[Translation missing --]]
L["All Cancelled"] = "All Cancelled"
--[[Translation missing --]]
L["All Characters"] = "All Characters"
--[[Translation missing --]]
L["All Expired"] = "All Expired"
--[[Translation missing --]]
L["All Faction-Realms"] = "All Faction-Realms"
--[[Translation missing --]]
L["All Guilds"] = "All Guilds"
L["All Item Classes"] = "Toutes les classes d'objets"
--[[Translation missing --]]
L["All Other"] = "All Other"
--[[Translation missing --]]
L["All Players"] = "All Players"
L["All Professions"] = "Tous les métiers"
--[[Translation missing --]]
L["All Rarites"] = "All Rarites"
--[[Translation missing --]]
L["All Rarities"] = "All Rarities"
--[[Translation missing --]]
L["All Selected"] = "All Selected"
--[[Translation missing --]]
L["All Slots"] = "All Slots"
--[[Translation missing --]]
L["All Sold"] = "All Sold"
--[[Translation missing --]]
L["All Sources"] = "All Sources"
L["All Subclasses"] = "Toutes les sous-classes"
--[[Translation missing --]]
L["All Time"] = "All Time"
--[[Translation missing --]]
L["All Types"] = "All Types"
--[[Translation missing --]]
L["Allow partial stack"] = "Allow partial stack"
--[[Translation missing --]]
L["Allows for testing of custom prices"] = "Allows for testing of custom prices"
--[[Translation missing --]]
L["ALT"] = "ALT"
L["Alt Guild Bank"] = "Banque de guilde du reroll"
L["Alts"] = "Rerolls"
L["Alts AH"] = "AH des rerolls"
L["Amount"] = "Montant"
--[[Translation missing --]]
L["Amount kept in bags"] = "Amount kept in bags"
--[[Translation missing --]]
L["Amount of bag space to keep free"] = "Amount of bag space to keep free"
--[[Translation missing --]]
L["An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."] = "An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."
--[[Translation missing --]]
L["App Not Synced"] = "App Not Synced"
--[[Translation missing --]]
L["App Synced %s Ago"] = "App Synced %s Ago"
--[[Translation missing --]]
L["Appearance"] = "Appearance"
--[[Translation missing --]]
L["Apply operation to group"] = "Apply operation to group"
L["Are you sure you want to clear old accounting data?"] = "Êtes-vous sûr de vouloir effacer les anciennes données comptable ?"
--[[Translation missing --]]
L["Are you sure you want to delete the selected operations?"] = "Are you sure you want to delete the selected operations?"
L["Are you sure you want to delete this operation?"] = "Êtes-vous sûr de vouloir supprimer cette opération ?"
L["At above max price and not undercut."] = "Au delà du prix maxi, sans concurrence."
L["At normal price and not undercut."] = "Prix normal, sans concurrence."
--[[Translation missing --]]
L["Attachments"] = "Attachments"
L["Auction"] = "Enchère"
--[[Translation missing --]]
L["Auction duration"] = "Auction duration"
L["Auction has been bid on."] = "L'offre a été mise aux enchères."
L["Auction House Cut"] = "Commission de l'hôtel des ventes"
--[[Translation missing --]]
L["Auction House Sounds"] = "Auction House Sounds"
--[[Translation missing --]]
L["Auction sale sound"] = "Auction sale sound"
L["Auction Window Close"] = "Fermer la fenêtre d’enchère"
L["Auction Window Open"] = "Ouvrir la fenêtre d’enchère"
L["Auctionator - Auction Value"] = "Auctionator - Valeur de l'enchère"
--[[Translation missing --]]
L["AuctionDB"] = "AuctionDB"
--[[Translation missing --]]
L["AuctionDB - Historical Price (via TSM App)"] = "AuctionDB - Historical Price (via TSM App)"
L["AuctionDB - Market Value"] = "AuctionDB - Valeur marchande"
--[[Translation missing --]]
L["AuctionDB - Minimum Buyout"] = "AuctionDB - Minimum Buyout"
--[[Translation missing --]]
L["AuctionDB - Region Historical Price (via TSM App)"] = "AuctionDB - Region Historical Price (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Market Value Average (via TSM App)"] = "AuctionDB - Region Market Value Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Minimum Buyout Average (via TSM App)"] = "AuctionDB - Region Minimum Buyout Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sale Average (via TSM App)"] = "AuctionDB - Region Sale Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sale Rate (via TSM App)"] = "AuctionDB - Region Sale Rate (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sold Per Day (via TSM App)"] = "AuctionDB - Region Sold Per Day (via TSM App)"
--[[Translation missing --]]
L["AuctionDB Realm Data is %s Old"] = "AuctionDB Realm Data is %s Old"
--[[Translation missing --]]
L["AuctionDB Region Data is %s Old"] = "AuctionDB Region Data is %s Old"
L["Auctioneer - Appraiser"] = "Auctioneer - Expertise"
L["Auctioneer - Market Value"] = "Auctioneer - Valeur du marché"
L["Auctioneer - Minimum Buyout"] = "Auctioneer - Achat minimum"
L["Auctioning"] = "Mise aux Enchères"
--[[Translation missing --]]
L["Auctioning %s button"] = "Auctioning %s button"
--[[Translation missing --]]
L["Auctioning Details"] = "Auctioning Details"
L["Auctioning Log"] = "Historique des mises aux enchères"
L["Auctioning Operation"] = "Opération de vente aux enchères"
--[[Translation missing --]]
L["Auctioning operation"] = "Auctioning operation"
--[[Translation missing --]]
L["Auctioning operations control posting to and canceling from the AH."] = "Auctioning operations control posting to and canceling from the AH."
L["Auctions"] = "Enchères"
L["Auto Quest Complete"] = "Valider les quêtes automatiquement"
--[[Translation missing --]]
L["Auto-focus browse search input"] = "Auto-focus browse search input"
--[[Translation missing --]]
L["Average Earned per Day"] = "Average Earned per Day"
L["Average Prices:"] = "Prix moyens :"
--[[Translation missing --]]
L["Average Profit per Day"] = "Average Profit per Day"
--[[Translation missing --]]
L["Average Spent per Day"] = "Average Spent per Day"
L["Avg Buy Price"] = "Prix d'achat moyen"
--[[Translation missing --]]
L["Avg Profit"] = "Avg Profit"
L["Avg Sell Price"] = "Prix de vente moyen"
--[[Translation missing --]]
L["Back"] = "Back"
L["Bag"] = "Sac"
L["Bags"] = "Sacs"
--[[Translation missing --]]
L["Banking"] = "Banking"
L["Banks"] = "Banques"
L["Base Group"] = "Groupe par défaut"
L["Base Item"] = "Élément de base"
--[[Translation missing --]]
L["BBG 14-Day Price"] = "BBG 14-Day Price"
--[[Translation missing --]]
L["BBG 3-Day Price"] = "BBG 3-Day Price"
--[[Translation missing --]]
L["BBG Global Mean"] = "BBG Global Mean"
--[[Translation missing --]]
L["BBG Global Median"] = "BBG Global Median"
--[[Translation missing --]]
L["Below is a list of all available price sources, along with a brief description of what they represent."] = "Below is a list of all available price sources, along with a brief description of what they represent."
--[[Translation missing --]]
L["Below min price. Posting at max."] = "Below min price. Posting at max."
--[[Translation missing --]]
L["Below min price. Posting at min."] = "Below min price. Posting at min."
--[[Translation missing --]]
L["Below min price. Posting at normal."] = "Below min price. Posting at normal."
--[[Translation missing --]]
L["Below you can ignore this operation on certain characters or realms."] = "Below you can ignore this operation on certain characters or realms."
L["Bid %d / %d"] = "Offre %d / %d"
L["Bid (item)"] = "Offre (acticle)"
L["Bid (stack)"] = "Offre (pile)"
--[[Translation missing --]]
L["Bid (total)"] = "Bid (total)"
--[[Translation missing --]]
L["Bid / Buyout"] = "Bid / Buyout"
--[[Translation missing --]]
L["Bid Auction"] = "Bid Auction"
--[[Translation missing --]]
L["Bid percent must be between 0 and 100."] = "Bid percent must be between 0 and 100."
L["Bid Price"] = "Prix de l'offre"
L["Bid Sniper Paused"] = "Sniper d'enchères en pause"
L["Bid Sniper Running"] = "Sniper d'enchères démarré"
L["Bidding Auction"] = "Offre aux enchères"
--[[Translation missing --]]
L["Blacklisted players"] = "Blacklisted players"
L["Bought"] = "Acheté"
L["Bought %d of %s from %s for %s"] = "A acheté %d de %s à %s pour %s"
L["Bought %sx%d for %s from %s"] = "A acheté %sx%d pour %s à %s"
L["Bound Actions"] = "Actions liées"
--[[Translation missing --]]
L["Browse"] = "Browse"
--[[Translation missing --]]
L["Browse / Sniper"] = "Browse / Sniper"
L["BUSY"] = "OCCUPÉE"
L["BUY"] = "ACHETER"
L["Buy"] = "Acheter"
L["Buy %d / %d"] = "Achetez %d / %d"
L["Buy %d / %d (Confirming %d / %d)"] = "Achetez %d  /%d (Confirmant %d / %d)"
--[[Translation missing --]]
L["Buy Auction"] = "Buy Auction"
--[[Translation missing --]]
L["Buy Commodity"] = "Buy Commodity"
L["Buy from AH"] = "Acheter à HV"
--[[Translation missing --]]
L["Buy from AH (Crafting)"] = "Buy from AH (Crafting)"
--[[Translation missing --]]
L["Buy from AH (Disenchant)"] = "Buy from AH (Disenchant)"
L["Buy from Vendor"] = "Acheter au marchand"
--[[Translation missing --]]
L["Buy Groups"] = "Buy Groups"
L["Buy Options"] = "Options d'achat"
--[[Translation missing --]]
L["Buyback All"] = "Buyback All"
L["Buyer/Seller"] = "Acheteur/Vendeur"
--[[Translation missing --]]
L["Buyout"] = "Buyout"
L["Buyout (item)"] = "Acheter (item)"
L["Buyout (stack)"] = "Acheter (pile)"
--[[Translation missing --]]
L["Buyout (total)"] = "Buyout (total)"
--[[Translation missing --]]
L["Buyout confirmation alert"] = "Buyout confirmation alert"
L["Buyout Price"] = "Prix de rachat"
L["Buyout Sniper Paused"] = "Sniper de rachat en pause"
L["Buyout Sniper Running"] = "Sniper en cours d'exécution"
--[[Translation missing --]]
L["Cancel"] = "Cancel"
--[[Translation missing --]]
L["Cancel %d / %d"] = "Cancel %d / %d"
--[[Translation missing --]]
L["Cancel Auction"] = "Cancel Auction"
L["Cancel auctions with bids"] = "Annuler les enchères avec des offres."
--[[Translation missing --]]
L["Cancel or Post"] = "Cancel or Post"
L["Cancel Scan"] = "Annuler le scan"
--[[Translation missing --]]
L["Cancel to repost higher"] = "Cancel to repost higher"
--[[Translation missing --]]
L["Cancel undercut auctions"] = "Cancel undercut auctions"
--[[Translation missing --]]
L["Canceled information"] = "Canceled information"
L["Canceling"] = "Annuler"
L["Canceling %d / %d"] = "Annulation %d / %d"
L["Canceling %d Auctions..."] = "Annulation des %d enchères ..."
--[[Translation missing --]]
L["Canceling auction you've undercut."] = "Canceling auction you've undercut."
L["Canceling disabled."] = "Annulation désactivée."
--[[Translation missing --]]
L["Canceling Options"] = "Canceling Options"
L["Canceling to repost at higher price."] = "Annuler pour recréer à un prix plus élevé."
L["Canceling to repost at reset price."] = "Annuler pour recréer au prix initial."
L["Canceling to repost higher."] = "Annuler pour recréer plus haut."
L["Canceling undercut auctions and to repost higher."] = "Annuler enchères concurrencées et  replacement à prix plus élevé."
L["Canceling undercut auctions."] = "Retirer enchères concurrencées."
L["Cancelled"] = "Annulé"
L["Cancelled auction of %sx%d"] = "Annuler la vente aux enchères de %sx%d"
L["Cancelled Since Last Sale"] = "Annulé depuis la dernière vente"
--[[Translation missing --]]
L["Cancelled:"] = "Cancelled:"
--[[Translation missing --]]
L["Cancelling..."] = "Cancelling..."
L["Cannot repair from the guild bank!"] = "Impossible de réparer depuis la banque de guilde!"
--[[Translation missing --]]
L["Cannot use additional filters with /crafting or /disenchant."] = "Cannot use additional filters with /crafting or /disenchant."
L["Can't load TSM tooltip while in combat"] = "Ne pas charger l'infobulle TSM pendant le combat"
L["Cash Register"] = "Caisse"
--[[Translation missing --]]
L["Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"] = "Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"
L["Character"] = "Personnage"
L["Chat Tab"] = "Onglet Chat"
L["Cheapest auction below min price."] = "Meilleure enchère en dessous du prix minimum."
L["Clear All"] = "Tout effacer"
--[[Translation missing --]]
L["Clear Data"] = "Clear Data"
L["Clear Filters"] = "Effacer les filtres"
L["Clear Old Data"] = "Effacer les anciennes données"
--[[Translation missing --]]
L["Clear Old Data?"] = "Clear Old Data?"
--[[Translation missing --]]
L["Click and drag to resize this window."] = "Click and drag to resize this window."
--[[Translation missing --]]
L["Click to hide this item for the current session. Hold shift to hide this item permanently."] = "Click to hide this item for the current session. Hold shift to hide this item permanently."
L["COD"] = "C.R."
L["Coins (%s)"] = "Pièces (%s)"
L["Combine Partial Stacks"] = "Combiner des piles partielles"
L["Combining..."] = "Compilation...."
--[[Translation missing --]]
L["Completed full AH scan (%d auctions)!"] = "Completed full AH scan (%d auctions)!"
L["Confirm"] = "Confirmer"
--[[Translation missing --]]
L["Confirm complete sound"] = "Confirm complete sound"
--[[Translation missing --]]
L["Confirmation %s button"] = "Confirmation %s button"
L["Confirming %d / %d"] = "Confirmation de %d / %d"
L["Connected to %s"] = "Connecté à %s"
L["Connecting to %s"] = "Connexion à %s"
--[[Translation missing --]]
L["Contacts"] = "Contacts"
--[[Translation missing --]]
L["Contains auctions above your alert threshold!"] = "Contains auctions above your alert threshold!"
L["Cooldown"] = "Cooldown"
L["Cooldowns"] = "Cooldowns"
--[[Translation missing --]]
L["Copy Letter"] = "Copy Letter"
L["Cost"] = "Coût"
L["Could not create macro as you already have too many. Delete one of your existing macros and try again."] = "Impossible de créer une macro car vous en avez déjà trop. Supprimez l'une de vos macros existantes et réessayez."
L["Could not find profile '%s'. Possible profiles: '%s'"] = "Profil '%s' introuvable. Profils possibles: '%s'"
L["Could not sell items due to not having free bag space available to split a stack of items."] = "Impossible de vendre des articles en raison du manque d'espace libre dans votre sac pour séparer une pile d'articles."
L["Craft"] = "Artisanat"
L["CRAFT"] = "ARTISANAT"
--[[Translation missing --]]
L["Craft (Profitable)"] = "Craft (Profitable)"
L["Craft (Unprofitable)"] = "Artisanat (non rentable)"
L["Craft All"] = "Fabriquer tout"
--[[Translation missing --]]
L["Craft Next"] = "Craft Next"
--[[Translation missing --]]
L["Craft Value"] = "Craft Value"
--[[Translation missing --]]
L["Crafted Items"] = "Crafted Items"
--[[Translation missing --]]
L["Crafter"] = "Crafter"
L["Crafting"] = "Artisanat"
L["CRAFTING"] = "ARTISANAT"
--[[Translation missing --]]
L["Crafting %s button"] = "Crafting %s button"
--[[Translation missing --]]
L["Crafting cost"] = "Crafting cost"
L["Crafting Cost"] = "Cout de l'artisanat"
--[[Translation missing --]]
L["Crafting List"] = "Crafting List"
--[[Translation missing --]]
L["Crafting Material Cost"] = "Crafting Material Cost"
--[[Translation missing --]]
L["Crafting Mode"] = "Crafting Mode"
--[[Translation missing --]]
L["Crafting operation"] = "Crafting operation"
--[[Translation missing --]]
L["Crafting operations control how queuing profession crafts."] = "Crafting operations control how queuing profession crafts."
--[[Translation missing --]]
L["Crafting Queue (%d)"] = "Crafting Queue (%d)"
--[[Translation missing --]]
L["Crafting Value"] = "Crafting Value"
L["Crafts"] = "Artisanat"
L["Crafts %d"] = "Artisanat %d"
--[[Translation missing --]]
L["Create Groups from Table"] = "Create Groups from Table"
--[[Translation missing --]]
L["Create macro"] = "Create macro"
--[[Translation missing --]]
L["Create New"] = "Create New"
--[[Translation missing --]]
L["Create New Group"] = "Create New Group"
L["Create New Operation"] = "Créer  une Nouvelle Opération"
--[[Translation missing --]]
L["Create new profile"] = "Create new profile"
--[[Translation missing --]]
L["Create Profession Groups"] = "Create Profession Groups"
--[[Translation missing --]]
L["CTRL"] = "CTRL"
--[[Translation missing --]]
L["Current Price"] = "Current Price"
L["Custom Price"] = "Prix personnalisé"
--[[Translation missing --]]
L["Custom price name %s already exists."] = "Custom price name %s already exists."
--[[Translation missing --]]
L["Custom price name %s is a reserved word which cannot be used."] = "Custom price name %s is a reserved word which cannot be used."
--[[Translation missing --]]
L["Custom price names can only contain lowercase letters."] = "Custom price names can only contain lowercase letters."
--[[Translation missing --]]
L["Custom Source"] = "Custom Source"
--[[Translation missing --]]
L["Custom source (%s)"] = "Custom source (%s)"
L["Custom Sources"] = "Source personnalisé"
--[[Translation missing --]]
L["Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."] = "Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."
--[[Translation missing --]]
L["DAILY PURCHASES"] = "DAILY PURCHASES"
--[[Translation missing --]]
L["DAILY SALES"] = "DAILY SALES"
--[[Translation missing --]]
L["Dalaran"] = "Dalaran"
--[[Translation missing --]]
L["Dashboard"] = "Dashboard"
--[[Translation missing --]]
L["Default craft value method"] = "Default craft value method"
--[[Translation missing --]]
L["Default material cost method"] = "Default material cost method"
L["Default Price"] = "Prix par défaut"
--[[Translation missing --]]
L["Default price configuration"] = "Default price configuration"
L["Define what priority Gathering gives certain sources."] = "Définir avec quelle priorité récolter donne certaines sources."
--[[Translation missing --]]
L["Delete %d Operations"] = "Delete %d Operations"
--[[Translation missing --]]
L["Delete Group?"] = "Delete Group?"
--[[Translation missing --]]
L["Delete Operation?"] = "Delete Operation?"
--[[Translation missing --]]
L["Delete Operations"] = "Delete Operations"
--[[Translation missing --]]
L["Delete Operations?"] = "Delete Operations?"
--[[Translation missing --]]
L["Delete Profile?"] = "Delete Profile?"
--[[Translation missing --]]
L["Delete Record?"] = "Delete Record?"
--[[Translation missing --]]
L["Delete the profile"] = "Delete the profile"
--[[Translation missing --]]
L["Deleting this group (%s) will also remove any sub-groups attached to this group."] = "Deleting this group (%s) will also remove any sub-groups attached to this group."
L["Deposit"] = "Dépôt"
L["Deposit Cost"] = "Coût du dépôt"
--[[Translation missing --]]
L["Deposit reagents"] = "Deposit reagents"
--[[Translation missing --]]
L["Deselect All"] = "Deselect All"
L["Destroy Next"] = "Détruire le suivant"
L["Destroy Value"] = "Détruire Valeur"
--[[Translation missing --]]
L["Destroy value"] = "Destroy value"
--[[Translation missing --]]
L["Destroy value source"] = "Destroy value source"
L["Destroying"] = "Détruire"
--[[Translation missing --]]
L["Destroying %s button"] = "Destroying %s button"
--[[Translation missing --]]
L["Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."] = "Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."
--[[Translation missing --]]
L["Destroying will ignore %s until you log out."] = "Destroying will ignore %s until you log out."
L["Destroying..."] = "Destruction..."
--[[Translation missing --]]
L["Detailed crafting cost"] = "Detailed crafting cost"
--[[Translation missing --]]
L["Detailed destroy information"] = "Detailed destroy information"
L["Details"] = "Détails"
L["Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."] = "N'a pas annulé %s car votre seuil d'annulation pour remettre aux enchères (%s) n'est pas valide. Vérifiez vos paramètres."
L["Did not cancel %s because your maximum price (%s) is invalid. Check your settings."] = "N'a pas annulé %s parce que votre prix maximum (%s) est invalide. Vérifiez vos paramètres."
L["Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "N'a pas annulé %s parce que votre prix maximum (%s) est plus bas que votre prix minimum (%s). Vérifiez vos paramètres."
L["Did not cancel %s because your minimum price (%s) is invalid. Check your settings."] = "N'a pas annulé %s parce que votre prix minimum (%s) est invalide. Vérifiez vos paramètres."
L["Did not cancel %s because your normal price (%s) is invalid. Check your settings."] = "N'a pas annulé %s parce que votre prix normal (%s) est invalide. Vérifiez vos paramètres."
L["Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "N'a pas annulé %s parce que votre prix normal (%s) est plus bas que votre prix minimum (%s). Vérifiez vos paramètres."
L["Did not cancel %s because your undercut (%s) is invalid. Check your settings."] = "%s non annulé car votre sous-enchère (%s) est invalide. Vérifiez vos paramètres."
--[[Translation missing --]]
L["Did not change prices due to an invalid bid or buyout value."] = "Did not change prices due to an invalid bid or buyout value."
L["Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."] = "N'a pas inscrit %s parce que Blizzard n'a pas fourni toutes les informations nécessaires pour cela. Réessayer plus tard."
L["Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."] = "N'a pas inscrit %s parce que le propriétaire de l'enchère la plus basse (%s) est à la fois sur la liste noire et la liste blanche ce qui n'est pas permis. Ajuster vos paramètres pour corriger cette erreur."
L["Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."] = "N'a pas inscrit %s parce que vous ou un de vos rerolls (%s) est sur la liste noire ce qui n'est pas permis. Retirez ce personnage de votre liste noire."
--[[Translation missing --]]
L["Did not post %s because your keep quantity (%s) is invalid. Check your settings."] = "Did not post %s because your keep quantity (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your max expires (%s) is invalid. Check your settings."] = "Did not post %s because your max expires (%s) is invalid. Check your settings."
L["Did not post %s because your maximum price (%s) is invalid. Check your settings."] = "N'a pas inscrit %s parce que votre prix maximum (%s) est invalide. Vérifiez vos paramètres."
L["Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "N'a pas inscrit %s parce que votre prix maximum (%s) est plus bas que votre prix minimum (%s). Vérifiez vos paramètres."
L["Did not post %s because your minimum price (%s) is invalid. Check your settings."] = "N'a pas inscrit %s parce que votre prix minimum (%s) est invalide. Vérifiez vos paramètres."
L["Did not post %s because your normal price (%s) is invalid. Check your settings."] = "N'a pas inscrit %s parce que votre prix normal (%s) est invalide. Vérifiez vos paramètres."
L["Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "N'a pas inscrit %s parce que votre prix normal (%s) est plus bas que votre prix minimum (%s). Vérifiez vos paramètres."
--[[Translation missing --]]
L["Did not post %s because your post cap (%s) is invalid. Check your settings."] = "Did not post %s because your post cap (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your stack size (%s) is invalid. Check your settings."] = "Did not post %s because your stack size (%s) is invalid. Check your settings."
L["Did not post %s because your undercut (%s) is invalid. Check your settings."] = "%s non placée car votre sous-enchère (%s) est invalide. Vérifiez vos paramètres."
L["Disable invalid price warnings"] = "Désactiver les alertes des prix invalides."
L["Disenchant Search"] = "Recherche désenchantement"
L["Disenchant Search Options"] = "Option de la recherche désenchantement"
L["Disenchant Value"] = "Valeur de désenchantement"
--[[Translation missing --]]
L["Disenchant value"] = "Disenchant value"
L["Disenchanting Options"] = "Option de désenchantement"
--[[Translation missing --]]
L["Display total money received in chat"] = "Display total money received in chat"
L["Done Canceling"] = "Faire l'annulation"
L["Done Posting"] = "Faire l'inscription"
L["Done rebuilding item cache."] = "Faire une reconstruction du cache des objets."
L["Done Scanning"] = "Faire le scan"
--[[Translation missing --]]
L["Don't post after this many expires"] = "Don't post after this many expires"
L["Don't Post Items"] = "Ne pas inscrire les objets"
L["Don't prompt to record trades"] = "Ne pas demander d'enregistrer les transactions"
--[[Translation missing --]]
L["Down"] = "Down"
--[[Translation missing --]]
L["Duplicate the profile"] = "Duplicate the profile"
--[[Translation missing --]]
L["Duration"] = "Duration"
--[[Translation missing --]]
L["Duskwood"] = "Duskwood"
--[[Translation missing --]]
L["Edit"] = "Edit"
--[[Translation missing --]]
L["Edit Custom Source"] = "Edit Custom Source"
--[[Translation missing --]]
L["Edit Material Price"] = "Edit Material Price"
--[[Translation missing --]]
L["Edit Post"] = "Edit Post"
--[[Translation missing --]]
L["Embed TSM tooltip"] = "Embed TSM tooltip"
--[[Translation missing --]]
L["Empty bags"] = "Empty bags"
L["Empty parentheses are not allowed"] = "Les parenthèses vides ne sont pas autorisées"
L["Empty price string."] = "Chaine de prix vide."
L["Enable automatic stack combination"] = "Activer la combinaison automatique des piles"
--[[Translation missing --]]
L["Enable buying"] = "Enable buying"
L["Enable inbox chat messages"] = "Activer les messages de discussion dans la boîte de réception"
--[[Translation missing --]]
L["Enable restock"] = "Enable restock"
--[[Translation missing --]]
L["Enable selling"] = "Enable selling"
L["Enable sending chat messages"] = "Activer l'envoi de messages de discussion"
--[[Translation missing --]]
L["Enable TSM tooltips"] = "Enable TSM tooltips"
--[[Translation missing --]]
L["Enchant"] = "Enchant"
L["Enchant Vellum"] = "Vélin d'enchantement"
L["Ensure both characters are online and try again."] = "Assurez vous que les deux personnages connectés et réessayez"
--[[Translation missing --]]
L["Enter a value from %d - %d"] = "Enter a value from %d - %d"
--[[Translation missing --]]
L["Enter a value from %d - %d%%"] = "Enter a value from %d - %d%%"
L["Enter Filter"] = "Entrer un filtre"
L["Enter Keyword"] = "Entrer un mot-clé"
--[[Translation missing --]]
L["Enter name of logged-in character on other account"] = "Enter name of logged-in character on other account"
L["Enter player name"] = "Entrer le nom d'un joueur"
--[[Translation missing --]]
L["Enter profile name"] = "Enter profile name"
--[[Translation missing --]]
L["Enter recipient name"] = "Enter recipient name"
--[[Translation missing --]]
L["ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."] = "ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."
--[[Translation missing --]]
L["ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."] = "ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."
--[[Translation missing --]]
L["ERROR: The auction house must be open in order to do a scan."] = "ERROR: The auction house must be open in order to do a scan."
L["Establishing connection to %s. Make sure that you've entered this character's name on the other account."] = "Connexion en cours avec %s. Assurez-vous d'avoir bien entré le nom de ce personnage sur l'autre compte."
--[[Translation missing --]]
L["Establishing connection..."] = "Establishing connection..."
L["Estimated Cost:"] = "Coût estimé :"
L["Estimated deliver time"] = "Temps de livraison estimé"
L["Estimated Profit:"] = "Bénéfice estimé :"
--[[Translation missing --]]
L["Exact Match"] = "Exact Match"
--[[Translation missing --]]
L["Example"] = "Example"
--[[Translation missing --]]
L["Example Item"] = "Example Item"
--[[Translation missing --]]
L["Example Tooltip"] = "Example Tooltip"
--[[Translation missing --]]
L["Exclude custom sources?"] = "Exclude custom sources?"
--[[Translation missing --]]
L["Exclude operations?"] = "Exclude operations?"
--[[Translation missing --]]
L["Exit"] = "Exit"
--[[Translation missing --]]
L["Expand / Collapse All Groups"] = "Expand / Collapse All Groups"
L["Expenses"] = "Frais"
L["EXPENSES"] = "FRAIS"
L["Expirations"] = "Expirations"
L["Expired"] = "Expiré"
L["Expired Auctions"] = "Enchères expirées"
--[[Translation missing --]]
L["Expired information"] = "Expired information"
L["Expired Since Last Sale"] = "Expiré depuis la dernière vente"
L["Expires"] = "Expire"
L["Expires Since Last Sale"] = "Expiré depuis la dernière vente."
L["Expiring Mails"] = "Courriels expirés"
L["Exploration"] = "Exploration"
L["Export"] = "Export"
--[[Translation missing --]]
L["Export String"] = "Export String"
--[[Translation missing --]]
L["Export this group"] = "Export this group"
L["Failed Auctions"] = "Enchères échouées"
L["Failed to bid on auction of %s (x%s) for %s."] = "Échec de l'offre sur l'enchère de %s (x%s) pour %s."
L["Failed to bid on auction of %s."] = "Échec de l'offre sur l'enchère de %s."
L["Failed to buy auction of %s (x%s) for %s."] = "Échec d'achat de l'enchère de %s (x%s) pour %s."
L["Failed to buy auction of %s."] = "Échec de l'achat de l'enchère de %s."
--[[Translation missing --]]
L["Failed to buy auction."] = "Failed to buy auction."
--[[Translation missing --]]
L["Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."] = "Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."
L["Failed to find auction for %s, so removing it from the results."] = "Échec de la recherche de l'enchère pour %s, donc le retirer des résultats."
L["Failed to post %sx%d as the item no longer exists in your bags."] = "A échoué à poster %sx%d puisque l'objet n'existe plus dans vos sacs."
--[[Translation missing --]]
L["Failed to run full AH scan."] = "Failed to run full AH scan."
L["Failed to send profile."] = "Échec d'envoi du profile."
L["Failed to send profile. Ensure both characters are online and try again."] = "Échec d'envoi du profil. Assurez vous que les deux personnages sont connectés et réessayez."
--[[Translation missing --]]
L["Failed to start sniper. No groups have a Sniper operation applied."] = "Failed to start sniper. No groups have a Sniper operation applied."
L["Favorite Scans"] = "Scans favoris"
L["Favorite Searches"] = "Recherches favorites"
--[[Translation missing --]]
L["Favorited Patterns"] = "Favorited Patterns"
--[[Translation missing --]]
L["Filter by duration"] = "Filter by duration"
--[[Translation missing --]]
L["Filter by groups"] = "Filter by groups"
--[[Translation missing --]]
L["Filter by keyword"] = "Filter by keyword"
L["Filter by Keyword"] = "Filtrer par mot-clé"
--[[Translation missing --]]
L["Filter by Price Source"] = "Filter by Price Source"
--[[Translation missing --]]
L["Filter by Profession"] = "Filter by Profession"
L["Filter group item lists based on the following price source"] = "Filtrer les listes d'articles du groupe en fonction de la source de prix suivante"
L["Finding Selected Auction"] = "Trouver l'enchère sélectionnée"
--[[Translation missing --]]
L["First Auctioning Operation Max Price"] = "First Auctioning Operation Max Price"
--[[Translation missing --]]
L["First Auctioning Operation Min Price"] = "First Auctioning Operation Min Price"
--[[Translation missing --]]
L["First Auctioning Operation Normal Price"] = "First Auctioning Operation Normal Price"
L["Fishing Reel In"] = "Moulinet de pêche dans"
--[[Translation missing --]]
L["For more info, visit %s. For help, join us in Discord: %s."] = "For more info, visit %s. For help, join us in Discord: %s."
L["Forget Character"] = "Oublier le personnage"
L["Found auction sound"] = "Trouver le son d'enchère"
L["Friends"] = "Amis"
L["From"] = "De"
--[[Translation missing --]]
L["Full inventory"] = "Full inventory"
L["Garrison"] = "Garnison"
L["Gathering"] = "Récolte"
L["Gathering Search"] = "Recherche de récolte"
--[[Translation missing --]]
L["Gathering Setup"] = "Gathering Setup"
L["General Options"] = "Options générales"
--[[Translation missing --]]
L["General Settings"] = "General Settings"
L["Get from Bank"] = "Obtenir de la banque"
L["Get from Guild Bank"] = "Obtenir de la banque de guilde"
--[[Translation missing --]]
L["Gets items from the bank or guild bank matching the item or partial text entered."] = "Gets items from the bank or guild bank matching the item or partial text entered."
L["Gold"] = "Or"
--[[Translation missing --]]
L["Great Deals Search"] = "Great Deals Search"
L["Group already exists."] = "Le groupe existe déjà."
L["Group Management"] = "Gestion des groupes"
--[[Translation missing --]]
L["Group name"] = "Group name"
--[[Translation missing --]]
L["Group Search"] = "Group Search"
L["Grouped Items"] = "Objets groupés"
L["Groups"] = "Groupes"
--[[Translation missing --]]
L["Groups & Operations"] = "Groups & Operations"
--[[Translation missing --]]
L["Groups Using"] = "Groups Using"
L["Guild"] = "Guilde"
L["Guild Bank"] = "Banque de guilde"
L["GVault"] = "BanqueDeGuilde"
L["Have"] = "Avoir"
--[[Translation missing --]]
L["Have Mats"] = "Have Mats"
--[[Translation missing --]]
L["Have Skill Ups"] = "Have Skill Ups"
--[[Translation missing --]]
L["Here you can add/remove what groups this operation is attached to."] = "Here you can add/remove what groups this operation is attached to."
L["Hide auctions with bids"] = "Masquer les enchères avec des offres"
--[[Translation missing --]]
L["Hide Columns"] = "Hide Columns"
L["Hide minimap icon"] = "Cacher l'icône de la mini-carte"
L["Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."] = "Masquer l'interface utilisateur de TSM Bancaire. Tapez  '/tsm bankui' pour la rouvrir."
L["Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."] = "Masquer l'interface utilisateur de la liste e tâches TSM. Tapez '/tsm tasklist' pour la rouvrir."
--[[Translation missing --]]
L["HIGH"] = "HIGH"
L["High Bidder"] = "Meilleur offre"
L["Historical Price"] = "Historique des prix"
--[[Translation missing --]]
L["Historical price"] = "Historical price"
L["Hold ALT to repair from the guild bank."] = "Maintenir ALT pour réparer à partir d'une banque de guilde."
--[[Translation missing --]]
L["Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."] = "Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes"] = "Hold SHIFT to continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."
L["Hold shift to move the items to the parent group instead of removing them."] = "Maintenir Majuscule pour déplacer les objets dans le groupe parent au lieu de les supprimer."
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes"] = "Hold SHIFT to not continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."
--[[Translation missing --]]
L["Hold SHIFT while dragging to scale the window instead."] = "Hold SHIFT while dragging to scale the window instead."
L["Hr"] = "Hr"
L["Hrs"] = "Hrs"
--[[Translation missing --]]
L["If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."] = "If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."
L["Ignore Auctions Below Min"] = "Ignorer les enchères sous le minimum"
--[[Translation missing --]]
L["Ignore auctions by duration"] = "Ignore auctions by duration"
L["Ignore Characters"] = "Ignorer les personnages"
L["Ignore Guilds"] = "Ignorer les guildes"
--[[Translation missing --]]
L["Ignore operation on characters"] = "Ignore operation on characters"
--[[Translation missing --]]
L["Ignore operation on faction-realms"] = "Ignore operation on faction-realms"
--[[Translation missing --]]
L["Ignore variations"] = "Ignore variations"
L["Ignored Cooldowns"] = "Temps de recharge ignorés"
L["Ignored Items"] = "Objets ignorés"
L["ilvl"] = "ilvl"
L["Import"] = "Importer"
--[[Translation missing --]]
L["Import group"] = "Import group"
L["Import Groups & Operations"] = "Importer les Groupes & Opérations"
--[[Translation missing --]]
L["Import String"] = "Import String"
--[[Translation missing --]]
L["Import Summary"] = "Import Summary"
--[[Translation missing --]]
L["Imported Group"] = "Imported Group"
--[[Translation missing --]]
L["Imported group (%s) with %d items, %d operations, and %d custom sources."] = "Imported group (%s) with %d items, %d operations, and %d custom sources."
--[[Translation missing --]]
L["Improved Import / Export."] = "Improved Import / Export."
L["Inbox Settings"] = "Paramètres de boite de réception"
L["Include operations?"] = "Inclure les opérations ?"
L["Include soulbound items"] = "Inclure objets liés"
L["Information"] = "Information"
L["Invalid custom price source for %s. %s"] = "La source du prix personnalisable pour %s n'est pas valide. %s"
L["Invalid custom price."] = "Prix spécifique invalide."
L["Invalid function."] = "Fonction invalide."
L["Invalid gold value."] = "Valeur d'or invalide."
L["Invalid group name."] = "Nom de groupe invalide."
L["Invalid item link."] = "Lien de l'objet invalide."
--[[Translation missing --]]
L["Invalid numeric value."] = "Invalid numeric value."
L["Invalid operation name."] = "Nom d'opération invalide."
L["Invalid operator at end of custom price."] = "Symbole non-valide à la fin du prix paramétrable."
L["Invalid parameter to price source."] = "Paramètre invalide dans la formule du prix"
L["Invalid player name."] = "Nom de joueur invalide."
L["Invalid price source in convert."] = "La source du prix personnalisable dans la conversion n'est pas valide."
--[[Translation missing --]]
L["Invalid price."] = "Invalid price."
--[[Translation missing --]]
L["Invalid Quantity"] = "Invalid Quantity"
--[[Translation missing --]]
L["Invalid search filter (%s)."] = "Invalid search filter (%s)."
--[[Translation missing --]]
L["Invalid search term."] = "Invalid search term."
--[[Translation missing --]]
L["Invalid search term. Cannot filter by price here."] = "Invalid search term. Cannot filter by price here."
L["Invalid seller data returned by server."] = "L'information du vendeur envoyée par le serveur est non-valide."
--[[Translation missing --]]
L["Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."] = "Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."
L["Invalid word: '%s'"] = "Mot invalide: '%s'"
L["Inventory"] = "Inventaire"
L["Inventory / Gold Graph"] = "Inventaire / Graphique"
L["Inventory Options"] = "Options de l'inventaire"
L["It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."] = "Il semblerait que vous ayez manuellement copié les donnes de TSM depuis un autre répertoire \"saved variables\", ce qui empêchera la synchronisation automatique de fonctionner. Vous devez soit, retirer ce dossier soit le supprimer sur les deux comptes (alors que le jeu est fermé) afin de corriger le problème."
--[[Translation missing --]]
L["It looks like you're trying to reference an old global price source which no longer exists."] = "It looks like you're trying to reference an old global price source which no longer exists."
L["Item"] = "Objet"
--[[Translation missing --]]
L["Item Class"] = "Item Class"
L["Item Level"] = "Niveau de l'objet"
--[[Translation missing --]]
L["Item Level Range"] = "Item Level Range"
L["Item links may only be used as parameters to price sources."] = "Seuls les liens d'objets peuvent-être utilisés en tant que source de prix."
L["Item Name"] = "Nom de l'objet"
L["Item Quality"] = "Qualité de l'objet"
--[[Translation missing --]]
L["Item Selection"] = "Item Selection"
--[[Translation missing --]]
L["Item Slot"] = "Item Slot"
--[[Translation missing --]]
L["Item Subclass"] = "Item Subclass"
L["Item Value"] = "Valeur de l'objet"
L["Item/Group is invalid (see chat)."] = "L'Objet/Groupe est invalide (voir le tchat)."
L["Items"] = "Objets"
--[[Translation missing --]]
L["Items Using"] = "Items Using"
--[[Translation missing --]]
L["Keep in bags quantity"] = "Keep in bags quantity"
--[[Translation missing --]]
L["Keep in bank quantity"] = "Keep in bank quantity"
--[[Translation missing --]]
L["Keep quantity"] = "Keep quantity"
--[[Translation missing --]]
L["Keep this amount"] = "Keep this amount"
L["Keeping %d."] = "Conserve %d."
L["Keeping undercut auctions posted."] = "Conserve le prix actuel, même si concurrencé."
L["Last 14 Days"] = "14 derniers jours"
L["Last 3 Days"] = "3 derniers jours"
L["Last 30 Days"] = "30 derniers jours"
L["Last 60 Days"] = "60 derniers jours"
L["Last 7 Days"] = "7 derniers jours"
L["Last Purchased"] = "Dernier acheté"
L["Last Sold"] = "Dernier vendu"
--[[Translation missing --]]
L["LEAST GROUPS"] = "LEAST GROUPS"
--[[Translation missing --]]
L["LEAST ITEMS"] = "LEAST ITEMS"
--[[Translation missing --]]
L["Ledger"] = "Ledger"
L["Level Up"] = "Niveau supérieur"
--[[Translation missing --]]
L["Limit"] = "Limit"
L["Link to Another Operation"] = "Lien vers une autre opération"
L["Loading..."] = "Chargement..."
--[[Translation missing --]]
L["Lock Column Width"] = "Lock Column Width"
--[[Translation missing --]]
L["Lock task list's background"] = "Lock task list's background"
L["Looks like TradeSkillMaster has encountered an error. Please help the author fix this error by following the instructions shown."] = "Il semblerait que TradeSkillMaster ai rencontré une erreur. Merci d'aider les développeurs à la corriger en suivant les instructions affichées."
L["Loop detected in the following custom price:"] = "Boucle détectée pour le prix spécifique suivant :"
--[[Translation missing --]]
L["LOW"] = "LOW"
L["Lowest auction by whitelisted player."] = "Dernière enchère par joueur autorisé."
L["Macro created and scroll wheel bound!"] = "Macro créée et associée à la molette de la souris !"
L["Macro Setup"] = "Configuration de la Macro"
--[[Translation missing --]]
L["Macros"] = "Macros"
L["Mail"] = "Mail"
L["Mail Disenchantables"] = "Envoyer les objets désenchantables"
--[[Translation missing --]]
L["Mail disenchantables max quality"] = "Mail disenchantables max quality"
--[[Translation missing --]]
L["Mail Selected Groups"] = "Mail Selected Groups"
--[[Translation missing --]]
L["Mail Selected Groups (Auto Resend)"] = "Mail Selected Groups (Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run + Auto Resend)"] = "Mail Selected Groups (Dry Run + Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run)"] = "Mail Selected Groups (Dry Run)"
L["Mail to %s"] = "Envoi à %s"
L["Mailing"] = "Envoi"
L["Mailing all to %s."] = "Envoi intégral à %s."
--[[Translation missing --]]
L["Mailing operation"] = "Mailing operation"
--[[Translation missing --]]
L["Mailing operations control mailing to other characters."] = "Mailing operations control mailing to other characters."
L["Mailing up to %d to %s."] = "Envoi jusque %d à %s."
L["Make Cash On Delivery?"] = "Envoi en contre-remboursement ?"
--[[Translation missing --]]
L["Make Operations Global?"] = "Make Operations Global?"
L["Management Options"] = "Options de gestion"
L["Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."] = "Un grand nombre d'actions usuelles de TSM peuvent être ajoutées à une macro et associées à la molette de la souris. Utilisez les options ci-dessous pour paramétrer cette fonction."
L["Map Ping"] = "Ping sur la carte"
L["Market Value"] = "Valeur marchande"
--[[Translation missing --]]
L["Market value"] = "Market value"
--[[Translation missing --]]
L["Market value price source"] = "Market value price source"
L["Market Value Price Source"] = "Source du prix de la valeur marchande"
--[[Translation missing --]]
L["Mat cost"] = "Mat cost"
L["Mat Price"] = "Prix des matières premières"
--[[Translation missing --]]
L["Match stack size"] = "Match stack size"
L["Match whitelisted players"] = "Faire correspondre aux joueurs de la liste blanche"
--[[Translation missing --]]
L["Material Cost"] = "Material Cost"
--[[Translation missing --]]
L["Material Price"] = "Material Price"
L["Materials"] = "Matériaux"
L["Materials to Gather"] = "Matériaux à rassembler"
--[[Translation missing --]]
L["Max"] = "Max"
L["Max Buy Price"] = "Prix d'achat max"
--[[Translation missing --]]
L["Max destroy value (Enter '0c' to disable)"] = "Max destroy value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max expires to bank"] = "Max expires to bank"
--[[Translation missing --]]
L["Max market value (Enter '0c' to disable)"] = "Max market value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max Price"] = "Max Price"
--[[Translation missing --]]
L["Max quantity"] = "Max quantity"
--[[Translation missing --]]
L["Max restock quantity"] = "Max restock quantity"
L["Max Sell Price"] = "Prix de vente max"
L["Max Shopping Price"] = "Prix d'achat max"
--[[Translation missing --]]
L["Max shopping price"] = "Max shopping price"
--[[Translation missing --]]
L["Max sniper price"] = "Max sniper price"
L["Maximum amount already posted."] = "Quantité maximale déjà postée."
--[[Translation missing --]]
L["Maximum auction price"] = "Maximum auction price"
--[[Translation missing --]]
L["Maximum disenchant level"] = "Maximum disenchant level"
--[[Translation missing --]]
L["Maximum disenchant quality"] = "Maximum disenchant quality"
--[[Translation missing --]]
L["Maximum disenchant search percent"] = "Maximum disenchant search percent"
--[[Translation missing --]]
L["Maximum price"] = "Maximum price"
--[[Translation missing --]]
L["Maximum Quantity to Buy"] = "Maximum Quantity to Buy"
--[[Translation missing --]]
L["Maximum restock quantity"] = "Maximum restock quantity"
--[[Translation missing --]]
L["Midnight"] = "Midnight"
--[[Translation missing --]]
L["Mill value"] = "Mill value"
L["Mill Value"] = "Valeur de la fabrique"
L["Min"] = "Min"
--[[Translation missing --]]
L["Min 0 - Max 20"] = "Min 0 - Max 20"
--[[Translation missing --]]
L["Min 0.5 - Max 10"] = "Min 0.5 - Max 10"
L["Min Buy Price"] = "Prix d'achat min"
L["Min Buyout"] = "Prix de rachat min"
--[[Translation missing --]]
L["Min buyout"] = "Min buyout"
--[[Translation missing --]]
L["Min number of expires"] = "Min number of expires"
--[[Translation missing --]]
L["Min profit amount"] = "Min profit amount"
--[[Translation missing --]]
L["Min restock quantity"] = "Min restock quantity"
L["Min Sell Price"] = "Prix de vente min"
--[[Translation missing --]]
L["Min/Normal/Max price"] = "Min/Normal/Max price"
L["Min/Normal/Max Prices"] = "Prix Min/Normal/Max"
--[[Translation missing --]]
L["Minimum disenchant level"] = "Minimum disenchant level"
--[[Translation missing --]]
L["Minimum price"] = "Minimum price"
--[[Translation missing --]]
L["Minimum Rarity"] = "Minimum Rarity"
L["Misplaced comma"] = "Virgule mal placée"
L["Missing Materials"] = "Matériaux manquants"
L["Missing operator between sets of parenthesis"] = "Opérateur manquant entre les séries de parenthèses"
--[[Translation missing --]]
L["Modifiers"] = "Modifiers"
L["Money Frame Open"] = "Cadre d'argent ouvert"
L["Money Transfer"] = "Transfert d'argent"
--[[Translation missing --]]
L["MOST GROUPS"] = "MOST GROUPS"
--[[Translation missing --]]
L["MOST ITEMS"] = "MOST ITEMS"
L["MOVE"] = "DEPLACER"
--[[Translation missing --]]
L["Move %d |4Item:Items"] = "Move %d |4Item:Items"
--[[Translation missing --]]
L["Move %d already grouped items?"] = "Move %d already grouped items?"
--[[Translation missing --]]
L["Move all to Bags"] = "Move all to Bags"
--[[Translation missing --]]
L["Move Item"] = "Move Item"
--[[Translation missing --]]
L["Move Quantity Options"] = "Move Quantity Options"
--[[Translation missing --]]
L["Move to bags"] = "Move to bags"
--[[Translation missing --]]
L["Move to bank"] = "Move to bank"
--[[Translation missing --]]
L["Move to Parent Group"] = "Move to Parent Group"
L["MOVING"] = "EN DÉPLACEMENT"
L["Moving"] = "En déplacement"
L["Multiple Items"] = "Plusieurs objets"
--[[Translation missing --]]
L["Must be between %d and %s."] = "Must be between %d and %s."
L["My Auctions"] = "Mes Enchères"
--[[Translation missing --]]
L["My Auctions %s button"] = "My Auctions %s button"
--[[Translation missing --]]
L["Name"] = "Name"
L["NEED MATS"] = "BESOIN DE MATIERES"
--[[Translation missing --]]
L["New Base Group search."] = "New Base Group search."
L["New Group"] = "Nouveau groupe"
L["New Operation"] = "Nouvelle opération"
--[[Translation missing --]]
L["New price sources."] = "New price sources."
--[[Translation missing --]]
L["News & Information"] = "News & Information"
L["No Attachments"] = "Aucune pièce jointe"
--[[Translation missing --]]
L["No AuctionDB Realm Data"] = "No AuctionDB Realm Data"
--[[Translation missing --]]
L["No AuctionDB Region Data"] = "No AuctionDB Region Data"
--[[Translation missing --]]
L["No Characters"] = "No Characters"
L["No Crafts"] = "Pas d'artisanat"
--[[Translation missing --]]
L["No Faction-Realms"] = "No Faction-Realms"
L["No group selected"] = "Aucun groupe sélectionné"
--[[Translation missing --]]
L["No Guilds"] = "No Guilds"
L["No item specified. Usage: /tsm restock_help [ITEM_LINK]"] = "Aucun objet spécifié. Usage : /tsm restock_help [ITEM_LINK]"
L["NO ITEMS"] = "AUCUN OBJET"
L["No Materials to Gather"] = "Pas de matériaux à rassembler"
L["No Operation Selected"] = "Aucune opération sélectionnée"
--[[Translation missing --]]
L["No Players"] = "No Players"
L["No posting."] = "Pas d'envoi."
L["No Profession Opened"] = "Aucun métier ouvert"
L["No Profession Selected"] = "Aucun métier sélectionné"
--[[Translation missing --]]
L["No Professions"] = "No Professions"
L["No profile specified. Possible profiles: '%s'"] = "Aucun profil spécifié. Profils possibles : '%s'"
--[[Translation missing --]]
L["No Rarities"] = "No Rarities"
--[[Translation missing --]]
L["No receipe selected"] = "No receipe selected"
L["No recent AuctionDB scan data found."] = "Pas de scan AuctionDB récent trouvé."
L["No Sound"] = "Pas de son"
--[[Translation missing --]]
L["No Sources"] = "No Sources"
--[[Translation missing --]]
L["No Types"] = "No Types"
--[[Translation missing --]]
L["No value was returned by the custom price for the specified item."] = "No value was returned by the custom price for the specified item."
L["None"] = "Rien"
L["None (Always Show)"] = "Aucun (toujours afficher)"
L["None Selected"] = "Aucun sélectionné"
--[[Translation missing --]]
L["Nongroup to bank"] = "Nongroup to bank"
--[[Translation missing --]]
L["Normal price"] = "Normal price"
L["Not canceling auction at reset price."] = "Ne pas annuler les enchères sous le prix de réinitialisation."
L["Not canceling auction below min price."] = "Ne pas annuler les enchères sous le prix minimal."
L["Not canceling."] = "Ne pas annuler."
L["Not Connected"] = "Non connecté"
L["Not enough items in bags."] = "Pas assez d'objets dans les sacs."
--[[Translation missing --]]
L["Not Enough Money"] = "Not Enough Money"
--[[Translation missing --]]
L["Not enough money to cancel."] = "Not enough money to cancel."
L["NOT OPEN"] = "FERMÉ"
L["Not Scanned"] = "Non scanné"
--[[Translation missing --]]
L["NOTE: The import contained %d invalid items which were ignored."] = "NOTE: The import contained %d invalid items which were ignored."
--[[Translation missing --]]
L["NOTE: The import contained %d operations with at least one invalid setting which was reset."] = "NOTE: The import contained %d operations with at least one invalid setting which was reset."
L["Nothing to move."] = "Rien à déplacer."
--[[Translation missing --]]
L["Nothing to send."] = "Nothing to send."
--[[Translation missing --]]
L["Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."] = "Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."
L["NPC"] = "PNJ"
L["Number Owned"] = "Nombre possédé"
L["Offline"] = "Hors ligne"
L["On Cooldown"] = "Sur le temps de recharge"
L["Only show craftable"] = "Montrer que les fabriquables"
--[[Translation missing --]]
L["Only show items with disenchant values above this price"] = "Only show items with disenchant values above this price"
--[[Translation missing --]]
L["Only show sold auctions"] = "Only show sold auctions"
L["OPEN"] = "OUVERT"
--[[Translation missing --]]
L["Open All Mail"] = "Open All Mail"
--[[Translation missing --]]
L["Open All Mail Without Money"] = "Open All Mail Without Money"
L["Open Mail"] = "Ouvrir le courrier"
--[[Translation missing --]]
L["Open mail complete sound"] = "Open mail complete sound"
--[[Translation missing --]]
L["Open Mail Without Money"] = "Open Mail Without Money"
L["Open Task List"] = "Ouvrir Liste des Tâches"
--[[Translation missing --]]
L["Opens the Destroying frame if there's stuff in your bags to be destroyed."] = "Opens the Destroying frame if there's stuff in your bags to be destroyed."
L["Operation"] = "Opération"
L["Operations"] = "Opérations"
--[[Translation missing --]]
L["Options specific to Sniper are below."] = "Options specific to Sniper are below."
--[[Translation missing --]]
L["Order Confirmation"] = "Order Confirmation"
--[[Translation missing --]]
L["Orgrimmar"] = "Orgrimmar"
--[[Translation missing --]]
L["Other"] = "Other"
L["Other Character"] = "Autre personnage"
--[[Translation missing --]]
L["Override default craft value"] = "Override default craft value"
--[[Translation missing --]]
L["Override Parent Operations"] = "Override Parent Operations"
L["Parent Items"] = "Articles parents"
--[[Translation missing --]]
L["Pausing Scan..."] = "Pausing Scan..."
L["Per Item"] = "Par objet"
L["Per Stack"] = "Par pile"
--[[Translation missing --]]
L["Per-Character group selections."] = "Per-Character group selections."
--[[Translation missing --]]
L["Performing a dry-run of your Mailing operations for the selected groups."] = "Performing a dry-run of your Mailing operations for the selected groups."
--[[Translation missing --]]
L["Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."] = "Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."
L["Player Gold"] = "Or du joueur"
L["Player Invite Accept"] = "Accepter l'invitation d'autres joueurs"
--[[Translation missing --]]
L["Post"] = "Post"
--[[Translation missing --]]
L["Post / Cancel"] = "Post / Cancel"
L["Post at Maximum Price"] = "Poster au prix maximum"
L["Post at Minimum Price"] = "Poster au prix minimum"
L["Post at Normal Price"] = "Poster au prix normal"
--[[Translation missing --]]
L["Post Auction"] = "Post Auction"
--[[Translation missing --]]
L["Post cap"] = "Post cap"
--[[Translation missing --]]
L["Post cap to bags"] = "Post cap to bags"
--[[Translation missing --]]
L["Post from Shopping Scan"] = "Post from Shopping Scan"
--[[Translation missing --]]
L["Post Items from Bags"] = "Post Items from Bags"
--[[Translation missing --]]
L["Post Quantity"] = "Post Quantity"
L["Post Scan"] = "Poster le scan"
--[[Translation missing --]]
L["Post Selected"] = "Post Selected"
L["Postage"] = "Frais d'envoi"
L["Posted at whitelisted player's price."] = "Enchère placée au prix d'un joueur en liste blanche."
--[[Translation missing --]]
L["Posted:"] = "Posted:"
L["Posting"] = "Poster"
--[[Translation missing --]]
L["Posting %d / %d"] = "Posting %d / %d"
--[[Translation missing --]]
L["Posting %d items for %s hours."] = "Posting %d items for %s hours."
--[[Translation missing --]]
L["Posting %d stack(s) of %d for %s hours."] = "Posting %d stack(s) of %d for %s hours."
L["Posting at normal price."] = "Affichage au prix normal."
L["Posting at whitelisted player's price."] = "Posting at whitelisted player's price."
L["Posting at your current price."] = "Affichage à votre prix actuel."
L["Posting disabled."] = "Mise en vente désactivée."
--[[Translation missing --]]
L["Posting Options"] = "Posting Options"
--[[Translation missing --]]
L["Posting Price"] = "Posting Price"
--[[Translation missing --]]
L["Posts"] = "Posts"
L["Potential"] = "Potentiel"
--[[Translation missing --]]
L["Prepare Bid"] = "Prepare Bid"
--[[Translation missing --]]
L["Prepare Buy"] = "Prepare Buy"
--[[Translation missing --]]
L["Preparing..."] = "Preparing..."
--[[Translation missing --]]
L["Prevent closing the Auction House with the esc key"] = "Prevent closing the Auction House with the esc key"
--[[Translation missing --]]
L["Prints out the available price sources for use in custom prices"] = "Prints out the available price sources for use in custom prices"
--[[Translation missing --]]
L["Prints out the version numbers of all installed modules"] = "Prints out the version numbers of all installed modules"
--[[Translation missing --]]
L["Prints the slash command help listing"] = "Prints the slash command help listing"
--[[Translation missing --]]
L["Processing scan results..."] = "Processing scan results..."
--[[Translation missing --]]
L["Profession"] = "Profession"
L["Profession Info"] = "Info de métier"
L["Professions Used In"] = "Métiers utilisés dans"
L["Profile changed to '%s'."] = "Le profil a été remplacé par '%s'."
L["Profiles"] = "Profils"
L["Profit"] = "Bénéfice"
L["PROFIT"] = "BENEFICE"
--[[Translation missing --]]
L["Profit (Total)"] = "Profit (Total)"
--[[Translation missing --]]
L["Prospect value"] = "Prospect value"
L["Prospect Value"] = "Valeur de Prospection"
--[[Translation missing --]]
L["Purchase"] = "Purchase"
--[[Translation missing --]]
L["Purchase / Sale Info"] = "Purchase / Sale Info"
--[[Translation missing --]]
L["Purchase Data"] = "Purchase Data"
--[[Translation missing --]]
L["Purchase information"] = "Purchase information"
--[[Translation missing --]]
L["Purchase Item"] = "Purchase Item"
L["Purchased (Min/Avg/Max Price)"] = "Acheté (Prix Min/Moyen/Max)"
L["Purchased (Total Price)"] = "Acheté (Prix total)"
L["Purchases"] = "Achats"
L["Purchasing Auction"] = "Vente aux enchères"
--[[Translation missing --]]
L["Puts items matching the item or partial text entered into the bank or guild bank."] = "Puts items matching the item or partial text entered into the bank or guild bank."
L["Qty"] = "Qté"
--[[Translation missing --]]
L["Quantity"] = "Quantity"
--[[Translation missing --]]
L["Quantity Purchased:"] = "Quantity Purchased:"
L["Quantity Sold:"] = "quantité vendue :"
--[[Translation missing --]]
L["Quantity to move"] = "Quantity to move"
L["Quest Added"] = "Quête ajoutée"
L["Quest Completed"] = "Quête terminée"
L["Quest Objectives Complete"] = "Objectifs de quête terminés"
--[[Translation missing --]]
L["Queue"] = "Queue"
L["Quickly mail all excess disenchantable items to a character"] = "Envoie tout objet désenchantable au personnage de votre choix."
L["Quickly mail all excess gold (limited to a certain amount) to a character"] = "Envoie tout montant d'Or (limité à un montant restant minimum) à un personnage."
L["Raid Warning"] = "Alerte de Raid"
L["Read More"] = "Lire plus"
L["Ready Check"] = "Vérification prête"
L["Ready to Cancel"] = "PRÊT À ANNULER"
--[[Translation missing --]]
L["Recent"] = "Recent"
L["Recent Scans"] = "Scans récents"
L["Recent Searches"] = "Recherches récentes"
--[[Translation missing --]]
L["Recipe Name"] = "Recipe Name"
--[[Translation missing --]]
L["Recipient"] = "Recipient"
--[[Translation missing --]]
L["Region avg daily sold"] = "Region avg daily sold"
--[[Translation missing --]]
L["Region Avg Daily Sold"] = "Region Avg Daily Sold"
L["Region Historical Price"] = "Prix historique de la région"
--[[Translation missing --]]
L["Region historical price"] = "Region historical price"
--[[Translation missing --]]
L["Region market value"] = "Region market value"
--[[Translation missing --]]
L["Region Market Value Avg"] = "Region Market Value Avg"
--[[Translation missing --]]
L["Region Min Buyout Avg"] = "Region Min Buyout Avg"
--[[Translation missing --]]
L["Region min buyout avg"] = "Region min buyout avg"
--[[Translation missing --]]
L["Region sale avg"] = "Region sale avg"
L["Region Sale Avg"] = "Vente moyenne par région"
--[[Translation missing --]]
L["Region Sale Rate"] = "Region Sale Rate"
--[[Translation missing --]]
L["Region sale rate"] = "Region sale rate"
L["Reload"] = "Recharger"
--[[Translation missing --]]
L["Reload UI (%02d)"] = "Reload UI (%02d)"
--[[Translation missing --]]
L["Reload UI (%d)"] = "Reload UI (%d)"
--[[Translation missing --]]
L["Remove"] = "Remove"
--[[Translation missing --]]
L["Remove %d |4Item:Items"] = "Remove %d |4Item:Items"
--[[Translation missing --]]
L["Remove Data Older Than (Days)"] = "Remove Data Older Than (Days)"
--[[Translation missing --]]
L["Remove this account sync and all synced data from this account"] = "Remove this account sync and all synced data from this account"
--[[Translation missing --]]
L["Removed a total of %s old records."] = "Removed a total of %s old records."
--[[Translation missing --]]
L["Removed custom price source (%s) which has an invalid name."] = "Removed custom price source (%s) which has an invalid name."
L["Rename"] = "Renommer"
L["Rename Profile"] = "Renommer le profil"
--[[Translation missing --]]
L["Rename Search"] = "Rename Search"
--[[Translation missing --]]
L["Rename the profile"] = "Rename the profile"
--[[Translation missing --]]
L["Rename this group"] = "Rename this group"
--[[Translation missing --]]
L["Repair"] = "Repair"
--[[Translation missing --]]
L["Repair Bill"] = "Repair Bill"
--[[Translation missing --]]
L["Repair from Guild Bank"] = "Repair from Guild Bank"
--[[Translation missing --]]
L["Replace %d existing operations and %d existing custom sources?"] = "Replace %d existing operations and %d existing custom sources?"
--[[Translation missing --]]
L["Replace %d existing operations?"] = "Replace %d existing operations?"
--[[Translation missing --]]
L["Reply"] = "Reply"
--[[Translation missing --]]
L["Report Spam"] = "Report Spam"
--[[Translation missing --]]
L["Reports"] = "Reports"
--[[Translation missing --]]
L["Repost threshold"] = "Repost threshold"
L["Required Level"] = "Niveau requis"
--[[Translation missing --]]
L["Required Level Range"] = "Required Level Range"
L["Resale"] = "Revendre"
--[[Translation missing --]]
L["Rescan"] = "Rescan"
--[[Translation missing --]]
L["Reset"] = "Reset"
--[[Translation missing --]]
L["Reset All Filters"] = "Reset All Filters"
L["Reset Filters"] = "Réinitialiser les filtres"
--[[Translation missing --]]
L["Reset Operation?"] = "Reset Operation?"
--[[Translation missing --]]
L["Reset Profile?"] = "Reset Profile?"
--[[Translation missing --]]
L["Reset Table"] = "Reset Table"
--[[Translation missing --]]
L["Reset the current profile to default settings"] = "Reset the current profile to default settings"
--[[Translation missing --]]
L["Reset to Default"] = "Reset to Default"
--[[Translation missing --]]
L["Reset Zoom"] = "Reset Zoom"
--[[Translation missing --]]
L["Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."] = "Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."
--[[Translation missing --]]
L["Restart"] = "Restart"
--[[Translation missing --]]
L["Restart delay (minutes)"] = "Restart delay (minutes)"
--[[Translation missing --]]
L["Restock bags"] = "Restock bags"
--[[Translation missing --]]
L["Restock help for %s: %s"] = "Restock help for %s: %s"
--[[Translation missing --]]
L["Restock Options"] = "Restock Options"
--[[Translation missing --]]
L["Restock quantity"] = "Restock quantity"
--[[Translation missing --]]
L["Restock Selected Groups"] = "Restock Selected Groups"
--[[Translation missing --]]
L["Restock target to max quantity"] = "Restock target to max quantity"
L["Restocking to %d."] = "Réapprovisionnement en %d."
--[[Translation missing --]]
L["Restocking with a min profit."] = "Restocking with a min profit."
--[[Translation missing --]]
L["Restocking with no min profit."] = "Restocking with no min profit."
--[[Translation missing --]]
L["Restore bags"] = "Restore bags"
--[[Translation missing --]]
L["Resuming Scan..."] = "Resuming Scan..."
L["Retrying %d auction(s) which failed."] = "Nouvelle tentative de %d enchères qui a échoué."
L["Revenue"] = "Revenue"
--[[Translation missing --]]
L["Right-Click to reset the window size, scale, and position to their defaults."] = "Right-Click to reset the window size, scale, and position to their defaults."
--[[Translation missing --]]
L["Run Advanced Item Search"] = "Run Advanced Item Search"
L["Run Bid Sniper"] = "Scan d'OFFRES \"Sniper\""
L["Run Buyout Sniper"] = "Lancer le sniper de rachat"
--[[Translation missing --]]
L["Run Cancel Scan"] = "Run Cancel Scan"
--[[Translation missing --]]
L["Run Post Scan"] = "Run Post Scan"
--[[Translation missing --]]
L["Run Shopping Scan"] = "Run Shopping Scan"
L["Running Sniper Scan"] = "Scan \"SNIPER\""
L["Sale"] = "Vente"
--[[Translation missing --]]
L["Sale Data"] = "Sale Data"
--[[Translation missing --]]
L["Sale information"] = "Sale information"
L["Sale Price"] = "Prix de vente"
L["Sale Rate"] = "Taux de vente"
--[[Translation missing --]]
L["Sale rate"] = "Sale rate"
L["Sales"] = "Ventes"
L["SALES"] = "VENTES"
--[[Translation missing --]]
L["Save"] = "Save"
--[[Translation missing --]]
L["Scan"] = "Scan"
L["SCAN ALL"] = "TOUT SCANNER"
--[[Translation missing --]]
L["Scan complete sound"] = "Scan complete sound"
L["Scan Paused"] = "Scan Interrompu"
--[[Translation missing --]]
L["Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."] = "Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."
--[[Translation missing --]]
L["Scanning"] = "Scanning"
L["SCANNING"] = "SCAN EN COURS"
--[[Translation missing --]]
L["Scanning (%d Items)"] = "Scanning (%d Items)"
--[[Translation missing --]]
L["Scroll wheel direction"] = "Scroll wheel direction"
--[[Translation missing --]]
L["Scroll Wheel Options"] = "Scroll Wheel Options"
L["Search"] = "Recherche"
--[[Translation missing --]]
L["Search %s operations"] = "Search %s operations"
L["Search Bags"] = "Recherche de sacs"
L["Search Groups"] = "Chercher les groupes"
--[[Translation missing --]]
L["Search items"] = "Search items"
--[[Translation missing --]]
L["Search items in group"] = "Search items in group"
--[[Translation missing --]]
L["Search items in mailbox"] = "Search items in mailbox"
L["Search Operations"] = "Opérations de recherche"
L["Search Patterns"] = "Modèles de recherche"
--[[Translation missing --]]
L["Search Results"] = "Search Results"
--[[Translation missing --]]
L["Search the auction house"] = "Search the auction house"
L["Search Vendor"] = "Sélectionner un vendeur"
--[[Translation missing --]]
L["Select / Deselect All Groups"] = "Select / Deselect All Groups"
--[[Translation missing --]]
L["Select / Deselect All Items"] = "Select / Deselect All Items"
--[[Translation missing --]]
L["Select / Deselect All Results"] = "Select / Deselect All Results"
L["Select a Source"] = "Sélectionnez une source"
L["Select Action"] = "Sélectionner une action"
--[[Translation missing --]]
L["Select All"] = "Select All"
--[[Translation missing --]]
L["Select an Auction to Buy"] = "Select an Auction to Buy"
L["Select Auction to Cancel"] = "Sélectionner une enchère à annuler"
L["Select crafter"] = "Sélectionnez artisan"
--[[Translation missing --]]
L["Select Group"] = "Select Group"
--[[Translation missing --]]
L["Select included subgroups"] = "Select included subgroups"
--[[Translation missing --]]
L["Select Items to Attach"] = "Select Items to Attach"
L["Select professions"] = "Sélectionnez des professions"
L["Sell"] = "Vendre"
--[[Translation missing --]]
L["Sell All"] = "Sell All"
--[[Translation missing --]]
L["Sell BoEs"] = "Sell BoEs"
--[[Translation missing --]]
L["Sell Groups"] = "Sell Groups"
L["Sell Options"] = "Options de vente"
--[[Translation missing --]]
L["Sell soulbound items"] = "Sell soulbound items"
L["Sell to Vendor"] = "Vendre au vendeur"
--[[Translation missing --]]
L["Sell Trash"] = "Sell Trash"
L["Seller"] = "Vendeur"
--[[Translation missing --]]
L["Selling soulbound items."] = "Selling soulbound items."
L["Send"] = "Envoyer"
--[[Translation missing --]]
L["Send Disenchantables"] = "Send Disenchantables"
L["Send Excess Gold to Banker"] = "Envoi de pièces d'Or à votre personnage banquier"
--[[Translation missing --]]
L["Send Gold"] = "Send Gold"
L["Send grouped items individually"] = "Envoyer individuellement les objets groupés"
--[[Translation missing --]]
L["Send Mail"] = "Send Mail"
L["Send Money"] = "Envoyer argent"
--[[Translation missing --]]
L["Send your active profile to this synced account"] = "Send your active profile to this synced account"
--[[Translation missing --]]
L["Sender"] = "Sender"
L["SENDING"] = "ENVOI"
L["Sending %s to %s"] = "Envoi %s à %s"
--[[Translation missing --]]
L["Sending %s to %s with a COD of %s"] = "Sending %s to %s with a COD of %s"
L["Sending Settings"] = "Paramètres d'envoi"
L["Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"] = "Envoi du profil '%s' à %s. Laissez les deux personnages connectés tant que ce n'est pas terminé. Cela prendra environ :%s"
--[[Translation missing --]]
L["Sending..."] = "Sending..."
--[[Translation missing --]]
L["Set bid as percentage of buyout"] = "Set bid as percentage of buyout"
--[[Translation missing --]]
L["Set how items are moved out of the bank."] = "Set how items are moved out of the bank."
--[[Translation missing --]]
L["Set how items are restocked from the bank."] = "Set how items are restocked from the bank."
--[[Translation missing --]]
L["Set keep in bags quantity"] = "Set keep in bags quantity"
--[[Translation missing --]]
L["Set keep in bank quantity"] = "Set keep in bank quantity"
--[[Translation missing --]]
L["Set max quantity"] = "Set max quantity"
--[[Translation missing --]]
L["Set min profit"] = "Set min profit"
--[[Translation missing --]]
L["Set move quantity"] = "Set move quantity"
--[[Translation missing --]]
L["Set stack size"] = "Set stack size"
--[[Translation missing --]]
L["Set stack size for restock"] = "Set stack size for restock"
--[[Translation missing --]]
L["Set what is bought from a vendor."] = "Set what is bought from a vendor."
--[[Translation missing --]]
L["Set what is sold to a vendor."] = "Set what is sold to a vendor."
--[[Translation missing --]]
L["Set what items are shown during a Shopping scan."] = "Set what items are shown during a Shopping scan."
--[[Translation missing --]]
L["Set what items are shown during a Sniper scan."] = "Set what items are shown during a Sniper scan."
--[[Translation missing --]]
L["Set your active profile or create a new one."] = "Set your active profile or create a new one."
--[[Translation missing --]]
L["Settings"] = "Settings"
--[[Translation missing --]]
L["Setup various sounds that play when doing Auctioning scans."] = "Setup various sounds that play when doing Auctioning scans."
--[[Translation missing --]]
L["SHIFT"] = "SHIFT"
L["Shopping"] = "Achats"
--[[Translation missing --]]
L["Shopping %s button"] = "Shopping %s button"
L["Shopping for auctions including those above the max price."] = "Acheter des enchères, y compris celles supérieures au prix maximum."
L["Shopping for auctions with a max price set."] = "Acheter pour des enchères avec un prix maximum fixé."
--[[Translation missing --]]
L["Shopping operation"] = "Shopping operation"
--[[Translation missing --]]
L["Shopping Operation Max Price"] = "Shopping Operation Max Price"
--[[Translation missing --]]
L["Shopping operations control buyout from the AH."] = "Shopping operations control buyout from the AH."
--[[Translation missing --]]
L["Shortfall to bags"] = "Shortfall to bags"
--[[Translation missing --]]
L["Show auctions above max price"] = "Show auctions above max price"
L["Show confirmation alert if buyout is above the alert price"] = "Afficher l'alerte de confirmation si le rachat est supérieur au prix d'alerte"
--[[Translation missing --]]
L["Show destroying frame automatically"] = "Show destroying frame automatically"
--[[Translation missing --]]
L["Show on modifier"] = "Show on modifier"
--[[Translation missing --]]
L["Show only auctions with bids"] = "Show only auctions with bids"
--[[Translation missing --]]
L["Showing %s Mail"] = "Showing %s Mail"
--[[Translation missing --]]
L["Showing %s of %d Mail"] = "Showing %s of %d Mail"
--[[Translation missing --]]
L["Showing %s of %d Mails"] = "Showing %s of %d Mails"
--[[Translation missing --]]
L["Showing all %s Mails"] = "Showing all %s Mails"
--[[Translation missing --]]
L["Simple inventory"] = "Simple inventory"
--[[Translation missing --]]
L["Skip"] = "Skip"
--[[Translation missing --]]
L["Skipped:"] = "Skipped:"
L["Skipped: No assigned operation"] = "Passé : Aucune opération assignée"
L["Slash Commands:"] = "Commandes Slash:"
--[[Translation missing --]]
L["Smart Avg Buy Price"] = "Smart Avg Buy Price"
L["Sniper"] = "Sniper"
--[[Translation missing --]]
L["Sniper %s button"] = "Sniper %s button"
--[[Translation missing --]]
L["Sniper Below Price"] = "Sniper Below Price"
--[[Translation missing --]]
L["Sniper operation"] = "Sniper operation"
--[[Translation missing --]]
L["Sniper Operation Below Price"] = "Sniper Operation Below Price"
--[[Translation missing --]]
L["Sniper operations control sniping from the AH."] = "Sniper operations control sniping from the AH."
L["Sniper Options"] = "Options du sniper"
--[[Translation missing --]]
L["Sniping items below a max price"] = "Sniping items below a max price"
L["Sold"] = "Vendu"
--[[Translation missing --]]
L["Sold %d of %s to %s for %s"] = "Sold %d of %s to %s for %s"
--[[Translation missing --]]
L["Sold %s worth of items."] = "Sold %s worth of items."
L["Sold (Min/Avg/Max Price)"] = "Vendu (Prix Min/Moyen/Max)"
L["Sold (Total Price)"] = "Vendu (prix total)"
--[[Translation missing --]]
L["Sold [%s]x%d for %s to %s"] = "Sold [%s]x%d for %s to %s"
--[[Translation missing --]]
L["Sold for:"] = "Sold for:"
--[[Translation missing --]]
L["Some general Accounting options are below."] = "Some general Accounting options are below."
--[[Translation missing --]]
L["Some general appearance options are below."] = "Some general appearance options are below."
--[[Translation missing --]]
L["Some general Auctioning options are below."] = "Some general Auctioning options are below."
--[[Translation missing --]]
L["Some general Browse/Sniper options are below."] = "Some general Browse/Sniper options are below."
--[[Translation missing --]]
L["Some general options for the TSM tooltip information are below."] = "Some general options for the TSM tooltip information are below."
--[[Translation missing --]]
L["Some general TSM options are below."] = "Some general TSM options are below."
--[[Translation missing --]]
L["Some options for the Disenchant Search are below."] = "Some options for the Disenchant Search are below."
L["Source"] = "Source"
L["SOURCE %d"] = "SOURCE %d"
L["Sources"] = "Sources"
--[[Translation missing --]]
L["Sources to include for restock"] = "Sources to include for restock"
L["Stack"] = "Pile"
L["Stack / Quantity"] = "Pile / Quantité"
--[[Translation missing --]]
L["Stack size"] = "Stack size"
--[[Translation missing --]]
L["Stack size multiple"] = "Stack size multiple"
--[[Translation missing --]]
L["Stack(s)"] = "Stack(s)"
--[[Translation missing --]]
L["Start either a 'Buyout' or 'Bid' sniper using the buttons above."] = "Start either a 'Buyout' or 'Bid' sniper using the buttons above."
--[[Translation missing --]]
L["Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."] = "Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."
L["Starting Scan..."] = "Début du scan ..."
L["Store operations globally"] = "Opérations de stockage global"
--[[Translation missing --]]
L["Stormwind"] = "Stormwind"
--[[Translation missing --]]
L["String"] = "String"
L["Subject"] = "Sujet"
--[[Translation missing --]]
L["Subject & Description added"] = "Subject & Description added"
--[[Translation missing --]]
L["Successfully sent your '%s' profile to %s!"] = "Successfully sent your '%s' profile to %s!"
--[[Translation missing --]]
L["Supported range: %d - %d"] = "Supported range: %d - %d"
--[[Translation missing --]]
L["Supported value range: %d - %d"] = "Supported value range: %d - %d"
--[[Translation missing --]]
L["Swamp of Sorrows"] = "Swamp of Sorrows"
--[[Translation missing --]]
L["Switch to %s"] = "Switch to %s"
--[[Translation missing --]]
L["Sync Setup Error: The specified player on the other account is not currently online."] = "Sync Setup Error: The specified player on the other account is not currently online."
--[[Translation missing --]]
L["Sync Setup Error: This character is already part of a known account."] = "Sync Setup Error: This character is already part of a known account."
--[[Translation missing --]]
L["Sync Setup Error: You entered the name of the current character and not the character on the other account."] = "Sync Setup Error: You entered the name of the current character and not the character on the other account."
--[[Translation missing --]]
L["Sync Status"] = "Sync Status"
--[[Translation missing --]]
L["Target character"] = "Target character"
--[[Translation missing --]]
L["Target shortfall to bags"] = "Target shortfall to bags"
--[[Translation missing --]]
L["Tasks Added to Task List"] = "Tasks Added to Task List"
--[[Translation missing --]]
L["Tells you why a specific item is not being restocked and added to the queue."] = "Tells you why a specific item is not being restocked and added to the queue."
L["Text (%s)"] = "Texte (%s)"
--[[Translation missing --]]
L["The '%s' custom price source is invalid."] = "The '%s' custom price source is invalid."
--[[Translation missing --]]
L["The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."] = "The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."
--[[Translation missing --]]
L["The buyout price for %s would be above the maximum allowed price. Skipping this item."] = "The buyout price for %s would be above the maximum allowed price. Skipping this item."
--[[Translation missing --]]
L["The canlearn filter was ignored because the CanIMogIt addon was not found."] = "The canlearn filter was ignored because the CanIMogIt addon was not found."
--[[Translation missing --]]
L["The 'Craft Value Method' did not return a value for this item."] = "The 'Craft Value Method' did not return a value for this item."
--[[Translation missing --]]
L["The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."] = "The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."
--[[Translation missing --]]
L["The max quantity cannot be zero."] = "The max quantity cannot be zero."
--[[Translation missing --]]
L["The min profit did not evalulate to a valid value for this item."] = "The min profit did not evalulate to a valid value for this item."
--[[Translation missing --]]
L["The name portion of the search term must be at least 3 characters if present."] = "The name portion of the search term must be at least 3 characters if present."
--[[Translation missing --]]
L["The pasted value was not valid. Ensure you are pasting the entire import string."] = "The pasted value was not valid. Ensure you are pasting the entire import string."
--[[Translation missing --]]
L["The player \"%s\" is already on your whitelist."] = "The player \"%s\" is already on your whitelist."
--[[Translation missing --]]
L["The profit of this item (%s) is below the min profit (%s)."] = "The profit of this item (%s) is below the min profit (%s)."
--[[Translation missing --]]
L["The same filter was specified multiple times."] = "The same filter was specified multiple times."
--[[Translation missing --]]
L["The search term must be at least 3 characters."] = "The search term must be at least 3 characters."
--[[Translation missing --]]
L["The seller name of the lowest auction for %s was not given by the server. Skipping this item."] = "The seller name of the lowest auction for %s was not given by the server. Skipping this item."
--[[Translation missing --]]
L["The specified filter was empty."] = "The specified filter was empty."
--[[Translation missing --]]
L["The specified item is not supported for crafting searches."] = "The specified item is not supported for crafting searches."
--[[Translation missing --]]
L["The specified item is not supported for disenchant searches."] = "The specified item is not supported for disenchant searches."
--[[Translation missing --]]
L["The specified item was not found."] = "The specified item was not found."
L["The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."] = "L'add-on TradeSkillMaster_AppHelper est installé, mais non activé. TSM l'a activé de lui-même, mais recharger l'interface est requis."
--[[Translation missing --]]
L["The unlearned filter was ignored because the CanIMogIt addon was not found."] = "The unlearned filter was ignored because the CanIMogIt addon was not found."
--[[Translation missing --]]
L["The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."] = "The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."
--[[Translation missing --]]
L["Themes"] = "Themes"
--[[Translation missing --]]
L["There is currently no profession open, so cannot create profession groups."] = "There is currently no profession open, so cannot create profession groups."
--[[Translation missing --]]
L["There is no Crafting operation applied to this item's TSM group (%s)."] = "There is no Crafting operation applied to this item's TSM group (%s)."
--[[Translation missing --]]
L["This is not a valid profile name. Profile names must be at least one character long and may not contain '@' characters."] = "This is not a valid profile name. Profile names must be at least one character long and may not contain '@' characters."
--[[Translation missing --]]
L["This item does not have a crafting cost. Check that all of its mats have mat prices."] = "This item does not have a crafting cost. Check that all of its mats have mat prices."
L["This item is not in a TSM group."] = "Cet objet n'est pas dans un groupe TSM"
--[[Translation missing --]]
L["This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."] = "This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."
--[[Translation missing --]]
L["This looks like an exported operation and not a custom price."] = "This looks like an exported operation and not a custom price."
--[[Translation missing --]]
L["This operation is applied to the base group which includes every item not in another group."] = "This operation is applied to the base group which includes every item not in another group."
--[[Translation missing --]]
L["This price is above your confirmation alert threshold."] = "This price is above your confirmation alert threshold."
--[[Translation missing --]]
L["This profession is not open."] = "This profession is not open."
--[[Translation missing --]]
L["This record belongs to another account and can only be deleted on that account."] = "This record belongs to another account and can only be deleted on that account."
L["This will permanently delete the '%s' profile."] = "Cela supprimera définitivement le profil '%s'."
--[[Translation missing --]]
L["This will reset all groups and operations (if not stored globally) to be wiped from '%s'."] = "This will reset all groups and operations (if not stored globally) to be wiped from '%s'."
L["Time"] = "Temps"
--[[Translation missing --]]
L["Time Frame"] = "Time Frame"
--[[Translation missing --]]
L["Time to Craft:"] = "Time to Craft:"
--[[Translation missing --]]
L["Tinker"] = "Tinker"
--[[Translation missing --]]
L["To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."] = "To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."
--[[Translation missing --]]
L["Toggles the main TSM window"] = "Toggles the main TSM window"
--[[Translation missing --]]
L["Toggles the TSM Banking UI if either the bank or guild bank is currently open."] = "Toggles the TSM Banking UI if either the bank or guild bank is currently open."
--[[Translation missing --]]
L["Toggles the TSM Crafting UI."] = "Toggles the TSM Crafting UI."
--[[Translation missing --]]
L["Toggles the TSM Task List UI"] = "Toggles the TSM Task List UI"
--[[Translation missing --]]
L["Tooltip Options"] = "Tooltip Options"
--[[Translation missing --]]
L["Tooltip price format"] = "Tooltip price format"
L["Tooltip Settings"] = "Paramètre de l'info-bulle"
--[[Translation missing --]]
L["Top Buyers"] = "Top Buyers"
--[[Translation missing --]]
L["Top Item"] = "Top Item"
--[[Translation missing --]]
L["TOP PURCHASE"] = "TOP PURCHASE"
--[[Translation missing --]]
L["TOP SALE"] = "TOP SALE"
--[[Translation missing --]]
L["Top Sellers"] = "Top Sellers"
L["Total"] = "Total"
L["Total Gold"] = "Pièces d'Or"
L["Total Gold Collected: %s"] = "Pièces d'Or collectées : %s"
--[[Translation missing --]]
L["Total Gold Earned"] = "Total Gold Earned"
--[[Translation missing --]]
L["Total Gold Spent"] = "Total Gold Spent"
--[[Translation missing --]]
L["Total Inventory Quantity"] = "Total Inventory Quantity"
--[[Translation missing --]]
L["Total Items"] = "Total Items"
--[[Translation missing --]]
L["Total Postage"] = "Total Postage"
L["Total Price"] = "Prix total"
--[[Translation missing --]]
L["Total Prices:"] = "Total Prices:"
--[[Translation missing --]]
L["Total Profit"] = "Total Profit"
L["Total Value"] = "Valeur totale"
--[[Translation missing --]]
L["Track Sales / Purchases via trade"] = "Track Sales / Purchases via trade"
L["Transform Value"] = "Valeur de transformation"
--[[Translation missing --]]
L["Transform value"] = "Transform value"
--[[Translation missing --]]
L["Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."] = "Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."
--[[Translation missing --]]
L["TSM 4.10: What's new"] = "TSM 4.10: What's new"
--[[Translation missing --]]
L["TSM Accounting"] = "TSM Accounting"
--[[Translation missing --]]
L["TSM AuctionDB"] = "TSM AuctionDB"
--[[Translation missing --]]
L["TSM Auctioning"] = "TSM Auctioning"
--[[Translation missing --]]
L["TSM can automatically sync data between multiple WoW accounts."] = "TSM can automatically sync data between multiple WoW accounts."
L["TSM Crafting"] = "TSM Crafting"
--[[Translation missing --]]
L["TSM Desktop App Status (%s)"] = "TSM Desktop App Status (%s)"
--[[Translation missing --]]
L["TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"] = "TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"
--[[Translation missing --]]
L["TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."] = "TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."
L["TSM failed to scan some auctions. Please rerun the scan."] = "TSM a échoué à scanner quelques ventes. Veuillez relancer le scan."
--[[Translation missing --]]
L["TSM General Info"] = "TSM General Info"
--[[Translation missing --]]
L["TSM Groups"] = "TSM Groups"
--[[Translation missing --]]
L["TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."] = "TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."
L["TSM is missing important information from the TSM Desktop Application. Please ensure the TSM Desktop Application is running and is properly configured."] = "TSM ne parvient pas à accéder à d'importantes informations de l'application de bureau TSM Desktop. Assurez-vous s'il vous plaît que TSM Desktop fonctionne et soit correctement configuré."
--[[Translation missing --]]
L["TSM is not yet ready to establish a new sync connection. Please try again later."] = "TSM is not yet ready to establish a new sync connection. Please try again later."
--[[Translation missing --]]
L["TSM Shopping"] = "TSM Shopping"
--[[Translation missing --]]
L["TSM Sniper"] = "TSM Sniper"
L["TSM TASK LIST"] = "TSM LISTE DE TACHES"
L["TSM Version Info:"] = "Version de TSM :"
--[[Translation missing --]]
L["TSM will not undercut any players you add to your whitelist."] = "TSM will not undercut any players you add to your whitelist."
--[[Translation missing --]]
L["TSM_Accounting detected that you just traded %s %s in return for %s. Would you like Accounting to store a record of this trade?"] = "TSM_Accounting detected that you just traded %s %s in return for %s. Would you like Accounting to store a record of this trade?"
L["TSM4"] = "TSM4"
--[[Translation missing --]]
L["TUJ 14-Day Price"] = "TUJ 14-Day Price"
--[[Translation missing --]]
L["TUJ 3-Day Price"] = "TUJ 3-Day Price"
--[[Translation missing --]]
L["TUJ Global Mean"] = "TUJ Global Mean"
--[[Translation missing --]]
L["TUJ Global Median"] = "TUJ Global Median"
--[[Translation missing --]]
L["Type"] = "Type"
--[[Translation missing --]]
L["Unbalanced parentheses."] = "Unbalanced parentheses."
--[[Translation missing --]]
L["Uncollected Only"] = "Uncollected Only"
--[[Translation missing --]]
L["Undercut amount"] = "Undercut amount"
L["Undercut by whitelisted player."] = "Sous-enchère d'un joueur en liste blanche."
L["Undercutting blacklisted player."] = "Sous-enchère d'un joueur en liste noire."
L["Undercutting competition."] = "Sous-enchérir."
L["Ungrouped Items"] = "Objets non-groupés"
--[[Translation missing --]]
L["Ungrouped Items in Bags"] = "Ungrouped Items in Bags"
--[[Translation missing --]]
L["Unit Price"] = "Unit Price"
L["Unknown Item"] = "Objet inconnu"
--[[Translation missing --]]
L["Unknown word (%s)."] = "Unknown word (%s)."
--[[Translation missing --]]
L["Unlock Column Width"] = "Unlock Column Width"
L["Unwrap Gift"] = "Déballer le cadeau"
--[[Translation missing --]]
L["Up"] = "Up"
L["Up to date"] = "À jour"
--[[Translation missing --]]
L["Update existing macro"] = "Update existing macro"
L["Updating"] = "Mise à jour"
--[[Translation missing --]]
L["Upgrades Only"] = "Upgrades Only"
--[[Translation missing --]]
L["Usable Only"] = "Usable Only"
--[[Translation missing --]]
L["Usage: /tsm price <Item Link> <Custom String>"] = "Usage: /tsm price <Item Link> <Custom String>"
--[[Translation missing --]]
L["Use the settings below to control which lines are shown in tooltips."] = "Use the settings below to control which lines are shown in tooltips."
--[[Translation missing --]]
L["Use this list to manage what cooldowns you'd like TSM to ignore from crafting."] = "Use this list to manage what cooldowns you'd like TSM to ignore from crafting."
--[[Translation missing --]]
L["Use this list to manage what items you'd like TSM to ignore from destroying."] = "Use this list to manage what items you'd like TSM to ignore from destroying."
--[[Translation missing --]]
L["Value"] = "Value"
--[[Translation missing --]]
L["Value must be between %d and %d."] = "Value must be between %d and %d."
--[[Translation missing --]]
L["Value Price Source"] = "Value Price Source"
--[[Translation missing --]]
L["Values"] = "Values"
L["Vendor"] = "Vendeur"
L["Vendor Buy Price"] = "Prix d'achat au vendeur"
--[[Translation missing --]]
L["Vendor buy price"] = "Vendor buy price"
L["Vendor Search"] = "Recherche de vendeurs"
L["Vendor Sell"] = "vendre au marchant"
L["Vendor Sell Price"] = "Prix de vente au marchant"
--[[Translation missing --]]
L["Vendor sell price"] = "Vendor sell price"
--[[Translation missing --]]
L["Vendoring"] = "Vendoring"
--[[Translation missing --]]
L["Vendoring %s button"] = "Vendoring %s button"
--[[Translation missing --]]
L["Vendoring operation"] = "Vendoring operation"
--[[Translation missing --]]
L["Vendoring operations control selling to and buying from a vendor."] = "Vendoring operations control selling to and buying from a vendor."
L["Warehousing"] = "Entreposage"
--[[Translation missing --]]
L["Warehousing operation"] = "Warehousing operation"
--[[Translation missing --]]
L["Warehousing operations control moving in and out of the bank."] = "Warehousing operations control moving in and out of the bank."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group."] = "Warehousing will move a max of %d of each item in this group."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."] = "Le stockage déplacera tous les articles de ce groupe en conservant %d de chaque article lorsque la banque/la banque> les sacs."
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "L'entreposage permettra de déplacer tous les articles de ce groupe en conservant %d de chaque article à l'arrière lorsque la bank/gbank > les sacs. Restock conservera %d des articles dans vos sacs."
L["Warehousing will move all of the items in this group."] = "L'entreposage permettra de déplacer tous les articles de ce groupe."
L["Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."] = "L'entreposage permettra de déplacer tous les articles de ce groupe. Restock conservera les articles de %d dans vos sacs."
L["WARNING: The macro was too long, so was truncated to fit by WoW."] = "ATTENTION : La macro est trop longue, elle a donc été tronquée par défaut par WoW"
--[[Translation missing --]]
L["WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."] = "WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."
--[[Translation missing --]]
L["We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."] = "We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."
L["When above maximum:"] = "Lorsqu'au-dessus du maximum :"
L["When below minimum:"] = "Lorsqu'en-dessous du minimum :"
L["Whitelist"] = "Liste blanche"
--[[Translation missing --]]
L["Whitelisted characters"] = "Whitelisted characters"
--[[Translation missing --]]
L["Winamp"] = "Winamp"
--[[Translation missing --]]
L["Would send %s to %s"] = "Would send %s to %s"
--[[Translation missing --]]
L["Would send %s to %s with a COD of %s"] = "Would send %s to %s with a COD of %s"
--[[Translation missing --]]
L["WOW UI"] = "WOW UI"
--[[Translation missing --]]
L["You are not on one of the listed characters."] = "You are not on one of the listed characters."
--[[Translation missing --]]
L["You can clear old Accounting data below to keep things running smoothly."] = "You can clear old Accounting data below to keep things running smoothly."
--[[Translation missing --]]
L["You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"] = "You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"
--[[Translation missing --]]
L["You can use the export string below to share this group with others."] = "You can use the export string below to share this group with others."
L["You cannot use %s as part of this custom price."] = "Vous ne pouvez pas utiliser %s comme prix spécifique."
L["You cannot use %s within convert() as part of this custom price."] = "Vous ne pouvez pas utiliser les %s dans convert() dans le cadre de ce prix personnalisé."
L["You do not need to add \"%s\", alts are whitelisted automatically."] = "You do not need to add \"%s\", alts are whitelisted automatically."
L["You don't know how to craft this item."] = "Vous ne savez pas fabriquer cet objet."
--[[Translation missing --]]
L["You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."] = "You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."
L["You must reload your UI for these settings to take effect. Reload now?"] = "Vous devez recharger votre UI pour que ces paramètres soient pris en compte. Recharger maintenant ?"
L["You won an auction for %sx%d for %s"] = "Vous avez gagné une enchère pour %sx%d pour %s"
L["Your auction has not been undercut."] = "Enchère non concurrencée."
L["Your auction of %s expired"] = "Votre mise aux enchères de %s est expirée."
L["Your auction of %s has sold for %s!"] = "Votre mise aux enchères de %s a été vendue pour %s !"
L["Your Buyout"] = "Votre rachat"
L["Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"] = "Votre méthode de valeur de l'artisanat pour les '%s' n'était pas valide, elle est donc revenue à la valeur par défaut. Détails : %s"
L["Your default craft value method was invalid so it has been returned to the default. Details: %s"] = "Votre méthode de valeur par défaut de l'artisanat n'était pas valide, elle est donc revenue à la valeur par défaut. Détails : %s"
--[[Translation missing --]]
L["Your max restock (%s) is invalid for %s."] = "Your max restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your min restock (%s) is invalid for %s."] = "Your min restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your restock quantity is invalid. It must be between %d and %s."] = "Your restock quantity is invalid. It must be between %d and %s."
L["Your task list is currently empty."] = "Votre liste de tâche est actuellement vide."
L["You've been phased which has caused the AH to stop working due to a bug on Blizzard's end. Please close and reopen the AH and restart Sniper."] = "Vous avez été mis en phase, ce qui a amené l'HV à cesser de fonctionner en raison d'un bug sur le layering de Blizzard. Veuillez fermer et rouvrir HV, puis redémarrer Sniper."
L["You've been undercut."] = "Sous-enchère constatée."
	elseif locale == "itIT" then
L = L or {}
L["%d |4Group:Groups; Selected (%d |4Item:Items;)"] = "%d |4Gruppo:Gruppi; Selezionato (%d |4Oggetto:Oggetti;)"
L["%d auctions"] = "%d aste"
--[[Translation missing --]]
L["%d Characters"] = "%d Characters"
--[[Translation missing --]]
L["%d Custom Sources"] = "%d Custom Sources"
--[[Translation missing --]]
L["%d Faction-Realms"] = "%d Faction-Realms"
--[[Translation missing --]]
L["%d groups"] = "%d groups"
L["%d Groups"] = "%d Gruppi"
--[[Translation missing --]]
L["%d Groups Selected"] = "%d Groups Selected"
--[[Translation missing --]]
L["%d groups were created and %d items were added from the table."] = "%d groups were created and %d items were added from the table."
--[[Translation missing --]]
L["%d Guilds"] = "%d Guilds"
L["%d Items"] = "%d Oggetti"
L["%d of %d"] = "%d di %d"
L["%d Operations"] = "%d Operazioni"
--[[Translation missing --]]
L["%d Players"] = "%d Players"
L["%d Posted Auctions"] = "%d Aste Pubblicate"
--[[Translation missing --]]
L["%d Professions"] = "%d Professions"
--[[Translation missing --]]
L["%d Rarities"] = "%d Rarities"
--[[Translation missing --]]
L["%d Results"] = "%d Results"
--[[Translation missing --]]
L["%d Selected"] = "%d Selected"
L["%d Sold Auctions"] = "%d Aste Vendute"
--[[Translation missing --]]
L["%d Sources"] = "%d Sources"
--[[Translation missing --]]
L["%d Sub-Groups"] = "%d Sub-Groups"
--[[Translation missing --]]
L["%d subgroups included"] = "%d subgroups included"
--[[Translation missing --]]
L["%d Types"] = "%d Types"
--[[Translation missing --]]
L["%s - %s has been reset to default values."] = "%s - %s has been reset to default values."
--[[Translation missing --]]
L["%s %s Operations"] = "%s %s Operations"
L["%s (%s bags, %s bank, %s AH, %s mail)"] = "%s (%s borse, %s banca, %s CdA, %s posta)"
--[[Translation missing --]]
L["%s (%s player, %s alts, %s AH)"] = "%s (%s player, %s alts, %s AH)"
L["%s (%s player, %s alts, %s guild, %s AH)"] = "%s (%s giocatore, %s alts, %s gilda, %s CdA)"
L["%s (%s profit)"] = "%s (%s profitto)"
L["%s ago"] = "%s fa"
--[[Translation missing --]]
L["%s Crafts"] = "%s Crafts"
--[[Translation missing --]]
L["%s group is already up to date."] = "%s group is already up to date."
L["%s group updated with %d items and %d materials."] = "%s gruppo aggiornato con %d voci e %d materiali."
L["%s in guild vault"] = "%s nella banca di gilda"
L["%s is a valid custom price but %s is an invalid item."] = "%s è un valido prezzo personalizzato ma %s non è un oggetto valido."
L["%s is a valid custom price but did not give a value for %s."] = "%s è un valido prezzo personalizzato ma non ha dato un valore per %s."
--[[Translation missing --]]
L["'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."] = "'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."
L["%s is not a valid custom price and gave the following error: %s"] = "%s non è un valido prezzo personalizzato ed ha restituito il seguente errore: %s"
--[[Translation missing --]]
L["%s Items Bought"] = "%s Items Bought"
--[[Translation missing --]]
L["%s Items Cancelled"] = "%s Items Cancelled"
--[[Translation missing --]]
L["%s Items Expired"] = "%s Items Expired"
--[[Translation missing --]]
L["%s Items Resold"] = "%s Items Resold"
--[[Translation missing --]]
L["%s Items Selected"] = "%s Items Selected"
--[[Translation missing --]]
L["%s Items Sold"] = "%s Items Sold"
--[[Translation missing --]]
L["%s Items Total"] = "%s Items Total"
--[[Translation missing --]]
L["%s operation"] = "%s operation"
--[[Translation missing --]]
L["%s operations"] = "%s operations"
L["%s Operations"] = "%s Operazioni"
--[[Translation missing --]]
L["%s Posted Auctions"] = "%s Posted Auctions"
--[[Translation missing --]]
L["%s Posted Auctions (Filtered)"] = "%s Posted Auctions (Filtered)"
--[[Translation missing --]]
L["%s previously had the max number of operations, so removed %s."] = "%s previously had the max number of operations, so removed %s."
L["%s removed."] = "%s rimosso."
L["%s sent you %s"] = "%s ti ha mandato %s"
L["%s sent you %s and %s"] = "%s ti ha mandato %s e %s"
L["%s sent you a COD of %s for %s"] = "%s ti ha mandato un PAC di %s per %s"
L["%s sent you a message: %s"] = "%s ti ha inviato un messaggio: %s"
--[[Translation missing --]]
L["%s Sold Auctions"] = "%s Sold Auctions"
--[[Translation missing --]]
L["%s Sold Auctions (Filtered)"] = "%s Sold Auctions (Filtered)"
--[[Translation missing --]]
L["%s Total"] = "%s Total"
L["%s total"] = "%s totale"
--[[Translation missing --]]
L["%s Total Profit"] = "%s Total Profit"
L["%sDrag%s to move this button"] = "%sTrascina%s per spostare questo pulsante"
--[[Translation missing --]]
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."] = "%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."
--[[Translation missing --]]
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."] = "%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."
L["%sLeft-Click%s to open the main window"] = "%sClic-Sinistro%s per aprire la finestra principale"
--[[Translation missing --]]
L["%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."] = "%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."
--[[Translation missing --]]
L["(%d - %d)"] = "(%d - %d)"
L["(%d/500 Characters)"] = "(%d/500 Caratteri)"
--[[Translation missing --]]
L["(minimum 0 - maximum %d)"] = "(minimum 0 - maximum %d)"
L["1 Group"] = "1 Gruppo"
L["1 Item"] = "1 Oggetto"
--[[Translation missing --]]
L["1D"] = "1D"
--[[Translation missing --]]
L["1M"] = "1M"
--[[Translation missing --]]
L["1W"] = "1W"
--[[Translation missing --]]
L["1Y"] = "1Y"
--[[Translation missing --]]
L["2Y"] = "2Y"
--[[Translation missing --]]
L["3M"] = "3M"
--[[Translation missing --]]
L["6M"] = "6M"
--[[Translation missing --]]
L["A brand new and improved user interface."] = "A brand new and improved user interface."
L["A custom price of %s for %s evaluates to %s."] = "Un prezzo personalizzato di %s per %s valutati in %s."
L["A maximum of 1 convert() function is allowed."] = "Un massimo di una funzione convert() è consentita."
L["A profile with that name already exists on the target account. Rename it first and try again."] = "Un profilo con quel nome esiste già nell'account di destinazione. Rinominalo e riprova."
L["A profile with this name already exists."] = "Esiste già un profilo con questo nome."
L["A scan is already in progress. Please stop that scan before starting another one."] = "Una scansione è già in corso. Interrompere la scansione prima di avviarne un'altra."
--[[Translation missing --]]
L["A single craft makes %d and you only need to restock %d."] = "A single craft makes %d and you only need to restock %d."
L["Above max expires."] = "Sopra la massima scadenza."
L["Above max price. Not posting."] = "Sopra il prezzo massimo Non pubblicare."
--[[Translation missing --]]
L["Above max price. Posting at max."] = "Above max price. Posting at max."
--[[Translation missing --]]
L["Above max price. Posting at min."] = "Above max price. Posting at min."
--[[Translation missing --]]
L["Above max price. Posting at normal."] = "Above max price. Posting at normal."
--[[Translation missing --]]
L["Accept COD?"] = "Accept COD?"
--[[Translation missing --]]
L["Accepting this item will cost: %s"] = "Accepting this item will cost: %s"
--[[Translation missing --]]
L["Account sync removed. Please delete the account sync from the other account as well."] = "Account sync removed. Please delete the account sync from the other account as well."
L["Account Syncing"] = "Sincronizzazione Account"
--[[Translation missing --]]
L["Accounting"] = "Accounting"
--[[Translation missing --]]
L["Activity Type"] = "Activity Type"
--[[Translation missing --]]
L["Add"] = "Add"
--[[Translation missing --]]
L["Add %d |4Item:Items"] = "Add %d |4Item:Items"
--[[Translation missing --]]
L["Add %s Operation"] = "Add %s Operation"
--[[Translation missing --]]
L["Add a new custom source"] = "Add a new custom source"
--[[Translation missing --]]
L["Add account"] = "Add account"
--[[Translation missing --]]
L["Add More Operations"] = "Add More Operations"
--[[Translation missing --]]
L["Add Operation"] = "Add Operation"
--[[Translation missing --]]
L["Add operation to groups"] = "Add operation to groups"
--[[Translation missing --]]
L["Add subject & description (optional)"] = "Add subject & description (optional)"
--[[Translation missing --]]
L["Add Subject / Description"] = "Add Subject / Description"
--[[Translation missing --]]
L["Add to Mail"] = "Add to Mail"
--[[Translation missing --]]
L["Added '%s' profile which was received from %s."] = "Added '%s' profile which was received from %s."
--[[Translation missing --]]
L["Added %s to %s."] = "Added %s to %s."
L["Additional error suppressed"] = "Errore addizionale soppresso"
--[[Translation missing --]]
L["Adjust how crafted items are restocked."] = "Adjust how crafted items are restocked."
--[[Translation missing --]]
L["Adjust how items are mailed."] = "Adjust how items are mailed."
--[[Translation missing --]]
L["Adjust how TSM values crafted items when calculating profit."] = "Adjust how TSM values crafted items when calculating profit."
--[[Translation missing --]]
L["Adjust some general settings."] = "Adjust some general settings."
--[[Translation missing --]]
L["Adjust the settings below to set how groups attached to this operation will be auctioned."] = "Adjust the settings below to set how groups attached to this operation will be auctioned."
--[[Translation missing --]]
L["Adjust the settings below to set how groups attached to this operation will be cancelled."] = "Adjust the settings below to set how groups attached to this operation will be cancelled."
--[[Translation missing --]]
L["Adjust the settings below to set how groups attached to this operation will be priced."] = "Adjust the settings below to set how groups attached to this operation will be priced."
--[[Translation missing --]]
L["Advanced Item Search"] = "Advanced Item Search"
L["AH"] = "CdA"
--[[Translation missing --]]
L["AH (Crafting)"] = "AH (Crafting)"
--[[Translation missing --]]
L["AH (Disenchanting)"] = "AH (Disenchanting)"
--[[Translation missing --]]
L["AH BUSY"] = "AH BUSY"
--[[Translation missing --]]
L["AHDB Minimum Bid"] = "AHDB Minimum Bid"
--[[Translation missing --]]
L["AHDB Minimum Buyout"] = "AHDB Minimum Buyout"
L["Alarm Clock"] = "Sveglia"
--[[Translation missing --]]
L["All"] = "All"
--[[Translation missing --]]
L["All Auctions"] = "All Auctions"
--[[Translation missing --]]
L["All Bought"] = "All Bought"
--[[Translation missing --]]
L["All Cancelled"] = "All Cancelled"
--[[Translation missing --]]
L["All Characters"] = "All Characters"
--[[Translation missing --]]
L["All Expired"] = "All Expired"
--[[Translation missing --]]
L["All Faction-Realms"] = "All Faction-Realms"
--[[Translation missing --]]
L["All Guilds"] = "All Guilds"
--[[Translation missing --]]
L["All Item Classes"] = "All Item Classes"
--[[Translation missing --]]
L["All Other"] = "All Other"
--[[Translation missing --]]
L["All Players"] = "All Players"
--[[Translation missing --]]
L["All Professions"] = "All Professions"
--[[Translation missing --]]
L["All Rarites"] = "All Rarites"
--[[Translation missing --]]
L["All Rarities"] = "All Rarities"
--[[Translation missing --]]
L["All Selected"] = "All Selected"
--[[Translation missing --]]
L["All Slots"] = "All Slots"
--[[Translation missing --]]
L["All Sold"] = "All Sold"
--[[Translation missing --]]
L["All Sources"] = "All Sources"
--[[Translation missing --]]
L["All Subclasses"] = "All Subclasses"
--[[Translation missing --]]
L["All Time"] = "All Time"
--[[Translation missing --]]
L["All Types"] = "All Types"
--[[Translation missing --]]
L["Allow partial stack"] = "Allow partial stack"
--[[Translation missing --]]
L["Allows for testing of custom prices"] = "Allows for testing of custom prices"
--[[Translation missing --]]
L["ALT"] = "ALT"
--[[Translation missing --]]
L["Alt Guild Bank"] = "Alt Guild Bank"
--[[Translation missing --]]
L["Alts"] = "Alts"
--[[Translation missing --]]
L["Alts AH"] = "Alts AH"
--[[Translation missing --]]
L["Amount"] = "Amount"
--[[Translation missing --]]
L["Amount kept in bags"] = "Amount kept in bags"
--[[Translation missing --]]
L["Amount of bag space to keep free"] = "Amount of bag space to keep free"
--[[Translation missing --]]
L["An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."] = "An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."
--[[Translation missing --]]
L["App Not Synced"] = "App Not Synced"
--[[Translation missing --]]
L["App Synced %s Ago"] = "App Synced %s Ago"
--[[Translation missing --]]
L["Appearance"] = "Appearance"
--[[Translation missing --]]
L["Apply operation to group"] = "Apply operation to group"
--[[Translation missing --]]
L["Are you sure you want to clear old accounting data?"] = "Are you sure you want to clear old accounting data?"
--[[Translation missing --]]
L["Are you sure you want to delete the selected operations?"] = "Are you sure you want to delete the selected operations?"
L["Are you sure you want to delete this operation?"] = "Sei sicuro di voler eliminare questa operazione?"
--[[Translation missing --]]
L["At above max price and not undercut."] = "At above max price and not undercut."
--[[Translation missing --]]
L["At normal price and not undercut."] = "At normal price and not undercut."
--[[Translation missing --]]
L["Attachments"] = "Attachments"
--[[Translation missing --]]
L["Auction"] = "Auction"
--[[Translation missing --]]
L["Auction duration"] = "Auction duration"
--[[Translation missing --]]
L["Auction has been bid on."] = "Auction has been bid on."
--[[Translation missing --]]
L["Auction House Cut"] = "Auction House Cut"
--[[Translation missing --]]
L["Auction House Sounds"] = "Auction House Sounds"
--[[Translation missing --]]
L["Auction sale sound"] = "Auction sale sound"
--[[Translation missing --]]
L["Auction Window Close"] = "Auction Window Close"
--[[Translation missing --]]
L["Auction Window Open"] = "Auction Window Open"
L["Auctionator - Auction Value"] = "Auctionator - Valore d'Asta"
--[[Translation missing --]]
L["AuctionDB"] = "AuctionDB"
--[[Translation missing --]]
L["AuctionDB - Historical Price (via TSM App)"] = "AuctionDB - Historical Price (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Market Value"] = "AuctionDB - Market Value"
--[[Translation missing --]]
L["AuctionDB - Minimum Buyout"] = "AuctionDB - Minimum Buyout"
--[[Translation missing --]]
L["AuctionDB - Region Historical Price (via TSM App)"] = "AuctionDB - Region Historical Price (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Market Value Average (via TSM App)"] = "AuctionDB - Region Market Value Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Minimum Buyout Average (via TSM App)"] = "AuctionDB - Region Minimum Buyout Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sale Average (via TSM App)"] = "AuctionDB - Region Sale Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sale Rate (via TSM App)"] = "AuctionDB - Region Sale Rate (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sold Per Day (via TSM App)"] = "AuctionDB - Region Sold Per Day (via TSM App)"
--[[Translation missing --]]
L["AuctionDB Realm Data is %s Old"] = "AuctionDB Realm Data is %s Old"
--[[Translation missing --]]
L["AuctionDB Region Data is %s Old"] = "AuctionDB Region Data is %s Old"
L["Auctioneer - Appraiser"] = "Auctioneer - Valutatore"
L["Auctioneer - Market Value"] = "Auctioneer - Valore di Mercato"
L["Auctioneer - Minimum Buyout"] = "Auctioneer - Acquisto Minimo"
--[[Translation missing --]]
L["Auctioning"] = "Auctioning"
--[[Translation missing --]]
L["Auctioning %s button"] = "Auctioning %s button"
--[[Translation missing --]]
L["Auctioning Details"] = "Auctioning Details"
--[[Translation missing --]]
L["Auctioning Log"] = "Auctioning Log"
--[[Translation missing --]]
L["Auctioning Operation"] = "Auctioning Operation"
--[[Translation missing --]]
L["Auctioning operation"] = "Auctioning operation"
--[[Translation missing --]]
L["Auctioning operations control posting to and canceling from the AH."] = "Auctioning operations control posting to and canceling from the AH."
L["Auctions"] = "Aste"
--[[Translation missing --]]
L["Auto Quest Complete"] = "Auto Quest Complete"
--[[Translation missing --]]
L["Auto-focus browse search input"] = "Auto-focus browse search input"
--[[Translation missing --]]
L["Average Earned per Day"] = "Average Earned per Day"
--[[Translation missing --]]
L["Average Prices:"] = "Average Prices:"
--[[Translation missing --]]
L["Average Profit per Day"] = "Average Profit per Day"
--[[Translation missing --]]
L["Average Spent per Day"] = "Average Spent per Day"
--[[Translation missing --]]
L["Avg Buy Price"] = "Avg Buy Price"
--[[Translation missing --]]
L["Avg Profit"] = "Avg Profit"
--[[Translation missing --]]
L["Avg Sell Price"] = "Avg Sell Price"
--[[Translation missing --]]
L["Back"] = "Back"
--[[Translation missing --]]
L["Bag"] = "Bag"
L["Bags"] = "Borse"
--[[Translation missing --]]
L["Banking"] = "Banking"
--[[Translation missing --]]
L["Banks"] = "Banks"
--[[Translation missing --]]
L["Base Group"] = "Base Group"
--[[Translation missing --]]
L["Base Item"] = "Base Item"
--[[Translation missing --]]
L["BBG 14-Day Price"] = "BBG 14-Day Price"
--[[Translation missing --]]
L["BBG 3-Day Price"] = "BBG 3-Day Price"
--[[Translation missing --]]
L["BBG Global Mean"] = "BBG Global Mean"
--[[Translation missing --]]
L["BBG Global Median"] = "BBG Global Median"
--[[Translation missing --]]
L["Below is a list of all available price sources, along with a brief description of what they represent."] = "Below is a list of all available price sources, along with a brief description of what they represent."
--[[Translation missing --]]
L["Below min price. Posting at max."] = "Below min price. Posting at max."
--[[Translation missing --]]
L["Below min price. Posting at min."] = "Below min price. Posting at min."
--[[Translation missing --]]
L["Below min price. Posting at normal."] = "Below min price. Posting at normal."
--[[Translation missing --]]
L["Below you can ignore this operation on certain characters or realms."] = "Below you can ignore this operation on certain characters or realms."
--[[Translation missing --]]
L["Bid %d / %d"] = "Bid %d / %d"
--[[Translation missing --]]
L["Bid (item)"] = "Bid (item)"
--[[Translation missing --]]
L["Bid (stack)"] = "Bid (stack)"
--[[Translation missing --]]
L["Bid (total)"] = "Bid (total)"
--[[Translation missing --]]
L["Bid / Buyout"] = "Bid / Buyout"
--[[Translation missing --]]
L["Bid Auction"] = "Bid Auction"
--[[Translation missing --]]
L["Bid percent must be between 0 and 100."] = "Bid percent must be between 0 and 100."
--[[Translation missing --]]
L["Bid Price"] = "Bid Price"
--[[Translation missing --]]
L["Bid Sniper Paused"] = "Bid Sniper Paused"
--[[Translation missing --]]
L["Bid Sniper Running"] = "Bid Sniper Running"
--[[Translation missing --]]
L["Bidding Auction"] = "Bidding Auction"
--[[Translation missing --]]
L["Blacklisted players"] = "Blacklisted players"
--[[Translation missing --]]
L["Bought"] = "Bought"
--[[Translation missing --]]
L["Bought %d of %s from %s for %s"] = "Bought %d of %s from %s for %s"
--[[Translation missing --]]
L["Bought %sx%d for %s from %s"] = "Bought %sx%d for %s from %s"
--[[Translation missing --]]
L["Bound Actions"] = "Bound Actions"
--[[Translation missing --]]
L["Browse"] = "Browse"
--[[Translation missing --]]
L["Browse / Sniper"] = "Browse / Sniper"
--[[Translation missing --]]
L["BUSY"] = "BUSY"
--[[Translation missing --]]
L["BUY"] = "BUY"
--[[Translation missing --]]
L["Buy"] = "Buy"
--[[Translation missing --]]
L["Buy %d / %d"] = "Buy %d / %d"
--[[Translation missing --]]
L["Buy %d / %d (Confirming %d / %d)"] = "Buy %d / %d (Confirming %d / %d)"
--[[Translation missing --]]
L["Buy Auction"] = "Buy Auction"
--[[Translation missing --]]
L["Buy Commodity"] = "Buy Commodity"
--[[Translation missing --]]
L["Buy from AH"] = "Buy from AH"
--[[Translation missing --]]
L["Buy from AH (Crafting)"] = "Buy from AH (Crafting)"
--[[Translation missing --]]
L["Buy from AH (Disenchant)"] = "Buy from AH (Disenchant)"
L["Buy from Vendor"] = "Compra dal Mercante"
--[[Translation missing --]]
L["Buy Groups"] = "Buy Groups"
--[[Translation missing --]]
L["Buy Options"] = "Buy Options"
--[[Translation missing --]]
L["Buyback All"] = "Buyback All"
--[[Translation missing --]]
L["Buyer/Seller"] = "Buyer/Seller"
--[[Translation missing --]]
L["Buyout"] = "Buyout"
--[[Translation missing --]]
L["Buyout (item)"] = "Buyout (item)"
--[[Translation missing --]]
L["Buyout (stack)"] = "Buyout (stack)"
--[[Translation missing --]]
L["Buyout (total)"] = "Buyout (total)"
--[[Translation missing --]]
L["Buyout confirmation alert"] = "Buyout confirmation alert"
--[[Translation missing --]]
L["Buyout Price"] = "Buyout Price"
--[[Translation missing --]]
L["Buyout Sniper Paused"] = "Buyout Sniper Paused"
--[[Translation missing --]]
L["Buyout Sniper Running"] = "Buyout Sniper Running"
--[[Translation missing --]]
L["Cancel"] = "Cancel"
--[[Translation missing --]]
L["Cancel %d / %d"] = "Cancel %d / %d"
--[[Translation missing --]]
L["Cancel Auction"] = "Cancel Auction"
--[[Translation missing --]]
L["Cancel auctions with bids"] = "Cancel auctions with bids"
--[[Translation missing --]]
L["Cancel or Post"] = "Cancel or Post"
--[[Translation missing --]]
L["Cancel Scan"] = "Cancel Scan"
--[[Translation missing --]]
L["Cancel to repost higher"] = "Cancel to repost higher"
--[[Translation missing --]]
L["Cancel undercut auctions"] = "Cancel undercut auctions"
--[[Translation missing --]]
L["Canceled information"] = "Canceled information"
--[[Translation missing --]]
L["Canceling"] = "Canceling"
--[[Translation missing --]]
L["Canceling %d / %d"] = "Canceling %d / %d"
--[[Translation missing --]]
L["Canceling %d Auctions..."] = "Canceling %d Auctions..."
--[[Translation missing --]]
L["Canceling auction you've undercut."] = "Canceling auction you've undercut."
--[[Translation missing --]]
L["Canceling disabled."] = "Canceling disabled."
--[[Translation missing --]]
L["Canceling Options"] = "Canceling Options"
--[[Translation missing --]]
L["Canceling to repost at higher price."] = "Canceling to repost at higher price."
--[[Translation missing --]]
L["Canceling to repost at reset price."] = "Canceling to repost at reset price."
--[[Translation missing --]]
L["Canceling to repost higher."] = "Canceling to repost higher."
--[[Translation missing --]]
L["Canceling undercut auctions and to repost higher."] = "Canceling undercut auctions and to repost higher."
--[[Translation missing --]]
L["Canceling undercut auctions."] = "Canceling undercut auctions."
--[[Translation missing --]]
L["Cancelled"] = "Cancelled"
--[[Translation missing --]]
L["Cancelled auction of %sx%d"] = "Cancelled auction of %sx%d"
--[[Translation missing --]]
L["Cancelled Since Last Sale"] = "Cancelled Since Last Sale"
--[[Translation missing --]]
L["Cancelled:"] = "Cancelled:"
--[[Translation missing --]]
L["Cancelling..."] = "Cancelling..."
--[[Translation missing --]]
L["Cannot repair from the guild bank!"] = "Cannot repair from the guild bank!"
--[[Translation missing --]]
L["Cannot use additional filters with /crafting or /disenchant."] = "Cannot use additional filters with /crafting or /disenchant."
L["Can't load TSM tooltip while in combat"] = "Impossibile caricare il tooltip di TSM in combattimento"
L["Cash Register"] = "Registratore di Cassa"
--[[Translation missing --]]
L["Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"] = "Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"
--[[Translation missing --]]
L["Character"] = "Character"
L["Chat Tab"] = "Scheda di Chat"
--[[Translation missing --]]
L["Cheapest auction below min price."] = "Cheapest auction below min price."
--[[Translation missing --]]
L["Clear All"] = "Clear All"
--[[Translation missing --]]
L["Clear Data"] = "Clear Data"
--[[Translation missing --]]
L["Clear Filters"] = "Clear Filters"
--[[Translation missing --]]
L["Clear Old Data"] = "Clear Old Data"
--[[Translation missing --]]
L["Clear Old Data?"] = "Clear Old Data?"
--[[Translation missing --]]
L["Click and drag to resize this window."] = "Click and drag to resize this window."
--[[Translation missing --]]
L["Click to hide this item for the current session. Hold shift to hide this item permanently."] = "Click to hide this item for the current session. Hold shift to hide this item permanently."
--[[Translation missing --]]
L["COD"] = "COD"
L["Coins (%s)"] = "Monete (%s)"
--[[Translation missing --]]
L["Combine Partial Stacks"] = "Combine Partial Stacks"
--[[Translation missing --]]
L["Combining..."] = "Combining..."
--[[Translation missing --]]
L["Completed full AH scan (%d auctions)!"] = "Completed full AH scan (%d auctions)!"
--[[Translation missing --]]
L["Confirm"] = "Confirm"
--[[Translation missing --]]
L["Confirm complete sound"] = "Confirm complete sound"
--[[Translation missing --]]
L["Confirmation %s button"] = "Confirmation %s button"
--[[Translation missing --]]
L["Confirming %d / %d"] = "Confirming %d / %d"
L["Connected to %s"] = "Collegato a %s"
--[[Translation missing --]]
L["Connecting to %s"] = "Connecting to %s"
--[[Translation missing --]]
L["Contacts"] = "Contacts"
--[[Translation missing --]]
L["Contains auctions above your alert threshold!"] = "Contains auctions above your alert threshold!"
--[[Translation missing --]]
L["Cooldown"] = "Cooldown"
--[[Translation missing --]]
L["Cooldowns"] = "Cooldowns"
--[[Translation missing --]]
L["Copy Letter"] = "Copy Letter"
--[[Translation missing --]]
L["Cost"] = "Cost"
--[[Translation missing --]]
L["Could not create macro as you already have too many. Delete one of your existing macros and try again."] = "Could not create macro as you already have too many. Delete one of your existing macros and try again."
L["Could not find profile '%s'. Possible profiles: '%s'"] = "Impossibile trovare il profilo '%s'. Possibile profilo: '%s'"
--[[Translation missing --]]
L["Could not sell items due to not having free bag space available to split a stack of items."] = "Could not sell items due to not having free bag space available to split a stack of items."
--[[Translation missing --]]
L["Craft"] = "Craft"
--[[Translation missing --]]
L["CRAFT"] = "CRAFT"
--[[Translation missing --]]
L["Craft (Profitable)"] = "Craft (Profitable)"
--[[Translation missing --]]
L["Craft (Unprofitable)"] = "Craft (Unprofitable)"
--[[Translation missing --]]
L["Craft All"] = "Craft All"
--[[Translation missing --]]
L["Craft Next"] = "Craft Next"
--[[Translation missing --]]
L["Craft Value"] = "Craft Value"
--[[Translation missing --]]
L["Crafted Items"] = "Crafted Items"
--[[Translation missing --]]
L["Crafter"] = "Crafter"
--[[Translation missing --]]
L["Crafting"] = "Crafting"
--[[Translation missing --]]
L["CRAFTING"] = "CRAFTING"
--[[Translation missing --]]
L["Crafting %s button"] = "Crafting %s button"
--[[Translation missing --]]
L["Crafting cost"] = "Crafting cost"
--[[Translation missing --]]
L["Crafting Cost"] = "Crafting Cost"
--[[Translation missing --]]
L["Crafting List"] = "Crafting List"
--[[Translation missing --]]
L["Crafting Material Cost"] = "Crafting Material Cost"
--[[Translation missing --]]
L["Crafting Mode"] = "Crafting Mode"
--[[Translation missing --]]
L["Crafting operation"] = "Crafting operation"
--[[Translation missing --]]
L["Crafting operations control how queuing profession crafts."] = "Crafting operations control how queuing profession crafts."
--[[Translation missing --]]
L["Crafting Queue (%d)"] = "Crafting Queue (%d)"
--[[Translation missing --]]
L["Crafting Value"] = "Crafting Value"
--[[Translation missing --]]
L["Crafts"] = "Crafts"
--[[Translation missing --]]
L["Crafts %d"] = "Crafts %d"
--[[Translation missing --]]
L["Create Groups from Table"] = "Create Groups from Table"
--[[Translation missing --]]
L["Create macro"] = "Create macro"
--[[Translation missing --]]
L["Create New"] = "Create New"
--[[Translation missing --]]
L["Create New Group"] = "Create New Group"
L["Create New Operation"] = "Crea Nuova Operazione"
--[[Translation missing --]]
L["Create new profile"] = "Create new profile"
--[[Translation missing --]]
L["Create Profession Groups"] = "Create Profession Groups"
--[[Translation missing --]]
L["CTRL"] = "CTRL"
--[[Translation missing --]]
L["Current Price"] = "Current Price"
--[[Translation missing --]]
L["Custom Price"] = "Custom Price"
--[[Translation missing --]]
L["Custom price name %s already exists."] = "Custom price name %s already exists."
--[[Translation missing --]]
L["Custom price name %s is a reserved word which cannot be used."] = "Custom price name %s is a reserved word which cannot be used."
--[[Translation missing --]]
L["Custom price names can only contain lowercase letters."] = "Custom price names can only contain lowercase letters."
--[[Translation missing --]]
L["Custom Source"] = "Custom Source"
--[[Translation missing --]]
L["Custom source (%s)"] = "Custom source (%s)"
--[[Translation missing --]]
L["Custom Sources"] = "Custom Sources"
--[[Translation missing --]]
L["Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."] = "Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."
--[[Translation missing --]]
L["DAILY PURCHASES"] = "DAILY PURCHASES"
--[[Translation missing --]]
L["DAILY SALES"] = "DAILY SALES"
--[[Translation missing --]]
L["Dalaran"] = "Dalaran"
--[[Translation missing --]]
L["Dashboard"] = "Dashboard"
--[[Translation missing --]]
L["Default craft value method"] = "Default craft value method"
--[[Translation missing --]]
L["Default material cost method"] = "Default material cost method"
--[[Translation missing --]]
L["Default Price"] = "Default Price"
--[[Translation missing --]]
L["Default price configuration"] = "Default price configuration"
--[[Translation missing --]]
L["Define what priority Gathering gives certain sources."] = "Define what priority Gathering gives certain sources."
--[[Translation missing --]]
L["Delete %d Operations"] = "Delete %d Operations"
--[[Translation missing --]]
L["Delete Group?"] = "Delete Group?"
--[[Translation missing --]]
L["Delete Operation?"] = "Delete Operation?"
--[[Translation missing --]]
L["Delete Operations"] = "Delete Operations"
--[[Translation missing --]]
L["Delete Operations?"] = "Delete Operations?"
--[[Translation missing --]]
L["Delete Profile?"] = "Delete Profile?"
--[[Translation missing --]]
L["Delete Record?"] = "Delete Record?"
--[[Translation missing --]]
L["Delete the profile"] = "Delete the profile"
--[[Translation missing --]]
L["Deleting this group (%s) will also remove any sub-groups attached to this group."] = "Deleting this group (%s) will also remove any sub-groups attached to this group."
--[[Translation missing --]]
L["Deposit"] = "Deposit"
--[[Translation missing --]]
L["Deposit Cost"] = "Deposit Cost"
--[[Translation missing --]]
L["Deposit reagents"] = "Deposit reagents"
--[[Translation missing --]]
L["Deselect All"] = "Deselect All"
--[[Translation missing --]]
L["Destroy Next"] = "Destroy Next"
--[[Translation missing --]]
L["Destroy Value"] = "Destroy Value"
--[[Translation missing --]]
L["Destroy value"] = "Destroy value"
--[[Translation missing --]]
L["Destroy value source"] = "Destroy value source"
--[[Translation missing --]]
L["Destroying"] = "Destroying"
--[[Translation missing --]]
L["Destroying %s button"] = "Destroying %s button"
--[[Translation missing --]]
L["Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."] = "Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."
--[[Translation missing --]]
L["Destroying will ignore %s until you log out."] = "Destroying will ignore %s until you log out."
--[[Translation missing --]]
L["Destroying..."] = "Destroying..."
--[[Translation missing --]]
L["Detailed crafting cost"] = "Detailed crafting cost"
--[[Translation missing --]]
L["Detailed destroy information"] = "Detailed destroy information"
--[[Translation missing --]]
L["Details"] = "Details"
--[[Translation missing --]]
L["Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."] = "Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your maximum price (%s) is invalid. Check your settings."] = "Did not cancel %s because your maximum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your minimum price (%s) is invalid. Check your settings."] = "Did not cancel %s because your minimum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your normal price (%s) is invalid. Check your settings."] = "Did not cancel %s because your normal price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your undercut (%s) is invalid. Check your settings."] = "Did not cancel %s because your undercut (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not change prices due to an invalid bid or buyout value."] = "Did not change prices due to an invalid bid or buyout value."
--[[Translation missing --]]
L["Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."] = "Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."
--[[Translation missing --]]
L["Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."] = "Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."
--[[Translation missing --]]
L["Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."] = "Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."
--[[Translation missing --]]
L["Did not post %s because your keep quantity (%s) is invalid. Check your settings."] = "Did not post %s because your keep quantity (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your max expires (%s) is invalid. Check your settings."] = "Did not post %s because your max expires (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your maximum price (%s) is invalid. Check your settings."] = "Did not post %s because your maximum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not post %s because your minimum price (%s) is invalid. Check your settings."] = "Did not post %s because your minimum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your normal price (%s) is invalid. Check your settings."] = "Did not post %s because your normal price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not post %s because your post cap (%s) is invalid. Check your settings."] = "Did not post %s because your post cap (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your stack size (%s) is invalid. Check your settings."] = "Did not post %s because your stack size (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your undercut (%s) is invalid. Check your settings."] = "Did not post %s because your undercut (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Disable invalid price warnings"] = "Disable invalid price warnings"
--[[Translation missing --]]
L["Disenchant Search"] = "Disenchant Search"
--[[Translation missing --]]
L["Disenchant Search Options"] = "Disenchant Search Options"
--[[Translation missing --]]
L["Disenchant Value"] = "Disenchant Value"
--[[Translation missing --]]
L["Disenchant value"] = "Disenchant value"
--[[Translation missing --]]
L["Disenchanting Options"] = "Disenchanting Options"
--[[Translation missing --]]
L["Display total money received in chat"] = "Display total money received in chat"
--[[Translation missing --]]
L["Done Canceling"] = "Done Canceling"
--[[Translation missing --]]
L["Done Posting"] = "Done Posting"
--[[Translation missing --]]
L["Done rebuilding item cache."] = "Done rebuilding item cache."
--[[Translation missing --]]
L["Done Scanning"] = "Done Scanning"
--[[Translation missing --]]
L["Don't post after this many expires"] = "Don't post after this many expires"
--[[Translation missing --]]
L["Don't Post Items"] = "Don't Post Items"
--[[Translation missing --]]
L["Don't prompt to record trades"] = "Don't prompt to record trades"
--[[Translation missing --]]
L["Down"] = "Down"
--[[Translation missing --]]
L["Duplicate the profile"] = "Duplicate the profile"
--[[Translation missing --]]
L["Duration"] = "Duration"
--[[Translation missing --]]
L["Duskwood"] = "Duskwood"
--[[Translation missing --]]
L["Edit"] = "Edit"
--[[Translation missing --]]
L["Edit Custom Source"] = "Edit Custom Source"
--[[Translation missing --]]
L["Edit Material Price"] = "Edit Material Price"
--[[Translation missing --]]
L["Edit Post"] = "Edit Post"
--[[Translation missing --]]
L["Embed TSM tooltip"] = "Embed TSM tooltip"
--[[Translation missing --]]
L["Empty bags"] = "Empty bags"
--[[Translation missing --]]
L["Empty parentheses are not allowed"] = "Empty parentheses are not allowed"
L["Empty price string."] = "Stringa del prezzo vuota."
--[[Translation missing --]]
L["Enable automatic stack combination"] = "Enable automatic stack combination"
--[[Translation missing --]]
L["Enable buying"] = "Enable buying"
--[[Translation missing --]]
L["Enable inbox chat messages"] = "Enable inbox chat messages"
--[[Translation missing --]]
L["Enable restock"] = "Enable restock"
--[[Translation missing --]]
L["Enable selling"] = "Enable selling"
--[[Translation missing --]]
L["Enable sending chat messages"] = "Enable sending chat messages"
--[[Translation missing --]]
L["Enable TSM tooltips"] = "Enable TSM tooltips"
--[[Translation missing --]]
L["Enchant"] = "Enchant"
--[[Translation missing --]]
L["Enchant Vellum"] = "Enchant Vellum"
--[[Translation missing --]]
L["Ensure both characters are online and try again."] = "Ensure both characters are online and try again."
--[[Translation missing --]]
L["Enter a value from %d - %d"] = "Enter a value from %d - %d"
--[[Translation missing --]]
L["Enter a value from %d - %d%%"] = "Enter a value from %d - %d%%"
--[[Translation missing --]]
L["Enter Filter"] = "Enter Filter"
--[[Translation missing --]]
L["Enter Keyword"] = "Enter Keyword"
--[[Translation missing --]]
L["Enter name of logged-in character on other account"] = "Enter name of logged-in character on other account"
--[[Translation missing --]]
L["Enter player name"] = "Enter player name"
--[[Translation missing --]]
L["Enter profile name"] = "Enter profile name"
--[[Translation missing --]]
L["Enter recipient name"] = "Enter recipient name"
--[[Translation missing --]]
L["ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."] = "ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."
--[[Translation missing --]]
L["ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."] = "ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."
--[[Translation missing --]]
L["ERROR: The auction house must be open in order to do a scan."] = "ERROR: The auction house must be open in order to do a scan."
--[[Translation missing --]]
L["Establishing connection to %s. Make sure that you've entered this character's name on the other account."] = "Establishing connection to %s. Make sure that you've entered this character's name on the other account."
--[[Translation missing --]]
L["Establishing connection..."] = "Establishing connection..."
--[[Translation missing --]]
L["Estimated Cost:"] = "Estimated Cost:"
--[[Translation missing --]]
L["Estimated deliver time"] = "Estimated deliver time"
--[[Translation missing --]]
L["Estimated Profit:"] = "Estimated Profit:"
--[[Translation missing --]]
L["Exact Match"] = "Exact Match"
--[[Translation missing --]]
L["Example"] = "Example"
--[[Translation missing --]]
L["Example Item"] = "Example Item"
--[[Translation missing --]]
L["Example Tooltip"] = "Example Tooltip"
--[[Translation missing --]]
L["Exclude custom sources?"] = "Exclude custom sources?"
--[[Translation missing --]]
L["Exclude operations?"] = "Exclude operations?"
--[[Translation missing --]]
L["Exit"] = "Exit"
--[[Translation missing --]]
L["Expand / Collapse All Groups"] = "Expand / Collapse All Groups"
--[[Translation missing --]]
L["Expenses"] = "Expenses"
--[[Translation missing --]]
L["EXPENSES"] = "EXPENSES"
--[[Translation missing --]]
L["Expirations"] = "Expirations"
--[[Translation missing --]]
L["Expired"] = "Expired"
--[[Translation missing --]]
L["Expired Auctions"] = "Expired Auctions"
--[[Translation missing --]]
L["Expired information"] = "Expired information"
--[[Translation missing --]]
L["Expired Since Last Sale"] = "Expired Since Last Sale"
--[[Translation missing --]]
L["Expires"] = "Expires"
--[[Translation missing --]]
L["Expires Since Last Sale"] = "Expires Since Last Sale"
--[[Translation missing --]]
L["Expiring Mails"] = "Expiring Mails"
--[[Translation missing --]]
L["Exploration"] = "Exploration"
--[[Translation missing --]]
L["Export"] = "Export"
--[[Translation missing --]]
L["Export String"] = "Export String"
--[[Translation missing --]]
L["Export this group"] = "Export this group"
--[[Translation missing --]]
L["Failed Auctions"] = "Failed Auctions"
--[[Translation missing --]]
L["Failed to bid on auction of %s (x%s) for %s."] = "Failed to bid on auction of %s (x%s) for %s."
--[[Translation missing --]]
L["Failed to bid on auction of %s."] = "Failed to bid on auction of %s."
--[[Translation missing --]]
L["Failed to buy auction of %s (x%s) for %s."] = "Failed to buy auction of %s (x%s) for %s."
--[[Translation missing --]]
L["Failed to buy auction of %s."] = "Failed to buy auction of %s."
--[[Translation missing --]]
L["Failed to buy auction."] = "Failed to buy auction."
--[[Translation missing --]]
L["Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."] = "Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."
--[[Translation missing --]]
L["Failed to find auction for %s, so removing it from the results."] = "Failed to find auction for %s, so removing it from the results."
--[[Translation missing --]]
L["Failed to post %sx%d as the item no longer exists in your bags."] = "Failed to post %sx%d as the item no longer exists in your bags."
--[[Translation missing --]]
L["Failed to run full AH scan."] = "Failed to run full AH scan."
--[[Translation missing --]]
L["Failed to send profile."] = "Failed to send profile."
--[[Translation missing --]]
L["Failed to send profile. Ensure both characters are online and try again."] = "Failed to send profile. Ensure both characters are online and try again."
--[[Translation missing --]]
L["Failed to start sniper. No groups have a Sniper operation applied."] = "Failed to start sniper. No groups have a Sniper operation applied."
--[[Translation missing --]]
L["Favorite Scans"] = "Favorite Scans"
--[[Translation missing --]]
L["Favorite Searches"] = "Favorite Searches"
--[[Translation missing --]]
L["Favorited Patterns"] = "Favorited Patterns"
--[[Translation missing --]]
L["Filter by duration"] = "Filter by duration"
--[[Translation missing --]]
L["Filter by groups"] = "Filter by groups"
--[[Translation missing --]]
L["Filter by keyword"] = "Filter by keyword"
--[[Translation missing --]]
L["Filter by Keyword"] = "Filter by Keyword"
--[[Translation missing --]]
L["Filter by Price Source"] = "Filter by Price Source"
--[[Translation missing --]]
L["Filter by Profession"] = "Filter by Profession"
--[[Translation missing --]]
L["Filter group item lists based on the following price source"] = "Filter group item lists based on the following price source"
--[[Translation missing --]]
L["Finding Selected Auction"] = "Finding Selected Auction"
--[[Translation missing --]]
L["First Auctioning Operation Max Price"] = "First Auctioning Operation Max Price"
--[[Translation missing --]]
L["First Auctioning Operation Min Price"] = "First Auctioning Operation Min Price"
--[[Translation missing --]]
L["First Auctioning Operation Normal Price"] = "First Auctioning Operation Normal Price"
--[[Translation missing --]]
L["Fishing Reel In"] = "Fishing Reel In"
--[[Translation missing --]]
L["For more info, visit %s. For help, join us in Discord: %s."] = "For more info, visit %s. For help, join us in Discord: %s."
--[[Translation missing --]]
L["Forget Character"] = "Forget Character"
--[[Translation missing --]]
L["Found auction sound"] = "Found auction sound"
--[[Translation missing --]]
L["Friends"] = "Friends"
--[[Translation missing --]]
L["From"] = "From"
--[[Translation missing --]]
L["Full inventory"] = "Full inventory"
--[[Translation missing --]]
L["Garrison"] = "Garrison"
--[[Translation missing --]]
L["Gathering"] = "Gathering"
--[[Translation missing --]]
L["Gathering Search"] = "Gathering Search"
--[[Translation missing --]]
L["Gathering Setup"] = "Gathering Setup"
L["General Options"] = "Opzioni Generale"
--[[Translation missing --]]
L["General Settings"] = "General Settings"
--[[Translation missing --]]
L["Get from Bank"] = "Get from Bank"
--[[Translation missing --]]
L["Get from Guild Bank"] = "Get from Guild Bank"
--[[Translation missing --]]
L["Gets items from the bank or guild bank matching the item or partial text entered."] = "Gets items from the bank or guild bank matching the item or partial text entered."
--[[Translation missing --]]
L["Gold"] = "Gold"
--[[Translation missing --]]
L["Great Deals Search"] = "Great Deals Search"
--[[Translation missing --]]
L["Group already exists."] = "Group already exists."
--[[Translation missing --]]
L["Group Management"] = "Group Management"
--[[Translation missing --]]
L["Group name"] = "Group name"
--[[Translation missing --]]
L["Group Search"] = "Group Search"
--[[Translation missing --]]
L["Grouped Items"] = "Grouped Items"
--[[Translation missing --]]
L["Groups"] = "Groups"
--[[Translation missing --]]
L["Groups & Operations"] = "Groups & Operations"
--[[Translation missing --]]
L["Groups Using"] = "Groups Using"
--[[Translation missing --]]
L["Guild"] = "Guild"
--[[Translation missing --]]
L["Guild Bank"] = "Guild Bank"
--[[Translation missing --]]
L["GVault"] = "GVault"
--[[Translation missing --]]
L["Have"] = "Have"
--[[Translation missing --]]
L["Have Mats"] = "Have Mats"
--[[Translation missing --]]
L["Have Skill Ups"] = "Have Skill Ups"
--[[Translation missing --]]
L["Here you can add/remove what groups this operation is attached to."] = "Here you can add/remove what groups this operation is attached to."
--[[Translation missing --]]
L["Hide auctions with bids"] = "Hide auctions with bids"
--[[Translation missing --]]
L["Hide Columns"] = "Hide Columns"
--[[Translation missing --]]
L["Hide minimap icon"] = "Hide minimap icon"
--[[Translation missing --]]
L["Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."] = "Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."
--[[Translation missing --]]
L["Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."] = "Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."
--[[Translation missing --]]
L["HIGH"] = "HIGH"
--[[Translation missing --]]
L["High Bidder"] = "High Bidder"
--[[Translation missing --]]
L["Historical Price"] = "Historical Price"
--[[Translation missing --]]
L["Historical price"] = "Historical price"
--[[Translation missing --]]
L["Hold ALT to repair from the guild bank."] = "Hold ALT to repair from the guild bank."
--[[Translation missing --]]
L["Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."] = "Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes"] = "Hold SHIFT to continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."
--[[Translation missing --]]
L["Hold shift to move the items to the parent group instead of removing them."] = "Hold shift to move the items to the parent group instead of removing them."
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes"] = "Hold SHIFT to not continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."
--[[Translation missing --]]
L["Hold SHIFT while dragging to scale the window instead."] = "Hold SHIFT while dragging to scale the window instead."
--[[Translation missing --]]
L["Hr"] = "Hr"
--[[Translation missing --]]
L["Hrs"] = "Hrs"
--[[Translation missing --]]
L["If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."] = "If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."
--[[Translation missing --]]
L["Ignore Auctions Below Min"] = "Ignore Auctions Below Min"
--[[Translation missing --]]
L["Ignore auctions by duration"] = "Ignore auctions by duration"
--[[Translation missing --]]
L["Ignore Characters"] = "Ignore Characters"
--[[Translation missing --]]
L["Ignore Guilds"] = "Ignore Guilds"
--[[Translation missing --]]
L["Ignore operation on characters"] = "Ignore operation on characters"
--[[Translation missing --]]
L["Ignore operation on faction-realms"] = "Ignore operation on faction-realms"
--[[Translation missing --]]
L["Ignore variations"] = "Ignore variations"
--[[Translation missing --]]
L["Ignored Cooldowns"] = "Ignored Cooldowns"
--[[Translation missing --]]
L["Ignored Items"] = "Ignored Items"
--[[Translation missing --]]
L["ilvl"] = "ilvl"
--[[Translation missing --]]
L["Import"] = "Import"
--[[Translation missing --]]
L["Import group"] = "Import group"
--[[Translation missing --]]
L["Import Groups & Operations"] = "Import Groups & Operations"
--[[Translation missing --]]
L["Import String"] = "Import String"
--[[Translation missing --]]
L["Import Summary"] = "Import Summary"
--[[Translation missing --]]
L["Imported Group"] = "Imported Group"
--[[Translation missing --]]
L["Imported group (%s) with %d items, %d operations, and %d custom sources."] = "Imported group (%s) with %d items, %d operations, and %d custom sources."
--[[Translation missing --]]
L["Improved Import / Export."] = "Improved Import / Export."
--[[Translation missing --]]
L["Inbox Settings"] = "Inbox Settings"
--[[Translation missing --]]
L["Include operations?"] = "Include operations?"
--[[Translation missing --]]
L["Include soulbound items"] = "Include soulbound items"
--[[Translation missing --]]
L["Information"] = "Information"
--[[Translation missing --]]
L["Invalid custom price source for %s. %s"] = "Invalid custom price source for %s. %s"
--[[Translation missing --]]
L["Invalid custom price."] = "Invalid custom price."
--[[Translation missing --]]
L["Invalid function."] = "Invalid function."
--[[Translation missing --]]
L["Invalid gold value."] = "Invalid gold value."
--[[Translation missing --]]
L["Invalid group name."] = "Invalid group name."
--[[Translation missing --]]
L["Invalid item link."] = "Invalid item link."
--[[Translation missing --]]
L["Invalid numeric value."] = "Invalid numeric value."
--[[Translation missing --]]
L["Invalid operation name."] = "Invalid operation name."
--[[Translation missing --]]
L["Invalid operator at end of custom price."] = "Invalid operator at end of custom price."
--[[Translation missing --]]
L["Invalid parameter to price source."] = "Invalid parameter to price source."
--[[Translation missing --]]
L["Invalid player name."] = "Invalid player name."
--[[Translation missing --]]
L["Invalid price source in convert."] = "Invalid price source in convert."
--[[Translation missing --]]
L["Invalid price."] = "Invalid price."
--[[Translation missing --]]
L["Invalid Quantity"] = "Invalid Quantity"
--[[Translation missing --]]
L["Invalid search filter (%s)."] = "Invalid search filter (%s)."
--[[Translation missing --]]
L["Invalid search term."] = "Invalid search term."
--[[Translation missing --]]
L["Invalid search term. Cannot filter by price here."] = "Invalid search term. Cannot filter by price here."
--[[Translation missing --]]
L["Invalid seller data returned by server."] = "Invalid seller data returned by server."
--[[Translation missing --]]
L["Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."] = "Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."
--[[Translation missing --]]
L["Invalid word: '%s'"] = "Invalid word: '%s'"
--[[Translation missing --]]
L["Inventory"] = "Inventory"
--[[Translation missing --]]
L["Inventory / Gold Graph"] = "Inventory / Gold Graph"
--[[Translation missing --]]
L["Inventory Options"] = "Inventory Options"
--[[Translation missing --]]
L["It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."] = "It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."
--[[Translation missing --]]
L["It looks like you're trying to reference an old global price source which no longer exists."] = "It looks like you're trying to reference an old global price source which no longer exists."
--[[Translation missing --]]
L["Item"] = "Item"
--[[Translation missing --]]
L["Item Class"] = "Item Class"
--[[Translation missing --]]
L["Item Level"] = "Item Level"
--[[Translation missing --]]
L["Item Level Range"] = "Item Level Range"
--[[Translation missing --]]
L["Item links may only be used as parameters to price sources."] = "Item links may only be used as parameters to price sources."
--[[Translation missing --]]
L["Item Name"] = "Item Name"
--[[Translation missing --]]
L["Item Quality"] = "Item Quality"
--[[Translation missing --]]
L["Item Selection"] = "Item Selection"
--[[Translation missing --]]
L["Item Slot"] = "Item Slot"
--[[Translation missing --]]
L["Item Subclass"] = "Item Subclass"
--[[Translation missing --]]
L["Item Value"] = "Item Value"
--[[Translation missing --]]
L["Item/Group is invalid (see chat)."] = "Item/Group is invalid (see chat)."
--[[Translation missing --]]
L["Items"] = "Items"
--[[Translation missing --]]
L["Items Using"] = "Items Using"
--[[Translation missing --]]
L["Keep in bags quantity"] = "Keep in bags quantity"
--[[Translation missing --]]
L["Keep in bank quantity"] = "Keep in bank quantity"
--[[Translation missing --]]
L["Keep quantity"] = "Keep quantity"
--[[Translation missing --]]
L["Keep this amount"] = "Keep this amount"
--[[Translation missing --]]
L["Keeping %d."] = "Keeping %d."
--[[Translation missing --]]
L["Keeping undercut auctions posted."] = "Keeping undercut auctions posted."
--[[Translation missing --]]
L["Last 14 Days"] = "Last 14 Days"
--[[Translation missing --]]
L["Last 3 Days"] = "Last 3 Days"
--[[Translation missing --]]
L["Last 30 Days"] = "Last 30 Days"
--[[Translation missing --]]
L["Last 60 Days"] = "Last 60 Days"
--[[Translation missing --]]
L["Last 7 Days"] = "Last 7 Days"
--[[Translation missing --]]
L["Last Purchased"] = "Last Purchased"
--[[Translation missing --]]
L["Last Sold"] = "Last Sold"
--[[Translation missing --]]
L["LEAST GROUPS"] = "LEAST GROUPS"
--[[Translation missing --]]
L["LEAST ITEMS"] = "LEAST ITEMS"
--[[Translation missing --]]
L["Ledger"] = "Ledger"
--[[Translation missing --]]
L["Level Up"] = "Level Up"
--[[Translation missing --]]
L["Limit"] = "Limit"
--[[Translation missing --]]
L["Link to Another Operation"] = "Link to Another Operation"
--[[Translation missing --]]
L["Loading..."] = "Loading..."
--[[Translation missing --]]
L["Lock Column Width"] = "Lock Column Width"
--[[Translation missing --]]
L["Lock task list's background"] = "Lock task list's background"
L["Looks like TradeSkillMaster has encountered an error. Please help the author fix this error by following the instructions shown."] = "Sembra che TradeSkillMaster abbia riscontrato un errore. Aiuta l'autore a riparare l'errore seguendo le istruzioni mostrate."
--[[Translation missing --]]
L["Loop detected in the following custom price:"] = "Loop detected in the following custom price:"
--[[Translation missing --]]
L["LOW"] = "LOW"
--[[Translation missing --]]
L["Lowest auction by whitelisted player."] = "Lowest auction by whitelisted player."
--[[Translation missing --]]
L["Macro created and scroll wheel bound!"] = "Macro created and scroll wheel bound!"
--[[Translation missing --]]
L["Macro Setup"] = "Macro Setup"
--[[Translation missing --]]
L["Macros"] = "Macros"
--[[Translation missing --]]
L["Mail"] = "Mail"
--[[Translation missing --]]
L["Mail Disenchantables"] = "Mail Disenchantables"
--[[Translation missing --]]
L["Mail disenchantables max quality"] = "Mail disenchantables max quality"
--[[Translation missing --]]
L["Mail Selected Groups"] = "Mail Selected Groups"
--[[Translation missing --]]
L["Mail Selected Groups (Auto Resend)"] = "Mail Selected Groups (Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run + Auto Resend)"] = "Mail Selected Groups (Dry Run + Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run)"] = "Mail Selected Groups (Dry Run)"
--[[Translation missing --]]
L["Mail to %s"] = "Mail to %s"
--[[Translation missing --]]
L["Mailing"] = "Mailing"
--[[Translation missing --]]
L["Mailing all to %s."] = "Mailing all to %s."
--[[Translation missing --]]
L["Mailing operation"] = "Mailing operation"
--[[Translation missing --]]
L["Mailing operations control mailing to other characters."] = "Mailing operations control mailing to other characters."
--[[Translation missing --]]
L["Mailing up to %d to %s."] = "Mailing up to %d to %s."
--[[Translation missing --]]
L["Make Cash On Delivery?"] = "Make Cash On Delivery?"
--[[Translation missing --]]
L["Make Operations Global?"] = "Make Operations Global?"
--[[Translation missing --]]
L["Management Options"] = "Management Options"
--[[Translation missing --]]
L["Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."] = "Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."
--[[Translation missing --]]
L["Map Ping"] = "Map Ping"
--[[Translation missing --]]
L["Market Value"] = "Market Value"
--[[Translation missing --]]
L["Market value"] = "Market value"
--[[Translation missing --]]
L["Market value price source"] = "Market value price source"
--[[Translation missing --]]
L["Market Value Price Source"] = "Market Value Price Source"
--[[Translation missing --]]
L["Mat cost"] = "Mat cost"
--[[Translation missing --]]
L["Mat Price"] = "Mat Price"
--[[Translation missing --]]
L["Match stack size"] = "Match stack size"
--[[Translation missing --]]
L["Match whitelisted players"] = "Match whitelisted players"
--[[Translation missing --]]
L["Material Cost"] = "Material Cost"
--[[Translation missing --]]
L["Material Price"] = "Material Price"
--[[Translation missing --]]
L["Materials"] = "Materials"
--[[Translation missing --]]
L["Materials to Gather"] = "Materials to Gather"
--[[Translation missing --]]
L["Max"] = "Max"
--[[Translation missing --]]
L["Max Buy Price"] = "Max Buy Price"
--[[Translation missing --]]
L["Max destroy value (Enter '0c' to disable)"] = "Max destroy value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max expires to bank"] = "Max expires to bank"
--[[Translation missing --]]
L["Max market value (Enter '0c' to disable)"] = "Max market value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max Price"] = "Max Price"
--[[Translation missing --]]
L["Max quantity"] = "Max quantity"
--[[Translation missing --]]
L["Max restock quantity"] = "Max restock quantity"
--[[Translation missing --]]
L["Max Sell Price"] = "Max Sell Price"
--[[Translation missing --]]
L["Max Shopping Price"] = "Max Shopping Price"
--[[Translation missing --]]
L["Max shopping price"] = "Max shopping price"
--[[Translation missing --]]
L["Max sniper price"] = "Max sniper price"
--[[Translation missing --]]
L["Maximum amount already posted."] = "Maximum amount already posted."
--[[Translation missing --]]
L["Maximum auction price"] = "Maximum auction price"
--[[Translation missing --]]
L["Maximum disenchant level"] = "Maximum disenchant level"
--[[Translation missing --]]
L["Maximum disenchant quality"] = "Maximum disenchant quality"
--[[Translation missing --]]
L["Maximum disenchant search percent"] = "Maximum disenchant search percent"
--[[Translation missing --]]
L["Maximum price"] = "Maximum price"
--[[Translation missing --]]
L["Maximum Quantity to Buy"] = "Maximum Quantity to Buy"
--[[Translation missing --]]
L["Maximum restock quantity"] = "Maximum restock quantity"
--[[Translation missing --]]
L["Midnight"] = "Midnight"
--[[Translation missing --]]
L["Mill value"] = "Mill value"
--[[Translation missing --]]
L["Mill Value"] = "Mill Value"
--[[Translation missing --]]
L["Min"] = "Min"
--[[Translation missing --]]
L["Min 0 - Max 20"] = "Min 0 - Max 20"
--[[Translation missing --]]
L["Min 0.5 - Max 10"] = "Min 0.5 - Max 10"
--[[Translation missing --]]
L["Min Buy Price"] = "Min Buy Price"
--[[Translation missing --]]
L["Min Buyout"] = "Min Buyout"
--[[Translation missing --]]
L["Min buyout"] = "Min buyout"
--[[Translation missing --]]
L["Min number of expires"] = "Min number of expires"
--[[Translation missing --]]
L["Min profit amount"] = "Min profit amount"
--[[Translation missing --]]
L["Min restock quantity"] = "Min restock quantity"
--[[Translation missing --]]
L["Min Sell Price"] = "Min Sell Price"
--[[Translation missing --]]
L["Min/Normal/Max price"] = "Min/Normal/Max price"
--[[Translation missing --]]
L["Min/Normal/Max Prices"] = "Min/Normal/Max Prices"
--[[Translation missing --]]
L["Minimum disenchant level"] = "Minimum disenchant level"
--[[Translation missing --]]
L["Minimum price"] = "Minimum price"
--[[Translation missing --]]
L["Minimum Rarity"] = "Minimum Rarity"
--[[Translation missing --]]
L["Misplaced comma"] = "Misplaced comma"
--[[Translation missing --]]
L["Missing Materials"] = "Missing Materials"
--[[Translation missing --]]
L["Missing operator between sets of parenthesis"] = "Missing operator between sets of parenthesis"
--[[Translation missing --]]
L["Modifiers"] = "Modifiers"
--[[Translation missing --]]
L["Money Frame Open"] = "Money Frame Open"
--[[Translation missing --]]
L["Money Transfer"] = "Money Transfer"
--[[Translation missing --]]
L["MOST GROUPS"] = "MOST GROUPS"
--[[Translation missing --]]
L["MOST ITEMS"] = "MOST ITEMS"
--[[Translation missing --]]
L["MOVE"] = "MOVE"
--[[Translation missing --]]
L["Move %d |4Item:Items"] = "Move %d |4Item:Items"
--[[Translation missing --]]
L["Move %d already grouped items?"] = "Move %d already grouped items?"
--[[Translation missing --]]
L["Move all to Bags"] = "Move all to Bags"
--[[Translation missing --]]
L["Move Item"] = "Move Item"
--[[Translation missing --]]
L["Move Quantity Options"] = "Move Quantity Options"
--[[Translation missing --]]
L["Move to bags"] = "Move to bags"
--[[Translation missing --]]
L["Move to bank"] = "Move to bank"
--[[Translation missing --]]
L["Move to Parent Group"] = "Move to Parent Group"
--[[Translation missing --]]
L["MOVING"] = "MOVING"
--[[Translation missing --]]
L["Moving"] = "Moving"
--[[Translation missing --]]
L["Multiple Items"] = "Multiple Items"
--[[Translation missing --]]
L["Must be between %d and %s."] = "Must be between %d and %s."
--[[Translation missing --]]
L["My Auctions"] = "My Auctions"
--[[Translation missing --]]
L["My Auctions %s button"] = "My Auctions %s button"
--[[Translation missing --]]
L["Name"] = "Name"
--[[Translation missing --]]
L["NEED MATS"] = "NEED MATS"
--[[Translation missing --]]
L["New Base Group search."] = "New Base Group search."
--[[Translation missing --]]
L["New Group"] = "New Group"
--[[Translation missing --]]
L["New Operation"] = "New Operation"
--[[Translation missing --]]
L["New price sources."] = "New price sources."
--[[Translation missing --]]
L["News & Information"] = "News & Information"
--[[Translation missing --]]
L["No Attachments"] = "No Attachments"
--[[Translation missing --]]
L["No AuctionDB Realm Data"] = "No AuctionDB Realm Data"
--[[Translation missing --]]
L["No AuctionDB Region Data"] = "No AuctionDB Region Data"
--[[Translation missing --]]
L["No Characters"] = "No Characters"
--[[Translation missing --]]
L["No Crafts"] = "No Crafts"
--[[Translation missing --]]
L["No Faction-Realms"] = "No Faction-Realms"
--[[Translation missing --]]
L["No group selected"] = "No group selected"
--[[Translation missing --]]
L["No Guilds"] = "No Guilds"
--[[Translation missing --]]
L["No item specified. Usage: /tsm restock_help [ITEM_LINK]"] = "No item specified. Usage: /tsm restock_help [ITEM_LINK]"
--[[Translation missing --]]
L["NO ITEMS"] = "NO ITEMS"
--[[Translation missing --]]
L["No Materials to Gather"] = "No Materials to Gather"
--[[Translation missing --]]
L["No Operation Selected"] = "No Operation Selected"
--[[Translation missing --]]
L["No Players"] = "No Players"
--[[Translation missing --]]
L["No posting."] = "No posting."
--[[Translation missing --]]
L["No Profession Opened"] = "No Profession Opened"
--[[Translation missing --]]
L["No Profession Selected"] = "No Profession Selected"
--[[Translation missing --]]
L["No Professions"] = "No Professions"
--[[Translation missing --]]
L["No profile specified. Possible profiles: '%s'"] = "No profile specified. Possible profiles: '%s'"
--[[Translation missing --]]
L["No Rarities"] = "No Rarities"
--[[Translation missing --]]
L["No receipe selected"] = "No receipe selected"
--[[Translation missing --]]
L["No recent AuctionDB scan data found."] = "No recent AuctionDB scan data found."
--[[Translation missing --]]
L["No Sound"] = "No Sound"
--[[Translation missing --]]
L["No Sources"] = "No Sources"
--[[Translation missing --]]
L["No Types"] = "No Types"
--[[Translation missing --]]
L["No value was returned by the custom price for the specified item."] = "No value was returned by the custom price for the specified item."
--[[Translation missing --]]
L["None"] = "None"
--[[Translation missing --]]
L["None (Always Show)"] = "None (Always Show)"
--[[Translation missing --]]
L["None Selected"] = "None Selected"
--[[Translation missing --]]
L["Nongroup to bank"] = "Nongroup to bank"
--[[Translation missing --]]
L["Normal price"] = "Normal price"
--[[Translation missing --]]
L["Not canceling auction at reset price."] = "Not canceling auction at reset price."
--[[Translation missing --]]
L["Not canceling auction below min price."] = "Not canceling auction below min price."
--[[Translation missing --]]
L["Not canceling."] = "Not canceling."
--[[Translation missing --]]
L["Not Connected"] = "Not Connected"
--[[Translation missing --]]
L["Not enough items in bags."] = "Not enough items in bags."
--[[Translation missing --]]
L["Not Enough Money"] = "Not Enough Money"
--[[Translation missing --]]
L["Not enough money to cancel."] = "Not enough money to cancel."
--[[Translation missing --]]
L["NOT OPEN"] = "NOT OPEN"
--[[Translation missing --]]
L["Not Scanned"] = "Not Scanned"
--[[Translation missing --]]
L["NOTE: The import contained %d invalid items which were ignored."] = "NOTE: The import contained %d invalid items which were ignored."
--[[Translation missing --]]
L["NOTE: The import contained %d operations with at least one invalid setting which was reset."] = "NOTE: The import contained %d operations with at least one invalid setting which was reset."
--[[Translation missing --]]
L["Nothing to move."] = "Nothing to move."
--[[Translation missing --]]
L["Nothing to send."] = "Nothing to send."
--[[Translation missing --]]
L["Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."] = "Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."
--[[Translation missing --]]
L["NPC"] = "NPC"
--[[Translation missing --]]
L["Number Owned"] = "Number Owned"
--[[Translation missing --]]
L["Offline"] = "Offline"
--[[Translation missing --]]
L["On Cooldown"] = "On Cooldown"
--[[Translation missing --]]
L["Only show craftable"] = "Only show craftable"
--[[Translation missing --]]
L["Only show items with disenchant values above this price"] = "Only show items with disenchant values above this price"
--[[Translation missing --]]
L["Only show sold auctions"] = "Only show sold auctions"
--[[Translation missing --]]
L["OPEN"] = "OPEN"
--[[Translation missing --]]
L["Open All Mail"] = "Open All Mail"
--[[Translation missing --]]
L["Open All Mail Without Money"] = "Open All Mail Without Money"
--[[Translation missing --]]
L["Open Mail"] = "Open Mail"
--[[Translation missing --]]
L["Open mail complete sound"] = "Open mail complete sound"
--[[Translation missing --]]
L["Open Mail Without Money"] = "Open Mail Without Money"
--[[Translation missing --]]
L["Open Task List"] = "Open Task List"
--[[Translation missing --]]
L["Opens the Destroying frame if there's stuff in your bags to be destroyed."] = "Opens the Destroying frame if there's stuff in your bags to be destroyed."
--[[Translation missing --]]
L["Operation"] = "Operation"
--[[Translation missing --]]
L["Operations"] = "Operations"
--[[Translation missing --]]
L["Options specific to Sniper are below."] = "Options specific to Sniper are below."
--[[Translation missing --]]
L["Order Confirmation"] = "Order Confirmation"
--[[Translation missing --]]
L["Orgrimmar"] = "Orgrimmar"
--[[Translation missing --]]
L["Other"] = "Other"
--[[Translation missing --]]
L["Other Character"] = "Other Character"
--[[Translation missing --]]
L["Override default craft value"] = "Override default craft value"
--[[Translation missing --]]
L["Override Parent Operations"] = "Override Parent Operations"
--[[Translation missing --]]
L["Parent Items"] = "Parent Items"
--[[Translation missing --]]
L["Pausing Scan..."] = "Pausing Scan..."
--[[Translation missing --]]
L["Per Item"] = "Per Item"
--[[Translation missing --]]
L["Per Stack"] = "Per Stack"
--[[Translation missing --]]
L["Per-Character group selections."] = "Per-Character group selections."
--[[Translation missing --]]
L["Performing a dry-run of your Mailing operations for the selected groups."] = "Performing a dry-run of your Mailing operations for the selected groups."
--[[Translation missing --]]
L["Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."] = "Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."
--[[Translation missing --]]
L["Player Gold"] = "Player Gold"
--[[Translation missing --]]
L["Player Invite Accept"] = "Player Invite Accept"
--[[Translation missing --]]
L["Post"] = "Post"
--[[Translation missing --]]
L["Post / Cancel"] = "Post / Cancel"
--[[Translation missing --]]
L["Post at Maximum Price"] = "Post at Maximum Price"
--[[Translation missing --]]
L["Post at Minimum Price"] = "Post at Minimum Price"
--[[Translation missing --]]
L["Post at Normal Price"] = "Post at Normal Price"
--[[Translation missing --]]
L["Post Auction"] = "Post Auction"
--[[Translation missing --]]
L["Post cap"] = "Post cap"
--[[Translation missing --]]
L["Post cap to bags"] = "Post cap to bags"
--[[Translation missing --]]
L["Post from Shopping Scan"] = "Post from Shopping Scan"
--[[Translation missing --]]
L["Post Items from Bags"] = "Post Items from Bags"
--[[Translation missing --]]
L["Post Quantity"] = "Post Quantity"
--[[Translation missing --]]
L["Post Scan"] = "Post Scan"
--[[Translation missing --]]
L["Post Selected"] = "Post Selected"
--[[Translation missing --]]
L["Postage"] = "Postage"
--[[Translation missing --]]
L["Posted at whitelisted player's price."] = "Posted at whitelisted player's price."
--[[Translation missing --]]
L["Posted:"] = "Posted:"
--[[Translation missing --]]
L["Posting"] = "Posting"
--[[Translation missing --]]
L["Posting %d / %d"] = "Posting %d / %d"
--[[Translation missing --]]
L["Posting %d items for %s hours."] = "Posting %d items for %s hours."
--[[Translation missing --]]
L["Posting %d stack(s) of %d for %s hours."] = "Posting %d stack(s) of %d for %s hours."
--[[Translation missing --]]
L["Posting at normal price."] = "Posting at normal price."
--[[Translation missing --]]
L["Posting at whitelisted player's price."] = "Posting at whitelisted player's price."
--[[Translation missing --]]
L["Posting at your current price."] = "Posting at your current price."
--[[Translation missing --]]
L["Posting disabled."] = "Posting disabled."
--[[Translation missing --]]
L["Posting Options"] = "Posting Options"
--[[Translation missing --]]
L["Posting Price"] = "Posting Price"
--[[Translation missing --]]
L["Posts"] = "Posts"
--[[Translation missing --]]
L["Potential"] = "Potential"
--[[Translation missing --]]
L["Prepare Bid"] = "Prepare Bid"
--[[Translation missing --]]
L["Prepare Buy"] = "Prepare Buy"
--[[Translation missing --]]
L["Preparing..."] = "Preparing..."
--[[Translation missing --]]
L["Prevent closing the Auction House with the esc key"] = "Prevent closing the Auction House with the esc key"
--[[Translation missing --]]
L["Prints out the available price sources for use in custom prices"] = "Prints out the available price sources for use in custom prices"
--[[Translation missing --]]
L["Prints out the version numbers of all installed modules"] = "Prints out the version numbers of all installed modules"
--[[Translation missing --]]
L["Prints the slash command help listing"] = "Prints the slash command help listing"
--[[Translation missing --]]
L["Processing scan results..."] = "Processing scan results..."
--[[Translation missing --]]
L["Profession"] = "Profession"
--[[Translation missing --]]
L["Profession Info"] = "Profession Info"
--[[Translation missing --]]
L["Professions Used In"] = "Professions Used In"
--[[Translation missing --]]
L["Profile changed to '%s'."] = "Profile changed to '%s'."
--[[Translation missing --]]
L["Profiles"] = "Profiles"
--[[Translation missing --]]
L["Profit"] = "Profit"
--[[Translation missing --]]
L["PROFIT"] = "PROFIT"
--[[Translation missing --]]
L["Profit (Total)"] = "Profit (Total)"
--[[Translation missing --]]
L["Prospect value"] = "Prospect value"
--[[Translation missing --]]
L["Prospect Value"] = "Prospect Value"
--[[Translation missing --]]
L["Purchase"] = "Purchase"
--[[Translation missing --]]
L["Purchase / Sale Info"] = "Purchase / Sale Info"
--[[Translation missing --]]
L["Purchase Data"] = "Purchase Data"
--[[Translation missing --]]
L["Purchase information"] = "Purchase information"
--[[Translation missing --]]
L["Purchase Item"] = "Purchase Item"
--[[Translation missing --]]
L["Purchased (Min/Avg/Max Price)"] = "Purchased (Min/Avg/Max Price)"
--[[Translation missing --]]
L["Purchased (Total Price)"] = "Purchased (Total Price)"
--[[Translation missing --]]
L["Purchases"] = "Purchases"
--[[Translation missing --]]
L["Purchasing Auction"] = "Purchasing Auction"
--[[Translation missing --]]
L["Puts items matching the item or partial text entered into the bank or guild bank."] = "Puts items matching the item or partial text entered into the bank or guild bank."
--[[Translation missing --]]
L["Qty"] = "Qty"
--[[Translation missing --]]
L["Quantity"] = "Quantity"
--[[Translation missing --]]
L["Quantity Purchased:"] = "Quantity Purchased:"
--[[Translation missing --]]
L["Quantity Sold:"] = "Quantity Sold:"
--[[Translation missing --]]
L["Quantity to move"] = "Quantity to move"
--[[Translation missing --]]
L["Quest Added"] = "Quest Added"
--[[Translation missing --]]
L["Quest Completed"] = "Quest Completed"
--[[Translation missing --]]
L["Quest Objectives Complete"] = "Quest Objectives Complete"
--[[Translation missing --]]
L["Queue"] = "Queue"
--[[Translation missing --]]
L["Quickly mail all excess disenchantable items to a character"] = "Quickly mail all excess disenchantable items to a character"
--[[Translation missing --]]
L["Quickly mail all excess gold (limited to a certain amount) to a character"] = "Quickly mail all excess gold (limited to a certain amount) to a character"
--[[Translation missing --]]
L["Raid Warning"] = "Raid Warning"
--[[Translation missing --]]
L["Read More"] = "Read More"
--[[Translation missing --]]
L["Ready Check"] = "Ready Check"
--[[Translation missing --]]
L["Ready to Cancel"] = "Ready to Cancel"
--[[Translation missing --]]
L["Recent"] = "Recent"
--[[Translation missing --]]
L["Recent Scans"] = "Recent Scans"
--[[Translation missing --]]
L["Recent Searches"] = "Recent Searches"
--[[Translation missing --]]
L["Recipe Name"] = "Recipe Name"
--[[Translation missing --]]
L["Recipient"] = "Recipient"
--[[Translation missing --]]
L["Region avg daily sold"] = "Region avg daily sold"
--[[Translation missing --]]
L["Region Avg Daily Sold"] = "Region Avg Daily Sold"
--[[Translation missing --]]
L["Region Historical Price"] = "Region Historical Price"
--[[Translation missing --]]
L["Region historical price"] = "Region historical price"
--[[Translation missing --]]
L["Region market value"] = "Region market value"
--[[Translation missing --]]
L["Region Market Value Avg"] = "Region Market Value Avg"
--[[Translation missing --]]
L["Region Min Buyout Avg"] = "Region Min Buyout Avg"
--[[Translation missing --]]
L["Region min buyout avg"] = "Region min buyout avg"
--[[Translation missing --]]
L["Region sale avg"] = "Region sale avg"
--[[Translation missing --]]
L["Region Sale Avg"] = "Region Sale Avg"
--[[Translation missing --]]
L["Region Sale Rate"] = "Region Sale Rate"
--[[Translation missing --]]
L["Region sale rate"] = "Region sale rate"
--[[Translation missing --]]
L["Reload"] = "Reload"
--[[Translation missing --]]
L["Reload UI (%02d)"] = "Reload UI (%02d)"
--[[Translation missing --]]
L["Reload UI (%d)"] = "Reload UI (%d)"
--[[Translation missing --]]
L["Remove"] = "Remove"
--[[Translation missing --]]
L["Remove %d |4Item:Items"] = "Remove %d |4Item:Items"
--[[Translation missing --]]
L["Remove Data Older Than (Days)"] = "Remove Data Older Than (Days)"
--[[Translation missing --]]
L["Remove this account sync and all synced data from this account"] = "Remove this account sync and all synced data from this account"
--[[Translation missing --]]
L["Removed a total of %s old records."] = "Removed a total of %s old records."
--[[Translation missing --]]
L["Removed custom price source (%s) which has an invalid name."] = "Removed custom price source (%s) which has an invalid name."
--[[Translation missing --]]
L["Rename"] = "Rename"
--[[Translation missing --]]
L["Rename Profile"] = "Rename Profile"
--[[Translation missing --]]
L["Rename Search"] = "Rename Search"
--[[Translation missing --]]
L["Rename the profile"] = "Rename the profile"
--[[Translation missing --]]
L["Rename this group"] = "Rename this group"
--[[Translation missing --]]
L["Repair"] = "Repair"
--[[Translation missing --]]
L["Repair Bill"] = "Repair Bill"
--[[Translation missing --]]
L["Repair from Guild Bank"] = "Repair from Guild Bank"
--[[Translation missing --]]
L["Replace %d existing operations and %d existing custom sources?"] = "Replace %d existing operations and %d existing custom sources?"
--[[Translation missing --]]
L["Replace %d existing operations?"] = "Replace %d existing operations?"
--[[Translation missing --]]
L["Reply"] = "Reply"
--[[Translation missing --]]
L["Report Spam"] = "Report Spam"
--[[Translation missing --]]
L["Reports"] = "Reports"
--[[Translation missing --]]
L["Repost threshold"] = "Repost threshold"
--[[Translation missing --]]
L["Required Level"] = "Required Level"
--[[Translation missing --]]
L["Required Level Range"] = "Required Level Range"
--[[Translation missing --]]
L["Resale"] = "Resale"
--[[Translation missing --]]
L["Rescan"] = "Rescan"
--[[Translation missing --]]
L["Reset"] = "Reset"
--[[Translation missing --]]
L["Reset All Filters"] = "Reset All Filters"
--[[Translation missing --]]
L["Reset Filters"] = "Reset Filters"
--[[Translation missing --]]
L["Reset Operation?"] = "Reset Operation?"
--[[Translation missing --]]
L["Reset Profile?"] = "Reset Profile?"
--[[Translation missing --]]
L["Reset Table"] = "Reset Table"
--[[Translation missing --]]
L["Reset the current profile to default settings"] = "Reset the current profile to default settings"
--[[Translation missing --]]
L["Reset to Default"] = "Reset to Default"
--[[Translation missing --]]
L["Reset Zoom"] = "Reset Zoom"
--[[Translation missing --]]
L["Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."] = "Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."
--[[Translation missing --]]
L["Restart"] = "Restart"
--[[Translation missing --]]
L["Restart delay (minutes)"] = "Restart delay (minutes)"
--[[Translation missing --]]
L["Restock bags"] = "Restock bags"
--[[Translation missing --]]
L["Restock help for %s: %s"] = "Restock help for %s: %s"
--[[Translation missing --]]
L["Restock Options"] = "Restock Options"
--[[Translation missing --]]
L["Restock quantity"] = "Restock quantity"
--[[Translation missing --]]
L["Restock Selected Groups"] = "Restock Selected Groups"
--[[Translation missing --]]
L["Restock target to max quantity"] = "Restock target to max quantity"
--[[Translation missing --]]
L["Restocking to %d."] = "Restocking to %d."
--[[Translation missing --]]
L["Restocking with a min profit."] = "Restocking with a min profit."
--[[Translation missing --]]
L["Restocking with no min profit."] = "Restocking with no min profit."
--[[Translation missing --]]
L["Restore bags"] = "Restore bags"
--[[Translation missing --]]
L["Resuming Scan..."] = "Resuming Scan..."
--[[Translation missing --]]
L["Retrying %d auction(s) which failed."] = "Retrying %d auction(s) which failed."
--[[Translation missing --]]
L["Revenue"] = "Revenue"
--[[Translation missing --]]
L["Right-Click to reset the window size, scale, and position to their defaults."] = "Right-Click to reset the window size, scale, and position to their defaults."
--[[Translation missing --]]
L["Run Advanced Item Search"] = "Run Advanced Item Search"
--[[Translation missing --]]
L["Run Bid Sniper"] = "Run Bid Sniper"
--[[Translation missing --]]
L["Run Buyout Sniper"] = "Run Buyout Sniper"
--[[Translation missing --]]
L["Run Cancel Scan"] = "Run Cancel Scan"
--[[Translation missing --]]
L["Run Post Scan"] = "Run Post Scan"
--[[Translation missing --]]
L["Run Shopping Scan"] = "Run Shopping Scan"
--[[Translation missing --]]
L["Running Sniper Scan"] = "Running Sniper Scan"
--[[Translation missing --]]
L["Sale"] = "Sale"
--[[Translation missing --]]
L["Sale Data"] = "Sale Data"
--[[Translation missing --]]
L["Sale information"] = "Sale information"
--[[Translation missing --]]
L["Sale Price"] = "Sale Price"
--[[Translation missing --]]
L["Sale Rate"] = "Sale Rate"
--[[Translation missing --]]
L["Sale rate"] = "Sale rate"
--[[Translation missing --]]
L["Sales"] = "Sales"
--[[Translation missing --]]
L["SALES"] = "SALES"
--[[Translation missing --]]
L["Save"] = "Save"
--[[Translation missing --]]
L["Scan"] = "Scan"
--[[Translation missing --]]
L["SCAN ALL"] = "SCAN ALL"
--[[Translation missing --]]
L["Scan complete sound"] = "Scan complete sound"
--[[Translation missing --]]
L["Scan Paused"] = "Scan Paused"
--[[Translation missing --]]
L["Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."] = "Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."
--[[Translation missing --]]
L["Scanning"] = "Scanning"
--[[Translation missing --]]
L["SCANNING"] = "SCANNING"
--[[Translation missing --]]
L["Scanning (%d Items)"] = "Scanning (%d Items)"
--[[Translation missing --]]
L["Scroll wheel direction"] = "Scroll wheel direction"
--[[Translation missing --]]
L["Scroll Wheel Options"] = "Scroll Wheel Options"
--[[Translation missing --]]
L["Search"] = "Search"
--[[Translation missing --]]
L["Search %s operations"] = "Search %s operations"
--[[Translation missing --]]
L["Search Bags"] = "Search Bags"
--[[Translation missing --]]
L["Search Groups"] = "Search Groups"
--[[Translation missing --]]
L["Search items"] = "Search items"
--[[Translation missing --]]
L["Search items in group"] = "Search items in group"
--[[Translation missing --]]
L["Search items in mailbox"] = "Search items in mailbox"
--[[Translation missing --]]
L["Search Operations"] = "Search Operations"
--[[Translation missing --]]
L["Search Patterns"] = "Search Patterns"
--[[Translation missing --]]
L["Search Results"] = "Search Results"
--[[Translation missing --]]
L["Search the auction house"] = "Search the auction house"
--[[Translation missing --]]
L["Search Vendor"] = "Search Vendor"
--[[Translation missing --]]
L["Select / Deselect All Groups"] = "Select / Deselect All Groups"
--[[Translation missing --]]
L["Select / Deselect All Items"] = "Select / Deselect All Items"
--[[Translation missing --]]
L["Select / Deselect All Results"] = "Select / Deselect All Results"
--[[Translation missing --]]
L["Select a Source"] = "Select a Source"
--[[Translation missing --]]
L["Select Action"] = "Select Action"
--[[Translation missing --]]
L["Select All"] = "Select All"
--[[Translation missing --]]
L["Select an Auction to Buy"] = "Select an Auction to Buy"
--[[Translation missing --]]
L["Select Auction to Cancel"] = "Select Auction to Cancel"
--[[Translation missing --]]
L["Select crafter"] = "Select crafter"
--[[Translation missing --]]
L["Select Group"] = "Select Group"
--[[Translation missing --]]
L["Select included subgroups"] = "Select included subgroups"
--[[Translation missing --]]
L["Select Items to Attach"] = "Select Items to Attach"
--[[Translation missing --]]
L["Select professions"] = "Select professions"
--[[Translation missing --]]
L["Sell"] = "Sell"
--[[Translation missing --]]
L["Sell All"] = "Sell All"
--[[Translation missing --]]
L["Sell BoEs"] = "Sell BoEs"
--[[Translation missing --]]
L["Sell Groups"] = "Sell Groups"
--[[Translation missing --]]
L["Sell Options"] = "Sell Options"
--[[Translation missing --]]
L["Sell soulbound items"] = "Sell soulbound items"
--[[Translation missing --]]
L["Sell to Vendor"] = "Sell to Vendor"
--[[Translation missing --]]
L["Sell Trash"] = "Sell Trash"
--[[Translation missing --]]
L["Seller"] = "Seller"
--[[Translation missing --]]
L["Selling soulbound items."] = "Selling soulbound items."
--[[Translation missing --]]
L["Send"] = "Send"
--[[Translation missing --]]
L["Send Disenchantables"] = "Send Disenchantables"
--[[Translation missing --]]
L["Send Excess Gold to Banker"] = "Send Excess Gold to Banker"
--[[Translation missing --]]
L["Send Gold"] = "Send Gold"
--[[Translation missing --]]
L["Send grouped items individually"] = "Send grouped items individually"
--[[Translation missing --]]
L["Send Mail"] = "Send Mail"
--[[Translation missing --]]
L["Send Money"] = "Send Money"
--[[Translation missing --]]
L["Send your active profile to this synced account"] = "Send your active profile to this synced account"
--[[Translation missing --]]
L["Sender"] = "Sender"
--[[Translation missing --]]
L["SENDING"] = "SENDING"
--[[Translation missing --]]
L["Sending %s to %s"] = "Sending %s to %s"
--[[Translation missing --]]
L["Sending %s to %s with a COD of %s"] = "Sending %s to %s with a COD of %s"
--[[Translation missing --]]
L["Sending Settings"] = "Sending Settings"
--[[Translation missing --]]
L["Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"] = "Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"
--[[Translation missing --]]
L["Sending..."] = "Sending..."
--[[Translation missing --]]
L["Set bid as percentage of buyout"] = "Set bid as percentage of buyout"
--[[Translation missing --]]
L["Set how items are moved out of the bank."] = "Set how items are moved out of the bank."
--[[Translation missing --]]
L["Set how items are restocked from the bank."] = "Set how items are restocked from the bank."
--[[Translation missing --]]
L["Set keep in bags quantity"] = "Set keep in bags quantity"
--[[Translation missing --]]
L["Set keep in bank quantity"] = "Set keep in bank quantity"
--[[Translation missing --]]
L["Set max quantity"] = "Set max quantity"
--[[Translation missing --]]
L["Set min profit"] = "Set min profit"
--[[Translation missing --]]
L["Set move quantity"] = "Set move quantity"
--[[Translation missing --]]
L["Set stack size"] = "Set stack size"
--[[Translation missing --]]
L["Set stack size for restock"] = "Set stack size for restock"
--[[Translation missing --]]
L["Set what is bought from a vendor."] = "Set what is bought from a vendor."
--[[Translation missing --]]
L["Set what is sold to a vendor."] = "Set what is sold to a vendor."
--[[Translation missing --]]
L["Set what items are shown during a Shopping scan."] = "Set what items are shown during a Shopping scan."
--[[Translation missing --]]
L["Set what items are shown during a Sniper scan."] = "Set what items are shown during a Sniper scan."
--[[Translation missing --]]
L["Set your active profile or create a new one."] = "Set your active profile or create a new one."
--[[Translation missing --]]
L["Settings"] = "Settings"
--[[Translation missing --]]
L["Setup various sounds that play when doing Auctioning scans."] = "Setup various sounds that play when doing Auctioning scans."
--[[Translation missing --]]
L["SHIFT"] = "SHIFT"
--[[Translation missing --]]
L["Shopping"] = "Shopping"
--[[Translation missing --]]
L["Shopping %s button"] = "Shopping %s button"
--[[Translation missing --]]
L["Shopping for auctions including those above the max price."] = "Shopping for auctions including those above the max price."
--[[Translation missing --]]
L["Shopping for auctions with a max price set."] = "Shopping for auctions with a max price set."
--[[Translation missing --]]
L["Shopping operation"] = "Shopping operation"
--[[Translation missing --]]
L["Shopping Operation Max Price"] = "Shopping Operation Max Price"
--[[Translation missing --]]
L["Shopping operations control buyout from the AH."] = "Shopping operations control buyout from the AH."
--[[Translation missing --]]
L["Shortfall to bags"] = "Shortfall to bags"
--[[Translation missing --]]
L["Show auctions above max price"] = "Show auctions above max price"
--[[Translation missing --]]
L["Show confirmation alert if buyout is above the alert price"] = "Show confirmation alert if buyout is above the alert price"
--[[Translation missing --]]
L["Show destroying frame automatically"] = "Show destroying frame automatically"
--[[Translation missing --]]
L["Show on modifier"] = "Show on modifier"
--[[Translation missing --]]
L["Show only auctions with bids"] = "Show only auctions with bids"
--[[Translation missing --]]
L["Showing %s Mail"] = "Showing %s Mail"
--[[Translation missing --]]
L["Showing %s of %d Mail"] = "Showing %s of %d Mail"
--[[Translation missing --]]
L["Showing %s of %d Mails"] = "Showing %s of %d Mails"
--[[Translation missing --]]
L["Showing all %s Mails"] = "Showing all %s Mails"
--[[Translation missing --]]
L["Simple inventory"] = "Simple inventory"
--[[Translation missing --]]
L["Skip"] = "Skip"
--[[Translation missing --]]
L["Skipped:"] = "Skipped:"
--[[Translation missing --]]
L["Skipped: No assigned operation"] = "Skipped: No assigned operation"
L["Slash Commands:"] = "Comandi Slash:"
--[[Translation missing --]]
L["Smart Avg Buy Price"] = "Smart Avg Buy Price"
--[[Translation missing --]]
L["Sniper"] = "Sniper"
--[[Translation missing --]]
L["Sniper %s button"] = "Sniper %s button"
--[[Translation missing --]]
L["Sniper Below Price"] = "Sniper Below Price"
--[[Translation missing --]]
L["Sniper operation"] = "Sniper operation"
--[[Translation missing --]]
L["Sniper Operation Below Price"] = "Sniper Operation Below Price"
--[[Translation missing --]]
L["Sniper operations control sniping from the AH."] = "Sniper operations control sniping from the AH."
--[[Translation missing --]]
L["Sniper Options"] = "Sniper Options"
--[[Translation missing --]]
L["Sniping items below a max price"] = "Sniping items below a max price"
--[[Translation missing --]]
L["Sold"] = "Sold"
--[[Translation missing --]]
L["Sold %d of %s to %s for %s"] = "Sold %d of %s to %s for %s"
--[[Translation missing --]]
L["Sold %s worth of items."] = "Sold %s worth of items."
--[[Translation missing --]]
L["Sold (Min/Avg/Max Price)"] = "Sold (Min/Avg/Max Price)"
--[[Translation missing --]]
L["Sold (Total Price)"] = "Sold (Total Price)"
--[[Translation missing --]]
L["Sold [%s]x%d for %s to %s"] = "Sold [%s]x%d for %s to %s"
--[[Translation missing --]]
L["Sold for:"] = "Sold for:"
--[[Translation missing --]]
L["Some general Accounting options are below."] = "Some general Accounting options are below."
--[[Translation missing --]]
L["Some general appearance options are below."] = "Some general appearance options are below."
--[[Translation missing --]]
L["Some general Auctioning options are below."] = "Some general Auctioning options are below."
--[[Translation missing --]]
L["Some general Browse/Sniper options are below."] = "Some general Browse/Sniper options are below."
--[[Translation missing --]]
L["Some general options for the TSM tooltip information are below."] = "Some general options for the TSM tooltip information are below."
--[[Translation missing --]]
L["Some general TSM options are below."] = "Some general TSM options are below."
--[[Translation missing --]]
L["Some options for the Disenchant Search are below."] = "Some options for the Disenchant Search are below."
--[[Translation missing --]]
L["Source"] = "Source"
--[[Translation missing --]]
L["SOURCE %d"] = "SOURCE %d"
--[[Translation missing --]]
L["Sources"] = "Sources"
--[[Translation missing --]]
L["Sources to include for restock"] = "Sources to include for restock"
--[[Translation missing --]]
L["Stack"] = "Stack"
--[[Translation missing --]]
L["Stack / Quantity"] = "Stack / Quantity"
--[[Translation missing --]]
L["Stack size"] = "Stack size"
--[[Translation missing --]]
L["Stack size multiple"] = "Stack size multiple"
--[[Translation missing --]]
L["Stack(s)"] = "Stack(s)"
--[[Translation missing --]]
L["Start either a 'Buyout' or 'Bid' sniper using the buttons above."] = "Start either a 'Buyout' or 'Bid' sniper using the buttons above."
--[[Translation missing --]]
L["Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."] = "Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."
--[[Translation missing --]]
L["Starting Scan..."] = "Starting Scan..."
--[[Translation missing --]]
L["Store operations globally"] = "Store operations globally"
--[[Translation missing --]]
L["Stormwind"] = "Stormwind"
--[[Translation missing --]]
L["String"] = "String"
--[[Translation missing --]]
L["Subject"] = "Subject"
--[[Translation missing --]]
L["Subject & Description added"] = "Subject & Description added"
--[[Translation missing --]]
L["Successfully sent your '%s' profile to %s!"] = "Successfully sent your '%s' profile to %s!"
--[[Translation missing --]]
L["Supported range: %d - %d"] = "Supported range: %d - %d"
--[[Translation missing --]]
L["Supported value range: %d - %d"] = "Supported value range: %d - %d"
--[[Translation missing --]]
L["Swamp of Sorrows"] = "Swamp of Sorrows"
--[[Translation missing --]]
L["Switch to %s"] = "Switch to %s"
--[[Translation missing --]]
L["Sync Setup Error: The specified player on the other account is not currently online."] = "Sync Setup Error: The specified player on the other account is not currently online."
--[[Translation missing --]]
L["Sync Setup Error: This character is already part of a known account."] = "Sync Setup Error: This character is already part of a known account."
--[[Translation missing --]]
L["Sync Setup Error: You entered the name of the current character and not the character on the other account."] = "Sync Setup Error: You entered the name of the current character and not the character on the other account."
--[[Translation missing --]]
L["Sync Status"] = "Sync Status"
--[[Translation missing --]]
L["Target character"] = "Target character"
--[[Translation missing --]]
L["Target shortfall to bags"] = "Target shortfall to bags"
--[[Translation missing --]]
L["Tasks Added to Task List"] = "Tasks Added to Task List"
--[[Translation missing --]]
L["Tells you why a specific item is not being restocked and added to the queue."] = "Tells you why a specific item is not being restocked and added to the queue."
--[[Translation missing --]]
L["Text (%s)"] = "Text (%s)"
--[[Translation missing --]]
L["The '%s' custom price source is invalid."] = "The '%s' custom price source is invalid."
--[[Translation missing --]]
L["The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."] = "The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."
--[[Translation missing --]]
L["The buyout price for %s would be above the maximum allowed price. Skipping this item."] = "The buyout price for %s would be above the maximum allowed price. Skipping this item."
--[[Translation missing --]]
L["The canlearn filter was ignored because the CanIMogIt addon was not found."] = "The canlearn filter was ignored because the CanIMogIt addon was not found."
--[[Translation missing --]]
L["The 'Craft Value Method' did not return a value for this item."] = "The 'Craft Value Method' did not return a value for this item."
--[[Translation missing --]]
L["The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."] = "The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."
--[[Translation missing --]]
L["The max quantity cannot be zero."] = "The max quantity cannot be zero."
--[[Translation missing --]]
L["The min profit did not evalulate to a valid value for this item."] = "The min profit did not evalulate to a valid value for this item."
--[[Translation missing --]]
L["The name portion of the search term must be at least 3 characters if present."] = "The name portion of the search term must be at least 3 characters if present."
--[[Translation missing --]]
L["The pasted value was not valid. Ensure you are pasting the entire import string."] = "The pasted value was not valid. Ensure you are pasting the entire import string."
--[[Translation missing --]]
L["The player \"%s\" is already on your whitelist."] = "The player \"%s\" is already on your whitelist."
--[[Translation missing --]]
L["The profit of this item (%s) is below the min profit (%s)."] = "The profit of this item (%s) is below the min profit (%s)."
--[[Translation missing --]]
L["The same filter was specified multiple times."] = "The same filter was specified multiple times."
--[[Translation missing --]]
L["The search term must be at least 3 characters."] = "The search term must be at least 3 characters."
--[[Translation missing --]]
L["The seller name of the lowest auction for %s was not given by the server. Skipping this item."] = "The seller name of the lowest auction for %s was not given by the server. Skipping this item."
--[[Translation missing --]]
L["The specified filter was empty."] = "The specified filter was empty."
--[[Translation missing --]]
L["The specified item is not supported for crafting searches."] = "The specified item is not supported for crafting searches."
--[[Translation missing --]]
L["The specified item is not supported for disenchant searches."] = "The specified item is not supported for disenchant searches."
--[[Translation missing --]]
L["The specified item was not found."] = "The specified item was not found."
--[[Translation missing --]]
L["The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."] = "The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."
--[[Translation missing --]]
L["The unlearned filter was ignored because the CanIMogIt addon was not found."] = "The unlearned filter was ignored because the CanIMogIt addon was not found."
--[[Translation missing --]]
L["The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."] = "The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."
--[[Translation missing --]]
L["Themes"] = "Themes"
--[[Translation missing --]]
L["There is currently no profession open, so cannot create profession groups."] = "There is currently no profession open, so cannot create profession groups."
--[[Translation missing --]]
L["There is no Crafting operation applied to this item's TSM group (%s)."] = "There is no Crafting operation applied to this item's TSM group (%s)."
--[[Translation missing --]]
L["This is not a valid profile name. Profile names must be at least one character long and may not contain '@' characters."] = "This is not a valid profile name. Profile names must be at least one character long and may not contain '@' characters."
--[[Translation missing --]]
L["This item does not have a crafting cost. Check that all of its mats have mat prices."] = "This item does not have a crafting cost. Check that all of its mats have mat prices."
--[[Translation missing --]]
L["This item is not in a TSM group."] = "This item is not in a TSM group."
--[[Translation missing --]]
L["This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."] = "This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."
--[[Translation missing --]]
L["This looks like an exported operation and not a custom price."] = "This looks like an exported operation and not a custom price."
--[[Translation missing --]]
L["This operation is applied to the base group which includes every item not in another group."] = "This operation is applied to the base group which includes every item not in another group."
--[[Translation missing --]]
L["This price is above your confirmation alert threshold."] = "This price is above your confirmation alert threshold."
--[[Translation missing --]]
L["This profession is not open."] = "This profession is not open."
--[[Translation missing --]]
L["This record belongs to another account and can only be deleted on that account."] = "This record belongs to another account and can only be deleted on that account."
--[[Translation missing --]]
L["This will permanently delete the '%s' profile."] = "This will permanently delete the '%s' profile."
--[[Translation missing --]]
L["This will reset all groups and operations (if not stored globally) to be wiped from '%s'."] = "This will reset all groups and operations (if not stored globally) to be wiped from '%s'."
--[[Translation missing --]]
L["Time"] = "Time"
--[[Translation missing --]]
L["Time Frame"] = "Time Frame"
--[[Translation missing --]]
L["Time to Craft:"] = "Time to Craft:"
--[[Translation missing --]]
L["Tinker"] = "Tinker"
--[[Translation missing --]]
L["To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."] = "To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."
--[[Translation missing --]]
L["Toggles the main TSM window"] = "Toggles the main TSM window"
--[[Translation missing --]]
L["Toggles the TSM Banking UI if either the bank or guild bank is currently open."] = "Toggles the TSM Banking UI if either the bank or guild bank is currently open."
--[[Translation missing --]]
L["Toggles the TSM Crafting UI."] = "Toggles the TSM Crafting UI."
--[[Translation missing --]]
L["Toggles the TSM Task List UI"] = "Toggles the TSM Task List UI"
--[[Translation missing --]]
L["Tooltip Options"] = "Tooltip Options"
--[[Translation missing --]]
L["Tooltip price format"] = "Tooltip price format"
--[[Translation missing --]]
L["Tooltip Settings"] = "Tooltip Settings"
--[[Translation missing --]]
L["Top Buyers"] = "Top Buyers"
--[[Translation missing --]]
L["Top Item"] = "Top Item"
--[[Translation missing --]]
L["TOP PURCHASE"] = "TOP PURCHASE"
--[[Translation missing --]]
L["TOP SALE"] = "TOP SALE"
--[[Translation missing --]]
L["Top Sellers"] = "Top Sellers"
--[[Translation missing --]]
L["Total"] = "Total"
--[[Translation missing --]]
L["Total Gold"] = "Total Gold"
--[[Translation missing --]]
L["Total Gold Collected: %s"] = "Total Gold Collected: %s"
--[[Translation missing --]]
L["Total Gold Earned"] = "Total Gold Earned"
--[[Translation missing --]]
L["Total Gold Spent"] = "Total Gold Spent"
--[[Translation missing --]]
L["Total Inventory Quantity"] = "Total Inventory Quantity"
--[[Translation missing --]]
L["Total Items"] = "Total Items"
--[[Translation missing --]]
L["Total Postage"] = "Total Postage"
--[[Translation missing --]]
L["Total Price"] = "Total Price"
--[[Translation missing --]]
L["Total Prices:"] = "Total Prices:"
--[[Translation missing --]]
L["Total Profit"] = "Total Profit"
--[[Translation missing --]]
L["Total Value"] = "Total Value"
--[[Translation missing --]]
L["Track Sales / Purchases via trade"] = "Track Sales / Purchases via trade"
--[[Translation missing --]]
L["Transform Value"] = "Transform Value"
--[[Translation missing --]]
L["Transform value"] = "Transform value"
--[[Translation missing --]]
L["Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."] = "Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."
--[[Translation missing --]]
L["TSM 4.10: What's new"] = "TSM 4.10: What's new"
--[[Translation missing --]]
L["TSM Accounting"] = "TSM Accounting"
--[[Translation missing --]]
L["TSM AuctionDB"] = "TSM AuctionDB"
--[[Translation missing --]]
L["TSM Auctioning"] = "TSM Auctioning"
--[[Translation missing --]]
L["TSM can automatically sync data between multiple WoW accounts."] = "TSM can automatically sync data between multiple WoW accounts."
--[[Translation missing --]]
L["TSM Crafting"] = "TSM Crafting"
--[[Translation missing --]]
L["TSM Desktop App Status (%s)"] = "TSM Desktop App Status (%s)"
--[[Translation missing --]]
L["TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"] = "TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"
--[[Translation missing --]]
L["TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."] = "TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."
--[[Translation missing --]]
L["TSM failed to scan some auctions. Please rerun the scan."] = "TSM failed to scan some auctions. Please rerun the scan."
--[[Translation missing --]]
L["TSM General Info"] = "TSM General Info"
--[[Translation missing --]]
L["TSM Groups"] = "TSM Groups"
--[[Translation missing --]]
L["TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."] = "TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."
--[[Translation missing --]]
L["TSM is missing important information from the TSM Desktop Application. Please ensure the TSM Desktop Application is running and is properly configured."] = "TSM is missing important information from the TSM Desktop Application. Please ensure the TSM Desktop Application is running and is properly configured."
--[[Translation missing --]]
L["TSM is not yet ready to establish a new sync connection. Please try again later."] = "TSM is not yet ready to establish a new sync connection. Please try again later."
--[[Translation missing --]]
L["TSM Shopping"] = "TSM Shopping"
--[[Translation missing --]]
L["TSM Sniper"] = "TSM Sniper"
--[[Translation missing --]]
L["TSM TASK LIST"] = "TSM TASK LIST"
--[[Translation missing --]]
L["TSM Version Info:"] = "TSM Version Info:"
--[[Translation missing --]]
L["TSM will not undercut any players you add to your whitelist."] = "TSM will not undercut any players you add to your whitelist."
--[[Translation missing --]]
L["TSM_Accounting detected that you just traded %s %s in return for %s. Would you like Accounting to store a record of this trade?"] = "TSM_Accounting detected that you just traded %s %s in return for %s. Would you like Accounting to store a record of this trade?"
--[[Translation missing --]]
L["TSM4"] = "TSM4"
--[[Translation missing --]]
L["TUJ 14-Day Price"] = "TUJ 14-Day Price"
--[[Translation missing --]]
L["TUJ 3-Day Price"] = "TUJ 3-Day Price"
--[[Translation missing --]]
L["TUJ Global Mean"] = "TUJ Global Mean"
--[[Translation missing --]]
L["TUJ Global Median"] = "TUJ Global Median"
--[[Translation missing --]]
L["Type"] = "Type"
--[[Translation missing --]]
L["Unbalanced parentheses."] = "Unbalanced parentheses."
--[[Translation missing --]]
L["Uncollected Only"] = "Uncollected Only"
--[[Translation missing --]]
L["Undercut amount"] = "Undercut amount"
--[[Translation missing --]]
L["Undercut by whitelisted player."] = "Undercut by whitelisted player."
--[[Translation missing --]]
L["Undercutting blacklisted player."] = "Undercutting blacklisted player."
--[[Translation missing --]]
L["Undercutting competition."] = "Undercutting competition."
--[[Translation missing --]]
L["Ungrouped Items"] = "Ungrouped Items"
--[[Translation missing --]]
L["Ungrouped Items in Bags"] = "Ungrouped Items in Bags"
--[[Translation missing --]]
L["Unit Price"] = "Unit Price"
--[[Translation missing --]]
L["Unknown Item"] = "Unknown Item"
--[[Translation missing --]]
L["Unknown word (%s)."] = "Unknown word (%s)."
--[[Translation missing --]]
L["Unlock Column Width"] = "Unlock Column Width"
--[[Translation missing --]]
L["Unwrap Gift"] = "Unwrap Gift"
--[[Translation missing --]]
L["Up"] = "Up"
--[[Translation missing --]]
L["Up to date"] = "Up to date"
--[[Translation missing --]]
L["Update existing macro"] = "Update existing macro"
--[[Translation missing --]]
L["Updating"] = "Updating"
--[[Translation missing --]]
L["Upgrades Only"] = "Upgrades Only"
--[[Translation missing --]]
L["Usable Only"] = "Usable Only"
--[[Translation missing --]]
L["Usage: /tsm price <Item Link> <Custom String>"] = "Usage: /tsm price <Item Link> <Custom String>"
--[[Translation missing --]]
L["Use the settings below to control which lines are shown in tooltips."] = "Use the settings below to control which lines are shown in tooltips."
--[[Translation missing --]]
L["Use this list to manage what cooldowns you'd like TSM to ignore from crafting."] = "Use this list to manage what cooldowns you'd like TSM to ignore from crafting."
--[[Translation missing --]]
L["Use this list to manage what items you'd like TSM to ignore from destroying."] = "Use this list to manage what items you'd like TSM to ignore from destroying."
--[[Translation missing --]]
L["Value"] = "Value"
--[[Translation missing --]]
L["Value must be between %d and %d."] = "Value must be between %d and %d."
--[[Translation missing --]]
L["Value Price Source"] = "Value Price Source"
--[[Translation missing --]]
L["Values"] = "Values"
--[[Translation missing --]]
L["Vendor"] = "Vendor"
--[[Translation missing --]]
L["Vendor Buy Price"] = "Vendor Buy Price"
--[[Translation missing --]]
L["Vendor buy price"] = "Vendor buy price"
--[[Translation missing --]]
L["Vendor Search"] = "Vendor Search"
--[[Translation missing --]]
L["Vendor Sell"] = "Vendor Sell"
--[[Translation missing --]]
L["Vendor Sell Price"] = "Vendor Sell Price"
--[[Translation missing --]]
L["Vendor sell price"] = "Vendor sell price"
--[[Translation missing --]]
L["Vendoring"] = "Vendoring"
--[[Translation missing --]]
L["Vendoring %s button"] = "Vendoring %s button"
--[[Translation missing --]]
L["Vendoring operation"] = "Vendoring operation"
--[[Translation missing --]]
L["Vendoring operations control selling to and buying from a vendor."] = "Vendoring operations control selling to and buying from a vendor."
--[[Translation missing --]]
L["Warehousing"] = "Warehousing"
--[[Translation missing --]]
L["Warehousing operation"] = "Warehousing operation"
--[[Translation missing --]]
L["Warehousing operations control moving in and out of the bank."] = "Warehousing operations control moving in and out of the bank."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group."] = "Warehousing will move a max of %d of each item in this group."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group."] = "Warehousing will move all of the items in this group."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["WARNING: The macro was too long, so was truncated to fit by WoW."] = "WARNING: The macro was too long, so was truncated to fit by WoW."
--[[Translation missing --]]
L["WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."] = "WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."
--[[Translation missing --]]
L["We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."] = "We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."
--[[Translation missing --]]
L["When above maximum:"] = "When above maximum:"
--[[Translation missing --]]
L["When below minimum:"] = "When below minimum:"
--[[Translation missing --]]
L["Whitelist"] = "Whitelist"
--[[Translation missing --]]
L["Whitelisted characters"] = "Whitelisted characters"
--[[Translation missing --]]
L["Winamp"] = "Winamp"
--[[Translation missing --]]
L["Would send %s to %s"] = "Would send %s to %s"
--[[Translation missing --]]
L["Would send %s to %s with a COD of %s"] = "Would send %s to %s with a COD of %s"
--[[Translation missing --]]
L["WOW UI"] = "WOW UI"
--[[Translation missing --]]
L["You are not on one of the listed characters."] = "You are not on one of the listed characters."
--[[Translation missing --]]
L["You can clear old Accounting data below to keep things running smoothly."] = "You can clear old Accounting data below to keep things running smoothly."
--[[Translation missing --]]
L["You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"] = "You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"
--[[Translation missing --]]
L["You can use the export string below to share this group with others."] = "You can use the export string below to share this group with others."
L["You cannot use %s as part of this custom price."] = "Non puoi usare %s come prezzo personalizzato."
--[[Translation missing --]]
L["You cannot use %s within convert() as part of this custom price."] = "You cannot use %s within convert() as part of this custom price."
--[[Translation missing --]]
L["You do not need to add \"%s\", alts are whitelisted automatically."] = "You do not need to add \"%s\", alts are whitelisted automatically."
--[[Translation missing --]]
L["You don't know how to craft this item."] = "You don't know how to craft this item."
--[[Translation missing --]]
L["You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."] = "You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."
--[[Translation missing --]]
L["You must reload your UI for these settings to take effect. Reload now?"] = "You must reload your UI for these settings to take effect. Reload now?"
--[[Translation missing --]]
L["You won an auction for %sx%d for %s"] = "You won an auction for %sx%d for %s"
--[[Translation missing --]]
L["Your auction has not been undercut."] = "Your auction has not been undercut."
--[[Translation missing --]]
L["Your auction of %s expired"] = "Your auction of %s expired"
--[[Translation missing --]]
L["Your auction of %s has sold for %s!"] = "Your auction of %s has sold for %s!"
--[[Translation missing --]]
L["Your Buyout"] = "Your Buyout"
--[[Translation missing --]]
L["Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"] = "Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"
--[[Translation missing --]]
L["Your default craft value method was invalid so it has been returned to the default. Details: %s"] = "Your default craft value method was invalid so it has been returned to the default. Details: %s"
--[[Translation missing --]]
L["Your max restock (%s) is invalid for %s."] = "Your max restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your min restock (%s) is invalid for %s."] = "Your min restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your restock quantity is invalid. It must be between %d and %s."] = "Your restock quantity is invalid. It must be between %d and %s."
--[[Translation missing --]]
L["Your task list is currently empty."] = "Your task list is currently empty."
--[[Translation missing --]]
L["You've been phased which has caused the AH to stop working due to a bug on Blizzard's end. Please close and reopen the AH and restart Sniper."] = "You've been phased which has caused the AH to stop working due to a bug on Blizzard's end. Please close and reopen the AH and restart Sniper."
--[[Translation missing --]]
L["You've been undercut."] = "You've been undercut."
	elseif locale == "koKR" then
L = L or {}
L["%d |4Group:Groups; Selected (%d |4Item:Items;)"] = "%d |4그룹:Groups; 선택됨 (%d |4아이템:Items;)"
L["%d auctions"] = "%d 경매"
--[[Translation missing --]]
L["%d Characters"] = "%d Characters"
--[[Translation missing --]]
L["%d Custom Sources"] = "%d Custom Sources"
--[[Translation missing --]]
L["%d Faction-Realms"] = "%d Faction-Realms"
--[[Translation missing --]]
L["%d groups"] = "%d groups"
L["%d Groups"] = "%d 그룹"
--[[Translation missing --]]
L["%d Groups Selected"] = "%d Groups Selected"
L["%d groups were created and %d items were added from the table."] = "%d 그룹이 생성되었고 %d 아이템이 표에서 추가되었다."
--[[Translation missing --]]
L["%d Guilds"] = "%d Guilds"
L["%d Items"] = "%d 아이템"
L["%d of %d"] = "%d 의 %d"
L["%d Operations"] = "%d 작업"
--[[Translation missing --]]
L["%d Players"] = "%d Players"
L["%d Posted Auctions"] = "%d 등록중인 경매"
--[[Translation missing --]]
L["%d Professions"] = "%d Professions"
--[[Translation missing --]]
L["%d Rarities"] = "%d Rarities"
--[[Translation missing --]]
L["%d Results"] = "%d Results"
--[[Translation missing --]]
L["%d Selected"] = "%d Selected"
L["%d Sold Auctions"] = "%d 판매된 경매"
--[[Translation missing --]]
L["%d Sources"] = "%d Sources"
--[[Translation missing --]]
L["%d Sub-Groups"] = "%d Sub-Groups"
--[[Translation missing --]]
L["%d subgroups included"] = "%d subgroups included"
--[[Translation missing --]]
L["%d Types"] = "%d Types"
L["%s - %s has been reset to default values."] = "%s - %s이(가) 기본값으로 재설정됨"
--[[Translation missing --]]
L["%s %s Operations"] = "%s %s Operations"
L["%s (%s bags, %s bank, %s AH, %s mail)"] = "%s (%s 가방, %s 은행, %s 경매장, %s 우편)"
--[[Translation missing --]]
L["%s (%s player, %s alts, %s AH)"] = "%s (%s player, %s alts, %s AH)"
L["%s (%s player, %s alts, %s guild, %s AH)"] = "%s (%s 플레이어, %s 부캐, %s 길드, %s 경매장)"
L["%s (%s profit)"] = "%s (%s 이익)"
L["%s ago"] = "%s 이전"
L["%s Crafts"] = "%s 제작"
--[[Translation missing --]]
L["%s group is already up to date."] = "%s group is already up to date."
--[[Translation missing --]]
L["%s group updated with %d items and %d materials."] = "%s group updated with %d items and %d materials."
L["%s in guild vault"] = "%s 길드창고"
L["%s is a valid custom price but %s is an invalid item."] = "%s은(는) 유효한 사용자 가격이지만 %s은(는) 유효하지 않은 아이템입니다."
L["%s is a valid custom price but did not give a value for %s."] = "%s은(는) 유효한 사용자 가격이지만 %s에 대한 가격은 없습니다."
--[[Translation missing --]]
L["'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."] = "'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."
L["%s is not a valid custom price and gave the following error: %s"] = "%s은(는) 유효하지 않은 사용자 가격이므로 에러가 발생하였습니다. %s"
--[[Translation missing --]]
L["%s Items Bought"] = "%s Items Bought"
--[[Translation missing --]]
L["%s Items Cancelled"] = "%s Items Cancelled"
--[[Translation missing --]]
L["%s Items Expired"] = "%s Items Expired"
--[[Translation missing --]]
L["%s Items Resold"] = "%s Items Resold"
--[[Translation missing --]]
L["%s Items Selected"] = "%s Items Selected"
--[[Translation missing --]]
L["%s Items Sold"] = "%s Items Sold"
--[[Translation missing --]]
L["%s Items Total"] = "%s Items Total"
--[[Translation missing --]]
L["%s operation"] = "%s operation"
--[[Translation missing --]]
L["%s operations"] = "%s operations"
L["%s Operations"] = "%s 작업"
--[[Translation missing --]]
L["%s Posted Auctions"] = "%s Posted Auctions"
--[[Translation missing --]]
L["%s Posted Auctions (Filtered)"] = "%s Posted Auctions (Filtered)"
--[[Translation missing --]]
L["%s previously had the max number of operations, so removed %s."] = "%s previously had the max number of operations, so removed %s."
L["%s removed."] = "%s 삭제됨"
--[[Translation missing --]]
L["%s sent you %s"] = "%s sent you %s"
--[[Translation missing --]]
L["%s sent you %s and %s"] = "%s sent you %s and %s"
--[[Translation missing --]]
L["%s sent you a COD of %s for %s"] = "%s sent you a COD of %s for %s"
--[[Translation missing --]]
L["%s sent you a message: %s"] = "%s sent you a message: %s"
--[[Translation missing --]]
L["%s Sold Auctions"] = "%s Sold Auctions"
--[[Translation missing --]]
L["%s Sold Auctions (Filtered)"] = "%s Sold Auctions (Filtered)"
--[[Translation missing --]]
L["%s Total"] = "%s Total"
L["%s total"] = "총 %s"
--[[Translation missing --]]
L["%s Total Profit"] = "%s Total Profit"
L["%sDrag%s to move this button"] = "%s드레그%s : 미니맵 아이콘 이동"
--[[Translation missing --]]
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."] = "%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."
--[[Translation missing --]]
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."] = "%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."
L["%sLeft-Click%s to open the main window"] = "%s좌클릭%s : 설정창 열기"
--[[Translation missing --]]
L["%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."] = "%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."
--[[Translation missing --]]
L["(%d - %d)"] = "(%d - %d)"
L["(%d/500 Characters)"] = "(%d/500 캐릭터)"
--[[Translation missing --]]
L["(minimum 0 - maximum %d)"] = "(minimum 0 - maximum %d)"
L["1 Group"] = "1 그룹"
L["1 Item"] = "1 아이템"
--[[Translation missing --]]
L["1D"] = "1D"
--[[Translation missing --]]
L["1M"] = "1M"
--[[Translation missing --]]
L["1W"] = "1W"
--[[Translation missing --]]
L["1Y"] = "1Y"
--[[Translation missing --]]
L["2Y"] = "2Y"
--[[Translation missing --]]
L["3M"] = "3M"
--[[Translation missing --]]
L["6M"] = "6M"
--[[Translation missing --]]
L["A brand new and improved user interface."] = "A brand new and improved user interface."
L["A custom price of %s for %s evaluates to %s."] = "사용자 가격 %s인 %s의 평가 가치는 %s입니다."
L["A maximum of 1 convert() function is allowed."] = "convert() 함수가 허용하는 최대치는 1입니다."
L["A profile with that name already exists on the target account. Rename it first and try again."] = "해당 이름의 프로필이 대상 계정에 이미 있습니다. 먼저 이름을 변경하고 다시 시도하십시오."
L["A profile with this name already exists."] = "해당 이름의 프로필이 대상 계정에 이미 있습니다."
L["A scan is already in progress. Please stop that scan before starting another one."] = "검사가 이미 진행 중입니다. 다른 검사를 시작하려면 기존 검사를 중지하십시오."
--[[Translation missing --]]
L["A single craft makes %d and you only need to restock %d."] = "A single craft makes %d and you only need to restock %d."
L["Above max expires."] = "유효 기간 초과."
--[[Translation missing --]]
L["Above max price. Not posting."] = "Above max price. Not posting."
--[[Translation missing --]]
L["Above max price. Posting at max."] = "Above max price. Posting at max."
--[[Translation missing --]]
L["Above max price. Posting at min."] = "Above max price. Posting at min."
--[[Translation missing --]]
L["Above max price. Posting at normal."] = "Above max price. Posting at normal."
--[[Translation missing --]]
L["Accept COD?"] = "Accept COD?"
--[[Translation missing --]]
L["Accepting this item will cost: %s"] = "Accepting this item will cost: %s"
--[[Translation missing --]]
L["Account sync removed. Please delete the account sync from the other account as well."] = "Account sync removed. Please delete the account sync from the other account as well."
L["Account Syncing"] = "계정 동기화"
L["Accounting"] = "회계"
L["Activity Type"] = "활동 유형"
--[[Translation missing --]]
L["Add"] = "Add"
--[[Translation missing --]]
L["Add %d |4Item:Items"] = "Add %d |4Item:Items"
--[[Translation missing --]]
L["Add %s Operation"] = "Add %s Operation"
--[[Translation missing --]]
L["Add a new custom source"] = "Add a new custom source"
--[[Translation missing --]]
L["Add account"] = "Add account"
--[[Translation missing --]]
L["Add More Operations"] = "Add More Operations"
--[[Translation missing --]]
L["Add Operation"] = "Add Operation"
--[[Translation missing --]]
L["Add operation to groups"] = "Add operation to groups"
--[[Translation missing --]]
L["Add subject & description (optional)"] = "Add subject & description (optional)"
L["Add Subject / Description"] = "제목 / 설명 추가"
--[[Translation missing --]]
L["Add to Mail"] = "Add to Mail"
L["Added '%s' profile which was received from %s."] = "%s 에게 받은 '%s' 프로필이 추가되었습니다."
--[[Translation missing --]]
L["Added %s to %s."] = "Added %s to %s."
L["Additional error suppressed"] = "추가적인 오류 표시 안 함"
--[[Translation missing --]]
L["Adjust how crafted items are restocked."] = "Adjust how crafted items are restocked."
--[[Translation missing --]]
L["Adjust how items are mailed."] = "Adjust how items are mailed."
--[[Translation missing --]]
L["Adjust how TSM values crafted items when calculating profit."] = "Adjust how TSM values crafted items when calculating profit."
--[[Translation missing --]]
L["Adjust some general settings."] = "Adjust some general settings."
L["Adjust the settings below to set how groups attached to this operation will be auctioned."] = "경매 방식을 설정하려면 아래 설정을 조정하십시오."
--[[Translation missing --]]
L["Adjust the settings below to set how groups attached to this operation will be cancelled."] = "Adjust the settings below to set how groups attached to this operation will be cancelled."
--[[Translation missing --]]
L["Adjust the settings below to set how groups attached to this operation will be priced."] = "Adjust the settings below to set how groups attached to this operation will be priced."
L["Advanced Item Search"] = "고급 아이템 검색"
L["AH"] = "경매장"
L["AH (Crafting)"] = "경매 (제작)"
L["AH (Disenchanting)"] = "경매 (마력추출)"
--[[Translation missing --]]
L["AH BUSY"] = "AH BUSY"
--[[Translation missing --]]
L["AHDB Minimum Bid"] = "AHDB Minimum Bid"
--[[Translation missing --]]
L["AHDB Minimum Buyout"] = "AHDB Minimum Buyout"
L["Alarm Clock"] = "알람 시계"
--[[Translation missing --]]
L["All"] = "All"
L["All Auctions"] = "전체 경매"
--[[Translation missing --]]
L["All Bought"] = "All Bought"
--[[Translation missing --]]
L["All Cancelled"] = "All Cancelled"
--[[Translation missing --]]
L["All Characters"] = "All Characters"
--[[Translation missing --]]
L["All Expired"] = "All Expired"
--[[Translation missing --]]
L["All Faction-Realms"] = "All Faction-Realms"
--[[Translation missing --]]
L["All Guilds"] = "All Guilds"
--[[Translation missing --]]
L["All Item Classes"] = "All Item Classes"
--[[Translation missing --]]
L["All Other"] = "All Other"
--[[Translation missing --]]
L["All Players"] = "All Players"
--[[Translation missing --]]
L["All Professions"] = "All Professions"
--[[Translation missing --]]
L["All Rarites"] = "All Rarites"
--[[Translation missing --]]
L["All Rarities"] = "All Rarities"
--[[Translation missing --]]
L["All Selected"] = "All Selected"
--[[Translation missing --]]
L["All Slots"] = "All Slots"
--[[Translation missing --]]
L["All Sold"] = "All Sold"
--[[Translation missing --]]
L["All Sources"] = "All Sources"
--[[Translation missing --]]
L["All Subclasses"] = "All Subclasses"
--[[Translation missing --]]
L["All Time"] = "All Time"
--[[Translation missing --]]
L["All Types"] = "All Types"
--[[Translation missing --]]
L["Allow partial stack"] = "Allow partial stack"
--[[Translation missing --]]
L["Allows for testing of custom prices"] = "Allows for testing of custom prices"
--[[Translation missing --]]
L["ALT"] = "ALT"
--[[Translation missing --]]
L["Alt Guild Bank"] = "Alt Guild Bank"
L["Alts"] = "부캐"
L["Alts AH"] = "부캐 경매장"
L["Amount"] = "양"
--[[Translation missing --]]
L["Amount kept in bags"] = "Amount kept in bags"
--[[Translation missing --]]
L["Amount of bag space to keep free"] = "Amount of bag space to keep free"
--[[Translation missing --]]
L["An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."] = "An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."
--[[Translation missing --]]
L["App Not Synced"] = "App Not Synced"
--[[Translation missing --]]
L["App Synced %s Ago"] = "App Synced %s Ago"
--[[Translation missing --]]
L["Appearance"] = "Appearance"
--[[Translation missing --]]
L["Apply operation to group"] = "Apply operation to group"
L["Are you sure you want to clear old accounting data?"] = "오래된 회계 데이타를 삭제하시겠습니까?"
--[[Translation missing --]]
L["Are you sure you want to delete the selected operations?"] = "Are you sure you want to delete the selected operations?"
L["Are you sure you want to delete this operation?"] = "정말로 선택된 작업을 지우시겠습니까?"
--[[Translation missing --]]
L["At above max price and not undercut."] = "At above max price and not undercut."
--[[Translation missing --]]
L["At normal price and not undercut."] = "At normal price and not undercut."
--[[Translation missing --]]
L["Attachments"] = "Attachments"
--[[Translation missing --]]
L["Auction"] = "Auction"
--[[Translation missing --]]
L["Auction duration"] = "Auction duration"
--[[Translation missing --]]
L["Auction has been bid on."] = "Auction has been bid on."
--[[Translation missing --]]
L["Auction House Cut"] = "Auction House Cut"
--[[Translation missing --]]
L["Auction House Sounds"] = "Auction House Sounds"
--[[Translation missing --]]
L["Auction sale sound"] = "Auction sale sound"
L["Auction Window Close"] = "경매장 창 종료음"
L["Auction Window Open"] = "경매장 창 종료음"
L["Auctionator - Auction Value"] = "Auctionator - 경매가"
--[[Translation missing --]]
L["AuctionDB"] = "AuctionDB"
--[[Translation missing --]]
L["AuctionDB - Historical Price (via TSM App)"] = "AuctionDB - Historical Price (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Market Value"] = "AuctionDB - Market Value"
--[[Translation missing --]]
L["AuctionDB - Minimum Buyout"] = "AuctionDB - Minimum Buyout"
--[[Translation missing --]]
L["AuctionDB - Region Historical Price (via TSM App)"] = "AuctionDB - Region Historical Price (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Market Value Average (via TSM App)"] = "AuctionDB - Region Market Value Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Minimum Buyout Average (via TSM App)"] = "AuctionDB - Region Minimum Buyout Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sale Average (via TSM App)"] = "AuctionDB - Region Sale Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sale Rate (via TSM App)"] = "AuctionDB - Region Sale Rate (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sold Per Day (via TSM App)"] = "AuctionDB - Region Sold Per Day (via TSM App)"
--[[Translation missing --]]
L["AuctionDB Realm Data is %s Old"] = "AuctionDB Realm Data is %s Old"
--[[Translation missing --]]
L["AuctionDB Region Data is %s Old"] = "AuctionDB Region Data is %s Old"
L["Auctioneer - Appraiser"] = "Auctioneer -  감정인"
L["Auctioneer - Market Value"] = "Auctioneer - 시장가"
L["Auctioneer - Minimum Buyout"] = "Auctioneer - 최소 구매가"
--[[Translation missing --]]
L["Auctioning"] = "Auctioning"
--[[Translation missing --]]
L["Auctioning %s button"] = "Auctioning %s button"
--[[Translation missing --]]
L["Auctioning Details"] = "Auctioning Details"
--[[Translation missing --]]
L["Auctioning Log"] = "Auctioning Log"
--[[Translation missing --]]
L["Auctioning Operation"] = "Auctioning Operation"
--[[Translation missing --]]
L["Auctioning operation"] = "Auctioning operation"
--[[Translation missing --]]
L["Auctioning operations control posting to and canceling from the AH."] = "Auctioning operations control posting to and canceling from the AH."
L["Auctions"] = "경매"
L["Auto Quest Complete"] = "자동 퀘스트 완료음"
--[[Translation missing --]]
L["Auto-focus browse search input"] = "Auto-focus browse search input"
--[[Translation missing --]]
L["Average Earned per Day"] = "Average Earned per Day"
L["Average Prices:"] = "평균 가격"
--[[Translation missing --]]
L["Average Profit per Day"] = "Average Profit per Day"
--[[Translation missing --]]
L["Average Spent per Day"] = "Average Spent per Day"
L["Avg Buy Price"] = "평균 구입 가격"
--[[Translation missing --]]
L["Avg Profit"] = "Avg Profit"
L["Avg Sell Price"] = "평균 판매 가격"
--[[Translation missing --]]
L["Back"] = "Back"
L["Bag"] = "가방"
L["Bags"] = "가방"
--[[Translation missing --]]
L["Banking"] = "Banking"
L["Banks"] = "은행"
--[[Translation missing --]]
L["Base Group"] = "Base Group"
--[[Translation missing --]]
L["Base Item"] = "Base Item"
--[[Translation missing --]]
L["BBG 14-Day Price"] = "BBG 14-Day Price"
--[[Translation missing --]]
L["BBG 3-Day Price"] = "BBG 3-Day Price"
--[[Translation missing --]]
L["BBG Global Mean"] = "BBG Global Mean"
--[[Translation missing --]]
L["BBG Global Median"] = "BBG Global Median"
--[[Translation missing --]]
L["Below is a list of all available price sources, along with a brief description of what they represent."] = "Below is a list of all available price sources, along with a brief description of what they represent."
--[[Translation missing --]]
L["Below min price. Posting at max."] = "Below min price. Posting at max."
--[[Translation missing --]]
L["Below min price. Posting at min."] = "Below min price. Posting at min."
--[[Translation missing --]]
L["Below min price. Posting at normal."] = "Below min price. Posting at normal."
--[[Translation missing --]]
L["Below you can ignore this operation on certain characters or realms."] = "Below you can ignore this operation on certain characters or realms."
--[[Translation missing --]]
L["Bid %d / %d"] = "Bid %d / %d"
--[[Translation missing --]]
L["Bid (item)"] = "Bid (item)"
--[[Translation missing --]]
L["Bid (stack)"] = "Bid (stack)"
--[[Translation missing --]]
L["Bid (total)"] = "Bid (total)"
--[[Translation missing --]]
L["Bid / Buyout"] = "Bid / Buyout"
--[[Translation missing --]]
L["Bid Auction"] = "Bid Auction"
--[[Translation missing --]]
L["Bid percent must be between 0 and 100."] = "Bid percent must be between 0 and 100."
L["Bid Price"] = "입찰가"
--[[Translation missing --]]
L["Bid Sniper Paused"] = "Bid Sniper Paused"
--[[Translation missing --]]
L["Bid Sniper Running"] = "Bid Sniper Running"
--[[Translation missing --]]
L["Bidding Auction"] = "Bidding Auction"
--[[Translation missing --]]
L["Blacklisted players"] = "Blacklisted players"
--[[Translation missing --]]
L["Bought"] = "Bought"
--[[Translation missing --]]
L["Bought %d of %s from %s for %s"] = "Bought %d of %s from %s for %s"
--[[Translation missing --]]
L["Bought %sx%d for %s from %s"] = "Bought %sx%d for %s from %s"
--[[Translation missing --]]
L["Bound Actions"] = "Bound Actions"
--[[Translation missing --]]
L["Browse"] = "Browse"
--[[Translation missing --]]
L["Browse / Sniper"] = "Browse / Sniper"
--[[Translation missing --]]
L["BUSY"] = "BUSY"
L["BUY"] = "구입"
--[[Translation missing --]]
L["Buy"] = "Buy"
--[[Translation missing --]]
L["Buy %d / %d"] = "Buy %d / %d"
--[[Translation missing --]]
L["Buy %d / %d (Confirming %d / %d)"] = "Buy %d / %d (Confirming %d / %d)"
--[[Translation missing --]]
L["Buy Auction"] = "Buy Auction"
--[[Translation missing --]]
L["Buy Commodity"] = "Buy Commodity"
--[[Translation missing --]]
L["Buy from AH"] = "Buy from AH"
--[[Translation missing --]]
L["Buy from AH (Crafting)"] = "Buy from AH (Crafting)"
--[[Translation missing --]]
L["Buy from AH (Disenchant)"] = "Buy from AH (Disenchant)"
L["Buy from Vendor"] = "상인에게 구매"
--[[Translation missing --]]
L["Buy Groups"] = "Buy Groups"
--[[Translation missing --]]
L["Buy Options"] = "Buy Options"
--[[Translation missing --]]
L["Buyback All"] = "Buyback All"
--[[Translation missing --]]
L["Buyer/Seller"] = "Buyer/Seller"
--[[Translation missing --]]
L["Buyout"] = "Buyout"
--[[Translation missing --]]
L["Buyout (item)"] = "Buyout (item)"
--[[Translation missing --]]
L["Buyout (stack)"] = "Buyout (stack)"
--[[Translation missing --]]
L["Buyout (total)"] = "Buyout (total)"
--[[Translation missing --]]
L["Buyout confirmation alert"] = "Buyout confirmation alert"
--[[Translation missing --]]
L["Buyout Price"] = "Buyout Price"
--[[Translation missing --]]
L["Buyout Sniper Paused"] = "Buyout Sniper Paused"
--[[Translation missing --]]
L["Buyout Sniper Running"] = "Buyout Sniper Running"
--[[Translation missing --]]
L["Cancel"] = "Cancel"
--[[Translation missing --]]
L["Cancel %d / %d"] = "Cancel %d / %d"
--[[Translation missing --]]
L["Cancel Auction"] = "Cancel Auction"
--[[Translation missing --]]
L["Cancel auctions with bids"] = "Cancel auctions with bids"
--[[Translation missing --]]
L["Cancel or Post"] = "Cancel or Post"
L["Cancel Scan"] = "검색 취소"
--[[Translation missing --]]
L["Cancel to repost higher"] = "Cancel to repost higher"
--[[Translation missing --]]
L["Cancel undercut auctions"] = "Cancel undercut auctions"
--[[Translation missing --]]
L["Canceled information"] = "Canceled information"
--[[Translation missing --]]
L["Canceling"] = "Canceling"
--[[Translation missing --]]
L["Canceling %d / %d"] = "Canceling %d / %d"
--[[Translation missing --]]
L["Canceling %d Auctions..."] = "Canceling %d Auctions..."
--[[Translation missing --]]
L["Canceling auction you've undercut."] = "Canceling auction you've undercut."
--[[Translation missing --]]
L["Canceling disabled."] = "Canceling disabled."
--[[Translation missing --]]
L["Canceling Options"] = "Canceling Options"
--[[Translation missing --]]
L["Canceling to repost at higher price."] = "Canceling to repost at higher price."
--[[Translation missing --]]
L["Canceling to repost at reset price."] = "Canceling to repost at reset price."
--[[Translation missing --]]
L["Canceling to repost higher."] = "Canceling to repost higher."
--[[Translation missing --]]
L["Canceling undercut auctions and to repost higher."] = "Canceling undercut auctions and to repost higher."
--[[Translation missing --]]
L["Canceling undercut auctions."] = "Canceling undercut auctions."
--[[Translation missing --]]
L["Cancelled"] = "Cancelled"
--[[Translation missing --]]
L["Cancelled auction of %sx%d"] = "Cancelled auction of %sx%d"
--[[Translation missing --]]
L["Cancelled Since Last Sale"] = "Cancelled Since Last Sale"
--[[Translation missing --]]
L["Cancelled:"] = "Cancelled:"
--[[Translation missing --]]
L["Cancelling..."] = "Cancelling..."
--[[Translation missing --]]
L["Cannot repair from the guild bank!"] = "Cannot repair from the guild bank!"
--[[Translation missing --]]
L["Cannot use additional filters with /crafting or /disenchant."] = "Cannot use additional filters with /crafting or /disenchant."
L["Can't load TSM tooltip while in combat"] = "전투 중에는 TSM 툴팁을 불러올 수 없습니다."
L["Cash Register"] = "금전 등록기음"
--[[Translation missing --]]
L["Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"] = "Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"
--[[Translation missing --]]
L["Character"] = "Character"
L["Chat Tab"] = "채팅 탭"
--[[Translation missing --]]
L["Cheapest auction below min price."] = "Cheapest auction below min price."
--[[Translation missing --]]
L["Clear All"] = "Clear All"
--[[Translation missing --]]
L["Clear Data"] = "Clear Data"
--[[Translation missing --]]
L["Clear Filters"] = "Clear Filters"
--[[Translation missing --]]
L["Clear Old Data"] = "Clear Old Data"
--[[Translation missing --]]
L["Clear Old Data?"] = "Clear Old Data?"
--[[Translation missing --]]
L["Click and drag to resize this window."] = "Click and drag to resize this window."
--[[Translation missing --]]
L["Click to hide this item for the current session. Hold shift to hide this item permanently."] = "Click to hide this item for the current session. Hold shift to hide this item permanently."
--[[Translation missing --]]
L["COD"] = "COD"
L["Coins (%s)"] = "동전 (%s)"
--[[Translation missing --]]
L["Combine Partial Stacks"] = "Combine Partial Stacks"
--[[Translation missing --]]
L["Combining..."] = "Combining..."
--[[Translation missing --]]
L["Completed full AH scan (%d auctions)!"] = "Completed full AH scan (%d auctions)!"
L["Confirm"] = "확인"
--[[Translation missing --]]
L["Confirm complete sound"] = "Confirm complete sound"
--[[Translation missing --]]
L["Confirmation %s button"] = "Confirmation %s button"
--[[Translation missing --]]
L["Confirming %d / %d"] = "Confirming %d / %d"
--[[Translation missing --]]
L["Connected to %s"] = "Connected to %s"
--[[Translation missing --]]
L["Connecting to %s"] = "Connecting to %s"
--[[Translation missing --]]
L["Contacts"] = "Contacts"
--[[Translation missing --]]
L["Contains auctions above your alert threshold!"] = "Contains auctions above your alert threshold!"
--[[Translation missing --]]
L["Cooldown"] = "Cooldown"
--[[Translation missing --]]
L["Cooldowns"] = "Cooldowns"
--[[Translation missing --]]
L["Copy Letter"] = "Copy Letter"
--[[Translation missing --]]
L["Cost"] = "Cost"
--[[Translation missing --]]
L["Could not create macro as you already have too many. Delete one of your existing macros and try again."] = "Could not create macro as you already have too many. Delete one of your existing macros and try again."
--[[Translation missing --]]
L["Could not find profile '%s'. Possible profiles: '%s'"] = "Could not find profile '%s'. Possible profiles: '%s'"
--[[Translation missing --]]
L["Could not sell items due to not having free bag space available to split a stack of items."] = "Could not sell items due to not having free bag space available to split a stack of items."
--[[Translation missing --]]
L["Craft"] = "Craft"
--[[Translation missing --]]
L["CRAFT"] = "CRAFT"
--[[Translation missing --]]
L["Craft (Profitable)"] = "Craft (Profitable)"
--[[Translation missing --]]
L["Craft (Unprofitable)"] = "Craft (Unprofitable)"
--[[Translation missing --]]
L["Craft All"] = "Craft All"
--[[Translation missing --]]
L["Craft Next"] = "Craft Next"
--[[Translation missing --]]
L["Craft Value"] = "Craft Value"
--[[Translation missing --]]
L["Crafted Items"] = "Crafted Items"
--[[Translation missing --]]
L["Crafter"] = "Crafter"
--[[Translation missing --]]
L["Crafting"] = "Crafting"
--[[Translation missing --]]
L["CRAFTING"] = "CRAFTING"
--[[Translation missing --]]
L["Crafting %s button"] = "Crafting %s button"
--[[Translation missing --]]
L["Crafting cost"] = "Crafting cost"
--[[Translation missing --]]
L["Crafting Cost"] = "Crafting Cost"
--[[Translation missing --]]
L["Crafting List"] = "Crafting List"
--[[Translation missing --]]
L["Crafting Material Cost"] = "Crafting Material Cost"
--[[Translation missing --]]
L["Crafting Mode"] = "Crafting Mode"
--[[Translation missing --]]
L["Crafting operation"] = "Crafting operation"
--[[Translation missing --]]
L["Crafting operations control how queuing profession crafts."] = "Crafting operations control how queuing profession crafts."
--[[Translation missing --]]
L["Crafting Queue (%d)"] = "Crafting Queue (%d)"
--[[Translation missing --]]
L["Crafting Value"] = "Crafting Value"
--[[Translation missing --]]
L["Crafts"] = "Crafts"
--[[Translation missing --]]
L["Crafts %d"] = "Crafts %d"
--[[Translation missing --]]
L["Create Groups from Table"] = "Create Groups from Table"
--[[Translation missing --]]
L["Create macro"] = "Create macro"
--[[Translation missing --]]
L["Create New"] = "Create New"
--[[Translation missing --]]
L["Create New Group"] = "Create New Group"
L["Create New Operation"] = "새 작업 생성"
--[[Translation missing --]]
L["Create new profile"] = "Create new profile"
--[[Translation missing --]]
L["Create Profession Groups"] = "Create Profession Groups"
--[[Translation missing --]]
L["CTRL"] = "CTRL"
--[[Translation missing --]]
L["Current Price"] = "Current Price"
--[[Translation missing --]]
L["Custom Price"] = "Custom Price"
--[[Translation missing --]]
L["Custom price name %s already exists."] = "Custom price name %s already exists."
--[[Translation missing --]]
L["Custom price name %s is a reserved word which cannot be used."] = "Custom price name %s is a reserved word which cannot be used."
--[[Translation missing --]]
L["Custom price names can only contain lowercase letters."] = "Custom price names can only contain lowercase letters."
--[[Translation missing --]]
L["Custom Source"] = "Custom Source"
--[[Translation missing --]]
L["Custom source (%s)"] = "Custom source (%s)"
--[[Translation missing --]]
L["Custom Sources"] = "Custom Sources"
--[[Translation missing --]]
L["Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."] = "Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."
--[[Translation missing --]]
L["DAILY PURCHASES"] = "DAILY PURCHASES"
--[[Translation missing --]]
L["DAILY SALES"] = "DAILY SALES"
--[[Translation missing --]]
L["Dalaran"] = "Dalaran"
--[[Translation missing --]]
L["Dashboard"] = "Dashboard"
--[[Translation missing --]]
L["Default craft value method"] = "Default craft value method"
--[[Translation missing --]]
L["Default material cost method"] = "Default material cost method"
--[[Translation missing --]]
L["Default Price"] = "Default Price"
--[[Translation missing --]]
L["Default price configuration"] = "Default price configuration"
--[[Translation missing --]]
L["Define what priority Gathering gives certain sources."] = "Define what priority Gathering gives certain sources."
--[[Translation missing --]]
L["Delete %d Operations"] = "Delete %d Operations"
--[[Translation missing --]]
L["Delete Group?"] = "Delete Group?"
--[[Translation missing --]]
L["Delete Operation?"] = "Delete Operation?"
--[[Translation missing --]]
L["Delete Operations"] = "Delete Operations"
--[[Translation missing --]]
L["Delete Operations?"] = "Delete Operations?"
--[[Translation missing --]]
L["Delete Profile?"] = "Delete Profile?"
--[[Translation missing --]]
L["Delete Record?"] = "Delete Record?"
--[[Translation missing --]]
L["Delete the profile"] = "Delete the profile"
--[[Translation missing --]]
L["Deleting this group (%s) will also remove any sub-groups attached to this group."] = "Deleting this group (%s) will also remove any sub-groups attached to this group."
--[[Translation missing --]]
L["Deposit"] = "Deposit"
--[[Translation missing --]]
L["Deposit Cost"] = "Deposit Cost"
--[[Translation missing --]]
L["Deposit reagents"] = "Deposit reagents"
--[[Translation missing --]]
L["Deselect All"] = "Deselect All"
--[[Translation missing --]]
L["Destroy Next"] = "Destroy Next"
--[[Translation missing --]]
L["Destroy Value"] = "Destroy Value"
--[[Translation missing --]]
L["Destroy value"] = "Destroy value"
--[[Translation missing --]]
L["Destroy value source"] = "Destroy value source"
--[[Translation missing --]]
L["Destroying"] = "Destroying"
--[[Translation missing --]]
L["Destroying %s button"] = "Destroying %s button"
--[[Translation missing --]]
L["Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."] = "Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."
--[[Translation missing --]]
L["Destroying will ignore %s until you log out."] = "Destroying will ignore %s until you log out."
--[[Translation missing --]]
L["Destroying..."] = "Destroying..."
--[[Translation missing --]]
L["Detailed crafting cost"] = "Detailed crafting cost"
--[[Translation missing --]]
L["Detailed destroy information"] = "Detailed destroy information"
--[[Translation missing --]]
L["Details"] = "Details"
--[[Translation missing --]]
L["Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."] = "Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your maximum price (%s) is invalid. Check your settings."] = "Did not cancel %s because your maximum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your minimum price (%s) is invalid. Check your settings."] = "Did not cancel %s because your minimum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your normal price (%s) is invalid. Check your settings."] = "Did not cancel %s because your normal price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your undercut (%s) is invalid. Check your settings."] = "Did not cancel %s because your undercut (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not change prices due to an invalid bid or buyout value."] = "Did not change prices due to an invalid bid or buyout value."
--[[Translation missing --]]
L["Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."] = "Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."
--[[Translation missing --]]
L["Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."] = "Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."
--[[Translation missing --]]
L["Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."] = "Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."
--[[Translation missing --]]
L["Did not post %s because your keep quantity (%s) is invalid. Check your settings."] = "Did not post %s because your keep quantity (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your max expires (%s) is invalid. Check your settings."] = "Did not post %s because your max expires (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your maximum price (%s) is invalid. Check your settings."] = "Did not post %s because your maximum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not post %s because your minimum price (%s) is invalid. Check your settings."] = "Did not post %s because your minimum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your normal price (%s) is invalid. Check your settings."] = "Did not post %s because your normal price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not post %s because your post cap (%s) is invalid. Check your settings."] = "Did not post %s because your post cap (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your stack size (%s) is invalid. Check your settings."] = "Did not post %s because your stack size (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your undercut (%s) is invalid. Check your settings."] = "Did not post %s because your undercut (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Disable invalid price warnings"] = "Disable invalid price warnings"
--[[Translation missing --]]
L["Disenchant Search"] = "Disenchant Search"
--[[Translation missing --]]
L["Disenchant Search Options"] = "Disenchant Search Options"
--[[Translation missing --]]
L["Disenchant Value"] = "Disenchant Value"
--[[Translation missing --]]
L["Disenchant value"] = "Disenchant value"
--[[Translation missing --]]
L["Disenchanting Options"] = "Disenchanting Options"
--[[Translation missing --]]
L["Display total money received in chat"] = "Display total money received in chat"
--[[Translation missing --]]
L["Done Canceling"] = "Done Canceling"
--[[Translation missing --]]
L["Done Posting"] = "Done Posting"
--[[Translation missing --]]
L["Done rebuilding item cache."] = "Done rebuilding item cache."
--[[Translation missing --]]
L["Done Scanning"] = "Done Scanning"
--[[Translation missing --]]
L["Don't post after this many expires"] = "Don't post after this many expires"
--[[Translation missing --]]
L["Don't Post Items"] = "Don't Post Items"
--[[Translation missing --]]
L["Don't prompt to record trades"] = "Don't prompt to record trades"
--[[Translation missing --]]
L["Down"] = "Down"
--[[Translation missing --]]
L["Duplicate the profile"] = "Duplicate the profile"
--[[Translation missing --]]
L["Duration"] = "Duration"
--[[Translation missing --]]
L["Duskwood"] = "Duskwood"
--[[Translation missing --]]
L["Edit"] = "Edit"
--[[Translation missing --]]
L["Edit Custom Source"] = "Edit Custom Source"
--[[Translation missing --]]
L["Edit Material Price"] = "Edit Material Price"
--[[Translation missing --]]
L["Edit Post"] = "Edit Post"
--[[Translation missing --]]
L["Embed TSM tooltip"] = "Embed TSM tooltip"
--[[Translation missing --]]
L["Empty bags"] = "Empty bags"
--[[Translation missing --]]
L["Empty parentheses are not allowed"] = "Empty parentheses are not allowed"
L["Empty price string."] = "빈 가격 문자열."
--[[Translation missing --]]
L["Enable automatic stack combination"] = "Enable automatic stack combination"
--[[Translation missing --]]
L["Enable buying"] = "Enable buying"
--[[Translation missing --]]
L["Enable inbox chat messages"] = "Enable inbox chat messages"
--[[Translation missing --]]
L["Enable restock"] = "Enable restock"
--[[Translation missing --]]
L["Enable selling"] = "Enable selling"
--[[Translation missing --]]
L["Enable sending chat messages"] = "Enable sending chat messages"
--[[Translation missing --]]
L["Enable TSM tooltips"] = "Enable TSM tooltips"
--[[Translation missing --]]
L["Enchant"] = "Enchant"
--[[Translation missing --]]
L["Enchant Vellum"] = "Enchant Vellum"
--[[Translation missing --]]
L["Ensure both characters are online and try again."] = "Ensure both characters are online and try again."
--[[Translation missing --]]
L["Enter a value from %d - %d"] = "Enter a value from %d - %d"
--[[Translation missing --]]
L["Enter a value from %d - %d%%"] = "Enter a value from %d - %d%%"
--[[Translation missing --]]
L["Enter Filter"] = "Enter Filter"
--[[Translation missing --]]
L["Enter Keyword"] = "Enter Keyword"
--[[Translation missing --]]
L["Enter name of logged-in character on other account"] = "Enter name of logged-in character on other account"
L["Enter player name"] = "플레이어 이름 입력"
--[[Translation missing --]]
L["Enter profile name"] = "Enter profile name"
--[[Translation missing --]]
L["Enter recipient name"] = "Enter recipient name"
--[[Translation missing --]]
L["ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."] = "ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."
--[[Translation missing --]]
L["ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."] = "ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."
--[[Translation missing --]]
L["ERROR: The auction house must be open in order to do a scan."] = "ERROR: The auction house must be open in order to do a scan."
--[[Translation missing --]]
L["Establishing connection to %s. Make sure that you've entered this character's name on the other account."] = "Establishing connection to %s. Make sure that you've entered this character's name on the other account."
--[[Translation missing --]]
L["Establishing connection..."] = "Establishing connection..."
--[[Translation missing --]]
L["Estimated Cost:"] = "Estimated Cost:"
--[[Translation missing --]]
L["Estimated deliver time"] = "Estimated deliver time"
--[[Translation missing --]]
L["Estimated Profit:"] = "Estimated Profit:"
--[[Translation missing --]]
L["Exact Match"] = "Exact Match"
--[[Translation missing --]]
L["Example"] = "Example"
--[[Translation missing --]]
L["Example Item"] = "Example Item"
--[[Translation missing --]]
L["Example Tooltip"] = "Example Tooltip"
--[[Translation missing --]]
L["Exclude custom sources?"] = "Exclude custom sources?"
--[[Translation missing --]]
L["Exclude operations?"] = "Exclude operations?"
--[[Translation missing --]]
L["Exit"] = "Exit"
--[[Translation missing --]]
L["Expand / Collapse All Groups"] = "Expand / Collapse All Groups"
--[[Translation missing --]]
L["Expenses"] = "Expenses"
--[[Translation missing --]]
L["EXPENSES"] = "EXPENSES"
--[[Translation missing --]]
L["Expirations"] = "Expirations"
--[[Translation missing --]]
L["Expired"] = "Expired"
--[[Translation missing --]]
L["Expired Auctions"] = "Expired Auctions"
--[[Translation missing --]]
L["Expired information"] = "Expired information"
--[[Translation missing --]]
L["Expired Since Last Sale"] = "Expired Since Last Sale"
--[[Translation missing --]]
L["Expires"] = "Expires"
--[[Translation missing --]]
L["Expires Since Last Sale"] = "Expires Since Last Sale"
--[[Translation missing --]]
L["Expiring Mails"] = "Expiring Mails"
L["Exploration"] = "폭발음"
L["Export"] = "내보내기"
--[[Translation missing --]]
L["Export String"] = "Export String"
--[[Translation missing --]]
L["Export this group"] = "Export this group"
--[[Translation missing --]]
L["Failed Auctions"] = "Failed Auctions"
--[[Translation missing --]]
L["Failed to bid on auction of %s (x%s) for %s."] = "Failed to bid on auction of %s (x%s) for %s."
--[[Translation missing --]]
L["Failed to bid on auction of %s."] = "Failed to bid on auction of %s."
--[[Translation missing --]]
L["Failed to buy auction of %s (x%s) for %s."] = "Failed to buy auction of %s (x%s) for %s."
--[[Translation missing --]]
L["Failed to buy auction of %s."] = "Failed to buy auction of %s."
--[[Translation missing --]]
L["Failed to buy auction."] = "Failed to buy auction."
--[[Translation missing --]]
L["Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."] = "Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."
--[[Translation missing --]]
L["Failed to find auction for %s, so removing it from the results."] = "Failed to find auction for %s, so removing it from the results."
--[[Translation missing --]]
L["Failed to post %sx%d as the item no longer exists in your bags."] = "Failed to post %sx%d as the item no longer exists in your bags."
--[[Translation missing --]]
L["Failed to run full AH scan."] = "Failed to run full AH scan."
--[[Translation missing --]]
L["Failed to send profile."] = "Failed to send profile."
--[[Translation missing --]]
L["Failed to send profile. Ensure both characters are online and try again."] = "Failed to send profile. Ensure both characters are online and try again."
--[[Translation missing --]]
L["Failed to start sniper. No groups have a Sniper operation applied."] = "Failed to start sniper. No groups have a Sniper operation applied."
--[[Translation missing --]]
L["Favorite Scans"] = "Favorite Scans"
--[[Translation missing --]]
L["Favorite Searches"] = "Favorite Searches"
--[[Translation missing --]]
L["Favorited Patterns"] = "Favorited Patterns"
--[[Translation missing --]]
L["Filter by duration"] = "Filter by duration"
--[[Translation missing --]]
L["Filter by groups"] = "Filter by groups"
--[[Translation missing --]]
L["Filter by keyword"] = "Filter by keyword"
--[[Translation missing --]]
L["Filter by Keyword"] = "Filter by Keyword"
--[[Translation missing --]]
L["Filter by Price Source"] = "Filter by Price Source"
--[[Translation missing --]]
L["Filter by Profession"] = "Filter by Profession"
--[[Translation missing --]]
L["Filter group item lists based on the following price source"] = "Filter group item lists based on the following price source"
--[[Translation missing --]]
L["Finding Selected Auction"] = "Finding Selected Auction"
--[[Translation missing --]]
L["First Auctioning Operation Max Price"] = "First Auctioning Operation Max Price"
--[[Translation missing --]]
L["First Auctioning Operation Min Price"] = "First Auctioning Operation Min Price"
--[[Translation missing --]]
L["First Auctioning Operation Normal Price"] = "First Auctioning Operation Normal Price"
L["Fishing Reel In"] = "낚시 릴 스피닝음"
--[[Translation missing --]]
L["For more info, visit %s. For help, join us in Discord: %s."] = "For more info, visit %s. For help, join us in Discord: %s."
--[[Translation missing --]]
L["Forget Character"] = "Forget Character"
--[[Translation missing --]]
L["Found auction sound"] = "Found auction sound"
L["Friends"] = "친구"
--[[Translation missing --]]
L["From"] = "From"
--[[Translation missing --]]
L["Full inventory"] = "Full inventory"
--[[Translation missing --]]
L["Garrison"] = "Garrison"
--[[Translation missing --]]
L["Gathering"] = "Gathering"
--[[Translation missing --]]
L["Gathering Search"] = "Gathering Search"
--[[Translation missing --]]
L["Gathering Setup"] = "Gathering Setup"
L["General Options"] = "일반 옵션"
--[[Translation missing --]]
L["General Settings"] = "General Settings"
--[[Translation missing --]]
L["Get from Bank"] = "Get from Bank"
--[[Translation missing --]]
L["Get from Guild Bank"] = "Get from Guild Bank"
--[[Translation missing --]]
L["Gets items from the bank or guild bank matching the item or partial text entered."] = "Gets items from the bank or guild bank matching the item or partial text entered."
L["Gold"] = "골드"
--[[Translation missing --]]
L["Great Deals Search"] = "Great Deals Search"
--[[Translation missing --]]
L["Group already exists."] = "Group already exists."
L["Group Management"] = "그룹 관리"
--[[Translation missing --]]
L["Group name"] = "Group name"
--[[Translation missing --]]
L["Group Search"] = "Group Search"
--[[Translation missing --]]
L["Grouped Items"] = "Grouped Items"
L["Groups"] = "그룹"
--[[Translation missing --]]
L["Groups & Operations"] = "Groups & Operations"
--[[Translation missing --]]
L["Groups Using"] = "Groups Using"
L["Guild"] = "길드"
L["Guild Bank"] = "길드 은행"
--[[Translation missing --]]
L["GVault"] = "GVault"
--[[Translation missing --]]
L["Have"] = "Have"
--[[Translation missing --]]
L["Have Mats"] = "Have Mats"
--[[Translation missing --]]
L["Have Skill Ups"] = "Have Skill Ups"
--[[Translation missing --]]
L["Here you can add/remove what groups this operation is attached to."] = "Here you can add/remove what groups this operation is attached to."
--[[Translation missing --]]
L["Hide auctions with bids"] = "Hide auctions with bids"
--[[Translation missing --]]
L["Hide Columns"] = "Hide Columns"
--[[Translation missing --]]
L["Hide minimap icon"] = "Hide minimap icon"
--[[Translation missing --]]
L["Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."] = "Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."
--[[Translation missing --]]
L["Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."] = "Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."
--[[Translation missing --]]
L["HIGH"] = "HIGH"
--[[Translation missing --]]
L["High Bidder"] = "High Bidder"
--[[Translation missing --]]
L["Historical Price"] = "Historical Price"
--[[Translation missing --]]
L["Historical price"] = "Historical price"
--[[Translation missing --]]
L["Hold ALT to repair from the guild bank."] = "Hold ALT to repair from the guild bank."
--[[Translation missing --]]
L["Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."] = "Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes"] = "Hold SHIFT to continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."
--[[Translation missing --]]
L["Hold shift to move the items to the parent group instead of removing them."] = "Hold shift to move the items to the parent group instead of removing them."
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes"] = "Hold SHIFT to not continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."
--[[Translation missing --]]
L["Hold SHIFT while dragging to scale the window instead."] = "Hold SHIFT while dragging to scale the window instead."
--[[Translation missing --]]
L["Hr"] = "Hr"
--[[Translation missing --]]
L["Hrs"] = "Hrs"
--[[Translation missing --]]
L["If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."] = "If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."
--[[Translation missing --]]
L["Ignore Auctions Below Min"] = "Ignore Auctions Below Min"
--[[Translation missing --]]
L["Ignore auctions by duration"] = "Ignore auctions by duration"
--[[Translation missing --]]
L["Ignore Characters"] = "Ignore Characters"
L["Ignore Guilds"] = "길드 제외시키기"
--[[Translation missing --]]
L["Ignore operation on characters"] = "Ignore operation on characters"
--[[Translation missing --]]
L["Ignore operation on faction-realms"] = "Ignore operation on faction-realms"
--[[Translation missing --]]
L["Ignore variations"] = "Ignore variations"
--[[Translation missing --]]
L["Ignored Cooldowns"] = "Ignored Cooldowns"
--[[Translation missing --]]
L["Ignored Items"] = "Ignored Items"
--[[Translation missing --]]
L["ilvl"] = "ilvl"
L["Import"] = "가져오기"
--[[Translation missing --]]
L["Import group"] = "Import group"
--[[Translation missing --]]
L["Import Groups & Operations"] = "Import Groups & Operations"
--[[Translation missing --]]
L["Import String"] = "Import String"
--[[Translation missing --]]
L["Import Summary"] = "Import Summary"
--[[Translation missing --]]
L["Imported Group"] = "Imported Group"
--[[Translation missing --]]
L["Imported group (%s) with %d items, %d operations, and %d custom sources."] = "Imported group (%s) with %d items, %d operations, and %d custom sources."
--[[Translation missing --]]
L["Improved Import / Export."] = "Improved Import / Export."
--[[Translation missing --]]
L["Inbox Settings"] = "Inbox Settings"
--[[Translation missing --]]
L["Include operations?"] = "Include operations?"
--[[Translation missing --]]
L["Include soulbound items"] = "Include soulbound items"
L["Information"] = "정보"
--[[Translation missing --]]
L["Invalid custom price source for %s. %s"] = "Invalid custom price source for %s. %s"
L["Invalid custom price."] = "잘못된 사용자 가격입니다."
L["Invalid function."] = "잘못된 함수입니다."
--[[Translation missing --]]
L["Invalid gold value."] = "Invalid gold value."
--[[Translation missing --]]
L["Invalid group name."] = "Invalid group name."
L["Invalid item link."] = "잘못된 아이템 링크입니다."
--[[Translation missing --]]
L["Invalid numeric value."] = "Invalid numeric value."
--[[Translation missing --]]
L["Invalid operation name."] = "Invalid operation name."
--[[Translation missing --]]
L["Invalid operator at end of custom price."] = "Invalid operator at end of custom price."
--[[Translation missing --]]
L["Invalid parameter to price source."] = "Invalid parameter to price source."
L["Invalid player name."] = "잘못된 플레이어 이름입니다."
L["Invalid price source in convert."] = "잘못된 가격 출처입니다."
--[[Translation missing --]]
L["Invalid price."] = "Invalid price."
--[[Translation missing --]]
L["Invalid Quantity"] = "Invalid Quantity"
--[[Translation missing --]]
L["Invalid search filter (%s)."] = "Invalid search filter (%s)."
--[[Translation missing --]]
L["Invalid search term."] = "Invalid search term."
--[[Translation missing --]]
L["Invalid search term. Cannot filter by price here."] = "Invalid search term. Cannot filter by price here."
--[[Translation missing --]]
L["Invalid seller data returned by server."] = "Invalid seller data returned by server."
--[[Translation missing --]]
L["Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."] = "Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."
L["Invalid word: '%s'"] = "잘못된 단어: '%s'"
--[[Translation missing --]]
L["Inventory"] = "Inventory"
--[[Translation missing --]]
L["Inventory / Gold Graph"] = "Inventory / Gold Graph"
--[[Translation missing --]]
L["Inventory Options"] = "Inventory Options"
--[[Translation missing --]]
L["It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."] = "It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."
--[[Translation missing --]]
L["It looks like you're trying to reference an old global price source which no longer exists."] = "It looks like you're trying to reference an old global price source which no longer exists."
L["Item"] = "아이템"
--[[Translation missing --]]
L["Item Class"] = "Item Class"
L["Item Level"] = "아이템 레벨"
--[[Translation missing --]]
L["Item Level Range"] = "Item Level Range"
L["Item links may only be used as parameters to price sources."] = "아이템 링크는 가격 출처에 대한 매개 변수로만 사용할 수 있습니다."
L["Item Name"] = "아이템 이름"
--[[Translation missing --]]
L["Item Quality"] = "Item Quality"
--[[Translation missing --]]
L["Item Selection"] = "Item Selection"
--[[Translation missing --]]
L["Item Slot"] = "Item Slot"
--[[Translation missing --]]
L["Item Subclass"] = "Item Subclass"
--[[Translation missing --]]
L["Item Value"] = "Item Value"
--[[Translation missing --]]
L["Item/Group is invalid (see chat)."] = "Item/Group is invalid (see chat)."
L["Items"] = "아이템"
--[[Translation missing --]]
L["Items Using"] = "Items Using"
--[[Translation missing --]]
L["Keep in bags quantity"] = "Keep in bags quantity"
--[[Translation missing --]]
L["Keep in bank quantity"] = "Keep in bank quantity"
--[[Translation missing --]]
L["Keep quantity"] = "Keep quantity"
--[[Translation missing --]]
L["Keep this amount"] = "Keep this amount"
--[[Translation missing --]]
L["Keeping %d."] = "Keeping %d."
--[[Translation missing --]]
L["Keeping undercut auctions posted."] = "Keeping undercut auctions posted."
--[[Translation missing --]]
L["Last 14 Days"] = "Last 14 Days"
--[[Translation missing --]]
L["Last 3 Days"] = "Last 3 Days"
--[[Translation missing --]]
L["Last 30 Days"] = "Last 30 Days"
--[[Translation missing --]]
L["Last 60 Days"] = "Last 60 Days"
--[[Translation missing --]]
L["Last 7 Days"] = "Last 7 Days"
--[[Translation missing --]]
L["Last Purchased"] = "Last Purchased"
--[[Translation missing --]]
L["Last Sold"] = "Last Sold"
--[[Translation missing --]]
L["LEAST GROUPS"] = "LEAST GROUPS"
--[[Translation missing --]]
L["LEAST ITEMS"] = "LEAST ITEMS"
--[[Translation missing --]]
L["Ledger"] = "Ledger"
L["Level Up"] = "레벨 업"
--[[Translation missing --]]
L["Limit"] = "Limit"
--[[Translation missing --]]
L["Link to Another Operation"] = "Link to Another Operation"
--[[Translation missing --]]
L["Loading..."] = "Loading..."
--[[Translation missing --]]
L["Lock Column Width"] = "Lock Column Width"
--[[Translation missing --]]
L["Lock task list's background"] = "Lock task list's background"
L["Looks like TradeSkillMaster has encountered an error. Please help the author fix this error by following the instructions shown."] = "TradeSkillMaster에 에러가 발생한 것 같습니다. 아래 표시된 안내에 따라 제작자가 에러를 수정할 수 있도록 도움을 주시기 바랍니다."
--[[Translation missing --]]
L["Loop detected in the following custom price:"] = "Loop detected in the following custom price:"
--[[Translation missing --]]
L["LOW"] = "LOW"
--[[Translation missing --]]
L["Lowest auction by whitelisted player."] = "Lowest auction by whitelisted player."
--[[Translation missing --]]
L["Macro created and scroll wheel bound!"] = "Macro created and scroll wheel bound!"
L["Macro Setup"] = "매크로 설정"
--[[Translation missing --]]
L["Macros"] = "Macros"
L["Mail"] = "우편"
--[[Translation missing --]]
L["Mail Disenchantables"] = "Mail Disenchantables"
--[[Translation missing --]]
L["Mail disenchantables max quality"] = "Mail disenchantables max quality"
--[[Translation missing --]]
L["Mail Selected Groups"] = "Mail Selected Groups"
--[[Translation missing --]]
L["Mail Selected Groups (Auto Resend)"] = "Mail Selected Groups (Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run + Auto Resend)"] = "Mail Selected Groups (Dry Run + Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run)"] = "Mail Selected Groups (Dry Run)"
--[[Translation missing --]]
L["Mail to %s"] = "Mail to %s"
--[[Translation missing --]]
L["Mailing"] = "Mailing"
--[[Translation missing --]]
L["Mailing all to %s."] = "Mailing all to %s."
--[[Translation missing --]]
L["Mailing operation"] = "Mailing operation"
--[[Translation missing --]]
L["Mailing operations control mailing to other characters."] = "Mailing operations control mailing to other characters."
--[[Translation missing --]]
L["Mailing up to %d to %s."] = "Mailing up to %d to %s."
--[[Translation missing --]]
L["Make Cash On Delivery?"] = "Make Cash On Delivery?"
--[[Translation missing --]]
L["Make Operations Global?"] = "Make Operations Global?"
L["Management Options"] = "관리 옵션"
--[[Translation missing --]]
L["Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."] = "Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."
L["Map Ping"] = "미니맵 표시음(ping)"
--[[Translation missing --]]
L["Market Value"] = "Market Value"
--[[Translation missing --]]
L["Market value"] = "Market value"
--[[Translation missing --]]
L["Market value price source"] = "Market value price source"
--[[Translation missing --]]
L["Market Value Price Source"] = "Market Value Price Source"
--[[Translation missing --]]
L["Mat cost"] = "Mat cost"
--[[Translation missing --]]
L["Mat Price"] = "Mat Price"
--[[Translation missing --]]
L["Match stack size"] = "Match stack size"
--[[Translation missing --]]
L["Match whitelisted players"] = "Match whitelisted players"
--[[Translation missing --]]
L["Material Cost"] = "Material Cost"
--[[Translation missing --]]
L["Material Price"] = "Material Price"
--[[Translation missing --]]
L["Materials"] = "Materials"
--[[Translation missing --]]
L["Materials to Gather"] = "Materials to Gather"
--[[Translation missing --]]
L["Max"] = "Max"
--[[Translation missing --]]
L["Max Buy Price"] = "Max Buy Price"
--[[Translation missing --]]
L["Max destroy value (Enter '0c' to disable)"] = "Max destroy value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max expires to bank"] = "Max expires to bank"
--[[Translation missing --]]
L["Max market value (Enter '0c' to disable)"] = "Max market value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max Price"] = "Max Price"
--[[Translation missing --]]
L["Max quantity"] = "Max quantity"
--[[Translation missing --]]
L["Max restock quantity"] = "Max restock quantity"
--[[Translation missing --]]
L["Max Sell Price"] = "Max Sell Price"
--[[Translation missing --]]
L["Max Shopping Price"] = "Max Shopping Price"
--[[Translation missing --]]
L["Max shopping price"] = "Max shopping price"
--[[Translation missing --]]
L["Max sniper price"] = "Max sniper price"
--[[Translation missing --]]
L["Maximum amount already posted."] = "Maximum amount already posted."
--[[Translation missing --]]
L["Maximum auction price"] = "Maximum auction price"
--[[Translation missing --]]
L["Maximum disenchant level"] = "Maximum disenchant level"
--[[Translation missing --]]
L["Maximum disenchant quality"] = "Maximum disenchant quality"
--[[Translation missing --]]
L["Maximum disenchant search percent"] = "Maximum disenchant search percent"
--[[Translation missing --]]
L["Maximum price"] = "Maximum price"
--[[Translation missing --]]
L["Maximum Quantity to Buy"] = "Maximum Quantity to Buy"
--[[Translation missing --]]
L["Maximum restock quantity"] = "Maximum restock quantity"
--[[Translation missing --]]
L["Midnight"] = "Midnight"
--[[Translation missing --]]
L["Mill value"] = "Mill value"
--[[Translation missing --]]
L["Mill Value"] = "Mill Value"
--[[Translation missing --]]
L["Min"] = "Min"
--[[Translation missing --]]
L["Min 0 - Max 20"] = "Min 0 - Max 20"
--[[Translation missing --]]
L["Min 0.5 - Max 10"] = "Min 0.5 - Max 10"
--[[Translation missing --]]
L["Min Buy Price"] = "Min Buy Price"
--[[Translation missing --]]
L["Min Buyout"] = "Min Buyout"
--[[Translation missing --]]
L["Min buyout"] = "Min buyout"
--[[Translation missing --]]
L["Min number of expires"] = "Min number of expires"
--[[Translation missing --]]
L["Min profit amount"] = "Min profit amount"
--[[Translation missing --]]
L["Min restock quantity"] = "Min restock quantity"
--[[Translation missing --]]
L["Min Sell Price"] = "Min Sell Price"
--[[Translation missing --]]
L["Min/Normal/Max price"] = "Min/Normal/Max price"
--[[Translation missing --]]
L["Min/Normal/Max Prices"] = "Min/Normal/Max Prices"
--[[Translation missing --]]
L["Minimum disenchant level"] = "Minimum disenchant level"
--[[Translation missing --]]
L["Minimum price"] = "Minimum price"
--[[Translation missing --]]
L["Minimum Rarity"] = "Minimum Rarity"
L["Misplaced comma"] = "콤마의 위치가 잘못됐습니다."
--[[Translation missing --]]
L["Missing Materials"] = "Missing Materials"
--[[Translation missing --]]
L["Missing operator between sets of parenthesis"] = "Missing operator between sets of parenthesis"
--[[Translation missing --]]
L["Modifiers"] = "Modifiers"
L["Money Frame Open"] = "머니프레임 오픈음"
--[[Translation missing --]]
L["Money Transfer"] = "Money Transfer"
--[[Translation missing --]]
L["MOST GROUPS"] = "MOST GROUPS"
--[[Translation missing --]]
L["MOST ITEMS"] = "MOST ITEMS"
--[[Translation missing --]]
L["MOVE"] = "MOVE"
--[[Translation missing --]]
L["Move %d |4Item:Items"] = "Move %d |4Item:Items"
--[[Translation missing --]]
L["Move %d already grouped items?"] = "Move %d already grouped items?"
--[[Translation missing --]]
L["Move all to Bags"] = "Move all to Bags"
--[[Translation missing --]]
L["Move Item"] = "Move Item"
--[[Translation missing --]]
L["Move Quantity Options"] = "Move Quantity Options"
--[[Translation missing --]]
L["Move to bags"] = "Move to bags"
--[[Translation missing --]]
L["Move to bank"] = "Move to bank"
--[[Translation missing --]]
L["Move to Parent Group"] = "Move to Parent Group"
--[[Translation missing --]]
L["MOVING"] = "MOVING"
--[[Translation missing --]]
L["Moving"] = "Moving"
--[[Translation missing --]]
L["Multiple Items"] = "Multiple Items"
--[[Translation missing --]]
L["Must be between %d and %s."] = "Must be between %d and %s."
--[[Translation missing --]]
L["My Auctions"] = "My Auctions"
--[[Translation missing --]]
L["My Auctions %s button"] = "My Auctions %s button"
--[[Translation missing --]]
L["Name"] = "Name"
--[[Translation missing --]]
L["NEED MATS"] = "NEED MATS"
--[[Translation missing --]]
L["New Base Group search."] = "New Base Group search."
L["New Group"] = "새 그룹"
L["New Operation"] = "새 작업"
--[[Translation missing --]]
L["New price sources."] = "New price sources."
--[[Translation missing --]]
L["News & Information"] = "News & Information"
--[[Translation missing --]]
L["No Attachments"] = "No Attachments"
--[[Translation missing --]]
L["No AuctionDB Realm Data"] = "No AuctionDB Realm Data"
--[[Translation missing --]]
L["No AuctionDB Region Data"] = "No AuctionDB Region Data"
--[[Translation missing --]]
L["No Characters"] = "No Characters"
--[[Translation missing --]]
L["No Crafts"] = "No Crafts"
--[[Translation missing --]]
L["No Faction-Realms"] = "No Faction-Realms"
--[[Translation missing --]]
L["No group selected"] = "No group selected"
--[[Translation missing --]]
L["No Guilds"] = "No Guilds"
--[[Translation missing --]]
L["No item specified. Usage: /tsm restock_help [ITEM_LINK]"] = "No item specified. Usage: /tsm restock_help [ITEM_LINK]"
--[[Translation missing --]]
L["NO ITEMS"] = "NO ITEMS"
--[[Translation missing --]]
L["No Materials to Gather"] = "No Materials to Gather"
L["No Operation Selected"] = "선택한 작업 없음"
--[[Translation missing --]]
L["No Players"] = "No Players"
--[[Translation missing --]]
L["No posting."] = "No posting."
--[[Translation missing --]]
L["No Profession Opened"] = "No Profession Opened"
--[[Translation missing --]]
L["No Profession Selected"] = "No Profession Selected"
--[[Translation missing --]]
L["No Professions"] = "No Professions"
--[[Translation missing --]]
L["No profile specified. Possible profiles: '%s'"] = "No profile specified. Possible profiles: '%s'"
--[[Translation missing --]]
L["No Rarities"] = "No Rarities"
--[[Translation missing --]]
L["No receipe selected"] = "No receipe selected"
--[[Translation missing --]]
L["No recent AuctionDB scan data found."] = "No recent AuctionDB scan data found."
L["No Sound"] = "소리 없음"
--[[Translation missing --]]
L["No Sources"] = "No Sources"
--[[Translation missing --]]
L["No Types"] = "No Types"
--[[Translation missing --]]
L["No value was returned by the custom price for the specified item."] = "No value was returned by the custom price for the specified item."
L["None"] = "없음"
L["None (Always Show)"] = "없음 (항상 표시)"
--[[Translation missing --]]
L["None Selected"] = "None Selected"
--[[Translation missing --]]
L["Nongroup to bank"] = "Nongroup to bank"
--[[Translation missing --]]
L["Normal price"] = "Normal price"
--[[Translation missing --]]
L["Not canceling auction at reset price."] = "Not canceling auction at reset price."
--[[Translation missing --]]
L["Not canceling auction below min price."] = "Not canceling auction below min price."
--[[Translation missing --]]
L["Not canceling."] = "Not canceling."
--[[Translation missing --]]
L["Not Connected"] = "Not Connected"
--[[Translation missing --]]
L["Not enough items in bags."] = "Not enough items in bags."
--[[Translation missing --]]
L["Not Enough Money"] = "Not Enough Money"
--[[Translation missing --]]
L["Not enough money to cancel."] = "Not enough money to cancel."
--[[Translation missing --]]
L["NOT OPEN"] = "NOT OPEN"
--[[Translation missing --]]
L["Not Scanned"] = "Not Scanned"
--[[Translation missing --]]
L["NOTE: The import contained %d invalid items which were ignored."] = "NOTE: The import contained %d invalid items which were ignored."
--[[Translation missing --]]
L["NOTE: The import contained %d operations with at least one invalid setting which was reset."] = "NOTE: The import contained %d operations with at least one invalid setting which was reset."
--[[Translation missing --]]
L["Nothing to move."] = "Nothing to move."
--[[Translation missing --]]
L["Nothing to send."] = "Nothing to send."
--[[Translation missing --]]
L["Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."] = "Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."
--[[Translation missing --]]
L["NPC"] = "NPC"
--[[Translation missing --]]
L["Number Owned"] = "Number Owned"
--[[Translation missing --]]
L["Offline"] = "Offline"
--[[Translation missing --]]
L["On Cooldown"] = "On Cooldown"
--[[Translation missing --]]
L["Only show craftable"] = "Only show craftable"
--[[Translation missing --]]
L["Only show items with disenchant values above this price"] = "Only show items with disenchant values above this price"
--[[Translation missing --]]
L["Only show sold auctions"] = "Only show sold auctions"
--[[Translation missing --]]
L["OPEN"] = "OPEN"
--[[Translation missing --]]
L["Open All Mail"] = "Open All Mail"
--[[Translation missing --]]
L["Open All Mail Without Money"] = "Open All Mail Without Money"
--[[Translation missing --]]
L["Open Mail"] = "Open Mail"
--[[Translation missing --]]
L["Open mail complete sound"] = "Open mail complete sound"
--[[Translation missing --]]
L["Open Mail Without Money"] = "Open Mail Without Money"
--[[Translation missing --]]
L["Open Task List"] = "Open Task List"
--[[Translation missing --]]
L["Opens the Destroying frame if there's stuff in your bags to be destroyed."] = "Opens the Destroying frame if there's stuff in your bags to be destroyed."
L["Operation"] = "작업"
L["Operations"] = "작업"
--[[Translation missing --]]
L["Options specific to Sniper are below."] = "Options specific to Sniper are below."
--[[Translation missing --]]
L["Order Confirmation"] = "Order Confirmation"
--[[Translation missing --]]
L["Orgrimmar"] = "Orgrimmar"
--[[Translation missing --]]
L["Other"] = "Other"
--[[Translation missing --]]
L["Other Character"] = "Other Character"
--[[Translation missing --]]
L["Override default craft value"] = "Override default craft value"
--[[Translation missing --]]
L["Override Parent Operations"] = "Override Parent Operations"
--[[Translation missing --]]
L["Parent Items"] = "Parent Items"
--[[Translation missing --]]
L["Pausing Scan..."] = "Pausing Scan..."
--[[Translation missing --]]
L["Per Item"] = "Per Item"
--[[Translation missing --]]
L["Per Stack"] = "Per Stack"
--[[Translation missing --]]
L["Per-Character group selections."] = "Per-Character group selections."
--[[Translation missing --]]
L["Performing a dry-run of your Mailing operations for the selected groups."] = "Performing a dry-run of your Mailing operations for the selected groups."
--[[Translation missing --]]
L["Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."] = "Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."
L["Player Gold"] = "플레이어 골드"
L["Player Invite Accept"] = "초대 효과음"
--[[Translation missing --]]
L["Post"] = "Post"
--[[Translation missing --]]
L["Post / Cancel"] = "Post / Cancel"
--[[Translation missing --]]
L["Post at Maximum Price"] = "Post at Maximum Price"
--[[Translation missing --]]
L["Post at Minimum Price"] = "Post at Minimum Price"
--[[Translation missing --]]
L["Post at Normal Price"] = "Post at Normal Price"
--[[Translation missing --]]
L["Post Auction"] = "Post Auction"
--[[Translation missing --]]
L["Post cap"] = "Post cap"
--[[Translation missing --]]
L["Post cap to bags"] = "Post cap to bags"
--[[Translation missing --]]
L["Post from Shopping Scan"] = "Post from Shopping Scan"
--[[Translation missing --]]
L["Post Items from Bags"] = "Post Items from Bags"
--[[Translation missing --]]
L["Post Quantity"] = "Post Quantity"
--[[Translation missing --]]
L["Post Scan"] = "Post Scan"
--[[Translation missing --]]
L["Post Selected"] = "Post Selected"
--[[Translation missing --]]
L["Postage"] = "Postage"
--[[Translation missing --]]
L["Posted at whitelisted player's price."] = "Posted at whitelisted player's price."
--[[Translation missing --]]
L["Posted:"] = "Posted:"
--[[Translation missing --]]
L["Posting"] = "Posting"
--[[Translation missing --]]
L["Posting %d / %d"] = "Posting %d / %d"
--[[Translation missing --]]
L["Posting %d items for %s hours."] = "Posting %d items for %s hours."
--[[Translation missing --]]
L["Posting %d stack(s) of %d for %s hours."] = "Posting %d stack(s) of %d for %s hours."
--[[Translation missing --]]
L["Posting at normal price."] = "Posting at normal price."
--[[Translation missing --]]
L["Posting at whitelisted player's price."] = "Posting at whitelisted player's price."
--[[Translation missing --]]
L["Posting at your current price."] = "Posting at your current price."
--[[Translation missing --]]
L["Posting disabled."] = "Posting disabled."
--[[Translation missing --]]
L["Posting Options"] = "Posting Options"
--[[Translation missing --]]
L["Posting Price"] = "Posting Price"
--[[Translation missing --]]
L["Posts"] = "Posts"
--[[Translation missing --]]
L["Potential"] = "Potential"
--[[Translation missing --]]
L["Prepare Bid"] = "Prepare Bid"
--[[Translation missing --]]
L["Prepare Buy"] = "Prepare Buy"
--[[Translation missing --]]
L["Preparing..."] = "Preparing..."
--[[Translation missing --]]
L["Prevent closing the Auction House with the esc key"] = "Prevent closing the Auction House with the esc key"
--[[Translation missing --]]
L["Prints out the available price sources for use in custom prices"] = "Prints out the available price sources for use in custom prices"
--[[Translation missing --]]
L["Prints out the version numbers of all installed modules"] = "Prints out the version numbers of all installed modules"
--[[Translation missing --]]
L["Prints the slash command help listing"] = "Prints the slash command help listing"
--[[Translation missing --]]
L["Processing scan results..."] = "Processing scan results..."
--[[Translation missing --]]
L["Profession"] = "Profession"
--[[Translation missing --]]
L["Profession Info"] = "Profession Info"
--[[Translation missing --]]
L["Professions Used In"] = "Professions Used In"
--[[Translation missing --]]
L["Profile changed to '%s'."] = "Profile changed to '%s'."
L["Profiles"] = "프로파일"
--[[Translation missing --]]
L["Profit"] = "Profit"
--[[Translation missing --]]
L["PROFIT"] = "PROFIT"
--[[Translation missing --]]
L["Profit (Total)"] = "Profit (Total)"
--[[Translation missing --]]
L["Prospect value"] = "Prospect value"
--[[Translation missing --]]
L["Prospect Value"] = "Prospect Value"
--[[Translation missing --]]
L["Purchase"] = "Purchase"
--[[Translation missing --]]
L["Purchase / Sale Info"] = "Purchase / Sale Info"
--[[Translation missing --]]
L["Purchase Data"] = "Purchase Data"
--[[Translation missing --]]
L["Purchase information"] = "Purchase information"
--[[Translation missing --]]
L["Purchase Item"] = "Purchase Item"
--[[Translation missing --]]
L["Purchased (Min/Avg/Max Price)"] = "Purchased (Min/Avg/Max Price)"
--[[Translation missing --]]
L["Purchased (Total Price)"] = "Purchased (Total Price)"
--[[Translation missing --]]
L["Purchases"] = "Purchases"
--[[Translation missing --]]
L["Purchasing Auction"] = "Purchasing Auction"
--[[Translation missing --]]
L["Puts items matching the item or partial text entered into the bank or guild bank."] = "Puts items matching the item or partial text entered into the bank or guild bank."
--[[Translation missing --]]
L["Qty"] = "Qty"
--[[Translation missing --]]
L["Quantity"] = "Quantity"
--[[Translation missing --]]
L["Quantity Purchased:"] = "Quantity Purchased:"
--[[Translation missing --]]
L["Quantity Sold:"] = "Quantity Sold:"
--[[Translation missing --]]
L["Quantity to move"] = "Quantity to move"
L["Quest Added"] = "퀘스트 추가음"
L["Quest Completed"] = "퀘스트 완료음"
L["Quest Objectives Complete"] = "퀘스트 물건 수집완료음"
--[[Translation missing --]]
L["Queue"] = "Queue"
--[[Translation missing --]]
L["Quickly mail all excess disenchantable items to a character"] = "Quickly mail all excess disenchantable items to a character"
--[[Translation missing --]]
L["Quickly mail all excess gold (limited to a certain amount) to a character"] = "Quickly mail all excess gold (limited to a certain amount) to a character"
L["Raid Warning"] = "공격대 경보음"
--[[Translation missing --]]
L["Read More"] = "Read More"
L["Ready Check"] = "준비완료 확인음"
--[[Translation missing --]]
L["Ready to Cancel"] = "Ready to Cancel"
--[[Translation missing --]]
L["Recent"] = "Recent"
--[[Translation missing --]]
L["Recent Scans"] = "Recent Scans"
--[[Translation missing --]]
L["Recent Searches"] = "Recent Searches"
--[[Translation missing --]]
L["Recipe Name"] = "Recipe Name"
--[[Translation missing --]]
L["Recipient"] = "Recipient"
--[[Translation missing --]]
L["Region avg daily sold"] = "Region avg daily sold"
--[[Translation missing --]]
L["Region Avg Daily Sold"] = "Region Avg Daily Sold"
--[[Translation missing --]]
L["Region Historical Price"] = "Region Historical Price"
--[[Translation missing --]]
L["Region historical price"] = "Region historical price"
--[[Translation missing --]]
L["Region market value"] = "Region market value"
--[[Translation missing --]]
L["Region Market Value Avg"] = "Region Market Value Avg"
--[[Translation missing --]]
L["Region Min Buyout Avg"] = "Region Min Buyout Avg"
--[[Translation missing --]]
L["Region min buyout avg"] = "Region min buyout avg"
--[[Translation missing --]]
L["Region sale avg"] = "Region sale avg"
--[[Translation missing --]]
L["Region Sale Avg"] = "Region Sale Avg"
--[[Translation missing --]]
L["Region Sale Rate"] = "Region Sale Rate"
--[[Translation missing --]]
L["Region sale rate"] = "Region sale rate"
--[[Translation missing --]]
L["Reload"] = "Reload"
--[[Translation missing --]]
L["Reload UI (%02d)"] = "Reload UI (%02d)"
--[[Translation missing --]]
L["Reload UI (%d)"] = "Reload UI (%d)"
--[[Translation missing --]]
L["Remove"] = "Remove"
--[[Translation missing --]]
L["Remove %d |4Item:Items"] = "Remove %d |4Item:Items"
--[[Translation missing --]]
L["Remove Data Older Than (Days)"] = "Remove Data Older Than (Days)"
--[[Translation missing --]]
L["Remove this account sync and all synced data from this account"] = "Remove this account sync and all synced data from this account"
--[[Translation missing --]]
L["Removed a total of %s old records."] = "Removed a total of %s old records."
--[[Translation missing --]]
L["Removed custom price source (%s) which has an invalid name."] = "Removed custom price source (%s) which has an invalid name."
--[[Translation missing --]]
L["Rename"] = "Rename"
--[[Translation missing --]]
L["Rename Profile"] = "Rename Profile"
--[[Translation missing --]]
L["Rename Search"] = "Rename Search"
--[[Translation missing --]]
L["Rename the profile"] = "Rename the profile"
--[[Translation missing --]]
L["Rename this group"] = "Rename this group"
--[[Translation missing --]]
L["Repair"] = "Repair"
--[[Translation missing --]]
L["Repair Bill"] = "Repair Bill"
--[[Translation missing --]]
L["Repair from Guild Bank"] = "Repair from Guild Bank"
--[[Translation missing --]]
L["Replace %d existing operations and %d existing custom sources?"] = "Replace %d existing operations and %d existing custom sources?"
--[[Translation missing --]]
L["Replace %d existing operations?"] = "Replace %d existing operations?"
--[[Translation missing --]]
L["Reply"] = "Reply"
--[[Translation missing --]]
L["Report Spam"] = "Report Spam"
--[[Translation missing --]]
L["Reports"] = "Reports"
--[[Translation missing --]]
L["Repost threshold"] = "Repost threshold"
--[[Translation missing --]]
L["Required Level"] = "Required Level"
--[[Translation missing --]]
L["Required Level Range"] = "Required Level Range"
--[[Translation missing --]]
L["Resale"] = "Resale"
--[[Translation missing --]]
L["Rescan"] = "Rescan"
--[[Translation missing --]]
L["Reset"] = "Reset"
--[[Translation missing --]]
L["Reset All Filters"] = "Reset All Filters"
--[[Translation missing --]]
L["Reset Filters"] = "Reset Filters"
--[[Translation missing --]]
L["Reset Operation?"] = "Reset Operation?"
--[[Translation missing --]]
L["Reset Profile?"] = "Reset Profile?"
--[[Translation missing --]]
L["Reset Table"] = "Reset Table"
--[[Translation missing --]]
L["Reset the current profile to default settings"] = "Reset the current profile to default settings"
--[[Translation missing --]]
L["Reset to Default"] = "Reset to Default"
--[[Translation missing --]]
L["Reset Zoom"] = "Reset Zoom"
--[[Translation missing --]]
L["Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."] = "Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."
--[[Translation missing --]]
L["Restart"] = "Restart"
--[[Translation missing --]]
L["Restart delay (minutes)"] = "Restart delay (minutes)"
--[[Translation missing --]]
L["Restock bags"] = "Restock bags"
--[[Translation missing --]]
L["Restock help for %s: %s"] = "Restock help for %s: %s"
--[[Translation missing --]]
L["Restock Options"] = "Restock Options"
--[[Translation missing --]]
L["Restock quantity"] = "Restock quantity"
--[[Translation missing --]]
L["Restock Selected Groups"] = "Restock Selected Groups"
--[[Translation missing --]]
L["Restock target to max quantity"] = "Restock target to max quantity"
--[[Translation missing --]]
L["Restocking to %d."] = "Restocking to %d."
--[[Translation missing --]]
L["Restocking with a min profit."] = "Restocking with a min profit."
--[[Translation missing --]]
L["Restocking with no min profit."] = "Restocking with no min profit."
--[[Translation missing --]]
L["Restore bags"] = "Restore bags"
--[[Translation missing --]]
L["Resuming Scan..."] = "Resuming Scan..."
--[[Translation missing --]]
L["Retrying %d auction(s) which failed."] = "Retrying %d auction(s) which failed."
--[[Translation missing --]]
L["Revenue"] = "Revenue"
--[[Translation missing --]]
L["Right-Click to reset the window size, scale, and position to their defaults."] = "Right-Click to reset the window size, scale, and position to their defaults."
--[[Translation missing --]]
L["Run Advanced Item Search"] = "Run Advanced Item Search"
--[[Translation missing --]]
L["Run Bid Sniper"] = "Run Bid Sniper"
--[[Translation missing --]]
L["Run Buyout Sniper"] = "Run Buyout Sniper"
--[[Translation missing --]]
L["Run Cancel Scan"] = "Run Cancel Scan"
--[[Translation missing --]]
L["Run Post Scan"] = "Run Post Scan"
--[[Translation missing --]]
L["Run Shopping Scan"] = "Run Shopping Scan"
--[[Translation missing --]]
L["Running Sniper Scan"] = "Running Sniper Scan"
--[[Translation missing --]]
L["Sale"] = "Sale"
--[[Translation missing --]]
L["Sale Data"] = "Sale Data"
--[[Translation missing --]]
L["Sale information"] = "Sale information"
--[[Translation missing --]]
L["Sale Price"] = "Sale Price"
--[[Translation missing --]]
L["Sale Rate"] = "Sale Rate"
--[[Translation missing --]]
L["Sale rate"] = "Sale rate"
L["Sales"] = "판매"
L["SALES"] = "판매"
--[[Translation missing --]]
L["Save"] = "Save"
--[[Translation missing --]]
L["Scan"] = "Scan"
--[[Translation missing --]]
L["SCAN ALL"] = "SCAN ALL"
--[[Translation missing --]]
L["Scan complete sound"] = "Scan complete sound"
--[[Translation missing --]]
L["Scan Paused"] = "Scan Paused"
--[[Translation missing --]]
L["Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."] = "Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."
--[[Translation missing --]]
L["Scanning"] = "Scanning"
--[[Translation missing --]]
L["SCANNING"] = "SCANNING"
--[[Translation missing --]]
L["Scanning (%d Items)"] = "Scanning (%d Items)"
--[[Translation missing --]]
L["Scroll wheel direction"] = "Scroll wheel direction"
--[[Translation missing --]]
L["Scroll Wheel Options"] = "Scroll Wheel Options"
--[[Translation missing --]]
L["Search"] = "Search"
--[[Translation missing --]]
L["Search %s operations"] = "Search %s operations"
--[[Translation missing --]]
L["Search Bags"] = "Search Bags"
--[[Translation missing --]]
L["Search Groups"] = "Search Groups"
--[[Translation missing --]]
L["Search items"] = "Search items"
--[[Translation missing --]]
L["Search items in group"] = "Search items in group"
--[[Translation missing --]]
L["Search items in mailbox"] = "Search items in mailbox"
L["Search Operations"] = "작업 검색"
--[[Translation missing --]]
L["Search Patterns"] = "Search Patterns"
--[[Translation missing --]]
L["Search Results"] = "Search Results"
--[[Translation missing --]]
L["Search the auction house"] = "Search the auction house"
--[[Translation missing --]]
L["Search Vendor"] = "Search Vendor"
--[[Translation missing --]]
L["Select / Deselect All Groups"] = "Select / Deselect All Groups"
--[[Translation missing --]]
L["Select / Deselect All Items"] = "Select / Deselect All Items"
--[[Translation missing --]]
L["Select / Deselect All Results"] = "Select / Deselect All Results"
--[[Translation missing --]]
L["Select a Source"] = "Select a Source"
--[[Translation missing --]]
L["Select Action"] = "Select Action"
--[[Translation missing --]]
L["Select All"] = "Select All"
--[[Translation missing --]]
L["Select an Auction to Buy"] = "Select an Auction to Buy"
--[[Translation missing --]]
L["Select Auction to Cancel"] = "Select Auction to Cancel"
--[[Translation missing --]]
L["Select crafter"] = "Select crafter"
--[[Translation missing --]]
L["Select Group"] = "Select Group"
--[[Translation missing --]]
L["Select included subgroups"] = "Select included subgroups"
--[[Translation missing --]]
L["Select Items to Attach"] = "Select Items to Attach"
--[[Translation missing --]]
L["Select professions"] = "Select professions"
--[[Translation missing --]]
L["Sell"] = "Sell"
--[[Translation missing --]]
L["Sell All"] = "Sell All"
--[[Translation missing --]]
L["Sell BoEs"] = "Sell BoEs"
--[[Translation missing --]]
L["Sell Groups"] = "Sell Groups"
--[[Translation missing --]]
L["Sell Options"] = "Sell Options"
--[[Translation missing --]]
L["Sell soulbound items"] = "Sell soulbound items"
L["Sell to Vendor"] = "상인에게 판매"
--[[Translation missing --]]
L["Sell Trash"] = "Sell Trash"
--[[Translation missing --]]
L["Seller"] = "Seller"
--[[Translation missing --]]
L["Selling soulbound items."] = "Selling soulbound items."
--[[Translation missing --]]
L["Send"] = "Send"
--[[Translation missing --]]
L["Send Disenchantables"] = "Send Disenchantables"
--[[Translation missing --]]
L["Send Excess Gold to Banker"] = "Send Excess Gold to Banker"
--[[Translation missing --]]
L["Send Gold"] = "Send Gold"
--[[Translation missing --]]
L["Send grouped items individually"] = "Send grouped items individually"
--[[Translation missing --]]
L["Send Mail"] = "Send Mail"
--[[Translation missing --]]
L["Send Money"] = "Send Money"
--[[Translation missing --]]
L["Send your active profile to this synced account"] = "Send your active profile to this synced account"
--[[Translation missing --]]
L["Sender"] = "Sender"
--[[Translation missing --]]
L["SENDING"] = "SENDING"
--[[Translation missing --]]
L["Sending %s to %s"] = "Sending %s to %s"
--[[Translation missing --]]
L["Sending %s to %s with a COD of %s"] = "Sending %s to %s with a COD of %s"
--[[Translation missing --]]
L["Sending Settings"] = "Sending Settings"
--[[Translation missing --]]
L["Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"] = "Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"
--[[Translation missing --]]
L["Sending..."] = "Sending..."
--[[Translation missing --]]
L["Set bid as percentage of buyout"] = "Set bid as percentage of buyout"
--[[Translation missing --]]
L["Set how items are moved out of the bank."] = "Set how items are moved out of the bank."
--[[Translation missing --]]
L["Set how items are restocked from the bank."] = "Set how items are restocked from the bank."
--[[Translation missing --]]
L["Set keep in bags quantity"] = "Set keep in bags quantity"
--[[Translation missing --]]
L["Set keep in bank quantity"] = "Set keep in bank quantity"
--[[Translation missing --]]
L["Set max quantity"] = "Set max quantity"
--[[Translation missing --]]
L["Set min profit"] = "Set min profit"
--[[Translation missing --]]
L["Set move quantity"] = "Set move quantity"
--[[Translation missing --]]
L["Set stack size"] = "Set stack size"
--[[Translation missing --]]
L["Set stack size for restock"] = "Set stack size for restock"
--[[Translation missing --]]
L["Set what is bought from a vendor."] = "Set what is bought from a vendor."
--[[Translation missing --]]
L["Set what is sold to a vendor."] = "Set what is sold to a vendor."
--[[Translation missing --]]
L["Set what items are shown during a Shopping scan."] = "Set what items are shown during a Shopping scan."
--[[Translation missing --]]
L["Set what items are shown during a Sniper scan."] = "Set what items are shown during a Sniper scan."
--[[Translation missing --]]
L["Set your active profile or create a new one."] = "Set your active profile or create a new one."
--[[Translation missing --]]
L["Settings"] = "Settings"
--[[Translation missing --]]
L["Setup various sounds that play when doing Auctioning scans."] = "Setup various sounds that play when doing Auctioning scans."
--[[Translation missing --]]
L["SHIFT"] = "SHIFT"
--[[Translation missing --]]
L["Shopping"] = "Shopping"
--[[Translation missing --]]
L["Shopping %s button"] = "Shopping %s button"
--[[Translation missing --]]
L["Shopping for auctions including those above the max price."] = "Shopping for auctions including those above the max price."
--[[Translation missing --]]
L["Shopping for auctions with a max price set."] = "Shopping for auctions with a max price set."
--[[Translation missing --]]
L["Shopping operation"] = "Shopping operation"
--[[Translation missing --]]
L["Shopping Operation Max Price"] = "Shopping Operation Max Price"
--[[Translation missing --]]
L["Shopping operations control buyout from the AH."] = "Shopping operations control buyout from the AH."
--[[Translation missing --]]
L["Shortfall to bags"] = "Shortfall to bags"
--[[Translation missing --]]
L["Show auctions above max price"] = "Show auctions above max price"
--[[Translation missing --]]
L["Show confirmation alert if buyout is above the alert price"] = "Show confirmation alert if buyout is above the alert price"
--[[Translation missing --]]
L["Show destroying frame automatically"] = "Show destroying frame automatically"
--[[Translation missing --]]
L["Show on modifier"] = "Show on modifier"
--[[Translation missing --]]
L["Show only auctions with bids"] = "Show only auctions with bids"
--[[Translation missing --]]
L["Showing %s Mail"] = "Showing %s Mail"
--[[Translation missing --]]
L["Showing %s of %d Mail"] = "Showing %s of %d Mail"
--[[Translation missing --]]
L["Showing %s of %d Mails"] = "Showing %s of %d Mails"
--[[Translation missing --]]
L["Showing all %s Mails"] = "Showing all %s Mails"
--[[Translation missing --]]
L["Simple inventory"] = "Simple inventory"
--[[Translation missing --]]
L["Skip"] = "Skip"
--[[Translation missing --]]
L["Skipped:"] = "Skipped:"
--[[Translation missing --]]
L["Skipped: No assigned operation"] = "Skipped: No assigned operation"
L["Slash Commands:"] = "슬래시 명령어:"
--[[Translation missing --]]
L["Smart Avg Buy Price"] = "Smart Avg Buy Price"
--[[Translation missing --]]
L["Sniper"] = "Sniper"
--[[Translation missing --]]
L["Sniper %s button"] = "Sniper %s button"
--[[Translation missing --]]
L["Sniper Below Price"] = "Sniper Below Price"
--[[Translation missing --]]
L["Sniper operation"] = "Sniper operation"
--[[Translation missing --]]
L["Sniper Operation Below Price"] = "Sniper Operation Below Price"
--[[Translation missing --]]
L["Sniper operations control sniping from the AH."] = "Sniper operations control sniping from the AH."
--[[Translation missing --]]
L["Sniper Options"] = "Sniper Options"
--[[Translation missing --]]
L["Sniping items below a max price"] = "Sniping items below a max price"
--[[Translation missing --]]
L["Sold"] = "Sold"
--[[Translation missing --]]
L["Sold %d of %s to %s for %s"] = "Sold %d of %s to %s for %s"
--[[Translation missing --]]
L["Sold %s worth of items."] = "Sold %s worth of items."
--[[Translation missing --]]
L["Sold (Min/Avg/Max Price)"] = "Sold (Min/Avg/Max Price)"
--[[Translation missing --]]
L["Sold (Total Price)"] = "Sold (Total Price)"
--[[Translation missing --]]
L["Sold [%s]x%d for %s to %s"] = "Sold [%s]x%d for %s to %s"
--[[Translation missing --]]
L["Sold for:"] = "Sold for:"
--[[Translation missing --]]
L["Some general Accounting options are below."] = "Some general Accounting options are below."
--[[Translation missing --]]
L["Some general appearance options are below."] = "Some general appearance options are below."
--[[Translation missing --]]
L["Some general Auctioning options are below."] = "Some general Auctioning options are below."
--[[Translation missing --]]
L["Some general Browse/Sniper options are below."] = "Some general Browse/Sniper options are below."
--[[Translation missing --]]
L["Some general options for the TSM tooltip information are below."] = "Some general options for the TSM tooltip information are below."
--[[Translation missing --]]
L["Some general TSM options are below."] = "Some general TSM options are below."
--[[Translation missing --]]
L["Some options for the Disenchant Search are below."] = "Some options for the Disenchant Search are below."
--[[Translation missing --]]
L["Source"] = "Source"
--[[Translation missing --]]
L["SOURCE %d"] = "SOURCE %d"
L["Sources"] = "출처"
--[[Translation missing --]]
L["Sources to include for restock"] = "Sources to include for restock"
--[[Translation missing --]]
L["Stack"] = "Stack"
--[[Translation missing --]]
L["Stack / Quantity"] = "Stack / Quantity"
--[[Translation missing --]]
L["Stack size"] = "Stack size"
--[[Translation missing --]]
L["Stack size multiple"] = "Stack size multiple"
--[[Translation missing --]]
L["Stack(s)"] = "Stack(s)"
--[[Translation missing --]]
L["Start either a 'Buyout' or 'Bid' sniper using the buttons above."] = "Start either a 'Buyout' or 'Bid' sniper using the buttons above."
--[[Translation missing --]]
L["Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."] = "Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."
--[[Translation missing --]]
L["Starting Scan..."] = "Starting Scan..."
--[[Translation missing --]]
L["Store operations globally"] = "Store operations globally"
--[[Translation missing --]]
L["Stormwind"] = "Stormwind"
--[[Translation missing --]]
L["String"] = "String"
--[[Translation missing --]]
L["Subject"] = "Subject"
--[[Translation missing --]]
L["Subject & Description added"] = "Subject & Description added"
--[[Translation missing --]]
L["Successfully sent your '%s' profile to %s!"] = "Successfully sent your '%s' profile to %s!"
--[[Translation missing --]]
L["Supported range: %d - %d"] = "Supported range: %d - %d"
--[[Translation missing --]]
L["Supported value range: %d - %d"] = "Supported value range: %d - %d"
--[[Translation missing --]]
L["Swamp of Sorrows"] = "Swamp of Sorrows"
--[[Translation missing --]]
L["Switch to %s"] = "Switch to %s"
--[[Translation missing --]]
L["Sync Setup Error: The specified player on the other account is not currently online."] = "Sync Setup Error: The specified player on the other account is not currently online."
--[[Translation missing --]]
L["Sync Setup Error: This character is already part of a known account."] = "Sync Setup Error: This character is already part of a known account."
--[[Translation missing --]]
L["Sync Setup Error: You entered the name of the current character and not the character on the other account."] = "Sync Setup Error: You entered the name of the current character and not the character on the other account."
--[[Translation missing --]]
L["Sync Status"] = "Sync Status"
--[[Translation missing --]]
L["Target character"] = "Target character"
--[[Translation missing --]]
L["Target shortfall to bags"] = "Target shortfall to bags"
--[[Translation missing --]]
L["Tasks Added to Task List"] = "Tasks Added to Task List"
--[[Translation missing --]]
L["Tells you why a specific item is not being restocked and added to the queue."] = "Tells you why a specific item is not being restocked and added to the queue."
L["Text (%s)"] = "문자 (%s)"
--[[Translation missing --]]
L["The '%s' custom price source is invalid."] = "The '%s' custom price source is invalid."
--[[Translation missing --]]
L["The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."] = "The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."
--[[Translation missing --]]
L["The buyout price for %s would be above the maximum allowed price. Skipping this item."] = "The buyout price for %s would be above the maximum allowed price. Skipping this item."
--[[Translation missing --]]
L["The canlearn filter was ignored because the CanIMogIt addon was not found."] = "The canlearn filter was ignored because the CanIMogIt addon was not found."
--[[Translation missing --]]
L["The 'Craft Value Method' did not return a value for this item."] = "The 'Craft Value Method' did not return a value for this item."
--[[Translation missing --]]
L["The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."] = "The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."
--[[Translation missing --]]
L["The max quantity cannot be zero."] = "The max quantity cannot be zero."
--[[Translation missing --]]
L["The min profit did not evalulate to a valid value for this item."] = "The min profit did not evalulate to a valid value for this item."
--[[Translation missing --]]
L["The name portion of the search term must be at least 3 characters if present."] = "The name portion of the search term must be at least 3 characters if present."
--[[Translation missing --]]
L["The pasted value was not valid. Ensure you are pasting the entire import string."] = "The pasted value was not valid. Ensure you are pasting the entire import string."
--[[Translation missing --]]
L["The player \"%s\" is already on your whitelist."] = "The player \"%s\" is already on your whitelist."
--[[Translation missing --]]
L["The profit of this item (%s) is below the min profit (%s)."] = "The profit of this item (%s) is below the min profit (%s)."
--[[Translation missing --]]
L["The same filter was specified multiple times."] = "The same filter was specified multiple times."
--[[Translation missing --]]
L["The search term must be at least 3 characters."] = "The search term must be at least 3 characters."
--[[Translation missing --]]
L["The seller name of the lowest auction for %s was not given by the server. Skipping this item."] = "The seller name of the lowest auction for %s was not given by the server. Skipping this item."
--[[Translation missing --]]
L["The specified filter was empty."] = "The specified filter was empty."
--[[Translation missing --]]
L["The specified item is not supported for crafting searches."] = "The specified item is not supported for crafting searches."
--[[Translation missing --]]
L["The specified item is not supported for disenchant searches."] = "The specified item is not supported for disenchant searches."
--[[Translation missing --]]
L["The specified item was not found."] = "The specified item was not found."
--[[Translation missing --]]
L["The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."] = "The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."
--[[Translation missing --]]
L["The unlearned filter was ignored because the CanIMogIt addon was not found."] = "The unlearned filter was ignored because the CanIMogIt addon was not found."
--[[Translation missing --]]
L["The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."] = "The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."
--[[Translation missing --]]
L["Themes"] = "Themes"
--[[Translation missing --]]
L["There is currently no profession open, so cannot create profession groups."] = "There is currently no profession open, so cannot create profession groups."
--[[Translation missing --]]
L["There is no Crafting operation applied to this item's TSM group (%s)."] = "There is no Crafting operation applied to this item's TSM group (%s)."
--[[Translation missing --]]
L["This is not a valid profile name. Profile names must be at least one character long and may not contain '@' characters."] = "This is not a valid profile name. Profile names must be at least one character long and may not contain '@' characters."
--[[Translation missing --]]
L["This item does not have a crafting cost. Check that all of its mats have mat prices."] = "This item does not have a crafting cost. Check that all of its mats have mat prices."
--[[Translation missing --]]
L["This item is not in a TSM group."] = "This item is not in a TSM group."
--[[Translation missing --]]
L["This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."] = "This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."
--[[Translation missing --]]
L["This looks like an exported operation and not a custom price."] = "This looks like an exported operation and not a custom price."
--[[Translation missing --]]
L["This operation is applied to the base group which includes every item not in another group."] = "This operation is applied to the base group which includes every item not in another group."
--[[Translation missing --]]
L["This price is above your confirmation alert threshold."] = "This price is above your confirmation alert threshold."
--[[Translation missing --]]
L["This profession is not open."] = "This profession is not open."
--[[Translation missing --]]
L["This record belongs to another account and can only be deleted on that account."] = "This record belongs to another account and can only be deleted on that account."
--[[Translation missing --]]
L["This will permanently delete the '%s' profile."] = "This will permanently delete the '%s' profile."
--[[Translation missing --]]
L["This will reset all groups and operations (if not stored globally) to be wiped from '%s'."] = "This will reset all groups and operations (if not stored globally) to be wiped from '%s'."
--[[Translation missing --]]
L["Time"] = "Time"
--[[Translation missing --]]
L["Time Frame"] = "Time Frame"
--[[Translation missing --]]
L["Time to Craft:"] = "Time to Craft:"
--[[Translation missing --]]
L["Tinker"] = "Tinker"
--[[Translation missing --]]
L["To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."] = "To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."
--[[Translation missing --]]
L["Toggles the main TSM window"] = "Toggles the main TSM window"
--[[Translation missing --]]
L["Toggles the TSM Banking UI if either the bank or guild bank is currently open."] = "Toggles the TSM Banking UI if either the bank or guild bank is currently open."
--[[Translation missing --]]
L["Toggles the TSM Crafting UI."] = "Toggles the TSM Crafting UI."
--[[Translation missing --]]
L["Toggles the TSM Task List UI"] = "Toggles the TSM Task List UI"
--[[Translation missing --]]
L["Tooltip Options"] = "Tooltip Options"
--[[Translation missing --]]
L["Tooltip price format"] = "Tooltip price format"
L["Tooltip Settings"] = "툴팁 설정"
--[[Translation missing --]]
L["Top Buyers"] = "Top Buyers"
--[[Translation missing --]]
L["Top Item"] = "Top Item"
--[[Translation missing --]]
L["TOP PURCHASE"] = "TOP PURCHASE"
--[[Translation missing --]]
L["TOP SALE"] = "TOP SALE"
--[[Translation missing --]]
L["Top Sellers"] = "Top Sellers"
L["Total"] = "총"
L["Total Gold"] = "총 골드"
--[[Translation missing --]]
L["Total Gold Collected: %s"] = "Total Gold Collected: %s"
--[[Translation missing --]]
L["Total Gold Earned"] = "Total Gold Earned"
--[[Translation missing --]]
L["Total Gold Spent"] = "Total Gold Spent"
--[[Translation missing --]]
L["Total Inventory Quantity"] = "Total Inventory Quantity"
--[[Translation missing --]]
L["Total Items"] = "Total Items"
--[[Translation missing --]]
L["Total Postage"] = "Total Postage"
L["Total Price"] = "총 가격"
--[[Translation missing --]]
L["Total Prices:"] = "Total Prices:"
--[[Translation missing --]]
L["Total Profit"] = "Total Profit"
L["Total Value"] = "총 가치"
--[[Translation missing --]]
L["Track Sales / Purchases via trade"] = "Track Sales / Purchases via trade"
--[[Translation missing --]]
L["Transform Value"] = "Transform Value"
--[[Translation missing --]]
L["Transform value"] = "Transform value"
--[[Translation missing --]]
L["Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."] = "Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."
--[[Translation missing --]]
L["TSM 4.10: What's new"] = "TSM 4.10: What's new"
--[[Translation missing --]]
L["TSM Accounting"] = "TSM Accounting"
--[[Translation missing --]]
L["TSM AuctionDB"] = "TSM AuctionDB"
--[[Translation missing --]]
L["TSM Auctioning"] = "TSM Auctioning"
--[[Translation missing --]]
L["TSM can automatically sync data between multiple WoW accounts."] = "TSM can automatically sync data between multiple WoW accounts."
--[[Translation missing --]]
L["TSM Crafting"] = "TSM Crafting"
--[[Translation missing --]]
L["TSM Desktop App Status (%s)"] = "TSM Desktop App Status (%s)"
--[[Translation missing --]]
L["TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"] = "TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"
--[[Translation missing --]]
L["TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."] = "TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."
--[[Translation missing --]]
L["TSM failed to scan some auctions. Please rerun the scan."] = "TSM failed to scan some auctions. Please rerun the scan."
--[[Translation missing --]]
L["TSM General Info"] = "TSM General Info"
--[[Translation missing --]]
L["TSM Groups"] = "TSM Groups"
--[[Translation missing --]]
L["TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."] = "TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."
L["TSM is missing important information from the TSM Desktop Application. Please ensure the TSM Desktop Application is running and is properly configured."] = "TSM 데스크톱 애플리케이션에서 중요한 정보가 빠졌습니다. TSM 데스크톱 애플리케이션이 실행 중이며 제대로 구성되어 있는지 확인해 주세요."
--[[Translation missing --]]
L["TSM is not yet ready to establish a new sync connection. Please try again later."] = "TSM is not yet ready to establish a new sync connection. Please try again later."
--[[Translation missing --]]
L["TSM Shopping"] = "TSM Shopping"
--[[Translation missing --]]
L["TSM Sniper"] = "TSM Sniper"
--[[Translation missing --]]
L["TSM TASK LIST"] = "TSM TASK LIST"
L["TSM Version Info:"] = "TSM 버전 정보:"
--[[Translation missing --]]
L["TSM will not undercut any players you add to your whitelist."] = "TSM will not undercut any players you add to your whitelist."
--[[Translation missing --]]
L["TSM_Accounting detected that you just traded %s %s in return for %s. Would you like Accounting to store a record of this trade?"] = "TSM_Accounting detected that you just traded %s %s in return for %s. Would you like Accounting to store a record of this trade?"
L["TSM4"] = "TSM4"
--[[Translation missing --]]
L["TUJ 14-Day Price"] = "TUJ 14-Day Price"
L["TUJ 3-Day Price"] = "TUJ 3일간 가격"
--[[Translation missing --]]
L["TUJ Global Mean"] = "TUJ Global Mean"
--[[Translation missing --]]
L["TUJ Global Median"] = "TUJ Global Median"
--[[Translation missing --]]
L["Type"] = "Type"
L["Unbalanced parentheses."] = "잘못된 괄호 사용."
--[[Translation missing --]]
L["Uncollected Only"] = "Uncollected Only"
--[[Translation missing --]]
L["Undercut amount"] = "Undercut amount"
--[[Translation missing --]]
L["Undercut by whitelisted player."] = "Undercut by whitelisted player."
--[[Translation missing --]]
L["Undercutting blacklisted player."] = "Undercutting blacklisted player."
--[[Translation missing --]]
L["Undercutting competition."] = "Undercutting competition."
--[[Translation missing --]]
L["Ungrouped Items"] = "Ungrouped Items"
--[[Translation missing --]]
L["Ungrouped Items in Bags"] = "Ungrouped Items in Bags"
--[[Translation missing --]]
L["Unit Price"] = "Unit Price"
--[[Translation missing --]]
L["Unknown Item"] = "Unknown Item"
--[[Translation missing --]]
L["Unknown word (%s)."] = "Unknown word (%s)."
--[[Translation missing --]]
L["Unlock Column Width"] = "Unlock Column Width"
L["Unwrap Gift"] = "선물포장지 오픈음"
L["Up"] = "위로"
--[[Translation missing --]]
L["Up to date"] = "Up to date"
--[[Translation missing --]]
L["Update existing macro"] = "Update existing macro"
--[[Translation missing --]]
L["Updating"] = "Updating"
--[[Translation missing --]]
L["Upgrades Only"] = "Upgrades Only"
--[[Translation missing --]]
L["Usable Only"] = "Usable Only"
--[[Translation missing --]]
L["Usage: /tsm price <Item Link> <Custom String>"] = "Usage: /tsm price <Item Link> <Custom String>"
--[[Translation missing --]]
L["Use the settings below to control which lines are shown in tooltips."] = "Use the settings below to control which lines are shown in tooltips."
--[[Translation missing --]]
L["Use this list to manage what cooldowns you'd like TSM to ignore from crafting."] = "Use this list to manage what cooldowns you'd like TSM to ignore from crafting."
--[[Translation missing --]]
L["Use this list to manage what items you'd like TSM to ignore from destroying."] = "Use this list to manage what items you'd like TSM to ignore from destroying."
--[[Translation missing --]]
L["Value"] = "Value"
--[[Translation missing --]]
L["Value must be between %d and %d."] = "Value must be between %d and %d."
--[[Translation missing --]]
L["Value Price Source"] = "Value Price Source"
--[[Translation missing --]]
L["Values"] = "Values"
--[[Translation missing --]]
L["Vendor"] = "Vendor"
--[[Translation missing --]]
L["Vendor Buy Price"] = "Vendor Buy Price"
--[[Translation missing --]]
L["Vendor buy price"] = "Vendor buy price"
--[[Translation missing --]]
L["Vendor Search"] = "Vendor Search"
--[[Translation missing --]]
L["Vendor Sell"] = "Vendor Sell"
--[[Translation missing --]]
L["Vendor Sell Price"] = "Vendor Sell Price"
--[[Translation missing --]]
L["Vendor sell price"] = "Vendor sell price"
--[[Translation missing --]]
L["Vendoring"] = "Vendoring"
--[[Translation missing --]]
L["Vendoring %s button"] = "Vendoring %s button"
--[[Translation missing --]]
L["Vendoring operation"] = "Vendoring operation"
--[[Translation missing --]]
L["Vendoring operations control selling to and buying from a vendor."] = "Vendoring operations control selling to and buying from a vendor."
--[[Translation missing --]]
L["Warehousing"] = "Warehousing"
--[[Translation missing --]]
L["Warehousing operation"] = "Warehousing operation"
--[[Translation missing --]]
L["Warehousing operations control moving in and out of the bank."] = "Warehousing operations control moving in and out of the bank."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group."] = "Warehousing will move a max of %d of each item in this group."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group."] = "Warehousing will move all of the items in this group."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."
L["WARNING: The macro was too long, so was truncated to fit by WoW."] = "경고: 매크로가 너무 깁니다, 적당한 길이로 조정할것"
--[[Translation missing --]]
L["WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."] = "WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."
--[[Translation missing --]]
L["We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."] = "We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."
--[[Translation missing --]]
L["When above maximum:"] = "When above maximum:"
--[[Translation missing --]]
L["When below minimum:"] = "When below minimum:"
--[[Translation missing --]]
L["Whitelist"] = "Whitelist"
--[[Translation missing --]]
L["Whitelisted characters"] = "Whitelisted characters"
--[[Translation missing --]]
L["Winamp"] = "Winamp"
--[[Translation missing --]]
L["Would send %s to %s"] = "Would send %s to %s"
--[[Translation missing --]]
L["Would send %s to %s with a COD of %s"] = "Would send %s to %s with a COD of %s"
--[[Translation missing --]]
L["WOW UI"] = "WOW UI"
--[[Translation missing --]]
L["You are not on one of the listed characters."] = "You are not on one of the listed characters."
--[[Translation missing --]]
L["You can clear old Accounting data below to keep things running smoothly."] = "You can clear old Accounting data below to keep things running smoothly."
--[[Translation missing --]]
L["You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"] = "You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"
--[[Translation missing --]]
L["You can use the export string below to share this group with others."] = "You can use the export string below to share this group with others."
L["You cannot use %s as part of this custom price."] = "이 사용자 가격의 일부분으로 %s|1을;를; 사용할 수 없습니다."
--[[Translation missing --]]
L["You cannot use %s within convert() as part of this custom price."] = "You cannot use %s within convert() as part of this custom price."
--[[Translation missing --]]
L["You do not need to add \"%s\", alts are whitelisted automatically."] = "You do not need to add \"%s\", alts are whitelisted automatically."
--[[Translation missing --]]
L["You don't know how to craft this item."] = "You don't know how to craft this item."
--[[Translation missing --]]
L["You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."] = "You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."
L["You must reload your UI for these settings to take effect. Reload now?"] = "당신의 UI를 다시 불러와야 설정이 적용됩니다. 다시 불러옵니까?"
--[[Translation missing --]]
L["You won an auction for %sx%d for %s"] = "You won an auction for %sx%d for %s"
--[[Translation missing --]]
L["Your auction has not been undercut."] = "Your auction has not been undercut."
--[[Translation missing --]]
L["Your auction of %s expired"] = "Your auction of %s expired"
L["Your auction of %s has sold for %s!"] = "당신의 경매물품 %s (이)가 %s 에 판매되었습니다!"
--[[Translation missing --]]
L["Your Buyout"] = "Your Buyout"
--[[Translation missing --]]
L["Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"] = "Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"
--[[Translation missing --]]
L["Your default craft value method was invalid so it has been returned to the default. Details: %s"] = "Your default craft value method was invalid so it has been returned to the default. Details: %s"
--[[Translation missing --]]
L["Your max restock (%s) is invalid for %s."] = "Your max restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your min restock (%s) is invalid for %s."] = "Your min restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your restock quantity is invalid. It must be between %d and %s."] = "Your restock quantity is invalid. It must be between %d and %s."
--[[Translation missing --]]
L["Your task list is currently empty."] = "Your task list is currently empty."
--[[Translation missing --]]
L["You've been phased which has caused the AH to stop working due to a bug on Blizzard's end. Please close and reopen the AH and restart Sniper."] = "You've been phased which has caused the AH to stop working due to a bug on Blizzard's end. Please close and reopen the AH and restart Sniper."
--[[Translation missing --]]
L["You've been undercut."] = "You've been undercut."
	elseif locale == "ptBR" then
L = L or {}
L["%d |4Group:Groups; Selected (%d |4Item:Items;)"] = "%d |4Grupo:Grupos; Selecionado (%d |4Item:Itens;)"
L["%d auctions"] = "%d leilões"
--[[Translation missing --]]
L["%d Characters"] = "%d Characters"
--[[Translation missing --]]
L["%d Custom Sources"] = "%d Custom Sources"
--[[Translation missing --]]
L["%d Faction-Realms"] = "%d Faction-Realms"
--[[Translation missing --]]
L["%d groups"] = "%d groups"
L["%d Groups"] = "%d Grupos"
--[[Translation missing --]]
L["%d Groups Selected"] = "%d Groups Selected"
--[[Translation missing --]]
L["%d groups were created and %d items were added from the table."] = "%d groups were created and %d items were added from the table."
--[[Translation missing --]]
L["%d Guilds"] = "%d Guilds"
L["%d Items"] = "%d Itens"
L["%d of %d"] = "%d de %d"
L["%d Operations"] = "%d Operações"
--[[Translation missing --]]
L["%d Players"] = "%d Players"
L["%d Posted Auctions"] = "%d Leilões Postados"
--[[Translation missing --]]
L["%d Professions"] = "%d Professions"
--[[Translation missing --]]
L["%d Rarities"] = "%d Rarities"
--[[Translation missing --]]
L["%d Results"] = "%d Results"
--[[Translation missing --]]
L["%d Selected"] = "%d Selected"
L["%d Sold Auctions"] = "%d Leilões Vendidos"
--[[Translation missing --]]
L["%d Sources"] = "%d Sources"
--[[Translation missing --]]
L["%d Sub-Groups"] = "%d Sub-Groups"
--[[Translation missing --]]
L["%d subgroups included"] = "%d subgroups included"
--[[Translation missing --]]
L["%d Types"] = "%d Types"
--[[Translation missing --]]
L["%s - %s has been reset to default values."] = "%s - %s has been reset to default values."
--[[Translation missing --]]
L["%s %s Operations"] = "%s %s Operations"
L["%s (%s bags, %s bank, %s AH, %s mail)"] = "%s (%s bolsas, %s banco, %s CdL, %s correio)"
--[[Translation missing --]]
L["%s (%s player, %s alts, %s AH)"] = "%s (%s player, %s alts, %s AH)"
L["%s (%s player, %s alts, %s guild, %s AH)"] = "%s (%s jogador, %s alts, %s guilda, %s CdL)"
L["%s (%s profit)"] = "%s (%s lucro)"
L["%s ago"] = "%s atrás"
L["%s Crafts"] = "%s Criações"
--[[Translation missing --]]
L["%s group is already up to date."] = "%s group is already up to date."
L["%s group updated with %d items and %d materials."] = "Grupo %s atualizado com %d itens e %d materiais."
L["%s in guild vault"] = "%s no banco da guilda"
L["%s is a valid custom price but %s is an invalid item."] = "%s é um preço personalizado válido mas %s é um item inválido."
L["%s is a valid custom price but did not give a value for %s."] = "%s é um preço personalizado válido mas deu um valor para %s."
--[[Translation missing --]]
L["'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."] = "'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."
L["%s is not a valid custom price and gave the following error: %s"] = "%s não é um preço personalizado válido e deu o seguinte erro: %s"
--[[Translation missing --]]
L["%s Items Bought"] = "%s Items Bought"
--[[Translation missing --]]
L["%s Items Cancelled"] = "%s Items Cancelled"
--[[Translation missing --]]
L["%s Items Expired"] = "%s Items Expired"
--[[Translation missing --]]
L["%s Items Resold"] = "%s Items Resold"
--[[Translation missing --]]
L["%s Items Selected"] = "%s Items Selected"
--[[Translation missing --]]
L["%s Items Sold"] = "%s Items Sold"
--[[Translation missing --]]
L["%s Items Total"] = "%s Items Total"
--[[Translation missing --]]
L["%s operation"] = "%s operation"
--[[Translation missing --]]
L["%s operations"] = "%s operations"
L["%s Operations"] = "%s Operações"
--[[Translation missing --]]
L["%s Posted Auctions"] = "%s Posted Auctions"
--[[Translation missing --]]
L["%s Posted Auctions (Filtered)"] = "%s Posted Auctions (Filtered)"
L["%s previously had the max number of operations, so removed %s."] = "%s antes tinha o número máximo de operações, então removemos %s."
L["%s removed."] = "%s removido."
L["%s sent you %s"] = "%s lhe enviou %s"
L["%s sent you %s and %s"] = "%s lhe enviou %s e %s"
L["%s sent you a COD of %s for %s"] = "%s lhe enviou uma Carta a Cobrar de %s por %s"
L["%s sent you a message: %s"] = "%s lhe enviou uma mensagem: %s"
--[[Translation missing --]]
L["%s Sold Auctions"] = "%s Sold Auctions"
--[[Translation missing --]]
L["%s Sold Auctions (Filtered)"] = "%s Sold Auctions (Filtered)"
--[[Translation missing --]]
L["%s Total"] = "%s Total"
L["%s total"] = "%s total"
--[[Translation missing --]]
L["%s Total Profit"] = "%s Total Profit"
L["%sDrag%s to move this button"] = "%sArraste%s para mover este botão"
--[[Translation missing --]]
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."] = "%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."
--[[Translation missing --]]
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."] = "%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."
L["%sLeft-Click%s to open the main window"] = "%sClique-Esquerdo%s para abrir a janela principal"
--[[Translation missing --]]
L["%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."] = "%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."
--[[Translation missing --]]
L["(%d - %d)"] = "(%d - %d)"
L["(%d/500 Characters)"] = "(%d/500 Caracteres)"
--[[Translation missing --]]
L["(minimum 0 - maximum %d)"] = "(minimum 0 - maximum %d)"
L["1 Group"] = "1 Grupo"
L["1 Item"] = "1 Item"
--[[Translation missing --]]
L["1D"] = "1D"
--[[Translation missing --]]
L["1M"] = "1M"
--[[Translation missing --]]
L["1W"] = "1W"
--[[Translation missing --]]
L["1Y"] = "1Y"
--[[Translation missing --]]
L["2Y"] = "2Y"
--[[Translation missing --]]
L["3M"] = "3M"
--[[Translation missing --]]
L["6M"] = "6M"
--[[Translation missing --]]
L["A brand new and improved user interface."] = "A brand new and improved user interface."
L["A custom price of %s for %s evaluates to %s."] = "O preço personalizado de %s para %s calcula %s."
L["A maximum of 1 convert() function is allowed."] = "É permitida no máximo 1 função convert()."
L["A profile with that name already exists on the target account. Rename it first and try again."] = "Um perfil com este nome já existe na conta alvo. Renomeie-o primeiro e tente novamente."
L["A profile with this name already exists."] = "Um perfil com este nome já existe."
L["A scan is already in progress. Please stop that scan before starting another one."] = "Um escaneamento está em progresso atualmente. Por favor, pare este escaneamento antes de iniciar outro."
--[[Translation missing --]]
L["A single craft makes %d and you only need to restock %d."] = "A single craft makes %d and you only need to restock %d."
L["Above max expires."] = "Acima do limite de expiração."
L["Above max price. Not posting."] = "Acima do preço máximo. Não será postado."
--[[Translation missing --]]
L["Above max price. Posting at max."] = "Above max price. Posting at max."
--[[Translation missing --]]
L["Above max price. Posting at min."] = "Above max price. Posting at min."
--[[Translation missing --]]
L["Above max price. Posting at normal."] = "Above max price. Posting at normal."
--[[Translation missing --]]
L["Accept COD?"] = "Accept COD?"
--[[Translation missing --]]
L["Accepting this item will cost: %s"] = "Accepting this item will cost: %s"
L["Account sync removed. Please delete the account sync from the other account as well."] = "Sincronização de conta removida. Por favor, remova a sincronização da outra conta também."
L["Account Syncing"] = "Sincronização da Conta"
L["Accounting"] = "Contabilidade"
L["Activity Type"] = "Atividade"
--[[Translation missing --]]
L["Add"] = "Add"
--[[Translation missing --]]
L["Add %d |4Item:Items"] = "Add %d |4Item:Items"
--[[Translation missing --]]
L["Add %s Operation"] = "Add %s Operation"
--[[Translation missing --]]
L["Add a new custom source"] = "Add a new custom source"
--[[Translation missing --]]
L["Add account"] = "Add account"
--[[Translation missing --]]
L["Add More Operations"] = "Add More Operations"
--[[Translation missing --]]
L["Add Operation"] = "Add Operation"
--[[Translation missing --]]
L["Add operation to groups"] = "Add operation to groups"
--[[Translation missing --]]
L["Add subject & description (optional)"] = "Add subject & description (optional)"
L["Add Subject / Description"] = "Adicionar Assunto / Descrição"
--[[Translation missing --]]
L["Add to Mail"] = "Add to Mail"
L["Added '%s' profile which was received from %s."] = "O Perfil '%s', recebido de %s, foi adicionado."
L["Added %s to %s."] = "%s adicionado a %s."
L["Additional error suppressed"] = "Erro adicional suprimido"
--[[Translation missing --]]
L["Adjust how crafted items are restocked."] = "Adjust how crafted items are restocked."
--[[Translation missing --]]
L["Adjust how items are mailed."] = "Adjust how items are mailed."
--[[Translation missing --]]
L["Adjust how TSM values crafted items when calculating profit."] = "Adjust how TSM values crafted items when calculating profit."
--[[Translation missing --]]
L["Adjust some general settings."] = "Adjust some general settings."
L["Adjust the settings below to set how groups attached to this operation will be auctioned."] = "Ajuste as configurações abaixo para definir como os grupos ligados à esta operação serão postados."
L["Adjust the settings below to set how groups attached to this operation will be cancelled."] = "Ajuste as configurações abaixo para definir como os grupos ligados à esta operação serão cancelados."
L["Adjust the settings below to set how groups attached to this operation will be priced."] = "Ajuste as configurações abaixo para definir como os preços dos grupos ligados à esta operação serão definidos."
L["Advanced Item Search"] = "Busca Avançada de Item"
L["AH"] = "CdL"
L["AH (Crafting)"] = "CdL (Criação)"
L["AH (Disenchanting)"] = "CdL (Desencantamento)"
L["AH BUSY"] = "CdL OCUPADA"
--[[Translation missing --]]
L["AHDB Minimum Bid"] = "AHDB Minimum Bid"
--[[Translation missing --]]
L["AHDB Minimum Buyout"] = "AHDB Minimum Buyout"
L["Alarm Clock"] = "Despertador"
--[[Translation missing --]]
L["All"] = "All"
L["All Auctions"] = "Todos os Leilões"
--[[Translation missing --]]
L["All Bought"] = "All Bought"
--[[Translation missing --]]
L["All Cancelled"] = "All Cancelled"
--[[Translation missing --]]
L["All Characters"] = "All Characters"
--[[Translation missing --]]
L["All Expired"] = "All Expired"
--[[Translation missing --]]
L["All Faction-Realms"] = "All Faction-Realms"
--[[Translation missing --]]
L["All Guilds"] = "All Guilds"
L["All Item Classes"] = "Todas as Classes de Item"
--[[Translation missing --]]
L["All Other"] = "All Other"
--[[Translation missing --]]
L["All Players"] = "All Players"
L["All Professions"] = "Todas as Profissões"
--[[Translation missing --]]
L["All Rarites"] = "All Rarites"
--[[Translation missing --]]
L["All Rarities"] = "All Rarities"
--[[Translation missing --]]
L["All Selected"] = "All Selected"
--[[Translation missing --]]
L["All Slots"] = "All Slots"
--[[Translation missing --]]
L["All Sold"] = "All Sold"
--[[Translation missing --]]
L["All Sources"] = "All Sources"
L["All Subclasses"] = "Todas as Subclasses"
--[[Translation missing --]]
L["All Time"] = "All Time"
--[[Translation missing --]]
L["All Types"] = "All Types"
--[[Translation missing --]]
L["Allow partial stack"] = "Allow partial stack"
--[[Translation missing --]]
L["Allows for testing of custom prices"] = "Allows for testing of custom prices"
--[[Translation missing --]]
L["ALT"] = "ALT"
L["Alt Guild Bank"] = "Banco de Guilda do Alt"
L["Alts"] = "Alts"
L["Alts AH"] = "Alts CdL"
L["Amount"] = "Quantidade"
--[[Translation missing --]]
L["Amount kept in bags"] = "Amount kept in bags"
--[[Translation missing --]]
L["Amount of bag space to keep free"] = "Amount of bag space to keep free"
--[[Translation missing --]]
L["An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."] = "An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."
--[[Translation missing --]]
L["App Not Synced"] = "App Not Synced"
--[[Translation missing --]]
L["App Synced %s Ago"] = "App Synced %s Ago"
--[[Translation missing --]]
L["Appearance"] = "Appearance"
--[[Translation missing --]]
L["Apply operation to group"] = "Apply operation to group"
L["Are you sure you want to clear old accounting data?"] = "Você tem certeza que quer excluir seus dados antigos de contabilidade?"
--[[Translation missing --]]
L["Are you sure you want to delete the selected operations?"] = "Are you sure you want to delete the selected operations?"
L["Are you sure you want to delete this operation?"] = "Você tem certeza que você quer excluir essa operação?"
L["At above max price and not undercut."] = "Acima do preço máximo e sem corte de preço."
L["At normal price and not undercut."] = "No preço normal e sem corte de preço."
--[[Translation missing --]]
L["Attachments"] = "Attachments"
L["Auction"] = "Leilão"
--[[Translation missing --]]
L["Auction duration"] = "Auction duration"
L["Auction has been bid on."] = "O Leilão tem um lance."
L["Auction House Cut"] = "Desconto da Casa de Leilão"
--[[Translation missing --]]
L["Auction House Sounds"] = "Auction House Sounds"
--[[Translation missing --]]
L["Auction sale sound"] = "Auction sale sound"
L["Auction Window Close"] = "Fechar Janela de Leilão"
L["Auction Window Open"] = "Abrir Janela de Leilão"
L["Auctionator - Auction Value"] = "Auctionator - Valor de Leilão"
--[[Translation missing --]]
L["AuctionDB"] = "AuctionDB"
--[[Translation missing --]]
L["AuctionDB - Historical Price (via TSM App)"] = "AuctionDB - Historical Price (via TSM App)"
L["AuctionDB - Market Value"] = "AuctionDB - Preço de Mercado"
--[[Translation missing --]]
L["AuctionDB - Minimum Buyout"] = "AuctionDB - Minimum Buyout"
--[[Translation missing --]]
L["AuctionDB - Region Historical Price (via TSM App)"] = "AuctionDB - Region Historical Price (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Market Value Average (via TSM App)"] = "AuctionDB - Region Market Value Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Minimum Buyout Average (via TSM App)"] = "AuctionDB - Region Minimum Buyout Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sale Average (via TSM App)"] = "AuctionDB - Region Sale Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sale Rate (via TSM App)"] = "AuctionDB - Region Sale Rate (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sold Per Day (via TSM App)"] = "AuctionDB - Region Sold Per Day (via TSM App)"
--[[Translation missing --]]
L["AuctionDB Realm Data is %s Old"] = "AuctionDB Realm Data is %s Old"
--[[Translation missing --]]
L["AuctionDB Region Data is %s Old"] = "AuctionDB Region Data is %s Old"
L["Auctioneer - Appraiser"] = "Auctioneer - Avaliador"
L["Auctioneer - Market Value"] = "Auctioneer - Valor de Mercado"
L["Auctioneer - Minimum Buyout"] = "Auctioneer - Arremate Mínimo"
L["Auctioning"] = "Postagem"
--[[Translation missing --]]
L["Auctioning %s button"] = "Auctioning %s button"
--[[Translation missing --]]
L["Auctioning Details"] = "Auctioning Details"
L["Auctioning Log"] = "Registro de Postagem"
L["Auctioning Operation"] = "Operação de Postagem"
--[[Translation missing --]]
L["Auctioning operation"] = "Auctioning operation"
--[[Translation missing --]]
L["Auctioning operations control posting to and canceling from the AH."] = "Auctioning operations control posting to and canceling from the AH."
L["Auctions"] = "Leilões"
L["Auto Quest Complete"] = "Busca Automática Concluída"
--[[Translation missing --]]
L["Auto-focus browse search input"] = "Auto-focus browse search input"
--[[Translation missing --]]
L["Average Earned per Day"] = "Average Earned per Day"
L["Average Prices:"] = "Preços Médios:"
--[[Translation missing --]]
L["Average Profit per Day"] = "Average Profit per Day"
--[[Translation missing --]]
L["Average Spent per Day"] = "Average Spent per Day"
L["Avg Buy Price"] = "Média de Preço de Compra"
--[[Translation missing --]]
L["Avg Profit"] = "Avg Profit"
L["Avg Sell Price"] = "Média de Preço de Venda"
--[[Translation missing --]]
L["Back"] = "Back"
L["Bag"] = "Bolsa"
L["Bags"] = "Bolsas"
--[[Translation missing --]]
L["Banking"] = "Banking"
L["Banks"] = "Bancos"
L["Base Group"] = "Grupo Base"
L["Base Item"] = "Item Base"
--[[Translation missing --]]
L["BBG 14-Day Price"] = "BBG 14-Day Price"
--[[Translation missing --]]
L["BBG 3-Day Price"] = "BBG 3-Day Price"
--[[Translation missing --]]
L["BBG Global Mean"] = "BBG Global Mean"
--[[Translation missing --]]
L["BBG Global Median"] = "BBG Global Median"
--[[Translation missing --]]
L["Below is a list of all available price sources, along with a brief description of what they represent."] = "Below is a list of all available price sources, along with a brief description of what they represent."
--[[Translation missing --]]
L["Below min price. Posting at max."] = "Below min price. Posting at max."
--[[Translation missing --]]
L["Below min price. Posting at min."] = "Below min price. Posting at min."
--[[Translation missing --]]
L["Below min price. Posting at normal."] = "Below min price. Posting at normal."
--[[Translation missing --]]
L["Below you can ignore this operation on certain characters or realms."] = "Below you can ignore this operation on certain characters or realms."
L["Bid %d / %d"] = "Lance %d / %d"
L["Bid (item)"] = "Lance (item)"
L["Bid (stack)"] = "Lance (lote)"
--[[Translation missing --]]
L["Bid (total)"] = "Bid (total)"
--[[Translation missing --]]
L["Bid / Buyout"] = "Bid / Buyout"
--[[Translation missing --]]
L["Bid Auction"] = "Bid Auction"
--[[Translation missing --]]
L["Bid percent must be between 0 and 100."] = "Bid percent must be between 0 and 100."
L["Bid Price"] = "Preço de Lance"
L["Bid Sniper Paused"] = "Sniper de Lances Interrompido"
L["Bid Sniper Running"] = "Sniper de Lances Rodando"
L["Bidding Auction"] = "Dando Lance no Leilão"
--[[Translation missing --]]
L["Blacklisted players"] = "Blacklisted players"
L["Bought"] = "Comprado"
L["Bought %d of %s from %s for %s"] = "Comprou %d de %s de %s por %s"
L["Bought %sx%d for %s from %s"] = "Comprou %sx%d por %s de %s"
L["Bound Actions"] = "Ações Vinculadas"
--[[Translation missing --]]
L["Browse"] = "Browse"
--[[Translation missing --]]
L["Browse / Sniper"] = "Browse / Sniper"
L["BUSY"] = "OCUPADO"
L["BUY"] = "COMPRAR"
L["Buy"] = "Compra"
L["Buy %d / %d"] = "Comprar %d / %d"
L["Buy %d / %d (Confirming %d / %d)"] = "Comprar %d / %d (Confirmando %d / %d)"
--[[Translation missing --]]
L["Buy Auction"] = "Buy Auction"
--[[Translation missing --]]
L["Buy Commodity"] = "Buy Commodity"
L["Buy from AH"] = "Comprar da CdL"
--[[Translation missing --]]
L["Buy from AH (Crafting)"] = "Buy from AH (Crafting)"
--[[Translation missing --]]
L["Buy from AH (Disenchant)"] = "Buy from AH (Disenchant)"
L["Buy from Vendor"] = "Comprar do Comerciante"
--[[Translation missing --]]
L["Buy Groups"] = "Buy Groups"
L["Buy Options"] = "Opções de Compra"
--[[Translation missing --]]
L["Buyback All"] = "Buyback All"
L["Buyer/Seller"] = "Personagem"
--[[Translation missing --]]
L["Buyout"] = "Buyout"
L["Buyout (item)"] = "Arremate (item)"
L["Buyout (stack)"] = "Arremate (lote)"
--[[Translation missing --]]
L["Buyout (total)"] = "Buyout (total)"
--[[Translation missing --]]
L["Buyout confirmation alert"] = "Buyout confirmation alert"
L["Buyout Price"] = "Preço de Arremate"
L["Buyout Sniper Paused"] = "Sniper de Arremate Interrompido"
L["Buyout Sniper Running"] = "Sniper de Arremate Rodando"
--[[Translation missing --]]
L["Cancel"] = "Cancel"
--[[Translation missing --]]
L["Cancel %d / %d"] = "Cancel %d / %d"
--[[Translation missing --]]
L["Cancel Auction"] = "Cancel Auction"
L["Cancel auctions with bids"] = "Cancelar leilões com lances"
--[[Translation missing --]]
L["Cancel or Post"] = "Cancel or Post"
L["Cancel Scan"] = "Escanear para Cancelamento"
--[[Translation missing --]]
L["Cancel to repost higher"] = "Cancel to repost higher"
--[[Translation missing --]]
L["Cancel undercut auctions"] = "Cancel undercut auctions"
--[[Translation missing --]]
L["Canceled information"] = "Canceled information"
L["Canceling"] = "Cancelando"
L["Canceling %d / %d"] = "Cancelando %d / %d"
L["Canceling %d Auctions..."] = "Cancelando %d Leilões..."
--[[Translation missing --]]
L["Canceling auction you've undercut."] = "Canceling auction you've undercut."
L["Canceling disabled."] = "Cancelamento desabilitado."
--[[Translation missing --]]
L["Canceling Options"] = "Canceling Options"
L["Canceling to repost at higher price."] = "Cancelando para repostar por preço mais alto."
L["Canceling to repost at reset price."] = "Cancelando para repostar a preço de reset."
L["Canceling to repost higher."] = "Cancelando para repostar mais caro."
L["Canceling undercut auctions and to repost higher."] = "Cancelando leilões com preços cortados para postar mais alto."
L["Canceling undercut auctions."] = "Cancelando leilões com preços cortados."
L["Cancelled"] = "Cancelado"
L["Cancelled auction of %sx%d"] = "Leilão cancelado de %sx%d"
L["Cancelled Since Last Sale"] = "Cancelados Desde a Última Venda"
--[[Translation missing --]]
L["Cancelled:"] = "Cancelled:"
--[[Translation missing --]]
L["Cancelling..."] = "Cancelling..."
L["Cannot repair from the guild bank!"] = "Não pode reparar usando o banco de guilda!"
--[[Translation missing --]]
L["Cannot use additional filters with /crafting or /disenchant."] = "Cannot use additional filters with /crafting or /disenchant."
L["Can't load TSM tooltip while in combat"] = "Não é possível carregar as tooltips do TSM enquanto em combate"
L["Cash Register"] = "Caixa Registradora"
--[[Translation missing --]]
L["Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"] = "Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"
L["Character"] = "Personagem"
L["Chat Tab"] = "Aba de Bate-Papo"
L["Cheapest auction below min price."] = "Leilão mais barato abaixo do preço mínimo."
L["Clear All"] = "Limpar Tudo"
--[[Translation missing --]]
L["Clear Data"] = "Clear Data"
L["Clear Filters"] = "Limpar Filtros"
L["Clear Old Data"] = "Limpeza de Dados Antigos"
--[[Translation missing --]]
L["Clear Old Data?"] = "Clear Old Data?"
--[[Translation missing --]]
L["Click and drag to resize this window."] = "Click and drag to resize this window."
--[[Translation missing --]]
L["Click to hide this item for the current session. Hold shift to hide this item permanently."] = "Click to hide this item for the current session. Hold shift to hide this item permanently."
L["COD"] = "Carta a Cobrar"
L["Coins (%s)"] = "Moedas (%s)"
L["Combine Partial Stacks"] = "Combinar Lotes Parciais"
L["Combining..."] = "Combinando..."
--[[Translation missing --]]
L["Completed full AH scan (%d auctions)!"] = "Completed full AH scan (%d auctions)!"
L["Confirm"] = "Confirmar"
--[[Translation missing --]]
L["Confirm complete sound"] = "Confirm complete sound"
--[[Translation missing --]]
L["Confirmation %s button"] = "Confirmation %s button"
L["Confirming %d / %d"] = "Confirmando %d / %d"
L["Connected to %s"] = "Conectado a %s"
L["Connecting to %s"] = "Conectandoa %s"
--[[Translation missing --]]
L["Contacts"] = "Contacts"
--[[Translation missing --]]
L["Contains auctions above your alert threshold!"] = "Contains auctions above your alert threshold!"
L["Cooldown"] = "Recarga"
L["Cooldowns"] = "Recargas"
--[[Translation missing --]]
L["Copy Letter"] = "Copy Letter"
L["Cost"] = "Custo"
L["Could not create macro as you already have too many. Delete one of your existing macros and try again."] = "Não foi possível criar a macro pois você já possui várias. Exclua uma de suas macros existentes e tente novamente."
L["Could not find profile '%s'. Possible profiles: '%s'"] = "Não foi possível encontrar o perfil '%s'. Possíveis perfis: '%s'"
L["Could not sell items due to not having free bag space available to split a stack of items."] = "Não foi possível vender os itens por não haver espaço de bolsa disponível para separar os lotes de itens."
L["Craft"] = "Cria"
L["CRAFT"] = "CRIAR"
--[[Translation missing --]]
L["Craft (Profitable)"] = "Craft (Profitable)"
L["Craft (Unprofitable)"] = "Criar (Sem lucro)"
L["Craft All"] = "Criar Todos"
--[[Translation missing --]]
L["Craft Next"] = "Craft Next"
--[[Translation missing --]]
L["Craft Value"] = "Craft Value"
--[[Translation missing --]]
L["Crafted Items"] = "Crafted Items"
--[[Translation missing --]]
L["Crafter"] = "Crafter"
L["Crafting"] = "Criação"
L["CRAFTING"] = "CRIAÇÃO"
--[[Translation missing --]]
L["Crafting %s button"] = "Crafting %s button"
--[[Translation missing --]]
L["Crafting cost"] = "Crafting cost"
L["Crafting Cost"] = "Custo de Criação"
--[[Translation missing --]]
L["Crafting List"] = "Crafting List"
--[[Translation missing --]]
L["Crafting Material Cost"] = "Crafting Material Cost"
--[[Translation missing --]]
L["Crafting Mode"] = "Crafting Mode"
--[[Translation missing --]]
L["Crafting operation"] = "Crafting operation"
--[[Translation missing --]]
L["Crafting operations control how queuing profession crafts."] = "Crafting operations control how queuing profession crafts."
--[[Translation missing --]]
L["Crafting Queue (%d)"] = "Crafting Queue (%d)"
--[[Translation missing --]]
L["Crafting Value"] = "Crafting Value"
L["Crafts"] = "Criações"
L["Crafts %d"] = "Criações %d"
--[[Translation missing --]]
L["Create Groups from Table"] = "Create Groups from Table"
--[[Translation missing --]]
L["Create macro"] = "Create macro"
--[[Translation missing --]]
L["Create New"] = "Create New"
--[[Translation missing --]]
L["Create New Group"] = "Create New Group"
L["Create New Operation"] = "Criar Nova Operação"
--[[Translation missing --]]
L["Create new profile"] = "Create new profile"
--[[Translation missing --]]
L["Create Profession Groups"] = "Create Profession Groups"
--[[Translation missing --]]
L["CTRL"] = "CTRL"
--[[Translation missing --]]
L["Current Price"] = "Current Price"
L["Custom Price"] = "Preço Personalizado"
--[[Translation missing --]]
L["Custom price name %s already exists."] = "Custom price name %s already exists."
--[[Translation missing --]]
L["Custom price name %s is a reserved word which cannot be used."] = "Custom price name %s is a reserved word which cannot be used."
--[[Translation missing --]]
L["Custom price names can only contain lowercase letters."] = "Custom price names can only contain lowercase letters."
--[[Translation missing --]]
L["Custom Source"] = "Custom Source"
--[[Translation missing --]]
L["Custom source (%s)"] = "Custom source (%s)"
L["Custom Sources"] = "Fontes Personalizadas"
--[[Translation missing --]]
L["Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."] = "Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."
--[[Translation missing --]]
L["DAILY PURCHASES"] = "DAILY PURCHASES"
--[[Translation missing --]]
L["DAILY SALES"] = "DAILY SALES"
--[[Translation missing --]]
L["Dalaran"] = "Dalaran"
--[[Translation missing --]]
L["Dashboard"] = "Dashboard"
--[[Translation missing --]]
L["Default craft value method"] = "Default craft value method"
--[[Translation missing --]]
L["Default material cost method"] = "Default material cost method"
L["Default Price"] = "Preço Padrão"
--[[Translation missing --]]
L["Default price configuration"] = "Default price configuration"
L["Define what priority Gathering gives certain sources."] = "Defina qual a prioridade de Coleta dá à certas fontes."
--[[Translation missing --]]
L["Delete %d Operations"] = "Delete %d Operations"
--[[Translation missing --]]
L["Delete Group?"] = "Delete Group?"
--[[Translation missing --]]
L["Delete Operation?"] = "Delete Operation?"
--[[Translation missing --]]
L["Delete Operations"] = "Delete Operations"
--[[Translation missing --]]
L["Delete Operations?"] = "Delete Operations?"
--[[Translation missing --]]
L["Delete Profile?"] = "Delete Profile?"
--[[Translation missing --]]
L["Delete Record?"] = "Delete Record?"
--[[Translation missing --]]
L["Delete the profile"] = "Delete the profile"
--[[Translation missing --]]
L["Deleting this group (%s) will also remove any sub-groups attached to this group."] = "Deleting this group (%s) will also remove any sub-groups attached to this group."
L["Deposit"] = "Depósito"
L["Deposit Cost"] = "Custo de Depósito"
--[[Translation missing --]]
L["Deposit reagents"] = "Deposit reagents"
--[[Translation missing --]]
L["Deselect All"] = "Deselect All"
L["Destroy Next"] = "Destruir Próximo"
L["Destroy Value"] = "Valor de Destruição"
--[[Translation missing --]]
L["Destroy value"] = "Destroy value"
--[[Translation missing --]]
L["Destroy value source"] = "Destroy value source"
L["Destroying"] = "Destruição"
--[[Translation missing --]]
L["Destroying %s button"] = "Destroying %s button"
--[[Translation missing --]]
L["Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."] = "Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."
--[[Translation missing --]]
L["Destroying will ignore %s until you log out."] = "Destroying will ignore %s until you log out."
L["Destroying..."] = "Destruindo..."
--[[Translation missing --]]
L["Detailed crafting cost"] = "Detailed crafting cost"
--[[Translation missing --]]
L["Detailed destroy information"] = "Detailed destroy information"
L["Details"] = "Detalhes"
L["Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."] = "Não cancelou %s porque seu limite de cancelar para repostar (%s) é invalido. Confira suas configurações."
L["Did not cancel %s because your maximum price (%s) is invalid. Check your settings."] = "Não cancelou %s porque preço máximo (%s) é inválido. Confira suas configurações."
L["Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Não cancelou %s porque seu preço máximo (%s) é menor que seu preço mínimo (%s). Confira suas configurações."
L["Did not cancel %s because your minimum price (%s) is invalid. Check your settings."] = "Não cancelou %s porque seu preço mínimo (%s) é inválido. Confira suas configurações."
L["Did not cancel %s because your normal price (%s) is invalid. Check your settings."] = "Não cancelou %s porque seu preço normal (%s) é inválido. Confira suas configurações."
L["Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Não cancelou %s porque seu preço normal (%s) é menor que seu preço mínimo (%s). Confira suas configurações."
L["Did not cancel %s because your undercut (%s) is invalid. Check your settings."] = "Não cancelou %s porque seu corte de preço (%s) é inválido. Confira suas configurações."
--[[Translation missing --]]
L["Did not change prices due to an invalid bid or buyout value."] = "Did not change prices due to an invalid bid or buyout value."
L["Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."] = "Não postou %s porque a Blizzard não dispôs toda a informação necessária para isso. Tente novamente depois."
L["Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."] = "Não postou %s porque o dono do leilão mais baixo (%s) está tanto na lista negra quanto na lista de permissão, o que não é permitido. Ajuste suas configurações para corrigir o problema."
L["Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."] = "Não postou %s porque um de seus alts (%s) está na lista negra, o que não é permitido. Remova este personagem de sua lista negra."
--[[Translation missing --]]
L["Did not post %s because your keep quantity (%s) is invalid. Check your settings."] = "Did not post %s because your keep quantity (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your max expires (%s) is invalid. Check your settings."] = "Did not post %s because your max expires (%s) is invalid. Check your settings."
L["Did not post %s because your maximum price (%s) is invalid. Check your settings."] = "Não postou %s porque o seu preço máximo (%s) é inválido. Confira suas configurações."
L["Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Não postou %s porque o seu preço máximo (%s) é menor que seu preço mínimo (%s). Confira suas configurações."
L["Did not post %s because your minimum price (%s) is invalid. Check your settings."] = "Não postou %s porque o seu preço mínimo (%s) é inválido. Confira suas configurações."
L["Did not post %s because your normal price (%s) is invalid. Check your settings."] = "Não postou %s porque o seu preço normal (%s) é inválido. Confira suas configurações."
L["Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Não postou %s porque o seu preço normal (%s) é  menor que seu preço mínimo (%s). Confira suas configurações."
--[[Translation missing --]]
L["Did not post %s because your post cap (%s) is invalid. Check your settings."] = "Did not post %s because your post cap (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your stack size (%s) is invalid. Check your settings."] = "Did not post %s because your stack size (%s) is invalid. Check your settings."
L["Did not post %s because your undercut (%s) is invalid. Check your settings."] = "Não postou %s porque seu corte de preço (%s) é inválido. Confira suas configurações."
L["Disable invalid price warnings"] = "Desabilitar alertas de preço inválido"
L["Disenchant Search"] = "Busca para Desencantamento"
L["Disenchant Search Options"] = "Opções da Busca para Desencantamento"
L["Disenchant Value"] = "Valor de Desencantamento"
--[[Translation missing --]]
L["Disenchant value"] = "Disenchant value"
L["Disenchanting Options"] = "Opções de Desencantamento"
--[[Translation missing --]]
L["Display total money received in chat"] = "Display total money received in chat"
L["Done Canceling"] = "Cancelamento Finalizado"
L["Done Posting"] = "Postagem Finalizada"
L["Done rebuilding item cache."] = "Reconstrução de cache de itens concluída."
L["Done Scanning"] = "Escaneamento Finalizado"
--[[Translation missing --]]
L["Don't post after this many expires"] = "Don't post after this many expires"
L["Don't Post Items"] = "Não Postar Itens"
L["Don't prompt to record trades"] = "Não abrir janela para armazenar trocas"
--[[Translation missing --]]
L["Down"] = "Down"
--[[Translation missing --]]
L["Duplicate the profile"] = "Duplicate the profile"
--[[Translation missing --]]
L["Duration"] = "Duration"
--[[Translation missing --]]
L["Duskwood"] = "Duskwood"
--[[Translation missing --]]
L["Edit"] = "Edit"
--[[Translation missing --]]
L["Edit Custom Source"] = "Edit Custom Source"
--[[Translation missing --]]
L["Edit Material Price"] = "Edit Material Price"
--[[Translation missing --]]
L["Edit Post"] = "Edit Post"
--[[Translation missing --]]
L["Embed TSM tooltip"] = "Embed TSM tooltip"
--[[Translation missing --]]
L["Empty bags"] = "Empty bags"
L["Empty parentheses are not allowed"] = "Parênteses vazios não são permitidos"
L["Empty price string."] = "Preço vazio"
L["Enable automatic stack combination"] = "Habilitar combinação automática de lotes"
--[[Translation missing --]]
L["Enable buying"] = "Enable buying"
L["Enable inbox chat messages"] = "Habilitar mensagens da caixa de entrada no chat"
--[[Translation missing --]]
L["Enable restock"] = "Enable restock"
--[[Translation missing --]]
L["Enable selling"] = "Enable selling"
L["Enable sending chat messages"] = "Habilitar mensagens de envio no chat"
--[[Translation missing --]]
L["Enable TSM tooltips"] = "Enable TSM tooltips"
--[[Translation missing --]]
L["Enchant"] = "Enchant"
L["Enchant Vellum"] = "Encantar Velino"
L["Ensure both characters are online and try again."] = "Certifique-se que ambos os personagens estejam online e tente novamente."
--[[Translation missing --]]
L["Enter a value from %d - %d"] = "Enter a value from %d - %d"
--[[Translation missing --]]
L["Enter a value from %d - %d%%"] = "Enter a value from %d - %d%%"
L["Enter Filter"] = "Digite o Filtro"
L["Enter Keyword"] = "Digite a Palavra-chave"
--[[Translation missing --]]
L["Enter name of logged-in character on other account"] = "Enter name of logged-in character on other account"
L["Enter player name"] = "Digite o nome do jogador"
--[[Translation missing --]]
L["Enter profile name"] = "Enter profile name"
--[[Translation missing --]]
L["Enter recipient name"] = "Enter recipient name"
--[[Translation missing --]]
L["ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."] = "ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."
--[[Translation missing --]]
L["ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."] = "ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."
--[[Translation missing --]]
L["ERROR: The auction house must be open in order to do a scan."] = "ERROR: The auction house must be open in order to do a scan."
L["Establishing connection to %s. Make sure that you've entered this character's name on the other account."] = "Estabelecendo conexão com %s. Certifique-se de ter inserido o nome deste personagem na outra conta."
--[[Translation missing --]]
L["Establishing connection..."] = "Establishing connection..."
L["Estimated Cost:"] = "Custo Estimado:"
L["Estimated deliver time"] = "Tempo estimado de entrega"
L["Estimated Profit:"] = "Lucro Estimado:"
--[[Translation missing --]]
L["Exact Match"] = "Exact Match"
--[[Translation missing --]]
L["Example"] = "Example"
--[[Translation missing --]]
L["Example Item"] = "Example Item"
--[[Translation missing --]]
L["Example Tooltip"] = "Example Tooltip"
--[[Translation missing --]]
L["Exclude custom sources?"] = "Exclude custom sources?"
--[[Translation missing --]]
L["Exclude operations?"] = "Exclude operations?"
--[[Translation missing --]]
L["Exit"] = "Exit"
--[[Translation missing --]]
L["Expand / Collapse All Groups"] = "Expand / Collapse All Groups"
L["Expenses"] = "Gastos"
L["EXPENSES"] = "GASTOS"
L["Expirations"] = "Expirações"
L["Expired"] = "Expirado"
L["Expired Auctions"] = "Leilões Expirados"
--[[Translation missing --]]
L["Expired information"] = "Expired information"
L["Expired Since Last Sale"] = "Expirados Desde a Última Venda"
L["Expires"] = "Expirados"
L["Expires Since Last Sale"] = "Expirados Desde a Última Venda"
L["Expiring Mails"] = "Cartas Expirando"
L["Exploration"] = "Exploração"
L["Export"] = "Exportar"
--[[Translation missing --]]
L["Export String"] = "Export String"
--[[Translation missing --]]
L["Export this group"] = "Export this group"
L["Failed Auctions"] = "Leilões Retornados"
L["Failed to bid on auction of %s (x%s) for %s."] = "Falha ao dar lance no leilão de %s (x%s) por %s."
L["Failed to bid on auction of %s."] = "Falha ao dar lance no leilão de %s."
L["Failed to buy auction of %s (x%s) for %s."] = "Falha ao comprar o leilão de %s (x%s) por %s."
L["Failed to buy auction of %s."] = "Falha ao arrematar o leilão de %s."
--[[Translation missing --]]
L["Failed to buy auction."] = "Failed to buy auction."
--[[Translation missing --]]
L["Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."] = "Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."
L["Failed to find auction for %s, so removing it from the results."] = "Falha ao encontrar o leilão de %s, removendo dos resultados."
L["Failed to post %sx%d as the item no longer exists in your bags."] = "Falha ao postar %sx%d pois o item não existe mais nas suas bolsas."
--[[Translation missing --]]
L["Failed to run full AH scan."] = "Failed to run full AH scan."
L["Failed to send profile."] = "Falha ao enviar perfil."
L["Failed to send profile. Ensure both characters are online and try again."] = "Falha ao enviar perfil. Certifique-se que ambos os personagens estejam online e tente novamente."
--[[Translation missing --]]
L["Failed to start sniper. No groups have a Sniper operation applied."] = "Failed to start sniper. No groups have a Sniper operation applied."
L["Favorite Scans"] = "Escaneamentos Favoritos"
L["Favorite Searches"] = "Buscas Favoritas"
--[[Translation missing --]]
L["Favorited Patterns"] = "Favorited Patterns"
--[[Translation missing --]]
L["Filter by duration"] = "Filter by duration"
--[[Translation missing --]]
L["Filter by groups"] = "Filter by groups"
--[[Translation missing --]]
L["Filter by keyword"] = "Filter by keyword"
L["Filter by Keyword"] = "Filtrar por Palavra-chave"
--[[Translation missing --]]
L["Filter by Price Source"] = "Filter by Price Source"
--[[Translation missing --]]
L["Filter by Profession"] = "Filter by Profession"
L["Filter group item lists based on the following price source"] = "Filtrar as listas de itens agrupados baseado na seguinte fonte de preços"
L["Finding Selected Auction"] = "Encontrando o Leilão Selecionado"
--[[Translation missing --]]
L["First Auctioning Operation Max Price"] = "First Auctioning Operation Max Price"
--[[Translation missing --]]
L["First Auctioning Operation Min Price"] = "First Auctioning Operation Min Price"
--[[Translation missing --]]
L["First Auctioning Operation Normal Price"] = "First Auctioning Operation Normal Price"
L["Fishing Reel In"] = "Puxão do Molinete de Pesca"
--[[Translation missing --]]
L["For more info, visit %s. For help, join us in Discord: %s."] = "For more info, visit %s. For help, join us in Discord: %s."
L["Forget Character"] = "Esquecer Personagem"
L["Found auction sound"] = "Som de leilão encontrado"
L["Friends"] = "Amigos"
L["From"] = "De"
--[[Translation missing --]]
L["Full inventory"] = "Full inventory"
L["Garrison"] = "Guarnição"
L["Gathering"] = "Coleta"
L["Gathering Search"] = "Busca para Coleta"
--[[Translation missing --]]
L["Gathering Setup"] = "Gathering Setup"
L["General Options"] = "Opções Gerais"
--[[Translation missing --]]
L["General Settings"] = "General Settings"
L["Get from Bank"] = "Pegar do Banco"
L["Get from Guild Bank"] = "Pegar do Banco de Guilda"
--[[Translation missing --]]
L["Gets items from the bank or guild bank matching the item or partial text entered."] = "Gets items from the bank or guild bank matching the item or partial text entered."
L["Gold"] = "Ouro"
--[[Translation missing --]]
L["Great Deals Search"] = "Great Deals Search"
L["Group already exists."] = "Grupo já existe."
L["Group Management"] = "Gerenciamento de Grupo"
--[[Translation missing --]]
L["Group name"] = "Group name"
--[[Translation missing --]]
L["Group Search"] = "Group Search"
L["Grouped Items"] = "Itens Agrupados"
L["Groups"] = "Grupos"
--[[Translation missing --]]
L["Groups & Operations"] = "Groups & Operations"
--[[Translation missing --]]
L["Groups Using"] = "Groups Using"
L["Guild"] = "Guilda"
L["Guild Bank"] = "Banco de Guilda"
L["GVault"] = "Cofre da Guilda"
L["Have"] = "Possui"
--[[Translation missing --]]
L["Have Mats"] = "Have Mats"
--[[Translation missing --]]
L["Have Skill Ups"] = "Have Skill Ups"
--[[Translation missing --]]
L["Here you can add/remove what groups this operation is attached to."] = "Here you can add/remove what groups this operation is attached to."
L["Hide auctions with bids"] = "Ocultar leilões com lances"
--[[Translation missing --]]
L["Hide Columns"] = "Hide Columns"
L["Hide minimap icon"] = "Ocultar ícone no mini-mapa"
L["Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."] = "Ocultando a UI do Módulo de Armazenamento do TSM. Digite '/tsm bankui' para reabri-la."
L["Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."] = "Ocultando a UI da Lista de Tarefas do TSM. Digite '/tsm tasklist' para reabri-la."
--[[Translation missing --]]
L["HIGH"] = "HIGH"
L["High Bidder"] = "Lance mais Alto"
L["Historical Price"] = "Preço Histórico"
--[[Translation missing --]]
L["Historical price"] = "Historical price"
L["Hold ALT to repair from the guild bank."] = "Segure ALT para reparar usando o banco de guilda."
--[[Translation missing --]]
L["Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."] = "Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes"] = "Hold SHIFT to continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."
L["Hold shift to move the items to the parent group instead of removing them."] = "Segure shift para mover os itens para o grupo pai ao invés de removê-los."
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes"] = "Hold SHIFT to not continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."
--[[Translation missing --]]
L["Hold SHIFT while dragging to scale the window instead."] = "Hold SHIFT while dragging to scale the window instead."
L["Hr"] = "H"
L["Hrs"] = "Hs"
--[[Translation missing --]]
L["If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."] = "If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."
L["Ignore Auctions Below Min"] = "Ignorar Leilões Abaixo do Mínimo"
--[[Translation missing --]]
L["Ignore auctions by duration"] = "Ignore auctions by duration"
L["Ignore Characters"] = "Ignorar Personagens"
L["Ignore Guilds"] = "Ignorar Guildas"
--[[Translation missing --]]
L["Ignore operation on characters"] = "Ignore operation on characters"
--[[Translation missing --]]
L["Ignore operation on faction-realms"] = "Ignore operation on faction-realms"
--[[Translation missing --]]
L["Ignore variations"] = "Ignore variations"
L["Ignored Cooldowns"] = "Recargas Ignoradas"
L["Ignored Items"] = "Itens Ignorados"
L["ilvl"] = "nvli"
L["Import"] = "Importar"
--[[Translation missing --]]
L["Import group"] = "Import group"
L["Import Groups & Operations"] = "Importar Grupos & Operações"
--[[Translation missing --]]
L["Import String"] = "Import String"
--[[Translation missing --]]
L["Import Summary"] = "Import Summary"
--[[Translation missing --]]
L["Imported Group"] = "Imported Group"
--[[Translation missing --]]
L["Imported group (%s) with %d items, %d operations, and %d custom sources."] = "Imported group (%s) with %d items, %d operations, and %d custom sources."
--[[Translation missing --]]
L["Improved Import / Export."] = "Improved Import / Export."
L["Inbox Settings"] = "Configurações da Caixa de Entrada"
L["Include operations?"] = "Incluir operações?"
L["Include soulbound items"] = "Incluir itens vinculados"
L["Information"] = "Informação"
L["Invalid custom price source for %s. %s"] = "Fonte de preço personalizado para %s é inválida. %s"
L["Invalid custom price."] = "Preço personalizado inválido."
L["Invalid function."] = "Função inválida."
L["Invalid gold value."] = "Valor em ouro inválido."
L["Invalid group name."] = "Nome de grupo inválido."
L["Invalid item link."] = "Link inválido de item."
--[[Translation missing --]]
L["Invalid numeric value."] = "Invalid numeric value."
L["Invalid operation name."] = "Nome de operação inválido."
L["Invalid operator at end of custom price."] = "Operador inválido no final do preço personalizado."
L["Invalid parameter to price source."] = "Parâmetro inválido para fonte de preço;"
L["Invalid player name."] = "Nome de jogador inválido."
L["Invalid price source in convert."] = "Fonte de preço de conversão inválido."
--[[Translation missing --]]
L["Invalid price."] = "Invalid price."
--[[Translation missing --]]
L["Invalid Quantity"] = "Invalid Quantity"
--[[Translation missing --]]
L["Invalid search filter (%s)."] = "Invalid search filter (%s)."
--[[Translation missing --]]
L["Invalid search term."] = "Invalid search term."
--[[Translation missing --]]
L["Invalid search term. Cannot filter by price here."] = "Invalid search term. Cannot filter by price here."
L["Invalid seller data returned by server."] = "Informação de vendedor inválida retornada pelo servidor."
--[[Translation missing --]]
L["Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."] = "Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."
L["Invalid word: '%s'"] = "Palavra inválida: '%s'"
L["Inventory"] = "Inventário"
L["Inventory / Gold Graph"] = "Inventário / Gráfico de Ouro"
L["Inventory Options"] = "Opções de Inventário"
L["It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."] = "Aparentemente você copiou manualmente as variáveis salvas entre contas, o que pode fazer com que a sincronização automática do TSM não funcione. Você precisará desfazer isto, e/ou deletar as variáveis salvas do TradeSkillMaster em ambas as contas (com o WoW fechado) para corrigir isto."
--[[Translation missing --]]
L["It looks like you're trying to reference an old global price source which no longer exists."] = "It looks like you're trying to reference an old global price source which no longer exists."
L["Item"] = "Item"
--[[Translation missing --]]
L["Item Class"] = "Item Class"
L["Item Level"] = "Nível de Item"
--[[Translation missing --]]
L["Item Level Range"] = "Item Level Range"
L["Item links may only be used as parameters to price sources."] = "Os links de itens só podem ser usados como parâmetros para fontes de preço."
L["Item Name"] = "Nome do Item"
L["Item Quality"] = "Qualidade do Item"
--[[Translation missing --]]
L["Item Selection"] = "Item Selection"
--[[Translation missing --]]
L["Item Slot"] = "Item Slot"
--[[Translation missing --]]
L["Item Subclass"] = "Item Subclass"
L["Item Value"] = "Valor do Item"
L["Item/Group is invalid (see chat)."] = "O Item/Grupo é inválido (veja o chat)."
L["Items"] = "Itens"
--[[Translation missing --]]
L["Items Using"] = "Items Using"
--[[Translation missing --]]
L["Keep in bags quantity"] = "Keep in bags quantity"
--[[Translation missing --]]
L["Keep in bank quantity"] = "Keep in bank quantity"
--[[Translation missing --]]
L["Keep quantity"] = "Keep quantity"
--[[Translation missing --]]
L["Keep this amount"] = "Keep this amount"
L["Keeping %d."] = "Mantendo %d."
L["Keeping undercut auctions posted."] = "Manter leilões com preços cortados postados."
L["Last 14 Days"] = "Últimos 14 Dias"
L["Last 3 Days"] = "Últimos 3 Dias"
L["Last 30 Days"] = "Últimos 30 Dias"
L["Last 60 Days"] = "Últimos 60 Dias"
L["Last 7 Days"] = "Últimos 7 Dias"
L["Last Purchased"] = "Comprado pela Última Vez"
L["Last Sold"] = "Vendido pela Última Vez"
--[[Translation missing --]]
L["LEAST GROUPS"] = "LEAST GROUPS"
--[[Translation missing --]]
L["LEAST ITEMS"] = "LEAST ITEMS"
--[[Translation missing --]]
L["Ledger"] = "Ledger"
L["Level Up"] = "Subir de Nível"
--[[Translation missing --]]
L["Limit"] = "Limit"
L["Link to Another Operation"] = "Vincular à Outra Operação"
L["Loading..."] = "Carregando..."
--[[Translation missing --]]
L["Lock Column Width"] = "Lock Column Width"
--[[Translation missing --]]
L["Lock task list's background"] = "Lock task list's background"
L["Looks like TradeSkillMaster has encountered an error. Please help the author fix this error by following the instructions shown."] = "Parece que o TradeSkillMaster encontrou um erro. Por favor, ajude o autor a corrigir este erro seguindo as instruções exibidas."
L["Loop detected in the following custom price:"] = "Repetição detectada no seguinte preço personalizado:"
--[[Translation missing --]]
L["LOW"] = "LOW"
L["Lowest auction by whitelisted player."] = "Leilão mais baixo pertence a jogador da lista de permissões."
L["Macro created and scroll wheel bound!"] = "Macro criada e atribuída ao botão de rolagem!"
L["Macro Setup"] = "Configuração de Macro"
--[[Translation missing --]]
L["Macros"] = "Macros"
L["Mail"] = "Correio"
L["Mail Disenchantables"] = "Enviar Desencantáveis"
--[[Translation missing --]]
L["Mail disenchantables max quality"] = "Mail disenchantables max quality"
--[[Translation missing --]]
L["Mail Selected Groups"] = "Mail Selected Groups"
--[[Translation missing --]]
L["Mail Selected Groups (Auto Resend)"] = "Mail Selected Groups (Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run + Auto Resend)"] = "Mail Selected Groups (Dry Run + Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run)"] = "Mail Selected Groups (Dry Run)"
L["Mail to %s"] = "Envio para %s"
L["Mailing"] = "Correio"
L["Mailing all to %s."] = "Enviando tudo para %s."
--[[Translation missing --]]
L["Mailing operation"] = "Mailing operation"
--[[Translation missing --]]
L["Mailing operations control mailing to other characters."] = "Mailing operations control mailing to other characters."
L["Mailing up to %d to %s."] = "Enviando até %d para %s."
L["Make Cash On Delivery?"] = "Enviar Carta a Cobrar?"
--[[Translation missing --]]
L["Make Operations Global?"] = "Make Operations Global?"
L["Management Options"] = "Opções de Gerenciamento"
L["Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."] = "Várias tarefas constantemente usadas no TSM podem ser adicionadas à uma macro e vinculadas ao botão de rolagem de seu mouse. Use as opções abaixo para ajustar esta macro e vinculá-la."
L["Map Ping"] = "Mapeamento"
L["Market Value"] = "Valor de Mercado"
--[[Translation missing --]]
L["Market value"] = "Market value"
--[[Translation missing --]]
L["Market value price source"] = "Market value price source"
L["Market Value Price Source"] = "Fonte de Preço de Valor de Mercado"
--[[Translation missing --]]
L["Mat cost"] = "Mat cost"
L["Mat Price"] = "Preço do Material"
--[[Translation missing --]]
L["Match stack size"] = "Match stack size"
L["Match whitelisted players"] = "Igualar jogadores da lista de permissões"
--[[Translation missing --]]
L["Material Cost"] = "Material Cost"
--[[Translation missing --]]
L["Material Price"] = "Material Price"
L["Materials"] = "Materiais"
L["Materials to Gather"] = "Materiais a Coletar"
--[[Translation missing --]]
L["Max"] = "Max"
L["Max Buy Price"] = "Preço Máximo de Compra"
--[[Translation missing --]]
L["Max destroy value (Enter '0c' to disable)"] = "Max destroy value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max expires to bank"] = "Max expires to bank"
--[[Translation missing --]]
L["Max market value (Enter '0c' to disable)"] = "Max market value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max Price"] = "Max Price"
--[[Translation missing --]]
L["Max quantity"] = "Max quantity"
--[[Translation missing --]]
L["Max restock quantity"] = "Max restock quantity"
L["Max Sell Price"] = "Preço Máximo de Venda"
L["Max Shopping Price"] = "Preço Máximo de Compra"
--[[Translation missing --]]
L["Max shopping price"] = "Max shopping price"
--[[Translation missing --]]
L["Max sniper price"] = "Max sniper price"
L["Maximum amount already posted."] = "Quantidade máxima já postada."
--[[Translation missing --]]
L["Maximum auction price"] = "Maximum auction price"
--[[Translation missing --]]
L["Maximum disenchant level"] = "Maximum disenchant level"
--[[Translation missing --]]
L["Maximum disenchant quality"] = "Maximum disenchant quality"
--[[Translation missing --]]
L["Maximum disenchant search percent"] = "Maximum disenchant search percent"
--[[Translation missing --]]
L["Maximum price"] = "Maximum price"
--[[Translation missing --]]
L["Maximum Quantity to Buy"] = "Maximum Quantity to Buy"
--[[Translation missing --]]
L["Maximum restock quantity"] = "Maximum restock quantity"
--[[Translation missing --]]
L["Midnight"] = "Midnight"
--[[Translation missing --]]
L["Mill value"] = "Mill value"
L["Mill Value"] = "Valor de Trituração"
L["Min"] = "Mínimo"
--[[Translation missing --]]
L["Min 0 - Max 20"] = "Min 0 - Max 20"
--[[Translation missing --]]
L["Min 0.5 - Max 10"] = "Min 0.5 - Max 10"
L["Min Buy Price"] = "Preço Mínimo de Compra"
L["Min Buyout"] = "Arremate Mínimo"
--[[Translation missing --]]
L["Min buyout"] = "Min buyout"
--[[Translation missing --]]
L["Min number of expires"] = "Min number of expires"
--[[Translation missing --]]
L["Min profit amount"] = "Min profit amount"
--[[Translation missing --]]
L["Min restock quantity"] = "Min restock quantity"
L["Min Sell Price"] = "Preço Mínimo de Venda"
--[[Translation missing --]]
L["Min/Normal/Max price"] = "Min/Normal/Max price"
L["Min/Normal/Max Prices"] = "Preços Mínimo/Normal/Máximo"
--[[Translation missing --]]
L["Minimum disenchant level"] = "Minimum disenchant level"
--[[Translation missing --]]
L["Minimum price"] = "Minimum price"
--[[Translation missing --]]
L["Minimum Rarity"] = "Minimum Rarity"
L["Misplaced comma"] = "Vírgula mal colocada"
L["Missing Materials"] = "Faltam Materiais"
L["Missing operator between sets of parenthesis"] = "Falta o operador entre os conjuntos de parênteses"
--[[Translation missing --]]
L["Modifiers"] = "Modifiers"
L["Money Frame Open"] = "Abre Quadro de Dinheiro"
L["Money Transfer"] = "Transferência de Dinheiro"
--[[Translation missing --]]
L["MOST GROUPS"] = "MOST GROUPS"
--[[Translation missing --]]
L["MOST ITEMS"] = "MOST ITEMS"
L["MOVE"] = "MOVER"
--[[Translation missing --]]
L["Move %d |4Item:Items"] = "Move %d |4Item:Items"
--[[Translation missing --]]
L["Move %d already grouped items?"] = "Move %d already grouped items?"
--[[Translation missing --]]
L["Move all to Bags"] = "Move all to Bags"
--[[Translation missing --]]
L["Move Item"] = "Move Item"
--[[Translation missing --]]
L["Move Quantity Options"] = "Move Quantity Options"
--[[Translation missing --]]
L["Move to bags"] = "Move to bags"
--[[Translation missing --]]
L["Move to bank"] = "Move to bank"
--[[Translation missing --]]
L["Move to Parent Group"] = "Move to Parent Group"
L["MOVING"] = "MOVENDO"
L["Moving"] = "Movendo"
L["Multiple Items"] = "Múltiplos Itens"
--[[Translation missing --]]
L["Must be between %d and %s."] = "Must be between %d and %s."
L["My Auctions"] = "Meus Leilões"
--[[Translation missing --]]
L["My Auctions %s button"] = "My Auctions %s button"
--[[Translation missing --]]
L["Name"] = "Name"
L["NEED MATS"] = "PRECISA DE MATERIAIS"
--[[Translation missing --]]
L["New Base Group search."] = "New Base Group search."
L["New Group"] = "Novo grupo"
L["New Operation"] = "Nova Operação"
--[[Translation missing --]]
L["New price sources."] = "New price sources."
--[[Translation missing --]]
L["News & Information"] = "News & Information"
L["No Attachments"] = "Nenhum Anexo"
--[[Translation missing --]]
L["No AuctionDB Realm Data"] = "No AuctionDB Realm Data"
--[[Translation missing --]]
L["No AuctionDB Region Data"] = "No AuctionDB Region Data"
--[[Translation missing --]]
L["No Characters"] = "No Characters"
L["No Crafts"] = "Nenhuma Criação"
--[[Translation missing --]]
L["No Faction-Realms"] = "No Faction-Realms"
L["No group selected"] = "Nenhum grupo selecionado"
--[[Translation missing --]]
L["No Guilds"] = "No Guilds"
L["No item specified. Usage: /tsm restock_help [ITEM_LINK]"] = "Nenhum item especificado. Uso /tsm restock_help [LINK_DO_ITEM]"
L["NO ITEMS"] = "SEM ITENS"
L["No Materials to Gather"] = "Nenhum Material a Coletar"
L["No Operation Selected"] = "Nenhuma Operação Selecionada"
--[[Translation missing --]]
L["No Players"] = "No Players"
L["No posting."] = "Não postará."
L["No Profession Opened"] = "Nenhuma Profissão Aberta"
L["No Profession Selected"] = "Nenhuma Profissão Selecionada"
--[[Translation missing --]]
L["No Professions"] = "No Professions"
L["No profile specified. Possible profiles: '%s'"] = "Nenhum perfil especificado. Possíveis perfis: '%s'"
--[[Translation missing --]]
L["No Rarities"] = "No Rarities"
--[[Translation missing --]]
L["No receipe selected"] = "No receipe selected"
L["No recent AuctionDB scan data found."] = "Nenhum dado recente de escaneamento do AuctionDB encontrado."
L["No Sound"] = "Sem Som"
--[[Translation missing --]]
L["No Sources"] = "No Sources"
--[[Translation missing --]]
L["No Types"] = "No Types"
--[[Translation missing --]]
L["No value was returned by the custom price for the specified item."] = "No value was returned by the custom price for the specified item."
L["None"] = "Nenhum"
L["None (Always Show)"] = "Nenhum (Exibir Sempre)"
L["None Selected"] = "Nada Selecionado"
--[[Translation missing --]]
L["Nongroup to bank"] = "Nongroup to bank"
--[[Translation missing --]]
L["Normal price"] = "Normal price"
L["Not canceling auction at reset price."] = "Não cancelando leilão ao preço de reset."
L["Not canceling auction below min price."] = "Não cancelando leilão abaixo do preço mínimo."
L["Not canceling."] = "Não cancelando."
L["Not Connected"] = "Não Conectado"
L["Not enough items in bags."] = "Não há itens suficientes nas bolsas."
--[[Translation missing --]]
L["Not Enough Money"] = "Not Enough Money"
--[[Translation missing --]]
L["Not enough money to cancel."] = "Not enough money to cancel."
L["NOT OPEN"] = "NÃO ABERTO"
L["Not Scanned"] = "Não escaneado"
--[[Translation missing --]]
L["NOTE: The import contained %d invalid items which were ignored."] = "NOTE: The import contained %d invalid items which were ignored."
--[[Translation missing --]]
L["NOTE: The import contained %d operations with at least one invalid setting which was reset."] = "NOTE: The import contained %d operations with at least one invalid setting which was reset."
L["Nothing to move."] = "Nada a mover."
--[[Translation missing --]]
L["Nothing to send."] = "Nothing to send."
--[[Translation missing --]]
L["Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."] = "Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."
L["NPC"] = "PNJ"
L["Number Owned"] = "Quantidade à Disposição"
L["Offline"] = "Desconectado"
L["On Cooldown"] = "Em Recarga"
L["Only show craftable"] = "Exibir apenas criáveis"
--[[Translation missing --]]
L["Only show items with disenchant values above this price"] = "Only show items with disenchant values above this price"
--[[Translation missing --]]
L["Only show sold auctions"] = "Only show sold auctions"
L["OPEN"] = "ABRIR"
--[[Translation missing --]]
L["Open All Mail"] = "Open All Mail"
--[[Translation missing --]]
L["Open All Mail Without Money"] = "Open All Mail Without Money"
L["Open Mail"] = "Abrir Carta"
--[[Translation missing --]]
L["Open mail complete sound"] = "Open mail complete sound"
--[[Translation missing --]]
L["Open Mail Without Money"] = "Open Mail Without Money"
L["Open Task List"] = "Abrir Lista de Tarefas"
--[[Translation missing --]]
L["Opens the Destroying frame if there's stuff in your bags to be destroyed."] = "Opens the Destroying frame if there's stuff in your bags to be destroyed."
L["Operation"] = "Operação"
L["Operations"] = "Operações"
--[[Translation missing --]]
L["Options specific to Sniper are below."] = "Options specific to Sniper are below."
--[[Translation missing --]]
L["Order Confirmation"] = "Order Confirmation"
--[[Translation missing --]]
L["Orgrimmar"] = "Orgrimmar"
--[[Translation missing --]]
L["Other"] = "Other"
L["Other Character"] = "Outro Personagem"
--[[Translation missing --]]
L["Override default craft value"] = "Override default craft value"
--[[Translation missing --]]
L["Override Parent Operations"] = "Override Parent Operations"
L["Parent Items"] = "Itens Pai"
--[[Translation missing --]]
L["Pausing Scan..."] = "Pausing Scan..."
L["Per Item"] = "Por Item"
L["Per Stack"] = "Por Lote"
--[[Translation missing --]]
L["Per-Character group selections."] = "Per-Character group selections."
--[[Translation missing --]]
L["Performing a dry-run of your Mailing operations for the selected groups."] = "Performing a dry-run of your Mailing operations for the selected groups."
--[[Translation missing --]]
L["Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."] = "Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."
L["Player Gold"] = "Ouro do Jogador"
L["Player Invite Accept"] = "Convite de Jogador Aceito"
--[[Translation missing --]]
L["Post"] = "Post"
--[[Translation missing --]]
L["Post / Cancel"] = "Post / Cancel"
L["Post at Maximum Price"] = "Postar pelo Valor Máximo"
L["Post at Minimum Price"] = "Postar pelo Valor Mínimo"
L["Post at Normal Price"] = "Postar pelo Preço Normal"
--[[Translation missing --]]
L["Post Auction"] = "Post Auction"
--[[Translation missing --]]
L["Post cap"] = "Post cap"
--[[Translation missing --]]
L["Post cap to bags"] = "Post cap to bags"
--[[Translation missing --]]
L["Post from Shopping Scan"] = "Post from Shopping Scan"
--[[Translation missing --]]
L["Post Items from Bags"] = "Post Items from Bags"
--[[Translation missing --]]
L["Post Quantity"] = "Post Quantity"
L["Post Scan"] = "Escanear para Venda"
--[[Translation missing --]]
L["Post Selected"] = "Post Selected"
L["Postage"] = "Postagem"
L["Posted at whitelisted player's price."] = "Postado ao preço de jogador da lista de permitidos."
--[[Translation missing --]]
L["Posted:"] = "Posted:"
L["Posting"] = "Postando"
L["Posting %d / %d"] = "Postando %d / %d"
--[[Translation missing --]]
L["Posting %d items for %s hours."] = "Posting %d items for %s hours."
--[[Translation missing --]]
L["Posting %d stack(s) of %d for %s hours."] = "Posting %d stack(s) of %d for %s hours."
L["Posting at normal price."] = "Postando no preço normal."
L["Posting at whitelisted player's price."] = "Postando no preço do jogador da lista de permissões."
L["Posting at your current price."] = "Postando no seu preço atual."
L["Posting disabled."] = "Postagem desabilitada."
--[[Translation missing --]]
L["Posting Options"] = "Posting Options"
--[[Translation missing --]]
L["Posting Price"] = "Posting Price"
L["Posts"] = "Postagens"
L["Potential"] = "Potencial"
--[[Translation missing --]]
L["Prepare Bid"] = "Prepare Bid"
--[[Translation missing --]]
L["Prepare Buy"] = "Prepare Buy"
--[[Translation missing --]]
L["Preparing..."] = "Preparing..."
--[[Translation missing --]]
L["Prevent closing the Auction House with the esc key"] = "Prevent closing the Auction House with the esc key"
--[[Translation missing --]]
L["Prints out the available price sources for use in custom prices"] = "Prints out the available price sources for use in custom prices"
--[[Translation missing --]]
L["Prints out the version numbers of all installed modules"] = "Prints out the version numbers of all installed modules"
--[[Translation missing --]]
L["Prints the slash command help listing"] = "Prints the slash command help listing"
--[[Translation missing --]]
L["Processing scan results..."] = "Processing scan results..."
--[[Translation missing --]]
L["Profession"] = "Profession"
L["Profession Info"] = "Info de Profissão"
L["Professions Used In"] = "Usado nas Profissões"
L["Profile changed to '%s'."] = "Perfil alterado para '%s'."
L["Profiles"] = "Perfis"
L["Profit"] = "Lucro"
L["PROFIT"] = "LUCRO"
--[[Translation missing --]]
L["Profit (Total)"] = "Profit (Total)"
--[[Translation missing --]]
L["Prospect value"] = "Prospect value"
L["Prospect Value"] = "Valor de Prospecção"
--[[Translation missing --]]
L["Purchase"] = "Purchase"
--[[Translation missing --]]
L["Purchase / Sale Info"] = "Purchase / Sale Info"
--[[Translation missing --]]
L["Purchase Data"] = "Purchase Data"
--[[Translation missing --]]
L["Purchase information"] = "Purchase information"
--[[Translation missing --]]
L["Purchase Item"] = "Purchase Item"
L["Purchased (Min/Avg/Max Price)"] = "Comprado (Preço Mínimo/Médio/Máximo)"
L["Purchased (Total Price)"] = "Comprado (Preço Total)"
L["Purchases"] = "Compras"
L["Purchasing Auction"] = "Comprando Leilão"
--[[Translation missing --]]
L["Puts items matching the item or partial text entered into the bank or guild bank."] = "Puts items matching the item or partial text entered into the bank or guild bank."
L["Qty"] = "Qtde"
--[[Translation missing --]]
L["Quantity"] = "Quantity"
--[[Translation missing --]]
L["Quantity Purchased:"] = "Quantity Purchased:"
L["Quantity Sold:"] = "Quantidade Vendida:"
--[[Translation missing --]]
L["Quantity to move"] = "Quantity to move"
L["Quest Added"] = "Missão Recebida"
L["Quest Completed"] = "Missão Concluída."
L["Quest Objectives Complete"] = "Objetivos da Missão Completos"
--[[Translation missing --]]
L["Queue"] = "Queue"
L["Quickly mail all excess disenchantable items to a character"] = "Envie rapidamente todos os itens desencantáveis em excesso para um personagem"
L["Quickly mail all excess gold (limited to a certain amount) to a character"] = "Envie rapidamente todo o ouro em excesso (limitado à uma certa quantidade) para um personagem"
L["Raid Warning"] = "Aviso de Raide"
L["Read More"] = "Ler Mais"
L["Ready Check"] = "Todos Prontos?"
L["Ready to Cancel"] = "Pronto para Cancelar"
--[[Translation missing --]]
L["Recent"] = "Recent"
L["Recent Scans"] = "Escaneamentos Recentes"
L["Recent Searches"] = "Buscas Recentes"
--[[Translation missing --]]
L["Recipe Name"] = "Recipe Name"
--[[Translation missing --]]
L["Recipient"] = "Recipient"
--[[Translation missing --]]
L["Region avg daily sold"] = "Region avg daily sold"
L["Region Avg Daily Sold"] = "Média de Vendidos Diariamente na Região"
L["Region Historical Price"] = "Preço Histórico da Região"
--[[Translation missing --]]
L["Region historical price"] = "Region historical price"
--[[Translation missing --]]
L["Region market value"] = "Region market value"
L["Region Market Value Avg"] = "Média de Valor de Mercado da Região"
L["Region Min Buyout Avg"] = "Média Regional de Arremate Mínimo"
--[[Translation missing --]]
L["Region min buyout avg"] = "Region min buyout avg"
--[[Translation missing --]]
L["Region sale avg"] = "Region sale avg"
L["Region Sale Avg"] = "Média de Valor de Venda na Região"
L["Region Sale Rate"] = "Taxa de Vendas na Região"
--[[Translation missing --]]
L["Region sale rate"] = "Region sale rate"
L["Reload"] = "Recarregar"
--[[Translation missing --]]
L["Reload UI (%02d)"] = "Reload UI (%02d)"
--[[Translation missing --]]
L["Reload UI (%d)"] = "Reload UI (%d)"
--[[Translation missing --]]
L["Remove"] = "Remove"
--[[Translation missing --]]
L["Remove %d |4Item:Items"] = "Remove %d |4Item:Items"
--[[Translation missing --]]
L["Remove Data Older Than (Days)"] = "Remove Data Older Than (Days)"
--[[Translation missing --]]
L["Remove this account sync and all synced data from this account"] = "Remove this account sync and all synced data from this account"
L["Removed a total of %s old records."] = "Um total de %s  dados antigos foram removidos."
--[[Translation missing --]]
L["Removed custom price source (%s) which has an invalid name."] = "Removed custom price source (%s) which has an invalid name."
L["Rename"] = "Renomear"
L["Rename Profile"] = "Renomear Perfil"
--[[Translation missing --]]
L["Rename Search"] = "Rename Search"
--[[Translation missing --]]
L["Rename the profile"] = "Rename the profile"
--[[Translation missing --]]
L["Rename this group"] = "Rename this group"
--[[Translation missing --]]
L["Repair"] = "Repair"
L["Repair Bill"] = "Conta de Reparo"
--[[Translation missing --]]
L["Repair from Guild Bank"] = "Repair from Guild Bank"
--[[Translation missing --]]
L["Replace %d existing operations and %d existing custom sources?"] = "Replace %d existing operations and %d existing custom sources?"
--[[Translation missing --]]
L["Replace %d existing operations?"] = "Replace %d existing operations?"
--[[Translation missing --]]
L["Reply"] = "Reply"
--[[Translation missing --]]
L["Report Spam"] = "Report Spam"
--[[Translation missing --]]
L["Reports"] = "Reports"
--[[Translation missing --]]
L["Repost threshold"] = "Repost threshold"
L["Required Level"] = "Nível Necessário"
--[[Translation missing --]]
L["Required Level Range"] = "Required Level Range"
L["Resale"] = "Revenda"
--[[Translation missing --]]
L["Rescan"] = "Rescan"
--[[Translation missing --]]
L["Reset"] = "Reset"
--[[Translation missing --]]
L["Reset All Filters"] = "Reset All Filters"
L["Reset Filters"] = "Resetar Filtros"
--[[Translation missing --]]
L["Reset Operation?"] = "Reset Operation?"
--[[Translation missing --]]
L["Reset Profile?"] = "Reset Profile?"
--[[Translation missing --]]
L["Reset Table"] = "Reset Table"
--[[Translation missing --]]
L["Reset the current profile to default settings"] = "Reset the current profile to default settings"
--[[Translation missing --]]
L["Reset to Default"] = "Reset to Default"
--[[Translation missing --]]
L["Reset Zoom"] = "Reset Zoom"
--[[Translation missing --]]
L["Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."] = "Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."
--[[Translation missing --]]
L["Restart"] = "Restart"
--[[Translation missing --]]
L["Restart delay (minutes)"] = "Restart delay (minutes)"
--[[Translation missing --]]
L["Restock bags"] = "Restock bags"
--[[Translation missing --]]
L["Restock help for %s: %s"] = "Restock help for %s: %s"
--[[Translation missing --]]
L["Restock Options"] = "Restock Options"
--[[Translation missing --]]
L["Restock quantity"] = "Restock quantity"
--[[Translation missing --]]
L["Restock Selected Groups"] = "Restock Selected Groups"
--[[Translation missing --]]
L["Restock target to max quantity"] = "Restock target to max quantity"
L["Restocking to %d."] = "Restocando para %d."
--[[Translation missing --]]
L["Restocking with a min profit."] = "Restocking with a min profit."
--[[Translation missing --]]
L["Restocking with no min profit."] = "Restocking with no min profit."
--[[Translation missing --]]
L["Restore bags"] = "Restore bags"
--[[Translation missing --]]
L["Resuming Scan..."] = "Resuming Scan..."
L["Retrying %d auction(s) which failed."] = "Tentando novamente %d leilão(ões) que falharam."
L["Revenue"] = "Receita"
--[[Translation missing --]]
L["Right-Click to reset the window size, scale, and position to their defaults."] = "Right-Click to reset the window size, scale, and position to their defaults."
--[[Translation missing --]]
L["Run Advanced Item Search"] = "Run Advanced Item Search"
L["Run Bid Sniper"] = "Executar Sniper de Lance"
L["Run Buyout Sniper"] = "Executar Sniper de Arremate"
--[[Translation missing --]]
L["Run Cancel Scan"] = "Run Cancel Scan"
--[[Translation missing --]]
L["Run Post Scan"] = "Run Post Scan"
--[[Translation missing --]]
L["Run Shopping Scan"] = "Run Shopping Scan"
L["Running Sniper Scan"] = "Executando Escaneamento Sniper"
L["Sale"] = "Venda"
--[[Translation missing --]]
L["Sale Data"] = "Sale Data"
--[[Translation missing --]]
L["Sale information"] = "Sale information"
L["Sale Price"] = "Preço de Venda"
L["Sale Rate"] = "Taxa de Venda"
--[[Translation missing --]]
L["Sale rate"] = "Sale rate"
L["Sales"] = "Vendas"
L["SALES"] = "VENDAS"
--[[Translation missing --]]
L["Save"] = "Save"
--[[Translation missing --]]
L["Scan"] = "Scan"
L["SCAN ALL"] = "ESCANEAR TUDO"
--[[Translation missing --]]
L["Scan complete sound"] = "Scan complete sound"
L["Scan Paused"] = "Escaneamento Pausado"
--[[Translation missing --]]
L["Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."] = "Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."
--[[Translation missing --]]
L["Scanning"] = "Scanning"
L["SCANNING"] = "ESCANEANDO"
--[[Translation missing --]]
L["Scanning (%d Items)"] = "Scanning (%d Items)"
--[[Translation missing --]]
L["Scroll wheel direction"] = "Scroll wheel direction"
--[[Translation missing --]]
L["Scroll Wheel Options"] = "Scroll Wheel Options"
L["Search"] = "Buscar"
--[[Translation missing --]]
L["Search %s operations"] = "Search %s operations"
L["Search Bags"] = "Buscar nas Bolsas"
L["Search Groups"] = "Buscar Grupos"
--[[Translation missing --]]
L["Search items"] = "Search items"
--[[Translation missing --]]
L["Search items in group"] = "Search items in group"
--[[Translation missing --]]
L["Search items in mailbox"] = "Search items in mailbox"
L["Search Operations"] = "Buscar Operações"
L["Search Patterns"] = "Buscar Padrões"
--[[Translation missing --]]
L["Search Results"] = "Search Results"
--[[Translation missing --]]
L["Search the auction house"] = "Search the auction house"
L["Search Vendor"] = "Buscar no Comerciante"
--[[Translation missing --]]
L["Select / Deselect All Groups"] = "Select / Deselect All Groups"
--[[Translation missing --]]
L["Select / Deselect All Items"] = "Select / Deselect All Items"
--[[Translation missing --]]
L["Select / Deselect All Results"] = "Select / Deselect All Results"
L["Select a Source"] = "Selecione uma Fonte"
L["Select Action"] = "Selecione a Ação"
--[[Translation missing --]]
L["Select All"] = "Select All"
--[[Translation missing --]]
L["Select an Auction to Buy"] = "Select an Auction to Buy"
L["Select Auction to Cancel"] = "Selecione o Leilão a Cancelar"
L["Select crafter"] = "Selecione o personagem"
--[[Translation missing --]]
L["Select Group"] = "Select Group"
--[[Translation missing --]]
L["Select included subgroups"] = "Select included subgroups"
--[[Translation missing --]]
L["Select Items to Attach"] = "Select Items to Attach"
L["Select professions"] = "Selecionar profissões"
L["Sell"] = "Venda"
--[[Translation missing --]]
L["Sell All"] = "Sell All"
--[[Translation missing --]]
L["Sell BoEs"] = "Sell BoEs"
--[[Translation missing --]]
L["Sell Groups"] = "Sell Groups"
L["Sell Options"] = "Opções de Venda"
--[[Translation missing --]]
L["Sell soulbound items"] = "Sell soulbound items"
L["Sell to Vendor"] = "Vender para Comerciante"
--[[Translation missing --]]
L["Sell Trash"] = "Sell Trash"
L["Seller"] = "Vendedor"
L["Selling soulbound items."] = "Vendendo itens vinculados."
L["Send"] = "Enviar"
--[[Translation missing --]]
L["Send Disenchantables"] = "Send Disenchantables"
L["Send Excess Gold to Banker"] = "Enviar Excesso de Ouro para Alt Banco"
--[[Translation missing --]]
L["Send Gold"] = "Send Gold"
L["Send grouped items individually"] = "Enviar itens agrupados individualmente"
--[[Translation missing --]]
L["Send Mail"] = "Send Mail"
L["Send Money"] = "Enviar Dinheiro"
--[[Translation missing --]]
L["Send your active profile to this synced account"] = "Send your active profile to this synced account"
--[[Translation missing --]]
L["Sender"] = "Sender"
L["SENDING"] = "ENVIANDO"
L["Sending %s to %s"] = "Enviando %s para %s"
L["Sending %s to %s with a COD of %s"] = "Enviando %s para %s com uma CaC de %s"
L["Sending Settings"] = "Configurações de Envio"
L["Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"] = "Enviando seu perfil '%s' para %s. Por favor, mantenha ambos personagens conectados até isto ser completado. Isto levará aproximadamente: %s"
--[[Translation missing --]]
L["Sending..."] = "Sending..."
--[[Translation missing --]]
L["Set bid as percentage of buyout"] = "Set bid as percentage of buyout"
--[[Translation missing --]]
L["Set how items are moved out of the bank."] = "Set how items are moved out of the bank."
--[[Translation missing --]]
L["Set how items are restocked from the bank."] = "Set how items are restocked from the bank."
--[[Translation missing --]]
L["Set keep in bags quantity"] = "Set keep in bags quantity"
--[[Translation missing --]]
L["Set keep in bank quantity"] = "Set keep in bank quantity"
--[[Translation missing --]]
L["Set max quantity"] = "Set max quantity"
--[[Translation missing --]]
L["Set min profit"] = "Set min profit"
--[[Translation missing --]]
L["Set move quantity"] = "Set move quantity"
--[[Translation missing --]]
L["Set stack size"] = "Set stack size"
--[[Translation missing --]]
L["Set stack size for restock"] = "Set stack size for restock"
--[[Translation missing --]]
L["Set what is bought from a vendor."] = "Set what is bought from a vendor."
--[[Translation missing --]]
L["Set what is sold to a vendor."] = "Set what is sold to a vendor."
--[[Translation missing --]]
L["Set what items are shown during a Shopping scan."] = "Set what items are shown during a Shopping scan."
--[[Translation missing --]]
L["Set what items are shown during a Sniper scan."] = "Set what items are shown during a Sniper scan."
--[[Translation missing --]]
L["Set your active profile or create a new one."] = "Set your active profile or create a new one."
--[[Translation missing --]]
L["Settings"] = "Settings"
--[[Translation missing --]]
L["Setup various sounds that play when doing Auctioning scans."] = "Setup various sounds that play when doing Auctioning scans."
--[[Translation missing --]]
L["SHIFT"] = "SHIFT"
L["Shopping"] = "Comprar"
--[[Translation missing --]]
L["Shopping %s button"] = "Shopping %s button"
L["Shopping for auctions including those above the max price."] = "Comprando leilões, incluindo aqueles acima do preço máximo."
L["Shopping for auctions with a max price set."] = "Comprando leilões com um preço máximo definido."
--[[Translation missing --]]
L["Shopping operation"] = "Shopping operation"
--[[Translation missing --]]
L["Shopping Operation Max Price"] = "Shopping Operation Max Price"
--[[Translation missing --]]
L["Shopping operations control buyout from the AH."] = "Shopping operations control buyout from the AH."
--[[Translation missing --]]
L["Shortfall to bags"] = "Shortfall to bags"
--[[Translation missing --]]
L["Show auctions above max price"] = "Show auctions above max price"
L["Show confirmation alert if buyout is above the alert price"] = "Exibir confirmação de arremate se o preço está acima do preço de alerta"
--[[Translation missing --]]
L["Show destroying frame automatically"] = "Show destroying frame automatically"
--[[Translation missing --]]
L["Show on modifier"] = "Show on modifier"
--[[Translation missing --]]
L["Show only auctions with bids"] = "Show only auctions with bids"
--[[Translation missing --]]
L["Showing %s Mail"] = "Showing %s Mail"
--[[Translation missing --]]
L["Showing %s of %d Mail"] = "Showing %s of %d Mail"
--[[Translation missing --]]
L["Showing %s of %d Mails"] = "Showing %s of %d Mails"
--[[Translation missing --]]
L["Showing all %s Mails"] = "Showing all %s Mails"
--[[Translation missing --]]
L["Simple inventory"] = "Simple inventory"
--[[Translation missing --]]
L["Skip"] = "Skip"
--[[Translation missing --]]
L["Skipped:"] = "Skipped:"
L["Skipped: No assigned operation"] = "Ignorado: Nenhuma operação atribuída"
L["Slash Commands:"] = "Comandos de barra:"
--[[Translation missing --]]
L["Smart Avg Buy Price"] = "Smart Avg Buy Price"
L["Sniper"] = "Sniper"
--[[Translation missing --]]
L["Sniper %s button"] = "Sniper %s button"
--[[Translation missing --]]
L["Sniper Below Price"] = "Sniper Below Price"
--[[Translation missing --]]
L["Sniper operation"] = "Sniper operation"
--[[Translation missing --]]
L["Sniper Operation Below Price"] = "Sniper Operation Below Price"
--[[Translation missing --]]
L["Sniper operations control sniping from the AH."] = "Sniper operations control sniping from the AH."
L["Sniper Options"] = "Opções do Sniper"
L["Sniping items below a max price"] = "Executando Snipe em itens abaixo de um preço máximo"
L["Sold"] = "Vendido"
L["Sold %d of %s to %s for %s"] = "Vendeu %d de %s para %s por %s"
L["Sold %s worth of items."] = "Vendeu %s em itens."
L["Sold (Min/Avg/Max Price)"] = "Vendido (Preço Mínimo/Médio/Máximo)"
L["Sold (Total Price)"] = "Vendido (Preço Total)"
L["Sold [%s]x%d for %s to %s"] = "Vendeu [%s]x%d por %s para %s"
--[[Translation missing --]]
L["Sold for:"] = "Sold for:"
--[[Translation missing --]]
L["Some general Accounting options are below."] = "Some general Accounting options are below."
--[[Translation missing --]]
L["Some general appearance options are below."] = "Some general appearance options are below."
--[[Translation missing --]]
L["Some general Auctioning options are below."] = "Some general Auctioning options are below."
--[[Translation missing --]]
L["Some general Browse/Sniper options are below."] = "Some general Browse/Sniper options are below."
--[[Translation missing --]]
L["Some general options for the TSM tooltip information are below."] = "Some general options for the TSM tooltip information are below."
--[[Translation missing --]]
L["Some general TSM options are below."] = "Some general TSM options are below."
--[[Translation missing --]]
L["Some options for the Disenchant Search are below."] = "Some options for the Disenchant Search are below."
L["Source"] = "Fonte"
L["SOURCE %d"] = "FONTE %d"
L["Sources"] = "Fontes"
--[[Translation missing --]]
L["Sources to include for restock"] = "Sources to include for restock"
L["Stack"] = "Lote"
L["Stack / Quantity"] = "Lote / Quantidade"
--[[Translation missing --]]
L["Stack size"] = "Stack size"
--[[Translation missing --]]
L["Stack size multiple"] = "Stack size multiple"
--[[Translation missing --]]
L["Stack(s)"] = "Stack(s)"
L["Start either a 'Buyout' or 'Bid' sniper using the buttons above."] = "Comece escaneamento sniper de 'Arremate' ou 'Lance' usando os botões acima."
--[[Translation missing --]]
L["Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."] = "Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."
L["Starting Scan..."] = "Começando escaneamento..."
L["Store operations globally"] = "Armazenar operações globalmente"
--[[Translation missing --]]
L["Stormwind"] = "Stormwind"
--[[Translation missing --]]
L["String"] = "String"
L["Subject"] = "Assunto"
--[[Translation missing --]]
L["Subject & Description added"] = "Subject & Description added"
L["Successfully sent your '%s' profile to %s!"] = "Perfil '%s' enviado com sucesso para %s!"
--[[Translation missing --]]
L["Supported range: %d - %d"] = "Supported range: %d - %d"
--[[Translation missing --]]
L["Supported value range: %d - %d"] = "Supported value range: %d - %d"
--[[Translation missing --]]
L["Swamp of Sorrows"] = "Swamp of Sorrows"
L["Switch to %s"] = "Mudar para %s"
L["Sync Setup Error: The specified player on the other account is not currently online."] = "Erro de Configuração de Sincronização: o jogador especificado na outra conta não está atualmente online."
L["Sync Setup Error: This character is already part of a known account."] = "Erro de Configuração de Sincronização: Este personagem já é parte de uma conta conhecida."
L["Sync Setup Error: You entered the name of the current character and not the character on the other account."] = "Erro de configuração de sincronização: você inseriu o nome do personagem atual e não o personagem da outra conta."
L["Sync Status"] = "Status de Sincronização"
--[[Translation missing --]]
L["Target character"] = "Target character"
--[[Translation missing --]]
L["Target shortfall to bags"] = "Target shortfall to bags"
L["Tasks Added to Task List"] = "Tarefas Adicionadas à Lista de Tarefas"
--[[Translation missing --]]
L["Tells you why a specific item is not being restocked and added to the queue."] = "Tells you why a specific item is not being restocked and added to the queue."
L["Text (%s)"] = "Texto (%s)"
--[[Translation missing --]]
L["The '%s' custom price source is invalid."] = "The '%s' custom price source is invalid."
--[[Translation missing --]]
L["The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."] = "The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."
--[[Translation missing --]]
L["The buyout price for %s would be above the maximum allowed price. Skipping this item."] = "The buyout price for %s would be above the maximum allowed price. Skipping this item."
L["The canlearn filter was ignored because the CanIMogIt addon was not found."] = "O filtro canlearn foi ignorado porque o addon CanIMogit não foi encontrado."
--[[Translation missing --]]
L["The 'Craft Value Method' did not return a value for this item."] = "The 'Craft Value Method' did not return a value for this item."
--[[Translation missing --]]
L["The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."] = "The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."
--[[Translation missing --]]
L["The max quantity cannot be zero."] = "The max quantity cannot be zero."
--[[Translation missing --]]
L["The min profit did not evalulate to a valid value for this item."] = "The min profit did not evalulate to a valid value for this item."
--[[Translation missing --]]
L["The name portion of the search term must be at least 3 characters if present."] = "The name portion of the search term must be at least 3 characters if present."
--[[Translation missing --]]
L["The pasted value was not valid. Ensure you are pasting the entire import string."] = "The pasted value was not valid. Ensure you are pasting the entire import string."
L["The player \"%s\" is already on your whitelist."] = "O jogador \"%s\" já está em sua lista de permissões."
L["The profit of this item (%s) is below the min profit (%s)."] = "O lucro deste item (%s) está abaixo do lucro mínimo (%s)."
--[[Translation missing --]]
L["The same filter was specified multiple times."] = "The same filter was specified multiple times."
--[[Translation missing --]]
L["The search term must be at least 3 characters."] = "The search term must be at least 3 characters."
L["The seller name of the lowest auction for %s was not given by the server. Skipping this item."] = "O nome do vendedor para o leilão de %s não foi recuperado pelo servidor. Pulando este item."
--[[Translation missing --]]
L["The specified filter was empty."] = "The specified filter was empty."
--[[Translation missing --]]
L["The specified item is not supported for crafting searches."] = "The specified item is not supported for crafting searches."
--[[Translation missing --]]
L["The specified item is not supported for disenchant searches."] = "The specified item is not supported for disenchant searches."
--[[Translation missing --]]
L["The specified item was not found."] = "The specified item was not found."
L["The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."] = "O TradeSkillMaster_AppHelper está instalado, mas não está habilitado. O TSM o reabilitou e requer um recarregamento."
L["The unlearned filter was ignored because the CanIMogIt addon was not found."] = "O filtro 'unlearned' foi ignorado porque o addon CanIMogIt não foi encontrado."
--[[Translation missing --]]
L["The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."] = "The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."
--[[Translation missing --]]
L["Themes"] = "Themes"
--[[Translation missing --]]
L["There is currently no profession open, so cannot create profession groups."] = "There is currently no profession open, so cannot create profession groups."
L["There is no Crafting operation applied to this item's TSM group (%s)."] = "Não há uma operação de Criação aplicada ao grupo TSM deste item (%s)."
L["This is not a valid profile name. Profile names must be at least one character long and may not contain '@' characters."] = "Este não é um nome de perfil válido. Os nomes de perfil devem ter pelo menos um caractere e não podem conter caracteres '@'."
L["This item does not have a crafting cost. Check that all of its mats have mat prices."] = "Este item não possui um custo de criação. Certifique-se de que todos os materiais possuam valor de material."
L["This item is not in a TSM group."] = "Este item não está em um grupo do TSM."
--[[Translation missing --]]
L["This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."] = "This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."
L["This looks like an exported operation and not a custom price."] = "Isto parece uma operação exportada e não um preço personalizado."
--[[Translation missing --]]
L["This operation is applied to the base group which includes every item not in another group."] = "This operation is applied to the base group which includes every item not in another group."
--[[Translation missing --]]
L["This price is above your confirmation alert threshold."] = "This price is above your confirmation alert threshold."
--[[Translation missing --]]
L["This profession is not open."] = "This profession is not open."
--[[Translation missing --]]
L["This record belongs to another account and can only be deleted on that account."] = "This record belongs to another account and can only be deleted on that account."
L["This will permanently delete the '%s' profile."] = "Isto excluirá permanentemente o perfil '%s'."
--[[Translation missing --]]
L["This will reset all groups and operations (if not stored globally) to be wiped from '%s'."] = "This will reset all groups and operations (if not stored globally) to be wiped from '%s'."
L["Time"] = "Quando"
L["Time Frame"] = "Período"
--[[Translation missing --]]
L["Time to Craft:"] = "Time to Craft:"
--[[Translation missing --]]
L["Tinker"] = "Tinker"
--[[Translation missing --]]
L["To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."] = "To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."
--[[Translation missing --]]
L["Toggles the main TSM window"] = "Toggles the main TSM window"
--[[Translation missing --]]
L["Toggles the TSM Banking UI if either the bank or guild bank is currently open."] = "Toggles the TSM Banking UI if either the bank or guild bank is currently open."
--[[Translation missing --]]
L["Toggles the TSM Crafting UI."] = "Toggles the TSM Crafting UI."
--[[Translation missing --]]
L["Toggles the TSM Task List UI"] = "Toggles the TSM Task List UI"
--[[Translation missing --]]
L["Tooltip Options"] = "Tooltip Options"
--[[Translation missing --]]
L["Tooltip price format"] = "Tooltip price format"
L["Tooltip Settings"] = "Configurações de Tooltip"
--[[Translation missing --]]
L["Top Buyers"] = "Top Buyers"
--[[Translation missing --]]
L["Top Item"] = "Top Item"
--[[Translation missing --]]
L["TOP PURCHASE"] = "TOP PURCHASE"
--[[Translation missing --]]
L["TOP SALE"] = "TOP SALE"
--[[Translation missing --]]
L["Top Sellers"] = "Top Sellers"
L["Total"] = "Total"
L["Total Gold"] = "Ouro Total"
L["Total Gold Collected: %s"] = "Ouro Total Coletado: %s"
--[[Translation missing --]]
L["Total Gold Earned"] = "Total Gold Earned"
--[[Translation missing --]]
L["Total Gold Spent"] = "Total Gold Spent"
--[[Translation missing --]]
L["Total Inventory Quantity"] = "Total Inventory Quantity"
--[[Translation missing --]]
L["Total Items"] = "Total Items"
--[[Translation missing --]]
L["Total Postage"] = "Total Postage"
L["Total Price"] = "Preço Total"
--[[Translation missing --]]
L["Total Prices:"] = "Total Prices:"
--[[Translation missing --]]
L["Total Profit"] = "Total Profit"
L["Total Value"] = "Valor Total"
L["Track Sales / Purchases via trade"] = "Acompanhar Vendas / Compras via janela de troca"
L["Transform Value"] = "Valor de Transformação"
--[[Translation missing --]]
L["Transform value"] = "Transform value"
--[[Translation missing --]]
L["Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."] = "Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."
--[[Translation missing --]]
L["TSM 4.10: What's new"] = "TSM 4.10: What's new"
--[[Translation missing --]]
L["TSM Accounting"] = "TSM Accounting"
--[[Translation missing --]]
L["TSM AuctionDB"] = "TSM AuctionDB"
--[[Translation missing --]]
L["TSM Auctioning"] = "TSM Auctioning"
--[[Translation missing --]]
L["TSM can automatically sync data between multiple WoW accounts."] = "TSM can automatically sync data between multiple WoW accounts."
L["TSM Crafting"] = "TSM Criação"
--[[Translation missing --]]
L["TSM Desktop App Status (%s)"] = "TSM Desktop App Status (%s)"
--[[Translation missing --]]
L["TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"] = "TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"
--[[Translation missing --]]
L["TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."] = "TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."
L["TSM failed to scan some auctions. Please rerun the scan."] = "O TSM falhou em escanear alguns leilões. Por favor, execute-o novamente."
--[[Translation missing --]]
L["TSM General Info"] = "TSM General Info"
--[[Translation missing --]]
L["TSM Groups"] = "TSM Groups"
L["TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."] = "O TSM está atualmente reconstruindo seu cache de itens, o que pode causar alguma queda de QPS e fazer com que o TSM não esteja totalmente funcional até que este processo seja completado. Isso é normal e geralmente leva menos de um minuto."
L["TSM is missing important information from the TSM Desktop Application. Please ensure the TSM Desktop Application is running and is properly configured."] = "TSM está notando a ausência de algumas informações importantes  do App de Desktop do TSM. Por favor, certifique-se que o App de Desktop do TSM esteja rodando e esteja corretamente configurado."
--[[Translation missing --]]
L["TSM is not yet ready to establish a new sync connection. Please try again later."] = "TSM is not yet ready to establish a new sync connection. Please try again later."
--[[Translation missing --]]
L["TSM Shopping"] = "TSM Shopping"
--[[Translation missing --]]
L["TSM Sniper"] = "TSM Sniper"
L["TSM TASK LIST"] = "TSM LISTA DE TAREFAS"
L["TSM Version Info:"] = "Informações da versão TSM:"
--[[Translation missing --]]
L["TSM will not undercut any players you add to your whitelist."] = "TSM will not undercut any players you add to your whitelist."
L["TSM_Accounting detected that you just traded %s %s in return for %s. Would you like Accounting to store a record of this trade?"] = "O TSM_Accounting detectou que você trocou %s %s por %s. Você gostaria que a Contabilidade armazenasse o registro destra troca?"
L["TSM4"] = "TSM4"
L["TUJ 14-Day Price"] = "TUJ - Preço de 14 Dias"
L["TUJ 3-Day Price"] = "TUJ - Preço de 3 Dias"
L["TUJ Global Mean"] = "TUJ - Média Global"
L["TUJ Global Median"] = "TUJ - Mediana Global"
L["Type"] = "Tipo"
L["Unbalanced parentheses."] = "Parênteses errados."
--[[Translation missing --]]
L["Uncollected Only"] = "Uncollected Only"
--[[Translation missing --]]
L["Undercut amount"] = "Undercut amount"
L["Undercut by whitelisted player."] = "Preço cortado por jogador na lista de permissões."
L["Undercutting blacklisted player."] = "Preço cortado por jogador na lista negra."
L["Undercutting competition."] = "Cortando preço da concorrência."
L["Ungrouped Items"] = "Itens Desagrupados"
--[[Translation missing --]]
L["Ungrouped Items in Bags"] = "Ungrouped Items in Bags"
--[[Translation missing --]]
L["Unit Price"] = "Unit Price"
L["Unknown Item"] = "Item Desconhecido"
--[[Translation missing --]]
L["Unknown word (%s)."] = "Unknown word (%s)."
--[[Translation missing --]]
L["Unlock Column Width"] = "Unlock Column Width"
L["Unwrap Gift"] = "Desembrulhar Presente"
L["Up"] = "Acima"
L["Up to date"] = "Atualizado"
--[[Translation missing --]]
L["Update existing macro"] = "Update existing macro"
L["Updating"] = "Atualizando"
--[[Translation missing --]]
L["Upgrades Only"] = "Upgrades Only"
--[[Translation missing --]]
L["Usable Only"] = "Usable Only"
--[[Translation missing --]]
L["Usage: /tsm price <Item Link> <Custom String>"] = "Usage: /tsm price <Item Link> <Custom String>"
--[[Translation missing --]]
L["Use the settings below to control which lines are shown in tooltips."] = "Use the settings below to control which lines are shown in tooltips."
--[[Translation missing --]]
L["Use this list to manage what cooldowns you'd like TSM to ignore from crafting."] = "Use this list to manage what cooldowns you'd like TSM to ignore from crafting."
--[[Translation missing --]]
L["Use this list to manage what items you'd like TSM to ignore from destroying."] = "Use this list to manage what items you'd like TSM to ignore from destroying."
--[[Translation missing --]]
L["Value"] = "Value"
--[[Translation missing --]]
L["Value must be between %d and %d."] = "Value must be between %d and %d."
--[[Translation missing --]]
L["Value Price Source"] = "Value Price Source"
--[[Translation missing --]]
L["Values"] = "Values"
L["Vendor"] = "Comerciante"
L["Vendor Buy Price"] = "Preço de Compra do Comerciante"
--[[Translation missing --]]
L["Vendor buy price"] = "Vendor buy price"
L["Vendor Search"] = "Busca no Comerciante"
L["Vendor Sell"] = "Venda no Comerciante"
L["Vendor Sell Price"] = "Preço de Venda do Comerciante"
--[[Translation missing --]]
L["Vendor sell price"] = "Vendor sell price"
--[[Translation missing --]]
L["Vendoring"] = "Vendoring"
--[[Translation missing --]]
L["Vendoring %s button"] = "Vendoring %s button"
--[[Translation missing --]]
L["Vendoring operation"] = "Vendoring operation"
--[[Translation missing --]]
L["Vendoring operations control selling to and buying from a vendor."] = "Vendoring operations control selling to and buying from a vendor."
L["Warehousing"] = "Armazenamento"
--[[Translation missing --]]
L["Warehousing operation"] = "Warehousing operation"
--[[Translation missing --]]
L["Warehousing operations control moving in and out of the bank."] = "Warehousing operations control moving in and out of the bank."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Armazenamento irá mover um máximo de %d de cada item neste grupo, mantendo %d de cada item quando bolsas > banco/gbanco e %d de cada item quando gbanco/banco > bolsas."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Armazenamento irá mover um máximo de %d de cada item neste grupo, mantendo %d de cada item quando bolsas > banco/gbanco e %d de cada item quando gbanco/banco > bolsas. Restoque irá manter %d itens em suas bolsas."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."] = "Armazenamento irá mover um máximo de %d de cada item neste grupo, mantendo %d de cada item quando bolsas > banco/gbanco."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Armazenamento irá mover um máximo de %d de cada item neste grupo, mantendo %d de cada item quando bolsas > banco/gbanco. Restoque irá manter %d itens em suas bolsas."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."] = "Armazenamento irá mover um máximo de %d de cada item neste grupo, mantendo %d de cada item quando banco/gbanco > bolsas."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Armazenamento irá mover um máximo de %d de cada item neste grupo, mantendo %d de cada item quando banco/gbanco > bolsas. Restoque irá manter %d itens em suas bolsas."
L["Warehousing will move a max of %d of each item in this group."] = "Armazenamento irá mover um máximo de %d de cada item neste grupo."
L["Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."] = "Armazenamento irá mover um máximo de %d de cada item neste grupo. Restoque irá manter %d itens em suas bolsas."
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Armazenamento irá mover todos os itens neste grupo, mantendo %d de cada item quando bolsas > banco/gbanco, %d de cada item quando banco/gbanco > bolsas."
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Armazenamento irá mover todos os itens neste grupo, mantendo %d de cada item quando bolsas > banco/gbanco, %d de cada item quando banco/gbanco > bolsas. Restoque irá manter %d itens em suas bolsas."
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."] = "Armazenamento irá mover todos os itens neste grupo, mantendo %d de cada item quando bolsas > banco/gbanco."
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Armazenamento irá mover todos os itens neste grupo, mantendo %d de cada item quando bolsas > banco/gbanco. Restoque irá manter %d itens em suas bolsas."
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."] = "Armazenamento irá mover todos os itens neste grupo, mantendo %d de cada item quando banco/gbanco > bolsas."
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Armazenamento irá mover todos os itens neste grupo, mantendo %d de cada item quando banco/gbanco > bolsas. Restoque irá manter %d itens em suas bolsas."
L["Warehousing will move all of the items in this group."] = "Armazenamento irá mover todos os itens neste grupo."
L["Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."] = "Armazenamento irá mover todos os itens neste grupo. Restoque irá manter %d itens em suas bolsas."
L["WARNING: The macro was too long, so was truncated to fit by WoW."] = "AVISO: A macro era muito longa, então foi reduzida para ser ajustada pelo WoW."
--[[Translation missing --]]
L["WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."] = "WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."
--[[Translation missing --]]
L["We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."] = "We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."
L["When above maximum:"] = "Quando acima do máximo:"
L["When below minimum:"] = "Quando abaixo do mínimo:"
L["Whitelist"] = "Lista de Permissões"
--[[Translation missing --]]
L["Whitelisted characters"] = "Whitelisted characters"
--[[Translation missing --]]
L["Winamp"] = "Winamp"
--[[Translation missing --]]
L["Would send %s to %s"] = "Would send %s to %s"
--[[Translation missing --]]
L["Would send %s to %s with a COD of %s"] = "Would send %s to %s with a COD of %s"
--[[Translation missing --]]
L["WOW UI"] = "WOW UI"
--[[Translation missing --]]
L["You are not on one of the listed characters."] = "You are not on one of the listed characters."
--[[Translation missing --]]
L["You can clear old Accounting data below to keep things running smoothly."] = "You can clear old Accounting data below to keep things running smoothly."
--[[Translation missing --]]
L["You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"] = "You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"
--[[Translation missing --]]
L["You can use the export string below to share this group with others."] = "You can use the export string below to share this group with others."
L["You cannot use %s as part of this custom price."] = "Você não pode usar %s como parte desse preço personalizado."
L["You cannot use %s within convert() as part of this custom price."] = "Você não pode usar %s dentro do convert() como parte deste preço personalizado."
L["You do not need to add \"%s\", alts are whitelisted automatically."] = "Você não precisa adicionar \"%s\", alts são adicionados à Lista de Permissões automaticamente."
L["You don't know how to craft this item."] = "Você não sabe como criar este item."
--[[Translation missing --]]
L["You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."] = "You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."
L["You must reload your UI for these settings to take effect. Reload now?"] = "Você deve atualizar sua UI para que essas mudanças sejam aplicadas. Atualizar agora?"
L["You won an auction for %sx%d for %s"] = "Você ganhou um leilão de %sx%d por %s"
L["Your auction has not been undercut."] = "Seu leilão não teve o preço cortado."
L["Your auction of %s expired"] = "Seu leilão de %s expirou"
L["Your auction of %s has sold for %s!"] = "Seu leilão %s foi vendido por %s!"
L["Your Buyout"] = "Seu Arremate"
L["Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"] = "Seu método de valor de criação para '%s' era inválido então ele retornou o valor padrão. Detalhes: %s"
L["Your default craft value method was invalid so it has been returned to the default. Details: %s"] = "Seu método de valor de criação padrão era inválido então ele retornou o padrão. Detalhes: %s"
--[[Translation missing --]]
L["Your max restock (%s) is invalid for %s."] = "Your max restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your min restock (%s) is invalid for %s."] = "Your min restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your restock quantity is invalid. It must be between %d and %s."] = "Your restock quantity is invalid. It must be between %d and %s."
L["Your task list is currently empty."] = "Sua lista de tarefas está atualmente vazia."
L["You've been phased which has caused the AH to stop working due to a bug on Blizzard's end. Please close and reopen the AH and restart Sniper."] = "Você foi faseado, o que fez com que a CdL parasse de funcionar devido à um erro no lado dos servidores Blizzards. Por favor, feche e reabra a janela da CdL e reinicie o Sniper."
L["You've been undercut."] = "Seu preço foi cortado."
	elseif locale == "ruRU" then
L = L or {}
L["%d |4Group:Groups; Selected (%d |4Item:Items;)"] = "Выбрано: группы %d, предметы %d"
L["%d auctions"] = "лоты: %d"
L["%d Characters"] = "%d Персонажей"
L["%d Custom Sources"] = "%d Пользовательских источников"
L["%d Faction-Realms"] = "%d Фракция-Мир"
L["%d groups"] = "%d Группы"
L["%d Groups"] = "%d Группы"
L["%d Groups Selected"] = "%d Групп выбрано"
L["%d groups were created and %d items were added from the table."] = "%d групп было создано и %d элементов добавлено из таблицы."
L["%d Guilds"] = "%d Гильдий"
L["%d Items"] = "%d Предметы"
L["%d of %d"] = "%d по %d"
L["%d Operations"] = "Операции: %d"
L["%d Players"] = "%d Игроков"
L["%d Posted Auctions"] = "Активные лоты: %d"
L["%d Professions"] = "%d Профессий"
L["%d Rarities"] = "%d Редких"
L["%d Results"] = "%d Результатов"
L["%d Selected"] = "Выбрано: %d"
L["%d Sold Auctions"] = "Проданные лоты: %d"
L["%d Sources"] = "%d Ресурсов"
L["%d Sub-Groups"] = "Подгруппы: %d"
L["%d subgroups included"] = "Включенные подгруппы %d"
L["%d Types"] = "Типы: %d"
L["%s - %s has been reset to default values."] = "%s - %s Сброс значений по-умолчанию.."
L["%s %s Operations"] = "Операции: %s %s"
L["%s (%s bags, %s bank, %s AH, %s mail)"] = "%s (%s сумки, %s банк, %s аукцион, %s почта)"
L["%s (%s player, %s alts, %s AH)"] = "%s (%s Персонаж, %s Альт, %s AH)"
L["%s (%s player, %s alts, %s guild, %s AH)"] = "%s (%s игрок, %s альты, %s гильдия, %s аукцион)"
L["%s (%s profit)"] = "%s (%s прибыль)"
L["%s ago"] = "%s назад"
L["%s Crafts"] = "%s Создать"
L["%s group is already up to date."] = "%s Группа уже обновлена."
L["%s group updated with %d items and %d materials."] = "%s группа обновлена содержащая %d предметов и %d материалов."
L["%s in guild vault"] = "%s в банке гильдии"
L["%s is a valid custom price but %s is an invalid item."] = "%s правильная пользовательская цена, но %s неподходящий предмет."
L["%s is a valid custom price but did not give a value for %s."] = "%s корректная индивидуальная цена, но не дает стоимость для %s."
L["'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."] = "'%s' Недопустимая операция. Минимальный запас %d выше максимального запаса %d для %s."
L["%s is not a valid custom price and gave the following error: %s"] = "%s некорректная индивидуальная цена, ошибка: %s"
L["%s Items Bought"] = "%s Предметов куплено."
L["%s Items Cancelled"] = "%s Предметов отменено"
L["%s Items Expired"] = "%s Предметов истекло"
L["%s Items Resold"] = "%s Предметов перепродано"
L["%s Items Selected"] = "%s Предметов выбрано"
L["%s Items Sold"] = "%s Предметов продано"
L["%s Items Total"] = "%s Предметов всего"
L["%s operation"] = "Операция %s"
L["%s operations"] = "%s Операций"
L["%s Operations"] = "%s Операции"
L["%s Posted Auctions"] = "Выставленные лоты: %s"
L["%s Posted Auctions (Filtered)"] = "Выставленные лоты (отфильтрованные): %s"
L["%s previously had the max number of operations, so removed %s."] = "%s прежде достигло максимального числа операций, поэтому удален %s"
L["%s removed."] = "%s удалено."
L["%s sent you %s"] = "%s отправил вам %s"
L["%s sent you %s and %s"] = "%s отправил вам %s и %s"
L["%s sent you a COD of %s for %s"] = "%s отправил вам наложенным платежом %s за %s"
L["%s sent you a message: %s"] = "%s отправил вам сообщение: %s"
L["%s Sold Auctions"] = "%s Продано лотов"
L["%s Sold Auctions (Filtered)"] = "%s Продано лотов (отфильтрованные)"
L["%s Total"] = "Всего: %s"
L["%s total"] = "всего %s"
L["%s Total Profit"] = "Всего прибыли: %s"
L["%sDrag%s to move this button"] = "%sПеретащите%s чтобы подвинуть эту кнопку"
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."] = "%sВАЖНО:|r Когда TSM последний раз сохранял данные, они былы слишком велики для обработки WoW, поэтому старая информация была автоматически обрезана, чтобы избежать повреждения сохраненных данных. %s Последних данных о покупке были сохранены."
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."] = "%sВАЖНО:|r Когда TSM последний раз сохранял данные, они былы слишком велики для обработки WoW, поэтому старая информация была автоматически обрезана, чтобы избежать повреждения сохраненных данных. %s Последних данных о покупке были сохранены."
L["%sLeft-Click%s to open the main window"] = "%sЛКМ%s для открытия главного окна"
L["%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."] = "%sЛКМ|r чтобы игнорировать предмет. Удерживая %sShift|r чтобы игнорировать навсегда. Позже Вы можете удалить предмет из списка игнорирования в настройках."
L["(%d - %d)"] = "(%d - %d)"
L["(%d/500 Characters)"] = "%d / 500 символов"
L["(minimum 0 - maximum %d)"] = "(Минимум 0 - Максимум %d)"
L["1 Group"] = "1 Группа"
L["1 Item"] = "1 Предмет"
L["1D"] = "1Д"
L["1M"] = "1М"
L["1W"] = "1Н"
L["1Y"] = "1Г"
L["2Y"] = "2Г"
L["3M"] = "3М"
L["6M"] = "6М"
L["A brand new and improved user interface."] = "Совершенно новый и улучшенный интерфейс."
L["A custom price of %s for %s evaluates to %s."] = "Индивидуальная цена %s для %s оценивается в %s."
L["A maximum of 1 convert() function is allowed."] = "Допускается максимум 1 функция convert()."
L["A profile with that name already exists on the target account. Rename it first and try again."] = "Профиль с этим именем уже существует на целевом аккаунте. Сначала переименуйте его и попробуйте еще раз."
L["A profile with this name already exists."] = "Профиль с таким именем уже существует."
L["A scan is already in progress. Please stop that scan before starting another one."] = "Сканирование уже идёт. Остановите его, прежде чем начать новое."
L["A single craft makes %d and you only need to restock %d."] = "За один крафт создаётся %d, и Вам необходимо пополнить запасы только %d."
L["Above max expires."] = "Превышены попытки выставить."
L["Above max price. Not posting."] = "Выше макс. Не выставляем."
L["Above max price. Posting at max."] = "Цена выше максимальной. Выставлено на макс."
L["Above max price. Posting at min."] = "Цена выше максимальной. Выставлено на мин."
L["Above max price. Posting at normal."] = "Цена выше максимальной. Выставлено по нормальной цене."
L["Accept COD?"] = "Принять наложенный платёж?"
L["Accepting this item will cost: %s"] = "Стоимость этого предмета будет: %s"
L["Account sync removed. Please delete the account sync from the other account as well."] = "Синхронизация аккаунта отключена. Отключите синхронизацию и на другом аккаунте."
L["Account Syncing"] = "Синхронизация аккаунта"
L["Accounting"] = "Статистика"
L["Activity Type"] = "Вид деятельности"
L["Add"] = "Добавить"
L["Add %d |4Item:Items"] = "Добавить %d |4предмет:предметов"
L["Add %s Operation"] = "Добавить %s операцию."
L["Add a new custom source"] = "Добавить новый источник"
L["Add account"] = "Добавить аккаунт"
L["Add More Operations"] = "Добавить дополнительные операции"
L["Add Operation"] = "Добавить операцию"
L["Add operation to groups"] = "Добавить операцию для группы"
L["Add subject & description (optional)"] = "Добавить тему и описание (необязательно)"
L["Add Subject / Description"] = "Тема и описание"
L["Add to Mail"] = "Добавить в почту"
L["Added '%s' profile which was received from %s."] = "Добавлен '%s' профиль, который был получем из %s."
L["Added %s to %s."] = "Добавлен %s в %s."
L["Additional error suppressed"] = "Вывод дополнительных ошибок отключен"
L["Adjust how crafted items are restocked."] = "Настройте способ пополнения запасов созданных предметов."
L["Adjust how items are mailed."] = "Настройте способ отправки предметов по почте."
L["Adjust how TSM values crafted items when calculating profit."] = "Настройте, как TSM будет оценивать созданные предметы при расчете прибыли."
L["Adjust some general settings."] = "Просмотрите другие общие настройки."
L["Adjust the settings below to set how groups attached to this operation will be auctioned."] = "Так предметы в группах, связанных с операцией, будут выставлены на аукцион."
L["Adjust the settings below to set how groups attached to this operation will be cancelled."] = "Условия отмены аукционов для предметов в группах, связанных с операцией."
L["Adjust the settings below to set how groups attached to this operation will be priced."] = "Установите алгоритмы расчёта цен для предметов в группах, связанных с операцией."
L["Advanced Item Search"] = "Расширенный поиск"
L["AH"] = "Аукцион"
L["AH (Crafting)"] = "Аук (Создание)"
L["AH (Disenchanting)"] = "Аукцион (Распыление)"
L["AH BUSY"] = "Аук занят"
L["AHDB Minimum Bid"] = "AHDB Минимальная ставка"
L["AHDB Minimum Buyout"] = "AHDB Минимальный выкуп"
L["Alarm Clock"] = "Бyдильник"
L["All"] = "Все"
L["All Auctions"] = "Все лоты на аукционе"
L["All Bought"] = "Все купленные"
L["All Cancelled"] = "Все отмененные"
L["All Characters"] = "Все персонажи"
L["All Expired"] = "Все истёкшие"
L["All Faction-Realms"] = "Все Фракции-Миры"
L["All Guilds"] = "Все Гильдии"
L["All Item Classes"] = "Все Классы Предметов"
L["All Other"] = "Всё остальное"
L["All Players"] = "Все игроки"
L["All Professions"] = "Все профессии"
L["All Rarites"] = "Все редкие"
L["All Rarities"] = "Все редкие"
L["All Selected"] = "Все выбранные"
L["All Slots"] = "Все слоты"
L["All Sold"] = "Всё продано"
L["All Sources"] = "Все источники"
L["All Subclasses"] = "Все Подклассы"
L["All Time"] = "Всё время"
L["All Types"] = "Все типы"
L["Allow partial stack"] = "Разрешить неполный стак"
L["Allows for testing of custom prices"] = "Позволить тестировать пользовательские цены"
L["ALT"] = "Альт"
L["Alt Guild Bank"] = "Банк гильдии альтов"
L["Alts"] = "Альты"
L["Alts AH"] = "Аукционы альтов"
L["Amount"] = "Сумма"
L["Amount kept in bags"] = "Количество в сумках"
L["Amount of bag space to keep free"] = "Количество свободных слотов в сумке"
L["An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."] = "Обнаружен установленный TSM предыдущей версии. Удалите %s, а так же любые другие старые дополнения TSM, чтобы избежать проблем."
L["App Not Synced"] = "Приложение не синхронизировано"
L["App Synced %s Ago"] = "Приложение синхронизировано %s назад"
L["Appearance"] = "Видимость"
L["Apply operation to group"] = "Применить операцию к группе"
L["Are you sure you want to clear old accounting data?"] = "Очистить старые данные вашей статистики?"
L["Are you sure you want to delete the selected operations?"] = "Вы уверены, что хотите удалить выбранные операции?"
L["Are you sure you want to delete this operation?"] = "Удалить эту операцию?"
L["At above max price and not undercut."] = "При превышении макс. цены и не перебит."
L["At normal price and not undercut."] = "По нормальной цене и не перебит."
L["Attachments"] = "Вложения"
L["Auction"] = "Аукцион"
L["Auction duration"] = "Продолжительность аукциона"
L["Auction has been bid on."] = "Аукцион был объявлен."
L["Auction House Cut"] = "Исключить аукционный дом"
L["Auction House Sounds"] = "Звуки аукционного дома"
L["Auction sale sound"] = "Звук продажи лота"
L["Auction Window Close"] = "Закрыть окно аукциона"
L["Auction Window Open"] = "Открыть окно аукциона"
L["Auctionator - Auction Value"] = "Auctionator - рыночная стоимость"
L["AuctionDB"] = "БД аукциона"
L["AuctionDB - Historical Price (via TSM App)"] = "БД аукциона - старая цена (через приложение TSM)"
L["AuctionDB - Market Value"] = "БД аукциона - Рыночная стоимость"
L["AuctionDB - Minimum Buyout"] = "БД аукциона - Минимальный выкуп"
L["AuctionDB - Region Historical Price (via TSM App)"] = "БД аукциона - старая цена по региону (через приложение TSM)"
L["AuctionDB - Region Market Value Average (via TSM App)"] = "БД аукциона - Средне-рыночная стоимость по региону (через приложение TSM)"
L["AuctionDB - Region Minimum Buyout Average (via TSM App)"] = "БД аукциона - Минимальный средний выкуп по региону (через приложение TSM)"
L["AuctionDB - Region Sale Average (via TSM App)"] = "БД аукциона - Средний объем продаж в регионе (через приложение TSM)"
L["AuctionDB - Region Sale Rate (via TSM App)"] = "БД аукциона - стоимость по региону (через приложение TSM)"
L["AuctionDB - Region Sold Per Day (via TSM App)"] = "БД аукциона - количество проданного в день по региону (через приложение TSM)"
L["AuctionDB Realm Data is %s Old"] = "Данные аукциона устарели %s"
L["AuctionDB Region Data is %s Old"] = "Данные аукциона по региону устарели %s"
L["Auctioneer - Appraiser"] = "Auctioneer - Apprаiser"
L["Auctioneer - Market Value"] = "Auctioneer - рыночная стoимость"
L["Auctioneer - Minimum Buyout"] = "Auctioneer - минимальный выкуп"
L["Auctioning"] = "Аукцион"
L["Auctioning %s button"] = "Кнопка выставления лота %s"
L["Auctioning Details"] = "Детали аукциона"
L["Auctioning Log"] = "Результаты сканирования"
L["Auctioning Operation"] = "Операции аукциона"
L["Auctioning operation"] = "Операции аукциона"
L["Auctioning operations control posting to and canceling from the AH."] = "Операции контролируют размещение и отмену на аукционе"
L["Auctions"] = "Лоты"
L["Auto Quest Complete"] = "Автоматически завершающееся задание"
L["Auto-focus browse search input"] = "Автофокус при поиске"
L["Average Earned per Day"] = "Средний заработок в день"
L["Average Prices:"] = "Средняя цена:"
L["Average Profit per Day"] = "Средняя прибыль в день"
L["Average Spent per Day"] = "Средние расходы в день"
L["Avg Buy Price"] = "Ср. цена покупки"
L["Avg Profit"] = "Средняя прибыль"
L["Avg Sell Price"] = "Ср. цена продажи"
L["Back"] = "Назад"
L["Bag"] = "Сумка"
L["Bags"] = "Сумки"
L["Banking"] = "Банковские операции"
L["Banks"] = "Банки"
L["Base Group"] = "Базовая группа"
L["Base Item"] = "Базовый предмет"
L["BBG 14-Day Price"] = "BBG 2-х недельная цена"
L["BBG 3-Day Price"] = "BBG 3-х дневаня цена"
L["BBG Global Mean"] = "BBG Глобальное значение"
--[[Translation missing --]]
L["BBG Global Median"] = "BBG Global Median"
L["Below is a list of all available price sources, along with a brief description of what they represent."] = "Ниже приведен список всех доступных источников цен, а также краткое описание того, что они представляют."
L["Below min price. Posting at max."] = "Цена ниже минимальной. Выставлено по макс цене."
L["Below min price. Posting at min."] = "Цена ниже минимальной. Выставлено по мин. цене."
L["Below min price. Posting at normal."] = "Цена ниже минимальной. Выставлено по нормальной цене."
L["Below you can ignore this operation on certain characters or realms."] = "Ниже вы можете игнорировать эту операцию для определенных персонажей или игровых миров."
L["Bid %d / %d"] = "Ставка %d / %d"
L["Bid (item)"] = "Ставка (шт)"
L["Bid (stack)"] = "Ставка (стак)"
L["Bid (total)"] = "Ставка (всего)"
L["Bid / Buyout"] = "Ставка / Выкуп"
L["Bid Auction"] = "Ставка на аукционе"
L["Bid percent must be between 0 and 100."] = "Процент ставки должен быть от 0 до 100."
L["Bid Price"] = "Цена ставки"
L["Bid Sniper Paused"] = "Ставка «Снайпер» на паузе"
L["Bid Sniper Running"] = "Запущен «Снайпер» по ставкам"
L["Bidding Auction"] = "Торги на аукционе"
L["Blacklisted players"] = "Игроки в черном списке"
L["Bought"] = "Купил"
L["Bought %d of %s from %s for %s"] = "Куплено %d %s у %s за %s"
L["Bought %sx%d for %s from %s"] = "Купил %sx%d для %s от %s"
L["Bound Actions"] = "Связанные действия"
L["Browse"] = "Просмотр"
L["Browse / Sniper"] = "Просмотр / Sniper"
L["BUSY"] = "Занят"
L["BUY"] = "Купить"
L["Buy"] = "Купить"
L["Buy %d / %d"] = "Купить %d / %d"
L["Buy %d / %d (Confirming %d / %d)"] = "Покупка %d / %d (Подтверждение %d / %d)"
L["Buy Auction"] = "Выкупить лот"
L["Buy Commodity"] = "Купить предмет"
L["Buy from AH"] = "Купить на аукционе"
L["Buy from AH (Crafting)"] = "Купить на АН (Крафт)"
L["Buy from AH (Disenchant)"] = "Купить на АН (Распыление)"
L["Buy from Vendor"] = "Купить у торговца"
--[[Translation missing --]]
L["Buy Groups"] = "Buy Groups"
L["Buy Options"] = "Настройки покупки"
--[[Translation missing --]]
L["Buyback All"] = "Buyback All"
L["Buyer/Seller"] = "Покупатель/Продавец"
L["Buyout"] = "Выкуп"
L["Buyout (item)"] = "Выкуп (шт)"
L["Buyout (stack)"] = "Выкуп (стак)"
--[[Translation missing --]]
L["Buyout (total)"] = "Buyout (total)"
--[[Translation missing --]]
L["Buyout confirmation alert"] = "Buyout confirmation alert"
L["Buyout Price"] = "Цена выкупа"
L["Buyout Sniper Paused"] = "Выкуп «Снайпер» на паузе"
L["Buyout Sniper Running"] = "Запущен «Снайпер» на выкуп"
L["Cancel"] = "Отмена"
L["Cancel %d / %d"] = "Отменить %d / %d"
--[[Translation missing --]]
L["Cancel Auction"] = "Cancel Auction"
L["Cancel auctions with bids"] = "Отменять аукционы со ставками"
--[[Translation missing --]]
L["Cancel or Post"] = "Cancel or Post"
L["Cancel Scan"] = "Скан. для отмены"
--[[Translation missing --]]
L["Cancel to repost higher"] = "Cancel to repost higher"
--[[Translation missing --]]
L["Cancel undercut auctions"] = "Cancel undercut auctions"
--[[Translation missing --]]
L["Canceled information"] = "Canceled information"
L["Canceling"] = "Отмена"
L["Canceling %d / %d"] = "Отмена %d / %d"
L["Canceling %d Auctions..."] = "Отмена лотов: %d..."
--[[Translation missing --]]
L["Canceling auction you've undercut."] = "Canceling auction you've undercut."
L["Canceling disabled."] = "Отмена отключена."
--[[Translation missing --]]
L["Canceling Options"] = "Canceling Options"
L["Canceling to repost at higher price."] = "Отмена для повышения цены."
L["Canceling to repost at reset price."] = "Отмена для выставления по сниженной цене."
L["Canceling to repost higher."] = "Отмена для повышения цены."
L["Canceling undercut auctions and to repost higher."] = "Отмена сбитых лотов и повышение цены."
L["Canceling undercut auctions."] = "Отмена сбитых лотов."
L["Cancelled"] = "Отменен"
L["Cancelled auction of %sx%d"] = "Отмена лота %sx%d"
L["Cancelled Since Last Sale"] = "Отменено с последней продажи"
--[[Translation missing --]]
L["Cancelled:"] = "Cancelled:"
--[[Translation missing --]]
L["Cancelling..."] = "Cancelling..."
L["Cannot repair from the guild bank!"] = "Невозможно починиться за счёт гильдии!"
--[[Translation missing --]]
L["Cannot use additional filters with /crafting or /disenchant."] = "Cannot use additional filters with /crafting or /disenchant."
L["Can't load TSM tooltip while in combat"] = "Нельзя вывести подсказку TSM в бою"
L["Cash Register"] = "Сумма зарегистрирована"
--[[Translation missing --]]
L["Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"] = "Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"
L["Character"] = "Персонаж"
L["Chat Tab"] = "Вкладка чата"
L["Cheapest auction below min price."] = "Самый дешевый лот ниже мин. цены."
L["Clear All"] = "Очистить все"
--[[Translation missing --]]
L["Clear Data"] = "Clear Data"
L["Clear Filters"] = "Очистить"
L["Clear Old Data"] = "Очистить старые данные"
--[[Translation missing --]]
L["Clear Old Data?"] = "Clear Old Data?"
--[[Translation missing --]]
L["Click and drag to resize this window."] = "Click and drag to resize this window."
--[[Translation missing --]]
L["Click to hide this item for the current session. Hold shift to hide this item permanently."] = "Click to hide this item for the current session. Hold shift to hide this item permanently."
L["COD"] = "наложенный платеж"
L["Coins (%s)"] = "Монеты (%s)"
L["Combine Partial Stacks"] = "Объединить неполные стаки"
L["Combining..."] = "Объединение..."
--[[Translation missing --]]
L["Completed full AH scan (%d auctions)!"] = "Completed full AH scan (%d auctions)!"
L["Confirm"] = "Подтвердить"
--[[Translation missing --]]
L["Confirm complete sound"] = "Confirm complete sound"
--[[Translation missing --]]
L["Confirmation %s button"] = "Confirmation %s button"
L["Confirming %d / %d"] = "Подтверждение %d / %d"
L["Connected to %s"] = "Подключен к %s"
L["Connecting to %s"] = "Подключение к %s"
--[[Translation missing --]]
L["Contacts"] = "Contacts"
--[[Translation missing --]]
L["Contains auctions above your alert threshold!"] = "Contains auctions above your alert threshold!"
L["Cooldown"] = "Кулдаун"
L["Cooldowns"] = "Кулдауны"
--[[Translation missing --]]
L["Copy Letter"] = "Copy Letter"
L["Cost"] = "Цена"
L["Could not create macro as you already have too many. Delete one of your existing macros and try again."] = "Макрос не создан, потому что их уже слишком много. Удалите один из них и попробуйте снова."
L["Could not find profile '%s'. Possible profiles: '%s'"] = "Профиль '%s' не найден. Доступные профили: '%s'"
L["Could not sell items due to not having free bag space available to split a stack of items."] = "Не могу продать товары из-за отсутствия места в сумках для разделения стака."
L["Craft"] = "Создать"
L["CRAFT"] = "Создать"
--[[Translation missing --]]
L["Craft (Profitable)"] = "Craft (Profitable)"
L["Craft (Unprofitable)"] = "Создать (Невыгодный)"
L["Craft All"] = "Создать всё"
--[[Translation missing --]]
L["Craft Next"] = "Craft Next"
--[[Translation missing --]]
L["Craft Value"] = "Craft Value"
--[[Translation missing --]]
L["Crafted Items"] = "Crafted Items"
--[[Translation missing --]]
L["Crafter"] = "Crafter"
L["Crafting"] = "Крафт"
L["CRAFTING"] = "КРАФТ"
--[[Translation missing --]]
L["Crafting %s button"] = "Crafting %s button"
--[[Translation missing --]]
L["Crafting cost"] = "Crafting cost"
L["Crafting Cost"] = "Стоимость создания"
--[[Translation missing --]]
L["Crafting List"] = "Crafting List"
--[[Translation missing --]]
L["Crafting Material Cost"] = "Crafting Material Cost"
--[[Translation missing --]]
L["Crafting Mode"] = "Crafting Mode"
--[[Translation missing --]]
L["Crafting operation"] = "Crafting operation"
--[[Translation missing --]]
L["Crafting operations control how queuing profession crafts."] = "Crafting operations control how queuing profession crafts."
--[[Translation missing --]]
L["Crafting Queue (%d)"] = "Crafting Queue (%d)"
--[[Translation missing --]]
L["Crafting Value"] = "Crafting Value"
L["Crafts"] = "Рецепты"
L["Crafts %d"] = "Создать %d за раз"
--[[Translation missing --]]
L["Create Groups from Table"] = "Create Groups from Table"
--[[Translation missing --]]
L["Create macro"] = "Create macro"
--[[Translation missing --]]
L["Create New"] = "Create New"
--[[Translation missing --]]
L["Create New Group"] = "Create New Group"
L["Create New Operation"] = "Создать новую операцию"
--[[Translation missing --]]
L["Create new profile"] = "Create new profile"
--[[Translation missing --]]
L["Create Profession Groups"] = "Create Profession Groups"
--[[Translation missing --]]
L["CTRL"] = "CTRL"
--[[Translation missing --]]
L["Current Price"] = "Current Price"
L["Custom Price"] = "Индивидуальная цена"
--[[Translation missing --]]
L["Custom price name %s already exists."] = "Custom price name %s already exists."
--[[Translation missing --]]
L["Custom price name %s is a reserved word which cannot be used."] = "Custom price name %s is a reserved word which cannot be used."
--[[Translation missing --]]
L["Custom price names can only contain lowercase letters."] = "Custom price names can only contain lowercase letters."
--[[Translation missing --]]
L["Custom Source"] = "Custom Source"
--[[Translation missing --]]
L["Custom source (%s)"] = "Custom source (%s)"
L["Custom Sources"] = "Индивидуальный источник"
--[[Translation missing --]]
L["Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."] = "Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."
--[[Translation missing --]]
L["DAILY PURCHASES"] = "DAILY PURCHASES"
--[[Translation missing --]]
L["DAILY SALES"] = "DAILY SALES"
--[[Translation missing --]]
L["Dalaran"] = "Dalaran"
--[[Translation missing --]]
L["Dashboard"] = "Dashboard"
--[[Translation missing --]]
L["Default craft value method"] = "Default craft value method"
--[[Translation missing --]]
L["Default material cost method"] = "Default material cost method"
L["Default Price"] = "Стандартная цена"
--[[Translation missing --]]
L["Default price configuration"] = "Default price configuration"
--[[Translation missing --]]
L["Define what priority Gathering gives certain sources."] = "Define what priority Gathering gives certain sources."
--[[Translation missing --]]
L["Delete %d Operations"] = "Delete %d Operations"
--[[Translation missing --]]
L["Delete Group?"] = "Delete Group?"
--[[Translation missing --]]
L["Delete Operation?"] = "Delete Operation?"
--[[Translation missing --]]
L["Delete Operations"] = "Delete Operations"
--[[Translation missing --]]
L["Delete Operations?"] = "Delete Operations?"
--[[Translation missing --]]
L["Delete Profile?"] = "Delete Profile?"
--[[Translation missing --]]
L["Delete Record?"] = "Delete Record?"
--[[Translation missing --]]
L["Delete the profile"] = "Delete the profile"
--[[Translation missing --]]
L["Deleting this group (%s) will also remove any sub-groups attached to this group."] = "Deleting this group (%s) will also remove any sub-groups attached to this group."
--[[Translation missing --]]
L["Deposit"] = "Deposit"
--[[Translation missing --]]
L["Deposit Cost"] = "Deposit Cost"
--[[Translation missing --]]
L["Deposit reagents"] = "Deposit reagents"
--[[Translation missing --]]
L["Deselect All"] = "Deselect All"
L["Destroy Next"] = "Уничтожить следующее"
L["Destroy Value"] = "Стоимость уничтожения"
--[[Translation missing --]]
L["Destroy value"] = "Destroy value"
--[[Translation missing --]]
L["Destroy value source"] = "Destroy value source"
L["Destroying"] = "Уничтожение"
--[[Translation missing --]]
L["Destroying %s button"] = "Destroying %s button"
--[[Translation missing --]]
L["Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."] = "Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."
--[[Translation missing --]]
L["Destroying will ignore %s until you log out."] = "Destroying will ignore %s until you log out."
L["Destroying..."] = "Уничтожение..."
--[[Translation missing --]]
L["Detailed crafting cost"] = "Detailed crafting cost"
--[[Translation missing --]]
L["Detailed destroy information"] = "Detailed destroy information"
L["Details"] = "Детали"
L["Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."] = "Лот %s не отменен. Потому что ваш порог для отмены аукциона (%s) не корректен. Проверьте настройки."
L["Did not cancel %s because your maximum price (%s) is invalid. Check your settings."] = "Лот %s не отменен. Ваша максимальная цена (%s) не верна. Проверьте настройки."
L["Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Лот %s не отменен. Ваша максимальная цена (%s) ниже минимальной цены (%s). Проверьте настройки."
L["Did not cancel %s because your minimum price (%s) is invalid. Check your settings."] = "Лот %s не отменен. Ваша минимальная цена (%s) не верна. Проверьте настройки."
L["Did not cancel %s because your normal price (%s) is invalid. Check your settings."] = "Лот %s не отменен. Ваша нормальная цена (%s) не верна. Проверьте настройки."
L["Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Лот %s не отменен. Ваша нормальная цена (%s) ниже минимальной цены (%s). Проверьте настройки."
L["Did not cancel %s because your undercut (%s) is invalid. Check your settings."] = "Лот %s не отменен. Ваша цена сбивания (%s) не верна. Проверьте настройки."
--[[Translation missing --]]
L["Did not change prices due to an invalid bid or buyout value."] = "Did not change prices due to an invalid bid or buyout value."
L["Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."] = "Лот %s не выставлен. Blizzard не предоставила для этого нужную информацию. Попробуйте позже."
L["Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."] = "Лот %s не выставлен. Владелец лота (%s) с самой низкой ценой находится в вашем черном и белом списке одновременно, так быть не должно. Измените настройки, чтобы исправить эту проблему."
L["Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."] = "Лот %s не выставлен. Вы или ваш альт (%s) находитесь в черном списке, так быть не должно. Удалите персонажа из черного списка."
--[[Translation missing --]]
L["Did not post %s because your keep quantity (%s) is invalid. Check your settings."] = "Did not post %s because your keep quantity (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your max expires (%s) is invalid. Check your settings."] = "Did not post %s because your max expires (%s) is invalid. Check your settings."
L["Did not post %s because your maximum price (%s) is invalid. Check your settings."] = "Лот %s не выставлен. Ваша максимальная цена (%s) не верна. Проверьте настройки."
L["Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Лот %s не выставлен. Ваша максимальная цена (%s) ниже, вашей минимальной цены (%s). Проверьте настройки."
L["Did not post %s because your minimum price (%s) is invalid. Check your settings."] = "Лот %s не выставлен. Ваша минимальная цена (%s) не верна. Проверьте настройки."
L["Did not post %s because your normal price (%s) is invalid. Check your settings."] = "Лот %s не выставлен. Ваша нормальная цена (%s) не верна. Проверьте настройки."
L["Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Лот %s не выставлен. Ваша нормальная цена (%s) ниже, вашей минимальной цены (%s). Проверьте настройки."
L["Did not post %s because your post cap (%s) is invalid. Check your settings."] = "Не опубликован %s, потому что ваше ограничение на количество сообщений (%s) недействительно. Проверьте свои настройки."
L["Did not post %s because your stack size (%s) is invalid. Check your settings."] = "Не опубликован %s, потому что ваше ограничение на размер стака (%s) недействительно. Проверьте свои настройки."
L["Did not post %s because your undercut (%s) is invalid. Check your settings."] = "Лот %s не выставлен. Ваша цена сбития (%s) не верна. Проверьте настройки."
L["Disable invalid price warnings"] = "Отключить предупреждения о неверной цене"
L["Disenchant Search"] = "Поиск для распыления"
L["Disenchant Search Options"] = "Настройки поиска предметов для распыления"
L["Disenchant Value"] = "Стоимость распыления"
L["Disenchant value"] = "Стоимость распыления"
L["Disenchanting Options"] = "Настройки распыления"
--[[Translation missing --]]
L["Display total money received in chat"] = "Display total money received in chat"
L["Done Canceling"] = "Лоты сняты с аукциона"
L["Done Posting"] = "Лоты выставлены"
--[[Translation missing --]]
L["Done rebuilding item cache."] = "Done rebuilding item cache."
L["Done Scanning"] = "Сканирование закончено"
--[[Translation missing --]]
L["Don't post after this many expires"] = "Don't post after this many expires"
L["Don't Post Items"] = "Не выставлять"
L["Don't prompt to record trades"] = "Не предлагать записывать сделки"
--[[Translation missing --]]
L["Down"] = "Down"
--[[Translation missing --]]
L["Duplicate the profile"] = "Duplicate the profile"
--[[Translation missing --]]
L["Duration"] = "Duration"
--[[Translation missing --]]
L["Duskwood"] = "Duskwood"
--[[Translation missing --]]
L["Edit"] = "Edit"
--[[Translation missing --]]
L["Edit Custom Source"] = "Edit Custom Source"
--[[Translation missing --]]
L["Edit Material Price"] = "Edit Material Price"
--[[Translation missing --]]
L["Edit Post"] = "Edit Post"
--[[Translation missing --]]
L["Embed TSM tooltip"] = "Embed TSM tooltip"
--[[Translation missing --]]
L["Empty bags"] = "Empty bags"
L["Empty parentheses are not allowed"] = "Не допускаются пустые скобки"
L["Empty price string."] = "Пустая строка цены"
L["Enable automatic stack combination"] = "Включить автоматическое создание стака"
--[[Translation missing --]]
L["Enable buying"] = "Enable buying"
L["Enable inbox chat messages"] = "Уведомлять о входящих в чате"
--[[Translation missing --]]
L["Enable restock"] = "Enable restock"
--[[Translation missing --]]
L["Enable selling"] = "Enable selling"
L["Enable sending chat messages"] = "Включить сообщения в чат об исходящих"
--[[Translation missing --]]
L["Enable TSM tooltips"] = "Enable TSM tooltips"
--[[Translation missing --]]
L["Enchant"] = "Enchant"
L["Enchant Vellum"] = "Материал для свитка наложения чар"
--[[Translation missing --]]
L["Ensure both characters are online and try again."] = "Ensure both characters are online and try again."
L["Enter a value from %d - %d"] = "Введите значение из %d - %d"
L["Enter a value from %d - %d%%"] = "Введите значение из %d - %d%%"
L["Enter Filter"] = "Строка поиска"
L["Enter Keyword"] = "Поиск"
L["Enter name of logged-in character on other account"] = "Введите имя персонажа, выполнившего вход в другую учетную запись"
L["Enter player name"] = "Введите имя игрока"
L["Enter profile name"] = "Введите имя профиля"
L["Enter recipient name"] = "Введите имя получателя"
--[[Translation missing --]]
L["ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."] = "ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."
--[[Translation missing --]]
L["ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."] = "ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."
L["ERROR: The auction house must be open in order to do a scan."] = "ОШИБКА. Для сканирования должен быть открыт аукцион."
L["Establishing connection to %s. Make sure that you've entered this character's name on the other account."] = "Установка соединения с %s. Убедитесь, что вы ввели имя этого персонажа на другой учётной записи."
--[[Translation missing --]]
L["Establishing connection..."] = "Establishing connection..."
L["Estimated Cost:"] = "Примерная стоимость:"
--[[Translation missing --]]
L["Estimated deliver time"] = "Estimated deliver time"
L["Estimated Profit:"] = "Планируемая прибыль:"
--[[Translation missing --]]
L["Exact Match"] = "Exact Match"
--[[Translation missing --]]
L["Example"] = "Example"
--[[Translation missing --]]
L["Example Item"] = "Example Item"
--[[Translation missing --]]
L["Example Tooltip"] = "Example Tooltip"
--[[Translation missing --]]
L["Exclude custom sources?"] = "Exclude custom sources?"
--[[Translation missing --]]
L["Exclude operations?"] = "Exclude operations?"
--[[Translation missing --]]
L["Exit"] = "Exit"
--[[Translation missing --]]
L["Expand / Collapse All Groups"] = "Expand / Collapse All Groups"
L["Expenses"] = "Расходы"
L["EXPENSES"] = "РАСХОДЫ"
--[[Translation missing --]]
L["Expirations"] = "Expirations"
L["Expired"] = "Истёк"
L["Expired Auctions"] = "Истекшие лоты"
--[[Translation missing --]]
L["Expired information"] = "Expired information"
L["Expired Since Last Sale"] = "Истёкший с момента последней продажи"
L["Expires"] = "Истёкшие"
--[[Translation missing --]]
L["Expires Since Last Sale"] = "Expires Since Last Sale"
--[[Translation missing --]]
L["Expiring Mails"] = "Expiring Mails"
L["Exploration"] = "Исследование"
L["Export"] = "Экспорт"
--[[Translation missing --]]
L["Export String"] = "Export String"
--[[Translation missing --]]
L["Export this group"] = "Export this group"
L["Failed Auctions"] = "Неудавшиеся"
--[[Translation missing --]]
L["Failed to bid on auction of %s (x%s) for %s."] = "Failed to bid on auction of %s (x%s) for %s."
L["Failed to bid on auction of %s."] = "Не удалось сделать ставку на %s."
--[[Translation missing --]]
L["Failed to buy auction of %s (x%s) for %s."] = "Failed to buy auction of %s (x%s) for %s."
L["Failed to buy auction of %s."] = "Не удалось купить лот %s."
--[[Translation missing --]]
L["Failed to buy auction."] = "Failed to buy auction."
--[[Translation missing --]]
L["Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."] = "Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."
L["Failed to find auction for %s, so removing it from the results."] = "Не удалось найти лот %s, поэтому он исключен из результатов."
--[[Translation missing --]]
L["Failed to post %sx%d as the item no longer exists in your bags."] = "Failed to post %sx%d as the item no longer exists in your bags."
--[[Translation missing --]]
L["Failed to run full AH scan."] = "Failed to run full AH scan."
--[[Translation missing --]]
L["Failed to send profile."] = "Failed to send profile."
--[[Translation missing --]]
L["Failed to send profile. Ensure both characters are online and try again."] = "Failed to send profile. Ensure both characters are online and try again."
--[[Translation missing --]]
L["Failed to start sniper. No groups have a Sniper operation applied."] = "Failed to start sniper. No groups have a Sniper operation applied."
L["Favorite Scans"] = "Избранные сканирования"
L["Favorite Searches"] = "Избранные запросы"
--[[Translation missing --]]
L["Favorited Patterns"] = "Favorited Patterns"
--[[Translation missing --]]
L["Filter by duration"] = "Filter by duration"
--[[Translation missing --]]
L["Filter by groups"] = "Filter by groups"
--[[Translation missing --]]
L["Filter by keyword"] = "Filter by keyword"
L["Filter by Keyword"] = "Поиск по ключевым словам"
--[[Translation missing --]]
L["Filter by Price Source"] = "Filter by Price Source"
--[[Translation missing --]]
L["Filter by Profession"] = "Filter by Profession"
L["Filter group item lists based on the following price source"] = "Фильтровать списки групп предметов на основе следующего источника цен"
L["Finding Selected Auction"] = "Поиск выбранного лота"
--[[Translation missing --]]
L["First Auctioning Operation Max Price"] = "First Auctioning Operation Max Price"
--[[Translation missing --]]
L["First Auctioning Operation Min Price"] = "First Auctioning Operation Min Price"
--[[Translation missing --]]
L["First Auctioning Operation Normal Price"] = "First Auctioning Operation Normal Price"
L["Fishing Reel In"] = "Звук рыболовной катушки"
--[[Translation missing --]]
L["For more info, visit %s. For help, join us in Discord: %s."] = "For more info, visit %s. For help, join us in Discord: %s."
L["Forget Character"] = "Забыть персонажа"
L["Found auction sound"] = "Звук найденного лота"
L["Friends"] = "Друзья"
L["From"] = "От"
--[[Translation missing --]]
L["Full inventory"] = "Full inventory"
L["Garrison"] = "Гарнизон"
L["Gathering"] = "Сбор"
L["Gathering Search"] = "Поиск"
--[[Translation missing --]]
L["Gathering Setup"] = "Gathering Setup"
L["General Options"] = "Основные настройки"
--[[Translation missing --]]
L["General Settings"] = "General Settings"
L["Get from Bank"] = "Забрать из банка"
L["Get from Guild Bank"] = "Забрать из банка гильдии"
L["Gets items from the bank or guild bank matching the item or partial text entered."] = "Получает товары из банка или банка гильдии, соответствующие введенному предмету или частичному тексту."
L["Gold"] = "Золото"
--[[Translation missing --]]
L["Great Deals Search"] = "Great Deals Search"
L["Group already exists."] = "Группа уже существует."
L["Group Management"] = "Менеджер групп"
--[[Translation missing --]]
L["Group name"] = "Group name"
--[[Translation missing --]]
L["Group Search"] = "Group Search"
L["Grouped Items"] = "Предметы в группе"
L["Groups"] = "Группы"
--[[Translation missing --]]
L["Groups & Operations"] = "Groups & Operations"
--[[Translation missing --]]
L["Groups Using"] = "Groups Using"
L["Guild"] = "Гильдия"
L["Guild Bank"] = "Банк гильдии"
L["GVault"] = "Гильдбанк"
L["Have"] = "Есть"
--[[Translation missing --]]
L["Have Mats"] = "Have Mats"
--[[Translation missing --]]
L["Have Skill Ups"] = "Have Skill Ups"
--[[Translation missing --]]
L["Here you can add/remove what groups this operation is attached to."] = "Here you can add/remove what groups this operation is attached to."
L["Hide auctions with bids"] = "Скрыть лоты со ставками"
--[[Translation missing --]]
L["Hide Columns"] = "Hide Columns"
L["Hide minimap icon"] = "Скрыть значок на миникарте"
L["Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."] = "Скрыть TSM Banking UI. Напишите /tsm bankui в чат, чтобы открыть снова."
L["Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."] = "Скрыть TSM Task List UI. Напишите /tsm tasklist в чат, чтобы открыть снова."
--[[Translation missing --]]
L["HIGH"] = "HIGH"
L["High Bidder"] = "Покупатель"
L["Historical Price"] = "Историческая цена"
--[[Translation missing --]]
L["Historical price"] = "Historical price"
L["Hold ALT to repair from the guild bank."] = "Удерживайте ALT для починки за счёт гильдии"
--[[Translation missing --]]
L["Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."] = "Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes"] = "Hold SHIFT to continue after the inbox refreshes"
L["Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Удерживайте SHIFT, чтобы продолжить после обновления почтового ящика, и CTRL, чтобы не открывать почту с вложенным золотом."
--[[Translation missing --]]
L["Hold shift to move the items to the parent group instead of removing them."] = "Hold shift to move the items to the parent group instead of removing them."
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes"] = "Hold SHIFT to not continue after the inbox refreshes"
L["Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Удерживайте SHIFT, чтобы не продолжать после обновления почтового ящика, и CTRL, чтобы не открывать почту с вложенным золотом."
--[[Translation missing --]]
L["Hold SHIFT while dragging to scale the window instead."] = "Hold SHIFT while dragging to scale the window instead."
L["Hr"] = "Час"
L["Hrs"] = "Часов"
--[[Translation missing --]]
L["If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."] = "If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."
L["Ignore Auctions Below Min"] = "Игнорировать аукционы ниже минимума"
--[[Translation missing --]]
L["Ignore auctions by duration"] = "Ignore auctions by duration"
L["Ignore Characters"] = "Игнорировать персонажей"
L["Ignore Guilds"] = "Игнорировать гильдии"
--[[Translation missing --]]
L["Ignore operation on characters"] = "Ignore operation on characters"
--[[Translation missing --]]
L["Ignore operation on faction-realms"] = "Ignore operation on faction-realms"
--[[Translation missing --]]
L["Ignore variations"] = "Ignore variations"
L["Ignored Cooldowns"] = "Игнорировать кулдауны"
L["Ignored Items"] = "Игнорируемые предметы"
L["ilvl"] = "ilvl"
L["Import"] = "Импорт"
--[[Translation missing --]]
L["Import group"] = "Import group"
L["Import Groups & Operations"] = "Импорт групп и операций"
--[[Translation missing --]]
L["Import String"] = "Import String"
--[[Translation missing --]]
L["Import Summary"] = "Import Summary"
--[[Translation missing --]]
L["Imported Group"] = "Imported Group"
--[[Translation missing --]]
L["Imported group (%s) with %d items, %d operations, and %d custom sources."] = "Imported group (%s) with %d items, %d operations, and %d custom sources."
--[[Translation missing --]]
L["Improved Import / Export."] = "Improved Import / Export."
L["Inbox Settings"] = "Настройки входящих"
L["Include operations?"] = "Включить операции?"
L["Include soulbound items"] = "Включить связанные предметы"
L["Information"] = "Информация"
L["Invalid custom price source for %s. %s"] = "Неверный источник индивидуальной цены для %s. %s"
L["Invalid custom price."] = "Недопустимая индивидуальная цена."
L["Invalid function."] = "Недопустимая функция."
--[[Translation missing --]]
L["Invalid gold value."] = "Invalid gold value."
L["Invalid group name."] = "Неверное название группы."
L["Invalid item link."] = "Недопустимая ссылка на предмет."
--[[Translation missing --]]
L["Invalid numeric value."] = "Invalid numeric value."
L["Invalid operation name."] = "Неверное название операции."
L["Invalid operator at end of custom price."] = "Некорректный оператор в конце индивидуальной цены."
L["Invalid parameter to price source."] = "Некорректный параметр в источнике цены."
L["Invalid player name."] = "Неверное имя игрока."
L["Invalid price source in convert."] = "Недопустимая цена источника при преобразовании."
--[[Translation missing --]]
L["Invalid price."] = "Invalid price."
--[[Translation missing --]]
L["Invalid Quantity"] = "Invalid Quantity"
--[[Translation missing --]]
L["Invalid search filter (%s)."] = "Invalid search filter (%s)."
--[[Translation missing --]]
L["Invalid search term."] = "Invalid search term."
--[[Translation missing --]]
L["Invalid search term. Cannot filter by price here."] = "Invalid search term. Cannot filter by price here."
L["Invalid seller data returned by server."] = "Сервер вернул неверные данные о продавце."
--[[Translation missing --]]
L["Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."] = "Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."
L["Invalid word: '%s'"] = "Недопустимое слово: '%s'"
L["Inventory"] = "Инвентарь"
--[[Translation missing --]]
L["Inventory / Gold Graph"] = "Inventory / Gold Graph"
L["Inventory Options"] = "Настройки инвентаря"
L["It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."] = "Это сообщение появилось, потому что вы вручную скопировали ваши сохраненные переменные между аккаунтами, что остановит работу автоматическую синхронизацию TSM. Вам нужно будет отменить это, и/или удалить файлы с сохраненными переменными TradeSkillMaster на обоих аккаунтах (с закрытым WoW), чтобы исправить это."
--[[Translation missing --]]
L["It looks like you're trying to reference an old global price source which no longer exists."] = "It looks like you're trying to reference an old global price source which no longer exists."
L["Item"] = "Предмет"
--[[Translation missing --]]
L["Item Class"] = "Item Class"
L["Item Level"] = "Уровень предмета"
--[[Translation missing --]]
L["Item Level Range"] = "Item Level Range"
L["Item links may only be used as parameters to price sources."] = "Ссылка на предмет может быть использована только как параметр для цены источника."
L["Item Name"] = "Название предмета"
L["Item Quality"] = "Качество предмета"
--[[Translation missing --]]
L["Item Selection"] = "Item Selection"
--[[Translation missing --]]
L["Item Slot"] = "Item Slot"
--[[Translation missing --]]
L["Item Subclass"] = "Item Subclass"
L["Item Value"] = "Цена предмета"
L["Item/Group is invalid (see chat)."] = "Предмет/Группа не верна (см. чат)."
L["Items"] = "Предметы"
--[[Translation missing --]]
L["Items Using"] = "Items Using"
--[[Translation missing --]]
L["Keep in bags quantity"] = "Keep in bags quantity"
--[[Translation missing --]]
L["Keep in bank quantity"] = "Keep in bank quantity"
--[[Translation missing --]]
L["Keep quantity"] = "Keep quantity"
--[[Translation missing --]]
L["Keep this amount"] = "Keep this amount"
L["Keeping %d."] = "Оставляем %d."
L["Keeping undercut auctions posted."] = "Оставляем перебитые лоты."
L["Last 14 Days"] = "Последние 14 дней"
L["Last 3 Days"] = "Последние 3 дня"
L["Last 30 Days"] = "Последние 30 дней"
L["Last 60 Days"] = "Последние 60 дней"
L["Last 7 Days"] = "Последние 7 дней"
L["Last Purchased"] = "Последняя покупка"
L["Last Sold"] = "Последняя продажа"
--[[Translation missing --]]
L["LEAST GROUPS"] = "LEAST GROUPS"
--[[Translation missing --]]
L["LEAST ITEMS"] = "LEAST ITEMS"
--[[Translation missing --]]
L["Ledger"] = "Ledger"
L["Level Up"] = "Новый уровень"
--[[Translation missing --]]
L["Limit"] = "Limit"
L["Link to Another Operation"] = "Ссылка на другую операцию"
L["Loading..."] = "Загрузка..."
--[[Translation missing --]]
L["Lock Column Width"] = "Lock Column Width"
--[[Translation missing --]]
L["Lock task list's background"] = "Lock task list's background"
L["Looks like TradeSkillMaster has encountered an error. Please help the author fix this error by following the instructions shown."] = "Кажется, в TradeSkillMaster произошла ошибка. Пожалуйста, помогите автору проекта её исправить. Следуйте инструкциям ниже."
L["Loop detected in the following custom price:"] = "В индивидуальной цене обнаружен цикл:"
--[[Translation missing --]]
L["LOW"] = "LOW"
L["Lowest auction by whitelisted player."] = "Наименьший лот у игрока из белого списка."
L["Macro created and scroll wheel bound!"] = "Макрос создан и привязан к колесу мыши!"
L["Macro Setup"] = "Настройки макросов"
--[[Translation missing --]]
L["Macros"] = "Macros"
L["Mail"] = "Почта"
L["Mail Disenchantables"] = "Отправка распыляемых предметов"
--[[Translation missing --]]
L["Mail disenchantables max quality"] = "Mail disenchantables max quality"
--[[Translation missing --]]
L["Mail Selected Groups"] = "Mail Selected Groups"
--[[Translation missing --]]
L["Mail Selected Groups (Auto Resend)"] = "Mail Selected Groups (Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run + Auto Resend)"] = "Mail Selected Groups (Dry Run + Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run)"] = "Mail Selected Groups (Dry Run)"
L["Mail to %s"] = "Письмо %s"
L["Mailing"] = "Отправка"
L["Mailing all to %s."] = "Отправка всего %s."
--[[Translation missing --]]
L["Mailing operation"] = "Mailing operation"
--[[Translation missing --]]
L["Mailing operations control mailing to other characters."] = "Mailing operations control mailing to other characters."
L["Mailing up to %d to %s."] = "Отправка от %d до %s."
L["Make Cash On Delivery?"] = "Наложенный платёж"
--[[Translation missing --]]
L["Make Operations Global?"] = "Make Operations Global?"
L["Management Options"] = "Дополнительные настройки"
L["Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."] = "Многие часто используемые действия в TSM можно привязать к прокрутке колеса мыши с помощью макросов. Используйте настройки ниже, чтобы экономить время."
L["Map Ping"] = "Звук пингования по карте"
L["Market Value"] = "Рыночная стоимость"
--[[Translation missing --]]
L["Market value"] = "Market value"
--[[Translation missing --]]
L["Market value price source"] = "Market value price source"
L["Market Value Price Source"] = "Источник «рыночной стоимости»"
--[[Translation missing --]]
L["Mat cost"] = "Mat cost"
L["Mat Price"] = "Цена мат."
--[[Translation missing --]]
L["Match stack size"] = "Match stack size"
L["Match whitelisted players"] = "Использовать белый список игроков"
--[[Translation missing --]]
L["Material Cost"] = "Material Cost"
--[[Translation missing --]]
L["Material Price"] = "Material Price"
L["Materials"] = "Материалы"
L["Materials to Gather"] = "Материалы для сбора"
--[[Translation missing --]]
L["Max"] = "Max"
L["Max Buy Price"] = "Макс цена Покупки"
L["Max destroy value (Enter '0c' to disable)"] = "Максимальное значение уничтожения (Введите '0c', чтобы отключить)"
--[[Translation missing --]]
L["Max expires to bank"] = "Max expires to bank"
L["Max market value (Enter '0c' to disable)"] = "Максимальная рыночная стоимость (Введите '0c', чтобы выключить)"
--[[Translation missing --]]
L["Max Price"] = "Max Price"
--[[Translation missing --]]
L["Max quantity"] = "Max quantity"
--[[Translation missing --]]
L["Max restock quantity"] = "Max restock quantity"
L["Max Sell Price"] = "Макс цена Продажи"
L["Max Shopping Price"] = "Макс. закупочная цена"
--[[Translation missing --]]
L["Max shopping price"] = "Max shopping price"
--[[Translation missing --]]
L["Max sniper price"] = "Max sniper price"
L["Maximum amount already posted."] = "Макс. количество уже выставлено."
--[[Translation missing --]]
L["Maximum auction price"] = "Maximum auction price"
--[[Translation missing --]]
L["Maximum disenchant level"] = "Maximum disenchant level"
--[[Translation missing --]]
L["Maximum disenchant quality"] = "Maximum disenchant quality"
--[[Translation missing --]]
L["Maximum disenchant search percent"] = "Maximum disenchant search percent"
--[[Translation missing --]]
L["Maximum price"] = "Maximum price"
--[[Translation missing --]]
L["Maximum Quantity to Buy"] = "Maximum Quantity to Buy"
--[[Translation missing --]]
L["Maximum restock quantity"] = "Maximum restock quantity"
--[[Translation missing --]]
L["Midnight"] = "Midnight"
--[[Translation missing --]]
L["Mill value"] = "Mill value"
L["Mill Value"] = "Стоимость измельчения"
L["Min"] = "Мин"
--[[Translation missing --]]
L["Min 0 - Max 20"] = "Min 0 - Max 20"
--[[Translation missing --]]
L["Min 0.5 - Max 10"] = "Min 0.5 - Max 10"
L["Min Buy Price"] = "Мин цена Покупки"
L["Min Buyout"] = "Минимальная цена"
--[[Translation missing --]]
L["Min buyout"] = "Min buyout"
--[[Translation missing --]]
L["Min number of expires"] = "Min number of expires"
--[[Translation missing --]]
L["Min profit amount"] = "Min profit amount"
--[[Translation missing --]]
L["Min restock quantity"] = "Min restock quantity"
L["Min Sell Price"] = "Мин цена Продажи"
--[[Translation missing --]]
L["Min/Normal/Max price"] = "Min/Normal/Max price"
L["Min/Normal/Max Prices"] = "Мин./Норм./Макс. цена"
--[[Translation missing --]]
L["Minimum disenchant level"] = "Minimum disenchant level"
--[[Translation missing --]]
L["Minimum price"] = "Minimum price"
--[[Translation missing --]]
L["Minimum Rarity"] = "Minimum Rarity"
L["Misplaced comma"] = "Запятая не в том месте"
L["Missing Materials"] = "Не хватает материалов"
--[[Translation missing --]]
L["Missing operator between sets of parenthesis"] = "Missing operator between sets of parenthesis"
--[[Translation missing --]]
L["Modifiers"] = "Modifiers"
L["Money Frame Open"] = "Открытие фрейма с монетами"
L["Money Transfer"] = "Перевод денег"
--[[Translation missing --]]
L["MOST GROUPS"] = "MOST GROUPS"
--[[Translation missing --]]
L["MOST ITEMS"] = "MOST ITEMS"
L["MOVE"] = "Переместить"
--[[Translation missing --]]
L["Move %d |4Item:Items"] = "Move %d |4Item:Items"
--[[Translation missing --]]
L["Move %d already grouped items?"] = "Move %d already grouped items?"
--[[Translation missing --]]
L["Move all to Bags"] = "Move all to Bags"
--[[Translation missing --]]
L["Move Item"] = "Move Item"
--[[Translation missing --]]
L["Move Quantity Options"] = "Move Quantity Options"
--[[Translation missing --]]
L["Move to bags"] = "Move to bags"
--[[Translation missing --]]
L["Move to bank"] = "Move to bank"
--[[Translation missing --]]
L["Move to Parent Group"] = "Move to Parent Group"
L["MOVING"] = "Перемещение"
L["Moving"] = "Перемещение"
L["Multiple Items"] = "Разные предметы"
--[[Translation missing --]]
L["Must be between %d and %s."] = "Must be between %d and %s."
L["My Auctions"] = "Мои лоты"
--[[Translation missing --]]
L["My Auctions %s button"] = "My Auctions %s button"
--[[Translation missing --]]
L["Name"] = "Name"
L["NEED MATS"] = "Нужны мат."
--[[Translation missing --]]
L["New Base Group search."] = "New Base Group search."
L["New Group"] = "Новая группа"
L["New Operation"] = "Новая операция"
--[[Translation missing --]]
L["New price sources."] = "New price sources."
--[[Translation missing --]]
L["News & Information"] = "News & Information"
L["No Attachments"] = "Нет вложений"
--[[Translation missing --]]
L["No AuctionDB Realm Data"] = "No AuctionDB Realm Data"
--[[Translation missing --]]
L["No AuctionDB Region Data"] = "No AuctionDB Region Data"
--[[Translation missing --]]
L["No Characters"] = "No Characters"
--[[Translation missing --]]
L["No Crafts"] = "No Crafts"
--[[Translation missing --]]
L["No Faction-Realms"] = "No Faction-Realms"
L["No group selected"] = "Выберите группу"
--[[Translation missing --]]
L["No Guilds"] = "No Guilds"
L["No item specified. Usage: /tsm restock_help [ITEM_LINK]"] = "Не указан предмет. Введите: /tsm restock_help [ITEM_LINK]"
L["NO ITEMS"] = "Нет предметов"
L["No Materials to Gather"] = "Список сбора материалов пуст"
L["No Operation Selected"] = "Выберите операцию"
--[[Translation missing --]]
L["No Players"] = "No Players"
L["No posting."] = "Нет лотов на аукционе"
L["No Profession Opened"] = "Профессия не открыта"
L["No Profession Selected"] = "Выберите профессию"
--[[Translation missing --]]
L["No Professions"] = "No Professions"
L["No profile specified. Possible profiles: '%s'"] = "Не выбран профиль. Возможные профили: '%s'"
--[[Translation missing --]]
L["No Rarities"] = "No Rarities"
--[[Translation missing --]]
L["No receipe selected"] = "No receipe selected"
L["No recent AuctionDB scan data found."] = "Нет последних данных сканирования AuctionDB."
L["No Sound"] = "Без звука"
--[[Translation missing --]]
L["No Sources"] = "No Sources"
--[[Translation missing --]]
L["No Types"] = "No Types"
--[[Translation missing --]]
L["No value was returned by the custom price for the specified item."] = "No value was returned by the custom price for the specified item."
L["None"] = "Нет"
L["None (Always Show)"] = "Нет (всегда отображать)"
L["None Selected"] = "Ничего не выбрано"
--[[Translation missing --]]
L["Nongroup to bank"] = "Nongroup to bank"
--[[Translation missing --]]
L["Normal price"] = "Normal price"
L["Not canceling auction at reset price."] = "Не отменять лот для сброса цены."
L["Not canceling auction below min price."] = "Не отменять лот ниже минимальной цены."
L["Not canceling."] = "Не отменяется."
--[[Translation missing --]]
L["Not Connected"] = "Not Connected"
L["Not enough items in bags."] = "Не хватает предметов в сумках."
--[[Translation missing --]]
L["Not Enough Money"] = "Not Enough Money"
--[[Translation missing --]]
L["Not enough money to cancel."] = "Not enough money to cancel."
L["NOT OPEN"] = "Не открыто"
L["Not Scanned"] = "Не сканировано"
--[[Translation missing --]]
L["NOTE: The import contained %d invalid items which were ignored."] = "NOTE: The import contained %d invalid items which were ignored."
--[[Translation missing --]]
L["NOTE: The import contained %d operations with at least one invalid setting which was reset."] = "NOTE: The import contained %d operations with at least one invalid setting which was reset."
--[[Translation missing --]]
L["Nothing to move."] = "Nothing to move."
--[[Translation missing --]]
L["Nothing to send."] = "Nothing to send."
--[[Translation missing --]]
L["Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."] = "Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."
L["NPC"] = "НПС"
L["Number Owned"] = "Имеется"
L["Offline"] = "Оффлайн"
L["On Cooldown"] = "Восстанавливается"
L["Only show craftable"] = "Есть материалы"
L["Only show items with disenchant values above this price"] = "Показывать только те предметы, стоимость которых выше этой цены."
L["Only show sold auctions"] = "Показывать только проданные аукционы"
L["OPEN"] = "Открыть"
L["Open All Mail"] = "Открыть все письма"
L["Open All Mail Without Money"] = "Открыть всю почту без золота"
L["Open Mail"] = "Открыть письмо"
L["Open mail complete sound"] = "Звук завершения открытия почты"
L["Open Mail Without Money"] = "Открыть почту без денег."
L["Open Task List"] = "Открыть список задач"
L["Opens the Destroying frame if there's stuff in your bags to be destroyed."] = "Открывает окно разрушения, если в Ваших сумках есть вещи подлежащие уничтожению."
L["Operation"] = "Операция"
L["Operations"] = "Операции"
--[[Translation missing --]]
L["Options specific to Sniper are below."] = "Options specific to Sniper are below."
--[[Translation missing --]]
L["Order Confirmation"] = "Order Confirmation"
--[[Translation missing --]]
L["Orgrimmar"] = "Orgrimmar"
--[[Translation missing --]]
L["Other"] = "Other"
L["Other Character"] = "Другой персонаж"
--[[Translation missing --]]
L["Override default craft value"] = "Override default craft value"
--[[Translation missing --]]
L["Override Parent Operations"] = "Override Parent Operations"
L["Parent Items"] = "Предметы родительской группы"
--[[Translation missing --]]
L["Pausing Scan..."] = "Pausing Scan..."
L["Per Item"] = "За шт"
L["Per Stack"] = "За стак"
--[[Translation missing --]]
L["Per-Character group selections."] = "Per-Character group selections."
--[[Translation missing --]]
L["Performing a dry-run of your Mailing operations for the selected groups."] = "Performing a dry-run of your Mailing operations for the selected groups."
--[[Translation missing --]]
L["Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."] = "Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."
L["Player Gold"] = "Золото игрока"
L["Player Invite Accept"] = "Игрок принял приглашение"
L["Post"] = "Выставить"
--[[Translation missing --]]
L["Post / Cancel"] = "Post / Cancel"
L["Post at Maximum Price"] = "Выставить по максимальной цене"
L["Post at Minimum Price"] = "Выставить по минимальной цене"
L["Post at Normal Price"] = "Выставить по норм. цене"
--[[Translation missing --]]
L["Post Auction"] = "Post Auction"
--[[Translation missing --]]
L["Post cap"] = "Post cap"
--[[Translation missing --]]
L["Post cap to bags"] = "Post cap to bags"
--[[Translation missing --]]
L["Post from Shopping Scan"] = "Post from Shopping Scan"
--[[Translation missing --]]
L["Post Items from Bags"] = "Post Items from Bags"
--[[Translation missing --]]
L["Post Quantity"] = "Post Quantity"
L["Post Scan"] = "Скан. для продажи"
--[[Translation missing --]]
L["Post Selected"] = "Post Selected"
L["Postage"] = "Почтовый сбор"
L["Posted at whitelisted player's price."] = "Выставить по цене игрока из белого списка."
--[[Translation missing --]]
L["Posted:"] = "Posted:"
L["Posting"] = "Продажа"
L["Posting %d / %d"] = "Выставить %d / %d"
--[[Translation missing --]]
L["Posting %d items for %s hours."] = "Posting %d items for %s hours."
--[[Translation missing --]]
L["Posting %d stack(s) of %d for %s hours."] = "Posting %d stack(s) of %d for %s hours."
L["Posting at normal price."] = "Выставить по нормальной цене."
L["Posting at whitelisted player's price."] = "Выставить по цене игрока из белого списка."
L["Posting at your current price."] = "Выставить по текущей цене."
L["Posting disabled."] = "Выставление отключено."
--[[Translation missing --]]
L["Posting Options"] = "Posting Options"
--[[Translation missing --]]
L["Posting Price"] = "Posting Price"
--[[Translation missing --]]
L["Posts"] = "Posts"
L["Potential"] = "Потенциал"
--[[Translation missing --]]
L["Prepare Bid"] = "Prepare Bid"
--[[Translation missing --]]
L["Prepare Buy"] = "Prepare Buy"
--[[Translation missing --]]
L["Preparing..."] = "Preparing..."
--[[Translation missing --]]
L["Prevent closing the Auction House with the esc key"] = "Prevent closing the Auction House with the esc key"
--[[Translation missing --]]
L["Prints out the available price sources for use in custom prices"] = "Prints out the available price sources for use in custom prices"
--[[Translation missing --]]
L["Prints out the version numbers of all installed modules"] = "Prints out the version numbers of all installed modules"
--[[Translation missing --]]
L["Prints the slash command help listing"] = "Prints the slash command help listing"
--[[Translation missing --]]
L["Processing scan results..."] = "Processing scan results..."
--[[Translation missing --]]
L["Profession"] = "Profession"
--[[Translation missing --]]
L["Profession Info"] = "Profession Info"
L["Professions Used In"] = "Используется в профессиях"
L["Profile changed to '%s'."] = "Профиль изменён на '%s'."
L["Profiles"] = "Профили"
L["Profit"] = "Прибыль"
L["PROFIT"] = "ПРИБЫЛЬ"
--[[Translation missing --]]
L["Profit (Total)"] = "Profit (Total)"
--[[Translation missing --]]
L["Prospect value"] = "Prospect value"
L["Prospect Value"] = "Стоимость просеивания"
--[[Translation missing --]]
L["Purchase"] = "Purchase"
--[[Translation missing --]]
L["Purchase / Sale Info"] = "Purchase / Sale Info"
--[[Translation missing --]]
L["Purchase Data"] = "Purchase Data"
--[[Translation missing --]]
L["Purchase information"] = "Purchase information"
--[[Translation missing --]]
L["Purchase Item"] = "Purchase Item"
L["Purchased (Min/Avg/Max Price)"] = "Куплено (Мин./Ср./Макс. цена)"
L["Purchased (Total Price)"] = "Куплено (Общая цена)"
L["Purchases"] = "Покупки"
--[[Translation missing --]]
L["Purchasing Auction"] = "Purchasing Auction"
L["Puts items matching the item or partial text entered into the bank or guild bank."] = "Помещает предметы, соответствующие предмету или частично введенному тексту, в банк или банк гильдии."
L["Qty"] = "Кол."
--[[Translation missing --]]
L["Quantity"] = "Quantity"
--[[Translation missing --]]
L["Quantity Purchased:"] = "Quantity Purchased:"
L["Quantity Sold:"] = "Сколько продано:"
--[[Translation missing --]]
L["Quantity to move"] = "Quantity to move"
L["Quest Added"] = "Добавлено задание"
L["Quest Completed"] = "Задание выполнено"
L["Quest Objectives Complete"] = "Цели задания выполнены"
--[[Translation missing --]]
L["Queue"] = "Queue"
L["Quickly mail all excess disenchantable items to a character"] = "Быстрая отправка лишних предметов, которые можно распылить"
L["Quickly mail all excess gold (limited to a certain amount) to a character"] = "Быстрая отправка лишнего золота сверх указанного в поле лимита"
L["Raid Warning"] = "Предупреждение рейда"
L["Read More"] = "Подробнее"
L["Ready Check"] = "Проверка готовности"
L["Ready to Cancel"] = "Готово для отмены"
--[[Translation missing --]]
L["Recent"] = "Recent"
L["Recent Scans"] = "Недавние сканирования"
L["Recent Searches"] = "Последние поисковые запросы"
--[[Translation missing --]]
L["Recipe Name"] = "Recipe Name"
--[[Translation missing --]]
L["Recipient"] = "Recipient"
--[[Translation missing --]]
L["Region avg daily sold"] = "Region avg daily sold"
L["Region Avg Daily Sold"] = "Ежедневно покупают по региону"
L["Region Historical Price"] = "Историческая цена по региону"
--[[Translation missing --]]
L["Region historical price"] = "Region historical price"
--[[Translation missing --]]
L["Region market value"] = "Region market value"
L["Region Market Value Avg"] = "Ср. рыночная стоимость по региону"
L["Region Min Buyout Avg"] = "Ср. минимальная цена по региону"
--[[Translation missing --]]
L["Region min buyout avg"] = "Region min buyout avg"
--[[Translation missing --]]
L["Region sale avg"] = "Region sale avg"
L["Region Sale Avg"] = "Ср. цена продажи по региону"
L["Region Sale Rate"] = "Шанс продажи по региону"
--[[Translation missing --]]
L["Region sale rate"] = "Region sale rate"
L["Reload"] = "Перезагрузить"
--[[Translation missing --]]
L["Reload UI (%02d)"] = "Reload UI (%02d)"
--[[Translation missing --]]
L["Reload UI (%d)"] = "Reload UI (%d)"
--[[Translation missing --]]
L["Remove"] = "Remove"
--[[Translation missing --]]
L["Remove %d |4Item:Items"] = "Remove %d |4Item:Items"
--[[Translation missing --]]
L["Remove Data Older Than (Days)"] = "Remove Data Older Than (Days)"
--[[Translation missing --]]
L["Remove this account sync and all synced data from this account"] = "Remove this account sync and all synced data from this account"
L["Removed a total of %s old records."] = "Удалено старых записей: %s"
--[[Translation missing --]]
L["Removed custom price source (%s) which has an invalid name."] = "Removed custom price source (%s) which has an invalid name."
--[[Translation missing --]]
L["Rename"] = "Rename"
--[[Translation missing --]]
L["Rename Profile"] = "Rename Profile"
--[[Translation missing --]]
L["Rename Search"] = "Rename Search"
--[[Translation missing --]]
L["Rename the profile"] = "Rename the profile"
--[[Translation missing --]]
L["Rename this group"] = "Rename this group"
--[[Translation missing --]]
L["Repair"] = "Repair"
L["Repair Bill"] = "Счёт за ремонт"
--[[Translation missing --]]
L["Repair from Guild Bank"] = "Repair from Guild Bank"
--[[Translation missing --]]
L["Replace %d existing operations and %d existing custom sources?"] = "Replace %d existing operations and %d existing custom sources?"
--[[Translation missing --]]
L["Replace %d existing operations?"] = "Replace %d existing operations?"
--[[Translation missing --]]
L["Reply"] = "Reply"
--[[Translation missing --]]
L["Report Spam"] = "Report Spam"
--[[Translation missing --]]
L["Reports"] = "Reports"
--[[Translation missing --]]
L["Repost threshold"] = "Repost threshold"
L["Required Level"] = "Требуемый уровень"
--[[Translation missing --]]
L["Required Level Range"] = "Required Level Range"
L["Resale"] = "Перепродажа"
--[[Translation missing --]]
L["Rescan"] = "Rescan"
--[[Translation missing --]]
L["Reset"] = "Reset"
--[[Translation missing --]]
L["Reset All Filters"] = "Reset All Filters"
L["Reset Filters"] = "Сбросить"
--[[Translation missing --]]
L["Reset Operation?"] = "Reset Operation?"
--[[Translation missing --]]
L["Reset Profile?"] = "Reset Profile?"
--[[Translation missing --]]
L["Reset Table"] = "Reset Table"
--[[Translation missing --]]
L["Reset the current profile to default settings"] = "Reset the current profile to default settings"
--[[Translation missing --]]
L["Reset to Default"] = "Reset to Default"
--[[Translation missing --]]
L["Reset Zoom"] = "Reset Zoom"
--[[Translation missing --]]
L["Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."] = "Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."
--[[Translation missing --]]
L["Restart"] = "Restart"
--[[Translation missing --]]
L["Restart delay (minutes)"] = "Restart delay (minutes)"
--[[Translation missing --]]
L["Restock bags"] = "Restock bags"
--[[Translation missing --]]
L["Restock help for %s: %s"] = "Restock help for %s: %s"
--[[Translation missing --]]
L["Restock Options"] = "Restock Options"
--[[Translation missing --]]
L["Restock quantity"] = "Restock quantity"
--[[Translation missing --]]
L["Restock Selected Groups"] = "Restock Selected Groups"
--[[Translation missing --]]
L["Restock target to max quantity"] = "Restock target to max quantity"
L["Restocking to %d."] = "Пополнить до %d."
--[[Translation missing --]]
L["Restocking with a min profit."] = "Restocking with a min profit."
--[[Translation missing --]]
L["Restocking with no min profit."] = "Restocking with no min profit."
--[[Translation missing --]]
L["Restore bags"] = "Restore bags"
--[[Translation missing --]]
L["Resuming Scan..."] = "Resuming Scan..."
L["Retrying %d auction(s) which failed."] = "Снова пробуем выставить лот %d."
L["Revenue"] = "Доходы"
--[[Translation missing --]]
L["Right-Click to reset the window size, scale, and position to their defaults."] = "Right-Click to reset the window size, scale, and position to their defaults."
--[[Translation missing --]]
L["Run Advanced Item Search"] = "Run Advanced Item Search"
L["Run Bid Sniper"] = "«Снайпер» по ставкам"
L["Run Buyout Sniper"] = "«Снайпер» на выкуп"
--[[Translation missing --]]
L["Run Cancel Scan"] = "Run Cancel Scan"
--[[Translation missing --]]
L["Run Post Scan"] = "Run Post Scan"
--[[Translation missing --]]
L["Run Shopping Scan"] = "Run Shopping Scan"
L["Running Sniper Scan"] = "Запущено сканирование «Снайпер»"
L["Sale"] = "Продажа"
--[[Translation missing --]]
L["Sale Data"] = "Sale Data"
--[[Translation missing --]]
L["Sale information"] = "Sale information"
--[[Translation missing --]]
L["Sale Price"] = "Sale Price"
L["Sale Rate"] = "Шанс продажи"
--[[Translation missing --]]
L["Sale rate"] = "Sale rate"
L["Sales"] = "Продажи"
L["SALES"] = "Продажи"
--[[Translation missing --]]
L["Save"] = "Save"
--[[Translation missing --]]
L["Scan"] = "Scan"
L["SCAN ALL"] = "Сканировать все"
--[[Translation missing --]]
L["Scan complete sound"] = "Scan complete sound"
L["Scan Paused"] = "Сканирование на паузе"
--[[Translation missing --]]
L["Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."] = "Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."
--[[Translation missing --]]
L["Scanning"] = "Scanning"
L["SCANNING"] = "Сканирование"
--[[Translation missing --]]
L["Scanning (%d Items)"] = "Scanning (%d Items)"
--[[Translation missing --]]
L["Scroll wheel direction"] = "Scroll wheel direction"
--[[Translation missing --]]
L["Scroll Wheel Options"] = "Scroll Wheel Options"
L["Search"] = "Поиск"
--[[Translation missing --]]
L["Search %s operations"] = "Search %s operations"
L["Search Bags"] = "Искать в сумках"
L["Search Groups"] = "Поиск группы"
L["Search items"] = "Поиск предметов"
L["Search items in group"] = "Поиск предметов в группе"
L["Search items in mailbox"] = "Поиск предметов на почте"
L["Search Operations"] = "Поиск операции"
L["Search Patterns"] = "Поиск по рецептам"
--[[Translation missing --]]
L["Search Results"] = "Search Results"
--[[Translation missing --]]
L["Search the auction house"] = "Search the auction house"
L["Search Vendor"] = "Поиск у торговца"
--[[Translation missing --]]
L["Select / Deselect All Groups"] = "Select / Deselect All Groups"
--[[Translation missing --]]
L["Select / Deselect All Items"] = "Select / Deselect All Items"
--[[Translation missing --]]
L["Select / Deselect All Results"] = "Select / Deselect All Results"
L["Select a Source"] = "Выберите источник"
L["Select Action"] = "Выберите действие"
--[[Translation missing --]]
L["Select All"] = "Select All"
--[[Translation missing --]]
L["Select an Auction to Buy"] = "Select an Auction to Buy"
L["Select Auction to Cancel"] = "Выберите лот для отмены"
L["Select crafter"] = "Выберите крафтера"
--[[Translation missing --]]
L["Select Group"] = "Select Group"
--[[Translation missing --]]
L["Select included subgroups"] = "Select included subgroups"
--[[Translation missing --]]
L["Select Items to Attach"] = "Select Items to Attach"
L["Select professions"] = "Выбрать профессии"
L["Sell"] = "Продать"
--[[Translation missing --]]
L["Sell All"] = "Sell All"
--[[Translation missing --]]
L["Sell BoEs"] = "Sell BoEs"
--[[Translation missing --]]
L["Sell Groups"] = "Sell Groups"
L["Sell Options"] = "Настройки продажи"
--[[Translation missing --]]
L["Sell soulbound items"] = "Sell soulbound items"
L["Sell to Vendor"] = "Продать торговцу"
--[[Translation missing --]]
L["Sell Trash"] = "Sell Trash"
L["Seller"] = "Продавец"
L["Selling soulbound items."] = "Продажа персональных предметов."
L["Send"] = "Отправка"
--[[Translation missing --]]
L["Send Disenchantables"] = "Send Disenchantables"
L["Send Excess Gold to Banker"] = "Отправка лишнего золота"
--[[Translation missing --]]
L["Send Gold"] = "Send Gold"
L["Send grouped items individually"] = "Отправлять сгруппированные предметы поштучно"
L["Send Mail"] = "Отправить письмо"
L["Send Money"] = "Отправить деньги"
--[[Translation missing --]]
L["Send your active profile to this synced account"] = "Send your active profile to this synced account"
--[[Translation missing --]]
L["Sender"] = "Sender"
L["SENDING"] = "Отправка"
L["Sending %s to %s"] = "Отправка %s для %s"
L["Sending %s to %s with a COD of %s"] = "Отправка %s для %s с наложенным платежом %s"
L["Sending Settings"] = "Настройки отправки"
--[[Translation missing --]]
L["Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"] = "Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"
--[[Translation missing --]]
L["Sending..."] = "Sending..."
--[[Translation missing --]]
L["Set bid as percentage of buyout"] = "Set bid as percentage of buyout"
--[[Translation missing --]]
L["Set how items are moved out of the bank."] = "Set how items are moved out of the bank."
--[[Translation missing --]]
L["Set how items are restocked from the bank."] = "Set how items are restocked from the bank."
--[[Translation missing --]]
L["Set keep in bags quantity"] = "Set keep in bags quantity"
--[[Translation missing --]]
L["Set keep in bank quantity"] = "Set keep in bank quantity"
--[[Translation missing --]]
L["Set max quantity"] = "Set max quantity"
--[[Translation missing --]]
L["Set min profit"] = "Set min profit"
--[[Translation missing --]]
L["Set move quantity"] = "Set move quantity"
--[[Translation missing --]]
L["Set stack size"] = "Set stack size"
--[[Translation missing --]]
L["Set stack size for restock"] = "Set stack size for restock"
--[[Translation missing --]]
L["Set what is bought from a vendor."] = "Set what is bought from a vendor."
--[[Translation missing --]]
L["Set what is sold to a vendor."] = "Set what is sold to a vendor."
L["Set what items are shown during a Shopping scan."] = "Установите, какие элементы будут отображаться при сканировании покупок."
L["Set what items are shown during a Sniper scan."] = "Установите, какие элементы будут отображаться во время сканирования \"Sniper\"."
--[[Translation missing --]]
L["Set your active profile or create a new one."] = "Set your active profile or create a new one."
--[[Translation missing --]]
L["Settings"] = "Settings"
--[[Translation missing --]]
L["Setup various sounds that play when doing Auctioning scans."] = "Setup various sounds that play when doing Auctioning scans."
--[[Translation missing --]]
L["SHIFT"] = "SHIFT"
L["Shopping"] = "Покупка"
--[[Translation missing --]]
L["Shopping %s button"] = "Shopping %s button"
L["Shopping for auctions including those above the max price."] = "Покупка лотов с ценой, выше максимальной."
L["Shopping for auctions with a max price set."] = "Покупка лотов с максимальной ценой."
--[[Translation missing --]]
L["Shopping operation"] = "Shopping operation"
--[[Translation missing --]]
L["Shopping Operation Max Price"] = "Shopping Operation Max Price"
--[[Translation missing --]]
L["Shopping operations control buyout from the AH."] = "Shopping operations control buyout from the AH."
--[[Translation missing --]]
L["Shortfall to bags"] = "Shortfall to bags"
L["Show auctions above max price"] = "Показать аукционы выше максимальной цены"
L["Show confirmation alert if buyout is above the alert price"] = "Показать подтверждение оповещения, если выкуп находится выше цены оповещения"
L["Show destroying frame automatically"] = "Автоматически показывать окно уничтожения"
L["Show on modifier"] = "Показать модификации"
L["Show only auctions with bids"] = "Показывать только аукционы со ставками"
L["Showing %s Mail"] = "Показано %s писем"
L["Showing %s of %d Mail"] = "Показано %s из %d писем"
L["Showing %s of %d Mails"] = "Показаны %s из %d писем"
L["Showing all %s Mails"] = "Показаны все %s письма"
--[[Translation missing --]]
L["Simple inventory"] = "Simple inventory"
--[[Translation missing --]]
L["Skip"] = "Skip"
--[[Translation missing --]]
L["Skipped:"] = "Skipped:"
L["Skipped: No assigned operation"] = "Пропущено: Нет связанной операции"
L["Slash Commands:"] = "Команды:"
--[[Translation missing --]]
L["Smart Avg Buy Price"] = "Smart Avg Buy Price"
--[[Translation missing --]]
L["Sniper"] = "Sniper"
--[[Translation missing --]]
L["Sniper %s button"] = "Sniper %s button"
--[[Translation missing --]]
L["Sniper Below Price"] = "Sniper Below Price"
--[[Translation missing --]]
L["Sniper operation"] = "Sniper operation"
--[[Translation missing --]]
L["Sniper Operation Below Price"] = "Sniper Operation Below Price"
--[[Translation missing --]]
L["Sniper operations control sniping from the AH."] = "Sniper operations control sniping from the AH."
L["Sniper Options"] = "Настройки режима «Снайпер»"
L["Sniping items below a max price"] = "Предметы «Снайпера» ниже макс. цены"
L["Sold"] = "Продан"
--[[Translation missing --]]
L["Sold %d of %s to %s for %s"] = "Sold %d of %s to %s for %s"
L["Sold %s worth of items."] = "Продано %s предметов."
L["Sold (Min/Avg/Max Price)"] = "Продано (Мин./Ср./Макс. цена)"
L["Sold (Total Price)"] = "Продано (Общая цена)"
L["Sold [%s]x%d for %s to %s"] = "Продано [%s]x%d для %s %s"
--[[Translation missing --]]
L["Sold for:"] = "Sold for:"
--[[Translation missing --]]
L["Some general Accounting options are below."] = "Some general Accounting options are below."
--[[Translation missing --]]
L["Some general appearance options are below."] = "Some general appearance options are below."
--[[Translation missing --]]
L["Some general Auctioning options are below."] = "Some general Auctioning options are below."
--[[Translation missing --]]
L["Some general Browse/Sniper options are below."] = "Some general Browse/Sniper options are below."
--[[Translation missing --]]
L["Some general options for the TSM tooltip information are below."] = "Some general options for the TSM tooltip information are below."
--[[Translation missing --]]
L["Some general TSM options are below."] = "Some general TSM options are below."
--[[Translation missing --]]
L["Some options for the Disenchant Search are below."] = "Some options for the Disenchant Search are below."
L["Source"] = "Источник"
L["SOURCE %d"] = "Источник %d"
L["Sources"] = "Источники"
--[[Translation missing --]]
L["Sources to include for restock"] = "Sources to include for restock"
L["Stack"] = "Стак"
L["Stack / Quantity"] = "Стаков / шт. в стаке"
--[[Translation missing --]]
L["Stack size"] = "Stack size"
--[[Translation missing --]]
L["Stack size multiple"] = "Stack size multiple"
--[[Translation missing --]]
L["Stack(s)"] = "Stack(s)"
L["Start either a 'Buyout' or 'Bid' sniper using the buttons above."] = "Запустите режим «Снайпер», используя кнопки «Ставка» или «Выкуп»."
--[[Translation missing --]]
L["Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."] = "Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."
L["Starting Scan..."] = "Запуск сканирования..."
L["Store operations globally"] = "Глобальные операции, общие для всех профилей"
--[[Translation missing --]]
L["Stormwind"] = "Stormwind"
--[[Translation missing --]]
L["String"] = "String"
L["Subject"] = "Тема"
--[[Translation missing --]]
L["Subject & Description added"] = "Subject & Description added"
--[[Translation missing --]]
L["Successfully sent your '%s' profile to %s!"] = "Successfully sent your '%s' profile to %s!"
--[[Translation missing --]]
L["Supported range: %d - %d"] = "Supported range: %d - %d"
--[[Translation missing --]]
L["Supported value range: %d - %d"] = "Supported value range: %d - %d"
--[[Translation missing --]]
L["Swamp of Sorrows"] = "Swamp of Sorrows"
L["Switch to %s"] = "Переключиться на %s"
L["Sync Setup Error: The specified player on the other account is not currently online."] = "Ошибка синхронизации: Выбранный игрок на другой учетной записи в настоящий момент не в сети."
L["Sync Setup Error: This character is already part of a known account."] = "Ошибка синхронизации: Этот персонаж уже является частью известной учетной записи."
L["Sync Setup Error: You entered the name of the current character and not the character on the other account."] = "Ошибка синхронизации: Вы ввели имя текущего персонажа, а не персонажа другой учётной записи."
--[[Translation missing --]]
L["Sync Status"] = "Sync Status"
--[[Translation missing --]]
L["Target character"] = "Target character"
--[[Translation missing --]]
L["Target shortfall to bags"] = "Target shortfall to bags"
L["Tasks Added to Task List"] = "Задача добавлена в ваш список"
--[[Translation missing --]]
L["Tells you why a specific item is not being restocked and added to the queue."] = "Tells you why a specific item is not being restocked and added to the queue."
L["Text (%s)"] = "Текст (%s)"
--[[Translation missing --]]
L["The '%s' custom price source is invalid."] = "The '%s' custom price source is invalid."
--[[Translation missing --]]
L["The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."] = "The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."
--[[Translation missing --]]
L["The buyout price for %s would be above the maximum allowed price. Skipping this item."] = "The buyout price for %s would be above the maximum allowed price. Skipping this item."
L["The canlearn filter was ignored because the CanIMogIt addon was not found."] = "Фильтр canlearn игнорировался, поскольку аддон CanIMogIt не был найден."
--[[Translation missing --]]
L["The 'Craft Value Method' did not return a value for this item."] = "The 'Craft Value Method' did not return a value for this item."
--[[Translation missing --]]
L["The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."] = "The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."
--[[Translation missing --]]
L["The max quantity cannot be zero."] = "The max quantity cannot be zero."
--[[Translation missing --]]
L["The min profit did not evalulate to a valid value for this item."] = "The min profit did not evalulate to a valid value for this item."
--[[Translation missing --]]
L["The name portion of the search term must be at least 3 characters if present."] = "The name portion of the search term must be at least 3 characters if present."
--[[Translation missing --]]
L["The pasted value was not valid. Ensure you are pasting the entire import string."] = "The pasted value was not valid. Ensure you are pasting the entire import string."
L["The player \"%s\" is already on your whitelist."] = "Игрок \"%s\" уже в белом списке."
L["The profit of this item (%s) is below the min profit (%s)."] = "Прибыль от предмета (%s) это ниже мин. прибыли (%s)"
--[[Translation missing --]]
L["The same filter was specified multiple times."] = "The same filter was specified multiple times."
--[[Translation missing --]]
L["The search term must be at least 3 characters."] = "The search term must be at least 3 characters."
L["The seller name of the lowest auction for %s was not given by the server. Skipping this item."] = "Сервер не вернул имя продавца с самым дешёвым лотом %s. Предмет пропущен."
--[[Translation missing --]]
L["The specified filter was empty."] = "The specified filter was empty."
--[[Translation missing --]]
L["The specified item is not supported for crafting searches."] = "The specified item is not supported for crafting searches."
--[[Translation missing --]]
L["The specified item is not supported for disenchant searches."] = "The specified item is not supported for disenchant searches."
--[[Translation missing --]]
L["The specified item was not found."] = "The specified item was not found."
--[[Translation missing --]]
L["The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."] = "The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."
L["The unlearned filter was ignored because the CanIMogIt addon was not found."] = "Неизвестный фильтр был проигнорирован, т.к. аддон CanIMogIt не найден."
--[[Translation missing --]]
L["The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."] = "The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."
--[[Translation missing --]]
L["Themes"] = "Themes"
L["There is currently no profession open, so cannot create profession groups."] = "В данный момент нет открытой профессии, поэтому нельзя создавать группы профессий."
--[[Translation missing --]]
L["There is no Crafting operation applied to this item's TSM group (%s)."] = "There is no Crafting operation applied to this item's TSM group (%s)."
L["This is not a valid profile name. Profile names must be at least one character long and may not contain '@' characters."] = "Некорректное имя профиля. Имя должно содержать хотя бы один символ и не содержать специальные символы."
L["This item does not have a crafting cost. Check that all of its mats have mat prices."] = "У предмета нет цены создания. Проверьте чтобы все материалы имели цену."
L["This item is not in a TSM group."] = "Этот предмет не в группе TSM."
--[[Translation missing --]]
L["This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."] = "This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."
L["This looks like an exported operation and not a custom price."] = "Это выглядит как экспортированная операция, а не как индивидуальная цена."
--[[Translation missing --]]
L["This operation is applied to the base group which includes every item not in another group."] = "This operation is applied to the base group which includes every item not in another group."
--[[Translation missing --]]
L["This price is above your confirmation alert threshold."] = "This price is above your confirmation alert threshold."
L["This profession is not open."] = "Эта профессия не открыта."
--[[Translation missing --]]
L["This record belongs to another account and can only be deleted on that account."] = "This record belongs to another account and can only be deleted on that account."
L["This will permanently delete the '%s' profile."] = "Хотите навсегда удалить профиль «%s»?"
--[[Translation missing --]]
L["This will reset all groups and operations (if not stored globally) to be wiped from '%s'."] = "This will reset all groups and operations (if not stored globally) to be wiped from '%s'."
L["Time"] = "Время"
L["Time Frame"] = "Когда"
--[[Translation missing --]]
L["Time to Craft:"] = "Time to Craft:"
--[[Translation missing --]]
L["Tinker"] = "Tinker"
--[[Translation missing --]]
L["To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."] = "To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."
--[[Translation missing --]]
L["Toggles the main TSM window"] = "Toggles the main TSM window"
L["Toggles the TSM Banking UI if either the bank or guild bank is currently open."] = "Переключает пользовательский интерфейс TSM Banking, если в данный момент открыт банк или банк гильдии."
--[[Translation missing --]]
L["Toggles the TSM Crafting UI."] = "Toggles the TSM Crafting UI."
--[[Translation missing --]]
L["Toggles the TSM Task List UI"] = "Toggles the TSM Task List UI"
--[[Translation missing --]]
L["Tooltip Options"] = "Tooltip Options"
--[[Translation missing --]]
L["Tooltip price format"] = "Tooltip price format"
L["Tooltip Settings"] = "Подсказки"
--[[Translation missing --]]
L["Top Buyers"] = "Top Buyers"
--[[Translation missing --]]
L["Top Item"] = "Top Item"
--[[Translation missing --]]
L["TOP PURCHASE"] = "TOP PURCHASE"
--[[Translation missing --]]
L["TOP SALE"] = "TOP SALE"
--[[Translation missing --]]
L["Top Sellers"] = "Top Sellers"
L["Total"] = "Итого"
L["Total Gold"] = "Всего золота"
--[[Translation missing --]]
L["Total Gold Collected: %s"] = "Total Gold Collected: %s"
--[[Translation missing --]]
L["Total Gold Earned"] = "Total Gold Earned"
--[[Translation missing --]]
L["Total Gold Spent"] = "Total Gold Spent"
--[[Translation missing --]]
L["Total Inventory Quantity"] = "Total Inventory Quantity"
--[[Translation missing --]]
L["Total Items"] = "Total Items"
--[[Translation missing --]]
L["Total Postage"] = "Total Postage"
L["Total Price"] = "Общая цена"
--[[Translation missing --]]
L["Total Prices:"] = "Total Prices:"
--[[Translation missing --]]
L["Total Profit"] = "Total Profit"
L["Total Value"] = "Общая стоимость"
L["Track Sales / Purchases via trade"] = "Отслеживать продажи / покупки через торговлю"
L["Transform Value"] = "Стоимость трансформации"
--[[Translation missing --]]
L["Transform value"] = "Transform value"
--[[Translation missing --]]
L["Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."] = "Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."
--[[Translation missing --]]
L["TSM 4.10: What's new"] = "TSM 4.10: What's new"
--[[Translation missing --]]
L["TSM Accounting"] = "TSM Accounting"
--[[Translation missing --]]
L["TSM AuctionDB"] = "TSM AuctionDB"
--[[Translation missing --]]
L["TSM Auctioning"] = "TSM Auctioning"
--[[Translation missing --]]
L["TSM can automatically sync data between multiple WoW accounts."] = "TSM can automatically sync data between multiple WoW accounts."
L["TSM Crafting"] = "TSM Crafting"
--[[Translation missing --]]
L["TSM Desktop App Status (%s)"] = "TSM Desktop App Status (%s)"
--[[Translation missing --]]
L["TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"] = "TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"
--[[Translation missing --]]
L["TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."] = "TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."
L["TSM failed to scan some auctions. Please rerun the scan."] = "TSM не смог просканировать некоторые лоты. Запустите новое сканирование."
--[[Translation missing --]]
L["TSM General Info"] = "TSM General Info"
--[[Translation missing --]]
L["TSM Groups"] = "TSM Groups"
--[[Translation missing --]]
L["TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."] = "TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."
L["TSM is missing important information from the TSM Desktop Application. Please ensure the TSM Desktop Application is running and is properly configured."] = "В TSM отсутствует важная информация из TSM Desktop Application. Убедитесь, что эта программа запущена и правильно настроена."
--[[Translation missing --]]
L["TSM is not yet ready to establish a new sync connection. Please try again later."] = "TSM is not yet ready to establish a new sync connection. Please try again later."
--[[Translation missing --]]
L["TSM Shopping"] = "TSM Shopping"
--[[Translation missing --]]
L["TSM Sniper"] = "TSM Sniper"
L["TSM TASK LIST"] = "TSM Список задач"
L["TSM Version Info:"] = "Информация о версии TSM:"
--[[Translation missing --]]
L["TSM will not undercut any players you add to your whitelist."] = "TSM will not undercut any players you add to your whitelist."
L["TSM_Accounting detected that you just traded %s %s in return for %s. Would you like Accounting to store a record of this trade?"] = "TSM_Accounting обнаружил, что вы поменяли %s %s на %s. Хотите, чтобы Accounting сделал запись об этом обмене?"
L["TSM4"] = "TSM4"
--[[Translation missing --]]
L["TUJ 14-Day Price"] = "TUJ 14-Day Price"
L["TUJ 3-Day Price"] = "3-х дневная цена из TUJ"
--[[Translation missing --]]
L["TUJ Global Mean"] = "TUJ Global Mean"
--[[Translation missing --]]
L["TUJ Global Median"] = "TUJ Global Median"
L["Type"] = "Тип"
L["Unbalanced parentheses."] = "Незакрытые скобки."
--[[Translation missing --]]
L["Uncollected Only"] = "Uncollected Only"
--[[Translation missing --]]
L["Undercut amount"] = "Undercut amount"
L["Undercut by whitelisted player."] = "Перебито игроком из белого списка."
L["Undercutting blacklisted player."] = "Сбивать цену игроков из черного списка."
L["Undercutting competition."] = "Сбиваем цену конкурентов."
L["Ungrouped Items"] = "Предметы без группы"
--[[Translation missing --]]
L["Ungrouped Items in Bags"] = "Ungrouped Items in Bags"
--[[Translation missing --]]
L["Unit Price"] = "Unit Price"
L["Unknown Item"] = "Неизвестный предмет"
--[[Translation missing --]]
L["Unknown word (%s)."] = "Unknown word (%s)."
--[[Translation missing --]]
L["Unlock Column Width"] = "Unlock Column Width"
L["Unwrap Gift"] = "Развернуть подарок"
L["Up"] = "Вверх"
--[[Translation missing --]]
L["Up to date"] = "Up to date"
--[[Translation missing --]]
L["Update existing macro"] = "Update existing macro"
--[[Translation missing --]]
L["Updating"] = "Updating"
--[[Translation missing --]]
L["Upgrades Only"] = "Upgrades Only"
--[[Translation missing --]]
L["Usable Only"] = "Usable Only"
--[[Translation missing --]]
L["Usage: /tsm price <Item Link> <Custom String>"] = "Usage: /tsm price <Item Link> <Custom String>"
L["Use the settings below to control which lines are shown in tooltips."] = "Используйте настройки ниже, чтобы указать, какие строки будут отображаться во всплывающих подсказках."
--[[Translation missing --]]
L["Use this list to manage what cooldowns you'd like TSM to ignore from crafting."] = "Use this list to manage what cooldowns you'd like TSM to ignore from crafting."
--[[Translation missing --]]
L["Use this list to manage what items you'd like TSM to ignore from destroying."] = "Use this list to manage what items you'd like TSM to ignore from destroying."
--[[Translation missing --]]
L["Value"] = "Value"
--[[Translation missing --]]
L["Value must be between %d and %d."] = "Value must be between %d and %d."
--[[Translation missing --]]
L["Value Price Source"] = "Value Price Source"
--[[Translation missing --]]
L["Values"] = "Values"
L["Vendor"] = "Торговец"
L["Vendor Buy Price"] = "Покупка у торговца"
--[[Translation missing --]]
L["Vendor buy price"] = "Vendor buy price"
L["Vendor Search"] = "Поиск для продажи торговцу"
L["Vendor Sell"] = "Продажа торговцу"
L["Vendor Sell Price"] = "Продажа торговцу"
--[[Translation missing --]]
L["Vendor sell price"] = "Vendor sell price"
--[[Translation missing --]]
L["Vendoring"] = "Vendoring"
--[[Translation missing --]]
L["Vendoring %s button"] = "Vendoring %s button"
--[[Translation missing --]]
L["Vendoring operation"] = "Vendoring operation"
--[[Translation missing --]]
L["Vendoring operations control selling to and buying from a vendor."] = "Vendoring operations control selling to and buying from a vendor."
L["Warehousing"] = "Хранение"
--[[Translation missing --]]
L["Warehousing operation"] = "Warehousing operation"
--[[Translation missing --]]
L["Warehousing operations control moving in and out of the bank."] = "Warehousing operations control moving in and out of the bank."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Склад переместит макс. %d предметов из группы, возвращая %d предметов назад когда в сумках > банка/гбанка, %d когда в банке/гбанке > сумок."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Склад переместит макс. %d предметов из группы, возвращая %d предметов назад когда в сумках > банка/гбанка, %d когда в банке/гбанке > сумок. Пополнение запасов оставит %d предметов в сумках."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."] = "Склад переместит макс. %d предметов из группы, возвращая %d предметов назад когда в сумках > банка/гбанка."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Склад переместит макс. %d предметов из группы, возвращая %d предметов назад когда в сумках > банка/гбанка. Пополнение запасов оставит %d предметов в сумках."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."] = "Склад переместит макс. %d предметов из группы, возвращая %d предметов назад когда в банке/гбанке > сумок."
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Склад переместит макс. %d предметов из группы, возвращая %d предметов назад когда в банке/гбанке > сумок. Пополнение запасов оставит %d предметов в сумках."
L["Warehousing will move a max of %d of each item in this group."] = "Склад переместит макс. %d предметов из группы."
L["Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."] = "Склад переместит макс. %d предметов из группы. Пополнение запасов оставит %d предметов в сумках."
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Склад переместит все предметы из группы, возвращая %d предметов назад когда в сумках > банка/гбанка, %d когда в банке/гбанке > сумок."
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Склад переместит все предметы из группы, возвращая %d предметов назад когда в сумках > банка/гбанка, %d когда в банке/гбанке > сумок. Пополнение запасов оставит %d предметов в сумках."
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."] = "Склад переместит все предметы из группы, возвращая %d предметов назад когда в сумках > банка/гбанка."
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Склад переместит все предметы из группы, возвращая %d предметов назад когда в сумках > банка/гбанка. Пополнение запасов оставит %d предметов в сумках."
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."] = "Склад переместит все предметы из группы, возвращая %d предметов назад когда в банке/гбанке > сумок."
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Склад переместит все предметы из группы, возвращая %d предметов назад когда в банке/гбанке > сумок. Пополнение запасов оставит %d предметов в сумках."
L["Warehousing will move all of the items in this group."] = "Склад будет перемещать все предметы из группы."
L["Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."] = "Склад будет перемещать все предметы из группы. Пополнение запасов оставит %d в сумках."
L["WARNING: The macro was too long, so was truncated to fit by WoW."] = "ВНИМАНИЕ: Макрос был слишком длинным, поэтому он обрезан игрой."
--[[Translation missing --]]
L["WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."] = "WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."
--[[Translation missing --]]
L["We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."] = "We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."
L["When above maximum:"] = "Когда выше максимума:"
L["When below minimum:"] = "Когда ниже минимума:"
L["Whitelist"] = "Белый список"
--[[Translation missing --]]
L["Whitelisted characters"] = "Whitelisted characters"
--[[Translation missing --]]
L["Winamp"] = "Winamp"
--[[Translation missing --]]
L["Would send %s to %s"] = "Would send %s to %s"
--[[Translation missing --]]
L["Would send %s to %s with a COD of %s"] = "Would send %s to %s with a COD of %s"
--[[Translation missing --]]
L["WOW UI"] = "WOW UI"
--[[Translation missing --]]
L["You are not on one of the listed characters."] = "You are not on one of the listed characters."
--[[Translation missing --]]
L["You can clear old Accounting data below to keep things running smoothly."] = "You can clear old Accounting data below to keep things running smoothly."
--[[Translation missing --]]
L["You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"] = "You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"
--[[Translation missing --]]
L["You can use the export string below to share this group with others."] = "You can use the export string below to share this group with others."
L["You cannot use %s as part of this custom price."] = "Вы не можете использовать %s как часть индивидуальной цены."
L["You cannot use %s within convert() as part of this custom price."] = "Вы не можете использовать %s без convert() как часть этой индивидуальной цены."
L["You do not need to add \"%s\", alts are whitelisted automatically."] = "Вам не нужно добавлять «%s», альты попадают в белый список автоматически."
L["You don't know how to craft this item."] = "Вы не умеете создавать этот предмет."
--[[Translation missing --]]
L["You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."] = "You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."
L["You must reload your UI for these settings to take effect. Reload now?"] = "Вы должны перезагрузить свой интерфейс, чтобы эти настройки вступили в силу. Перезагрузить сейчас?"
L["You won an auction for %sx%d for %s"] = "Вы выиграли лот %sx%d за %s"
L["Your auction has not been undercut."] = "Ваш лот не перебит."
L["Your auction of %s expired"] = "Время вашего лота %s истекло"
L["Your auction of %s has sold for %s!"] = "Ваш лот %s был продан за %s!"
L["Your Buyout"] = "Выкуп"
L["Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"] = "Ваш метод расчета стоимости крафта для '%s' не верен, поэтому был использован метод по умолчанию. Подробности: %s"
L["Your default craft value method was invalid so it has been returned to the default. Details: %s"] = "Ваш метод определения стоимости создания был некорректен поэтому он был возвращен по умолчанию. Подробности: %s"
--[[Translation missing --]]
L["Your max restock (%s) is invalid for %s."] = "Your max restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your min restock (%s) is invalid for %s."] = "Your min restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your restock quantity is invalid. It must be between %d and %s."] = "Your restock quantity is invalid. It must be between %d and %s."
L["Your task list is currently empty."] = "Ваш список задач пуст."
L["You've been phased which has caused the AH to stop working due to a bug on Blizzard's end. Please close and reopen the AH and restart Sniper."] = "Из-за ошибки на стороне Blizzard аукцион перестал работать. Закройте и снова откройте аукцион и перезапустите «Снайпер»."
L["You've been undercut."] = "Вашу цену сбили."
	elseif locale == "zhCN" then
L = L or {}
L["%d |4Group:Groups; Selected (%d |4Item:Items;)"] = "%d |4组:组; 已选中 (%d个|4Item:Items;)"
L["%d auctions"] = "%d个拍卖"
L["%d Characters"] = "%d个字符"
L["%d Custom Sources"] = "%d个自定义来源"
L["%d Faction-Realms"] = "%d个阵营-服务器"
L["%d groups"] = "%d个分组"
L["%d Groups"] = "%d个分组"
L["%d Groups Selected"] = "已选择%d个群组"
L["%d groups were created and %d items were added from the table."] = "已创建%d个分组，并通过表单添加了%d个物品"
L["%d Guilds"] = "%d公会"
L["%d Items"] = "%d个项目"
L["%d of %d"] = "发布%d堆，每堆%d个"
L["%d Operations"] = "%d个操作"
L["%d Players"] = "%d位玩家"
L["%d Posted Auctions"] = "已发布%d项拍卖"
L["%d Professions"] = "%d个专业"
L["%d Rarities"] = "%d个稀有度"
L["%d Results"] = "%d个结果"
L["%d Selected"] = "已选择%d个"
L["%d Sold Auctions"] = "%d个物品已卖出"
L["%d Sources"] = "%d个来源"
L["%d Sub-Groups"] = "%d个子分组"
L["%d subgroups included"] = "包含%d个子分组"
L["%d Types"] = "%d个类型"
L["%s - %s has been reset to default values."] = "%s - %s 已重置为默认设置"
L["%s %s Operations"] = "%s %s 操作"
L["%s (%s bags, %s bank, %s AH, %s mail)"] = "%s (%s 背包, %s 银行, %s 拍卖行, %s 邮件)"
L["%s (%s player, %s alts, %s AH)"] = "%s (%s 玩家, %s 小号, %s 拍卖行)"
L["%s (%s player, %s alts, %s guild, %s AH)"] = "%s (%s 玩家, %s 小号, %s 公会, %s 拍卖行)"
L["%s (%s profit)"] = "%s (%s利润)"
L["%s ago"] = "%s之前"
L["%s Crafts"] = "%s专业"
L["%s group is already up to date."] = "%s分组已更新"
L["%s group updated with %d items and %d materials."] = "%s分组已更新%d件和%d件材料"
L["%s in guild vault"] = "公会仓库中 %s"
L["%s is a valid custom price but %s is an invalid item."] = "%s 是一个有效的自定义价格但 %s 是一个无效的物品。"
L["%s is a valid custom price but did not give a value for %s."] = "%s 是一个有效的自定义价格但没有为 %s 给出一个值。"
L["'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."] = "'%s'是一个无效操作，最小补货量%d超过了最大补货量%d(%s物品)。"
L["%s is not a valid custom price and gave the following error: %s"] = "%s 不是一个有效的自定义价格,错误信息: %s"
L["%s Items Bought"] = "已购买%s"
L["%s Items Cancelled"] = "%s项已取消"
L["%s Items Expired"] = "%s项已过期"
L["%s Items Resold"] = "已转售%s"
L["%s Items Selected"] = "已选择%s个项目"
L["%s Items Sold"] = "已售出%s件"
L["%s Items Total"] = "总计%s项"
L["%s operation"] = "%s 操作"
L["%s operations"] = "%s 操作"
L["%s Operations"] = "%s 操作"
L["%s Posted Auctions"] = "已发布%s项拍卖"
L["%s Posted Auctions (Filtered)"] = "%s发布了拍卖（已过滤）"
L["%s previously had the max number of operations, so removed %s."] = "%s 之前已经有了最大数量的操作，所以移除 %s。"
L["%s removed."] = "%s已删除。"
L["%s sent you %s"] = "%s给你邮寄了%s"
L["%s sent you %s and %s"] = "%s给你邮寄了%s和%s"
L["%s sent you a COD of %s for %s"] = "%s给你发送了付款取货，含物品%s(价格%s)"
L["%s sent you a message: %s"] = "%s发送给你一条消息：%s"
L["%s Sold Auctions"] = "%s已售拍卖"
L["%s Sold Auctions (Filtered)"] = "%s已售拍卖（已过滤）"
L["%s Total"] = "总计%s"
L["%s total"] = "共计%s"
L["%s Total Profit"] = "%s总利润"
L["%sDrag%s to move this button"] = "%s按住 %s 以拖动此按钮"
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."] = "%sIMPORTANT：| r当TSM_Accounting上次为该领域保存的数据时，WoW无法处理，因此太大了，因此自动修剪了旧数据以避免损坏已保存的变量。购买数据的最后%s已保存。"
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."] = "%s重要：|rTSM最后一次存储的本服务器数据过于庞大，WOW客户端已不能处理，所以我们将清理部分数据，以避免WOW客户端崩溃。%s之后的销售数据将被保留。"
L["%sLeft-Click%s to open the main window"] = "%s左键单击%s打开主窗口"
L["%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."] = "%s单击左键|r将在此次任务中忽略一个物品。同时按住%sShift|r将永久忽略它。你可以NPC商店设置中将已忽略的物品移除忽略列表。"
L["(%d - %d)"] = "(%d - %d)"
L["(%d/500 Characters)"] = "(%d/500 个角色)"
L["(minimum 0 - maximum %d)"] = "(最小0-最大%d)"
L["1 Group"] = "1 组."
L["1 Item"] = "1 项"
L["1D"] = "1天"
L["1M"] = "1月"
L["1W"] = "1周"
L["1Y"] = "1年"
L["2Y"] = "2年"
L["3M"] = "3个月"
L["6M"] = "6个月"
L["A brand new and improved user interface."] = "全新优化的用户界面。"
L["A custom price of %s for %s evaluates to %s."] = "%s的自定义价格为%s到%s。"
L["A maximum of 1 convert() function is allowed."] = "最多允许使用1个convert ()函数。"
L["A profile with that name already exists on the target account. Rename it first and try again."] = "目标账号上已存在同名档案。请在重新命名后重试。"
L["A profile with this name already exists."] = "已存在同名档案。"
L["A scan is already in progress. Please stop that scan before starting another one."] = "一项扫描进行中，请在停止当前扫描后再开始新的扫描任务。"
L["A single craft makes %d and you only need to restock %d."] = "制造单个物品需要%d个材料，仅需要再补充%d个。"
L["Above max expires."] = "超过上限时过期"
L["Above max price. Not posting."] = "高于最高价，不发布。"
L["Above max price. Posting at max."] = "高于最高价，以最高价发布。"
L["Above max price. Posting at min."] = "高于最高价，以最低价发布。"
L["Above max price. Posting at normal."] = "高于最高价，以正常价发布。"
L["Accept COD?"] = "是否接受付款取货？"
L["Accepting this item will cost: %s"] = "接受该物品将花费: %s"
L["Account sync removed. Please delete the account sync from the other account as well."] = "帐户同步已移除，也请删除其他帐户同步信息。"
L["Account Syncing"] = "账户同步中"
L["Accounting"] = "会计"
L["Activity Type"] = "活动类型"
L["Add"] = "新增"
L["Add %d |4Item:Items"] = "添加%d个|4Item:Items"
L["Add %s Operation"] = "新增%s操作"
L["Add a new custom source"] = "添加自定义源"
L["Add account"] = "添加账户"
L["Add More Operations"] = "添加更多操作"
L["Add Operation"] = "添加操作"
L["Add operation to groups"] = "为分组添加操作"
L["Add subject & description (optional)"] = "添加主题及描述(可选)"
L["Add Subject / Description"] = "添加主题/描述"
L["Add to Mail"] = "添加至邮件"
L["Added '%s' profile which was received from %s."] = "已添加从%s收到的'%s'档案。"
L["Added %s to %s."] = "已添加 %s到%s。"
L["Additional error suppressed"] = "已阻止的其他错误"
--[[Translation missing --]]
L["Adjust how crafted items are restocked."] = "Adjust how crafted items are restocked."
L["Adjust how items are mailed."] = "调整邮件的邮寄方式"
L["Adjust how TSM values crafted items when calculating profit."] = "调整TSM在计算利润时如何评估制作的物品。"
L["Adjust some general settings."] = "调整一些常规设置。"
L["Adjust the settings below to set how groups attached to this operation will be auctioned."] = "调整以下设置以设置如何拍卖与该操作关联的组。"
L["Adjust the settings below to set how groups attached to this operation will be cancelled."] = "调整以下设置以设置如何取消有此操作的分组。"
L["Adjust the settings below to set how groups attached to this operation will be priced."] = "调整以下设置以设置添加到此操作分组组的定价方式。"
L["Advanced Item Search"] = "高级项目搜索"
L["AH"] = "拍卖行"
L["AH (Crafting)"] = "拍卖行(制造业)"
L["AH (Disenchanting)"] = "拍卖行(分解)"
L["AH BUSY"] = "拍卖行繁忙"
L["AHDB Minimum Bid"] = "AHDB最低竞价"
L["AHDB Minimum Buyout"] = "AHDB最低一口价"
L["Alarm Clock"] = "闹钟"
L["All"] = "所有"
L["All Auctions"] = "所有拍卖"
L["All Bought"] = "全部购买"
L["All Cancelled"] = "全部取消"
L["All Characters"] = "所有角色"
L["All Expired"] = "全部过期"
--[[Translation missing --]]
L["All Faction-Realms"] = "All Faction-Realms"
L["All Guilds"] = "所有公会"
L["All Item Classes"] = "所有物品类别"
L["All Other"] = "所有其他"
L["All Players"] = "所有玩家"
L["All Professions"] = "所有专业"
--[[Translation missing --]]
L["All Rarites"] = "All Rarites"
L["All Rarities"] = "所有稀有"
L["All Selected"] = "全部选择"
--[[Translation missing --]]
L["All Slots"] = "All Slots"
L["All Sold"] = "全部卖出"
L["All Sources"] = "所有来源"
L["All Subclasses"] = "所有子类别"
L["All Time"] = "全天"
L["All Types"] = "所有类型"
L["Allow partial stack"] = "允许部分堆叠"
L["Allows for testing of custom prices"] = "允许测试自定义价格"
--[[Translation missing --]]
L["ALT"] = "ALT"
L["Alt Guild Bank"] = "小号工会银行"
L["Alts"] = "小号"
L["Alts AH"] = "小号AH"
L["Amount"] = "数量"
--[[Translation missing --]]
L["Amount kept in bags"] = "Amount kept in bags"
L["Amount of bag space to keep free"] = "可用背包空间"
L["An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."] = "发现已安装旧的TSM插件。请删除%s和任何其他旧的TSM插件，以避免出现问题。"
L["App Not Synced"] = "应用未同步"
L["App Synced %s Ago"] = "应用程式已同步%s"
--[[Translation missing --]]
L["Appearance"] = "Appearance"
L["Apply operation to group"] = "将操作应用于分组"
L["Are you sure you want to clear old accounting data?"] = "确定清除旧的账务数据吗？"
L["Are you sure you want to delete the selected operations?"] = "您确定要删除所选的操作吗？"
L["Are you sure you want to delete this operation?"] = "你确定要删除这个操作吗？"
L["At above max price and not undercut."] = "高于最高价格且未被压价"
L["At normal price and not undercut."] = "处于正常价格且未被压价"
L["Attachments"] = "附件"
L["Auction"] = "拍卖"
L["Auction duration"] = "拍卖时间"
L["Auction has been bid on."] = "已被竞标"
L["Auction House Cut"] = "拍卖打折"
L["Auction House Sounds"] = "拍卖行的声音"
L["Auction sale sound"] = "拍卖声"
L["Auction Window Close"] = "拍卖窗口关闭"
L["Auction Window Open"] = "拍卖窗口打开"
L["Auctionator - Auction Value"] = "Auctionator - 拍卖价格"
L["AuctionDB"] = "拍卖数据库"
L["AuctionDB - Historical Price (via TSM App)"] = "拍卖行数据库-历史价格（通过TSM应用）"
L["AuctionDB - Market Value"] = "AuctionDB-市场价值"
L["AuctionDB - Minimum Buyout"] = "拍卖行数据库-最低一口价"
L["AuctionDB - Region Historical Price (via TSM App)"] = "拍卖行数据库-区域历史价格（通过TSM应用）"
L["AuctionDB - Region Market Value Average (via TSM App)"] = "拍卖行数据库-区域市场价值平均值（通过TSM应用）"
L["AuctionDB - Region Minimum Buyout Average (via TSM App)"] = "拍卖行数据库-地区最低一口价平均值（通过TSM应用）"
L["AuctionDB - Region Sale Average (via TSM App)"] = "拍卖数据库-区域销售均值（通过TSM应用）"
--[[Translation missing --]]
L["AuctionDB - Region Sale Rate (via TSM App)"] = "AuctionDB - Region Sale Rate (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sold Per Day (via TSM App)"] = "AuctionDB - Region Sold Per Day (via TSM App)"
--[[Translation missing --]]
L["AuctionDB Realm Data is %s Old"] = "AuctionDB Realm Data is %s Old"
--[[Translation missing --]]
L["AuctionDB Region Data is %s Old"] = "AuctionDB Region Data is %s Old"
L["Auctioneer - Appraiser"] = "Auctioneer - 估价"
L["Auctioneer - Market Value"] = "Auctioneer - 市场价"
L["Auctioneer - Minimum Buyout"] = "Auctioneer - 最低一口价"
L["Auctioning"] = "拍卖"
--[[Translation missing --]]
L["Auctioning %s button"] = "Auctioning %s button"
L["Auctioning Details"] = "拍卖细节"
L["Auctioning Log"] = "拍卖日志"
L["Auctioning Operation"] = "拍卖操作"
L["Auctioning operation"] = "拍卖操作"
L["Auctioning operations control posting to and canceling from the AH."] = "拍卖操作控制如何在拍卖行发布和取消拍卖。"
L["Auctions"] = "拍卖"
L["Auto Quest Complete"] = "自动完成任务"
L["Auto-focus browse search input"] = "Auto-focus browse search input"
L["Average Earned per Day"] = "日均收入"
L["Average Prices:"] = "平均价:"
L["Average Profit per Day"] = "日均利润"
L["Average Spent per Day"] = "平均每日消费"
L["Avg Buy Price"] = "平均买入价"
L["Avg Profit"] = "平均利润"
L["Avg Sell Price"] = "平均卖出价"
--[[Translation missing --]]
L["Back"] = "Back"
L["Bag"] = "背包"
L["Bags"] = "背包"
--[[Translation missing --]]
L["Banking"] = "Banking"
L["Banks"] = "银行"
L["Base Group"] = "基础分组"
L["Base Item"] = "基础物品"
--[[Translation missing --]]
L["BBG 14-Day Price"] = "BBG 14-Day Price"
--[[Translation missing --]]
L["BBG 3-Day Price"] = "BBG 3-Day Price"
--[[Translation missing --]]
L["BBG Global Mean"] = "BBG Global Mean"
--[[Translation missing --]]
L["BBG Global Median"] = "BBG Global Median"
--[[Translation missing --]]
L["Below is a list of all available price sources, along with a brief description of what they represent."] = "Below is a list of all available price sources, along with a brief description of what they represent."
L["Below min price. Posting at max."] = "低于最低价，以最高价发布。"
L["Below min price. Posting at min."] = "低于最低价，以最低价发布。"
L["Below min price. Posting at normal."] = "低于最低价，以正常价发布。"
L["Below you can ignore this operation on certain characters or realms."] = "以下你可以在指定角色或服务器忽略此操作。"
L["Bid %d / %d"] = "竞拍%d / %d"
L["Bid (item)"] = "竞拍（物品）"
L["Bid (stack)"] = "竞拍（堆叠）"
L["Bid (total)"] = "竞拍（总计）"
L["Bid / Buyout"] = "竞价/一口价"
L["Bid Auction"] = "竞拍"
L["Bid percent must be between 0 and 100."] = "竞价比例必须在0到100之间。"
L["Bid Price"] = "竞拍价格"
L["Bid Sniper Paused"] = "狙击竞价暂停"
L["Bid Sniper Running"] = "运行狙击竞标"
L["Bidding Auction"] = "竞标拍卖"
L["Blacklisted players"] = "黑名单玩家"
L["Bought"] = "买入"
L["Bought %d of %s from %s for %s"] = "从%d向%s购买了%s，共%s"
L["Bought %sx%d for %s from %s"] = "买入 %sx%d 为 %s 从 %s"
L["Bound Actions"] = "限制操作"
L["Browse"] = "浏览"
L["Browse / Sniper"] = "浏览/狙击"
L["BUSY"] = "繁忙"
L["BUY"] = "购买"
L["Buy"] = "购买"
L["Buy %d / %d"] = "购买%d / %d"
L["Buy %d / %d (Confirming %d / %d)"] = "购买 %d / %d (确认 %d / %d)"
--[[Translation missing --]]
L["Buy Auction"] = "Buy Auction"
--[[Translation missing --]]
L["Buy Commodity"] = "Buy Commodity"
L["Buy from AH"] = "从拍卖行购买"
L["Buy from AH (Crafting)"] = "从拍卖行购买（制作）"
L["Buy from AH (Disenchant)"] = "从拍卖购买（分解）"
L["Buy from Vendor"] = "从NPC购买"
--[[Translation missing --]]
L["Buy Groups"] = "Buy Groups"
L["Buy Options"] = "购买选项"
L["Buyback All"] = "全部购回"
L["Buyer/Seller"] = "购买者/售者"
L["Buyout"] = "一口价"
L["Buyout (item)"] = "一口价（物品）"
L["Buyout (stack)"] = "一口价（堆叠）"
L["Buyout (total)"] = "一口价（总计）"
L["Buyout confirmation alert"] = "一口价确认警告"
L["Buyout Price"] = "一口价"
L["Buyout Sniper Paused"] = "狙击购买已暂停"
L["Buyout Sniper Running"] = "狙击购买中"
L["Cancel"] = "取消"
L["Cancel %d / %d"] = "取消%d个，共%d个"
L["Cancel Auction"] = "取消拍卖"
L["Cancel auctions with bids"] = "取消已被竞标的拍卖"
L["Cancel or Post"] = "取消或发布"
L["Cancel Scan"] = "取消扫描"
L["Cancel to repost higher"] = "取消并以更高价格发布"
L["Cancel undercut auctions"] = "取消被压价的拍卖"
L["Canceled information"] = "被取消的信息"
L["Canceling"] = "取消"
L["Canceling %d / %d"] = "正在取消%d个，共%d个"
L["Canceling %d Auctions..."] = "取消%d拍卖..."
L["Canceling auction you've undercut."] = "取消被压价的拍卖"
L["Canceling disabled."] = "禁用取消"
L["Canceling Options"] = "取消设置"
L["Canceling to repost at higher price."] = "取消并以更高价格发布。"
L["Canceling to repost at reset price."] = "取消并以转卖价发布。"
L["Canceling to repost higher."] = "取消并以更高价格发布。"
L["Canceling undercut auctions and to repost higher."] = "取消被压价的拍卖并以更高价格发布。"
L["Canceling undercut auctions."] = "取消被压价的拍卖。"
L["Cancelled"] = "已取消"
L["Cancelled auction of %sx%d"] = "取消%sx%d的拍卖"
L["Cancelled Since Last Sale"] = "自上次售出后取消"
L["Cancelled:"] = "已取消:"
L["Cancelling..."] = "取消中..."
L["Cannot repair from the guild bank!"] = "无法从公会银行修理！"
L["Cannot use additional filters with /crafting or /disenchant."] = "在/crafting 或/disenchant 后不能添加额外筛选命令。"
L["Can't load TSM tooltip while in combat"] = "战斗中不能载入TSM鼠标提示"
L["Cash Register"] = "收银台"
L["Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"] = "更改为指定的配置文件（即“ / tsm配置文件默认”更改为“默认”配置文件）"
L["Character"] = "角色"
L["Chat Tab"] = "聊天标签"
L["Cheapest auction below min price."] = "低于最低价的拍卖。"
L["Clear All"] = "全部清除"
L["Clear Data"] = "清除资料"
L["Clear Filters"] = "清除筛选"
L["Clear Old Data"] = "清除旧数据"
L["Clear Old Data?"] = "清除旧数据？"
L["Click and drag to resize this window."] = "单击并拖动以调整此窗口的大小。"
L["Click to hide this item for the current session. Hold shift to hide this item permanently."] = "单击以隐藏当前会话的此项。按住Shift键可永久隐藏该项目。"
L["COD"] = "付款取货"
L["Coins (%s)"] = "(%s) 金币"
L["Combine Partial Stacks"] = "合并堆叠"
L["Combining..."] = "合并中..."
L["Completed full AH scan (%d auctions)!"] = "已完成完整的AH扫描（%d次拍卖）！"
L["Confirm"] = "确认"
L["Confirm complete sound"] = "确认完成提示音"
L["Confirmation %s button"] = "确认%s按钮"
L["Confirming %d / %d"] = "确认中%d / %d"
L["Connected to %s"] = "已连接 %s..."
L["Connecting to %s"] = "正在连接%s"
L["Contacts"] = "联系人"
L["Contains auctions above your alert threshold!"] = "包含高于您的警报阈值的拍卖！"
L["Cooldown"] = "冷却"
L["Cooldowns"] = "冷却"
L["Copy Letter"] = "邮件副本"
L["Cost"] = "成本"
L["Could not create macro as you already have too many. Delete one of your existing macros and try again."] = "无法创建宏，因为你的宏已经满了，删除一个现有宏后重试。"
L["Could not find profile '%s'. Possible profiles: '%s'"] = "找不到配置文件 '%s' 。可能是配置文件 '%s' 。"
L["Could not sell items due to not having free bag space available to split a stack of items."] = "由于没有可用分开堆叠物品的空余背包空间，因此无法出售物品。"
L["Craft"] = "制造"
L["CRAFT"] = "制造"
--[[Translation missing --]]
L["Craft (Profitable)"] = "Craft (Profitable)"
L["Craft (Unprofitable)"] = "制造（无利润）"
L["Craft All"] = "全部制造"
L["Craft Next"] = "下一步"
--[[Translation missing --]]
L["Craft Value"] = "Craft Value"
--[[Translation missing --]]
L["Crafted Items"] = "Crafted Items"
--[[Translation missing --]]
L["Crafter"] = "Crafter"
L["Crafting"] = "制造"
L["CRAFTING"] = "制造"
--[[Translation missing --]]
L["Crafting %s button"] = "Crafting %s button"
L["Crafting cost"] = "制作成本"
L["Crafting Cost"] = "制造成本"
L["Crafting List"] = "制造清单"
L["Crafting Material Cost"] = "制造成本"
L["Crafting Mode"] = "制作模式"
L["Crafting operation"] = "制造操作"
L["Crafting operations control how queuing profession crafts."] = "制造操作影响专业制造队列如何运行。"
--[[Translation missing --]]
L["Crafting Queue (%d)"] = "Crafting Queue (%d)"
--[[Translation missing --]]
L["Crafting Value"] = "Crafting Value"
L["Crafts"] = "制造"
L["Crafts %d"] = "制造数%d"
--[[Translation missing --]]
L["Create Groups from Table"] = "Create Groups from Table"
L["Create macro"] = "创建宏"
L["Create New"] = "创建新的"
L["Create New Group"] = "建立新群组"
L["Create New Operation"] = "创建新的操作"
--[[Translation missing --]]
L["Create new profile"] = "Create new profile"
--[[Translation missing --]]
L["Create Profession Groups"] = "Create Profession Groups"
--[[Translation missing --]]
L["CTRL"] = "CTRL"
L["Current Price"] = "当前价"
L["Custom Price"] = "自定义价格"
L["Custom price name %s already exists."] = "自定义价格名称%s已存在。"
--[[Translation missing --]]
L["Custom price name %s is a reserved word which cannot be used."] = "Custom price name %s is a reserved word which cannot be used."
--[[Translation missing --]]
L["Custom price names can only contain lowercase letters."] = "Custom price names can only contain lowercase letters."
L["Custom Source"] = "自订来源"
L["Custom source (%s)"] = "自订来源 (%s)"
L["Custom Sources"] = "自定义源"
--[[Translation missing --]]
L["Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."] = "Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."
--[[Translation missing --]]
L["DAILY PURCHASES"] = "DAILY PURCHASES"
--[[Translation missing --]]
L["DAILY SALES"] = "DAILY SALES"
--[[Translation missing --]]
L["Dalaran"] = "Dalaran"
--[[Translation missing --]]
L["Dashboard"] = "Dashboard"
--[[Translation missing --]]
L["Default craft value method"] = "Default craft value method"
L["Default material cost method"] = "默认材料成本方式"
L["Default Price"] = "默认价格"
L["Default price configuration"] = "默认价格配置"
L["Define what priority Gathering gives certain sources."] = "定义资源获取优先级"
L["Delete %d Operations"] = "删除 %d项操作"
L["Delete Group?"] = "删除分组？"
L["Delete Operation?"] = "删除操作？"
L["Delete Operations"] = "删除操作"
L["Delete Operations?"] = "删除操作？"
--[[Translation missing --]]
L["Delete Profile?"] = "Delete Profile?"
L["Delete Record?"] = "删除记录？"
--[[Translation missing --]]
L["Delete the profile"] = "Delete the profile"
--[[Translation missing --]]
L["Deleting this group (%s) will also remove any sub-groups attached to this group."] = "Deleting this group (%s) will also remove any sub-groups attached to this group."
L["Deposit"] = "寄存"
L["Deposit Cost"] = "寄存费用"
--[[Translation missing --]]
L["Deposit reagents"] = "Deposit reagents"
L["Deselect All"] = "全部取消"
L["Destroy Next"] = "分解下一个"
L["Destroy Value"] = "分解价值"
L["Destroy value"] = "分解价值"
L["Destroy value source"] = "分解价值来源"
L["Destroying"] = "分解"
L["Destroying %s button"] = "分解%s"
L["Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."] = "分解工具将永久忽略%s。你可以在设置中将该物品移除忽略列表。"
L["Destroying will ignore %s until you log out."] = "分解工具将在登出前忽略%s。"
L["Destroying..."] = "正在分解..."
L["Detailed crafting cost"] = "详细的制作成本"
L["Detailed destroy information"] = "分解明细"
L["Details"] = "明细"
L["Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."] = "未取消%s，因为你的取消并重新发布的阈值(%s)无效，请检查你的设置。"
L["Did not cancel %s because your maximum price (%s) is invalid. Check your settings."] = "未取消%s，因为你的最高价格(%s)无效。请检查你的设置。"
L["Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "未取消%s，因为你的最高价格(%s)低于最低价格(%s)。请检查你的设置。"
L["Did not cancel %s because your minimum price (%s) is invalid. Check your settings."] = "未取消%s，因为你的最低价(%s)无效。请检查你的设置。"
L["Did not cancel %s because your normal price (%s) is invalid. Check your settings."] = "未取消%s，因为你的正常价(%s)无效。请检查你的设置。"
L["Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "未取消%s，因为你的正常价格(%s)低于最低价格(%s)。请检查你的设置。"
L["Did not cancel %s because your undercut (%s) is invalid. Check your settings."] = "未取消%s，因为你的压价 (%s) 无效。请检查你的设置。"
L["Did not change prices due to an invalid bid or buyout value."] = "未修改价格，存在无效的标定价格或一口价。"
L["Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."] = "未发布%s，因为暴雪未提供全部必要的信息。请稍后重试。"
L["Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."] = "未发布%s，因为不允许最低价拍卖者(%s)同时出现在黑名单和白名单上。调整你的设置以更正此问题。"
L["Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."] = "未发布%s，因为你或你的其他角色(%s)在黑名单中。请从黑名单中删除。"
L["Did not post %s because your keep quantity (%s) is invalid. Check your settings."] = "未发布%s，因为你的保留数目(%s) 无效，请检查你的设置。"
L["Did not post %s because your max expires (%s) is invalid. Check your settings."] = "未发布%s，因为你的最大过期数(%s) 无效，请检查您的设置。"
L["Did not post %s because your maximum price (%s) is invalid. Check your settings."] = "未发布%s，因为你的最高价(%s) 无效，请检查您的设置。"
L["Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "未发布%s，因为你的最高价(%s) 低于最低价(%s)，请检查您的设置。"
L["Did not post %s because your minimum price (%s) is invalid. Check your settings."] = "未发布%s，因为你的最低价(%s) 无效，请检查您的设置。"
L["Did not post %s because your normal price (%s) is invalid. Check your settings."] = "未发布%s，因为你的正常价(%s) 无效，请检查您的设置。"
L["Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "未发布%s，因为你的正常价(%s) 低于最低价(%s)，请检查你的设置。"
L["Did not post %s because your post cap (%s) is invalid. Check your settings."] = "未发布%s，因为你的最大发布数目(%s)无效，请检查你的设置。"
L["Did not post %s because your stack size (%s) is invalid. Check your settings."] = "未发布%s，因为你的堆叠数目(%s)无效，请检查你的设置。"
L["Did not post %s because your undercut (%s) is invalid. Check your settings."] = "未发布%s，因为你的压价(%s)无效，请检查你的设置。"
L["Disable invalid price warnings"] = "禁用无效价格提醒"
L["Disenchant Search"] = "分解搜索"
L["Disenchant Search Options"] = "分解搜索选项"
L["Disenchant Value"] = "分解价值"
L["Disenchant value"] = "分解价值"
L["Disenchanting Options"] = "分解选项"
L["Display total money received in chat"] = "显示聊天中收到的总金额"
L["Done Canceling"] = "取消完成"
L["Done Posting"] = "发布完成"
L["Done rebuilding item cache."] = "完成项目缓存重建。"
L["Done Scanning"] = "扫描完成"
L["Don't post after this many expires"] = "超过此数量过期后不发布"
L["Don't Post Items"] = "不发布物品"
L["Don't prompt to record trades"] = "不立即记录交易"
--[[Translation missing --]]
L["Down"] = "Down"
--[[Translation missing --]]
L["Duplicate the profile"] = "Duplicate the profile"
--[[Translation missing --]]
L["Duration"] = "Duration"
--[[Translation missing --]]
L["Duskwood"] = "Duskwood"
--[[Translation missing --]]
L["Edit"] = "Edit"
--[[Translation missing --]]
L["Edit Custom Source"] = "Edit Custom Source"
--[[Translation missing --]]
L["Edit Material Price"] = "Edit Material Price"
L["Edit Post"] = "编辑发布"
--[[Translation missing --]]
L["Embed TSM tooltip"] = "Embed TSM tooltip"
--[[Translation missing --]]
L["Empty bags"] = "Empty bags"
L["Empty parentheses are not allowed"] = "不允许清空括号"
L["Empty price string."] = "清空价格字符串。"
L["Enable automatic stack combination"] = "启用自动堆叠整理"
L["Enable buying"] = "启用购买"
L["Enable inbox chat messages"] = "开启对话框收件信息"
L["Enable restock"] = "启用补货"
--[[Translation missing --]]
L["Enable selling"] = "Enable selling"
L["Enable sending chat messages"] = "开启对话框发件信息"
L["Enable TSM tooltips"] = "启用TSM工具提示"
L["Enchant"] = "附魔"
L["Enchant Vellum"] = "附魔羊皮纸"
L["Ensure both characters are online and try again."] = "确保两个人物都在线，然后重试。"
L["Enter a value from %d - %d"] = "输入%d-%d中的值"
--[[Translation missing --]]
L["Enter a value from %d - %d%%"] = "Enter a value from %d - %d%%"
L["Enter Filter"] = "输入过滤名"
L["Enter Keyword"] = "输入关键字"
--[[Translation missing --]]
L["Enter name of logged-in character on other account"] = "Enter name of logged-in character on other account"
L["Enter player name"] = "输入玩家姓名"
--[[Translation missing --]]
L["Enter profile name"] = "Enter profile name"
L["Enter recipient name"] = "收件人姓名"
L["ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."] = "错误：最近已执行完整的拍卖行扫描，并且此扫描处于冷却状态。小退重置冷却时间。"
L["ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."] = "错误：拍卖行当前正忙于另一扫描。扫描完成后，请重试。"
L["ERROR: The auction house must be open in order to do a scan."] = "错误：拍卖行必须打开才能进行扫描。"
L["Establishing connection to %s. Make sure that you've entered this character's name on the other account."] = "正在建立到 %s 的连接。确定你登陆过这个角色。"
L["Establishing connection..."] = "正在建立连接..."
L["Estimated Cost:"] = "预计成本:"
L["Estimated deliver time"] = "预计交货时间"
L["Estimated Profit:"] = "预计利润："
--[[Translation missing --]]
L["Exact Match"] = "Exact Match"
--[[Translation missing --]]
L["Example"] = "Example"
L["Example Item"] = "示例项目"
--[[Translation missing --]]
L["Example Tooltip"] = "Example Tooltip"
--[[Translation missing --]]
L["Exclude custom sources?"] = "Exclude custom sources?"
L["Exclude operations?"] = "排除操作？"
L["Exit"] = "退出"
L["Expand / Collapse All Groups"] = "展开/折叠所有组"
L["Expenses"] = "支出"
L["EXPENSES"] = "支出"
L["Expirations"] = "过期"
L["Expired"] = "到期的"
L["Expired Auctions"] = "过期的拍卖"
L["Expired information"] = "过期信息"
L["Expired Since Last Sale"] = "上次出售到期的"
L["Expires"] = "到期"
L["Expires Since Last Sale"] = "自上次销售起过期"
L["Expiring Mails"] = "过期邮件"
L["Exploration"] = "探测"
L["Export"] = "导出"
L["Export String"] = "导出字符串"
L["Export this group"] = "导出该组"
L["Failed Auctions"] = "拍卖失败"
L["Failed to bid on auction of %s (x%s) for %s."] = "无法为%s的%s（x%s）竞标出价。"
L["Failed to bid on auction of %s."] = "竞标%s失败"
L["Failed to buy auction of %s (x%s) for %s."] = "失败用%s购买%s(x%s)的拍卖"
L["Failed to buy auction of %s."] = "购买%s失败"
L["Failed to buy auction."] = "无法购买拍卖。"
L["Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."] = "由于拍卖行繁忙无法取消拍卖。确保无其他插件在扫描拍卖行并重试。"
L["Failed to find auction for %s, so removing it from the results."] = "查找%s失败,已经从结果移除"
L["Failed to post %sx%d as the item no longer exists in your bags."] = "无法发布%sx%d，因为该物品不存在于您的背包中。"
L["Failed to run full AH scan."] = "无法运行完整的拍卖行扫描。"
L["Failed to send profile."] = "无法发送个人资料。"
L["Failed to send profile. Ensure both characters are online and try again."] = "无法发送个人资料。确保两个人物都在线，然后重试。"
L["Failed to start sniper. No groups have a Sniper operation applied."] = "无法启动狙击，没有分组采用了狙击操作。"
L["Favorite Scans"] = "收藏的扫描"
L["Favorite Searches"] = "收藏的搜索"
L["Favorited Patterns"] = "最喜欢的模式"
L["Filter by duration"] = "按组过滤"
L["Filter by groups"] = "按组过滤"
L["Filter by keyword"] = "按关键字过滤"
L["Filter by Keyword"] = "按关键字过滤"
L["Filter by Price Source"] = "按价格来源过滤"
L["Filter by Profession"] = "按专业筛选"
L["Filter group item lists based on the following price source"] = "根据以下价格源过滤分组物品"
L["Finding Selected Auction"] = "查找选定的拍卖"
L["First Auctioning Operation Max Price"] = "首次拍卖最高价"
L["First Auctioning Operation Min Price"] = "首次拍卖最低价格"
L["First Auctioning Operation Normal Price"] = "首次拍卖正常价"
L["Fishing Reel In"] = "钓鱼卷轴"
L["For more info, visit %s. For help, join us in Discord: %s."] = "更多信息，请到 %s。寻求帮助，请在Discord: %s 加入我们。"
L["Forget Character"] = "遗忘角色"
L["Found auction sound"] = "找到拍卖音效"
L["Friends"] = "好友"
L["From"] = "从"
L["Full inventory"] = "全部库存"
L["Garrison"] = "要塞"
L["Gathering"] = "收集"
L["Gathering Search"] = "收集搜索"
L["Gathering Setup"] = "收集设置"
L["General Options"] = "常规选项"
L["General Settings"] = "常规设置"
L["Get from Bank"] = "从银行获得"
L["Get from Guild Bank"] = "从公会银行获得"
L["Gets items from the bank or guild bank matching the item or partial text entered."] = "从银行或行会银行获取与输入的项目或部分文本匹配的项目。"
L["Gold"] = "金"
--[[Translation missing --]]
L["Great Deals Search"] = "Great Deals Search"
L["Group already exists."] = "已存在的分组"
L["Group Management"] = "分组管理"
--[[Translation missing --]]
L["Group name"] = "Group name"
--[[Translation missing --]]
L["Group Search"] = "Group Search"
L["Grouped Items"] = "已分组的物品"
L["Groups"] = "分组"
L["Groups & Operations"] = "分组和操作"
--[[Translation missing --]]
L["Groups Using"] = "Groups Using"
L["Guild"] = "公会"
L["Guild Bank"] = "公会银行"
L["GVault"] = "公会银行"
L["Have"] = "拥有"
--[[Translation missing --]]
L["Have Mats"] = "Have Mats"
--[[Translation missing --]]
L["Have Skill Ups"] = "Have Skill Ups"
L["Here you can add/remove what groups this operation is attached to."] = "在这里您可以添加/删除此操作到某个分组。"
L["Hide auctions with bids"] = "隐藏已竞标的"
--[[Translation missing --]]
L["Hide Columns"] = "Hide Columns"
L["Hide minimap icon"] = "隐藏小地图图标"
L["Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."] = "隐藏TSM银行界面,输入/tsm bankui 可重新打开"
L["Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."] = "隐藏TSM 任务列表UI,输入/tsm tasklist 可重新打开"
--[[Translation missing --]]
L["HIGH"] = "HIGH"
L["High Bidder"] = "高出价者"
L["Historical Price"] = "历史价格"
L["Historical price"] = "历史价格"
L["Hold ALT to repair from the guild bank."] = "按住 ALT 键进行公会修理"
--[[Translation missing --]]
L["Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."] = "Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."
L["Hold SHIFT to continue after the inbox refreshes"] = "收件箱刷新后，按住SHIFT键继续"
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."
L["Hold shift to move the items to the parent group instead of removing them."] = "按住shift键将项目移至父分组，而不是将其删除。"
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes"] = "Hold SHIFT to not continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."
--[[Translation missing --]]
L["Hold SHIFT while dragging to scale the window instead."] = "Hold SHIFT while dragging to scale the window instead."
L["Hr"] = "小时"
L["Hrs"] = "小时"
--[[Translation missing --]]
L["If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."] = "If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."
L["Ignore Auctions Below Min"] = "忽略最低价以下的拍卖"
--[[Translation missing --]]
L["Ignore auctions by duration"] = "Ignore auctions by duration"
L["Ignore Characters"] = "忽略角色"
L["Ignore Guilds"] = "忽略公会"
L["Ignore operation on characters"] = "在角色上忽略操作"
L["Ignore operation on faction-realms"] = "在阵营-服务器上忽略操作"
--[[Translation missing --]]
L["Ignore variations"] = "Ignore variations"
L["Ignored Cooldowns"] = "忽略冷却"
L["Ignored Items"] = "忽略物品"
L["ilvl"] = "物品等级"
L["Import"] = "导入"
--[[Translation missing --]]
L["Import group"] = "Import group"
L["Import Groups & Operations"] = "导入分组&操作"
--[[Translation missing --]]
L["Import String"] = "Import String"
--[[Translation missing --]]
L["Import Summary"] = "Import Summary"
--[[Translation missing --]]
L["Imported Group"] = "Imported Group"
--[[Translation missing --]]
L["Imported group (%s) with %d items, %d operations, and %d custom sources."] = "Imported group (%s) with %d items, %d operations, and %d custom sources."
--[[Translation missing --]]
L["Improved Import / Export."] = "Improved Import / Export."
L["Inbox Settings"] = "收件设置"
L["Include operations?"] = "包括操作?"
L["Include soulbound items"] = "包括灵魂绑定物品"
L["Information"] = "信息"
L["Invalid custom price source for %s. %s"] = "无效的自定义价格源%s. %s"
L["Invalid custom price."] = "无效的自定义价格。"
L["Invalid function."] = "无效功能。"
L["Invalid gold value."] = "无效的价格。"
L["Invalid group name."] = "无效分组名"
L["Invalid item link."] = "无效的物品链接。"
L["Invalid numeric value."] = "无效的数值"
L["Invalid operation name."] = "无效的操作名"
L["Invalid operator at end of custom price."] = "无效的操作者自定义价格。"
L["Invalid parameter to price source."] = "无效的价格来源参数。"
L["Invalid player name."] = "无效玩家名"
L["Invalid price source in convert."] = "转换价格来源无效。"
L["Invalid price."] = "价格无效"
L["Invalid Quantity"] = "无效数量"
L["Invalid search filter (%s)."] = "无效的搜索过滤器 (%s)"
L["Invalid search term."] = "搜寻字词无效"
L["Invalid search term. Cannot filter by price here."] = "搜寻字词无效。无法在此处按价格过滤"
L["Invalid seller data returned by server."] = "服务器返回无效的出售数据"
L["Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."] = "无效的压价。设置你的压价为零铜币以达到不压价且发布在现在最低拍卖价之前。"
L["Invalid word: '%s'"] = "无效的单词：'%s'"
L["Inventory"] = "仓库"
L["Inventory / Gold Graph"] = "商品清单/金币图表"
L["Inventory Options"] = "库存设置"
L["It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."] = "你似乎在账号间手动复制了SavedVariables，导致TSM的自动同步无法工作。你需要撤销此更改，并且/或者关闭魔兽世界后删除这些账号的TSM SavedVariables来修复此问题。"
L["It looks like you're trying to reference an old global price source which no longer exists."] = "似乎您正在尝试引用已经过期的全局价格来源"
L["Item"] = "物品"
L["Item Class"] = "物品类别"
L["Item Level"] = "物品等级"
L["Item Level Range"] = "物品等级范围"
L["Item links may only be used as parameters to price sources."] = "物品链接仅可用来参考价格来源。"
L["Item Name"] = "物品名称"
L["Item Quality"] = "物品品质"
L["Item Selection"] = "项目选择"
--[[Translation missing --]]
L["Item Slot"] = "Item Slot"
--[[Translation missing --]]
L["Item Subclass"] = "Item Subclass"
L["Item Value"] = "物品价格"
L["Item/Group is invalid (see chat)."] = "物品/分组无效(查看聊天框)"
L["Items"] = "物品"
L["Items Using"] = "项目使用"
--[[Translation missing --]]
L["Keep in bags quantity"] = "Keep in bags quantity"
L["Keep in bank quantity"] = "存入银行数量"
L["Keep quantity"] = "保持数量"
L["Keep this amount"] = "保持这个数量"
L["Keeping %d."] = "持有%d."
L["Keeping undercut auctions posted."] = "保留被压数量"
L["Last 14 Days"] = "14日内"
L["Last 3 Days"] = "3日内"
L["Last 30 Days"] = "30日内"
L["Last 60 Days"] = "60日内"
L["Last 7 Days"] = "7日内"
L["Last Purchased"] = "上次购买"
L["Last Sold"] = "上次售出"
--[[Translation missing --]]
L["LEAST GROUPS"] = "LEAST GROUPS"
--[[Translation missing --]]
L["LEAST ITEMS"] = "LEAST ITEMS"
--[[Translation missing --]]
L["Ledger"] = "Ledger"
L["Level Up"] = "等级上升"
--[[Translation missing --]]
L["Limit"] = "Limit"
L["Link to Another Operation"] = "关联到另一个操作"
L["Loading..."] = "读取中 ……"
--[[Translation missing --]]
L["Lock Column Width"] = "Lock Column Width"
--[[Translation missing --]]
L["Lock task list's background"] = "Lock task list's background"
L["Looks like TradeSkillMaster has encountered an error. Please help the author fix this error by following the instructions shown."] = "TradeSkillMaster似乎发生了一个错误。请按以下所示说明来帮助作者修正这个错误。"
L["Loop detected in the following custom price:"] = "以下自定义价格循环检测："
--[[Translation missing --]]
L["LOW"] = "LOW"
L["Lowest auction by whitelisted player."] = "最低价的拍卖为白名单玩家"
L["Macro created and scroll wheel bound!"] = "已建立宏并且绑定鼠标滚轮！"
L["Macro Setup"] = "宏设置"
--[[Translation missing --]]
L["Macros"] = "Macros"
L["Mail"] = "邮件"
L["Mail Disenchantables"] = "邮寄可分解物品"
--[[Translation missing --]]
L["Mail disenchantables max quality"] = "Mail disenchantables max quality"
--[[Translation missing --]]
L["Mail Selected Groups"] = "Mail Selected Groups"
--[[Translation missing --]]
L["Mail Selected Groups (Auto Resend)"] = "Mail Selected Groups (Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run + Auto Resend)"] = "Mail Selected Groups (Dry Run + Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run)"] = "Mail Selected Groups (Dry Run)"
L["Mail to %s"] = "邮寄给 %s"
L["Mailing"] = "邮寄"
L["Mailing all to %s."] = "全部邮寄至 %s"
L["Mailing operation"] = "邮件操作"
--[[Translation missing --]]
L["Mailing operations control mailing to other characters."] = "Mailing operations control mailing to other characters."
L["Mailing up to %d to %s."] = "邮寄%d给%s"
L["Make Cash On Delivery?"] = "货到对方付款"
L["Make Operations Global?"] = "使操作全局化？"
L["Management Options"] = "管理选项"
L["Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."] = "TSM中的许多常用操作可以添加到宏并绑定到滚轮。 使用下面的选项设置宏和滚轮绑定。"
L["Map Ping"] = "地图Ping"
L["Market Value"] = "市场价格"
--[[Translation missing --]]
L["Market value"] = "Market value"
--[[Translation missing --]]
L["Market value price source"] = "Market value price source"
L["Market Value Price Source"] = "市场价来源"
--[[Translation missing --]]
L["Mat cost"] = "Mat cost"
L["Mat Price"] = "原料价格"
--[[Translation missing --]]
L["Match stack size"] = "Match stack size"
L["Match whitelisted players"] = "匹配白名单玩家"
--[[Translation missing --]]
L["Material Cost"] = "Material Cost"
--[[Translation missing --]]
L["Material Price"] = "Material Price"
L["Materials"] = "材料"
L["Materials to Gather"] = "要收集的材料"
--[[Translation missing --]]
L["Max"] = "Max"
L["Max Buy Price"] = "最高买入价"
--[[Translation missing --]]
L["Max destroy value (Enter '0c' to disable)"] = "Max destroy value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max expires to bank"] = "Max expires to bank"
--[[Translation missing --]]
L["Max market value (Enter '0c' to disable)"] = "Max market value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max Price"] = "Max Price"
--[[Translation missing --]]
L["Max quantity"] = "Max quantity"
--[[Translation missing --]]
L["Max restock quantity"] = "Max restock quantity"
L["Max Sell Price"] = "最高卖价"
L["Max Shopping Price"] = "最高购买价"
--[[Translation missing --]]
L["Max shopping price"] = "Max shopping price"
--[[Translation missing --]]
L["Max sniper price"] = "Max sniper price"
L["Maximum amount already posted."] = "已发布最大数量"
--[[Translation missing --]]
L["Maximum auction price"] = "Maximum auction price"
--[[Translation missing --]]
L["Maximum disenchant level"] = "Maximum disenchant level"
--[[Translation missing --]]
L["Maximum disenchant quality"] = "Maximum disenchant quality"
--[[Translation missing --]]
L["Maximum disenchant search percent"] = "Maximum disenchant search percent"
--[[Translation missing --]]
L["Maximum price"] = "Maximum price"
--[[Translation missing --]]
L["Maximum Quantity to Buy"] = "Maximum Quantity to Buy"
--[[Translation missing --]]
L["Maximum restock quantity"] = "Maximum restock quantity"
--[[Translation missing --]]
L["Midnight"] = "Midnight"
--[[Translation missing --]]
L["Mill value"] = "Mill value"
L["Mill Value"] = "邮递价格"
L["Min"] = "最小"
--[[Translation missing --]]
L["Min 0 - Max 20"] = "Min 0 - Max 20"
--[[Translation missing --]]
L["Min 0.5 - Max 10"] = "Min 0.5 - Max 10"
L["Min Buy Price"] = "最低买入价"
L["Min Buyout"] = "最低一口价"
--[[Translation missing --]]
L["Min buyout"] = "Min buyout"
--[[Translation missing --]]
L["Min number of expires"] = "Min number of expires"
--[[Translation missing --]]
L["Min profit amount"] = "Min profit amount"
--[[Translation missing --]]
L["Min restock quantity"] = "Min restock quantity"
L["Min Sell Price"] = "最低卖价"
--[[Translation missing --]]
L["Min/Normal/Max price"] = "Min/Normal/Max price"
L["Min/Normal/Max Prices"] = "最低/正常/最高 价格"
--[[Translation missing --]]
L["Minimum disenchant level"] = "Minimum disenchant level"
--[[Translation missing --]]
L["Minimum price"] = "Minimum price"
--[[Translation missing --]]
L["Minimum Rarity"] = "Minimum Rarity"
L["Misplaced comma"] = "错误的分隔逗号"
L["Missing Materials"] = "缺少的材料"
L["Missing operator between sets of parenthesis"] = "括号之间缺少运算符"
--[[Translation missing --]]
L["Modifiers"] = "Modifiers"
L["Money Frame Open"] = "金钱框架打开"
L["Money Transfer"] = "金币交易量"
--[[Translation missing --]]
L["MOST GROUPS"] = "MOST GROUPS"
--[[Translation missing --]]
L["MOST ITEMS"] = "MOST ITEMS"
L["MOVE"] = "移动"
--[[Translation missing --]]
L["Move %d |4Item:Items"] = "Move %d |4Item:Items"
--[[Translation missing --]]
L["Move %d already grouped items?"] = "Move %d already grouped items?"
--[[Translation missing --]]
L["Move all to Bags"] = "Move all to Bags"
--[[Translation missing --]]
L["Move Item"] = "Move Item"
--[[Translation missing --]]
L["Move Quantity Options"] = "Move Quantity Options"
--[[Translation missing --]]
L["Move to bags"] = "Move to bags"
--[[Translation missing --]]
L["Move to bank"] = "Move to bank"
--[[Translation missing --]]
L["Move to Parent Group"] = "Move to Parent Group"
L["MOVING"] = "移动中"
L["Moving"] = "移动中"
L["Multiple Items"] = "多个物品"
--[[Translation missing --]]
L["Must be between %d and %s."] = "Must be between %d and %s."
L["My Auctions"] = "我的拍卖"
--[[Translation missing --]]
L["My Auctions %s button"] = "My Auctions %s button"
--[[Translation missing --]]
L["Name"] = "Name"
L["NEED MATS"] = "需要材料"
--[[Translation missing --]]
L["New Base Group search."] = "New Base Group search."
L["New Group"] = "新的分组"
L["New Operation"] = "新操作"
--[[Translation missing --]]
L["New price sources."] = "New price sources."
L["News & Information"] = "新闻资讯"
L["No Attachments"] = "没有附件"
--[[Translation missing --]]
L["No AuctionDB Realm Data"] = "No AuctionDB Realm Data"
--[[Translation missing --]]
L["No AuctionDB Region Data"] = "No AuctionDB Region Data"
--[[Translation missing --]]
L["No Characters"] = "No Characters"
L["No Crafts"] = "没有专业物品"
--[[Translation missing --]]
L["No Faction-Realms"] = "No Faction-Realms"
L["No group selected"] = "未选择分组"
--[[Translation missing --]]
L["No Guilds"] = "No Guilds"
L["No item specified. Usage: /tsm restock_help [ITEM_LINK]"] = "未物品指定。 用法：/tsm restock help [物品链接]"
L["NO ITEMS"] = "没有物品"
L["No Materials to Gather"] = "没有材料来收集"
L["No Operation Selected"] = "未选择操作"
--[[Translation missing --]]
L["No Players"] = "No Players"
L["No posting."] = "未发布"
L["No Profession Opened"] = "未打开专业"
L["No Profession Selected"] = "未选择专业"
--[[Translation missing --]]
L["No Professions"] = "No Professions"
L["No profile specified. Possible profiles: '%s'"] = "无指定配置。可能配置：'%s'"
--[[Translation missing --]]
L["No Rarities"] = "No Rarities"
--[[Translation missing --]]
L["No receipe selected"] = "No receipe selected"
L["No recent AuctionDB scan data found."] = "未找到AuctionDB扫描数据。"
L["No Sound"] = "无声"
--[[Translation missing --]]
L["No Sources"] = "No Sources"
--[[Translation missing --]]
L["No Types"] = "No Types"
--[[Translation missing --]]
L["No value was returned by the custom price for the specified item."] = "No value was returned by the custom price for the specified item."
L["None"] = "无"
L["None (Always Show)"] = "无（总是显示）"
L["None Selected"] = "未选择"
--[[Translation missing --]]
L["Nongroup to bank"] = "Nongroup to bank"
--[[Translation missing --]]
L["Normal price"] = "Normal price"
L["Not canceling auction at reset price."] = "不取消位于转卖价格的拍卖"
L["Not canceling auction below min price."] = "低于最低价格时不取消拍卖"
L["Not canceling."] = "未取消"
L["Not Connected"] = "未连接"
L["Not enough items in bags."] = "背包物品不足"
--[[Translation missing --]]
L["Not Enough Money"] = "Not Enough Money"
L["Not enough money to cancel."] = "没有足够金币以取消"
L["NOT OPEN"] = "未打开"
L["Not Scanned"] = "未扫描的"
--[[Translation missing --]]
L["NOTE: The import contained %d invalid items which were ignored."] = "NOTE: The import contained %d invalid items which were ignored."
--[[Translation missing --]]
L["NOTE: The import contained %d operations with at least one invalid setting which was reset."] = "NOTE: The import contained %d operations with at least one invalid setting which was reset."
L["Nothing to move."] = "没有可移动物品"
--[[Translation missing --]]
L["Nothing to send."] = "Nothing to send."
--[[Translation missing --]]
L["Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."] = "Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."
L["NPC"] = "NPC"
L["Number Owned"] = "拥有的数量"
L["Offline"] = "离线"
L["On Cooldown"] = "冷却中"
L["Only show craftable"] = "只显示可制作的"
--[[Translation missing --]]
L["Only show items with disenchant values above this price"] = "Only show items with disenchant values above this price"
--[[Translation missing --]]
L["Only show sold auctions"] = "Only show sold auctions"
L["OPEN"] = "打开"
--[[Translation missing --]]
L["Open All Mail"] = "Open All Mail"
--[[Translation missing --]]
L["Open All Mail Without Money"] = "Open All Mail Without Money"
L["Open Mail"] = "打开邮件"
--[[Translation missing --]]
L["Open mail complete sound"] = "Open mail complete sound"
--[[Translation missing --]]
L["Open Mail Without Money"] = "Open Mail Without Money"
L["Open Task List"] = "打开任务列表"
--[[Translation missing --]]
L["Opens the Destroying frame if there's stuff in your bags to be destroyed."] = "Opens the Destroying frame if there's stuff in your bags to be destroyed."
L["Operation"] = "操作"
L["Operations"] = "操作"
--[[Translation missing --]]
L["Options specific to Sniper are below."] = "Options specific to Sniper are below."
--[[Translation missing --]]
L["Order Confirmation"] = "Order Confirmation"
--[[Translation missing --]]
L["Orgrimmar"] = "Orgrimmar"
--[[Translation missing --]]
L["Other"] = "Other"
L["Other Character"] = "其他角色"
--[[Translation missing --]]
L["Override default craft value"] = "Override default craft value"
L["Override Parent Operations"] = "覆盖父操作"
L["Parent Items"] = "父项目"
--[[Translation missing --]]
L["Pausing Scan..."] = "Pausing Scan..."
L["Per Item"] = "每个物品"
L["Per Stack"] = "每组"
--[[Translation missing --]]
L["Per-Character group selections."] = "Per-Character group selections."
--[[Translation missing --]]
L["Performing a dry-run of your Mailing operations for the selected groups."] = "Performing a dry-run of your Mailing operations for the selected groups."
--[[Translation missing --]]
L["Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."] = "Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."
L["Player Gold"] = "玩家金币"
L["Player Invite Accept"] = "接受玩家邀请"
L["Post"] = "发布"
L["Post / Cancel"] = "发布/取消"
L["Post at Maximum Price"] = "以最高价发布"
L["Post at Minimum Price"] = "以最低价发布"
L["Post at Normal Price"] = "以正常价格发布"
L["Post Auction"] = "发布拍卖"
L["Post cap"] = "发布的最大数量"
L["Post cap to bags"] = "从背包发布最大数量"
L["Post from Shopping Scan"] = "从购买扫描发布"
L["Post Items from Bags"] = "从背包发布"
L["Post Quantity"] = "发布数量"
L["Post Scan"] = "发布扫描"
L["Post Selected"] = "已选择发布"
L["Postage"] = "邮费"
L["Posted at whitelisted player's price."] = "以白名单玩家价格发布"
L["Posted:"] = "已发布："
L["Posting"] = "发布中"
L["Posting %d / %d"] = "发布中 %d / %d"
--[[Translation missing --]]
L["Posting %d items for %s hours."] = "Posting %d items for %s hours."
L["Posting %d stack(s) of %d for %s hours."] = "按%d堆叠%d且以%s小时发布"
L["Posting at normal price."] = "正以正常价发布"
L["Posting at whitelisted player's price."] = "正以白名单玩家价格发布"
L["Posting at your current price."] = "正以当前价发布"
L["Posting disabled."] = "禁用发布"
L["Posting Options"] = "发布设置"
L["Posting Price"] = "发布价格"
L["Posts"] = "发布"
L["Potential"] = "潜在"
--[[Translation missing --]]
L["Prepare Bid"] = "Prepare Bid"
L["Prepare Buy"] = "准备购买"
L["Preparing..."] = "正在准备..."
--[[Translation missing --]]
L["Prevent closing the Auction House with the esc key"] = "Prevent closing the Auction House with the esc key"
--[[Translation missing --]]
L["Prints out the available price sources for use in custom prices"] = "Prints out the available price sources for use in custom prices"
--[[Translation missing --]]
L["Prints out the version numbers of all installed modules"] = "Prints out the version numbers of all installed modules"
--[[Translation missing --]]
L["Prints the slash command help listing"] = "Prints the slash command help listing"
--[[Translation missing --]]
L["Processing scan results..."] = "Processing scan results..."
L["Profession"] = "专业"
L["Profession Info"] = "专业信息"
L["Professions Used In"] = "涉及专业"
L["Profile changed to '%s'."] = "变更成'%s'配置。"
L["Profiles"] = "配置档"
L["Profit"] = "利润"
L["PROFIT"] = "利润"
L["Profit (Total)"] = "利润（总计）"
--[[Translation missing --]]
L["Prospect value"] = "Prospect value"
L["Prospect Value"] = "预期价格"
L["Purchase"] = "购买"
L["Purchase / Sale Info"] = "购买/出售信息"
L["Purchase Data"] = "购买数据"
L["Purchase information"] = "购买信息"
L["Purchase Item"] = "购买物品"
L["Purchased (Min/Avg/Max Price)"] = "购买（最小/平均/最高价)"
L["Purchased (Total Price)"] = "购买(总价)"
L["Purchases"] = "购买数量"
L["Purchasing Auction"] = "采购"
--[[Translation missing --]]
L["Puts items matching the item or partial text entered into the bank or guild bank."] = "Puts items matching the item or partial text entered into the bank or guild bank."
L["Qty"] = "数量"
--[[Translation missing --]]
L["Quantity"] = "Quantity"
--[[Translation missing --]]
L["Quantity Purchased:"] = "Quantity Purchased:"
L["Quantity Sold:"] = "售出数量"
--[[Translation missing --]]
L["Quantity to move"] = "Quantity to move"
L["Quest Added"] = "任务已添加"
L["Quest Completed"] = "任务已完成"
L["Quest Objectives Complete"] = "任务目标完成"
--[[Translation missing --]]
L["Queue"] = "Queue"
L["Quickly mail all excess disenchantable items to a character"] = "快速将所有多余的可分解物品邮寄给角色"
L["Quickly mail all excess gold (limited to a certain amount) to a character"] = "快速将所有多余的金币（限制在一定数量）邮寄给角色"
L["Raid Warning"] = "副本警告"
L["Read More"] = "阅读更多"
L["Ready Check"] = "准备好检查"
L["Ready to Cancel"] = "准备取消"
--[[Translation missing --]]
L["Recent"] = "Recent"
L["Recent Scans"] = "最近的扫描"
L["Recent Searches"] = "最近的搜索"
--[[Translation missing --]]
L["Recipe Name"] = "Recipe Name"
--[[Translation missing --]]
L["Recipient"] = "Recipient"
--[[Translation missing --]]
L["Region avg daily sold"] = "Region avg daily sold"
L["Region Avg Daily Sold"] = "服务器平均每日出售"
L["Region Historical Price"] = "服务器历史价格"
--[[Translation missing --]]
L["Region historical price"] = "Region historical price"
--[[Translation missing --]]
L["Region market value"] = "Region market value"
L["Region Market Value Avg"] = "服务器市场平均价"
L["Region Min Buyout Avg"] = "区域最低平均一口价"
--[[Translation missing --]]
L["Region min buyout avg"] = "Region min buyout avg"
--[[Translation missing --]]
L["Region sale avg"] = "Region sale avg"
L["Region Sale Avg"] = "服务器平均出售"
L["Region Sale Rate"] = "服务器成交率"
--[[Translation missing --]]
L["Region sale rate"] = "Region sale rate"
L["Reload"] = "重载"
--[[Translation missing --]]
L["Reload UI (%02d)"] = "Reload UI (%02d)"
--[[Translation missing --]]
L["Reload UI (%d)"] = "Reload UI (%d)"
--[[Translation missing --]]
L["Remove"] = "Remove"
--[[Translation missing --]]
L["Remove %d |4Item:Items"] = "Remove %d |4Item:Items"
--[[Translation missing --]]
L["Remove Data Older Than (Days)"] = "Remove Data Older Than (Days)"
--[[Translation missing --]]
L["Remove this account sync and all synced data from this account"] = "Remove this account sync and all synced data from this account"
L["Removed a total of %s old records."] = "总共删除了%s 旧记录"
--[[Translation missing --]]
L["Removed custom price source (%s) which has an invalid name."] = "Removed custom price source (%s) which has an invalid name."
L["Rename"] = "重命名"
L["Rename Profile"] = "重命名个人资料"
--[[Translation missing --]]
L["Rename Search"] = "Rename Search"
--[[Translation missing --]]
L["Rename the profile"] = "Rename the profile"
--[[Translation missing --]]
L["Rename this group"] = "Rename this group"
L["Repair"] = "修理"
L["Repair Bill"] = "修复账单"
L["Repair from Guild Bank"] = "公会银行维修"
--[[Translation missing --]]
L["Replace %d existing operations and %d existing custom sources?"] = "Replace %d existing operations and %d existing custom sources?"
--[[Translation missing --]]
L["Replace %d existing operations?"] = "Replace %d existing operations?"
--[[Translation missing --]]
L["Reply"] = "Reply"
--[[Translation missing --]]
L["Report Spam"] = "Report Spam"
--[[Translation missing --]]
L["Reports"] = "Reports"
L["Repost threshold"] = "重新发布阈值"
L["Required Level"] = "请求的等级"
--[[Translation missing --]]
L["Required Level Range"] = "Required Level Range"
L["Resale"] = "转卖"
--[[Translation missing --]]
L["Rescan"] = "Rescan"
--[[Translation missing --]]
L["Reset"] = "Reset"
--[[Translation missing --]]
L["Reset All Filters"] = "Reset All Filters"
L["Reset Filters"] = "重置过滤"
L["Reset Operation?"] = "重置操作？"
--[[Translation missing --]]
L["Reset Profile?"] = "Reset Profile?"
--[[Translation missing --]]
L["Reset Table"] = "Reset Table"
--[[Translation missing --]]
L["Reset the current profile to default settings"] = "Reset the current profile to default settings"
--[[Translation missing --]]
L["Reset to Default"] = "Reset to Default"
--[[Translation missing --]]
L["Reset Zoom"] = "Reset Zoom"
--[[Translation missing --]]
L["Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."] = "Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."
--[[Translation missing --]]
L["Restart"] = "Restart"
--[[Translation missing --]]
L["Restart delay (minutes)"] = "Restart delay (minutes)"
--[[Translation missing --]]
L["Restock bags"] = "Restock bags"
--[[Translation missing --]]
L["Restock help for %s: %s"] = "Restock help for %s: %s"
--[[Translation missing --]]
L["Restock Options"] = "Restock Options"
--[[Translation missing --]]
L["Restock quantity"] = "Restock quantity"
--[[Translation missing --]]
L["Restock Selected Groups"] = "Restock Selected Groups"
--[[Translation missing --]]
L["Restock target to max quantity"] = "Restock target to max quantity"
L["Restocking to %d."] = "补货到%d"
--[[Translation missing --]]
L["Restocking with a min profit."] = "Restocking with a min profit."
--[[Translation missing --]]
L["Restocking with no min profit."] = "Restocking with no min profit."
--[[Translation missing --]]
L["Restore bags"] = "Restore bags"
--[[Translation missing --]]
L["Resuming Scan..."] = "Resuming Scan..."
L["Retrying %d auction(s) which failed."] = "重试失败的%d拍卖"
L["Revenue"] = "收益"
--[[Translation missing --]]
L["Right-Click to reset the window size, scale, and position to their defaults."] = "Right-Click to reset the window size, scale, and position to their defaults."
--[[Translation missing --]]
L["Run Advanced Item Search"] = "Run Advanced Item Search"
L["Run Bid Sniper"] = "运行狙击竞价"
L["Run Buyout Sniper"] = "运行狙击一口价"
L["Run Cancel Scan"] = "取消扫描"
L["Run Post Scan"] = "发布扫描"
--[[Translation missing --]]
L["Run Shopping Scan"] = "Run Shopping Scan"
L["Running Sniper Scan"] = "运行狙击扫描"
L["Sale"] = "出售"
--[[Translation missing --]]
L["Sale Data"] = "Sale Data"
--[[Translation missing --]]
L["Sale information"] = "Sale information"
L["Sale Price"] = "销售价格"
L["Sale Rate"] = "成交率"
--[[Translation missing --]]
L["Sale rate"] = "Sale rate"
L["Sales"] = "出售"
L["SALES"] = "出售"
--[[Translation missing --]]
L["Save"] = "Save"
--[[Translation missing --]]
L["Scan"] = "Scan"
L["SCAN ALL"] = "取消所有"
--[[Translation missing --]]
L["Scan complete sound"] = "Scan complete sound"
L["Scan Paused"] = "扫描被暂停"
--[[Translation missing --]]
L["Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."] = "Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."
L["Scanning"] = "扫描中"
L["SCANNING"] = "正在扫描"
L["Scanning (%d Items)"] = "扫描 (%d个项目)"
--[[Translation missing --]]
L["Scroll wheel direction"] = "Scroll wheel direction"
--[[Translation missing --]]
L["Scroll Wheel Options"] = "Scroll Wheel Options"
L["Search"] = "搜索"
--[[Translation missing --]]
L["Search %s operations"] = "Search %s operations"
L["Search Bags"] = "搜索背包"
L["Search Groups"] = "搜索分组"
--[[Translation missing --]]
L["Search items"] = "Search items"
--[[Translation missing --]]
L["Search items in group"] = "Search items in group"
--[[Translation missing --]]
L["Search items in mailbox"] = "Search items in mailbox"
L["Search Operations"] = "搜索操作"
L["Search Patterns"] = "搜索模式"
--[[Translation missing --]]
L["Search Results"] = "Search Results"
--[[Translation missing --]]
L["Search the auction house"] = "Search the auction house"
L["Search Vendor"] = "搜索NPC"
--[[Translation missing --]]
L["Select / Deselect All Groups"] = "Select / Deselect All Groups"
--[[Translation missing --]]
L["Select / Deselect All Items"] = "Select / Deselect All Items"
--[[Translation missing --]]
L["Select / Deselect All Results"] = "Select / Deselect All Results"
L["Select a Source"] = "选择一个源"
L["Select Action"] = "选择操作"
--[[Translation missing --]]
L["Select All"] = "Select All"
--[[Translation missing --]]
L["Select an Auction to Buy"] = "Select an Auction to Buy"
L["Select Auction to Cancel"] = "选择要取消的拍卖"
L["Select crafter"] = "选择制造者"
--[[Translation missing --]]
L["Select Group"] = "Select Group"
--[[Translation missing --]]
L["Select included subgroups"] = "Select included subgroups"
--[[Translation missing --]]
L["Select Items to Attach"] = "Select Items to Attach"
L["Select professions"] = "选择专业"
L["Sell"] = "出售"
--[[Translation missing --]]
L["Sell All"] = "Sell All"
--[[Translation missing --]]
L["Sell BoEs"] = "Sell BoEs"
--[[Translation missing --]]
L["Sell Groups"] = "Sell Groups"
L["Sell Options"] = "出售选项"
--[[Translation missing --]]
L["Sell soulbound items"] = "Sell soulbound items"
L["Sell to Vendor"] = "卖给NPC"
--[[Translation missing --]]
L["Sell Trash"] = "Sell Trash"
L["Seller"] = "出售者"
L["Selling soulbound items."] = "出售灵魂绑定物品"
L["Send"] = "发送"
--[[Translation missing --]]
L["Send Disenchantables"] = "Send Disenchantables"
L["Send Excess Gold to Banker"] = "发送超额金币给银行角色"
--[[Translation missing --]]
L["Send Gold"] = "Send Gold"
L["Send grouped items individually"] = "单独发送分组物品"
--[[Translation missing --]]
L["Send Mail"] = "Send Mail"
L["Send Money"] = "发送金币"
--[[Translation missing --]]
L["Send your active profile to this synced account"] = "Send your active profile to this synced account"
--[[Translation missing --]]
L["Sender"] = "Sender"
L["SENDING"] = "发送中"
L["Sending %s to %s"] = "发送%s到%s"
L["Sending %s to %s with a COD of %s"] = "正在发送%s货到付款%s 给%s."
L["Sending Settings"] = "发送设置"
--[[Translation missing --]]
L["Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"] = "Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"
--[[Translation missing --]]
L["Sending..."] = "Sending..."
--[[Translation missing --]]
L["Set bid as percentage of buyout"] = "Set bid as percentage of buyout"
--[[Translation missing --]]
L["Set how items are moved out of the bank."] = "Set how items are moved out of the bank."
--[[Translation missing --]]
L["Set how items are restocked from the bank."] = "Set how items are restocked from the bank."
--[[Translation missing --]]
L["Set keep in bags quantity"] = "Set keep in bags quantity"
--[[Translation missing --]]
L["Set keep in bank quantity"] = "Set keep in bank quantity"
--[[Translation missing --]]
L["Set max quantity"] = "Set max quantity"
--[[Translation missing --]]
L["Set min profit"] = "Set min profit"
--[[Translation missing --]]
L["Set move quantity"] = "Set move quantity"
--[[Translation missing --]]
L["Set stack size"] = "Set stack size"
--[[Translation missing --]]
L["Set stack size for restock"] = "Set stack size for restock"
--[[Translation missing --]]
L["Set what is bought from a vendor."] = "Set what is bought from a vendor."
--[[Translation missing --]]
L["Set what is sold to a vendor."] = "Set what is sold to a vendor."
L["Set what items are shown during a Shopping scan."] = "设置在购物扫描期间显示哪些项目。"
L["Set what items are shown during a Sniper scan."] = "设置在“狙击”扫描过程中显示哪些项目。"
--[[Translation missing --]]
L["Set your active profile or create a new one."] = "Set your active profile or create a new one."
--[[Translation missing --]]
L["Settings"] = "Settings"
--[[Translation missing --]]
L["Setup various sounds that play when doing Auctioning scans."] = "Setup various sounds that play when doing Auctioning scans."
--[[Translation missing --]]
L["SHIFT"] = "SHIFT"
L["Shopping"] = "购买"
--[[Translation missing --]]
L["Shopping %s button"] = "Shopping %s button"
L["Shopping for auctions including those above the max price."] = "购买拍卖品(包括那些高于最高价格的)"
L["Shopping for auctions with a max price set."] = "购买拍卖品(在最高价格限定下)"
L["Shopping operation"] = "购买操作"
--[[Translation missing --]]
L["Shopping Operation Max Price"] = "Shopping Operation Max Price"
--[[Translation missing --]]
L["Shopping operations control buyout from the AH."] = "Shopping operations control buyout from the AH."
--[[Translation missing --]]
L["Shortfall to bags"] = "Shortfall to bags"
--[[Translation missing --]]
L["Show auctions above max price"] = "Show auctions above max price"
L["Show confirmation alert if buyout is above the alert price"] = "如果一口价超过警惕价格，则显示确认提醒"
--[[Translation missing --]]
L["Show destroying frame automatically"] = "Show destroying frame automatically"
--[[Translation missing --]]
L["Show on modifier"] = "Show on modifier"
--[[Translation missing --]]
L["Show only auctions with bids"] = "Show only auctions with bids"
--[[Translation missing --]]
L["Showing %s Mail"] = "Showing %s Mail"
--[[Translation missing --]]
L["Showing %s of %d Mail"] = "Showing %s of %d Mail"
--[[Translation missing --]]
L["Showing %s of %d Mails"] = "Showing %s of %d Mails"
--[[Translation missing --]]
L["Showing all %s Mails"] = "Showing all %s Mails"
--[[Translation missing --]]
L["Simple inventory"] = "Simple inventory"
--[[Translation missing --]]
L["Skip"] = "Skip"
--[[Translation missing --]]
L["Skipped:"] = "Skipped:"
L["Skipped: No assigned operation"] = "已跳过:无指定操作"
L["Slash Commands:"] = "指令列表："
--[[Translation missing --]]
L["Smart Avg Buy Price"] = "Smart Avg Buy Price"
L["Sniper"] = "狙击"
--[[Translation missing --]]
L["Sniper %s button"] = "Sniper %s button"
--[[Translation missing --]]
L["Sniper Below Price"] = "Sniper Below Price"
L["Sniper operation"] = "狙击操作"
--[[Translation missing --]]
L["Sniper Operation Below Price"] = "Sniper Operation Below Price"
--[[Translation missing --]]
L["Sniper operations control sniping from the AH."] = "Sniper operations control sniping from the AH."
L["Sniper Options"] = "狙击选项"
L["Sniping items below a max price"] = "狙击物品低于最高价"
L["Sold"] = "卖出"
--[[Translation missing --]]
L["Sold %d of %s to %s for %s"] = "Sold %d of %s to %s for %s"
L["Sold %s worth of items."] = "售出%s物品"
L["Sold (Min/Avg/Max Price)"] = "出售(最小/平均/最高价)"
L["Sold (Total Price)"] = "售出(总价):"
L["Sold [%s]x%d for %s to %s"] = "卖出 [%s]x%d 为 %s 到 %s"
--[[Translation missing --]]
L["Sold for:"] = "Sold for:"
--[[Translation missing --]]
L["Some general Accounting options are below."] = "Some general Accounting options are below."
--[[Translation missing --]]
L["Some general appearance options are below."] = "Some general appearance options are below."
--[[Translation missing --]]
L["Some general Auctioning options are below."] = "Some general Auctioning options are below."
--[[Translation missing --]]
L["Some general Browse/Sniper options are below."] = "Some general Browse/Sniper options are below."
--[[Translation missing --]]
L["Some general options for the TSM tooltip information are below."] = "Some general options for the TSM tooltip information are below."
--[[Translation missing --]]
L["Some general TSM options are below."] = "Some general TSM options are below."
--[[Translation missing --]]
L["Some options for the Disenchant Search are below."] = "Some options for the Disenchant Search are below."
L["Source"] = "来源"
L["SOURCE %d"] = "来源%d"
L["Sources"] = "来源"
--[[Translation missing --]]
L["Sources to include for restock"] = "Sources to include for restock"
L["Stack"] = "堆叠"
L["Stack / Quantity"] = "堆叠/数量"
--[[Translation missing --]]
L["Stack size"] = "Stack size"
--[[Translation missing --]]
L["Stack size multiple"] = "Stack size multiple"
--[[Translation missing --]]
L["Stack(s)"] = "Stack(s)"
L["Start either a 'Buyout' or 'Bid' sniper using the buttons above."] = "使用上面的按钮启动“一口价”或“竞标”狙击搜索"
L["Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."] = "开始完整的拍卖行扫描。请注意，此扫描可能会导致游戏客户端延迟或崩溃。此扫描通常需要1-2分钟。"
L["Starting Scan..."] = "开始扫描..."
L["Store operations globally"] = "全局保存操作"
--[[Translation missing --]]
L["Stormwind"] = "Stormwind"
--[[Translation missing --]]
L["String"] = "String"
L["Subject"] = "邮件主题"
--[[Translation missing --]]
L["Subject & Description added"] = "Subject & Description added"
L["Successfully sent your '%s' profile to %s!"] = "成功将您的“%s”个人资料发送到%s！"
--[[Translation missing --]]
L["Supported range: %d - %d"] = "Supported range: %d - %d"
--[[Translation missing --]]
L["Supported value range: %d - %d"] = "Supported value range: %d - %d"
--[[Translation missing --]]
L["Swamp of Sorrows"] = "Swamp of Sorrows"
L["Switch to %s"] = "切换到%s"
L["Sync Setup Error: The specified player on the other account is not currently online."] = "同步设置错误：另一个账号中的指定角色不在线。"
L["Sync Setup Error: This character is already part of a known account."] = "同步设置错误：该角色已经在一个已知账号中。"
L["Sync Setup Error: You entered the name of the current character and not the character on the other account."] = "同步设置错误：您输入了当前角色名而非其他账号下的角色名。"
L["Sync Status"] = "同步状态"
--[[Translation missing --]]
L["Target character"] = "Target character"
--[[Translation missing --]]
L["Target shortfall to bags"] = "Target shortfall to bags"
L["Tasks Added to Task List"] = "添加到任务列表"
--[[Translation missing --]]
L["Tells you why a specific item is not being restocked and added to the queue."] = "Tells you why a specific item is not being restocked and added to the queue."
L["Text (%s)"] = "文本 (%s)"
--[[Translation missing --]]
L["The '%s' custom price source is invalid."] = "The '%s' custom price source is invalid."
--[[Translation missing --]]
L["The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."] = "The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."
--[[Translation missing --]]
L["The buyout price for %s would be above the maximum allowed price. Skipping this item."] = "The buyout price for %s would be above the maximum allowed price. Skipping this item."
L["The canlearn filter was ignored because the CanIMogIt addon was not found."] = "canlearn过滤被忽略，因为找不到CanIMogIt插件。"
--[[Translation missing --]]
L["The 'Craft Value Method' did not return a value for this item."] = "The 'Craft Value Method' did not return a value for this item."
L["The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."] = "整个插件已从头开始重新设计。亮点包括：最大化可用空间的更现代的UI，允许您更改主题的新外观，更新的仪表板，更强大的表格等等。"
--[[Translation missing --]]
L["The max quantity cannot be zero."] = "The max quantity cannot be zero."
--[[Translation missing --]]
L["The min profit did not evalulate to a valid value for this item."] = "The min profit did not evalulate to a valid value for this item."
--[[Translation missing --]]
L["The name portion of the search term must be at least 3 characters if present."] = "The name portion of the search term must be at least 3 characters if present."
--[[Translation missing --]]
L["The pasted value was not valid. Ensure you are pasting the entire import string."] = "The pasted value was not valid. Ensure you are pasting the entire import string."
L["The player \"%s\" is already on your whitelist."] = "玩家\"%s\"已经在白名单中"
L["The profit of this item (%s) is below the min profit (%s)."] = "此物品的利润 (%s)低于最低利润(%s)"
--[[Translation missing --]]
L["The same filter was specified multiple times."] = "The same filter was specified multiple times."
--[[Translation missing --]]
L["The search term must be at least 3 characters."] = "The search term must be at least 3 characters."
L["The seller name of the lowest auction for %s was not given by the server. Skipping this item."] = "%s最低价卖家名未提交到服务器。忽略此物品"
--[[Translation missing --]]
L["The specified filter was empty."] = "The specified filter was empty."
--[[Translation missing --]]
L["The specified item is not supported for crafting searches."] = "The specified item is not supported for crafting searches."
--[[Translation missing --]]
L["The specified item is not supported for disenchant searches."] = "The specified item is not supported for disenchant searches."
--[[Translation missing --]]
L["The specified item was not found."] = "The specified item was not found."
L["The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."] = "TradeSkillMaster_AppHelper插件已安装，但未启用。TSM已启用它，需要重新加载。"
L["The unlearned filter was ignored because the CanIMogIt addon was not found."] = "unlearned过滤被忽略，因为找不到CanIMogIt插件"
--[[Translation missing --]]
L["The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."] = "The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."
--[[Translation missing --]]
L["Themes"] = "Themes"
--[[Translation missing --]]
L["There is currently no profession open, so cannot create profession groups."] = "There is currently no profession open, so cannot create profession groups."
--[[Translation missing --]]
L["There is no Crafting operation applied to this item's TSM group (%s)."] = "There is no Crafting operation applied to this item's TSM group (%s)."
L["This is not a valid profile name. Profile names must be at least one character long and may not contain '@' characters."] = "这是一个非法的配置文件名。配置文件名必须至少有一个字符长度并且不包含@字符。"
L["This item does not have a crafting cost. Check that all of its mats have mat prices."] = "此物品没有制造成本。 检查所有材料是否有材料价格"
L["This item is not in a TSM group."] = "此物品不在TSM分组"
--[[Translation missing --]]
L["This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."] = "This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."
L["This looks like an exported operation and not a custom price."] = "这看起来想一个导出操作而不是一个自定义价格。"
--[[Translation missing --]]
L["This operation is applied to the base group which includes every item not in another group."] = "This operation is applied to the base group which includes every item not in another group."
--[[Translation missing --]]
L["This price is above your confirmation alert threshold."] = "This price is above your confirmation alert threshold."
--[[Translation missing --]]
L["This profession is not open."] = "This profession is not open."
--[[Translation missing --]]
L["This record belongs to another account and can only be deleted on that account."] = "This record belongs to another account and can only be deleted on that account."
L["This will permanently delete the '%s' profile."] = "此操作将永久删除'%s'配置档"
--[[Translation missing --]]
L["This will reset all groups and operations (if not stored globally) to be wiped from '%s'."] = "This will reset all groups and operations (if not stored globally) to be wiped from '%s'."
L["Time"] = "时间"
L["Time Frame"] = "时限"
--[[Translation missing --]]
L["Time to Craft:"] = "Time to Craft:"
--[[Translation missing --]]
L["Tinker"] = "Tinker"
--[[Translation missing --]]
L["To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."] = "To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."
--[[Translation missing --]]
L["Toggles the main TSM window"] = "Toggles the main TSM window"
--[[Translation missing --]]
L["Toggles the TSM Banking UI if either the bank or guild bank is currently open."] = "Toggles the TSM Banking UI if either the bank or guild bank is currently open."
--[[Translation missing --]]
L["Toggles the TSM Crafting UI."] = "Toggles the TSM Crafting UI."
--[[Translation missing --]]
L["Toggles the TSM Task List UI"] = "Toggles the TSM Task List UI"
--[[Translation missing --]]
L["Tooltip Options"] = "Tooltip Options"
--[[Translation missing --]]
L["Tooltip price format"] = "Tooltip price format"
L["Tooltip Settings"] = "鼠标提示设置"
--[[Translation missing --]]
L["Top Buyers"] = "Top Buyers"
L["Top Item"] = "最高物品"
--[[Translation missing --]]
L["TOP PURCHASE"] = "TOP PURCHASE"
--[[Translation missing --]]
L["TOP SALE"] = "TOP SALE"
--[[Translation missing --]]
L["Top Sellers"] = "Top Sellers"
L["Total"] = "总计"
L["Total Gold"] = "总金币"
L["Total Gold Collected: %s"] = "收集的金币总数：%s"
L["Total Gold Earned"] = "总金币赚取"
L["Total Gold Spent"] = "总消费"
L["Total Inventory Quantity"] = "总库存"
L["Total Items"] = "项目总数"
L["Total Postage"] = "累计邮费"
L["Total Price"] = "总价格："
L["Total Prices:"] = "总价："
L["Total Profit"] = "总利润"
L["Total Value"] = "总价值"
L["Track Sales / Purchases via trade"] = "记录贸易买卖"
L["Transform Value"] = "转化价格"
L["Transform value"] = "转化价值"
L["Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."] = "还在为分组而苦恼？你现在可以简单地在游戏中的基础分组中搜索任意物品，把它们添加到一个已存在的分组中，或创建新分组。"
L["TSM 4.10: What's new"] = "TSM 4.10: 新变化"
L["TSM Accounting"] = "TSM账号"
L["TSM AuctionDB"] = "TSM拍卖数据"
L["TSM Auctioning"] = "TSM拍卖"
L["TSM can automatically sync data between multiple WoW accounts."] = "TSM可以自动同步多个WOW账号信息。"
L["TSM Crafting"] = "TSM制造"
L["TSM Desktop App Status (%s)"] = "TSM桌面应用状态(%s)"
--[[Translation missing --]]
L["TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"] = "TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"
--[[Translation missing --]]
L["TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."] = "TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."
L["TSM failed to scan some auctions. Please rerun the scan."] = "TSM未能扫描拍卖。 请重新运行扫描。"
--[[Translation missing --]]
L["TSM General Info"] = "TSM General Info"
L["TSM Groups"] = "TSM分组"
L["TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."] = "TSM当前正在重建其项目高速缓存，这可能会导致FPS下降并导致TSM在此过程完成之前无法完全发挥作用。这是正常现象，通常需要不到一分钟的时间。"
L["TSM is missing important information from the TSM Desktop Application. Please ensure the TSM Desktop Application is running and is properly configured."] = "TSM缺少TSM桌面应用程序的重要信息。 请确保TSM桌面应用程序正在运行且配置正确。"
L["TSM is not yet ready to establish a new sync connection. Please try again later."] = "TSM尚未准备好建立新的同步连接，请稍后重试。"
--[[Translation missing --]]
L["TSM Shopping"] = "TSM Shopping"
L["TSM Sniper"] = "TSM狙击"
L["TSM TASK LIST"] = "TSM 任务列表"
L["TSM Version Info:"] = "TSM版本信息："
L["TSM will not undercut any players you add to your whitelist."] = "TSM将不会试图压价你白名单中角色发布的物品。"
L["TSM_Accounting detected that you just traded %s %s in return for %s. Would you like Accounting to store a record of this trade?"] = "TSM_Accounting检测到您刚刚交易%s%s以赚取%s，您希望Accounting模块存储此交易的记录吗？"
L["TSM4"] = "TSM4"
L["TUJ 14-Day Price"] = "TUJ 十四天价格"
L["TUJ 3-Day Price"] = "TUJ中近3日价格"
L["TUJ Global Mean"] = "TUJ 全球均值"
L["TUJ Global Median"] = "TUJ全球中位数"
L["Type"] = "类型"
L["Unbalanced parentheses."] = "残缺的括号。"
--[[Translation missing --]]
L["Uncollected Only"] = "Uncollected Only"
--[[Translation missing --]]
L["Undercut amount"] = "Undercut amount"
L["Undercut by whitelisted player."] = "被白名单玩家压价"
L["Undercutting blacklisted player."] = "压价黑名单"
L["Undercutting competition."] = "压价发布"
L["Ungrouped Items"] = "未分组的物品"
--[[Translation missing --]]
L["Ungrouped Items in Bags"] = "Ungrouped Items in Bags"
--[[Translation missing --]]
L["Unit Price"] = "Unit Price"
L["Unknown Item"] = "未知物品"
--[[Translation missing --]]
L["Unknown word (%s)."] = "Unknown word (%s)."
--[[Translation missing --]]
L["Unlock Column Width"] = "Unlock Column Width"
L["Unwrap Gift"] = "打开礼物包裹"
L["Up"] = "向上"
L["Up to date"] = "最新"
--[[Translation missing --]]
L["Update existing macro"] = "Update existing macro"
L["Updating"] = "更新中"
--[[Translation missing --]]
L["Upgrades Only"] = "Upgrades Only"
--[[Translation missing --]]
L["Usable Only"] = "Usable Only"
--[[Translation missing --]]
L["Usage: /tsm price <Item Link> <Custom String>"] = "Usage: /tsm price <Item Link> <Custom String>"
--[[Translation missing --]]
L["Use the settings below to control which lines are shown in tooltips."] = "Use the settings below to control which lines are shown in tooltips."
--[[Translation missing --]]
L["Use this list to manage what cooldowns you'd like TSM to ignore from crafting."] = "Use this list to manage what cooldowns you'd like TSM to ignore from crafting."
--[[Translation missing --]]
L["Use this list to manage what items you'd like TSM to ignore from destroying."] = "Use this list to manage what items you'd like TSM to ignore from destroying."
--[[Translation missing --]]
L["Value"] = "Value"
--[[Translation missing --]]
L["Value must be between %d and %d."] = "Value must be between %d and %d."
--[[Translation missing --]]
L["Value Price Source"] = "Value Price Source"
--[[Translation missing --]]
L["Values"] = "Values"
L["Vendor"] = "NPC"
L["Vendor Buy Price"] = "NPC购买价"
--[[Translation missing --]]
L["Vendor buy price"] = "Vendor buy price"
L["Vendor Search"] = "卖店价搜索"
L["Vendor Sell"] = "出售"
L["Vendor Sell Price"] = "NPC出售价"
--[[Translation missing --]]
L["Vendor sell price"] = "Vendor sell price"
L["Vendoring"] = "NPC供应商"
--[[Translation missing --]]
L["Vendoring %s button"] = "Vendoring %s button"
L["Vendoring operation"] = "NPC供应商操作"
L["Vendoring operations control selling to and buying from a vendor."] = "NPC供应商操作影响你与NPC商人的购买和销售。"
L["Warehousing"] = "仓库管理"
L["Warehousing operation"] = "仓库选项"
L["Warehousing operations control moving in and out of the bank."] = "仓库选项决定银行中物品的移动。"
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "仓库选项会移动这个分组中每种物品最多%d件，当从背包移动到银行/公会银行时，每种物品保留%d件，当从银行/公会银行移动到背包时，每种物品保留%d件。"
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing会移动这个分组中每种物品最多%d件, 当从背包→银行/公会银行时每种物品保留%d件, 当从银行/公会银行→背包时每种物品保留%d件. 补货会保留%d件物品在你的背包里。"
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing会移动这个分组中每种物品最多%d件, 当从背包→银行/公会银行时每种物品保留%d件。"
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing会移动这个分组中每种物品最多%d件, 当从背包→银行/公会银行时每种物品保留%d件. 补货会保留%d件物品在你的背包里。"
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing会移动这个分组中每种物品最多%d件, 当从银行/公会银行→背包时每种物品保留%d件。"
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing会移动这个分组中每种物品最多%d件, 当从银行/公会银行→背包时每种物品保留%d件。补货会保留%d件物品在背包里。"
L["Warehousing will move a max of %d of each item in this group."] = "Warehousing会移动这个分组中每种物品最多%d件。"
L["Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."] = "Warehousing会移动这个分组中每种物品最多%d件。补货会保留%d件物品在背包里。"
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing会移动这个分组的所有物品, 当从背包→银行/公会银行时每种物品保留%d件, 当从银行/公会银行→背包时每种物品保留%d件。"
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing会移动这个分组的所有物品, 当从背包→银行/公会银行时每种物品保留%d件, 当从银行/公会银行→背包时每种物品保留%d件。补货会在背包里保留%d件物品。"
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing会移动这个分组的所有物品, 当从背包→银行/公会银行时每种物品保留%d件。"
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing会移动这个分组的所有物品, 当从背包→银行/公会银行时每种物品保留%d。补货会在背包里保留%d件物品。"
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing会移动这个分组的所有物品, 当从银行/公会银行→背包时每种物品保留%d件。"
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "当银行/工会银行>背包物品时仓库将移动该组中的所有物品，每个物品的%d保持不变。补货将在你的背包中保留%d"
L["Warehousing will move all of the items in this group."] = "移动所有Warehousing物品到该分组。"
L["Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."] = "Warehousing将移动该组中的所有项目。补货将在你的背包中保留%d物品"
L["WARNING: The macro was too long, so was truncated to fit by WoW."] = "警告：宏过长，将被调整到适合的长度。"
L["WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."] = "警告：你为%s设置的最小价格比直接售卖给NPC更低（计算AH相关费用后）。请提高售价，或者直接卖给NPC。"
L["We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."] = "我们已经添加了新的数据源，让你利用TSM获取金币的方式具有更多的灵活性。现在你可以在TSM中引用NumInventory、SaleRate或其他插件/工具。SmartAvgBuy也被从“选项”页面移动到了“数据源”。"
L["When above maximum:"] = "当超过最大值："
L["When below minimum:"] = "当小于最小值："
L["Whitelist"] = "白名单"
L["Whitelisted characters"] = "白名单角色"
L["Winamp"] = "Winamp"
L["Would send %s to %s"] = "将把%s发送给%s"
L["Would send %s to %s with a COD of %s"] = "将通过COD邮件将%s发送给%s，价格为%s"
L["WOW UI"] = "WOW UI"
L["You are not on one of the listed characters."] = "你的角色不在列表中。"
L["You can clear old Accounting data below to keep things running smoothly."] = "你可以清理过期账户数据，从而提升TSM运行表现。"
L["You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"] = "你可以通过字符串导入组别信息。成熟的组别字符串可以到 https://tradeskillmaster.com/group-maker/all 下载。"
L["You can use the export string below to share this group with others."] = "你可以利用下方的字符串与他人分享该组别信息。"
L["You cannot use %s as part of this custom price."] = "你不能将%s作为自定义价格的一部分。"
L["You cannot use %s within convert() as part of this custom price."] = "你不能在convert()函数中将%s作为自定义价格的一部分。"
L["You do not need to add \"%s\", alts are whitelisted automatically."] = "无需添加“%s”，小号会自动列入白名单"
L["You don't know how to craft this item."] = "你尚未学会制造这个物品。"
L["You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."] = "您或者已经至少具有该物料的最大重新库存数量，或者排队的数量小于最小重新库存数量。"
L["You must reload your UI for these settings to take effect. Reload now?"] = "你需要重载UI来使这些改动生效。是否现在重载？"
L["You won an auction for %sx%d for %s"] = "你已成功购买到%s(%d个)，销售者:%s"
L["Your auction has not been undercut."] = "你的拍卖并未被压价"
L["Your auction of %s expired"] = "你拍卖的%s已经过期"
L["Your auction of %s has sold for %s!"] = "你拍卖的%s已经以%s的价格卖出！"
L["Your Buyout"] = "你的一口价"
L["Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"] = "你对'%s'设置的制造物品定价方式无效，已重置为默认值，详见: %s"
L["Your default craft value method was invalid so it has been returned to the default. Details: %s"] = "你设置的制造物品定价方式无效，已重置为默认值，详见: %s"
L["Your max restock (%s) is invalid for %s."] = "最高补货量(%s)对于%s无效。"
L["Your min restock (%s) is invalid for %s."] = "最低补货量(%s)对于%s无效。"
L["Your restock quantity is invalid. It must be between %d and %s."] = "你的补货数量无效，它必须在%d和%s之间。"
L["Your task list is currently empty."] = "你的任务列表目前是空的。"
L["You've been phased which has caused the AH to stop working due to a bug on Blizzard's end. Please close and reopen the AH and restart Sniper."] = "由于暴雪结束时的错误导致AH停止工作，因此您已经分阶段进行了最小化。 请关闭并重新打开AH并重新启动Sniper"
L["You've been undercut."] = "已被压价"
	elseif locale == "zhTW" then
L = L or {}
L["%d |4Group:Groups; Selected (%d |4Item:Items;)"] = "%d |4Group：群組; 已選擇（%d |4項目：項目;）"
L["%d auctions"] = "%d 拍賣"
--[[Translation missing --]]
L["%d Characters"] = "%d Characters"
--[[Translation missing --]]
L["%d Custom Sources"] = "%d Custom Sources"
--[[Translation missing --]]
L["%d Faction-Realms"] = "%d Faction-Realms"
L["%d groups"] = "%d 群組"
L["%d Groups"] = "%d 群組"
--[[Translation missing --]]
L["%d Groups Selected"] = "%d Groups Selected"
--[[Translation missing --]]
L["%d groups were created and %d items were added from the table."] = "%d groups were created and %d items were added from the table."
--[[Translation missing --]]
L["%d Guilds"] = "%d Guilds"
L["%d Items"] = "%d 物品"
L["%d of %d"] = "發佈 %d 堆，每堆 %d 個"
L["%d Operations"] = "%d 作業"
L["%d Players"] = "%d 玩家"
L["%d Posted Auctions"] = "已發布%d個拍賣"
--[[Translation missing --]]
L["%d Professions"] = "%d Professions"
--[[Translation missing --]]
L["%d Rarities"] = "%d Rarities"
--[[Translation missing --]]
L["%d Results"] = "%d Results"
--[[Translation missing --]]
L["%d Selected"] = "%d Selected"
L["%d Sold Auctions"] = "%d 個拍賣已售出"
--[[Translation missing --]]
L["%d Sources"] = "%d Sources"
--[[Translation missing --]]
L["%d Sub-Groups"] = "%d Sub-Groups"
--[[Translation missing --]]
L["%d subgroups included"] = "%d subgroups included"
--[[Translation missing --]]
L["%d Types"] = "%d Types"
--[[Translation missing --]]
L["%s - %s has been reset to default values."] = "%s - %s has been reset to default values."
L["%s %s Operations"] = "%s %s 作業"
L["%s (%s bags, %s bank, %s AH, %s mail)"] = "%s (%s 包包, %s 銀行, %s 拍賣場, %s 信箱)"
--[[Translation missing --]]
L["%s (%s player, %s alts, %s AH)"] = "%s (%s player, %s alts, %s AH)"
L["%s (%s player, %s alts, %s guild, %s AH)"] = "%s (%s 玩家, %s 小号, %s 公会, %s 拍卖行)"
L["%s (%s profit)"] = "%s (%s 利潤)"
L["%s ago"] = "%s前"
L["%s Crafts"] = "%s制造"
--[[Translation missing --]]
L["%s group is already up to date."] = "%s group is already up to date."
--[[Translation missing --]]
L["%s group updated with %d items and %d materials."] = "%s group updated with %d items and %d materials."
--[[Translation missing --]]
L["%s in guild vault"] = "%s in guild vault"
L["%s is a valid custom price but %s is an invalid item."] = "%s 是一個有效的自定義價格但 %s 是一個無效的物品。"
L["%s is a valid custom price but did not give a value for %s."] = "%s 是一個有效的自定義價格但沒有為 %s 給出一個值。"
--[[Translation missing --]]
L["'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."] = "'%s' is an invalid operation. Min restock of %d is higher than max restock of %d for %s."
L["%s is not a valid custom price and gave the following error: %s"] = "%s 不是一個有效的自定義價格,錯誤資訊: %s"
--[[Translation missing --]]
L["%s Items Bought"] = "%s Items Bought"
--[[Translation missing --]]
L["%s Items Cancelled"] = "%s Items Cancelled"
--[[Translation missing --]]
L["%s Items Expired"] = "%s Items Expired"
--[[Translation missing --]]
L["%s Items Resold"] = "%s Items Resold"
L["%s Items Selected"] = "%s 已選物品"
--[[Translation missing --]]
L["%s Items Sold"] = "%s Items Sold"
L["%s Items Total"] = "%s 所有物品"
L["%s operation"] = "%s 作業"
L["%s operations"] = "%s 作業"
L["%s Operations"] = "%s 作業"
--[[Translation missing --]]
L["%s Posted Auctions"] = "%s Posted Auctions"
--[[Translation missing --]]
L["%s Posted Auctions (Filtered)"] = "%s Posted Auctions (Filtered)"
--[[Translation missing --]]
L["%s previously had the max number of operations, so removed %s."] = "%s previously had the max number of operations, so removed %s."
L["%s removed."] = "%s 移除."
L["%s sent you %s"] = "%s 發送給你 %s"
L["%s sent you %s and %s"] = "%s 發送給你 %s 和 %s"
--[[Translation missing --]]
L["%s sent you a COD of %s for %s"] = "%s sent you a COD of %s for %s"
L["%s sent you a message: %s"] = "%s 發訊息給你: %s"
--[[Translation missing --]]
L["%s Sold Auctions"] = "%s Sold Auctions"
--[[Translation missing --]]
L["%s Sold Auctions (Filtered)"] = "%s Sold Auctions (Filtered)"
--[[Translation missing --]]
L["%s Total"] = "%s Total"
L["%s total"] = "%s 全部"
--[[Translation missing --]]
L["%s Total Profit"] = "%s Total Profit"
L["%sDrag%s to move this button"] = "%s拖曳%s 移動該按紐"
--[[Translation missing --]]
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."] = "%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of purchase data has been preserved."
--[[Translation missing --]]
L["%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."] = "%sIMPORTANT:|r When TSM_Accounting last saved data for this realm, it was too big for WoW to handle, so old data was automatically trimmed in order to avoid corruption of the saved variables. The last %s of sale data has been preserved."
L["%sLeft-Click%s to open the main window"] = "%s點擊%s 開啟主視窗"
--[[Translation missing --]]
L["%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."] = "%sLeft-Click|r to ignore an item for this session. Hold %sShift|r to ignore permanently. You can remove items from permanent ignore in the Vendoring settings."
--[[Translation missing --]]
L["(%d - %d)"] = "(%d - %d)"
L["(%d/500 Characters)"] = "(%d/500 字符)"
--[[Translation missing --]]
L["(minimum 0 - maximum %d)"] = "(minimum 0 - maximum %d)"
L["1 Group"] = "1 群組"
L["1 Item"] = "1 物品"
L["1D"] = "1天"
L["1M"] = "1個月"
L["1W"] = "1週"
L["1Y"] = "1年"
L["2Y"] = "2年"
L["3M"] = "三個月"
L["6M"] = "六個月"
--[[Translation missing --]]
L["A brand new and improved user interface."] = "A brand new and improved user interface."
L["A custom price of %s for %s evaluates to %s."] = "%s的自定義價格為%s到%s。"
L["A maximum of 1 convert() function is allowed."] = "最多只允許1個convert()函數。"
L["A profile with that name already exists on the target account. Rename it first and try again."] = "目標帳戶上已經存在具有該名稱的配置文件。 首先重命名，然後重試。"
L["A profile with this name already exists."] = "具有此名稱的配置文件已存在。"
L["A scan is already in progress. Please stop that scan before starting another one."] = "掃描已在進行中。 在開始另一掃描之前，請停止該掃描。"
--[[Translation missing --]]
L["A single craft makes %d and you only need to restock %d."] = "A single craft makes %d and you only need to restock %d."
L["Above max expires."] = "超過上限會過期。"
L["Above max price. Not posting."] = "高於最高價。 不發布。"
--[[Translation missing --]]
L["Above max price. Posting at max."] = "Above max price. Posting at max."
--[[Translation missing --]]
L["Above max price. Posting at min."] = "Above max price. Posting at min."
--[[Translation missing --]]
L["Above max price. Posting at normal."] = "Above max price. Posting at normal."
--[[Translation missing --]]
L["Accept COD?"] = "Accept COD?"
--[[Translation missing --]]
L["Accepting this item will cost: %s"] = "Accepting this item will cost: %s"
L["Account sync removed. Please delete the account sync from the other account as well."] = "帳戶同步已刪除。 請同時從另一個帳戶中刪除該帳戶同步。"
L["Account Syncing"] = "帳戶同步"
L["Accounting"] = "會計"
L["Activity Type"] = "活動類型"
--[[Translation missing --]]
L["Add"] = "Add"
--[[Translation missing --]]
L["Add %d |4Item:Items"] = "Add %d |4Item:Items"
L["Add %s Operation"] = "增加 %s 作業"
--[[Translation missing --]]
L["Add a new custom source"] = "Add a new custom source"
--[[Translation missing --]]
L["Add account"] = "Add account"
L["Add More Operations"] = "增加更多作業"
L["Add Operation"] = "增加作業"
L["Add operation to groups"] = "增加作業到群組"
L["Add subject & description (optional)"] = "添加主題 & 說明 (可選)"
L["Add Subject / Description"] = "添加主題 / 說明"
--[[Translation missing --]]
L["Add to Mail"] = "Add to Mail"
L["Added '%s' profile which was received from %s."] = "添加了從%s收到的'%s'個人資料。"
L["Added %s to %s."] = "已將%s添加到%s。"
L["Additional error suppressed"] = "隱藏的其他錯誤"
--[[Translation missing --]]
L["Adjust how crafted items are restocked."] = "Adjust how crafted items are restocked."
--[[Translation missing --]]
L["Adjust how items are mailed."] = "Adjust how items are mailed."
--[[Translation missing --]]
L["Adjust how TSM values crafted items when calculating profit."] = "Adjust how TSM values crafted items when calculating profit."
--[[Translation missing --]]
L["Adjust some general settings."] = "Adjust some general settings."
L["Adjust the settings below to set how groups attached to this operation will be auctioned."] = "調整以下設置以設置如何拍賣與該操作關聯的群組。"
L["Adjust the settings below to set how groups attached to this operation will be cancelled."] = "調整以下設置以設置如何取消此操作的群組。"
L["Adjust the settings below to set how groups attached to this operation will be priced."] = "調整以下設置以設置該操作附加群組的定價方式。"
L["Advanced Item Search"] = "進階項目搜索"
L["AH"] = "拍賣場"
--[[Translation missing --]]
L["AH (Crafting)"] = "AH (Crafting)"
--[[Translation missing --]]
L["AH (Disenchanting)"] = "AH (Disenchanting)"
--[[Translation missing --]]
L["AH BUSY"] = "AH BUSY"
--[[Translation missing --]]
L["AHDB Minimum Bid"] = "AHDB Minimum Bid"
--[[Translation missing --]]
L["AHDB Minimum Buyout"] = "AHDB Minimum Buyout"
L["Alarm Clock"] = "警示鐘"
--[[Translation missing --]]
L["All"] = "All"
L["All Auctions"] = "所有拍賣"
--[[Translation missing --]]
L["All Bought"] = "All Bought"
--[[Translation missing --]]
L["All Cancelled"] = "All Cancelled"
L["All Characters"] = "所有角色"
--[[Translation missing --]]
L["All Expired"] = "All Expired"
--[[Translation missing --]]
L["All Faction-Realms"] = "All Faction-Realms"
--[[Translation missing --]]
L["All Guilds"] = "All Guilds"
L["All Item Classes"] = "所有物品類別"
--[[Translation missing --]]
L["All Other"] = "All Other"
L["All Players"] = "所有玩家"
L["All Professions"] = "所有專業"
--[[Translation missing --]]
L["All Rarites"] = "All Rarites"
--[[Translation missing --]]
L["All Rarities"] = "All Rarities"
--[[Translation missing --]]
L["All Selected"] = "All Selected"
--[[Translation missing --]]
L["All Slots"] = "All Slots"
--[[Translation missing --]]
L["All Sold"] = "All Sold"
--[[Translation missing --]]
L["All Sources"] = "All Sources"
L["All Subclasses"] = "所有子分類"
L["All Time"] = "全部時間"
L["All Types"] = "所有類型"
--[[Translation missing --]]
L["Allow partial stack"] = "Allow partial stack"
--[[Translation missing --]]
L["Allows for testing of custom prices"] = "Allows for testing of custom prices"
--[[Translation missing --]]
L["ALT"] = "ALT"
--[[Translation missing --]]
L["Alt Guild Bank"] = "Alt Guild Bank"
L["Alts"] = "替代項"
--[[Translation missing --]]
L["Alts AH"] = "Alts AH"
L["Amount"] = "數量"
L["Amount kept in bags"] = "背包裡的持有數量"
--[[Translation missing --]]
L["Amount of bag space to keep free"] = "Amount of bag space to keep free"
--[[Translation missing --]]
L["An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."] = "An old TSM addon was found installed. Please remove %s and any other old TSM addons to avoid issues."
--[[Translation missing --]]
L["App Not Synced"] = "App Not Synced"
--[[Translation missing --]]
L["App Synced %s Ago"] = "App Synced %s Ago"
L["Appearance"] = "外觀"
L["Apply operation to group"] = "套用作業到群組"
L["Are you sure you want to clear old accounting data?"] = "您確定要清除舊的會計數據嗎？"
--[[Translation missing --]]
L["Are you sure you want to delete the selected operations?"] = "Are you sure you want to delete the selected operations?"
L["Are you sure you want to delete this operation?"] = "你確定要刪除這個作業嗎?"
L["At above max price and not undercut."] = "以高於最高價的價格購買，並且不能削價。"
L["At normal price and not undercut."] = "價格正常且不削價。"
L["Attachments"] = "附件"
L["Auction"] = "拍賣"
L["Auction duration"] = "拍賣時限"
L["Auction has been bid on."] = "拍賣已結標"
L["Auction House Cut"] = "拍賣費"
--[[Translation missing --]]
L["Auction House Sounds"] = "Auction House Sounds"
--[[Translation missing --]]
L["Auction sale sound"] = "Auction sale sound"
L["Auction Window Close"] = "關閉拍賣視窗"
L["Auction Window Open"] = "開啟拍賣視窗"
L["Auctionator - Auction Value"] = "Auctionator - 拍賣價格"
--[[Translation missing --]]
L["AuctionDB"] = "AuctionDB"
--[[Translation missing --]]
L["AuctionDB - Historical Price (via TSM App)"] = "AuctionDB - Historical Price (via TSM App)"
L["AuctionDB - Market Value"] = "AuctionDB-市場價值"
--[[Translation missing --]]
L["AuctionDB - Minimum Buyout"] = "AuctionDB - Minimum Buyout"
--[[Translation missing --]]
L["AuctionDB - Region Historical Price (via TSM App)"] = "AuctionDB - Region Historical Price (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Market Value Average (via TSM App)"] = "AuctionDB - Region Market Value Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Minimum Buyout Average (via TSM App)"] = "AuctionDB - Region Minimum Buyout Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sale Average (via TSM App)"] = "AuctionDB - Region Sale Average (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sale Rate (via TSM App)"] = "AuctionDB - Region Sale Rate (via TSM App)"
--[[Translation missing --]]
L["AuctionDB - Region Sold Per Day (via TSM App)"] = "AuctionDB - Region Sold Per Day (via TSM App)"
--[[Translation missing --]]
L["AuctionDB Realm Data is %s Old"] = "AuctionDB Realm Data is %s Old"
--[[Translation missing --]]
L["AuctionDB Region Data is %s Old"] = "AuctionDB Region Data is %s Old"
L["Auctioneer - Appraiser"] = "Auctioneer - 出價"
L["Auctioneer - Market Value"] = "Auctioneer - 市場價格"
L["Auctioneer - Minimum Buyout"] = "Auctioneer - 最小直購價"
L["Auctioning"] = "拍賣"
--[[Translation missing --]]
L["Auctioning %s button"] = "Auctioning %s button"
L["Auctioning Details"] = "拍賣細節"
L["Auctioning Log"] = "拍賣日誌"
L["Auctioning Operation"] = "拍賣作業"
L["Auctioning operation"] = "拍賣作業"
--[[Translation missing --]]
L["Auctioning operations control posting to and canceling from the AH."] = "Auctioning operations control posting to and canceling from the AH."
L["Auctions"] = "拍賣"
L["Auto Quest Complete"] = "自動任務完成"
--[[Translation missing --]]
L["Auto-focus browse search input"] = "Auto-focus browse search input"
L["Average Earned per Day"] = "每日平均收益"
L["Average Prices:"] = "平均價格："
L["Average Profit per Day"] = "每日平均利潤"
L["Average Spent per Day"] = "每日平均花費"
L["Avg Buy Price"] = "平均買價"
L["Avg Profit"] = "平均利潤"
L["Avg Sell Price"] = "平均售價"
L["Back"] = "上一頁"
L["Bag"] = "背包"
L["Bags"] = "背包"
L["Banking"] = "銀行業務"
L["Banks"] = "銀行"
L["Base Group"] = "基本群組"
L["Base Item"] = "基礎項目"
--[[Translation missing --]]
L["BBG 14-Day Price"] = "BBG 14-Day Price"
--[[Translation missing --]]
L["BBG 3-Day Price"] = "BBG 3-Day Price"
--[[Translation missing --]]
L["BBG Global Mean"] = "BBG Global Mean"
--[[Translation missing --]]
L["BBG Global Median"] = "BBG Global Median"
--[[Translation missing --]]
L["Below is a list of all available price sources, along with a brief description of what they represent."] = "Below is a list of all available price sources, along with a brief description of what they represent."
--[[Translation missing --]]
L["Below min price. Posting at max."] = "Below min price. Posting at max."
--[[Translation missing --]]
L["Below min price. Posting at min."] = "Below min price. Posting at min."
--[[Translation missing --]]
L["Below min price. Posting at normal."] = "Below min price. Posting at normal."
--[[Translation missing --]]
L["Below you can ignore this operation on certain characters or realms."] = "Below you can ignore this operation on certain characters or realms."
L["Bid %d / %d"] = "出價 %d / %d"
L["Bid (item)"] = "出價（項目）"
L["Bid (stack)"] = "出價（堆疊）"
--[[Translation missing --]]
L["Bid (total)"] = "Bid (total)"
--[[Translation missing --]]
L["Bid / Buyout"] = "Bid / Buyout"
--[[Translation missing --]]
L["Bid Auction"] = "Bid Auction"
--[[Translation missing --]]
L["Bid percent must be between 0 and 100."] = "Bid percent must be between 0 and 100."
L["Bid Price"] = "出價金額"
L["Bid Sniper Paused"] = "競標狙擊手已暫停"
L["Bid Sniper Running"] = "競標狙擊手運行"
L["Bidding Auction"] = "招標拍賣"
--[[Translation missing --]]
L["Blacklisted players"] = "Blacklisted players"
L["Bought"] = "購貨"
L["Bought %d of %s from %s for %s"] = "從%d向%s購買了%s，共%s"
--[[Translation missing --]]
L["Bought %sx%d for %s from %s"] = "Bought %sx%d for %s from %s"
--[[Translation missing --]]
L["Bound Actions"] = "Bound Actions"
L["Browse"] = "瀏覽"
--[[Translation missing --]]
L["Browse / Sniper"] = "Browse / Sniper"
--[[Translation missing --]]
L["BUSY"] = "BUSY"
L["BUY"] = "購買"
L["Buy"] = "購買"
L["Buy %d / %d"] = "購買%d/%d"
L["Buy %d / %d (Confirming %d / %d)"] = "購買%d/%d（確認%d/%d）"
--[[Translation missing --]]
L["Buy Auction"] = "Buy Auction"
--[[Translation missing --]]
L["Buy Commodity"] = "Buy Commodity"
L["Buy from AH"] = "從AH購買"
--[[Translation missing --]]
L["Buy from AH (Crafting)"] = "Buy from AH (Crafting)"
--[[Translation missing --]]
L["Buy from AH (Disenchant)"] = "Buy from AH (Disenchant)"
L["Buy from Vendor"] = "向商人購買"
--[[Translation missing --]]
L["Buy Groups"] = "Buy Groups"
L["Buy Options"] = "購買選項"
--[[Translation missing --]]
L["Buyback All"] = "Buyback All"
L["Buyer/Seller"] = "買方/賣方"
--[[Translation missing --]]
L["Buyout"] = "Buyout"
L["Buyout (item)"] = "直購 (項目)"
--[[Translation missing --]]
L["Buyout (stack)"] = "Buyout (stack)"
--[[Translation missing --]]
L["Buyout (total)"] = "Buyout (total)"
--[[Translation missing --]]
L["Buyout confirmation alert"] = "Buyout confirmation alert"
L["Buyout Price"] = "直購價"
--[[Translation missing --]]
L["Buyout Sniper Paused"] = "Buyout Sniper Paused"
--[[Translation missing --]]
L["Buyout Sniper Running"] = "Buyout Sniper Running"
--[[Translation missing --]]
L["Cancel"] = "Cancel"
--[[Translation missing --]]
L["Cancel %d / %d"] = "Cancel %d / %d"
--[[Translation missing --]]
L["Cancel Auction"] = "Cancel Auction"
--[[Translation missing --]]
L["Cancel auctions with bids"] = "Cancel auctions with bids"
--[[Translation missing --]]
L["Cancel or Post"] = "Cancel or Post"
--[[Translation missing --]]
L["Cancel Scan"] = "Cancel Scan"
--[[Translation missing --]]
L["Cancel to repost higher"] = "Cancel to repost higher"
L["Cancel undercut auctions"] = "取消削價拍賣"
--[[Translation missing --]]
L["Canceled information"] = "Canceled information"
L["Canceling"] = "取消"
--[[Translation missing --]]
L["Canceling %d / %d"] = "Canceling %d / %d"
--[[Translation missing --]]
L["Canceling %d Auctions..."] = "Canceling %d Auctions..."
--[[Translation missing --]]
L["Canceling auction you've undercut."] = "Canceling auction you've undercut."
--[[Translation missing --]]
L["Canceling disabled."] = "Canceling disabled."
L["Canceling Options"] = "取消選項"
--[[Translation missing --]]
L["Canceling to repost at higher price."] = "Canceling to repost at higher price."
--[[Translation missing --]]
L["Canceling to repost at reset price."] = "Canceling to repost at reset price."
--[[Translation missing --]]
L["Canceling to repost higher."] = "Canceling to repost higher."
--[[Translation missing --]]
L["Canceling undercut auctions and to repost higher."] = "Canceling undercut auctions and to repost higher."
--[[Translation missing --]]
L["Canceling undercut auctions."] = "Canceling undercut auctions."
L["Cancelled"] = "取消"
--[[Translation missing --]]
L["Cancelled auction of %sx%d"] = "Cancelled auction of %sx%d"
--[[Translation missing --]]
L["Cancelled Since Last Sale"] = "Cancelled Since Last Sale"
--[[Translation missing --]]
L["Cancelled:"] = "Cancelled:"
--[[Translation missing --]]
L["Cancelling..."] = "Cancelling..."
--[[Translation missing --]]
L["Cannot repair from the guild bank!"] = "Cannot repair from the guild bank!"
--[[Translation missing --]]
L["Cannot use additional filters with /crafting or /disenchant."] = "Cannot use additional filters with /crafting or /disenchant."
L["Can't load TSM tooltip while in combat"] = "戰鬥中無法載入TSM提示"
--[[Translation missing --]]
L["Cash Register"] = "Cash Register"
--[[Translation missing --]]
L["Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"] = "Changes to the specified profile (i.e. '/tsm profile Default' changes to the 'Default' profile)"
L["Character"] = "角色"
L["Chat Tab"] = "聊天標籤"
L["Cheapest auction below min price."] = "低於最低價的最便宜拍賣價"
L["Clear All"] = "清除全部"
--[[Translation missing --]]
L["Clear Data"] = "Clear Data"
L["Clear Filters"] = "清除篩選"
--[[Translation missing --]]
L["Clear Old Data"] = "Clear Old Data"
--[[Translation missing --]]
L["Clear Old Data?"] = "Clear Old Data?"
--[[Translation missing --]]
L["Click and drag to resize this window."] = "Click and drag to resize this window."
--[[Translation missing --]]
L["Click to hide this item for the current session. Hold shift to hide this item permanently."] = "Click to hide this item for the current session. Hold shift to hide this item permanently."
--[[Translation missing --]]
L["COD"] = "COD"
--[[Translation missing --]]
L["Coins (%s)"] = "Coins (%s)"
--[[Translation missing --]]
L["Combine Partial Stacks"] = "Combine Partial Stacks"
--[[Translation missing --]]
L["Combining..."] = "Combining..."
--[[Translation missing --]]
L["Completed full AH scan (%d auctions)!"] = "Completed full AH scan (%d auctions)!"
L["Confirm"] = "確認"
--[[Translation missing --]]
L["Confirm complete sound"] = "Confirm complete sound"
--[[Translation missing --]]
L["Confirmation %s button"] = "Confirmation %s button"
--[[Translation missing --]]
L["Confirming %d / %d"] = "Confirming %d / %d"
--[[Translation missing --]]
L["Connected to %s"] = "Connected to %s"
--[[Translation missing --]]
L["Connecting to %s"] = "Connecting to %s"
L["Contacts"] = "聯絡簿"
--[[Translation missing --]]
L["Contains auctions above your alert threshold!"] = "Contains auctions above your alert threshold!"
L["Cooldown"] = "冷卻"
L["Cooldowns"] = "冷卻"
L["Copy Letter"] = "複製信件"
L["Cost"] = "成本"
--[[Translation missing --]]
L["Could not create macro as you already have too many. Delete one of your existing macros and try again."] = "Could not create macro as you already have too many. Delete one of your existing macros and try again."
--[[Translation missing --]]
L["Could not find profile '%s'. Possible profiles: '%s'"] = "Could not find profile '%s'. Possible profiles: '%s'"
--[[Translation missing --]]
L["Could not sell items due to not having free bag space available to split a stack of items."] = "Could not sell items due to not having free bag space available to split a stack of items."
L["Craft"] = "製造"
L["CRAFT"] = "製造"
--[[Translation missing --]]
L["Craft (Profitable)"] = "Craft (Profitable)"
--[[Translation missing --]]
L["Craft (Unprofitable)"] = "Craft (Unprofitable)"
L["Craft All"] = "製造全部"
L["Craft Next"] = "製造下一項"
--[[Translation missing --]]
L["Craft Value"] = "Craft Value"
--[[Translation missing --]]
L["Crafted Items"] = "Crafted Items"
--[[Translation missing --]]
L["Crafter"] = "Crafter"
L["Crafting"] = "製造"
--[[Translation missing --]]
L["CRAFTING"] = "CRAFTING"
--[[Translation missing --]]
L["Crafting %s button"] = "Crafting %s button"
--[[Translation missing --]]
L["Crafting cost"] = "Crafting cost"
L["Crafting Cost"] = "製造成本"
L["Crafting List"] = "製造清單"
--[[Translation missing --]]
L["Crafting Material Cost"] = "Crafting Material Cost"
--[[Translation missing --]]
L["Crafting Mode"] = "Crafting Mode"
L["Crafting operation"] = "製造作業"
--[[Translation missing --]]
L["Crafting operations control how queuing profession crafts."] = "Crafting operations control how queuing profession crafts."
L["Crafting Queue (%d)"] = "製造佇列 (%d)"
--[[Translation missing --]]
L["Crafting Value"] = "Crafting Value"
L["Crafts"] = "製造品"
L["Crafts %d"] = "製造品 %d"
--[[Translation missing --]]
L["Create Groups from Table"] = "Create Groups from Table"
L["Create macro"] = "建立巨集"
--[[Translation missing --]]
L["Create New"] = "Create New"
L["Create New Group"] = "建立新群組"
L["Create New Operation"] = "建立新作業"
--[[Translation missing --]]
L["Create new profile"] = "Create new profile"
--[[Translation missing --]]
L["Create Profession Groups"] = "Create Profession Groups"
--[[Translation missing --]]
L["CTRL"] = "CTRL"
--[[Translation missing --]]
L["Current Price"] = "Current Price"
--[[Translation missing --]]
L["Custom Price"] = "Custom Price"
--[[Translation missing --]]
L["Custom price name %s already exists."] = "Custom price name %s already exists."
--[[Translation missing --]]
L["Custom price name %s is a reserved word which cannot be used."] = "Custom price name %s is a reserved word which cannot be used."
--[[Translation missing --]]
L["Custom price names can only contain lowercase letters."] = "Custom price names can only contain lowercase letters."
--[[Translation missing --]]
L["Custom Source"] = "Custom Source"
--[[Translation missing --]]
L["Custom source (%s)"] = "Custom source (%s)"
--[[Translation missing --]]
L["Custom Sources"] = "Custom Sources"
--[[Translation missing --]]
L["Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."] = "Custom sources allow you to create more advanced prices for use throughout the addon. You'll be able to use these new variables in the same way you can use the built-in price sources such as %s and %s."
L["DAILY PURCHASES"] = "日進貨數"
L["DAILY SALES"] = "日銷售數"
--[[Translation missing --]]
L["Dalaran"] = "Dalaran"
L["Dashboard"] = "儀錶板"
--[[Translation missing --]]
L["Default craft value method"] = "Default craft value method"
--[[Translation missing --]]
L["Default material cost method"] = "Default material cost method"
--[[Translation missing --]]
L["Default Price"] = "Default Price"
--[[Translation missing --]]
L["Default price configuration"] = "Default price configuration"
--[[Translation missing --]]
L["Define what priority Gathering gives certain sources."] = "Define what priority Gathering gives certain sources."
L["Delete %d Operations"] = "刪除 %d 作業"
L["Delete Group?"] = "刪除群組?"
L["Delete Operation?"] = "刪除作業?"
L["Delete Operations"] = "刪除作業"
L["Delete Operations?"] = "刪除作業?"
--[[Translation missing --]]
L["Delete Profile?"] = "Delete Profile?"
--[[Translation missing --]]
L["Delete Record?"] = "Delete Record?"
--[[Translation missing --]]
L["Delete the profile"] = "Delete the profile"
L["Deleting this group (%s) will also remove any sub-groups attached to this group."] = "刪除這個群組(%s)也同時會移除這個群組內的子群組."
L["Deposit"] = "保證金"
L["Deposit Cost"] = "保證金"
--[[Translation missing --]]
L["Deposit reagents"] = "Deposit reagents"
L["Deselect All"] = "取消全選"
--[[Translation missing --]]
L["Destroy Next"] = "Destroy Next"
--[[Translation missing --]]
L["Destroy Value"] = "Destroy Value"
--[[Translation missing --]]
L["Destroy value"] = "Destroy value"
--[[Translation missing --]]
L["Destroy value source"] = "Destroy value source"
--[[Translation missing --]]
L["Destroying"] = "Destroying"
--[[Translation missing --]]
L["Destroying %s button"] = "Destroying %s button"
--[[Translation missing --]]
L["Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."] = "Destroying will ignore %s permanently. You can remove it from the ignored list in the settings."
--[[Translation missing --]]
L["Destroying will ignore %s until you log out."] = "Destroying will ignore %s until you log out."
--[[Translation missing --]]
L["Destroying..."] = "Destroying..."
--[[Translation missing --]]
L["Detailed crafting cost"] = "Detailed crafting cost"
--[[Translation missing --]]
L["Detailed destroy information"] = "Detailed destroy information"
L["Details"] = "細節"
--[[Translation missing --]]
L["Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."] = "Did not cancel %s because your cancel to repost threshold (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your maximum price (%s) is invalid. Check your settings."] = "Did not cancel %s because your maximum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not cancel %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your minimum price (%s) is invalid. Check your settings."] = "Did not cancel %s because your minimum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your normal price (%s) is invalid. Check your settings."] = "Did not cancel %s because your normal price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not cancel %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not cancel %s because your undercut (%s) is invalid. Check your settings."] = "Did not cancel %s because your undercut (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not change prices due to an invalid bid or buyout value."] = "Did not change prices due to an invalid bid or buyout value."
--[[Translation missing --]]
L["Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."] = "Did not post %s because Blizzard didn't provide all necessary information for it. Try again later."
--[[Translation missing --]]
L["Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."] = "Did not post %s because the owner of the lowest auction (%s) is on both the blacklist and whitelist which is not allowed. Adjust your settings to correct this issue."
--[[Translation missing --]]
L["Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."] = "Did not post %s because you or one of your alts (%s) is on the blacklist which is not allowed. Remove this character from your blacklist."
--[[Translation missing --]]
L["Did not post %s because your keep quantity (%s) is invalid. Check your settings."] = "Did not post %s because your keep quantity (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your max expires (%s) is invalid. Check your settings."] = "Did not post %s because your max expires (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your maximum price (%s) is invalid. Check your settings."] = "Did not post %s because your maximum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not post %s because your maximum price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not post %s because your minimum price (%s) is invalid. Check your settings."] = "Did not post %s because your minimum price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your normal price (%s) is invalid. Check your settings."] = "Did not post %s because your normal price (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."] = "Did not post %s because your normal price (%s) is lower than your minimum price (%s). Check your settings."
--[[Translation missing --]]
L["Did not post %s because your post cap (%s) is invalid. Check your settings."] = "Did not post %s because your post cap (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your stack size (%s) is invalid. Check your settings."] = "Did not post %s because your stack size (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Did not post %s because your undercut (%s) is invalid. Check your settings."] = "Did not post %s because your undercut (%s) is invalid. Check your settings."
--[[Translation missing --]]
L["Disable invalid price warnings"] = "Disable invalid price warnings"
--[[Translation missing --]]
L["Disenchant Search"] = "Disenchant Search"
--[[Translation missing --]]
L["Disenchant Search Options"] = "Disenchant Search Options"
--[[Translation missing --]]
L["Disenchant Value"] = "Disenchant Value"
--[[Translation missing --]]
L["Disenchant value"] = "Disenchant value"
--[[Translation missing --]]
L["Disenchanting Options"] = "Disenchanting Options"
--[[Translation missing --]]
L["Display total money received in chat"] = "Display total money received in chat"
--[[Translation missing --]]
L["Done Canceling"] = "Done Canceling"
L["Done Posting"] = "完成發佈"
--[[Translation missing --]]
L["Done rebuilding item cache."] = "Done rebuilding item cache."
L["Done Scanning"] = "完成掃瞄"
--[[Translation missing --]]
L["Don't post after this many expires"] = "Don't post after this many expires"
L["Don't Post Items"] = "不要發佈物品"
--[[Translation missing --]]
L["Don't prompt to record trades"] = "Don't prompt to record trades"
--[[Translation missing --]]
L["Down"] = "Down"
--[[Translation missing --]]
L["Duplicate the profile"] = "Duplicate the profile"
L["Duration"] = "有效時限"
--[[Translation missing --]]
L["Duskwood"] = "Duskwood"
--[[Translation missing --]]
L["Edit"] = "Edit"
--[[Translation missing --]]
L["Edit Custom Source"] = "Edit Custom Source"
--[[Translation missing --]]
L["Edit Material Price"] = "Edit Material Price"
L["Edit Post"] = "編輯發佈"
--[[Translation missing --]]
L["Embed TSM tooltip"] = "Embed TSM tooltip"
--[[Translation missing --]]
L["Empty bags"] = "Empty bags"
--[[Translation missing --]]
L["Empty parentheses are not allowed"] = "Empty parentheses are not allowed"
L["Empty price string."] = "清空價格字串。"
--[[Translation missing --]]
L["Enable automatic stack combination"] = "Enable automatic stack combination"
--[[Translation missing --]]
L["Enable buying"] = "Enable buying"
--[[Translation missing --]]
L["Enable inbox chat messages"] = "Enable inbox chat messages"
--[[Translation missing --]]
L["Enable restock"] = "Enable restock"
--[[Translation missing --]]
L["Enable selling"] = "Enable selling"
--[[Translation missing --]]
L["Enable sending chat messages"] = "Enable sending chat messages"
--[[Translation missing --]]
L["Enable TSM tooltips"] = "Enable TSM tooltips"
--[[Translation missing --]]
L["Enchant"] = "Enchant"
L["Enchant Vellum"] = "附魔皮紙"
--[[Translation missing --]]
L["Ensure both characters are online and try again."] = "Ensure both characters are online and try again."
--[[Translation missing --]]
L["Enter a value from %d - %d"] = "Enter a value from %d - %d"
--[[Translation missing --]]
L["Enter a value from %d - %d%%"] = "Enter a value from %d - %d%%"
--[[Translation missing --]]
L["Enter Filter"] = "Enter Filter"
--[[Translation missing --]]
L["Enter Keyword"] = "Enter Keyword"
--[[Translation missing --]]
L["Enter name of logged-in character on other account"] = "Enter name of logged-in character on other account"
--[[Translation missing --]]
L["Enter player name"] = "Enter player name"
--[[Translation missing --]]
L["Enter profile name"] = "Enter profile name"
L["Enter recipient name"] = "輸入收件人名稱"
--[[Translation missing --]]
L["ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."] = "ERROR: A full AH scan has recently been performed and is on cooldown. Log out to reset this cooldown."
--[[Translation missing --]]
L["ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."] = "ERROR: The AH is currently busy with another scan. Please try again once that scan has completed."
--[[Translation missing --]]
L["ERROR: The auction house must be open in order to do a scan."] = "ERROR: The auction house must be open in order to do a scan."
--[[Translation missing --]]
L["Establishing connection to %s. Make sure that you've entered this character's name on the other account."] = "Establishing connection to %s. Make sure that you've entered this character's name on the other account."
--[[Translation missing --]]
L["Establishing connection..."] = "Establishing connection..."
L["Estimated Cost:"] = "預計成本"
--[[Translation missing --]]
L["Estimated deliver time"] = "Estimated deliver time"
L["Estimated Profit:"] = "預計利潤"
--[[Translation missing --]]
L["Exact Match"] = "Exact Match"
--[[Translation missing --]]
L["Example"] = "Example"
--[[Translation missing --]]
L["Example Item"] = "Example Item"
--[[Translation missing --]]
L["Example Tooltip"] = "Example Tooltip"
--[[Translation missing --]]
L["Exclude custom sources?"] = "Exclude custom sources?"
L["Exclude operations?"] = "排除作業?"
L["Exit"] = "離開"
L["Expand / Collapse All Groups"] = "展開 / 摺疊所有群組"
L["Expenses"] = "費用"
L["EXPENSES"] = "費用"
L["Expirations"] = "到期"
L["Expired"] = "到期"
L["Expired Auctions"] = "到期拍賣"
--[[Translation missing --]]
L["Expired information"] = "Expired information"
--[[Translation missing --]]
L["Expired Since Last Sale"] = "Expired Since Last Sale"
L["Expires"] = "信件退回時間"
--[[Translation missing --]]
L["Expires Since Last Sale"] = "Expires Since Last Sale"
--[[Translation missing --]]
L["Expiring Mails"] = "Expiring Mails"
--[[Translation missing --]]
L["Exploration"] = "Exploration"
L["Export"] = "匯出"
--[[Translation missing --]]
L["Export String"] = "Export String"
--[[Translation missing --]]
L["Export this group"] = "Export this group"
--[[Translation missing --]]
L["Failed Auctions"] = "Failed Auctions"
--[[Translation missing --]]
L["Failed to bid on auction of %s (x%s) for %s."] = "Failed to bid on auction of %s (x%s) for %s."
--[[Translation missing --]]
L["Failed to bid on auction of %s."] = "Failed to bid on auction of %s."
--[[Translation missing --]]
L["Failed to buy auction of %s (x%s) for %s."] = "Failed to buy auction of %s (x%s) for %s."
--[[Translation missing --]]
L["Failed to buy auction of %s."] = "Failed to buy auction of %s."
--[[Translation missing --]]
L["Failed to buy auction."] = "Failed to buy auction."
--[[Translation missing --]]
L["Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."] = "Failed to cancel auction due to the auction house being busy. Ensure no other addons are scanning the AH and try again."
--[[Translation missing --]]
L["Failed to find auction for %s, so removing it from the results."] = "Failed to find auction for %s, so removing it from the results."
--[[Translation missing --]]
L["Failed to post %sx%d as the item no longer exists in your bags."] = "Failed to post %sx%d as the item no longer exists in your bags."
--[[Translation missing --]]
L["Failed to run full AH scan."] = "Failed to run full AH scan."
--[[Translation missing --]]
L["Failed to send profile."] = "Failed to send profile."
--[[Translation missing --]]
L["Failed to send profile. Ensure both characters are online and try again."] = "Failed to send profile. Ensure both characters are online and try again."
--[[Translation missing --]]
L["Failed to start sniper. No groups have a Sniper operation applied."] = "Failed to start sniper. No groups have a Sniper operation applied."
--[[Translation missing --]]
L["Favorite Scans"] = "Favorite Scans"
L["Favorite Searches"] = "喜愛的搜索"
--[[Translation missing --]]
L["Favorited Patterns"] = "Favorited Patterns"
--[[Translation missing --]]
L["Filter by duration"] = "Filter by duration"
L["Filter by groups"] = "以群組篩選"
L["Filter by keyword"] = "以關鍵字篩選"
L["Filter by Keyword"] = "以關鍵字篩選"
--[[Translation missing --]]
L["Filter by Price Source"] = "Filter by Price Source"
L["Filter by Profession"] = "以專業篩選"
L["Filter group item lists based on the following price source"] = "以下列價格來源篩選群組物品清單"
--[[Translation missing --]]
L["Finding Selected Auction"] = "Finding Selected Auction"
--[[Translation missing --]]
L["First Auctioning Operation Max Price"] = "First Auctioning Operation Max Price"
--[[Translation missing --]]
L["First Auctioning Operation Min Price"] = "First Auctioning Operation Min Price"
--[[Translation missing --]]
L["First Auctioning Operation Normal Price"] = "First Auctioning Operation Normal Price"
--[[Translation missing --]]
L["Fishing Reel In"] = "Fishing Reel In"
--[[Translation missing --]]
L["For more info, visit %s. For help, join us in Discord: %s."] = "For more info, visit %s. For help, join us in Discord: %s."
--[[Translation missing --]]
L["Forget Character"] = "Forget Character"
--[[Translation missing --]]
L["Found auction sound"] = "Found auction sound"
L["Friends"] = "好友"
L["From"] = "來自"
--[[Translation missing --]]
L["Full inventory"] = "Full inventory"
--[[Translation missing --]]
L["Garrison"] = "Garrison"
L["Gathering"] = "採集"
--[[Translation missing --]]
L["Gathering Search"] = "Gathering Search"
--[[Translation missing --]]
L["Gathering Setup"] = "Gathering Setup"
L["General Options"] = "常規選項"
L["General Settings"] = "一般設定"
--[[Translation missing --]]
L["Get from Bank"] = "Get from Bank"
--[[Translation missing --]]
L["Get from Guild Bank"] = "Get from Guild Bank"
--[[Translation missing --]]
L["Gets items from the bank or guild bank matching the item or partial text entered."] = "Gets items from the bank or guild bank matching the item or partial text entered."
L["Gold"] = "隨信寄送的金額"
--[[Translation missing --]]
L["Great Deals Search"] = "Great Deals Search"
--[[Translation missing --]]
L["Group already exists."] = "Group already exists."
L["Group Management"] = "群組管理"
--[[Translation missing --]]
L["Group name"] = "Group name"
--[[Translation missing --]]
L["Group Search"] = "Group Search"
L["Grouped Items"] = "已群組物品"
L["Groups"] = "群組"
L["Groups & Operations"] = "群組 & 作業"
--[[Translation missing --]]
L["Groups Using"] = "Groups Using"
L["Guild"] = "公會"
L["Guild Bank"] = "公會銀行"
--[[Translation missing --]]
L["GVault"] = "GVault"
--[[Translation missing --]]
L["Have"] = "Have"
--[[Translation missing --]]
L["Have Mats"] = "Have Mats"
--[[Translation missing --]]
L["Have Skill Ups"] = "Have Skill Ups"
--[[Translation missing --]]
L["Here you can add/remove what groups this operation is attached to."] = "Here you can add/remove what groups this operation is attached to."
--[[Translation missing --]]
L["Hide auctions with bids"] = "Hide auctions with bids"
L["Hide Columns"] = "隱藏直欄"
--[[Translation missing --]]
L["Hide minimap icon"] = "Hide minimap icon"
--[[Translation missing --]]
L["Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."] = "Hiding the TSM Banking UI. Type '/tsm bankui' to reopen it."
--[[Translation missing --]]
L["Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."] = "Hiding the TSM Task List UI. Type '/tsm tasklist' to reopen it."
L["HIGH"] = "高點"
--[[Translation missing --]]
L["High Bidder"] = "High Bidder"
--[[Translation missing --]]
L["Historical Price"] = "Historical Price"
--[[Translation missing --]]
L["Historical price"] = "Historical price"
L["Hold ALT to repair from the guild bank."] = "按住ALT鍵從公會銀行來修理"
--[[Translation missing --]]
L["Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."] = "Hold SHIFT to automatically resend items after '%s', and CTRL to perform a dry-run where no items are actually mailed, but chat messages will still display the result."
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes"] = "Hold SHIFT to continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to continue after the inbox refreshes and CTRL to not open mail with money attached."
--[[Translation missing --]]
L["Hold shift to move the items to the parent group instead of removing them."] = "Hold shift to move the items to the parent group instead of removing them."
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes"] = "Hold SHIFT to not continue after the inbox refreshes"
--[[Translation missing --]]
L["Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."] = "Hold SHIFT to not continue after the inbox refreshes and CTRL to not open mail with money attached."
--[[Translation missing --]]
L["Hold SHIFT while dragging to scale the window instead."] = "Hold SHIFT while dragging to scale the window instead."
--[[Translation missing --]]
L["Hr"] = "Hr"
--[[Translation missing --]]
L["Hrs"] = "Hrs"
--[[Translation missing --]]
L["If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."] = "If you have multiple profiles set up with operations, enabling this will cause all but the current profile's operations to be irreversibly lost."
--[[Translation missing --]]
L["Ignore Auctions Below Min"] = "Ignore Auctions Below Min"
--[[Translation missing --]]
L["Ignore auctions by duration"] = "Ignore auctions by duration"
--[[Translation missing --]]
L["Ignore Characters"] = "Ignore Characters"
--[[Translation missing --]]
L["Ignore Guilds"] = "Ignore Guilds"
--[[Translation missing --]]
L["Ignore operation on characters"] = "Ignore operation on characters"
--[[Translation missing --]]
L["Ignore operation on faction-realms"] = "Ignore operation on faction-realms"
--[[Translation missing --]]
L["Ignore variations"] = "Ignore variations"
--[[Translation missing --]]
L["Ignored Cooldowns"] = "Ignored Cooldowns"
L["Ignored Items"] = "忽略物品"
L["ilvl"] = "物品等級"
L["Import"] = "匯入"
L["Import group"] = "匯入群組"
L["Import Groups & Operations"] = "匯入群組 & 作業"
L["Import String"] = "匯入字串"
--[[Translation missing --]]
L["Import Summary"] = "Import Summary"
--[[Translation missing --]]
L["Imported Group"] = "Imported Group"
--[[Translation missing --]]
L["Imported group (%s) with %d items, %d operations, and %d custom sources."] = "Imported group (%s) with %d items, %d operations, and %d custom sources."
--[[Translation missing --]]
L["Improved Import / Export."] = "Improved Import / Export."
--[[Translation missing --]]
L["Inbox Settings"] = "Inbox Settings"
L["Include operations?"] = "包刮作業?"
--[[Translation missing --]]
L["Include soulbound items"] = "Include soulbound items"
L["Information"] = "資訊"
--[[Translation missing --]]
L["Invalid custom price source for %s. %s"] = "Invalid custom price source for %s. %s"
L["Invalid custom price."] = "無效的自定義價格。"
L["Invalid function."] = "無效函數。"
--[[Translation missing --]]
L["Invalid gold value."] = "Invalid gold value."
--[[Translation missing --]]
L["Invalid group name."] = "Invalid group name."
L["Invalid item link."] = "無效的物品鏈接。"
--[[Translation missing --]]
L["Invalid numeric value."] = "Invalid numeric value."
L["Invalid operation name."] = "無效作業名稱"
L["Invalid operator at end of custom price."] = "無效的自定義價格運算符"
L["Invalid parameter to price source."] = "無效的自定義價格源參數。"
--[[Translation missing --]]
L["Invalid player name."] = "Invalid player name."
L["Invalid price source in convert."] = "轉換價格來源無效"
--[[Translation missing --]]
L["Invalid price."] = "Invalid price."
--[[Translation missing --]]
L["Invalid Quantity"] = "Invalid Quantity"
--[[Translation missing --]]
L["Invalid search filter (%s)."] = "Invalid search filter (%s)."
--[[Translation missing --]]
L["Invalid search term."] = "Invalid search term."
--[[Translation missing --]]
L["Invalid search term. Cannot filter by price here."] = "Invalid search term. Cannot filter by price here."
--[[Translation missing --]]
L["Invalid seller data returned by server."] = "Invalid seller data returned by server."
--[[Translation missing --]]
L["Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."] = "Invalid undercut. To post below the cheapest auction without a significant undercut, set your undercut to 0c."
L["Invalid word: '%s'"] = "無效詞：“%s”"
L["Inventory"] = "存貨"
--[[Translation missing --]]
L["Inventory / Gold Graph"] = "Inventory / Gold Graph"
--[[Translation missing --]]
L["Inventory Options"] = "Inventory Options"
--[[Translation missing --]]
L["It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."] = "It appears that you've manually copied your saved variables between accounts which will cause TSM's automatic sync'ing to not work. You'll need to undo this, and/or delete the TradeSkillMaster saved variables files on both accounts (with WoW closed) in order to fix this."
--[[Translation missing --]]
L["It looks like you're trying to reference an old global price source which no longer exists."] = "It looks like you're trying to reference an old global price source which no longer exists."
L["Item"] = "物品"
--[[Translation missing --]]
L["Item Class"] = "Item Class"
--[[Translation missing --]]
L["Item Level"] = "Item Level"
--[[Translation missing --]]
L["Item Level Range"] = "Item Level Range"
L["Item links may only be used as parameters to price sources."] = "物品鏈接只能作為價格源的參數。"
L["Item Name"] = "物品名稱"
--[[Translation missing --]]
L["Item Quality"] = "Item Quality"
--[[Translation missing --]]
L["Item Selection"] = "Item Selection"
--[[Translation missing --]]
L["Item Slot"] = "Item Slot"
--[[Translation missing --]]
L["Item Subclass"] = "Item Subclass"
L["Item Value"] = "物品價值"
--[[Translation missing --]]
L["Item/Group is invalid (see chat)."] = "Item/Group is invalid (see chat)."
L["Items"] = "物品"
--[[Translation missing --]]
L["Items Using"] = "Items Using"
--[[Translation missing --]]
L["Keep in bags quantity"] = "Keep in bags quantity"
--[[Translation missing --]]
L["Keep in bank quantity"] = "Keep in bank quantity"
--[[Translation missing --]]
L["Keep quantity"] = "Keep quantity"
--[[Translation missing --]]
L["Keep this amount"] = "Keep this amount"
--[[Translation missing --]]
L["Keeping %d."] = "Keeping %d."
--[[Translation missing --]]
L["Keeping undercut auctions posted."] = "Keeping undercut auctions posted."
L["Last 14 Days"] = "過去14天"
L["Last 3 Days"] = "過去3天"
L["Last 30 Days"] = "過去30天"
L["Last 60 Days"] = "過去60天"
L["Last 7 Days"] = "過去7天"
--[[Translation missing --]]
L["Last Purchased"] = "Last Purchased"
--[[Translation missing --]]
L["Last Sold"] = "Last Sold"
--[[Translation missing --]]
L["LEAST GROUPS"] = "LEAST GROUPS"
--[[Translation missing --]]
L["LEAST ITEMS"] = "LEAST ITEMS"
L["Ledger"] = "分類賬簿"
L["Level Up"] = "升級"
--[[Translation missing --]]
L["Limit"] = "Limit"
L["Link to Another Operation"] = "連接到另一個作業"
--[[Translation missing --]]
L["Loading..."] = "Loading..."
L["Lock Column Width"] = "鎖定直欄寬度"
--[[Translation missing --]]
L["Lock task list's background"] = "Lock task list's background"
L["Looks like TradeSkillMaster has encountered an error. Please help the author fix this error by following the instructions shown."] = "看起來TradeSkillMaster似乎發生了一個錯誤。請按照下列指示協助作者修正此問題。"
L["Loop detected in the following custom price:"] = "在以下自定義價格中循環檢測："
L["LOW"] = "低點"
--[[Translation missing --]]
L["Lowest auction by whitelisted player."] = "Lowest auction by whitelisted player."
--[[Translation missing --]]
L["Macro created and scroll wheel bound!"] = "Macro created and scroll wheel bound!"
L["Macro Setup"] = "建立巨集"
L["Macros"] = "巨集"
L["Mail"] = "信箱"
--[[Translation missing --]]
L["Mail Disenchantables"] = "Mail Disenchantables"
--[[Translation missing --]]
L["Mail disenchantables max quality"] = "Mail disenchantables max quality"
--[[Translation missing --]]
L["Mail Selected Groups"] = "Mail Selected Groups"
--[[Translation missing --]]
L["Mail Selected Groups (Auto Resend)"] = "Mail Selected Groups (Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run + Auto Resend)"] = "Mail Selected Groups (Dry Run + Auto Resend)"
--[[Translation missing --]]
L["Mail Selected Groups (Dry Run)"] = "Mail Selected Groups (Dry Run)"
--[[Translation missing --]]
L["Mail to %s"] = "Mail to %s"
L["Mailing"] = "郵寄"
--[[Translation missing --]]
L["Mailing all to %s."] = "Mailing all to %s."
L["Mailing operation"] = "郵務作業"
--[[Translation missing --]]
L["Mailing operations control mailing to other characters."] = "Mailing operations control mailing to other characters."
--[[Translation missing --]]
L["Mailing up to %d to %s."] = "Mailing up to %d to %s."
L["Make Cash On Delivery?"] = "付款取信?"
--[[Translation missing --]]
L["Make Operations Global?"] = "Make Operations Global?"
L["Management Options"] = "管理選項"
--[[Translation missing --]]
L["Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."] = "Many commonly-used actions in TSM can be added to a macro and bound to your scroll wheel. Use the options below to setup this macro and scroll wheel binding."
--[[Translation missing --]]
L["Map Ping"] = "Map Ping"
--[[Translation missing --]]
L["Market Value"] = "Market Value"
--[[Translation missing --]]
L["Market value"] = "Market value"
L["Market value price source"] = "市值價格來源"
L["Market Value Price Source"] = "市值價格來源"
--[[Translation missing --]]
L["Mat cost"] = "Mat cost"
--[[Translation missing --]]
L["Mat Price"] = "Mat Price"
--[[Translation missing --]]
L["Match stack size"] = "Match stack size"
--[[Translation missing --]]
L["Match whitelisted players"] = "Match whitelisted players"
--[[Translation missing --]]
L["Material Cost"] = "Material Cost"
--[[Translation missing --]]
L["Material Price"] = "Material Price"
L["Materials"] = "材料"
--[[Translation missing --]]
L["Materials to Gather"] = "Materials to Gather"
--[[Translation missing --]]
L["Max"] = "Max"
--[[Translation missing --]]
L["Max Buy Price"] = "Max Buy Price"
--[[Translation missing --]]
L["Max destroy value (Enter '0c' to disable)"] = "Max destroy value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max expires to bank"] = "Max expires to bank"
--[[Translation missing --]]
L["Max market value (Enter '0c' to disable)"] = "Max market value (Enter '0c' to disable)"
--[[Translation missing --]]
L["Max Price"] = "Max Price"
--[[Translation missing --]]
L["Max quantity"] = "Max quantity"
--[[Translation missing --]]
L["Max restock quantity"] = "Max restock quantity"
--[[Translation missing --]]
L["Max Sell Price"] = "Max Sell Price"
--[[Translation missing --]]
L["Max Shopping Price"] = "Max Shopping Price"
--[[Translation missing --]]
L["Max shopping price"] = "Max shopping price"
--[[Translation missing --]]
L["Max sniper price"] = "Max sniper price"
--[[Translation missing --]]
L["Maximum amount already posted."] = "Maximum amount already posted."
--[[Translation missing --]]
L["Maximum auction price"] = "Maximum auction price"
--[[Translation missing --]]
L["Maximum disenchant level"] = "Maximum disenchant level"
--[[Translation missing --]]
L["Maximum disenchant quality"] = "Maximum disenchant quality"
--[[Translation missing --]]
L["Maximum disenchant search percent"] = "Maximum disenchant search percent"
L["Maximum price"] = "最高價格"
--[[Translation missing --]]
L["Maximum Quantity to Buy"] = "Maximum Quantity to Buy"
--[[Translation missing --]]
L["Maximum restock quantity"] = "Maximum restock quantity"
--[[Translation missing --]]
L["Midnight"] = "Midnight"
--[[Translation missing --]]
L["Mill value"] = "Mill value"
--[[Translation missing --]]
L["Mill Value"] = "Mill Value"
--[[Translation missing --]]
L["Min"] = "Min"
--[[Translation missing --]]
L["Min 0 - Max 20"] = "Min 0 - Max 20"
--[[Translation missing --]]
L["Min 0.5 - Max 10"] = "Min 0.5 - Max 10"
--[[Translation missing --]]
L["Min Buy Price"] = "Min Buy Price"
--[[Translation missing --]]
L["Min Buyout"] = "Min Buyout"
--[[Translation missing --]]
L["Min buyout"] = "Min buyout"
--[[Translation missing --]]
L["Min number of expires"] = "Min number of expires"
--[[Translation missing --]]
L["Min profit amount"] = "Min profit amount"
--[[Translation missing --]]
L["Min restock quantity"] = "Min restock quantity"
--[[Translation missing --]]
L["Min Sell Price"] = "Min Sell Price"
--[[Translation missing --]]
L["Min/Normal/Max price"] = "Min/Normal/Max price"
L["Min/Normal/Max Prices"] = "最低/一般/最高 拍賣價"
--[[Translation missing --]]
L["Minimum disenchant level"] = "Minimum disenchant level"
L["Minimum price"] = "最低價格"
--[[Translation missing --]]
L["Minimum Rarity"] = "Minimum Rarity"
L["Misplaced comma"] = "錯誤的逗號分隔"
L["Missing Materials"] = "缺少材料"
--[[Translation missing --]]
L["Missing operator between sets of parenthesis"] = "Missing operator between sets of parenthesis"
--[[Translation missing --]]
L["Modifiers"] = "Modifiers"
--[[Translation missing --]]
L["Money Frame Open"] = "Money Frame Open"
--[[Translation missing --]]
L["Money Transfer"] = "Money Transfer"
--[[Translation missing --]]
L["MOST GROUPS"] = "MOST GROUPS"
--[[Translation missing --]]
L["MOST ITEMS"] = "MOST ITEMS"
--[[Translation missing --]]
L["MOVE"] = "MOVE"
--[[Translation missing --]]
L["Move %d |4Item:Items"] = "Move %d |4Item:Items"
--[[Translation missing --]]
L["Move %d already grouped items?"] = "Move %d already grouped items?"
L["Move all to Bags"] = "搬移全部到背包"
L["Move Item"] = "移動物品"
--[[Translation missing --]]
L["Move Quantity Options"] = "Move Quantity Options"
--[[Translation missing --]]
L["Move to bags"] = "Move to bags"
--[[Translation missing --]]
L["Move to bank"] = "Move to bank"
--[[Translation missing --]]
L["Move to Parent Group"] = "Move to Parent Group"
--[[Translation missing --]]
L["MOVING"] = "MOVING"
--[[Translation missing --]]
L["Moving"] = "Moving"
--[[Translation missing --]]
L["Multiple Items"] = "Multiple Items"
--[[Translation missing --]]
L["Must be between %d and %s."] = "Must be between %d and %s."
L["My Auctions"] = "我的拍賣"
--[[Translation missing --]]
L["My Auctions %s button"] = "My Auctions %s button"
L["Name"] = "名稱"
--[[Translation missing --]]
L["NEED MATS"] = "NEED MATS"
--[[Translation missing --]]
L["New Base Group search."] = "New Base Group search."
L["New Group"] = "新群組"
L["New Operation"] = "新作業"
--[[Translation missing --]]
L["New price sources."] = "New price sources."
--[[Translation missing --]]
L["News & Information"] = "News & Information"
L["No Attachments"] = "沒有附件"
--[[Translation missing --]]
L["No AuctionDB Realm Data"] = "No AuctionDB Realm Data"
--[[Translation missing --]]
L["No AuctionDB Region Data"] = "No AuctionDB Region Data"
--[[Translation missing --]]
L["No Characters"] = "No Characters"
--[[Translation missing --]]
L["No Crafts"] = "No Crafts"
--[[Translation missing --]]
L["No Faction-Realms"] = "No Faction-Realms"
--[[Translation missing --]]
L["No group selected"] = "No group selected"
--[[Translation missing --]]
L["No Guilds"] = "No Guilds"
--[[Translation missing --]]
L["No item specified. Usage: /tsm restock_help [ITEM_LINK]"] = "No item specified. Usage: /tsm restock_help [ITEM_LINK]"
--[[Translation missing --]]
L["NO ITEMS"] = "NO ITEMS"
--[[Translation missing --]]
L["No Materials to Gather"] = "No Materials to Gather"
L["No Operation Selected"] = "無已選作業"
--[[Translation missing --]]
L["No Players"] = "No Players"
--[[Translation missing --]]
L["No posting."] = "No posting."
--[[Translation missing --]]
L["No Profession Opened"] = "No Profession Opened"
--[[Translation missing --]]
L["No Profession Selected"] = "No Profession Selected"
--[[Translation missing --]]
L["No Professions"] = "No Professions"
--[[Translation missing --]]
L["No profile specified. Possible profiles: '%s'"] = "No profile specified. Possible profiles: '%s'"
--[[Translation missing --]]
L["No Rarities"] = "No Rarities"
--[[Translation missing --]]
L["No receipe selected"] = "No receipe selected"
--[[Translation missing --]]
L["No recent AuctionDB scan data found."] = "No recent AuctionDB scan data found."
--[[Translation missing --]]
L["No Sound"] = "No Sound"
--[[Translation missing --]]
L["No Sources"] = "No Sources"
--[[Translation missing --]]
L["No Types"] = "No Types"
--[[Translation missing --]]
L["No value was returned by the custom price for the specified item."] = "No value was returned by the custom price for the specified item."
--[[Translation missing --]]
L["None"] = "None"
--[[Translation missing --]]
L["None (Always Show)"] = "None (Always Show)"
--[[Translation missing --]]
L["None Selected"] = "None Selected"
--[[Translation missing --]]
L["Nongroup to bank"] = "Nongroup to bank"
--[[Translation missing --]]
L["Normal price"] = "Normal price"
--[[Translation missing --]]
L["Not canceling auction at reset price."] = "Not canceling auction at reset price."
--[[Translation missing --]]
L["Not canceling auction below min price."] = "Not canceling auction below min price."
--[[Translation missing --]]
L["Not canceling."] = "Not canceling."
--[[Translation missing --]]
L["Not Connected"] = "Not Connected"
--[[Translation missing --]]
L["Not enough items in bags."] = "Not enough items in bags."
--[[Translation missing --]]
L["Not Enough Money"] = "Not Enough Money"
--[[Translation missing --]]
L["Not enough money to cancel."] = "Not enough money to cancel."
--[[Translation missing --]]
L["NOT OPEN"] = "NOT OPEN"
--[[Translation missing --]]
L["Not Scanned"] = "Not Scanned"
--[[Translation missing --]]
L["NOTE: The import contained %d invalid items which were ignored."] = "NOTE: The import contained %d invalid items which were ignored."
--[[Translation missing --]]
L["NOTE: The import contained %d operations with at least one invalid setting which was reset."] = "NOTE: The import contained %d operations with at least one invalid setting which was reset."
--[[Translation missing --]]
L["Nothing to move."] = "Nothing to move."
--[[Translation missing --]]
L["Nothing to send."] = "Nothing to send."
--[[Translation missing --]]
L["Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."] = "Now embedded within the Groups tab of the main TSM window with dedicated buttons to help with both importing and exporting."
--[[Translation missing --]]
L["NPC"] = "NPC"
--[[Translation missing --]]
L["Number Owned"] = "Number Owned"
--[[Translation missing --]]
L["Offline"] = "Offline"
--[[Translation missing --]]
L["On Cooldown"] = "On Cooldown"
L["Only show craftable"] = "只顯示可製造物品"
--[[Translation missing --]]
L["Only show items with disenchant values above this price"] = "Only show items with disenchant values above this price"
--[[Translation missing --]]
L["Only show sold auctions"] = "Only show sold auctions"
L["OPEN"] = "開啟"
L["Open All Mail"] = "開啟全部郵件"
--[[Translation missing --]]
L["Open All Mail Without Money"] = "Open All Mail Without Money"
L["Open Mail"] = "開啟郵件"
--[[Translation missing --]]
L["Open mail complete sound"] = "Open mail complete sound"
--[[Translation missing --]]
L["Open Mail Without Money"] = "Open Mail Without Money"
--[[Translation missing --]]
L["Open Task List"] = "Open Task List"
--[[Translation missing --]]
L["Opens the Destroying frame if there's stuff in your bags to be destroyed."] = "Opens the Destroying frame if there's stuff in your bags to be destroyed."
L["Operation"] = "作業"
L["Operations"] = "作業"
--[[Translation missing --]]
L["Options specific to Sniper are below."] = "Options specific to Sniper are below."
--[[Translation missing --]]
L["Order Confirmation"] = "Order Confirmation"
--[[Translation missing --]]
L["Orgrimmar"] = "Orgrimmar"
--[[Translation missing --]]
L["Other"] = "Other"
L["Other Character"] = "其他角色"
--[[Translation missing --]]
L["Override default craft value"] = "Override default craft value"
L["Override Parent Operations"] = "覆蓋父作業"
--[[Translation missing --]]
L["Parent Items"] = "Parent Items"
--[[Translation missing --]]
L["Pausing Scan..."] = "Pausing Scan..."
L["Per Item"] = "每項"
--[[Translation missing --]]
L["Per Stack"] = "Per Stack"
--[[Translation missing --]]
L["Per-Character group selections."] = "Per-Character group selections."
--[[Translation missing --]]
L["Performing a dry-run of your Mailing operations for the selected groups."] = "Performing a dry-run of your Mailing operations for the selected groups."
--[[Translation missing --]]
L["Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."] = "Performs a full, manual scan of the AH to populate some AuctionDB data if none is otherwise available."
L["Player Gold"] = "玩家持有金錢"
--[[Translation missing --]]
L["Player Invite Accept"] = "Player Invite Accept"
L["Post"] = "發佈"
--[[Translation missing --]]
L["Post / Cancel"] = "Post / Cancel"
L["Post at Maximum Price"] = "以最高價格發佈"
L["Post at Minimum Price"] = "以最低價格發佈"
L["Post at Normal Price"] = "以一般價格發佈"
--[[Translation missing --]]
L["Post Auction"] = "Post Auction"
L["Post cap"] = "發佈上限"
--[[Translation missing --]]
L["Post cap to bags"] = "Post cap to bags"
--[[Translation missing --]]
L["Post from Shopping Scan"] = "Post from Shopping Scan"
--[[Translation missing --]]
L["Post Items from Bags"] = "Post Items from Bags"
--[[Translation missing --]]
L["Post Quantity"] = "Post Quantity"
--[[Translation missing --]]
L["Post Scan"] = "Post Scan"
--[[Translation missing --]]
L["Post Selected"] = "Post Selected"
--[[Translation missing --]]
L["Postage"] = "Postage"
--[[Translation missing --]]
L["Posted at whitelisted player's price."] = "Posted at whitelisted player's price."
L["Posted:"] = "發佈:"
L["Posting"] = "發佈"
--[[Translation missing --]]
L["Posting %d / %d"] = "Posting %d / %d"
--[[Translation missing --]]
L["Posting %d items for %s hours."] = "Posting %d items for %s hours."
--[[Translation missing --]]
L["Posting %d stack(s) of %d for %s hours."] = "Posting %d stack(s) of %d for %s hours."
L["Posting at normal price."] = "以一般價格發佈."
--[[Translation missing --]]
L["Posting at whitelisted player's price."] = "Posting at whitelisted player's price."
L["Posting at your current price."] = "以你目前的價格發佈"
--[[Translation missing --]]
L["Posting disabled."] = "Posting disabled."
L["Posting Options"] = "發佈選項"
L["Posting Price"] = "發佈價格"
--[[Translation missing --]]
L["Posts"] = "Posts"
--[[Translation missing --]]
L["Potential"] = "Potential"
--[[Translation missing --]]
L["Prepare Bid"] = "Prepare Bid"
--[[Translation missing --]]
L["Prepare Buy"] = "Prepare Buy"
--[[Translation missing --]]
L["Preparing..."] = "Preparing..."
--[[Translation missing --]]
L["Prevent closing the Auction House with the esc key"] = "Prevent closing the Auction House with the esc key"
--[[Translation missing --]]
L["Prints out the available price sources for use in custom prices"] = "Prints out the available price sources for use in custom prices"
--[[Translation missing --]]
L["Prints out the version numbers of all installed modules"] = "Prints out the version numbers of all installed modules"
--[[Translation missing --]]
L["Prints the slash command help listing"] = "Prints the slash command help listing"
--[[Translation missing --]]
L["Processing scan results..."] = "Processing scan results..."
--[[Translation missing --]]
L["Profession"] = "Profession"
--[[Translation missing --]]
L["Profession Info"] = "Profession Info"
--[[Translation missing --]]
L["Professions Used In"] = "Professions Used In"
--[[Translation missing --]]
L["Profile changed to '%s'."] = "Profile changed to '%s'."
L["Profiles"] = "配置檔"
L["Profit"] = "利潤"
L["PROFIT"] = "利潤"
--[[Translation missing --]]
L["Profit (Total)"] = "Profit (Total)"
--[[Translation missing --]]
L["Prospect value"] = "Prospect value"
--[[Translation missing --]]
L["Prospect Value"] = "Prospect Value"
--[[Translation missing --]]
L["Purchase"] = "Purchase"
--[[Translation missing --]]
L["Purchase / Sale Info"] = "Purchase / Sale Info"
--[[Translation missing --]]
L["Purchase Data"] = "Purchase Data"
--[[Translation missing --]]
L["Purchase information"] = "Purchase information"
--[[Translation missing --]]
L["Purchase Item"] = "Purchase Item"
--[[Translation missing --]]
L["Purchased (Min/Avg/Max Price)"] = "Purchased (Min/Avg/Max Price)"
--[[Translation missing --]]
L["Purchased (Total Price)"] = "Purchased (Total Price)"
L["Purchases"] = "進貨"
--[[Translation missing --]]
L["Purchasing Auction"] = "Purchasing Auction"
--[[Translation missing --]]
L["Puts items matching the item or partial text entered into the bank or guild bank."] = "Puts items matching the item or partial text entered into the bank or guild bank."
L["Qty"] = "數量"
L["Quantity"] = "數量"
--[[Translation missing --]]
L["Quantity Purchased:"] = "Quantity Purchased:"
--[[Translation missing --]]
L["Quantity Sold:"] = "Quantity Sold:"
--[[Translation missing --]]
L["Quantity to move"] = "Quantity to move"
--[[Translation missing --]]
L["Quest Added"] = "Quest Added"
--[[Translation missing --]]
L["Quest Completed"] = "Quest Completed"
--[[Translation missing --]]
L["Quest Objectives Complete"] = "Quest Objectives Complete"
L["Queue"] = "佇列"
--[[Translation missing --]]
L["Quickly mail all excess disenchantable items to a character"] = "Quickly mail all excess disenchantable items to a character"
--[[Translation missing --]]
L["Quickly mail all excess gold (limited to a certain amount) to a character"] = "Quickly mail all excess gold (limited to a certain amount) to a character"
--[[Translation missing --]]
L["Raid Warning"] = "Raid Warning"
--[[Translation missing --]]
L["Read More"] = "Read More"
--[[Translation missing --]]
L["Ready Check"] = "Ready Check"
--[[Translation missing --]]
L["Ready to Cancel"] = "Ready to Cancel"
L["Recent"] = "最近"
--[[Translation missing --]]
L["Recent Scans"] = "Recent Scans"
L["Recent Searches"] = "最近的搜索"
L["Recipe Name"] = "配方名稱"
L["Recipient"] = "收件人"
--[[Translation missing --]]
L["Region avg daily sold"] = "Region avg daily sold"
--[[Translation missing --]]
L["Region Avg Daily Sold"] = "Region Avg Daily Sold"
--[[Translation missing --]]
L["Region Historical Price"] = "Region Historical Price"
--[[Translation missing --]]
L["Region historical price"] = "Region historical price"
--[[Translation missing --]]
L["Region market value"] = "Region market value"
--[[Translation missing --]]
L["Region Market Value Avg"] = "Region Market Value Avg"
--[[Translation missing --]]
L["Region Min Buyout Avg"] = "Region Min Buyout Avg"
--[[Translation missing --]]
L["Region min buyout avg"] = "Region min buyout avg"
--[[Translation missing --]]
L["Region sale avg"] = "Region sale avg"
--[[Translation missing --]]
L["Region Sale Avg"] = "Region Sale Avg"
--[[Translation missing --]]
L["Region Sale Rate"] = "Region Sale Rate"
--[[Translation missing --]]
L["Region sale rate"] = "Region sale rate"
--[[Translation missing --]]
L["Reload"] = "Reload"
--[[Translation missing --]]
L["Reload UI (%02d)"] = "Reload UI (%02d)"
--[[Translation missing --]]
L["Reload UI (%d)"] = "Reload UI (%d)"
--[[Translation missing --]]
L["Remove"] = "Remove"
--[[Translation missing --]]
L["Remove %d |4Item:Items"] = "Remove %d |4Item:Items"
--[[Translation missing --]]
L["Remove Data Older Than (Days)"] = "Remove Data Older Than (Days)"
--[[Translation missing --]]
L["Remove this account sync and all synced data from this account"] = "Remove this account sync and all synced data from this account"
--[[Translation missing --]]
L["Removed a total of %s old records."] = "Removed a total of %s old records."
--[[Translation missing --]]
L["Removed custom price source (%s) which has an invalid name."] = "Removed custom price source (%s) which has an invalid name."
L["Rename"] = "重新命名"
--[[Translation missing --]]
L["Rename Profile"] = "Rename Profile"
--[[Translation missing --]]
L["Rename Search"] = "Rename Search"
--[[Translation missing --]]
L["Rename the profile"] = "Rename the profile"
--[[Translation missing --]]
L["Rename this group"] = "Rename this group"
--[[Translation missing --]]
L["Repair"] = "Repair"
L["Repair Bill"] = "修繕費"
--[[Translation missing --]]
L["Repair from Guild Bank"] = "Repair from Guild Bank"
--[[Translation missing --]]
L["Replace %d existing operations and %d existing custom sources?"] = "Replace %d existing operations and %d existing custom sources?"
L["Replace %d existing operations?"] = "替代 %d 存在的作業?"
L["Reply"] = "回覆"
--[[Translation missing --]]
L["Report Spam"] = "Report Spam"
L["Reports"] = "報告"
--[[Translation missing --]]
L["Repost threshold"] = "Repost threshold"
--[[Translation missing --]]
L["Required Level"] = "Required Level"
--[[Translation missing --]]
L["Required Level Range"] = "Required Level Range"
L["Resale"] = "轉售"
L["Rescan"] = "重新掃描"
L["Reset"] = "重置"
--[[Translation missing --]]
L["Reset All Filters"] = "Reset All Filters"
--[[Translation missing --]]
L["Reset Filters"] = "Reset Filters"
L["Reset Operation?"] = "重置作業?"
--[[Translation missing --]]
L["Reset Profile?"] = "Reset Profile?"
--[[Translation missing --]]
L["Reset Table"] = "Reset Table"
--[[Translation missing --]]
L["Reset the current profile to default settings"] = "Reset the current profile to default settings"
--[[Translation missing --]]
L["Reset to Default"] = "Reset to Default"
--[[Translation missing --]]
L["Reset Zoom"] = "Reset Zoom"
--[[Translation missing --]]
L["Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."] = "Resetting the operation will return all inputs back to default and cannot be unddone. Click confirm to reset."
--[[Translation missing --]]
L["Restart"] = "Restart"
--[[Translation missing --]]
L["Restart delay (minutes)"] = "Restart delay (minutes)"
--[[Translation missing --]]
L["Restock bags"] = "Restock bags"
--[[Translation missing --]]
L["Restock help for %s: %s"] = "Restock help for %s: %s"
--[[Translation missing --]]
L["Restock Options"] = "Restock Options"
--[[Translation missing --]]
L["Restock quantity"] = "Restock quantity"
--[[Translation missing --]]
L["Restock Selected Groups"] = "Restock Selected Groups"
--[[Translation missing --]]
L["Restock target to max quantity"] = "Restock target to max quantity"
--[[Translation missing --]]
L["Restocking to %d."] = "Restocking to %d."
--[[Translation missing --]]
L["Restocking with a min profit."] = "Restocking with a min profit."
--[[Translation missing --]]
L["Restocking with no min profit."] = "Restocking with no min profit."
--[[Translation missing --]]
L["Restore bags"] = "Restore bags"
--[[Translation missing --]]
L["Resuming Scan..."] = "Resuming Scan..."
--[[Translation missing --]]
L["Retrying %d auction(s) which failed."] = "Retrying %d auction(s) which failed."
L["Revenue"] = "收入"
--[[Translation missing --]]
L["Right-Click to reset the window size, scale, and position to their defaults."] = "Right-Click to reset the window size, scale, and position to their defaults."
--[[Translation missing --]]
L["Run Advanced Item Search"] = "Run Advanced Item Search"
--[[Translation missing --]]
L["Run Bid Sniper"] = "Run Bid Sniper"
--[[Translation missing --]]
L["Run Buyout Sniper"] = "Run Buyout Sniper"
--[[Translation missing --]]
L["Run Cancel Scan"] = "Run Cancel Scan"
--[[Translation missing --]]
L["Run Post Scan"] = "Run Post Scan"
--[[Translation missing --]]
L["Run Shopping Scan"] = "Run Shopping Scan"
--[[Translation missing --]]
L["Running Sniper Scan"] = "Running Sniper Scan"
--[[Translation missing --]]
L["Sale"] = "Sale"
--[[Translation missing --]]
L["Sale Data"] = "Sale Data"
--[[Translation missing --]]
L["Sale information"] = "Sale information"
L["Sale Price"] = "售價"
--[[Translation missing --]]
L["Sale Rate"] = "Sale Rate"
--[[Translation missing --]]
L["Sale rate"] = "Sale rate"
L["Sales"] = "銷貨收入"
L["SALES"] = "銷貨收入"
--[[Translation missing --]]
L["Save"] = "Save"
L["Scan"] = "掃描"
--[[Translation missing --]]
L["SCAN ALL"] = "SCAN ALL"
--[[Translation missing --]]
L["Scan complete sound"] = "Scan complete sound"
--[[Translation missing --]]
L["Scan Paused"] = "Scan Paused"
--[[Translation missing --]]
L["Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."] = "Scan was slowed down by %s seconds by other AH addons (%s seconds by %s)."
L["Scanning"] = "掃描中"
--[[Translation missing --]]
L["SCANNING"] = "SCANNING"
--[[Translation missing --]]
L["Scanning (%d Items)"] = "Scanning (%d Items)"
--[[Translation missing --]]
L["Scroll wheel direction"] = "Scroll wheel direction"
--[[Translation missing --]]
L["Scroll Wheel Options"] = "Scroll Wheel Options"
--[[Translation missing --]]
L["Search"] = "Search"
L["Search %s operations"] = "搜尋 %s 作業"
--[[Translation missing --]]
L["Search Bags"] = "Search Bags"
L["Search Groups"] = "搜尋群組"
L["Search items"] = "搜尋物品"
--[[Translation missing --]]
L["Search items in group"] = "Search items in group"
L["Search items in mailbox"] = "搜尋郵箱裡的物品"
L["Search Operations"] = "搜尋作業"
L["Search Patterns"] = "搜尋品項"
--[[Translation missing --]]
L["Search Results"] = "Search Results"
--[[Translation missing --]]
L["Search the auction house"] = "Search the auction house"
L["Search Vendor"] = "搜尋賣主"
--[[Translation missing --]]
L["Select / Deselect All Groups"] = "Select / Deselect All Groups"
--[[Translation missing --]]
L["Select / Deselect All Items"] = "Select / Deselect All Items"
--[[Translation missing --]]
L["Select / Deselect All Results"] = "Select / Deselect All Results"
--[[Translation missing --]]
L["Select a Source"] = "Select a Source"
L["Select Action"] = "選擇行動"
L["Select All"] = "全選"
--[[Translation missing --]]
L["Select an Auction to Buy"] = "Select an Auction to Buy"
--[[Translation missing --]]
L["Select Auction to Cancel"] = "Select Auction to Cancel"
--[[Translation missing --]]
L["Select crafter"] = "Select crafter"
L["Select Group"] = "選擇群組"
--[[Translation missing --]]
L["Select included subgroups"] = "Select included subgroups"
L["Select Items to Attach"] = "選擇物品附上"
--[[Translation missing --]]
L["Select professions"] = "Select professions"
L["Sell"] = "售出"
--[[Translation missing --]]
L["Sell All"] = "Sell All"
--[[Translation missing --]]
L["Sell BoEs"] = "Sell BoEs"
--[[Translation missing --]]
L["Sell Groups"] = "Sell Groups"
--[[Translation missing --]]
L["Sell Options"] = "Sell Options"
--[[Translation missing --]]
L["Sell soulbound items"] = "Sell soulbound items"
L["Sell to Vendor"] = "賣給商人"
--[[Translation missing --]]
L["Sell Trash"] = "Sell Trash"
L["Seller"] = "賣家"
--[[Translation missing --]]
L["Selling soulbound items."] = "Selling soulbound items."
L["Send"] = "發件箱"
--[[Translation missing --]]
L["Send Disenchantables"] = "Send Disenchantables"
--[[Translation missing --]]
L["Send Excess Gold to Banker"] = "Send Excess Gold to Banker"
--[[Translation missing --]]
L["Send Gold"] = "Send Gold"
--[[Translation missing --]]
L["Send grouped items individually"] = "Send grouped items individually"
L["Send Mail"] = "發送郵件"
L["Send Money"] = "寄送金額"
--[[Translation missing --]]
L["Send your active profile to this synced account"] = "Send your active profile to this synced account"
--[[Translation missing --]]
L["Sender"] = "Sender"
--[[Translation missing --]]
L["SENDING"] = "SENDING"
--[[Translation missing --]]
L["Sending %s to %s"] = "Sending %s to %s"
--[[Translation missing --]]
L["Sending %s to %s with a COD of %s"] = "Sending %s to %s with a COD of %s"
--[[Translation missing --]]
L["Sending Settings"] = "Sending Settings"
--[[Translation missing --]]
L["Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"] = "Sending your '%s' profile to %s. Please keep both characters online until this completes. This will take approximately: %s"
L["Sending..."] = "發送中..."
L["Set bid as percentage of buyout"] = "設定出價為直購價的百分比"
--[[Translation missing --]]
L["Set how items are moved out of the bank."] = "Set how items are moved out of the bank."
--[[Translation missing --]]
L["Set how items are restocked from the bank."] = "Set how items are restocked from the bank."
--[[Translation missing --]]
L["Set keep in bags quantity"] = "Set keep in bags quantity"
--[[Translation missing --]]
L["Set keep in bank quantity"] = "Set keep in bank quantity"
--[[Translation missing --]]
L["Set max quantity"] = "Set max quantity"
--[[Translation missing --]]
L["Set min profit"] = "Set min profit"
--[[Translation missing --]]
L["Set move quantity"] = "Set move quantity"
--[[Translation missing --]]
L["Set stack size"] = "Set stack size"
--[[Translation missing --]]
L["Set stack size for restock"] = "Set stack size for restock"
--[[Translation missing --]]
L["Set what is bought from a vendor."] = "Set what is bought from a vendor."
--[[Translation missing --]]
L["Set what is sold to a vendor."] = "Set what is sold to a vendor."
--[[Translation missing --]]
L["Set what items are shown during a Shopping scan."] = "Set what items are shown during a Shopping scan."
--[[Translation missing --]]
L["Set what items are shown during a Sniper scan."] = "Set what items are shown during a Sniper scan."
--[[Translation missing --]]
L["Set your active profile or create a new one."] = "Set your active profile or create a new one."
L["Settings"] = "設定"
--[[Translation missing --]]
L["Setup various sounds that play when doing Auctioning scans."] = "Setup various sounds that play when doing Auctioning scans."
--[[Translation missing --]]
L["SHIFT"] = "SHIFT"
L["Shopping"] = "購買"
--[[Translation missing --]]
L["Shopping %s button"] = "Shopping %s button"
--[[Translation missing --]]
L["Shopping for auctions including those above the max price."] = "Shopping for auctions including those above the max price."
--[[Translation missing --]]
L["Shopping for auctions with a max price set."] = "Shopping for auctions with a max price set."
--[[Translation missing --]]
L["Shopping operation"] = "Shopping operation"
--[[Translation missing --]]
L["Shopping Operation Max Price"] = "Shopping Operation Max Price"
--[[Translation missing --]]
L["Shopping operations control buyout from the AH."] = "Shopping operations control buyout from the AH."
--[[Translation missing --]]
L["Shortfall to bags"] = "Shortfall to bags"
--[[Translation missing --]]
L["Show auctions above max price"] = "Show auctions above max price"
--[[Translation missing --]]
L["Show confirmation alert if buyout is above the alert price"] = "Show confirmation alert if buyout is above the alert price"
--[[Translation missing --]]
L["Show destroying frame automatically"] = "Show destroying frame automatically"
--[[Translation missing --]]
L["Show on modifier"] = "Show on modifier"
--[[Translation missing --]]
L["Show only auctions with bids"] = "Show only auctions with bids"
L["Showing %s Mail"] = "顯示 %s 郵件"
--[[Translation missing --]]
L["Showing %s of %d Mail"] = "Showing %s of %d Mail"
--[[Translation missing --]]
L["Showing %s of %d Mails"] = "Showing %s of %d Mails"
L["Showing all %s Mails"] = "顯示所有 %s 郵件"
--[[Translation missing --]]
L["Simple inventory"] = "Simple inventory"
L["Skip"] = "略過"
L["Skipped:"] = "略過:"
--[[Translation missing --]]
L["Skipped: No assigned operation"] = "Skipped: No assigned operation"
L["Slash Commands:"] = "斜線命令列表："
--[[Translation missing --]]
L["Smart Avg Buy Price"] = "Smart Avg Buy Price"
L["Sniper"] = "買家"
--[[Translation missing --]]
L["Sniper %s button"] = "Sniper %s button"
--[[Translation missing --]]
L["Sniper Below Price"] = "Sniper Below Price"
--[[Translation missing --]]
L["Sniper operation"] = "Sniper operation"
--[[Translation missing --]]
L["Sniper Operation Below Price"] = "Sniper Operation Below Price"
--[[Translation missing --]]
L["Sniper operations control sniping from the AH."] = "Sniper operations control sniping from the AH."
--[[Translation missing --]]
L["Sniper Options"] = "Sniper Options"
--[[Translation missing --]]
L["Sniping items below a max price"] = "Sniping items below a max price"
--[[Translation missing --]]
L["Sold"] = "Sold"
--[[Translation missing --]]
L["Sold %d of %s to %s for %s"] = "Sold %d of %s to %s for %s"
--[[Translation missing --]]
L["Sold %s worth of items."] = "Sold %s worth of items."
--[[Translation missing --]]
L["Sold (Min/Avg/Max Price)"] = "Sold (Min/Avg/Max Price)"
--[[Translation missing --]]
L["Sold (Total Price)"] = "Sold (Total Price)"
L["Sold [%s]x%d for %s to %s"] = "販售 [%s] x %d 共 %s 給 %s"
--[[Translation missing --]]
L["Sold for:"] = "Sold for:"
--[[Translation missing --]]
L["Some general Accounting options are below."] = "Some general Accounting options are below."
--[[Translation missing --]]
L["Some general appearance options are below."] = "Some general appearance options are below."
--[[Translation missing --]]
L["Some general Auctioning options are below."] = "Some general Auctioning options are below."
--[[Translation missing --]]
L["Some general Browse/Sniper options are below."] = "Some general Browse/Sniper options are below."
--[[Translation missing --]]
L["Some general options for the TSM tooltip information are below."] = "Some general options for the TSM tooltip information are below."
--[[Translation missing --]]
L["Some general TSM options are below."] = "Some general TSM options are below."
--[[Translation missing --]]
L["Some options for the Disenchant Search are below."] = "Some options for the Disenchant Search are below."
--[[Translation missing --]]
L["Source"] = "Source"
--[[Translation missing --]]
L["SOURCE %d"] = "SOURCE %d"
L["Sources"] = "來源"
--[[Translation missing --]]
L["Sources to include for restock"] = "Sources to include for restock"
L["Stack"] = "堆疊"
L["Stack / Quantity"] = "堆疊 / 數量"
--[[Translation missing --]]
L["Stack size"] = "Stack size"
--[[Translation missing --]]
L["Stack size multiple"] = "Stack size multiple"
L["Stack(s)"] = "堆疊"
--[[Translation missing --]]
L["Start either a 'Buyout' or 'Bid' sniper using the buttons above."] = "Start either a 'Buyout' or 'Bid' sniper using the buttons above."
--[[Translation missing --]]
L["Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."] = "Starting full AH scan. Please note that this scan may cause your game client to lag or crash. This scan generally takes 1-2 minutes."
--[[Translation missing --]]
L["Starting Scan..."] = "Starting Scan..."
--[[Translation missing --]]
L["Store operations globally"] = "Store operations globally"
--[[Translation missing --]]
L["Stormwind"] = "Stormwind"
--[[Translation missing --]]
L["String"] = "String"
L["Subject"] = "主題"
--[[Translation missing --]]
L["Subject & Description added"] = "Subject & Description added"
--[[Translation missing --]]
L["Successfully sent your '%s' profile to %s!"] = "Successfully sent your '%s' profile to %s!"
--[[Translation missing --]]
L["Supported range: %d - %d"] = "Supported range: %d - %d"
L["Supported value range: %d - %d"] = "支援數值範圍: %d - %d"
--[[Translation missing --]]
L["Swamp of Sorrows"] = "Swamp of Sorrows"
--[[Translation missing --]]
L["Switch to %s"] = "Switch to %s"
--[[Translation missing --]]
L["Sync Setup Error: The specified player on the other account is not currently online."] = "Sync Setup Error: The specified player on the other account is not currently online."
--[[Translation missing --]]
L["Sync Setup Error: This character is already part of a known account."] = "Sync Setup Error: This character is already part of a known account."
--[[Translation missing --]]
L["Sync Setup Error: You entered the name of the current character and not the character on the other account."] = "Sync Setup Error: You entered the name of the current character and not the character on the other account."
--[[Translation missing --]]
L["Sync Status"] = "Sync Status"
--[[Translation missing --]]
L["Target character"] = "Target character"
--[[Translation missing --]]
L["Target shortfall to bags"] = "Target shortfall to bags"
--[[Translation missing --]]
L["Tasks Added to Task List"] = "Tasks Added to Task List"
--[[Translation missing --]]
L["Tells you why a specific item is not being restocked and added to the queue."] = "Tells you why a specific item is not being restocked and added to the queue."
--[[Translation missing --]]
L["Text (%s)"] = "Text (%s)"
--[[Translation missing --]]
L["The '%s' custom price source is invalid."] = "The '%s' custom price source is invalid."
L["The Base Group contains all ungrouped items in the game. Use the search and filter controls to find items to add to other groups."] = "基本群組包含了遊戲中所有的未群組物品. 使用搜尋與篩選的功能來找到物品, 將其加入其他群組."
--[[Translation missing --]]
L["The buyout price for %s would be above the maximum allowed price. Skipping this item."] = "The buyout price for %s would be above the maximum allowed price. Skipping this item."
--[[Translation missing --]]
L["The canlearn filter was ignored because the CanIMogIt addon was not found."] = "The canlearn filter was ignored because the CanIMogIt addon was not found."
--[[Translation missing --]]
L["The 'Craft Value Method' did not return a value for this item."] = "The 'Craft Value Method' did not return a value for this item."
--[[Translation missing --]]
L["The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."] = "The entirety of the addon has been redesigned from the ground up. Highlights include: a more modern UI that maximizes on available space, new appearances that allow you to change the theme, updated Dashboard, more powerful tables and much, much more."
--[[Translation missing --]]
L["The max quantity cannot be zero."] = "The max quantity cannot be zero."
--[[Translation missing --]]
L["The min profit did not evalulate to a valid value for this item."] = "The min profit did not evalulate to a valid value for this item."
--[[Translation missing --]]
L["The name portion of the search term must be at least 3 characters if present."] = "The name portion of the search term must be at least 3 characters if present."
--[[Translation missing --]]
L["The pasted value was not valid. Ensure you are pasting the entire import string."] = "The pasted value was not valid. Ensure you are pasting the entire import string."
--[[Translation missing --]]
L["The player \"%s\" is already on your whitelist."] = "The player \"%s\" is already on your whitelist."
--[[Translation missing --]]
L["The profit of this item (%s) is below the min profit (%s)."] = "The profit of this item (%s) is below the min profit (%s)."
--[[Translation missing --]]
L["The same filter was specified multiple times."] = "The same filter was specified multiple times."
--[[Translation missing --]]
L["The search term must be at least 3 characters."] = "The search term must be at least 3 characters."
--[[Translation missing --]]
L["The seller name of the lowest auction for %s was not given by the server. Skipping this item."] = "The seller name of the lowest auction for %s was not given by the server. Skipping this item."
--[[Translation missing --]]
L["The specified filter was empty."] = "The specified filter was empty."
--[[Translation missing --]]
L["The specified item is not supported for crafting searches."] = "The specified item is not supported for crafting searches."
--[[Translation missing --]]
L["The specified item is not supported for disenchant searches."] = "The specified item is not supported for disenchant searches."
--[[Translation missing --]]
L["The specified item was not found."] = "The specified item was not found."
--[[Translation missing --]]
L["The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."] = "The TradeSkillMaster_AppHelper addon is installed, but not enabled. TSM has enabled it and requires a reload."
--[[Translation missing --]]
L["The unlearned filter was ignored because the CanIMogIt addon was not found."] = "The unlearned filter was ignored because the CanIMogIt addon was not found."
--[[Translation missing --]]
L["The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."] = "The 'use smart average for purchase price' setting has been removed from TSM and replaced with a new 'SmartAvgBuy' price source. Please update your custom prices appropriately."
--[[Translation missing --]]
L["Themes"] = "Themes"
--[[Translation missing --]]
L["There is currently no profession open, so cannot create profession groups."] = "There is currently no profession open, so cannot create profession groups."
--[[Translation missing --]]
L["There is no Crafting operation applied to this item's TSM group (%s)."] = "There is no Crafting operation applied to this item's TSM group (%s)."
--[[Translation missing --]]
L["This is not a valid profile name. Profile names must be at least one character long and may not contain '@' characters."] = "This is not a valid profile name. Profile names must be at least one character long and may not contain '@' characters."
--[[Translation missing --]]
L["This item does not have a crafting cost. Check that all of its mats have mat prices."] = "This item does not have a crafting cost. Check that all of its mats have mat prices."
--[[Translation missing --]]
L["This item is not in a TSM group."] = "This item is not in a TSM group."
--[[Translation missing --]]
L["This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."] = "This item will be added to the queue when you restock its group. If this isn't happening, please visit http://support.tradeskillmaster.com for further assistance."
--[[Translation missing --]]
L["This looks like an exported operation and not a custom price."] = "This looks like an exported operation and not a custom price."
--[[Translation missing --]]
L["This operation is applied to the base group which includes every item not in another group."] = "This operation is applied to the base group which includes every item not in another group."
--[[Translation missing --]]
L["This price is above your confirmation alert threshold."] = "This price is above your confirmation alert threshold."
--[[Translation missing --]]
L["This profession is not open."] = "This profession is not open."
--[[Translation missing --]]
L["This record belongs to another account and can only be deleted on that account."] = "This record belongs to another account and can only be deleted on that account."
--[[Translation missing --]]
L["This will permanently delete the '%s' profile."] = "This will permanently delete the '%s' profile."
--[[Translation missing --]]
L["This will reset all groups and operations (if not stored globally) to be wiped from '%s'."] = "This will reset all groups and operations (if not stored globally) to be wiped from '%s'."
--[[Translation missing --]]
L["Time"] = "Time"
--[[Translation missing --]]
L["Time Frame"] = "Time Frame"
L["Time to Craft:"] = "製造時間:"
--[[Translation missing --]]
L["Tinker"] = "Tinker"
--[[Translation missing --]]
L["To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."] = "To make it easier to use TSM across different characters, the groups you have selected in various UIs will now be persistent on a per-character basis and selected by default."
--[[Translation missing --]]
L["Toggles the main TSM window"] = "Toggles the main TSM window"
--[[Translation missing --]]
L["Toggles the TSM Banking UI if either the bank or guild bank is currently open."] = "Toggles the TSM Banking UI if either the bank or guild bank is currently open."
--[[Translation missing --]]
L["Toggles the TSM Crafting UI."] = "Toggles the TSM Crafting UI."
--[[Translation missing --]]
L["Toggles the TSM Task List UI"] = "Toggles the TSM Task List UI"
--[[Translation missing --]]
L["Tooltip Options"] = "Tooltip Options"
--[[Translation missing --]]
L["Tooltip price format"] = "Tooltip price format"
--[[Translation missing --]]
L["Tooltip Settings"] = "Tooltip Settings"
--[[Translation missing --]]
L["Top Buyers"] = "Top Buyers"
L["Top Item"] = "最佳項目"
L["TOP PURCHASE"] = "最高進貨額"
L["TOP SALE"] = "最高銷售額"
--[[Translation missing --]]
L["Top Sellers"] = "Top Sellers"
--[[Translation missing --]]
L["Total"] = "Total"
L["Total Gold"] = "全部金額"
L["Total Gold Collected: %s"] = "總共獲得金額: %s"
L["Total Gold Earned"] = "全部金錢收益"
--[[Translation missing --]]
L["Total Gold Spent"] = "Total Gold Spent"
--[[Translation missing --]]
L["Total Inventory Quantity"] = "Total Inventory Quantity"
--[[Translation missing --]]
L["Total Items"] = "Total Items"
L["Total Postage"] = "郵資"
--[[Translation missing --]]
L["Total Price"] = "Total Price"
--[[Translation missing --]]
L["Total Prices:"] = "Total Prices:"
--[[Translation missing --]]
L["Total Profit"] = "Total Profit"
--[[Translation missing --]]
L["Total Value"] = "Total Value"
--[[Translation missing --]]
L["Track Sales / Purchases via trade"] = "Track Sales / Purchases via trade"
--[[Translation missing --]]
L["Transform Value"] = "Transform Value"
--[[Translation missing --]]
L["Transform value"] = "Transform value"
--[[Translation missing --]]
L["Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."] = "Trouble making groups? You can now search any item in the game from within the base group and easily add them to existing groups or simply create a new group for them."
--[[Translation missing --]]
L["TSM 4.10: What's new"] = "TSM 4.10: What's new"
--[[Translation missing --]]
L["TSM Accounting"] = "TSM Accounting"
--[[Translation missing --]]
L["TSM AuctionDB"] = "TSM AuctionDB"
--[[Translation missing --]]
L["TSM Auctioning"] = "TSM Auctioning"
--[[Translation missing --]]
L["TSM can automatically sync data between multiple WoW accounts."] = "TSM can automatically sync data between multiple WoW accounts."
L["TSM Crafting"] = "TSM 製造"
--[[Translation missing --]]
L["TSM Desktop App Status (%s)"] = "TSM Desktop App Status (%s)"
--[[Translation missing --]]
L["TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"] = "TSM does not have recent AuctionDB data. Would you like to run a full AH scan?"
--[[Translation missing --]]
L["TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."] = "TSM doesn't currently have any AuctionDB pricing data for your realm. We recommend you download the TSM Desktop Application from %s to automatically update your AuctionDB data (and auto-backup your TSM settings)."
--[[Translation missing --]]
L["TSM failed to scan some auctions. Please rerun the scan."] = "TSM failed to scan some auctions. Please rerun the scan."
--[[Translation missing --]]
L["TSM General Info"] = "TSM General Info"
L["TSM Groups"] = "TSM 群組"
--[[Translation missing --]]
L["TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."] = "TSM is currently rebuilding its item cache which may cause FPS drops and result in TSM not being fully functional until this process is complete. This is normal and typically takes less than a minute."
--[[Translation missing --]]
L["TSM is missing important information from the TSM Desktop Application. Please ensure the TSM Desktop Application is running and is properly configured."] = "TSM is missing important information from the TSM Desktop Application. Please ensure the TSM Desktop Application is running and is properly configured."
--[[Translation missing --]]
L["TSM is not yet ready to establish a new sync connection. Please try again later."] = "TSM is not yet ready to establish a new sync connection. Please try again later."
--[[Translation missing --]]
L["TSM Shopping"] = "TSM Shopping"
--[[Translation missing --]]
L["TSM Sniper"] = "TSM Sniper"
L["TSM TASK LIST"] = "TSM 任務清單"
L["TSM Version Info:"] = "TSM 版本資訊:"
--[[Translation missing --]]
L["TSM will not undercut any players you add to your whitelist."] = "TSM will not undercut any players you add to your whitelist."
--[[Translation missing --]]
L["TSM_Accounting detected that you just traded %s %s in return for %s. Would you like Accounting to store a record of this trade?"] = "TSM_Accounting detected that you just traded %s %s in return for %s. Would you like Accounting to store a record of this trade?"
--[[Translation missing --]]
L["TSM4"] = "TSM4"
--[[Translation missing --]]
L["TUJ 14-Day Price"] = "TUJ 14-Day Price"
--[[Translation missing --]]
L["TUJ 3-Day Price"] = "TUJ 3-Day Price"
--[[Translation missing --]]
L["TUJ Global Mean"] = "TUJ Global Mean"
--[[Translation missing --]]
L["TUJ Global Median"] = "TUJ Global Median"
--[[Translation missing --]]
L["Type"] = "Type"
L["Unbalanced parentheses."] = "缺少括弧。"
--[[Translation missing --]]
L["Uncollected Only"] = "Uncollected Only"
L["Undercut amount"] = "削價金額"
--[[Translation missing --]]
L["Undercut by whitelisted player."] = "Undercut by whitelisted player."
--[[Translation missing --]]
L["Undercutting blacklisted player."] = "Undercutting blacklisted player."
L["Undercutting competition."] = "削價競爭"
L["Ungrouped Items"] = "未群組物品"
--[[Translation missing --]]
L["Ungrouped Items in Bags"] = "Ungrouped Items in Bags"
--[[Translation missing --]]
L["Unit Price"] = "Unit Price"
--[[Translation missing --]]
L["Unknown Item"] = "Unknown Item"
--[[Translation missing --]]
L["Unknown word (%s)."] = "Unknown word (%s)."
--[[Translation missing --]]
L["Unlock Column Width"] = "Unlock Column Width"
--[[Translation missing --]]
L["Unwrap Gift"] = "Unwrap Gift"
--[[Translation missing --]]
L["Up"] = "Up"
--[[Translation missing --]]
L["Up to date"] = "Up to date"
--[[Translation missing --]]
L["Update existing macro"] = "Update existing macro"
--[[Translation missing --]]
L["Updating"] = "Updating"
--[[Translation missing --]]
L["Upgrades Only"] = "Upgrades Only"
--[[Translation missing --]]
L["Usable Only"] = "Usable Only"
--[[Translation missing --]]
L["Usage: /tsm price <Item Link> <Custom String>"] = "Usage: /tsm price <Item Link> <Custom String>"
--[[Translation missing --]]
L["Use the settings below to control which lines are shown in tooltips."] = "Use the settings below to control which lines are shown in tooltips."
--[[Translation missing --]]
L["Use this list to manage what cooldowns you'd like TSM to ignore from crafting."] = "Use this list to manage what cooldowns you'd like TSM to ignore from crafting."
--[[Translation missing --]]
L["Use this list to manage what items you'd like TSM to ignore from destroying."] = "Use this list to manage what items you'd like TSM to ignore from destroying."
--[[Translation missing --]]
L["Value"] = "Value"
--[[Translation missing --]]
L["Value must be between %d and %d."] = "Value must be between %d and %d."
L["Value Price Source"] = "價值價格來源"
--[[Translation missing --]]
L["Values"] = "Values"
L["Vendor"] = "供應商"
L["Vendor Buy Price"] = "買價"
--[[Translation missing --]]
L["Vendor buy price"] = "Vendor buy price"
--[[Translation missing --]]
L["Vendor Search"] = "Vendor Search"
--[[Translation missing --]]
L["Vendor Sell"] = "Vendor Sell"
L["Vendor Sell Price"] = "賣價"
--[[Translation missing --]]
L["Vendor sell price"] = "Vendor sell price"
L["Vendoring"] = "供應"
--[[Translation missing --]]
L["Vendoring %s button"] = "Vendoring %s button"
L["Vendoring operation"] = "供應商作業"
--[[Translation missing --]]
L["Vendoring operations control selling to and buying from a vendor."] = "Vendoring operations control selling to and buying from a vendor."
L["Warehousing"] = "庫存"
L["Warehousing operation"] = "倉儲作業"
--[[Translation missing --]]
L["Warehousing operations control moving in and out of the bank."] = "Warehousing operations control moving in and out of the bank."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group."] = "Warehousing will move a max of %d of each item in this group."
--[[Translation missing --]]
L["Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."] = "Warehousing will move a max of %d of each item in this group. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank, %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bags > bank/gbank. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group keeping %d of each item back when bank/gbank > bags. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group."] = "Warehousing will move all of the items in this group."
--[[Translation missing --]]
L["Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."] = "Warehousing will move all of the items in this group. Restock will maintain %d items in your bags."
--[[Translation missing --]]
L["WARNING: The macro was too long, so was truncated to fit by WoW."] = "WARNING: The macro was too long, so was truncated to fit by WoW."
--[[Translation missing --]]
L["WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."] = "WARNING: Your minimum price for %s is below its vendorsell price (with AH cut taken into account). Consider raising your minimum price, or vendoring the item."
--[[Translation missing --]]
L["We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."] = "We've added new price sources to give you even more flexibility in how you use TSM to manage your gold making. You can now reference NumInventory, SaleRate, and much more throughout the addon. SmartAvgBuy has also been moved from an option to its own separate price source."
--[[Translation missing --]]
L["When above maximum:"] = "When above maximum:"
L["When below minimum:"] = "當低於最低價格時:"
--[[Translation missing --]]
L["Whitelist"] = "Whitelist"
--[[Translation missing --]]
L["Whitelisted characters"] = "Whitelisted characters"
--[[Translation missing --]]
L["Winamp"] = "Winamp"
--[[Translation missing --]]
L["Would send %s to %s"] = "Would send %s to %s"
--[[Translation missing --]]
L["Would send %s to %s with a COD of %s"] = "Would send %s to %s with a COD of %s"
--[[Translation missing --]]
L["WOW UI"] = "WOW UI"
--[[Translation missing --]]
L["You are not on one of the listed characters."] = "You are not on one of the listed characters."
--[[Translation missing --]]
L["You can clear old Accounting data below to keep things running smoothly."] = "You can clear old Accounting data below to keep things running smoothly."
--[[Translation missing --]]
L["You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"] = "You can import groups by pasting an import string into the box below. Group import strings can be found at: https://tradeskillmaster.com/group-maker/all"
--[[Translation missing --]]
L["You can use the export string below to share this group with others."] = "You can use the export string below to share this group with others."
L["You cannot use %s as part of this custom price."] = "你不能使用%s作為自定義價格的一部份。"
--[[Translation missing --]]
L["You cannot use %s within convert() as part of this custom price."] = "You cannot use %s within convert() as part of this custom price."
--[[Translation missing --]]
L["You do not need to add \"%s\", alts are whitelisted automatically."] = "You do not need to add \"%s\", alts are whitelisted automatically."
--[[Translation missing --]]
L["You don't know how to craft this item."] = "You don't know how to craft this item."
--[[Translation missing --]]
L["You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."] = "You either already have at least your max restock quantity of this item or the number which would be queued is less than the min restock quantity."
--[[Translation missing --]]
L["You must reload your UI for these settings to take effect. Reload now?"] = "You must reload your UI for these settings to take effect. Reload now?"
--[[Translation missing --]]
L["You won an auction for %sx%d for %s"] = "You won an auction for %sx%d for %s"
--[[Translation missing --]]
L["Your auction has not been undercut."] = "Your auction has not been undercut."
--[[Translation missing --]]
L["Your auction of %s expired"] = "Your auction of %s expired"
L["Your auction of %s has sold for %s!"] = "你拍賣的 %s 已經售出共 %s !"
L["Your Buyout"] = "你的直購價"
--[[Translation missing --]]
L["Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"] = "Your craft value method for '%s' was invalid so it has been returned to the default. Details: %s"
--[[Translation missing --]]
L["Your default craft value method was invalid so it has been returned to the default. Details: %s"] = "Your default craft value method was invalid so it has been returned to the default. Details: %s"
--[[Translation missing --]]
L["Your max restock (%s) is invalid for %s."] = "Your max restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your min restock (%s) is invalid for %s."] = "Your min restock (%s) is invalid for %s."
--[[Translation missing --]]
L["Your restock quantity is invalid. It must be between %d and %s."] = "Your restock quantity is invalid. It must be between %d and %s."
L["Your task list is currently empty."] = "您的任務列表當前為空。"
--[[Translation missing --]]
L["You've been phased which has caused the AH to stop working due to a bug on Blizzard's end. Please close and reopen the AH and restart Sniper."] = "You've been phased which has caused the AH to stop working due to a bug on Blizzard's end. Please close and reopen the AH and restart Sniper."
L["You've been undercut."] = "你已經被削價了。"
	else
		error("Unknown locale: "..tostring(locale))
	end

	--local HAS_STRINGS = next(L) and true or false
	setmetatable(L, {
		__index = function(t, k)
			--assert(not HAS_STRINGS)
			local v = tostring(k)
			rawset(t, k, v)
			return v
		end,
		__newindex = function(t, k, v)
			error("Cannot write to the locale table")
		end,
	})
end
